
--BEFORE CODE 06.04.2017
UPDATE STATISTICS [dbo].[FINANSE_CONTRACT_HEAD]
GO
--  NUMBER_BO  FINANSE_CONTRACT_HEAD
ALTER TABLE [dbo].[FINANSE_CONTRACT_HEAD] ALTER COLUMN [NUMBER_BO] varchar(25) NULL 
GO
UPDATE STATISTICS [dbo].[FINANSE_CONTRACT_HEAD]
GO


GO
/******   REF_CHIN   [dbo].[ITEM_MOVE]  ******/
IF COLUMNPROPERTY(object_id('[dbo].[ITEM_MOVE]'), 'REF_EC', 'AllowsNull') is NULL
   ALTER TABLE [dbo].[ITEM_MOVE] ADD [REF_EC] int NULL 
GO



IF  EXISTS (SELECT * FROM dbo.sysconstraints WHERE constid =  object_id('dbo.[CK_ITEM_MOVE]'))
	ALTER TABLE [dbo].[ITEM_MOVE] 
	DROP CONSTRAINT [CK_ITEM_MOVE] 

IF  NOT EXISTS (SELECT * FROM dbo.sysconstraints WHERE constid =  object_id('dbo.[CK_ITEM_MOVE]'))
	ALTER TABLE [dbo].[ITEM_MOVE] 
	ADD CONSTRAINT [CK_ITEM_MOVE] CHECK ([NEW_FACE] >= 0 and [NEW_FACE] <= 4)
GO





IF  NOT EXISTS (SELECT * FROM dbo.sysconstraints WHERE constid =  object_id('dbo.[FK_ITEM_MOVE_DICTIONARY_CHIN]'))
ALTER TABLE [dbo].[ITEM_MOVE] 
ADD CONSTRAINT [FK_ITEM_MOVE_DICTIONARY_CHIN] FOREIGN KEY ([REF_EC]) REFERENCES [dbo].[DICTION] ([LINK]) 
GO


IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[ITEM_MOVE_KUUPDATE]') AND OBJECTPROPERTY(id, N'IsTrigger') = 1)
DROP TRIGGER dbo.[ITEM_MOVE_KUUPDATE]

GO


IF  EXISTS (SELECT * FROM dbo.sysconstraints WHERE constid =  object_id('dbo.[FK_ITEM_MOVE_EMPL_ATTEST]'))
ALTER TABLE [dbo].[ITEM_MOVE] 
drop CONSTRAINT [FK_ITEM_MOVE_EMPL_ATTEST] 
GO

UPDATE [ITEM_MOVE]
SET REF_ATT = NULL
WHERE REF_ATT NOT IN (SELECT link FROM ATTESTAT_KOMISSION AS ak) AND REF_ATT IS NOT null
GO


IF  NOT EXISTS (SELECT * FROM dbo.sysconstraints WHERE constid =  object_id('dbo.[FK_ITEM_MOVE_EMPL_ATTEST'))
ALTER TABLE [dbo].[ITEM_MOVE] 
ADD CONSTRAINT [FK_ITEM_MOVE_EMPL_ATTEST] FOREIGN KEY ([REF_ATT]) REFERENCES [dbo].[ATTESTAT_KOMISSION] ([LINK])
GO


IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[ITEM_MOVE_KUUPDATE]') AND OBJECTPROPERTY(id, N'IsTrigger') = 1)
DROP TRIGGER dbo.[ITEM_MOVE_KUUPDATE]

GO


/*
  (Keysystems), 2005
*/
CREATE      TRIGGER [dbo].ITEM_MOVE_KUUPDATE ON dbo.ITEM_MOVE 
FOR UPDATE 
AS
	IF exists(
		SELECT *
		FROM INSERTED INS
		WHERE INS.ACTIVE=1)
		IF (
			UPDATE(NEW_FACE)
			OR UPDATE(STAFF_LINK)
			OR UPDATE(NUM_STAKE)
			OR UPDATE(STATUS)
			OR UPDATE(DATE_BEGIN)
			OR UPDATE(DATE_END2)
			OR UPDATE(USL_PR)
			OR UPDATE(ISP)
			OR UPDATE(TYPE)
			OR UPDATE(REASON)
			OR UPDATE(KONTR_DATE)
			OR UPDATE(KONTR_NUM)
			OR UPDATE(EMPL_LINK)
			OR UPDATE(ORDER_LINK)
			)
		BEGIN
			RAISERROR ('    ', 11, 1)
			ROLLBACK
		END
		IF exists(SELECT *
			FROM ITEM_MOVE IM, INSERTED INS
			WHERE IM.ACTIVE=1 AND INS.ACTIVE=1 AND IM.EMPL_LINK=INS.EMPL_LINK
				AND IM.NEW_FACE=1 AND INS.NEW_FACE=1 AND IM.LINK<>INS.LINK)
		BEGIN
			RAISERROR ('       ', 11, 1)
			ROLLBACK
		END
		IF exists(SELECT *
			FROM ITEM_MOVE IM, INSERTED INS
			WHERE IM.ACTIVE=1 AND INS.ACTIVE=1 AND IM.EMPL_LINK=INS.EMPL_LINK
				AND IM.DATE_BEGIN=INS.DATE_BEGIN AND IM.LINK<>INS.LINK AND IM.NEW_FACE NOT IN (3,4))
		BEGIN
			RAISERROR ('        ', 11, 1)
			ROLLBACK
		END

		IF update(active) and 
			exists(SELECT * FROM item_move im, inserted ins
				WHERE ins.active=2 and im.link=ins.link and 
				exists(SELECT * FROM money_period mp WHERE item_link=ins.link and
					exists(SELECT * FROM pays_empl WHERE link_mp=mp.link)))
		BEGIN
			RAISERROR ('  ,      ', 11, 1)
			ROLLBACK
		END




GO



-- CHIN_PAY_PERIOD
IF not exists(select * from sysobjects where id = object_id('[dbo].[CHIN_PAY_PERIOD]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
CREATE TABLE [dbo].[CHIN_PAY_PERIOD] (
	[LINK] int NOT NULL IDENTITY(1,1) ,
	[CHIN_LINK] int NOT NULL ,
	[PAY_LINK] int NOT NULL ,
	[DATE_BEGIN] datetime NOT NULL ,
	[SUMMA] numeric(12, 4) NOT NULL )
GO

	GRANT SELECT, UPDATE, DELETE ON dbo.[CHIN_PAY_PERIOD] TO PUBLIC
	
GO

-- --
--

IF  NOT EXISTS (SELECT * FROM dbo.sysindexes WHERE [name] = 'IX_CHIN_PAY_PERIOD')
CREATE UNIQUE INDEX [IX_CHIN_PAY_PERIOD] ON [dbo].[CHIN_PAY_PERIOD] ([CHIN_LINK], [PAY_LINK], [DATE_BEGIN]) ON [INDEX]
GO
--

IF  NOT EXISTS (SELECT * FROM dbo.sysconstraints WHERE constid =  object_id('dbo.[PK_CHIN_PAY_PERIOD]'))
ALTER TABLE [dbo].[CHIN_PAY_PERIOD] 
ADD CONSTRAINT [PK_CHIN_PAY_PERIOD] PRIMARY KEY CLUSTERED ([LINK])
GO

IF  NOT EXISTS (SELECT * FROM dbo.sysconstraints WHERE constid =  object_id('dbo.[FK_CHIN_PAY_PERIOD_DICT_CHIN]'))
ALTER TABLE [dbo].[CHIN_PAY_PERIOD] WITH NOCHECK 
ADD CONSTRAINT [FK_CHIN_PAY_PERIOD_DICT_CHIN] FOREIGN KEY ([CHIN_LINK]) REFERENCES [dbo].[DICTION] ([LINK])
ALTER TABLE [dbo].[CHIN_PAY_PERIOD] NOCHECK CONSTRAINT [FK_CHIN_PAY_PERIOD_DICT_CHIN]
GO

IF  NOT EXISTS (SELECT * FROM dbo.sysconstraints WHERE constid =  object_id('dbo.[FK_CHIN_PAY_PERIOD_PAYS]'))
ALTER TABLE [dbo].[CHIN_PAY_PERIOD] 
ADD CONSTRAINT [FK_CHIN_PAY_PERIOD_PAYS] FOREIGN KEY ([PAY_LINK]) REFERENCES [dbo].[PAYS] ([LINK])
GO

IF  NOT EXISTS (SELECT * FROM dbo.sysconstraints WHERE constid =  object_id('dbo.[CK_CHIN_PAY_PERIOD_SUMMA]'))
ALTER TABLE [dbo].[CHIN_PAY_PERIOD] 
ADD CONSTRAINT [CK_CHIN_PAY_PERIOD_SUMMA] CHECK ([SUMMA]>=(0))
GO

IF  NOT EXISTS (SELECT * FROM dbo.sysconstraints WHERE constid =  object_id('dbo.[DF_CHIN_PAY_PERIOD_SUMMA]'))
ALTER TABLE [dbo].[CHIN_PAY_PERIOD] 
ADD CONSTRAINT [DF_CHIN_PAY_PERIOD_SUMMA] DEFAULT ((0)) FOR [SUMMA]
GO
--

IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[CHIN_PAY_PERIOD_KUDELETE]') AND OBJECTPROPERTY(id, N'IsTrigger') = 1)
DROP TRIGGER dbo.[CHIN_PAY_PERIOD_KUDELETE]

GO

/*
c  (Keysystems), 2005
*/
CREATE TRIGGER [dbo].CHIN_PAY_PERIOD_KUDELETE ON dbo.CHIN_PAY_PERIOD
FOR DELETE 
AS
	IF EXISTS(SELECT * FROM DELETED DEL, money_period mp , ITEM_MOVE im 
				WHERE del.PAY_LINK = mp.PAY_LINK 
					 AND im.REF_EC = DEL.CHIN_LINK
					 AND im.LINK = mp.ITEM_LINK 
					 AND im.[ACTIVE]= 1 
					 )
		BEGIN
			RAISERROR ('  ,    ', 11, 1)
			ROLLBACK
		END





GO

IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[CHIN_PAY_PERIOD_XINSERT]') AND OBJECTPROPERTY(id, N'IsTrigger') = 1)
DROP TRIGGER dbo.[CHIN_PAY_PERIOD_XINSERT]

GO
CREATE TRIGGER dbo.CHIN_PAY_PERIOD_XINSERT ON CHIN_PAY_PERIOD
FOR INSERT, UPDATE
AS
Declare   @varKSCountRel 	int
  IF @@ROWCOUNT>0 AND TRIGGER_NESTLEVEL()<2
        BEGIN
	Select @varKSCountRel=Count(*) 
		FROM INSERTED INS
		WHERE INS.[CHIN_LINK] not in (SELECT [LINK] FROM dbo.DICTION WITH (NOLOCK))
	    IF @varKSCountRel>0
		BEGIN
			raiserror('        CHIN_PAY_PERIOD',11,1)
			ROLLBACK
			RETURN
		END
        END


GO



GO
-- BA_MOL
IF not exists(select * from sysobjects where id = object_id('[dbo].[SS_NOT_RESERV]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
CREATE TABLE [dbo].[SS_NOT_RESERV] (
	[LINK_EMPL] int NOT NULL )
GO

	GRANT SELECT, UPDATE, DELETE ON dbo.[SS_NOT_RESERV] TO PUBLIC
	
GO

-- --
--
--

IF  NOT EXISTS (SELECT * FROM dbo.sysconstraints WHERE constid =  object_id('dbo.[PK_NOT_RESERV]'))
ALTER TABLE [dbo].[SS_NOT_RESERV] 
ADD CONSTRAINT [PK_NOT_RESERV] PRIMARY KEY NONCLUSTERED ([LINK_EMPL]) ON [INDEX]
GO

IF  NOT EXISTS (SELECT * FROM dbo.sysconstraints WHERE constid =  object_id('dbo.[FK_SS_NOT_RESERV_EMPL]'))
ALTER TABLE [dbo].[SS_NOT_RESERV] WITH NOCHECK 
ADD CONSTRAINT [FK_SS_NOT_RESERV_EMPL] FOREIGN KEY ([LINK_EMPL]) REFERENCES [dbo].[EMPL] ([LINK])
 NOT FOR REPLICATION
ALTER TABLE [dbo].[SS_NOT_RESERV] NOCHECK CONSTRAINT [FK_SS_NOT_RESERV_EMPL]
GO
--

IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[SS_TRIGGER_NOT_RESERV_INSERT]') AND OBJECTPROPERTY(id, N'IsTrigger') = 1)
DROP TRIGGER dbo.[SS_TRIGGER_NOT_RESERV_INSERT]

GO

/*******************************************************************************

	  (Keysystems), 2006

*******************************************************************************/
--     (SS_NOT_RESERV),    (EMPL).
CREATE TRIGGER dbo.[SS_TRIGGER_NOT_RESERV_INSERT] 
ON dbo.[SS_NOT_RESERV]
FOR INSERT
AS
   DECLARE @liCount INT

   IF @@ROWCOUNT>0 AND TRIGGER_NESTLEVEL()<2
   BEGIN
      SELECT @liCount = COUNT(*) 
   	FROM INSERTED [I]
   	WHERE [I].[LINK_EMPL] NOT IN (SELECT [LINK] 
                                    FROM dbo.[EMPL] WITH (NOLOCK))

       IF @liCount > 0
       BEGIN
   		RAISERROR('    EMPL',11,1)
   		ROLLBACK
   		RETURN
   	END
END




GO


IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[SS_NOT_RESERV_XINSERT]') AND OBJECTPROPERTY(id, N'IsTrigger') = 1)
DROP TRIGGER dbo.[SS_NOT_RESERV_XINSERT]

GO
CREATE TRIGGER dbo.SS_NOT_RESERV_XINSERT ON SS_NOT_RESERV
FOR INSERT, UPDATE
AS
Declare   @varKSCountRel 	int
  IF @@ROWCOUNT>0 AND TRIGGER_NESTLEVEL()<2
        BEGIN
	Select @varKSCountRel=Count(*) 
		FROM INSERTED INS
		WHERE INS.[LINK_EMPL] not in (SELECT [LINK] FROM dbo.EMPL WITH (NOLOCK))
	    IF @varKSCountRel>0
		BEGIN
			raiserror('        SS_NOT_RESERV',11,1)
			ROLLBACK
			RETURN
		END
        END

GO



GO

--  06.04.2017

IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[ITEM_MOVE_KUUPDATE]') AND OBJECTPROPERTY(id, N'IsTrigger') = 1)
DROP TRIGGER dbo.[ITEM_MOVE_KUUPDATE]

GO


/*
  (Keysystems), 2005
*/
CREATE      TRIGGER [dbo].ITEM_MOVE_KUUPDATE ON dbo.ITEM_MOVE 
FOR UPDATE 
AS
	IF exists(
		SELECT *
		FROM INSERTED INS
		WHERE INS.ACTIVE=1)
		IF (
			UPDATE(NEW_FACE)
			OR UPDATE(STAFF_LINK)
			OR UPDATE(NUM_STAKE)
			OR UPDATE(STATUS)
			OR UPDATE(DATE_BEGIN)
			OR UPDATE(DATE_END2)
			OR UPDATE(USL_PR)
			OR UPDATE(ISP)
			OR UPDATE(TYPE)
			OR UPDATE(REASON)
			OR UPDATE(KONTR_DATE)
			OR UPDATE(KONTR_NUM)
			OR UPDATE(EMPL_LINK)
			OR UPDATE(ORDER_LINK)
			)
		BEGIN
			RAISERROR ('    ', 11, 1)
			ROLLBACK
		END
		IF exists(SELECT *
			FROM ITEM_MOVE IM, INSERTED INS
			WHERE IM.ACTIVE=1 AND INS.ACTIVE=1 AND IM.EMPL_LINK=INS.EMPL_LINK
				AND IM.NEW_FACE=1 AND INS.NEW_FACE=1 AND IM.LINK<>INS.LINK)
		BEGIN
			RAISERROR ('       ', 11, 1)
			ROLLBACK
		END
		IF exists(SELECT *
			FROM ITEM_MOVE IM, INSERTED INS
			WHERE IM.ACTIVE=1 AND INS.ACTIVE=1 AND IM.EMPL_LINK=INS.EMPL_LINK
				AND IM.DATE_BEGIN=INS.DATE_BEGIN AND IM.LINK<>INS.LINK AND IM.NEW_FACE NOT IN (0,3,4))
		BEGIN
			RAISERROR ('        ', 11, 1)
			ROLLBACK
		END

		IF update(active) and 
			exists(SELECT * FROM item_move im, inserted ins
				WHERE ins.active=2 and im.link=ins.link and 
				exists(SELECT * FROM money_period mp WHERE item_link=ins.link and
					exists(SELECT * FROM pays_empl WHERE link_mp=mp.link)))
		BEGIN
			RAISERROR ('  ,      ', 11, 1)
			ROLLBACK
		END

GO

GO
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[BK_VIEW_EXPORT_FORMAT_NALOG_FN]') AND xtype in (N'FN', N'IF', N'TF'))
DROP FUNCTION dbo.[BK_VIEW_EXPORT_FORMAT_NALOG_FN]

GO
CREATE FUNCTION dbo.BK_VIEW_EXPORT_FORMAT_NALOG_FN (@YEAR INT = NULL)
RETURNS TABLE

RETURN

	--      --
	SELECT FORM_CODE = 'ND_NP',
		FNAME = ' 5.02 ( 01.01.2009 .)', PROC_NAME = 'BK_EXPORT_F1151006', 
		PRG_SKRIPT = CONVERT(VARCHAR(100),''),
		DIR = 'IMNS',
		TEST_PROC = ''
	WHERE @YEAR < 2011

	UNION ALL

	SELECT FORM_CODE = 'ND_NP',
		FNAME = ' 5.03 ( 01.01.2011 .)', PROC_NAME = 'BK_EXPORT_F1151006_503', 
		PRG_SKRIPT = '',
		DIR = 'IMNS',
		TEST_PROC = ''
	WHERE @YEAR BETWEEN 2011 AND 2013

	UNION ALL

	SELECT FORM_CODE = 'ND_NP',
		FNAME = ' 5.05 ( 01.12.2013 .)', PROC_NAME = 'BK_EXPORT_F1151006_505', 
		PRG_SKRIPT = '',
		DIR = 'IMNS',
		TEST_PROC = ''
	WHERE @YEAR >= 2013

	UNION ALL
	--     --
	SELECT
		FORM_CODE = 'ND_TN',
		FNAME = ' 4.01 ( 01.01.2007 .)',
		PROC_NAME = 'BK_EXPORT_F1152004', 
		PRG_SKRIPT = '',
		DIR = 'IMNS',
		TEST_PROC = 'BK_TEST_EXP_F1152027'
	WHERE @YEAR < 2012	

	UNION ALL

	SELECT
		FORM_CODE = 'ND_TN',
		FNAME = ' 5.01 ( 01.01.2012 .)',
		PROC_NAME = 'BK_EXPORT_F1152004_501', 
		PRG_SKRIPT = '',
		DIR = 'IMNS',
		TEST_PROC = ''
	WHERE @YEAR = 2012

	UNION ALL

	SELECT
		FORM_CODE = 'ND_TN',
		FNAME = ' 5.02 ( 01.01.2013 .)',
		PROC_NAME = 'BK_EXPORT_F1152004_502', 
		PRG_SKRIPT = '',
		DIR = 'IMNS',
		TEST_PROC = ''
	WHERE @YEAR = 2013
	
	UNION ALL

	SELECT
		FORM_CODE = 'ND_TN',
		FNAME = ' 5.03 ( 01.01.2015 .)',
		PROC_NAME = 'BK_EXPORT_F1152004_503', 
		PRG_SKRIPT = '',
		DIR = 'IMNS',
		TEST_PROC = ''
	WHERE @YEAR >= 2014

	UNION ALL

	SELECT FORM_CODE = 'AV_TN',
		FNAME = ' 4.01 ( 01.01.2007 .)', PROC_NAME = 'BK_EXPORT_F1152027', 
		PRG_SKRIPT = '',
		DIR = 'IMNS',
		TEST_PROC = 'BK_TEST_EXP_F1152027'

	UNION ALL

	---      ---
	SELECT FORM_CODE = 'AV_F1152028',
		FNAME = ' 5.00 ( 01.01.2008 .)',
		PROC_NAME = 'BK_EXPORT_F1152028', 
		PRG_SKRIPT = '',
		DIR = 'IMNS',
		TEST_PROC = 'BK_TEST_EXP_F1152028'
	UNION ALL
	SELECT FORM_CODE = 'AV_ASS',
		FNAME = ' 5.00 ( 01.01.2008 .)',
		PROC_NAME = 'BK_EXPORT_F1152026', 
		PRG_SKRIPT = '',
		DIR = 'IMNS',
		TEST_PROC = 'BK_TEST_EXP_F1152028'
	UNION ALL
	--   01.01.2012 --
	SELECT FORM_CODE = 'ND_IMU',
		FNAME = ' 5.02 ( 01.01.2012 .)',
		PROC_NAME = 'BK_EXPORT_F1152026_502', 
		PRG_SKRIPT = '',
		DIR = 'IMNS',
		TEST_PROC = '' --'BK_TEST_EXP_F1152028'
	WHERE @YEAR < 2013
	UNION ALL
	SELECT FORM_CODE = 'AV_IMU',
		FNAME = ' 5.02 ( 01.01.2012 .)',
		PROC_NAME = 'BK_EXPORT_F1152028_502', 
		PRG_SKRIPT = '',
		DIR = 'IMNS',
		TEST_PROC = '' --'BK_TEST_EXP_F1152028'
	WHERE @YEAR < 2014		
	UNION ALL
	--   01.01.2013 --
	SELECT FORM_CODE = 'ND_IMU',
		FNAME = ' 5.03 ( 01.01.2013 .)',
		PROC_NAME = 'BK_EXPORT_F1152026_503', 
		PRG_SKRIPT = '',
		DIR = 'IMNS',
		TEST_PROC = '' --'BK_TEST_EXP_F1152028'
	UNION ALL
	SELECT FORM_CODE = 'AV_IMU',
		FNAME = ' 5.03 ( 01.01.2014 .)',
		PROC_NAME = 'BK_EXPORT_F1152028_503', 
		PRG_SKRIPT = '',
		DIR = 'IMNS',
		TEST_PROC = '' --'BK_TEST_EXP_F1152028'
	WHERE @YEAR >= 2014		

	UNION ALL
	--   4 --
	SELECT FORM_CODE = '4FSS',
		FNAME = ',      06.11.2009 n 871', PROC_NAME = 'SA_4FSS_EXPORT', 
		PRG_SKRIPT = '',
		DIR = 'PF',
		TEST_PROC = 'SA_4FSS_EXPORT_TEST'
	WHERE
		@YEAR <= 2010	
	UNION ALL	
	SELECT FORM_CODE = '4FSS',
		FNAME = '  0.3 ( 19  12.02.2010  .  21.03.2011 (53)', PROC_NAME = 'SA_4FSS_EXPORT_v03', 
		PRG_SKRIPT = '',
		DIR = 'PF',
		TEST_PROC = 'SA_4FSS_EXPORT_TEST'
	WHERE
		@YEAR = 2011
	UNION ALL
	SELECT FORM_CODE = '4FSS',
		FNAME = '  0.4 (   22.11.2011)', PROC_NAME = 'SA_4FSS_EXPORT_v04', 
		PRG_SKRIPT = '',
		DIR = 'PF',
		TEST_PROC = 'SA_4FSS_EXPORT_TEST'
	WHERE
		@YEAR = 2012
	UNION ALL
	SELECT FORM_CODE = '4FSS',
		FNAME = '  0.5 ( 107  19.03.2013)', PROC_NAME = 'SA_4FSS_EXPORT_v05', 
		PRG_SKRIPT = '',
		DIR = 'PF',
		TEST_PROC = 'SA_4FSS_EXPORT_TEST'
	WHERE
		@YEAR = 2013	
	UNION ALL
	SELECT FORM_CODE = '4FSS',
		FNAME = '  0.6 ( 107  19.03.2013  .  11.02.2014  94)', PROC_NAME = 'SA_4FSS_EXPORT_v05', 
		PRG_SKRIPT = '',
		DIR = 'PF',
		TEST_PROC = 'SA_4FSS_EXPORT_TEST'
	WHERE
		@YEAR = 2014	
	UNION ALL
	SELECT FORM_CODE = '4FSS',
		FNAME = '  0.7 (  59  26.02.2015)', PROC_NAME = 'SA_4FSS_EXPORT_v07', 
		PRG_SKRIPT = '',
		DIR = 'PF',
		TEST_PROC = 'SA_4FSS_EXPORT_TEST'
	WHERE
		@YEAR IN ( 2015,2016)	
	UNION ALL
		SELECT FORM_CODE = '4FSS',
		FNAME = '  0.92 (  83  09.03.2017)', PROC_NAME = 'SA_4FSS_EXPORT_v092', 
		PRG_SKRIPT = '',
		DIR = 'PF',
		TEST_PROC = 'SA_4FSS_EXPORT_TEST'
	WHERE
		@YEAR >= 2017	
	UNION ALL
	
	--   -1 --
	SELECT FORM_CODE = '-1',
		FNAME = ' 07.00 (2011)', PROC_NAME = 'SA_RSV1_EXPORT_0700_2011', 
		PRG_SKRIPT = '',
		DIR = 'PF',
		TEST_PROC = 'SA_RSV1_EXPORT_TEST'
	WHERE
		@YEAR = 2011	
	UNION ALL	
	
	--   -1 --
	SELECT FORM_CODE = '-1',
		FNAME = ' 07.00 ( 15.03.2012 . 232)', PROC_NAME = 'SA_RSV1_EXPORT_0700_2012', 
		PRG_SKRIPT = '',
		DIR = 'PF',
		TEST_PROC = 'SA_RSV1_EXPORT_TEST'
	WHERE
		@YEAR = 2012			
	UNION ALL	
	
	--   -1 --
	SELECT FORM_CODE = '-1',
		FNAME = ' 07.00 ( 15.03.2012 . 232)', PROC_NAME = 'SA_RSV1_EXPORT_0700_2013', 
		PRG_SKRIPT = '',
		DIR = 'PF',
		TEST_PROC = 'SA_RSV1_EXPORT_TEST'
	WHERE
		@YEAR = 2013
	UNION ALL	
	
	--   -1 --
	SELECT FORM_CODE = '-1',
		FNAME = ' 07.00 ( 03.03.2014 . 25)', PROC_NAME = 'SA_RSV1_EXPORT_0700_2014', 
		PRG_SKRIPT = '',
		DIR = 'PF',
		TEST_PROC = 'SA_RSV1_EXPORT_TEST'
	WHERE
		@YEAR >= 2014	
	UNION ALL
	--   -2 () --
	SELECT FORM_CODE = '0617005',
		FNAME = '   -2 ()  ', PROC_NAME = 'BK_EXPORT_F0617005', 
		PRG_SKRIPT = '',
		DIR = 'RST',
		TEST_PROC = ''

	UNION ALL
	--   -2 () --
	SELECT FORM_CODE = '0617004',
		FNAME = '   -2 ()  ', PROC_NAME = 'BK_EXPORT_F0617004', 
		PRG_SKRIPT = '',
		DIR = 'RST',
		TEST_PROC = ''
	UNION ALL
	-- -2 .  01.01.2011 --
	SELECT FORM_CODE = '0617004_11',
		FNAME = '   -2 ()  ', PROC_NAME = 'BK_EXPORT_F0617004_11', 
		PRG_SKRIPT = '',
		DIR = 'RST',
		TEST_PROC = ''

	--   -2  () --
	UNION ALL
	SELECT FORM_CODE = '2_',
		FNAME = '   -2()  ', PROC_NAME = 'BK_EXPORT_F0617010', 
		PRG_SKRIPT = '',
		DIR = 'RST',
		TEST_PROC = ''
	WHERE @YEAR < 2012	

	UNION ALL
	SELECT FORM_CODE = '2_',
		FNAME = '   -2()  ', PROC_NAME = 'BK_EXPORT_F0617010_2012', 
		PRG_SKRIPT = '',
		DIR = 'RST',
		TEST_PROC = ''
	WHERE @YEAR >= 2012	

	UNION ALL
	--   -4 --
	SELECT FORM_CODE = '0606010',
		FNAME = '   -4  ', PROC_NAME = 'SK_EXPORT_F0606010', 
		PRG_SKRIPT = '',
		DIR = 'RST',
		TEST_PROC = ''
	WHERE 
		@YEAR <= 2012	
	UNION ALL
	--   -4 c 01.01.2013 --
	SELECT FORM_CODE = '0606010',
		FNAME = '   -4  ', PROC_NAME = 'SK_EXPORT_F0606010_13', 
		PRG_SKRIPT = '',
		DIR = 'RST',
		TEST_PROC = ''
	WHERE 
		@YEAR >= 2013		


	UNION ALL
	--   1- --
	SELECT FORM_CODE = '1GS',
		FNAME = '   1-  ', PROC_NAME = 'KJ_EXPORT_1GS', 
		PRG_SKRIPT = '',
		DIR = 'RST',
		TEST_PROC = ''
	UNION ALL
	--   2- --
	SELECT FORM_CODE = '2GS_GZ',
		FNAME = '   2-  ', PROC_NAME = 'KJ_EXPORT_2GS', 
		PRG_SKRIPT = '',
		DIR = 'RST',
		TEST_PROC = ''
	UNION ALL
	--   1- --
	SELECT FORM_CODE = '1MS',
		FNAME = '   1-  ', PROC_NAME = 'KJ_EXPORT_1MS', 
		PRG_SKRIPT = '',
		DIR = 'RST',
		TEST_PROC = ''
	UNION ALL
	--   2- --
	SELECT FORM_CODE = '2MS',
		FNAME = '   2-  ', PROC_NAME = 'KJ_EXPORT_2MS', 
		PRG_SKRIPT = '',
		DIR = 'RST',
		TEST_PROC = ''
	UNION ALL
	--   1-() --
	SELECT FORM_CODE = '1T_GMS',
		FNAME = '   1-()  ', PROC_NAME = 'KJ_EXPORT_1T_GMS', 
		PRG_SKRIPT = '',
		DIR = 'RST',
		TEST_PROC = ''
	UNION ALL
	--   1- () --
	SELECT FORM_CODE = '0607006',
		FNAME = '   1-  ', PROC_NAME = 'BK_EXPORT_F0607006', 
		PRG_SKRIPT = '',
		DIR = 'RST',
		TEST_PROC = ''
	UNION ALL
	--   1- () --
	SELECT FORM_CODE = '1_',
		FNAME = '   1-  ', PROC_NAME = 'BK_EXPORT_F0607006_11', 
		PRG_SKRIPT = '',
		DIR = 'RST',
		TEST_PROC = ''
	UNION ALL
	--   11  () --
	SELECT FORM_CODE = '0602002',
		FNAME = '   11-  ', PROC_NAME = 'BK_EXPORT_F0602002', 
		PRG_SKRIPT = '',
		DIR = 'RST',
		TEST_PROC = ''

	UNION ALL
	SELECT FORM_CODE = '_11',
		FNAME = '   11-  ', PROC_NAME = 'BK_EXPORT_F0602002_2012', 
		PRG_SKRIPT = '',
		DIR = 'RST',
		TEST_PROC = ''
	WHERE 
		@YEAR >= 2012		
	
	--   ( 2013) --		
	UNION ALL
	SELECT
		FORM_CODE = 'AHD_EXPORT_REST',
		FNAME = ' 1.00 ( 01.09.2013 .)',
		PROC_NAME = 'BK_EXPORT_AHD_REST',
		PRG_SKRIPT = '',
		DIR = 'AHD',
		TEST_PROC = ''

	UNION ALL
	SELECT
		FORM_CODE = 'AHD_EXPORT_PROV',
		FNAME = ' 1.00 ( 01.09.2013 .)',
		PROC_NAME = 'BK_EXPORT_AHD_PROV',
		PRG_SKRIPT = '',
		DIR = 'AHD',
		TEST_PROC = ''
	

	--     --		
	UNION ALL
	SELECT
		FORM_CODE = 'EOD_EXPORT_INV1',
		FNAME = ' 1.00 ( 01.01.2013 .)',
		PROC_NAME = 'BK_EXPORT_INV1',
		PRG_SKRIPT = '',
		DIR = 'AHD',
		TEST_PROC = ''

	--  6- --		
	UNION ALL
	SELECT
		FORM_CODE = '6-',
		FNAME = ' 5.01 (  N-7-11/450@  14.10.2015.)',
		PROC_NAME = 'SA_6NDFL_EXPORT_v5_01',
		PRG_SKRIPT = '',
		DIR = 'IMNS',
		TEST_PROC = ''--'SA_6NDFL_EXPORT_TEST'
	--  - --		
	UNION ALL
	SELECT
		FORM_CODE = '-',
		FNAME = ' 2.52 ( 21.06.2016 .)',
		PROC_NAME = 'SA_SZVM_EXPORT_v2_52',
		PRG_SKRIPT = '',
		DIR = 'PF',
		TEST_PROC = ''--'SA_SZVM_EXPORT_TEST'
	WHERE @YEAR < 2017	
	UNION ALL
	SELECT 	FORM_CODE = '-',
		FNAME = ' 2.56 ( 07.12.2016 . N 1077)',
		PROC_NAME = 'SA_SZVM_EXPORT_v2_56',
		PRG_SKRIPT = '',
		DIR = 'PF',
		TEST_PROC = ''--'SA_SZVM_EXPORT_TEST'
	WHERE @YEAR >= 2017
	UNION ALL
	SELECT 	FORM_CODE = '',
		FNAME = ' 5.01 ( 10.10.2016. N-7-11/551@)',
		PROC_NAME = 'SS_RPSV_EXPORT_v5_01',
		PRG_SKRIPT = '',
		DIR = 'IMNS',
		TEST_PROC = 'SS_RPSV_EXPORT_TEST'
	WHERE @YEAR >= 2017	



GO


GRANT SELECT ON dbo.[BK_VIEW_EXPORT_FORMAT_NALOG_FN] TO PUBLIC

GO




GO
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[sa_item_move]') AND OBJECTPROPERTY(id, N'IsView') = 1)
DROP VIEW dbo.[sa_item_move]

GO

CREATE view dbo.sa_item_move
as

Select 
	P1.LINK, P1.NEW_FACE, P1.EMPL_LINK, P1.STAFF_LINK, P1.NUM_STAKE, P1.STATUS, P1.DATE_BEGIN, P1.DATE_END, P1.DATE_END2, 
	P1.USL_PR, P1.ISP, P1.TYPE, P1.REASON, P1.KONTR_DATE, P1.KONTR_NUM, P1.ORDER_LINK, P1.ACTIVE, P1.ETS_RAZR, P1.TEMP_LINK, 
	date_end3 = isnull(D.[DATE_END] , '20991231') 
from 
	dbo.item_move P1 
	CROSS APPLY (SELECT MIN(P2.[date_begin])-1 AS [DATE_END] FROM dbo.item_move P2 WHERE P1.EMPL_LINK = P2.EMPL_LINK AND P2.active = 1 AND P2.NEW_FACE <= 2 AND P2.[date_begin] > P1.[date_begin]) D
where 
	P1.active = 1 AND P1.NEW_FACE <= 2

GO


GRANT SELECT ON dbo.[sa_item_move] TO PUBLIC

GO

GO
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[EMPL_STAFF]') AND xtype in (N'FN', N'IF', N'TF'))
DROP FUNCTION dbo.[EMPL_STAFF]

GO


CREATE FUNCTION dbo.EMPL_STAFF(@dDATE DATETIME = NULL)
	RETURNS @RET TABLE (
		EMPL_LINK INT,
		STAFF_LINK INT,
		STAFF_HEAD INT,
		SUBDIV_LINK INT,
		SUBDIV_HEAD INT,
		POST_LINK INT,
		NUM_STAKE NUMERIC(3,2),
		MOVE_LINK INT,
		[STATUS] INT,
		NOTWORK TINYINT,
		OKLAD NUMERIC(10,2),
		LINK_KBK INT,
		KAT_LINK int,
		DATE_BEGIN DATETIME
	)
AS BEGIN
	IF @dDATE IS NULL BEGIN
		SET @dDATE = (SELECT WORKDATE FROM dbo.USER_INFO)
	END
	DECLARE @MOVES TABLE(EMPL_LINK INT, STAFF_LINK INT, NUM_STAKE NUMERIC(3,2), MOVE_LINK INT, STATUS INT, OKLAD NUMERIC(10,2), DATE_BEGIN DATETIME)
	DECLARE @MOVES2 TABLE(EMPL_LINK INT, STAFF_LINK INT, STAFF_HEAD INT, NUM_STAKE NUMERIC(3,2), MOVE_LINK INT, [STATUS] INT, OKLAD NUMERIC(10,2), DATE_BEGIN DATETIME)

	declare @oklad table (empl_link int, summa numeric(18,2) )
	insert into @oklad (empl_link, summa)
	SELECT 
		MP.EMPL_LINK,
		SUM(MP.SUMMA)
	FROM 
		dbo.PAYS P
		INNER JOIN dbo.SA_MONEY_PERIOD_FN(DEFAULT,DEFAULT) MP ON MP.PAY_LINK = P.LINK
	WHERE
		P.WAY_CALC = 1
		AND
		@dDate between MP.DATE_BEGIN and ISNULL(MP.DATE_END,'20990101')		
	GROUP BY
		MP.EMPL_LINK	

	INSERT INTO @MOVES 
	SELECT IM1.EMPL_LINK, IM1.STAFF_LINK, IM1.NUM_STAKE, IM1.LINK, IM1.STATUS, isnull(o.summa,0), IM1.DATE_BEGIN
	FROM ITEM_MOVE IM1 
		inner join 
		(
		SELECT IM.EMPL_LINK, MAX(IM.LINK) AS LINK
		FROM
			(SELECT 
				EMPL_LINK, MAX(DATE_BEGIN) AS DATE_BEGIN
			FROM dbo.item_move
			WHERE date_begin<=@dDATE and active=1 and new_face not in(3,4)
			GROUP BY EMPL_LINK
			) M
		INNER JOIN ITEM_MOVE IM ON IM.EMPL_LINK=M.EMPL_LINK AND IM.DATE_BEGIN=M.DATE_BEGIN
			and im.active=1 and im.new_face not in (3,4)
		GROUP BY IM.EMPL_LINK
		) M1 on IM1.LINK = M1.LINK
		left join @oklad o on o.empl_link = im1.EMPL_LINK

	DECLARE @STAFF TABLE (LINK_UP INT, DATE_BEGIN DATETIME, LINK INT)
	INSERT INTO @STAFF
	SELECT S.LINK_UP, S.DATE_BEGIN, ST.LINK
	FROM(	
		SELECT LINK_UP, MAX(DATE_BEGIN) AS DATE_BEGIN
		FROM STAFF
		WHERE 
			(DATE_BEGIN<=@dDATE)
			OR
			(@dDate between DATE_BEGIN and ISNULL(DATE_END,'20990101'))
		GROUP BY LINK_UP
	) S, STAFF ST
	WHERE S.LINK_UP = ST.LINK_UP AND S.DATE_BEGIN = ST.DATE_BEGIN

	--INSERT INTO @STAFF 
	--SELECT DISTINCT ST.LINK_UP, ST.DATE_BEGIN, ST.LINK
	--FROM 
	--	dbo.STAFF ST
	--	INNER JOIN 
	--	(	
	--	SELECT LINK_UP, MAX(DATE_BEGIN) AS DATE_BEGIN
	--	FROM dbo.STAFF
	--	GROUP BY LINK_UP
	--	) ST2 ON ST2.LINK_UP = ST.LINK_UP AND ST2.DATE_BEGIN = ST.DATE_BEGIN
	--WHERE NOT EXISTS (SELECT * FROM @STAFF S WHERE S.LINK_UP = ST.LINK_UP)	

	INSERT INTO @MOVES2
	SELECT M.EMPL_LINK, ST.LINK, ST.LINK_UP, M.NUM_STAKE, M.MOVE_LINK, M.STATUS, M.OKLAD, M.DATE_BEGIN
	FROM @STAFF ST, @MOVES M
	WHERE ST.LINK_UP=M.STAFF_LINK

	INSERT INTO @RET
	SELECT M.EMPL_LINK, M.STAFF_LINK, M.STAFF_HEAD, S.SUBDIV_LINK, S.SUBDIV_LINK, S.post_link, M.NUM_STAKE, M.MOVE_LINK, M.STATUS, 
		(SELECT notwork FROM empl WHERE link=m.empl_link), M.OKLAD, S.LINK_KBK, S.KAT_LINK, M.DATE_BEGIN
	FROM @MOVES2 M
	INNER JOIN dbo.staff s ON M.STAFF_LINK = S.LINK
	
	UPDATE @RET SET SUBDIV_LINK = 
	(
		SELECT TOP 1 S.LINK
		FROM SUBDIV S
		WHERE S.LINK_UP = R.SUBDIV_HEAD
			AND S.DATE_BEGIN <= @dDATE
		ORDER BY S.DATE_BEGIN DESC
	) 
	FROM @RET R
	
	RETURN
END



GO


GRANT SELECT ON dbo.[EMPL_STAFF] TO PUBLIC

GO


-- --


GO
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[SALARY_EMPL_SALDO_VKR]') AND xtype in (N'FN', N'IF', N'TF'))
DROP FUNCTION dbo.[SALARY_EMPL_SALDO_VKR]

GO

/*
  (Keysystems), 2005
*/
CREATE    function DBO.SALARY_EMPL_SALDO_VKR(@varKSLinkEmpl  int, @varKSYear INT,@varKSlinkVKR int, @LINK_EKR INT = 0)
RETURNS NUMERIC(15,2)
AS  
BEGIN
	DECLARE @varKSResult  NUMERIC(15,2)
	
	SET @varKSlinkVKR = COALESCE(@varKSlinkVKR,0)

	SET @LINK_EKR = COALESCE(@LINK_EKR,0)
	
	select @varKSResult = SUM(SUMMA) 
	from 
		dbo.dictionary_sal_remain SR
		CROSS APPLY (SELECT LINK FROM dbo.KOSGU T WHERE T.CODE = 'R211') R211
		CROSS APPLY (SELECT LINK FROM dbo.KOSGU T WHERE T.CODE = '211') T211	
		INNER JOIN dbo.KOSGU DI ON DI.LINK = (CASE WHEN R211.LINK = SR.LINK_EKR THEN T211.LINK ELSE SR.LINK_EKR END)
	WHERE 
		LINK_EMPL = @varKSLinkEmpl AND YEAR_SAL = @varKSYear 
		and (LINK_VKR = @varKSlinkVKR OR @varKSlinkVKR = 0)
		AND ( DI.LINK = @LINK_EKR OR @LINK_EKR = 0)	
	
	RETURN isnull(@varKSResult,0)
end
                                                        


GO


GRANT EXECUTE ON dbo.[SALARY_EMPL_SALDO_VKR] TO PUBLIC

GO

GO
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[DICTIONARY_PURP_DISP_FACES1]') AND OBJECTPROPERTY(id, N'IsView') = 1)
DROP VIEW dbo.[DICTIONARY_PURP_DISP_FACES1]

GO




/*
  (Keysystems), 2005
*/
CREATE    VIEW [dbo].DICTIONARY_PURP_DISP_FACES1
AS
SELECT im.LINK, im.EMPL_LINK, o.NUMBER, o.DATE, 
	DATE_PD = IM.DATE_BEGIN, IM.DATE_BEGIN, DATE_END = IM.DATE_END3,
	SUBDIV_LINK = S.subdiv_link, 
	SUBDIVISION_PD = S.subdiv_name, 
	POST_PD = S.post_name, 
	POST_LINK = S.post_link,
	STAFF_HEAD = S.LINK_UP, 
	IM.num_stake, 
	SALARY_PD = isnull((SELECT sum(summa) FROM order_money_period WHERE isoklad=1 and item_link=im.link), 0),
	REASON_PD=rtrim(o.number)+'  '+case when o.[date]='19000101' then '' else convert(varchar, o.[date], 104) end
FROM sa_item_move im 
	INNER JOIN ORDERS O ON 
	im.ORDER_LINK=o.LINK and im.active=1 AND IM.NEW_FACE NOT IN (2,3,4) 
	LEFT OUTER JOIN DICTIONARY_STAFF_ALL S ON 
	S.link_up=im.staff_link and im.date_begin between s.date_begin and s.date_end



GO


GRANT SELECT ON dbo.[DICTIONARY_PURP_DISP_FACES1] TO PUBLIC

GO


-- --


GO
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[SA_CALENDAR_DAYS3_FN]') AND xtype in (N'FN', N'IF', N'TF'))
DROP FUNCTION dbo.[SA_CALENDAR_DAYS3_FN]

GO

CREATE FUNCTION dbo.SA_CALENDAR_DAYS3_FN (@linkEmpl int, @Month int, @Year int)
RETURNS NUMERIC(18,2)
AS
BEGIN

DECLARE @RealCount NUMERIC(18,2)
/*
     ,    ,    :
1)   ,     ,     ;
2)        -;
3)               
  ,               
          ,    
 ,          
   .

,       
-----------------------------------------------
!!!!!    /!!!!,
-----------------------------------------------
  ,       
   ,        1,5 
         ,      3 
 / /            

*/

declare @DateBegin datetime, @DateEnd datetime

SET @DateBegin = dbo.ConvertDMY2Date(1,@Month,@Year) 
SET @DateEnd 	= dbo.DateEndOfMonth(@DateBegin)

DECLARE @DateAccept datetime, @DateSack datetime
SET @DateAccept = ISNULL(dbo.kd_DateBeginWork(@linkEmpl,@DateEnd),'19000101')
SET @DateSack   = ISNULL(dbo.kd_DateEndWork(@linkEmpl,@DateEnd),'30000101')

--SET @DateBegin = (case when @DateAccept < @DateBegin then @DateBegin else @DateAccept end)
--SET @DateEnd = (case when @DateSack < @DateEnd then @DateSack else @DateEnd end)  

DECLARE @S TABLE 
([TYPE] int,
 [PRIOR] int,
 [HOUR]  numeric(6,2),
 [DATE_1] datetime,
 [DATE_2] datetime,
 [DOC]	int,
 [H] int 	
)

--     ,        
DECLARE @TYPE_OTHER_DEP_PERIOD INT, @PRIOR_OTHER_DEP_PERIOD INT, @HOUR_OTHER_DEP_PERIOD NUMERIC(18,2)
SELECT TOP 1 @TYPE_OTHER_DEP_PERIOD = N.LINK, @PRIOR_OTHER_DEP_PERIOD = TD.PRIORITET, @HOUR_OTHER_DEP_PERIOD = TD.[HOUR]
FROM 
	dbo.NETRUD N
	INNER JOIN dbo.TYP_DAYS TD ON TD.LINK = N.TYPE_LINK
ORDER BY
	(CASE WHEN WORK_D = 13 THEN 1 ELSE 2 END), N.CODE

IF @TYPE_OTHER_DEP_PERIOD IS NOT NULL
	INSERT INTO @S ([TYPE],[PRIOR],[HOUR],[DATE_1],[DATE_2],[DOC], [H])
	SELECT 
		[TYPE] = @TYPE_OTHER_DEP_PERIOD, 
		[PRIOR] = @PRIOR_OTHER_DEP_PERIOD, 
		[HOUR] = @HOUR_OTHER_DEP_PERIOD,
		[DATE_1] = (CASE WHEN P.DATE1 < @DateBegin THEN @DateBegin ELSE P.DATE1 END),
		[DATE_2] = (CASE WHEN P.DATE2 > @DateEnd  THEN @DateEnd ELSE P.DATE2 END),
		[DOC]	= 4,--    
		[H] = 0 		 
	FROM
		dbo.SAL_OTHER_DEP D
		INNER JOIN dbo.SAL_OTHER_DEP_PERIOD_DATES P ON D.LINK = P.LINK_DOC
	WHERE
		LINK_EMPL = @linkEmpl
		AND
		(
			P.DATE1 BETWEEN @DateBegin AND @DateEnd 
			OR P.DATE2 BETWEEN @DateBegin AND @DateEnd 
			OR (P.DATE1 < @DateBegin AND P.DATE2 > @DateEnd)
		)				
-----------------------------------------------------------------------

INSERT INTO @S ([TYPE],[PRIOR],[HOUR],[DATE_1],[DATE_2],[DOC], [H])
--
SELECT [TYPE],[PRIOR],[HOUR],[DATE_1],[DATE_2],[DOC], H FROM 
(SELECT 
	[TYPE] = SD.[TYPE],
	[PRIOR] = TD.PRIORITET,
	[HOUR] = TD.[HOUR],
	[DATE_1] = (CASE WHEN SD.DATE1 < @DateBegin THEN @DateBegin ELSE SD.DATE1 END),
	[DATE_2] = (CASE WHEN SD.DATE2 > @DateEnd  THEN @DateEnd ELSE SD.DATE2 END),
	[DOC]	= 1,
	[H] = 0 
FROM 
	dbo.SDOC_DIS SD
	INNER JOIN dbo.NETRUD N ON SD.[TYPE] = N.LINK
	INNER JOIN dbo.TYP_DAYS TD ON TD.LINK = N.TYPE_LINK
WHERE 
	SD.LINK_EMPL = @linkEmpl
	AND
	(
		SD.DATE1 BETWEEN @DateBegin AND @DateEnd 
		OR SD.DATE2 BETWEEN @DateBegin AND @DateEnd 
		OR (SD.DATE1 < @DateBegin AND SD.DATE2 > @DateEnd)
	)
  
UNION
--
SELECT 	
	[TYPE] = VV.TYPE_LINK,
	[PRIOR] = TD.PRIORITET,
	[HOUR] 	= TD.[HOUR],
	[DATE_1] = (CASE WHEN DATE_BEGIN < @DateBegin THEN @DateBegin ELSE IV.DATE_BEGIN END),
	[DATE_2] = (CASE WHEN ISNULL((

					SELECT top 1 (CASE WHEN IVB.DATE_BREAK - 1 > (ISNULL((

                    SELECT top 1 (CASE WHEN IVD.NEW_DATE_END > IV.DATE_END THEN IVD.NEW_DATE_END ELSE  IV.DATE_END END)  
 					FROM dbo.ITEM_VACATION_DIS IVD
                    WHERE  IVD.VAC_LINK = IV.LINK AND IVD.ACTIVE = 1 order by IVD.NEW_DATE_END desc),IV.DATE_END)) 
					
                    THEN (ISNULL((

					SELECT top 1 (CASE WHEN IVD.NEW_DATE_END > IV.DATE_END THEN IVD.NEW_DATE_END ELSE  IV.DATE_END END)  
 					FROM dbo.ITEM_VACATION_DIS IVD
					WHERE  IVD.VAC_LINK = IV.LINK AND IVD.ACTIVE = 1 order by IVD.NEW_DATE_END desc),IV.DATE_END)) 
					
					ELSE IVB.DATE_BREAK - 1 END) 

					FROM dbo.ITEM_VACATION_BREAK IVB
					WHERE IVB.VAC_LINK = IV.LINK AND IVB.ACTIVE = 1 order by IVB.DATE_BREAK desc), 
					
    (ISNULL((

					SELECT top 1 (CASE WHEN IVD.NEW_DATE_END > IV.DATE_END THEN IVD.NEW_DATE_END ELSE  IV.DATE_END END)  
 					FROM dbo.ITEM_VACATION_DIS IVD 
					WHERE  IVD.VAC_LINK = IV.LINK AND IVD.ACTIVE = 1 order by IVD.NEW_DATE_END desc ),IV.DATE_END))) >@DateEnd 

					THEN @DateEnd  
                    ELSE ISNULL((

                    SELECT top 1 (CASE WHEN IVB.DATE_BREAK - 1 > (ISNULL((

					SELECT top 1 (CASE WHEN IVD.NEW_DATE_END > IV.DATE_END THEN IVD.NEW_DATE_END ELSE  IV.DATE_END END)  
 					FROM ITEM_VACATION_DIS IVD
        				WHERE  IVD.VAC_LINK = IV.LINK AND IVD.ACTIVE = 1 order by IVD.NEW_DATE_END desc ),IV.DATE_END)) 
					
                    THEN (ISNULL((

					SELECT top 1 (CASE WHEN IVD.NEW_DATE_END > IV.DATE_END THEN IVD.NEW_DATE_END ELSE  IV.DATE_END END)  

 					FROM dbo.ITEM_VACATION_DIS IVD
					WHERE  IVD.VAC_LINK = IV.LINK AND IVD.ACTIVE = 1 order by IVD.NEW_DATE_END desc),IV.DATE_END)) 

					ELSE IVB.DATE_BREAK - 1 END)  
					
					FROM dbo.ITEM_VACATION_BREAK IVB
					WHERE IVB.VAC_LINK = IV.LINK AND IVB.ACTIVE = 1 order by IVB.DATE_BREAK desc),
					
					ISNULL((
					
					SELECT top 1 (CASE WHEN IVD.NEW_DATE_END > IV.DATE_END THEN IVD.NEW_DATE_END ELSE  IV.DATE_END END)  
 					FROM dbo.ITEM_VACATION_DIS IVD 
					WHERE  IVD.VAC_LINK = IV.LINK AND IVD.ACTIVE = 1 order by IVD.NEW_DATE_END desc),IV.DATE_END)) END),
	[DOC] = (case when coalesce(TD.WORK_D,1) = 7 then 22 else 2 end),
	H = VV.HOLIDAY
FROM 
	dbo.item_vacation iv
	INNER JOIN dbo.vacation_vid VV ON VV.LINK = iv.type_link
	INNER JOIN dbo.TYP_DAYS TD ON TD.LINK = VV.TYPE_LINK
WHERE 
	IV.EMPL_LINK = @linkEmpl 
	AND IV.ACTIVE = 1
	AND COALESCE(VV.TIME_ARCHE,0) = 0 
	AND (IV.DATE_BEGIN BETWEEN @DateBegin AND @DateEnd 
		OR IV.DATE_END BETWEEN @DateBegin AND @DateEnd 
		OR ((IV.DATE_BEGIN<@DateBegin) AND (IV.DATE_END>@DateEnd))
		OR IV.LINK IN (SELECT VAC_LINK FROM dbo.VACATION_DIS WHERE EMPL_LINK = @linkEmpl AND ACTIVE = 1 AND NEW_DATE_END > @DateBegin)
	    )
	AND IV.LINK NOT IN (SELECT VAC_LINK FROM dbo.item_vacation_break ivb WHERE EMPL_LINK = @linkEmpl AND ACTIVE = 1 AND ivb.DATE_BREAK < @DateBegin)
	AND
	(
--		VV.NO_SAL = 1 --      (  !)
		TD.WORK_D = 7 --    ,        1,5 
					--          ,      3 
	--OR	TD.WORK_D = 5 --  
	OR	(
		VV.ADM = 1 -- 	
		AND
		VV.NO_SAL = 0 -- 
		)
	OR
		VV.TIME_ARCHE = 1 --      	
	)	
)  TAB

DELETE FROM @S
WHERE DATE_1 > DATE_2

---         
update @S
Set DATE_2 = dateadd(day,-dbo.SA_HOLIDAY_COUNT_FN(DATE_1,DATE_2),DATE_2)
where doc = 2 and h = 1
-----


--- 1.   
DECLARE @PERIODY1 TABLE (ORD INT IDENTITY(1,1), PER DATETIME)

INSERT INTO @PERIODY1 (PER)
SELECT PER FROM (SELECT PER = DATE_1 FROM @S UNION ALL SELECT PER = DATE_2 FROM @S) as P
ORDER BY PER	

DECLARE @PERIODY TABLE ( ord int identity(1,1), DATE_BEGIN DATETIME, DATE_END DATETIME, DOC TINYINT, PRIOR TINYINT, I TINYINT)

INSERT INTO @PERIODY (DATE_BEGIN, DATE_END, DOC, PRIOR, I)
SELECT DATE_1, DATE_2, DOC, PRIOR, 1 FROM @S

--2.      
INSERT INTO @PERIODY (DATE_BEGIN, DATE_END, I)
SELECT 
	--(CASE WHEN P1.PER = (SELECT MIN(PER) FROM @PERIODY1) OR P1.PER = (SELECT MAX(PER) FROM @PERIODY1) THEN P1.PER ELSE P1.PER + 1 END),
	(CASE WHEN P1.PER = (SELECT MIN(P.DATE_BEGIN) FROM @PERIODY P WHERE P.I = 1 AND P1.PER BETWEEN P.DATE_BEGIN AND P.DATE_END)
		OR P1.PER = (SELECT MAX(P.DATE_END) FROM @PERIODY P WHERE P.I = 1 AND P1.PER BETWEEN P.DATE_BEGIN AND P.DATE_END)
		THEN P1.PER ELSE P1.PER + 1 END),
	COALESCE(P2.PER,P1.PER),
	2  -- 
FROM 
	@PERIODY1 P1 LEFT JOIN @PERIODY1 P2 ON P1.ORD = P2.ORD - 1

INSERT INTO @PERIODY (DATE_BEGIN, DATE_END, I)
SELECT AP.DATE_BEGIN, AP.DATE_END, 3 FROM @PERIODY AP
WHERE AP.I = 2 
	AND EXISTS (SELECT TOP 1 P1.* FROM @PERIODY P1 WHERE I = 1 AND (AP.DATE_BEGIN BETWEEN P1.DATE_BEGIN AND P1.DATE_END) AND (AP.DATE_END BETWEEN P1.DATE_BEGIN AND P1.DATE_END))

INSERT INTO @PERIODY (DATE_BEGIN, DATE_END, I)
SELECT AP.DATE_BEGIN, AP.DATE_END, 4 FROM @PERIODY AP
WHERE AP.I = 3 AND NOT EXISTS (SELECT * FROM @PERIODY AP1 WHERE AP1.I = 3 AND AP.DATE_BEGIN > AP1.DATE_BEGIN AND AP.DATE_END <= AP1.DATE_END)

--- 4. 
UPDATE @PERIODY
SET DATE_BEGIN  = DATE_BEGIN + 1
WHERE I = 3 AND DATE_BEGIN <> DATE_END AND DATE_BEGIN = dbo.DateEndOfMonth(DATE_BEGIN)

--- 5.  ,    
IF (SELECT MIN(PER) FROM @PERIODY1) = (SELECT MAX(PER) FROM @PERIODY1)
	UPDATE @PERIODY SET DATE_BEGIN = (SELECT MIN(PER) FROM @PERIODY1), DATE_END = (SELECT MAX(PER) FROM @PERIODY1)
	WHERE DATE_END >= (SELECT MIN(PER) FROM @PERIODY1)

--- 6.   
INSERT INTO @PERIODY (DATE_BEGIN, DATE_END, I, DOC, PRIOR)
Select DISTINCT
	P3.DATE_BEGIN, P3.DATE_END, 5,
	DOC =  COALESCE((SELECT TOP 1 P1.DOC FROM @PERIODY P1 WHERE I = 1 AND (P3.DATE_BEGIN BETWEEN P1.DATE_BEGIN AND P1.DATE_END) AND (P3.DATE_END BETWEEN P1.DATE_BEGIN AND P1.DATE_END) order by PRIOR DESC),0),
	PRIOR = COALESCE((SELECT TOP 1 P1.PRIOR FROM @PERIODY P1 WHERE I = 1 AND (P3.DATE_BEGIN BETWEEN P1.DATE_BEGIN AND P1.DATE_END) AND (P3.DATE_END BETWEEN P1.DATE_BEGIN AND P1.DATE_END) order by PRIOR DESC),0)
FROM @PERIODY P3 
WHERE P3.I = 4

SET @RealCount = 
	datediff(day,@DateBegin,@DateEnd) + 1 
	- COALESCE((SELECT sum(datediff(day, DATE_BEGIN, DATE_END) + 1) FROM @PERIODY WHERE I = 5 AND DATE_BEGIN <= DATE_END),0)
SET @RealCount = (CASE WHEN @RealCount > 0 THEN @RealCount ELSE 0 END)

RETURN @RealCount

END


GO


GRANT EXECUTE ON dbo.[SA_CALENDAR_DAYS3_FN] TO PUBLIC

GO


-- --


GO
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[KU_EMPL_PLACING_FN]') AND xtype in (N'FN', N'IF', N'TF'))
DROP FUNCTION dbo.[KU_EMPL_PLACING_FN]

GO

/*
  (Keysystems), 2005
     ,  
   "SACK"
*/

CREATE   FUNCTION dbo.KU_EMPL_PLACING_FN(@dDATE datetime = null)
RETURNS @RESULT TABLE
		( [LINK] INT,
		[PERS_LINK]	INT,
		[DEP_LINK] INT,
		[DEP_NAME] VARCHAR(254),
		[TAB] VARCHAR(10),
		[FM] VARCHAR(100),
		[IM] VARCHAR(100),
		[OT] VARCHAR(100),
		[FIO] VARCHAR(100),
		[NAME_EMPL] VARCHAR(100),
		[SUBDIV_HEAD] INT,
		[SUBDIV_LINK] INT,
		[SUBDIV_CODE] VARCHAR(5),
		[SUBDIV_NAME] VARCHAR(254),
		[POST_LINK] INT,
		[POST_CODE] VARCHAR(10),
		[POST_NAME] VARCHAR(254),
		[STAFF_HEAD] INT,
		[STAFF_LINK] INT,
		[NUM_STAKE] NUMERIC(3,2),
		[STATUS] INT,
		[STATUS_NAME] VARCHAR(60),
		[NOTWORK] tinyint,
		[DATE_BEGIN] DATETIME,
		[DATE_MOV] DATETIME,
		[OKLAD] NUMERIC(10,2),
		[GRAPH_LINK] INT,
		[GRAPH_NAME] VARCHAR(60),
		[DATE_SACK]	DATETIME,
		[ITEM_MOVE_LINK] INT,
		[VIS] BIT,
		[LINK_KBK] INT,
		[CODE_KBK] VARCHAR(30),
		[NAME_KBK] VARCHAR(120),
		[RAZR] TINYINT,
		[SYST_PAY] TINYINT,
		[POST_GROUP] VARCHAR(60),
		KATEG VARCHAR(50),
		[CHIN] VARCHAR(150),
		[CHIN_DATE] DATETIME,
		[EMAIL] VARCHAR(254),
		[PHONE_WORK] VARCHAR(254),
		[PHONE_MOB] VARCHAR(254),
		[INN] VARCHAR(12),
		[SNILS] VARCHAR(14),
		[RESIDENT]	tinyint,
		[RESIDENT_N] VARCHAR(34),
		[SACK] INT,
		[SACK_PER] INT) 
AS
BEGIN
SET @dDATE = Isnull(@dDATE,(SELECT workdate FROM user_dates))

--    --------------------------------------------------------------------------------------
DECLARE @CHIN_EMPL TABLE(EMPL_LINK INT, CHIN_CODE VARCHAR(2), CHIN_NAME VARCHAR(150), CHIN_DATE DATETIME)
---------------------------------------------------------------------------------------------------------
INSERT INTO @CHIN_EMPL (EMPL_LINK, CHIN_CODE, CHIN_NAME, CHIN_DATE)
--     ,      
/*SELECT EMPL_LINK, CODE, [NAME], DATE
FROM  dbo.EMPL_CHIN ch1 inner join dbo.DICTIONARY_CHIN dh ON  ch1.chin_link = dh.link
WHERE  ch1.[DATE] = 
				(SELECT TOP 1 C.DATE 
				 FROM dbo.EMPL_CHIN C 
				 WHERE C.EMPL_LINK = ch1.EMPL_LINK AND C.DATE <= @dDATE 
				 ORDER BY DATE DESC)	
*/
SELECT EMPL_LINK, CODE, [NAME], DATE_BEGIN
FROM  dbo.item_move im1 inner join dbo.DICTIONARY_CHIN dh ON  im1.ref_ec = dh.link 
WHERE  im1.[DATE_BEGIN] = 
				(SELECT TOP 1 im.DATE_BEGIN 
				 FROM dbo.item_move im 
				 WHERE im.EMPL_LINK = im1.EMPL_LINK AND im.DATE_BEGIN <= @dDATE AND 
				 im.[status] = 1 AND im.new_face = 4
				 ORDER BY DATE_BEGIN DESC)	
AND im1.[status] = 1	
AND im1.[new_face]=4	

--     -------------------------------------------------------------------------
DECLARE @POST_EMPL TABLE(EMPL_LINK INT,STAFF_HEAD INT,STAFF_LINK INT, NUM_STAKE NUMERIC(3,2), [STATUS] INT, OKLAD NUMERIC(10,2),
						 MOVE_LINK INT, LINK_KBK INT, POST_LINK INT, SUBDIV_LINK INT, DATE_BEG DATETIME)
---------------------------------------------------------------------------------------------------------
INSERT INTO @POST_EMPL (EMPL_LINK, STAFF_HEAD, STAFF_LINK, NUM_STAKE, [STATUS], OKLAD, MOVE_LINK, LINK_KBK,POST_LINK,SUBDIV_LINK, DATE_BEG)
SELECT A.EMPL_LINK, A.STAFF_HEAD, A.STAFF_LINK, A.NUM_STAKE, A.[STATUS], A.OKLAD, A.MOVE_LINK, A.LINK_KBK,A.POST_LINK,A.SUBDIV_LINK, A.DATE_BEGIN
FROM dbo.EMPL_STAFF(@dDATE) A

--    -------------------------------------------------------------------------------
DECLARE @ITEM_DIS_FACE TABLE(EMPL_LINK int, DIS_DATE DATETIME)
---------------------------------------------------------------------------------------------------------
INSERT INTO @ITEM_DIS_FACE (EMPL_LINK,DIS_DATE)
SELECT empl_link, dis_date 
FROM dbo.item_dis_face IDF
WHERE dis_date =
	(SELECT TOP 1 dis_date 
	 FROM dbo.item_dis_face IDF1 
	 WHERE IDF1.EMPL_LINK = IDF.EMPL_LINK AND active =1 AND dis_date <=@dDATE 
	 ORDER BY dis_date desc)

--   , .  ---------------------------------------------------------
DECLARE @PHONE_MAIL_EMPL TABLE(EMPL_LINK INT, [EMAIL] VARCHAR(254), [PHONE_WORK] VARCHAR(254), [PHONE_MOB] VARCHAR(254))
---------------------------------------------------------------------------------------------------------
INSERT INTO @PHONE_MAIL_EMPL(EMPL_LINK, [EMAIL], [PHONE_WORK],[PHONE_MOB])
SELECT EMPL_LINK, EMAIL, CITY_NUMBER, MOB_NUMBER FROM dbo.EMPL_PHONE_STR

--    --------------------------------------------------------------------
---------------------------------------------------------------------------------------------------------
INSERT INTO @RESULT([LINK],
		[PERS_LINK],		[DEP_LINK],		[DEP_NAME],
		[TAB],		[FM],	[IM],	[OT],	[FIO],
		[NAME_EMPL],		[SUBDIV_HEAD],	[SUBDIV_LINK],
		[SUBDIV_CODE],		[SUBDIV_NAME],	[POST_LINK],
		[POST_CODE],		[POST_NAME],	[STAFF_HEAD],
		[STAFF_LINK],		[NUM_STAKE],	[STATUS],
		[STATUS_NAME],		[NOTWORK],		[DATE_BEGIN], [DATE_MOV],
		[OKLAD],			[GRAPH_LINK],	[GRAPH_NAME],
		[DATE_SACK],		[ITEM_MOVE_LINK],		[VIS],
		[LINK_KBK], 		[CODE_KBK], 	[NAME_KBK],
		[RAZR],				[SYST_PAY],		[POST_GROUP], [KATEG],
		[CHIN],				[CHIN_DATE],	[EMAIL],
		[PHONE_WORK],		[PHONE_MOB],	[INN],
		[SNILS],			[RESIDENT],			[RESIDENT_N],		
		[SACK],			[SACK_PER])
SELECT	distinct
	T.*,
	CASE
		WHEN datediff(day,T.DATE_SACK, @dDATE) > 0  THEN 1
		ELSE 0
	END AS SACK,
	CASE
		WHEN YEAR(T.DATE_SACK) = YEAR(@dDATE)
		     AND MONTH(T.DATE_SACK) = MONTH(@dDATE) THEN 1
		ELSE 0
	END AS SACK_PER
FROM	(
	SELECT 
		[LINK] 			= 	E.LINK, 
		[PERS_LINK]		= 	P.LINK, 
		[DEP_LINK]		= 	E.DEP_LINK,
		[DEP_NAME]		=	DEP.NAME,
		[TAB]			= 	E.TAB,
		[FM]			= 	P.FM,
		[IM]			= 	P.IM, 
		[OT]			=	P.OT,
		[FIO]			=	LEFT(LTRIM(RTRIM(COALESCE(LTRIM(RTRIM(FM)) + ' ' + LTRIM(RTRIM(IM)) + ' ' + LTRIM(RTRIM(OT)),' '))),100),
		[NAME_EMPL]		= 	LEFT(LTRIM(RTRIM(COALESCE(LTRIM(RTRIM(FM)) + ' ' + LEFT(LTRIM(RTRIM(IM)),1) + '.' + LEFT(LTRIM(RTRIM(OT)),1) + '.', ' '))),30),
		[SUBDIV_HEAD]	=	DS.link_up,
		[SUBDIV_LINK]	=	DS.LINK,
		[SUBDIV_CODE]	=	DS.CODE,
		[SUBDIV_NAME]	=	DS.NAME,
		[POST_LINK]		=	DP.LINK,
		[POST_CODE]		=	DP.CODE,
		[POST_NAME]		=	DP.NAME,
		[STAFF_HEAD]	=	PE.STAFF_HEAD,
		[STAFF_LINK]	= 	PE.STAFF_LINK,
		[NUM_STAKE]		=	PE.NUM_STAKE,
		[STATUS]		=	PE.[STATUS],
		[STATUS_NAME]	=	CASE WHEN PE.[STATUS] = 1 THEN '' WHEN PE.[STATUS] = 2 THEN '' WHEN PE.[STATUS] = 3 THEN ' ' END,
		[NOTWORK]		=	E.NOTWORK,
		[DATE_BEGIN]	=	IM.DATE_BEGIN,
		[DATE_MOV]		=	PE.DATE_BEG,
		[OKLAD]			=	PE.oklad,
		[GRAPH_LINK]	= 	G.LINK,
		[GRAPH_NAME]	=	G.NAME,
		[DATE_SACK]		=	IDF.DIS_DATE,
		[ITEM_MOVE_LINK] =	PE.MOVE_LINK,
		[VIS]			=	CONVERT(bit, 0),
		LINK_KBK		=	KBK.LINK,
		CODE_KBK		=	KBK.CODE,
		NAME_KBK		=	KBK.NAME,
		RAZR			=	COALESCE(IM.ETS_RAZR,0),
		[SYST_PAY]		=	E.SYST_PAY,		
		[POST_GROUP]	=	GR.NAME,
		[KATEG]			=	KAT.NAME,
		[CHIN]			=	CE.CHIN_NAME,
		[CHIN_DATE]		=	CE.CHIN_DATE,		
		[EMAIL]			=	PME.[EMAIL] ,
		[PHONE_WORK]	=	PME.[PHONE_WORK],
		[PHONE_MOB]		=	PME.[PHONE_MOB],
		[INN]			=	P.INN,
		[SNILS]			=	P.INSUR_NUM,
		[RESIDENT]		= 	 (CASE WHEN P.RESIDENT = 0 then 1 when P.RESIDENT = 1 then 2 else 3 END),
		[RESIDENT_N]	= 	 (CASE WHEN P.RESIDENT = 0 then ' ( )' when P.RESIDENT = 1 then '' else ' ( )' END)	

	FROM			dbo.EMPL		E
		INNER JOIN	dbo.PERSON 			P	 ON e.pers_link=p.link
		LEFT JOIN	dbo.GRAPH			G	 ON e.graph_link=g.link
		LEFT JOIN	@POST_EMPL		PE	 ON E.LINK = PE.EMPL_LINK
		LEFT JOIN	dbo.SAL_SFIN		KBK	 ON KBK.LINK = PE.LINK_KBK		
		LEFT JOIN	dbo.SUBDIV			DS	 ON PE.subdiv_link = DS.LINK
		LEFT JOIN	dbo.POST			DP	 ON PE.post_link = DP.LINK
		LEFT JOIN	dbo.ITEM_MOVE		IM	 ON IM.ACTIVE = 1 AND IM.NEW_FACE = 1 AND IM.EMPL_LINK = E.LINK
		LEFT JOIN	dbo.DEPARTMENTS		DEP	 ON E.DEP_LINK = DEP.LINK
		LEFT JOIN	dbo.ITEM_MOVE	SE	 ON E.LINK = SE.EMPL_LINK AND @dDATE between SE.date_begin and SE.date_end and SE.active=1
		LEFT JOIN	@ITEM_DIS_FACE	IDF	 ON E.LINK = IDF.EMPL_LINK
		LEFT JOIN	@CHIN_EMPL		CE	 ON E.LINK = CE.EMPL_LINK
		LEFT JOIN   @PHONE_MAIL_EMPL PME ON E.LINK = PME.EMPL_LINK
		LEFT JOIN	dbo.STAFF ST ON ST.LINK = PE.STAFF_LINK
		LEFT JOIN	dbo.GR_GOS GR ON GR.LINK = ST.GR_GOS_LINK
		LEFT JOIN   DBO.KAT_GOS KAT ON KAT.LINK = ST.KAT_GOS_LINK
		--LEFT JOIN	dbo.KATEG KAT ON KAT.LINK = ST.KAT_LINK

	) T

RETURN
END




GO


GRANT SELECT ON dbo.[KU_EMPL_PLACING_FN] TO PUBLIC

GO


-- --


GO
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[ku_EmplExpirNadbTable]') AND xtype in (N'FN', N'IF', N'TF'))
DROP FUNCTION dbo.[ku_EmplExpirNadbTable]

GO

CREATE FUNCTION dbo.ku_EmplExpirNadbTable (
	@Date datetime = null
)  
RETURNS @T table (link int, dep_link int, tab varchar(10), fio varchar(254), date_begin datetime, years int, months int, days int,
	[percent] numeric(5,2), next_date varchar(10), next_percent numeric(5,2), post_link int, kateg_link int)
AS  
BEGIN 

IF @Date is null SELECT @date = workdate FROM user_dates

INSERT INTO @T (link, dep_link, tab, fio, date_begin, years, months, days, post_link, kateg_link)
SELECT e.link, e.dep_link, e.tab, e.name_empl, e.date_begin,
	years = dbo.ku_GetEmplExpir(e.link, 'YEAR', 'GOS_NADB', @date),
	months = dbo.ku_GetEmplExpir(e.link, 'MONTH', 'GOS_NADB', @date),
	days = dbo.ku_GetEmplExpir(e.link, 'DAY', 'GOS_NADB', @date),
	 e.post_link, [KATEG_LINK] = S.KAT_LINK
FROM ku_empl_placing_fn(@Date) e
	INNER JOIN ku_only_moves om ON om.empl_link=e.link and @date between om.date_begin and om.date_end
	INNER JOIN move_koef mk ON mk.move_link=om.link
		and mk.expir_link=(SELECT link FROM expir WHERE code='GOS_NADB') and mk.koef>0
	LEFT JOIN STAFF S ON E.STAFF_LINK = S.LINK
WHERE sack=0

DECLARE @STAGE int
DECLARE @S TABLE (stage int, [percent] numeric (5,2), KATEG_LINK INT, FOR_WHO TINYINT)

INSERT	INTO @S (stage, [percent], KATEG_LINK, FOR_WHO)
SELECT	S.STAGE, S.[PERCENT], S.LINK_KATEG_POST, S.FOR_WHO
FROM	(
		SELECT	DISTINCT LINK_KATEG_POST, FOR_WHO, MAX(DATE) AS DATE
		FROM	SAL_SCALE_STAGE_PERC_T s
		WHERE	s.expir_link = (SELECT link FROM expir WHERE code='GOS_NADB')
				AND @DATE >= DATE
		GROUP	BY LINK_KATEG_POST, FOR_WHO
		) T JOIN  SAL_SCALE_STAGE_PERC_T S
		ON T.LINK_KATEG_POST = S.LINK_KATEG_POST AND T.FOR_WHO = S.FOR_WHO AND T.DATE = S.DATE
--
UPDATE	@T SET [PERCENT] =  s.[percent]
FROM	@T t, @S s
WHERE	s.stage	=(SELECT TOP 1 stage
				  FROM	@S
				  WHERE	stage <= t.years
						and ((FOR_WHO = 2 and KATEG_LINK = t.KATEG_LINK) or (FOR_WHO = 1))
				  ORDER BY stage DESC)

UPDATE	@T SET next_date = ISNULL(CONVERT(VARCHAR(10),dateadd(year, s.stage,
	dateadd(year,-years,dateadd(month,-months+((day(@date)-days) - 30)/30, dbo.ConvertDMY2Date(((day(@date)-days) +30)%30 + (case when day(@date)=days then 30 else 0 end), month(@date), year(@date))))) + 1,
	/*dateadd(year, -years, dateadd(month, - months, dateadd(day, -days, @date)))) + 1,*/ 104),''),
	      next_percent = s.[percent]
FROM	@T t, @S s
WHERE	s.stage=(SELECT	TOP 1 stage
				 FROM	@S
				 WHERE	stage > t.years
						and ((FOR_WHO = 2 and KATEG_LINK = t.KATEG_LINK) or (FOR_WHO = 1))
				 ORDER	BY stage)


RETURN
END




GO


GRANT SELECT ON dbo.[ku_EmplExpirNadbTable] TO PUBLIC

GO


-- --


GO
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[SS_VIEW_EMPL_NOT_RESERV]') AND OBJECTPROPERTY(id, N'IsView') = 1)
DROP VIEW dbo.[SS_VIEW_EMPL_NOT_RESERV]

GO

/*******************************************************************************

	  (Keysystems), 2006

*******************************************************************************/
--          (S- SS_EMPL_NOT_RESERV).
CREATE VIEW dbo.[SS_VIEW_EMPL_NOT_RESERV]
AS
SELECT [LINK]     = [N].[LINK_EMPL],
	   [LINK_OLD] = [N].[LINK_EMPL],
	   [LINK_PRES]	 = E.PERS_LINK,
       [FIO]      = dbo.[SD_GETEMPLNAME]([E].[LINK]),
       [E].[DEP_NAME],
       [E].[TAB],
       [E].[POST_CODE],
       [E].[POST_NAME],
       [E].[SUBDIV_CODE],
       [E].[SUBDIV_NAME]
FROM dbo.SS_NOT_RESERV N
INNER JOIN dbo.[KU_EMPL_PLACING] [E] ON e.link = n.link_empl



GO


GRANT SELECT ON dbo.[SS_VIEW_EMPL_NOT_RESERV] TO PUBLIC

GO


-- --


GO
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[SA_CREATE_PROV_O]') AND OBJECTPROPERTY(id,N'IsProcedure') = 1)
DROP PROCEDURE dbo.[SA_CREATE_PROV_O]

GO

CREATE  PROCEDURE [dbo].[SA_CREATE_PROV_O] @nMONTH INT, @nYear INT, @LINK_DEP INT
/*
    
EXEC dbo.[SA_CREATE_PROV_O] @nMONTH = 8, @nYear = 2016, @LINK_DEP = 74578
*/
AS BEGIN

SET NOCOUNT OFF

DECLARE @LINK_DOC_SAL as INT,
	@NUM_DOC_SAL as VARCHAR(25),
	@DATE_DOC_SAL as datetime,
	@SUM_DOC_SAL as NUMERIC(18,2),
	@ACC_CODE VARCHAR(30),
	@KD_FULL_CODE_ACC VARCHAR(13)

DECLARE @varKStrancount int, @varKSERROR as INT

DECLARE @LinkEKR213 int, @LINK_EKR212 INT, @SALARY_PROV_OPT4 TINYINT, @LinkEKR211 int, @LinkEKR_R211 int

SELECT @LinkEKR211 = LINK FROM dbo.DICTIONARY_ITEM WHERE CODE = '211'
SELECT @LinkEKR213 = LINK FROM dbo.DICTIONARY_ITEM WHERE CODE = '213'
SET @LINK_EKR212 = (SELECT TOP 1 LINK FROM DBO.KOSGU WHERE CODE = '212')
SELECT @LinkEKR_R211 = LINK FROM dbo.DICTIONARY_ITEM WHERE CODE = 'R211'

SET @SALARY_PROV_OPT4 = dbo.sa_get_option_by_code('SALARY_PROV_OPT4')

DECLARE @SALARY_OPTIONS_OPT14 VARCHAR(254)
SET @SALARY_OPTIONS_OPT14 = ISNULL(
									(SELECT TOP 1 VALUE
										FROM dbo.S_OPTIONS WHERE OBJECT = 	
										(SELECT LINK FROM dbo.S_OBJECTS WHERE CODE = RTRIM(LTRIM('SALARY_OPTIONS_OPT14'))) 
									AND SID IS NULL)
								,'')	

DECLARE @SALARY_OPTIONS_OPT5 VARCHAR(254)
SET @SALARY_OPTIONS_OPT5 = ISNULL(
									(SELECT TOP 1 VALUE
										FROM dbo.S_OPTIONS WHERE OBJECT = 	
										(SELECT LINK FROM dbo.S_OBJECTS WHERE CODE = RTRIM(LTRIM('SALARY_OPTIONS_OPT5'))) 
									AND SID IS NULL)
								,'')

IF 
ISNULL((SELECT TOP 1 RESERV FROM dbo.MINROT WHERE PERIOD<=dbo.DateEndOfMonth(dbo.ConvertDMY2Date(1,@nMONTH,@nYear)) ORDER BY PERIOD DESC),0) > 0
AND
REPLACE(LTRIM(RTRIM(ISNULL(@SALARY_OPTIONS_OPT14,''))),'.','') = '' 
BEGIN

	INSERT INTO SAL_WORNINGS (msg_before, msg, msg_after, TASK)
	select '    ',
		'              (401.60)',
		'    \\   ; :      \             (401.60).',
		'SALARY'
	Return 0

END	


DECLARE @Cur CURSOR, @SRC VARCHAR(30), @LINK_EKR INT, @SUM_PROV numeric(18,2), @order int, @Account1 INT, @Account2 INT,	
	@HOZ_OPER int, @P1 float, @P2 float, @SGU INT, 	@OSNOVANIE VARCHAR(254), @KD_CODE_ACC VARCHAR(6),
	@LINK_PAYS int, @CODE_PAYS VARCHAR(10), @LINK_KBK int, @LINK_KAU int, @LINK_DOP_KL int, @USER_ACC varchar(4), @CODE_SFIN VARCHAR(30), @Fin_Source CHAR(1) ,
	@LINK_ORG INT, @LINK_ORG_ACC INT, @LINK_ORG_DOH INT

Set @order = 0

--SELECT TOP 1 @SRC = RTRIM(LTRIM(VALUE)) FROM dbo.S_OPTIONS WHERE OBJECT = (SELECT LINK FROM S_OBJECTS WHERE CODE = RTRIM(LTRIM('SALARY_OPTIONS_OPT5'))) AND SID IS NULL
---
SELECT a.[DATE],
	   a.[link_ekr],
	   a.[link_pays],
	   a.[CODE_PAYS],
	   a.[OSNOVANIE],
	   a.[LINK_KBK],
	   a.[LINK_KAU],
	   a.[LINK_DOP_KL],
	   a.[USER_ACC],
	   a.[CODE_SFIN],
	   a.[SOURCE],
	   a.[CODE_ACC],
	   [SUMMA] = SUM(a.[SUMMA]),
	   a.[LINK_ORG],
	   a.[LINK_ACC],
	   a.[inc]
FROM (		
SELECT 	[DATE] = dbo.DateEndOfMonth(dbo.ConvertDMY2Date(1,@nMONTH,@nYear)),
	[link_ekr] = CASE WHEN @SALARY_PROV_OPT4 = 0 THEN 
			CASE WHEN (CASE WHEN ISNULL(JC.link_ekr,@LinkEKR213) = @LinkEKR_R211 THEN @LinkEKR211 ELSE ISNULL(JC.link_ekr,@LinkEKR213) END) = @LinkEKR211 THEN @LinkEKR213 ELSE (CASE WHEN ISNULL(JC.link_ekr,@LinkEKR213) = @LinkEKR_R211 THEN @LinkEKR211 ELSE ISNULL(JC.link_ekr,@LinkEKR213) END) END
		ELSE 
			CASE WHEN (CASE WHEN ISNULL(JC.link_ekr,@LinkEKR213) = @LinkEKR_R211 THEN @LinkEKR211 ELSE ISNULL(JC.link_ekr,@LinkEKR213) END) IN (@LinkEKR211, @LINK_EKR212) THEN @LinkEKR213 ELSE (CASE WHEN ISNULL(JC.link_ekr,@LinkEKR213) = @LinkEKR_R211 THEN @LinkEKR211 ELSE ISNULL(JC.link_ekr,@LinkEKR213) END) END
	END, 
	LINK_PAYS = JC.LINK_PAYS,
	CODE_PAYS = P.CODE,
	OSNOVANIE = RTRIM(P.[NAME]), 
	LINK_KBK = F.KBK,
	LINK_KAU = ISNULL(F.KAU,P.LINK_KAU), 
	LINK_DOP_KL = F.DOP_KL,
	USER_ACC = F.USER_ACC,
	CODE_SFIN = F.CODE,
	[SOURCE] = ISNULL(CAST (F.SOURCE as CHAR(1)),''),
	P.CODE_ACC,
	SUMMA= SUM(JC.SUMMA),
	TA.LINK_ORG,
	TA.LINK_ACC,
	inc = (CASE WHEN JC.link_ekr = @LinkEKR_R211 AND NOT EXISTS(SELECT link_empl FROM ss_not_reserv WHERE link_empl = jc.link_empl) THEN @SALARY_OPTIONS_OPT14 ELSE 
		CASE WHEN ISNULL(LTRIM(RTRIM(F.ACC_ESN)),'') = '' THEN @SALARY_OPTIONS_OPT5 ELSE F.ACC_ESN END
	END)
	--, jc.link_empl
FROM	
	dbo.SDOC D INNER JOIN dbo.CALCULATE_JURNAL JC ON JC.LINK_DOC = D.LINK
			INNER JOIN dbo.PAYS P ON JC.LINK_PAYS = P.LINK
			INNER JOIN dbo.SAL_SFIN F ON F.LINK = JC.LINK_VKR
			LEFT JOIN dbo.TAX2_APP TA ON P.LINK = TA.LINK_UP
WHERE   
	P.OBJECT = 3
	AND NOT JC.LINK_PAYS IS NULL AND JC.LINK_PAYS<>0  
	AND MONTH(JC.PERIOD_BEGIN) = @nMONTH AND YEAR(JC.PERIOD_BEGIN) = @nYEAR
	AND JC.LINK_DEP = @LINK_DEP
GROUP BY 
	JC.LINK_EKR, JC.LINK_PAYS, P.CODE, P.[NAME], F.KBK, F.KAU, F.DOP_KL, F.USER_ACC, F.CODE, F.SOURCE, P.CODE_ACC, P.LINK_KAU, TA.LINK_ORG, TA.LINK_ACC, F.ACC_ESN,jc.link_empl

) a 
GROUP BY [DATE],[link_ekr],[link_pays],[CODE_PAYS],[OSNOVANIE],[LINK_KBK],[LINK_KAU],[LINK_DOP_KL],[USER_ACC],[CODE_SFIN],[SOURCE],[CODE_ACC],[LINK_ORG],[LINK_ACC],[inc]
ORDER BY
	OSNOVANIE, [SOURCE],  inc 

SET @Cur = CURSOR FORWARD_ONLY
FOR 
--   
SELECT 	[DATE] = dbo.DateEndOfMonth(dbo.ConvertDMY2Date(1,@nMONTH,@nYear)),
	CASE WHEN @SALARY_PROV_OPT4 = 0 THEN 
			CASE WHEN (CASE WHEN ISNULL(JC.link_ekr,@LinkEKR213) = @LinkEKR_R211 THEN @LinkEKR211 ELSE ISNULL(JC.link_ekr,@LinkEKR213) END) = @LinkEKR211 THEN @LinkEKR213 ELSE (CASE WHEN ISNULL(JC.link_ekr,@LinkEKR213) = @LinkEKR_R211 THEN @LinkEKR211 ELSE ISNULL(JC.link_ekr,@LinkEKR213) END) END
		ELSE 
			CASE WHEN (CASE WHEN ISNULL(JC.link_ekr,@LinkEKR213) = @LinkEKR_R211 THEN @LinkEKR211 ELSE ISNULL(JC.link_ekr,@LinkEKR213) END) IN (@LinkEKR211, @LINK_EKR212) THEN @LinkEKR213 ELSE (CASE WHEN ISNULL(JC.link_ekr,@LinkEKR213) = @LinkEKR_R211 THEN @LinkEKR211 ELSE ISNULL(JC.link_ekr,@LinkEKR213) END) END
	END, 
	LINK_PAYS = JC.LINK_PAYS,
	CODE_PAYS = P.CODE,
	OSNOVANIE = RTRIM(P.[NAME]), 
	LINK_KBK = F.KBK,
	LINK_KAU = ISNULL(F.KAU,P.LINK_KAU), 
	LINK_DOP_KL = F.DOP_KL,
	USER_ACC = F.USER_ACC,
	CODE_SFIN = F.CODE,
	ISNULL(CAST (F.SOURCE as CHAR(1)),''),
	P.CODE_ACC,
	SUMMA= SUM(JC.SUMMA),
	TA.LINK_ORG,
	TA.LINK_ACC,
	(CASE WHEN JC.link_ekr = @LinkEKR_R211 THEN @SALARY_OPTIONS_OPT14 ELSE 
		CASE WHEN ISNULL(LTRIM(RTRIM(F.ACC_ESN)),'') = '' THEN @SALARY_OPTIONS_OPT5 ELSE F.ACC_ESN END
	END)
FROM	
	dbo.SDOC D INNER JOIN dbo.CALCULATE_JURNAL JC ON JC.LINK_DOC = D.LINK
			INNER JOIN dbo.PAYS P ON JC.LINK_PAYS = P.LINK
			INNER JOIN dbo.SAL_SFIN F ON F.LINK = JC.LINK_VKR
			LEFT JOIN dbo.TAX2_APP TA ON P.LINK = TA.LINK_UP
WHERE   
	P.OBJECT = 3
	AND NOT JC.LINK_PAYS IS NULL AND JC.LINK_PAYS<>0  
	AND MONTH(JC.PERIOD_BEGIN) = @nMONTH AND YEAR(JC.PERIOD_BEGIN) = @nYEAR
	AND JC.LINK_DEP = @LINK_DEP
GROUP BY 
	JC.LINK_EKR, JC.LINK_PAYS, P.CODE, P.[NAME], F.KBK, F.KAU, F.DOP_KL, F.USER_ACC, F.CODE, F.SOURCE, P.CODE_ACC, P.LINK_KAU, TA.LINK_ORG, TA.LINK_ACC, F.ACC_ESN
ORDER BY
	P.[NAME], F.SOURCE

-------------------
OPEN @Cur
FETCH NEXT FROM @Cur INTO @DATE_DOC_SAL, @LINK_EKR, @LINK_PAYS, @CODE_PAYS, @OSNOVANIE, @LINK_KBK, @LINK_KAU, @LINK_DOP_KL, @USER_ACC, @CODE_SFIN, @Fin_Source, @KD_CODE_ACC, @SUM_PROV, @LINK_ORG, @LINK_ORG_ACC, @SRC
WHILE (@@fetch_status <> -1)
BEGIN
	IF (@@fetch_status <> -2)
	BEGIN
		IF ISNULL(@SUM_PROV,0) <> 0 BEGIN

			SET @varKStrancount = @@TRANCOUNT
			SET IMPLICIT_TRANSACTIONS ON
			BEGIN TRAN 
			COMMIT TRAN

			IF @varKSERROR <> 0
				RETURN @varKSERROR
			--------------------

			IF REPLACE(LTRIM(RTRIM(ISNULL(@KD_CODE_ACC,''))),'.','') = '' BEGIN
				ROLLBACK
				SET IMPLICIT_TRANSACTIONS OFF
				INSERT INTO SAL_WORNINGS (msg_before, msg, msg_after, TASK)
				select '     ' + COALESCE(LTRIM(RTRIM(@CODE_PAYS)),''),
					'        .',
					'    '+ISNULL(LTRIM(RTRIM(@CODE_PAYS)),'')+'  .',
					'SALARY'
				GOTO DO_NEXT
			END	
			
			--  
			SELECT @LINK_DOC_SAL = 0, @NUM_DOC_SAL = NULL
			--   
			exec dbo.X_DOCUMENT_GET_NEXT_NUMBER 'DOCUMENTS_SALARY', @NUM_DOC_SAL output, @LINK_DEP

			exec X_SAVE_DOCUMENTS_SALARY @LINK_DOC_SAL OUT, @NUM_DOC_SAL, @DATE_DOC_SAL, @DATE_DOC_SAL, @SUM_PROV, @OSNOVANIE, @LINK_DEP, NULL

			SET @P1 = NULL
			exec X_UPDATE_G_PROV1 @P1 output, @LINK_DOC_SAL, NULL, @OSNOVANIE, 1
	
			Set @order = @order + 1

			IF RTRIM(LTRIM(ISNULL(@SRC,''))) = '' BEGIN
				ROLLBACK
				SET IMPLICIT_TRANSACTIONS OFF
				INSERT INTO SAL_WORNINGS (msg_before, msg, msg_after, TASK)
				select '     ' + COALESCE(LTRIM(RTRIM(@CODE_PAYS)),''),
					'  c            .',
					' c            .',
					'SALARY'
				GOTO DO_NEXT
			END

			Set @Account1 = (SELECT TOP 1 link FROM dbo.S_ACCOUNTS WHERE cSource = RTRIM(LTRIM(@Fin_Source)) and cSinth = dbo.SA_GET_WORD_NUM(RTRIM(LTRIM(@SRC)),1,'.') and cAnalit = dbo.SA_GET_WORD_NUM(RTRIM(LTRIM(@SRC)),2,'.') AND cUser = RTRIM(LTRIM(ISNULL(@USER_ACC,''))) )
			IF ISNULL(@Account1,0) = 0
				Set @Account1 = (SELECT TOP 1 link FROM dbo.S_ACCOUNTS WHERE cSource = RTRIM(LTRIM(@Fin_Source)) and cSinth = dbo.SA_GET_WORD_NUM(RTRIM(LTRIM(@SRC)),1,'.') and cAnalit = dbo.SA_GET_WORD_NUM(RTRIM(LTRIM(@SRC)),2,'.') )

			IF ISNULL(@Account1,0) = 0 BEGIN
				ROLLBACK
				SET IMPLICIT_TRANSACTIONS OFF
				INSERT INTO SAL_WORNINGS (msg_before, msg, msg_after, TASK)
				select '     ' + COALESCE(LTRIM(RTRIM(@CODE_PAYS)),'')+ '     "' + RTRIM(LTRIM(@CODE_SFIN)) + '"    "' + ISNULL((SELECT TOP 1 FS.CODE + '.' + FS.NAME FROM dbo.BB_FIN_SOURCE FS WHERE FS.CODE = CONVERT(VARCHAR(1),@Fin_Source)),'') +  '"',
					'   ' + RTRIM(LTRIM(@Fin_Source)) + RTRIM(LTRIM(@SRC)),
					'     ' + RTRIM(LTRIM(@Fin_Source)) + RTRIM(LTRIM(@SRC)), 
					'SALARY'
				GOTO DO_NEXT
			END

			---
			SET @ACC_CODE = (select top 1 A2.CODE from dbo.S_ACCOUNTS A1 inner join dbo.S_ACCOUNTS A2 on A1.link_self = A2.link
				WHERE A2.LINK = @Account1 and A2.cSource <> '')

			IF  RTRIM(LTRIM(ISNULL(@ACC_CODE,''))) <> '' AND RTRIM(LTRIM(ISNULL(@USER_ACC,''))) = '' BEGIN
				ROLLBACK
				SET IMPLICIT_TRANSACTIONS OFF
				INSERT INTO SAL_WORNINGS (msg_before, msg, msg_after, TASK)
				select '     ' + COALESCE(LTRIM(RTRIM(@CODE_PAYS)),''), 
					'   ' + RTRIM(LTRIM(@CODE_SFIN)) + '    ,    ' + RTRIM(LTRIM(ISNULL(@ACC_CODE,''))) + '  ',
					'  ,         ' + RTRIM(LTRIM(ISNULL(@ACC_CODE,''))) + '   ',
					'SALARY'
				GOTO DO_NEXT
			END

			SET @Account2 = (SELECT TOP 1 LINK FROM dbo.S_ACCOUNTS where cSource = @Fin_Source AND (cSinth + '.' + cAnalit = @KD_CODE_ACC) AND cUser = RTRIM(LTRIM(COALESCE(@USER_ACC,''))))
			SET @KD_FULL_CODE_ACC = @Fin_Source + '.' + @KD_CODE_ACC + CASE WHEN RTRIM(LTRIM(COALESCE(@USER_ACC,''))) <> '' THEN '/' + RTRIM(LTRIM(COALESCE(@USER_ACC,''))) ELSE '' END

			IF COALESCE(@Account2,0) = 0 BEGIN 
				ROLLBACK
				SET IMPLICIT_TRANSACTIONS OFF
				INSERT INTO SAL_WORNINGS (msg_before, msg, msg_after, TASK)
				select '     ' + COALESCE(LTRIM(RTRIM(@CODE_PAYS)),'')+ '     "' + RTRIM(LTRIM(@CODE_SFIN)) + '"    "' + ISNULL((SELECT TOP 1 FS.CODE + '.' + FS.NAME FROM dbo.BB_FIN_SOURCE FS WHERE FS.CODE = CONVERT(VARCHAR(1),@Fin_Source)),'') +  '"',
					'      ' + @KD_FULL_CODE_ACC,
					'     ' + @KD_FULL_CODE_ACC,
					'SALARY'
				GOTO DO_NEXT
			END

			---
			SET @ACC_CODE = (select top 1 A2.CODE from dbo.S_ACCOUNTS A1 inner join dbo.S_ACCOUNTS A2 on A1.link_self = A2.link
				WHERE A2.LINK = (SELECT TOP 1 LINK FROM dbo.S_ACCOUNTS where cSource = @Fin_Source AND (cSinth + '.' + cAnalit = @KD_CODE_ACC) ) and A2.cSource <> '')

			IF  RTRIM(LTRIM(COALESCE(@ACC_CODE,''))) <> '' AND RTRIM(LTRIM(COALESCE(@USER_ACC,''))) = '' BEGIN
				ROLLBACK
				SET IMPLICIT_TRANSACTIONS OFF
				INSERT INTO SAL_WORNINGS (msg_before, msg, msg_after, TASK)
				select '    : ' + COALESCE(LTRIM(RTRIM(@CODE_PAYS)),''),
					'   ' + RTRIM(LTRIM(@CODE_SFIN)) + '    ,    ' + RTRIM(LTRIM(COALESCE(@ACC_CODE,''))) + '  ',
					'  ,         ' + RTRIM(LTRIM(COALESCE(@ACC_CODE,''))) + '   ',
					'SALARY'
				GOTO DO_NEXT
			END

			IF ISNULL(@Account1,0) > 0 AND ISNULL(@Account2,0) > 0 BEGIN

				SET @HOZ_OPER = (SELECT TOP 1 LINK FROM dbo.BX_BPROV_VIBOR_ECON_OPER(@Account1,@Account2))
	
				IF ISNULL(@HOZ_OPER,0) = 0 BEGIN
					ROLLBACK
					SET IMPLICIT_TRANSACTIONS OFF
					INSERT INTO SAL_WORNINGS (msg_before, msg, msg_after, TASK)
					select '    : ' + ISNULL(LTRIM(RTRIM(@CODE_PAYS)),''),
						'   .    ' + (select top 1 CODE from S_ACCOUNTS where LINK = @Account1) + '-' + (select top 1 CODE from S_ACCOUNTS where LINK = @Account2),
						'    ' + ISNULL(LTRIM(RTRIM(@CODE_PAYS)),'') + '                  .',
						'SALARY'
					GOTO DO_NEXT
				END	
	
				set @P2 = null
				exec X_UPDATE_G_PROV2 @P2 output, @P1, NULL, @SUM_PROV, 0, 0, @OSNOVANIE, @HOZ_OPER, @order
				
				SET @SGU = (SELECT TOP 1 LINK_SGU FROM S_ACCOUNTS_SGU SGU INNER JOIN KOSGU ON SGU.LINK_SGU = KOSGU.LINK WHERE DB_KR = 0 AND ACCOUNT = @Account1)
				IF EXISTS (SELECT p_KASSA FROM dbo.s_accounts WHERE LINK = @Account1 AND p_KASSA = 1)
					SET @SGU = @LINK_EKR

				IF ISNULL(@SGU,0) = 0 BEGIN
					ROLLBACK
					SET IMPLICIT_TRANSACTIONS OFF
					INSERT INTO SAL_WORNINGS (msg_before, msg, msg_after, TASK)
					select '     ' + COALESCE(LTRIM(RTRIM(@CODE_PAYS)),''),
						'  ' + (select top 1 CODE from S_ACCOUNTS where LINK = @Account1) + '   ',
						'       ',
						'SALARY'
					GOTO DO_NEXT
				END	
				exec X_UPDATE_G_PROV_AP @P2, 0, @Account1, @LINK_KBK, @LINK_EKR, @LINK_DEP, NULL, NULL, NULL, NULL, @LINK_KAU, NULL, NULL, NULL, NULL, @LINK_DOP_KL, NULL, @SGU
				-----		
				SET @SGU = (SELECT TOP 1 LINK_SGU FROM S_ACCOUNTS_SGU SGU INNER JOIN KOSGU ON SGU.LINK_SGU = KOSGU.LINK WHERE DB_KR = 1 AND ACCOUNT = @Account2)
				IF EXISTS (SELECT p_KASSA FROM dbo.s_accounts WHERE LINK = @Account2 AND p_KASSA = 1)
					SET @SGU = @LINK_EKR

				IF ISNULL(@SGU,0) = 0 BEGIN
					ROLLBACK
					SET IMPLICIT_TRANSACTIONS OFF
					INSERT INTO SAL_WORNINGS (msg_before, msg, msg_after, TASK)
					select '     ' + COALESCE(LTRIM(RTRIM(@CODE_PAYS)),''),
						'  ' + (select top 1 CODE from S_ACCOUNTS where LINK = @Account2) + '   ',
						'       ',
						'SALARY'
					GOTO DO_NEXT
				END	
				exec X_UPDATE_G_PROV_AP @P2, 1, @Account2, @LINK_KBK, @LINK_EKR, @LINK_ORG /**/, NULL, NULL, NULL, NULL, @LINK_KAU, @LINK_ORG_ACC /* */, NULL, NULL, NULL, @LINK_DOP_KL, NULL, @SGU
			END

			IF @@TRANCOUNT > @varKStrancount BEGIN
				COMMIT TRAN
				SET IMPLICIT_TRANSACTIONS OFF
			END
			--- ,   
			DECLARE @TestBO tinyint
			exec @TestBO = dbo.XD_TEST_FORM_BO @LINK_DOC_SAL 
			IF @TestBO = 0
			BEGIN
				create table #tProtocol1(txt varchar(1000), NEW_ROW tinyint, nSTATUS tinyint, nTAB tinyint, ord int identity(1,1))

				insert into #tProtocol1 (txt, NEW_ROW, nSTATUS, nTAB) 
				Exec dbo.XD_FORM_BO @LINK_DOC_SAL

				IF EXISTS (SELECT * FROM #tProtocol1 WHERE nSTATUS >=1 )
					INSERT INTO SAL_WORNINGS (msg_before, msg, msg_after, TASK)
					select '    :', CASE WHEN nSTATUS = 1 THEN '!' ELSE '!' END + SPACE(1) + LEFT(txt,240), ' !', 'SALARY'
					FROM #tProtocol1	WHERE nSTATUS >= 1
				
				DROP TABLE #tProtocol1
					
			END				

		END
	END

	DO_NEXT:
	FETCH NEXT FROM @Cur INTO @DATE_DOC_SAL, @LINK_EKR, @LINK_PAYS, @CODE_PAYS, @OSNOVANIE, @LINK_KBK, @LINK_KAU, @LINK_DOP_KL, @USER_ACC, @CODE_SFIN, @Fin_Source, @KD_CODE_ACC, @SUM_PROV, @LINK_ORG, @LINK_ORG_ACC, @SRC
END

CLOSE @Cur
DEALLOCATE @Cur

exec X_SALDO_CommitChanges

SET NOCOUNT OFF
Return 0
END


GO


GRANT EXECUTE ON dbo.[SA_CREATE_PROV_O] TO PUBLIC

GO


-- --


GO
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[SA_REP_SAL_GOS_EMPLS]') AND OBJECTPROPERTY(id,N'IsProcedure') = 1)
DROP PROCEDURE dbo.[SA_REP_SAL_GOS_EMPLS]

GO

CREATE PROC dbo.SA_REP_SAL_GOS_EMPLS (@DATE DATETIME, @TR tinyint = 0)
---
AS

SET @DATE = (CASE WHEN DAY(@DATE) = 1 THEN @DATE - 1 ELSE @DATE END)

DECLARE @DEP_LINK INT
EXEC dbo.xd_whats_zb @DEP_LINK OUTPUT

CREATE TABLE #SAL_CJ (GR_ID INT, kat_gs_code VARCHAR(2),  gr_gs_code VARCHAR(2),  kl_chin VARCHAR(2),
			NAME_POST VARCHAR(254), WAY_CALC tinyint, NAME_PAYS VARCHAR(254),
			MON tinyint, SUMMA NUMERIC(20,2)
			)

DECLARE @LinkEKR211 INT
SET @LinkEKR211 = (SELECT LINK FROM dbo.DICTIONARY_ITEM WHERE CODE = '211')

INSERT INTO #SAL_CJ (kat_gs_code, gr_gs_code, kl_chin, NAME_POST, WAY_CALC, NAME_PAYS, MON, SUMMA)
SELECT 
	kat_gs_code, gr_gs_code, kl_chin, NAME_POST, WAY_CALC, NAME_PAYS, MONTH_BEGIN as MON, ROUND(SUM(SUMMA) / (CASE WHEN @TR = 1 THEN 1000 ELSE 1 END),2) as SUMMA
FROM 
	dbo.GetGSGREmplToDepAndDate(@DEP_LINK,@DATE,1) E inner join dbo.SALARY_JURNAL_CALCULAT S on E.empl_link = S.link_empl
WHERE 
	LINK_DEP = @DEP_LINK
	and YEAR_BEGIN =YEAR(@DATE) and MONTH_BEGIN <= MONTH(@DATE)
	and typ_oper = 1 
	AND COALESCE(S.LINK_EKR,@LinkEKR211) = @LinkEKR211
GROUP BY
	kat_gs_code, gr_gs_code, kl_chin, NAME_POST, WAY_CALC, NAME_PAYS, MONTH_BEGIN
--


CREATE TABLE #GRP (ID INT NOT NULL IDENTITY(1,1), kat_gs_code VARCHAR(2), gr_gs_code VARCHAR(2), kl_chin VARCHAR(2), NAME_POST VARCHAR(254))
INSERT INTO #GRP (kat_gs_code, gr_gs_code, kl_chin, NAME_POST)
SELECT DISTINCT kat_gs_code, gr_gs_code, kl_chin, NAME_POST FROM #SAL_CJ 

UPDATE #SAL_CJ
SET GR_ID = G.[ID]
FROM 
	#GRP G INNER JOIN #SAL_CJ S ON 
		LTRIM(RTRIM(COALESCE(G.kat_gs_code,''))) = LTRIM(RTRIM(COALESCE(S.kat_gs_code,''))) 
		AND LTRIM(RTRIM(COALESCE(G.gr_gs_code,''))) = LTRIM(RTRIM(COALESCE(S.gr_gs_code,'')))
		AND LTRIM(RTRIM(COALESCE(G.kl_chin,''))) = LTRIM(RTRIM(COALESCE(S.kl_chin,'')))
		AND LTRIM(RTRIM(COALESCE(G.NAME_POST,''))) = LTRIM(RTRIM(COALESCE(S.NAME_POST,'')))

--SELECT * FROM #GRP
--        
CREATE TABLE #NADB (GR_ID INT, NP VARCHAR(254), S NUMERIC(20,2))
--    
CREATE TABLE #ZP (GR_ID INT, S NUMERIC(20,2))
-- 
CREATE TABLE #OKLAD (GR_ID INT, S NUMERIC(20,2))
--  .  1 
CREATE TABLE #CHIN1 (GR_ID INT, S NUMERIC(20,2))
--  .  2 
CREATE TABLE #CHIN2 (GR_ID INT, S NUMERIC(20,2))
--  .  3 
CREATE TABLE #CHIN3 (GR_ID INT, S NUMERIC(20,2))
--  .   
CREATE TABLE #CHIN4 (GR_ID INT, S NUMERIC(20,2))

----
INSERT INTO #NADB
SELECT 
	GR_ID, NAME_PAYS, sum(SUMMA)
FROM 
	#SAL_CJ 
WHERE 
	WAY_CALC not in (select code from way_calc where type = 1 and oklad = 1)
	AND 
	NAME_PAYS not like '%%'
	AND
	MON <= MONTH(@DATE)
GROUP BY 
	GR_ID, NAME_PAYS

----
INSERT INTO #NADB
SELECT 
	G.[ID], T.NP, 0
FROM 
	#GRP G, (SELECT TOP 1 NP FROM #NADB) T
WHERE 
	G.[ID] not in (select GR_ID from #NADB)

---
DECLARE @varKSTABLE_N VARCHAR(100)
EXEC X_GET_TABLE_NAME @varKSTABLE_N OUTPUT

DECLARE @varKSCNT_N INT

EXEC M_CROSS_TABLE
	'GR_ID', 
	'NP', 'VARCHAR(254)', 
	'S', 'NUMERIC(20,2)', 'SUM(S) AS S',
	'#NADB', @varKSTABLE_N

DECLARE @CNT_N int
SELECT @CNT_N = COUNT(DISTINCT NP) FROM #NADB 


--    
INSERT INTO #ZP
SELECT 
	GR_ID, sum(SUMMA)
FROM 
	#SAL_CJ 
GROUP BY 
	GR_ID

-- 
INSERT INTO #OKLAD
SELECT 
	GR_ID, sum(SUMMA)
FROM 
	#SAL_CJ 
WHERE 
	WAY_CALC in (select code from way_calc where type = 1 and oklad = 1)
GROUP BY 
	GR_ID

--  .  1 
INSERT INTO #CHIN1
SELECT 
	GR_ID, sum(SUMMA)
FROM 
	#SAL_CJ C INNER JOIN #GRP G ON C.GR_ID=G.[ID]
	INNER JOIN (Select distinct CODE from dbo.DICTIONARY_CHIN) D ON G.kl_chin = D.CODE
WHERE 
	NAME_PAYS like '%%' and D.[CODE]  = '1'
GROUP BY 
	GR_ID


--  .  2 
INSERT INTO #CHIN2
SELECT 
	GR_ID, sum(SUMMA)
FROM 
	#SAL_CJ C INNER JOIN #GRP G ON C.GR_ID=G.[ID]
		INNER JOIN (Select distinct CODE from dbo.DICTIONARY_CHIN) D ON G.kl_chin = D.CODE
WHERE 
	NAME_PAYS like '%%' and D.[CODE] = '2'
GROUP BY 
	GR_ID

--  .  3 
INSERT INTO #CHIN3
SELECT 
	GR_ID, sum(SUMMA)

FROM 
	#SAL_CJ C INNER JOIN #GRP G ON C.GR_ID=G.[ID]
		INNER JOIN (Select distinct CODE from dbo.DICTIONARY_CHIN) D ON G.kl_chin = D.CODE
WHERE 
	NAME_PAYS like '%%' and D.[CODE] = '3'
GROUP BY 
	GR_ID


--  .   
INSERT INTO #CHIN4
SELECT 
	GR_ID, sum(SUMMA)
FROM 
	#SAL_CJ C INNER JOIN #GRP G ON C.GR_ID=G.[ID]
		LEFT JOIN (Select distinct CODE from dbo.DICTIONARY_CHIN) D ON G.kl_chin = D.CODE
WHERE 
	NAME_PAYS like '%%' and D.[CODE] is null
GROUP BY 
	GR_ID
---

DECLARE @SQL1 varchar(8000), @SQL2 varchar(8000), @i int, @TMP VARCHAR(100)

IF @CNT_N = 0 BEGIN
	EXEC (' ALTER TABLE ' + @varKSTABLE_N + ' ADD NP_0 VARCHAR(254), S_0 numeric(20,2) ')
	SET @SQL1 = ' NP_0'
	SET @SQL2 = 'S_0 = SUM(S_0)'
END
ELSE BEGIN
	SET @i = 1
	WHILE @i <= @CNT_N BEGIN
		SET @SQL1 = CASE WHEN LEN(@SQL1) > 0 THEN @SQL1 + ', ' ELSE '' END  
		SET @SQL2 = CASE WHEN LEN(@SQL2) > 0 THEN @SQL2 + ', ' ELSE '' END  

		SET @SQL1 = @SQL1 + ' NP_' + LTRIM(RTRIM(CONVERT(VARCHAR(4),@i)))
		SET @TMP = 'S_' + LTRIM(RTRIM(CONVERT(VARCHAR(4),@i)))
		SET @SQL2 = @SQL2 + ' ' + @TMP + ' = SUM(' + @TMP + ')'

		SET @i = @i + 1
	END
END

---
DECLARE @SQL VARCHAR(8000)
SET @SQL = 
'SELECT GR.CODE, GR.NAME, G.NAME_POST, SUM(Z.S) as Z, SUM(O.S) as O, SUM(C1.S) as C_1, SUM(C2.S) as C_2, SUM(C3.S) as C_3, SUM(C4.S) as C_4, ' + @SQL1 + ', ' + @SQL2 + '
FROM	
	#GRP G INNER JOIN dbo.GR_GOS GR ON G.gr_gs_code = GR.CODE
	LEFT JOIN ' + @varKSTABLE_N + ' N ON G.ID = N.GR_ID
	LEFT JOIN #ZP Z ON G.ID = Z.GR_ID 
	LEFT JOIN #OKLAD O ON G.ID = O.GR_ID
	LEFT JOIN #CHIN1 C1 ON G.ID = C1.GR_ID
	LEFT JOIN #CHIN2 C2 ON G.ID = C2.GR_ID
	LEFT JOIN #CHIN3 C3 ON G.ID = C3.GR_ID
	LEFT JOIN #CHIN4 C4 ON G.ID = C4.GR_ID
GROUP BY 
	GR.CODE, GR.NAME, G.NAME_POST, ' + @SQL1 + '
ORDER BY 
	GR.CODE'

EXEC (@SQL)


DROP TABLE #SAL_CJ
DROP TABLE #GRP
DROP TABLE #NADB
DROP TABLE #ZP
DROP TABLE #OKLAD
DROP TABLE #CHIN1
DROP TABLE #CHIN2
DROP TABLE #CHIN3
EXEC ('DROP TABLE ' + @varKSTABLE_N)

RETURN 0





GO


GRANT EXECUTE ON dbo.[SA_REP_SAL_GOS_EMPLS] TO PUBLIC

GO


-- --


GO

IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[SYNCH_DICTIONARY_POST]') AND OBJECTPROPERTY(id,N'IsProcedure') = 1)
DROP PROCEDURE dbo.[SYNCH_DICTIONARY_POST]

GO

CREATE  PROCEDURE [dbo].[SYNCH_DICTIONARY_POST] @DB NVARCHAR(254), @LINK_JOURN_TAB INT
/*
      -
SELECT TOP 1 VALUE FROM dbo.S_OPTIONS WHERE [OBJECT] = (SELECT LINK FROM dbo.S_OBJECTS WHERE CODE = 'SAL_OPT_SERVER_NAME') AND SID IS NULL 
SELECT TOP 1 VALUE FROM dbo.S_OPTIONS WHERE [OBJECT] = (SELECT LINK FROM dbo.S_OBJECTS WHERE CODE = 'SAL_OPT_BASE_NAME') AND SID IS NULL 


declare @p2 varchar(8000)
set @p2=''
declare @p3 float
set @p3=0
exec SYNCH_SMETA_SMART 7,@p2 output,@p3 output
select @p2, @p3


SELECT * FROM [SYNCH_DICTIONARY_POST] WHERE LINK = 4
*/
AS
BEGIN

DECLARE @varKStrancount	int
DECLARE @err INT
DECLARE @SQL NVARCHAR(4000)
DECLARE @ERR_MSG VARCHAR(256)
DECLARE @COLLATE VARCHAR(254)


SET @SQL = 
N'	
SET @COLLATE = (SELECT TOP 1 ''COLLATE '' + CAST (SERVERPROPERTY(''Collation'') AS VARCHAR(100)) FROM ' + @DB + 'dbo.DEPARTMENTS_DATE)
'	
EXEC SP_EXECUTESQL @SQL, N'@COLLATE VARCHAR(254) OUTPUT', @COLLATE = @COLLATE OUTPUT

--   -
CREATE TABLE #DEPARTMENTS_DATE (
	[CODE] varchar(20),
	[INN] varchar(13),
	[KPP] varchar(9),
	[BEGINDATE] datetime,
	[ENDDATE] datetime)

SET @SQL = 
N'	
INSERT INTO #DEPARTMENTS_DATE ([CODE],[INN],[KPP],[BEGINDATE],[ENDDATE])
SELECT D.CODE, D.INN, D.KPP, DD.[BEGINDATE], DD.[ENDDATE]
FROM 
	' + @DB + 'dbo.DEPARTMENTS_DATE DD
	INNER JOIN ' + @DB + 'dbo.DEPARTMENTS D ON D.LINK = DD.DEP_LINK
WHERE
	ISNULL(D.INN ' + @COLLATE + ','''') <> ''''
	AND
	ISNULL(D.KPP ' + @COLLATE + ','''') <> ''''
	AND
	ISNULL(D.CODE ' + @COLLATE + ','''') <> ''''	
'	

EXEC SP_EXECUTESQL @SQL


--     -
SET @ERR_MSG = 
	SUBSTRING((
			SELECT ',' + LTRIM(RTRIM(CODE)) + '/' + LTRIM(RTRIM(INN)) + '/' + LTRIM(RTRIM(KPP))
				FROM #DEPARTMENTS_DATE
				GROUP BY CODE, INN, KPP
				HAVING COUNT(*) > 1
				ORDER BY ',' + LTRIM(RTRIM(CODE)) + '/' + LTRIM(RTRIM(INN)) + '/' + LTRIM(RTRIM(KPP))
			FOR XML PATH('')
		), 2, 3000)

IF @ERR_MSG IS NOT NULL
BEGIN
	UPDATE dbo.SYNCH_SMETA_SMART_TAB SET 
		COMENT = LEFT(' -    //: ' + @ERR_MSG,256)
		,[STATUS] = 3
	WHERE LINK = @LINK_JOURN_TAB
	
	RETURN 101
END

------------------
DECLARE @PERIOD DATETIME
SET @PERIOD = 
	(SELECT TOP 1 PERIOD
	FROM 
		[dbo].[SYNCH_SMETA_SMART_JOURN] J
		INNER JOIN [dbo].[SYNCH_SMETA_SMART_TAB] T ON T.[LINK_UP] = J.[LINK]
	WHERE
		T.LINK = @LINK_JOURN_TAB)



---------------------
DECLARE @OBJECT_CODE VARCHAR(254)
SET @OBJECT_CODE = 
(
	SELECT TOP 1 B.CODE
	FROM
		dbo.SYNCH_SMETA_SMART_TAB A
		INNER JOIN dbo.[SYNCH_SMETA_SMART_OPT2] B ON A.LINK_OPT2 = B.LINK
	WHERE
		A.LINK = @LINK_JOURN_TAB
)	

IF @OBJECT_CODE IS NULL
BEGIN
	UPDATE dbo.SYNCH_SMETA_SMART_TAB SET 
		COMENT = LEFT('      .',256)
		,[STATUS] = 3
	WHERE LINK = @LINK_JOURN_TAB
	
	RETURN 1
END
---------------------
DECLARE @iOBJECT INT
SET @SQL = 
N'	
SELECT @iOBJECT = LINK FROM ' + @DB + 'dbo.S_OBJECTS so WHERE so.CODE ' + @COLLATE + ' = ''' + @OBJECT_CODE + '''
'	
EXEC SP_EXECUTESQL @SQL, N'@iOBJECT INT OUTPUT', @iOBJECT = @iOBJECT OUTPUT

------------------
DECLARE @LINK_DOCUMENTS_SALARY INT
SET @LINK_DOCUMENTS_SALARY = (SELECT TOP 1 LINK FROM dbo.S_OBJECTS WHERE CODE = @OBJECT_CODE)



------------------
declare @DEP_LINK INT 

exec dbo.xd_whats_zb @DEP_LINK output

--     -
SET @ERR_MSG = NULL
SET @ERR_MSG = 
	SUBSTRING((
				SELECT ',' + LTRIM(RTRIM(D.CODE)) + '/' + LTRIM(RTRIM(D.INN)) + '/' + LTRIM(RTRIM(D.KPP))
				FROM
					dbo.DEPARTMENTS D
				WHERE
					D.LINK  = @DEP_LINK 
					AND 
					NOT EXISTS (SELECT * FROM #DEPARTMENTS_DATE DD WHERE DD.CODE = D.CODE AND DD.INN = D.INN AND DD.KPP = D.KPP)
				GROUP BY D.CODE, D.INN, D.KPP
				ORDER BY ',' + LTRIM(RTRIM(D.CODE)) + '/' + LTRIM(RTRIM(D.INN)) + '/' + LTRIM(RTRIM(D.KPP))	
			FOR XML PATH('')
		), 2, 3000)

	
IF @ERR_MSG IS NOT NULL
BEGIN
	UPDATE dbo.SYNCH_SMETA_SMART_TAB SET 
		COMENT = LEFT(' -  . //: ' + @ERR_MSG,256)
		,[STATUS] = 3
	WHERE LINK = @LINK_JOURN_TAB
	
	RETURN 102
END



----

CREATE TABLE #DEPARTMENTS_SMETA_KS (LINK1 INT, LINK2 INT)

SET @SQL = 
N'
INSERT INTO #DEPARTMENTS_SMETA_KS (LINK1, LINK2)
SELECT D1.LINK, D2.LINK
FROM 
	dbo.DEPARTMENTS D1 
	INNER JOIN ' + @DB + 'dbo.DEPARTMENTS D2 ON D2.CODE ' + @COLLATE + '=D1.CODE AND D2.INN ' + @COLLATE + '=D1.INN AND D2.KPP ' + @COLLATE + '=D1.KPP 
WHERE
	(D1.TYPE = 4 OR D1.ZB =1)
	AND
	   D1.LINK = ' + str(@DEP_LINK) + '
	AND
	EXISTS (SELECT * FROM ' + @DB + 'dbo.DEPARTMENTS_DATE DD2 WHERE DD2.DEP_LINK = D2.LINK ) 	
	AND
	EXISTS (SELECT * FROM dbo.DEPARTMENTS_OBJECT DD1 WHERE DD1.DEPARTMENT = D1.LINK) 		
'
EXEC SP_EXECUTESQL @SQL

---,            
DECLARE @LOGIN VARCHAR(254)

SET @LOGIN = (SELECT TOP 1 VALUE FROM dbo.S_OPTIONS WHERE [SID] IS NULL AND ISNULL(VALUE,'') <> ''
						AND [OBJECT] = (SELECT LINK FROM dbo.S_OBJECTS WHERE CODE = 'SAL_OPT_USER_NAME'))

SET @SQL = 
N'
SET @RES = 0
IF EXISTS (SELECT * FROM 
			' + @DB + 'dbo.DEPARTMENTS_OBJECT A 
			INNER JOIN ' + @DB + 'dbo.S_USERS SU ON SU.UID = A.[USER_ID] 
			INNER JOIN ' + @DB + 'dbo.DEPARTMENTS3 D ON D.LINK = A.DEPARTMENT
		WHERE 
			SU.LOGINAME = @LOGIN )	

	SET @RES = 1
'
DECLARE @RES TINYINT
EXEC SP_EXECUTESQL @SQL, N'@RES TINYINT OUTPUT, @LOGIN VARCHAR(254)', @RES = @RES OUTPUT, @LOGIN = @LOGIN


IF @RES = 0
BEGIN
	UPDATE dbo.SYNCH_SMETA_SMART_TAB SET 
		COMENT = LEFT('      -   "' + @LOGIN + '"  .',256)
		,[STATUS] = 3
	WHERE LINK = @LINK_JOURN_TAB
	
	RETURN 103
END

---     
CREATE TABLE #DICT ([LINK] INT, [CODE] VARCHAR(10), [NAME] VARCHAR(8000), NUM INT)
SET @SQL = 
N'	
INSERT INTO #DICT ([LINK], [CODE], [NAME] , NUM )
SELECT P.LINK, P.CODE,P.NAME , NUM = ROW_NUMBER() OVER (PARTITION BY [code],[NAME] ORDER BY [NAME], [code])
FROM
	dbo.POST P
'	
EXEC SP_EXECUTESQL @SQL, N'@LINK_DOCUMENTS_SALARY INT, @PERIOD DATETIME', @LINK_DOCUMENTS_SALARY=@LINK_DOCUMENTS_SALARY, @PERIOD=@PERIOD
---

----------
--    - -       
CREATE TABLE #TAB_KS_SMART ([LINK1] int ,[LINK2] int, [DEP1] INT, [DEP2] INT)

/*IF Exists(select 1 from {Variable_WorkDb}.sys.columns where Name = N'LINK_OLD' and Object_ID = Object_ID(N'[{Variable_WorkDb}].[dbo].POST'))
	BEGIN
	   ALTER TABLE [{Variable_WorkDb}].[dbo].POST DROP COLUMN LINK_OLD
	END
*/

SET @ERR_MSG = NULL
SET @SQL = 
N'
INSERT INTO #TAB_KS_SMART ([LINK1],[LINK2],[DEP1], [DEP2]) 
SELECT  
	[LINK1] = P.LINK,
	[LINK2] = p2.LINK , 
	[dep1] = dsk.link1,
	[dep2] = dsk.link2
FROM 
	#DICT as p
	left join  ' + @DB + 'dbo.POST p2 on (ltrim(rtrim(p2.name ' + @COLLATE + '))=ltrim(rtrim(p.name)))
	left join #DEPARTMENTS_SMETA_KS dsk on  p2.link_dep  =dsk.link2
WHERE 
--	and dsk.link1= ' + str(@DEP_LINK) + ' 
	/*and*/ p.num = 1

'	
EXEC SP_EXECUTESQL @SQL



/*
declare @p2 varchar(8000)
set @p2=''
declare @p3 float
set @p3=0
exec SYNCH_SMETA_SMART 46,@p2 output,@p3 output
select @p2, @p3
*/

-----
CREATE TABLE #PROTOKOL (OP VARCHAR(1), LINK_1 INT, LINK_2 INT)

CREATE TABLE #EXEC (text varchar(8000), id int identity(1,1))


DECLARE @srv VARCHAR(20) ,
		@db_n VARCHAR(20) 
SET @srv = SUBSTRING(@db, 1, CHARINDEX('.',@db)-1 )
SET @db_n = SUBSTRING(@db, len(@srv)+2, len(@db)-len(@srv) )

	---   POST    ,      
	SET @SQL = 
	N'
	
		CREATE table #REL_POST (link int)
		INSERT INTO #REL_POST
		'+ CASE WHEN LTRIM(RTRIM(@db_n)) = '' THEN ' SELECT link_TABLE FROM '+ @DB+'dbo.RELATIONS_POST(NULL, DEFAULT) WHERE [TYPE] = 1 and str_link is not null '
		ELSE ' EXEC( ''SELECT link_TABLE FROM '+ @db_n+'dbo.RELATIONS_POST(NULL, DEFAULT) WHERE [TYPE] = 1 and str_link is not null'' ) AT ' +@srv+' '
		   END + ' 
		
		delete from '+ @DB +'dbo.[POST]
				where link not in (select link2 from #TAB_KS_SMART)
				and link not in (select link from #REL_POST)	
		
		drop table #REL_POST
		  
	'
	EXEC SP_EXECUTESQL @SQL		


INSERT INTO #EXEC ([text]) SELECT
'
INSERT #PROTOKOL (OP, LINK_1,LINK_2)
SELECT 
	''U'',
	LINK_1 = t.link,
	LINK_2 = a.link
FROM
	#DICT T
	inner join #TAB_KS_SMART KS  on t.link = ks.link1
	INNER JOIN ' + @DB + 'dbo.[POST] A ON  A.link  = ks.link2
WHERE
	a.link_dep = ks.dep2
	and num = 1 
	and 
	(((right(ltrim(rtrim(ISNULL(A.CODE ' + @COLLATE + ',''''))),6) <> right(ltrim(rtrim(ISNULL(T.CODE,''''))),6)) and (left(ltrim(rtrim(ISNULL(a.name ' + @COLLATE + ',''''))),254) = left(ltrim(rtrim(ISNULL(T.NAME,''''))),254) )) 
	or 
	((right(ltrim(rtrim(ISNULL(A.CODE ' + @COLLATE + ',''''))),6) = right(ltrim(rtrim(ISNULL(T.CODE,''''))),6)) and (left(ltrim(rtrim(ISNULL(a.name ' + @COLLATE + ',''''))),254) <> left(ltrim(rtrim(ISNULL(T.NAME,''''))),254) )))

--    -    
UPDATE A SET
	A.NAME = left(ltrim(rtrim(ISNULL(T.NAME,''''))),254),
	A.CODE = RIGHT(LTRIM(RTRIM(ISNULL(T.CODE,''''))),6)
FROM
	#DICT T
	inner join #TAB_KS_SMART KS  on t.link = ks.link1
	INNER JOIN ' + @DB + 'dbo.[POST] A ON  A.link  = ks.link2
	INNer JOIN #PROTOKOL p on t.link = p.link_1 and A.link  = p.link_2 and  p.OP = ''U''
WHERE
	a.link_dep  = ks.dep2
	and num = 1 
	and 
	(((right(ltrim(rtrim(ISNULL(A.CODE ' + @COLLATE + ',''''))),6) <> right(ltrim(rtrim(ISNULL(T.CODE,''''))),6)) and (left(ltrim(rtrim(ISNULL(a.name ' + @COLLATE + ',''''))),254) = left(ltrim(rtrim(ISNULL(T.NAME,''''))),254) ))
	or 
	((right(ltrim(rtrim(ISNULL(A.CODE ' + @COLLATE + ',''''))),6) = right(ltrim(rtrim(ISNULL(T.CODE,''''))),6)) and (left(ltrim(rtrim(ISNULL(a.name ' + @COLLATE + ',''''))),254) <> left(ltrim(rtrim(ISNULL(T.NAME,''''))),254) )))

--    
INSERT INTO ' + @DB + 'dbo.[POST] (CODE, [NAME], LINK_DEP)
SELECT distinct
	CODE        = RIGHT(LTRIM(RTRIM(T.CODE)),6), 
	[NAME]      = LTRIM(RTRIM(T.NAME)), 
	LINK_DEP    = (select link2 from #DEPARTMENTS_SMETA_KS where link1= '+STR(@DEP_LINK)+')
FROM
	#DICT T
	inner join #TAB_KS_SMART KS  on t.link = ks.link1
WHERE 
	 t.num = 1 
	and ks.link2 is null  


INSERT #PROTOKOL (OP, LINK_1,LINK_2)
SELECT distinct
	''A'',
	LINK_1      = t.link, 
	LINK_2      = a.link
FROM
	#DICT T
	inner join #TAB_KS_SMART KS  on t.link = ks.link1
	inner join ' + @DB + 'dbo.[POST] a on a.CODE ' + @COLLATE + ' = RIGHT(LTRIM(RTRIM(T.CODE)),6) 
										and a.[NAME] ' + @COLLATE + ' =  LTRIM(RTRIM(T.NAME))									
WHERE 
	 t.num = 1 
	and ks.link2 is null  
	and a.LINK_DEP = (select top 1 link2 from #DEPARTMENTS_SMETA_KS where link1= '+STR(@DEP_LINK)+')

'

IF EXISTS (SELECT text FROM #EXEC)
	EXEC @err = dbo.ssp_execresultset 'select text from #EXEC order by id'

--SET @varKStrancount = @@TRANCOUNT
--SET IMPLICIT_TRANSACTIONS ON
--BEGIN TRAN
--COMMIT TRAN

----  
UPDATE dbo.SYNCH_SMETA_SMART_TAB SET 
	COMENT = 
		(SELECT ': ' + CONVERT(VARCHAR(5),COUNT(*)) FROM #PROTOKOL WHERE OP = 'A') 
		+ '; ' + (SELECT ': ' + CONVERT(VARCHAR(5),COUNT(*)) FROM #PROTOKOL WHERE OP = 'U') 
	,[STATUS] = 1
WHERE LINK = @LINK_JOURN_TAB


END





GO


GRANT EXECUTE ON dbo.[SYNCH_DICTIONARY_POST] TO PUBLIC

GO


-- --


GO
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[RSA_4FSS_26092016_PREPARE]') AND OBJECTPROPERTY(id,N'IsProcedure') = 1)
DROP PROCEDURE dbo.[RSA_4FSS_26092016_PREPARE]

GO

CREATE PROCEDURE dbo.RSA_4FSS_26092016_PREPARE
	@Res float output, @varcStr varchar(250), @vardBegin datetime = '20170101', @vardEnd datetime = '20171231', @variCol int, @variRow int, @variLSF int
AS 

EXEC dbo.BufferClear

DECLARE @OUT_VAL NUMERIC(20), @START_DATE DATETIME, @END_DATE DATETIME, @DEP_LINK INT

DECLARE --  
	@C3N NUMERIC(18,6), @C4N NUMERIC(18,6), @C5N NUMERIC(18,6), @C6N NUMERIC(18,6),
	@C3NS NUMERIC(18,6), @C4NS NUMERIC(18,6), @C5NS NUMERIC(18,6), @C6NS NUMERIC(18,6)


select @DEP_LINK = Link_Organization from report_saved_forms where link_saved_form =  @variLSF
set @res = 0
SELECT @START_DATE = @vardBegin, @END_DATE = @vardEnd

DECLARE @BYearDate	datetime
SET @BYearDate = dbo.DateBeginOfYear (@START_DATE)

declare @EndYear datetime
Set @EndYear = dbo.DateEndOfYear(@START_DATE)

DECLARE @nYEAR INT, @nMONTH1 INT, @nMONTH2 INT, @nMONTH3 INT

SELECT 
	@nYEAR = YEAR(@START_DATE),
	@nMONTH1 = MONTH(@START_DATE),
	@nMONTH2 = MONTH(@START_DATE)+1,
	@nMONTH3 = MONTH(@START_DATE)+2

create table #SPR_ESN ([MONTH_BASE] TINYINT, SUMMA_BASE numeric(18,6) default 0.00, DED_M numeric(18,6) default 0.00, INV_M numeric(18,6) default 0.00, SUMMA numeric(18,6) default 0.00, WAY_CALC int default 0.00, REF_PHYS_PERS int default 0, RESIDENT int default 2, KATEG TINYINT)

Insert InTo #SPR_ESN ([MONTH_BASE], SUMMA_BASE, DED_M, INV_M, SUMMA, WAY_CALC, REF_PHYS_PERS , RESIDENT, KATEG)
Select s.[MONTH_BASE], s.SUMMA_BASE, s.DED_M, s.INV_M, s.SUMMA, s.WAY_CALC, s.REF_PHYS_PERS, (CASE c.CODE WHEN '1' then 2 when '2' then 2 ELSE 1 end) , s.KATEG
from dbo.SA_ESN_VIEW(@nYEAR, @nMONTH3, @DEP_LINK, 0) s
left join dbo.person p on p.link = s.REF_PHYS_PERS
left JOIN dbo.CITIZENSHIP c ON c.LINK = p.CITIZ_LINK
WHERE s.WAY_CALC = 2

---  
INSERT INTO #SPR_ESN 
	([MONTH_BASE], SUMMA_BASE, DED_M, INV_M, SUMMA, WAY_CALC, REF_PHYS_PERS, resident, KATEG)
SELECT 
	MONTH(G.[DATE]) AS MONTH_BASE, GT.SUMMA_BASE, 0, 0, GT.SUMMA, P.WAY_CALC, GT.PERS_LINK, (CASE c.CODE WHEN '1' then 2 when '2' then 2 ELSE 1 end) , 
	KATEG = (CASE WHEN I.LINK IS NULL THEN (F.ENVD + 1) ELSE 3 END)
FROM 
	dbo.SDOC G
	INNER JOIN dbo.SDOC_DGH_TABLE GT ON G.LINK = GT.LINK_UP
	INNER JOIN dbo.PAYS P ON P.LINK = GT.LINK_PAY
	INNER JOIN dbo.SAL_SFIN F ON F.LINK = GT.LINK_VKR
	left JOIN DBO.PERSON Pe on Pe.LINK = GT.PERS_LINK
	LEFT JOIN dbo.CITIZENSHIP c ON c.LINK = pe.CITIZ_LINK
	LEFT JOIN dbo.pers_invalid I ON GT.PERS_LINK = I.PERS_LINK 
	AND dbo.DateEndOfMonth(dbo.ConvertDMY2Date(1,MONTH(G.[DATE]),@nYEAR)) BETWEEN I.DATE_BEGIN AND COALESCE(I.DATE_END,'29990101')
WHERE
	G.[OBJECT] =(SELECT LINK FROM S_OBJECTS WHERE CODE = 'DOCUMENTS_DGH')
	AND GT.[OBJECT] = 3
	AND FLAG_JC = 1
	AND P.WAY_CALC = 2
	AND YEAR(G.[DATE]) = @nYEAR
	AND MONTH(G.[DATE]) <= @nMONTH3
	AND LINK_DEP = @DEP_LINK


/* 1*/
DECLARE @BDate datetime, @EndDate datetime, @EDate datetime, @NAvgCount int

SELECT @BDate = @START_DATE, @EndDate = @END_DATE
SET @EDate = dateadd(year,1,convert(varchar, YEAR(@BDate))+'0101')

CREATE TABLE #RES2(CODE_STR VARCHAR(10), BASE_FSS NUMERIC(18,6), CNT_FSS INT, CNT_FEM INT , NUM_PP Varchar(50) default '')

DECLARE @REST NUMERIC(18,2)


/******** **********/

/*     */ ---  
Set @NAvgCount = convert(numeric(18,0), dbo.sa_ssch_empls_4fss(@START_DATE, @END_DATE, @DEP_LINK, 0, 1, 1, DEFAULT))
INSERT INTO #RES2
SELECT '3', 0, @NAvgCount, 0, ''

/*      */ ---  
Set @NAvgCount = convert(numeric(18,0), dbo.sa_ssch_empls_4fss(@START_DATE, @END_DATE, @DEP_LINK, 0, 1, 0, DEFAULT))
INSERT INTO #RES2
SELECT '1', 0, @NAvgCount, 0, ''

/*    */  ---  
INSERT INTO #RES2
SELECT '2', 0, convert(numeric(18,0), dbo.sa_ssch_empls_4fss(@START_DATE, @END_DATE, @DEP_LINK, 2, 1, 0, DEFAULT)), 0 , ''

/*       */ ---  
INSERT INTO #RES2
SELECT '4', 0, convert(numeric(18,0), dbo.sa_ssch_empls_4fss(@START_DATE, @END_DATE, @DEP_LINK, 0, 1, 2, DEFAULT)), 0 , ''




---   
CREATE TABLE #RAZD31 (LINK INT, COL2 NUMERIC(18,2), COL3 NUMERIC(18,2), COL4 NUMERIC(18,2), COL5 NUMERIC(18,2))
INSERT INTO #RAZD31 (LINK)
SELECT DISTINCT 
	P.REF_PHYS_PERS
FROM 
	#SPR_ESN P
WHERE  RESIDENT <> 2

DECLARE @Table_Razd31 VARCHAR(100)
EXEC dbo.X_GET_TABLE_NAME @Table_Razd31 OUTPUT
EXEC ('select * INTO ' + @Table_Razd31 + ' from #RAZD31')
EXEC dbo.BufferPush -116, @Table_Razd31
----  1 

Declare @StBase5 table (link int)
Insert into @StBase5 (link)
select distinct link_pays from tax_ref where link_tax = (select top 1 link from pays where object = 3 and way_calc = 5)


CREATE TABLE #DGH_CJ (PERS_LINK INT, PERIOD_BEGIN DATETIME, SUMMA NUMERIC(18,6), RESIDENT int )
INSERT INTO #DGH_CJ (PERS_LINK, PERIOD_BEGIN, SUMMA, resident)
SELECT PERS_LINK, PERIOD_BEGIN, SUM(SUMMA), (CASE c.CODE WHEN '1' then 2 when '2' then 2 ELSE 1 end)   
FROM dbo.CALCULATE_JURNAL CJ
	inner JOIN DBO.PERSON P1 ON P1.LINK = CJ.PERS_LINK
	INNER JOIN DBO.PAYS P ON P.LINK = CJ.LINK_PAYS
	left join CITIZENSHIP c ON c.LINK= P1.CITIZ_LINK
WHERE
	yEAR(CJ.period_begin) = @nYEAR
	AND CJ.LINK_DEP = @DEP_LINK
	AND P.[OBJECT] = 1
GROUP BY
	PERS_LINK, PERIOD_BEGIN, c.CODE


--   
SELECT GT.PERS_LINK, MONTH(G.[DATE]) AS MONTH_BASE, SUMMA_BASE = sum(CASE WHEN GT.WAY_CALC  = 5 THEN GT.SUMMA_BASE ELSE 0 END)
INTO #DGH_FAKT_BASE2
FROM 
	dbo.DOCUMENTS_DGH G 
	--INNER JOIN dbo.DOCUMENTS_DGH_T1 T1 ON T1.LINK = G.LINK
	--INNER JOIN dbo.REESTR_DGH R ON R.LINK = T1.LINK_DOG  --AND FLAG_TRAVMA = 1	
	INNER JOIN dbo.DOCUMENTS_DGH_T3 GT ON G.LINK = GT.LINK --AND T1.PERS_LINK = GT.PERS_LINK 
WHERE 
	G.LINK_DEP = @DEP_LINK
	AND FLAG_JC = 1
	--AND GT.WAY_CALC  = 5
	AND YEAR(G.[DATE]) = @nYEAR
	AND MONTH(G.[DATE]) <= @nMONTH3 
GROUP BY   GT.PERS_LINK,  MONTH(G.[DATE]) /*, GT.WAY_CALC*/




DECLARE @LINK_EKR213 INT
SET @LINK_EKR213 = (SELECT TOP 1 LINK FROM dbo.KOSGU WHERE CODE = '213')

DECLARE @ESN_213 INT --      213                                                     
SET @ESN_213 = dbo.SA_GET_OPTION_BY_CODE('ESN_OPTIONS_5')


SELECT MON, SUMMA_ALL = SUM(SUMMA_ALL), SUMMA_NO = SUM(SUMMA_NO), SUMMA_ALL_I = SUM(SUMMA_ALL_I), SUMMA_NO_I = SUM(SUMMA_NO_I)
INTO #SALARY_SUM
FROM 
(
select 
	MON = Month(CJ.PERIOD_BEGIN),
	SUMMA_ALL = SUM(SUMMA),
	SUMMA_NO = SUM(CASE WHEN B.LINK IS NULL OR CJ.LINK_EKR = @LINK_EKR213 AND @ESN_213 = 0 THEN SUMMA ELSE 0 END), --     
	SUMMA_ALL_I = SUM(CASE WHEN I.LINK IS NOT NULL AND dbo.DateEndOfMonth(CJ.PERIOD_BEGIN) BETWEEN COALESCE(I.DATE_BEGIN,CJ.PERIOD_BEGIN) AND  COALESCE(I.DATE_END,dbo.DateEndOfMonth(CJ.PERIOD_BEGIN)) THEN SUMMA ELSE 0 END),
	SUMMA_NO_I = SUM(CASE WHEN (B.LINK IS NULL OR CJ.LINK_EKR = @LINK_EKR213 AND @ESN_213 = 0) AND I.LINK IS NOT NULL AND dbo.DateEndOfMonth(CJ.PERIOD_BEGIN) BETWEEN COALESCE(I.DATE_BEGIN,CJ.PERIOD_BEGIN) AND  COALESCE(I.DATE_END,dbo.DateEndOfMonth(CJ.PERIOD_BEGIN)) THEN SUMMA ELSE 0 END)
from 
	dbo.CALCULATE_JURNAL CJ inner join dbo.pays p on p.link = cj.LINK_PAYS
	INNER JOIN DBO.EMPL E ON E.LINK = CJ.LINK_EMPL
	LEFT JOIN @StBase5 B ON B.LINK = cj.LINK_PAYS
	LEFT JOIN DBO.PERS_INVALID I ON I.PERS_LINK = E.PERS_LINK 
			AND dbo.DateEndOfMonth(CJ.PERIOD_BEGIN) BETWEEN I.DATE_BEGIN AND ISNULL(I.DATE_END,'29990101')
			--AND COALESCE(I.DATE_BEGIN,@BYearDate) <= @EndYear AND COALESCE(I.DATE_END,@EndYear) >= @BYearDate
where 	
	Year(period_begin) = @nYEAR and Month(period_begin) <= @nMONTH3 
	and CJ.LINK_DEP = @DEP_LINK
	and P.[OBJECT] = 1
GROUP BY
	Month(CJ.PERIOD_BEGIN)
UNION ALL	
select 
	MON = Month(CJ.PERIOD_BEGIN),
	SUMMA_ALL = SUM(CJ.SUMMA),
	SUMMA_NO = SUM( CJ.SUMMA - ISNULL(B.SUMMA_BASE,0)), --     
	SUMMA_ALL_I = SUM(CASE WHEN I.LINK IS NOT NULL AND dbo.DateEndOfMonth(CJ.PERIOD_BEGIN) BETWEEN COALESCE(I.DATE_BEGIN,CJ.PERIOD_BEGIN) AND  COALESCE(I.DATE_END,dbo.DateEndOfMonth(CJ.PERIOD_BEGIN)) THEN SUMMA ELSE 0 END),
	SUMMA_NO_I = SUM(CASE WHEN I.LINK IS NOT NULL AND dbo.DateEndOfMonth(CJ.PERIOD_BEGIN) BETWEEN COALESCE(I.DATE_BEGIN,CJ.PERIOD_BEGIN) AND  COALESCE(I.DATE_END,dbo.DateEndOfMonth(CJ.PERIOD_BEGIN)) THEN SUMMA - ISNULL(B.SUMMA_BASE,0) ELSE 0 END)
from 
	#DGH_CJ CJ
	INNER JOIN #DGH_FAKT_BASE2 B ON B.PERS_LINK = CJ.PERS_LINK AND B.MONTH_BASE = Month(CJ.PERIOD_BEGIN)
	LEFT JOIN DBO.KU_PERS_INVALID I ON I.PERS_LINK = CJ.PERS_LINK 
		AND dbo.DateEndOfMonth(CJ.PERIOD_BEGIN) BETWEEN I.DATE_BEGIN AND ISNULL(I.DATE_END,'29990101')
		--AND COALESCE(I.DATE_BEGIN,@BYearDate) <= @EndYear AND COALESCE(I.DATE_END,@EndYear) >= @BYearDate
where 	
	Month(period_begin) <= @nMONTH3 
GROUP BY
	Month(CJ.PERIOD_BEGIN)
) AS T
GROUP BY 
	MON
------------------------

--  
DECLARE @LINK_S_OBJ INT
SET @LINK_S_OBJ = (SELECT TOP 1 LINK FROM dbo.S_OBJECTS WHERE CODE = 'DOCUMENTS_CLOSE_MONTH')

CREATE TABLE #TRAVM_LGOTY (I TINYINT, M TINYINT, SUMMA NUMERIC(18,2))
--  
INSERT INTO #TRAVM_LGOTY (I, M, SUMMA)
SELECT I = (CASE WHEN ISNULL(I.PERS_LINK,0) = 0 THEN 0 ELSE 1 END), MONTH(D.[DATE]), SUM(SUMMA)
FROM
	dbo.SDOC D
	INNER JOIN dbo.SDOC_DOT_SKIDKI S ON S.LINK_UP = D.LINK
	LEFT JOIN dbo.pers_invalid I ON S.LINK_PERS = I.PERS_LINK 
		AND dbo.DateEndOfMonth(dbo.ConvertDMY2Date(1,MONTH(D.[DATE]),YEAR(D.[DATE]))) BETWEEN I.DATE_BEGIN AND COALESCE(I.DATE_END,'29990101')	
WHERE
	D.[OBJECT] = @LINK_S_OBJ AND D.FLAG_JC = 1 AND D.LINK_DEP = @DEP_LINK
	AND YEAR(D.[DATE]) = @nYEAR AND MONTH(D.[DATE]) <= @nMONTH3
GROUP BY
	ISNULL(I.PERS_LINK,0), MONTH(D.[DATE])
	
----  	
INSERT INTO #TRAVM_LGOTY (I, M, SUMMA)
SELECT I = (CASE WHEN ISNULL(I.PERS_LINK,0) = 0 THEN 0 ELSE 1 END), MONTH(D.[DATE]), SUM(SUMMA)
FROM
	dbo.SDOC D
	INNER JOIN dbo.SDOC_DOT_VYCHET S ON S.LINK_UP = D.LINK
	LEFT JOIN dbo.pers_invalid I ON S.LINK_PERS = I.PERS_LINK 
		AND dbo.DateEndOfMonth(dbo.ConvertDMY2Date(1,MONTH(D.[DATE]),YEAR(D.[DATE]))) BETWEEN I.DATE_BEGIN AND COALESCE(I.DATE_END,'29990101')	
WHERE
	D.[OBJECT] = @LINK_S_OBJ AND D.FLAG_JC = 1 AND D.LINK_DEP = @DEP_LINK
	AND YEAR(D.[DATE]) = @nYEAR AND MONTH(D.[DATE]) <= @nMONTH3
GROUP BY
	ISNULL(I.PERS_LINK,0), MONTH(D.[DATE])	

---- 1 
--   1
CREATE TABLE #TABLE1 (MON TINYINT, SUMMA3 NUMERIC(18,2), SUMMA4 NUMERIC(18,2), SUMMA5 NUMERIC(18,2) )
INSERT INTO #TABLE1 (MON, SUMMA3, SUMMA4, SUMMA5)
SELECT 
	M.NUM, 
	SUMMA3 = /*ROUND(*/ ISNULL( (SELECT SUM(SUMMA_ALL)/*-SUM(SUMMA_NO)*/ FROM #SALARY_SUM WHERE MON = M.NUM) ,0) /*- ISNULL((SELECT SUM(SUMMA) FROM #TRAVM_LGOTY WHERE M = M.NUM),0)*/ /*,0)*/,
	SUMMA4 = /*ROUND(*/ ISNULL( (SELECT SUM(SUMMA_ALL_I)-SUM(SUMMA_NO_I) FROM #SALARY_SUM WHERE MON = M.NUM) ,0) - ISNULL((SELECT SUM(SUMMA) FROM #TRAVM_LGOTY WHERE I = 1 AND M = M.NUM),0) /*,0)*/,
	SUMMA5 = /*ROUND(*/ ISNULL( (SELECT SUM(SUMMA_NO) FROM #SALARY_SUM WHERE MON = M.NUM) ,0) + ISNULL((SELECT SUM(SUMMA) FROM #TRAVM_LGOTY WHERE M = M.NUM),0) /*,0)*/
FROM
	dbo.MONTHS M
	
	
INSERT INTO #RES2 SELECT '010103', ISNULL( (SELECT SUM(SUMMA3) FROM #TABLE1) ,0) , 0, 0, ''
INSERT INTO #RES2 SELECT '010104', ISNULL( (SELECT SUM(SUMMA4) FROM #TABLE1) ,0), 0, 0, ''
INSERT INTO #RES2 SELECT '010105', ISNULL( (SELECT SUM(SUMMA5) FROM #TABLE1) ,0), 0, 0, ''
---
INSERT INTO #RES2 SELECT '010303', ISNULL( (SELECT SUM(SUMMA3) FROM #TABLE1 WHERE MON = @nMONTH1) ,0) , 0, 0, ''
INSERT INTO #RES2 SELECT '010304', ISNULL( (SELECT SUM(SUMMA4) FROM #TABLE1 WHERE MON = @nMONTH1) ,0), 0, 0, ''
INSERT INTO #RES2 SELECT '010305', ISNULL( (SELECT SUM(SUMMA5) FROM #TABLE1 WHERE MON = @nMONTH1) ,0), 0, 0, ''
---
INSERT INTO #RES2 SELECT '010403', ISNULL( (SELECT SUM(SUMMA3) FROM #TABLE1 WHERE MON = @nMONTH2) ,0) , 0, 0, ''
INSERT INTO #RES2 SELECT '010404', ISNULL( (SELECT SUM(SUMMA4) FROM #TABLE1 WHERE MON = @nMONTH2) ,0), 0, 0, ''
INSERT INTO #RES2 SELECT '010405', ISNULL( (SELECT SUM(SUMMA5) FROM #TABLE1 WHERE MON = @nMONTH2) ,0), 0, 0, ''
---
INSERT INTO #RES2 SELECT '010503', ISNULL( (SELECT SUM(SUMMA3) FROM #TABLE1 WHERE MON = @nMONTH3) ,0) , 0, 0, ''
INSERT INTO #RES2 SELECT '010504', ISNULL( (SELECT SUM(SUMMA4) FROM #TABLE1 WHERE MON = @nMONTH3) ,0), 0, 0, ''
INSERT INTO #RES2 SELECT '010505', ISNULL( (SELECT SUM(SUMMA5) FROM #TABLE1 WHERE MON = @nMONTH3) ,0), 0, 0, ''

--1. 2


---P1. 2
--  ר 303.06   
DECLARE @QV_DATE DATETIME
SELECT @REST = 0, @QV_DATE = @END_DATE+1

--  ר 303.02   
EXEC dbo.SA_BUH_REST @SUM = @REST OUTPUT, @ACT_PAS = 1, @LINK_DEP = @DEP_LINK, @DATE = @BYearDate, @ACC_LINE = '%303.06%'
INSERT INTO #RES2 (CODE_STR, BASE_FSS, CNT_FSS, CNT_FEM) SELECT '0201', @REST, 0, 0 WHERE @REST > 0
INSERT INTO #RES2 (CODE_STR, BASE_FSS, CNT_FSS, CNT_FEM) SELECT '0212', -@REST, 0, 0 WHERE @REST < 0

--  ר 303.06    
EXEC dbo.SA_BUH_REST @SUM = @REST OUTPUT, @ACT_PAS = 1, @LINK_DEP = @DEP_LINK, @DATE = @QV_DATE, @ACC_LINE = '%303.06%'
INSERT INTO #RES2 (CODE_STR, BASE_FSS, CNT_FSS, CNT_FEM) SELECT '0209', -@REST, 0, 0 WHERE @REST < 0
INSERT INTO #RES2 (CODE_STR, BASE_FSS, CNT_FSS, CNT_FEM) SELECT '0719', @REST, 0, 0 WHERE @REST > 0





select 
	MON = Month(CJ.PERIOD_BEGIN),
	SUMMA = SUM(SUMMA)
INTO 
	#SALARY_SUM1
from 
	dbo.CALCULATE_JURNAL CJ inner join dbo.pays p on p.link = cj.LINK_PAYS
where 	
	Year(period_begin) = @nYEAR and Month(period_begin) <= @nMONTH3 
	and CJ.LINK_DEP = @DEP_LINK
	and CJ.LINK_PAYS = (select top 1 link from pays where object = 3 and way_calc = 5)
GROUP BY
	Month(CJ.PERIOD_BEGIN)

--1. 2
INSERT INTO #RES2 SELECT '0221', SUM(SUMMA), 0, 0, '' FROM #SALARY_SUM1 WHERE MON < @nMONTH1
INSERT INTO #RES2 SELECT '0223', SUM(SUMMA), 0, 0, '' FROM #SALARY_SUM1 WHERE MON = @nMONTH1
INSERT INTO #RES2 SELECT '0224', SUM(SUMMA), 0, 0, '' FROM #SALARY_SUM1 WHERE MON = @nMONTH2
INSERT INTO #RES2 SELECT '0225', SUM(SUMMA), 0, 0, '' FROM #SALARY_SUM1 WHERE MON = @nMONTH3

---   
CREATE TABLE #PLAT (VID TINYINT, Y INT, MON TINYINT, SUMMA NUMERIC(18,2), Y_p INT, MON_p TINYINT, NUMBER VARCHAR(30))

EXEC dbo.ZP_SUM_PROV 
	@PERIOD_BEG = @BYearDate,
	@PERIOD_END = @end_date,
	@DEP_LINK = @DEP_LINK, 
	@sDT_ACC_LINE='_.303.06', 
	@sKT_ACC_LINE='_.304.05:_.201.11:_.201.21:_.201.27', 
	@sDT_EKR_FILTER='CODE <> ''290'''
	
INSERT INTO #RES2 (CODE_STR, BASE_FSS, CNT_FSS, CNT_FEM)
SELECT '02163', 
		(SELECT ISNULL(SUM(SUMMA),0) FROM #PLAT WHERE Y >= @nYEAR and MON = @nMONTH1), 
		'', 
		0   

INSERT INTO #RES2 (CODE_STR, BASE_FSS, CNT_FSS, CNT_FEM)
SELECT '02164', 
		(SELECT ISNULL(SUM(SUMMA),0) FROM #PLAT WHERE Y >= @nYEAR and MON = @nMONTH2), 
		'', 
		0   

INSERT INTO #RES2 (CODE_STR, BASE_FSS, CNT_FSS, CNT_FEM)
SELECT '02165', 
		(SELECT ISNULL(SUM(SUMMA),0) FROM #PLAT WHERE Y >= @nYEAR and MON = @nMONTH3), 
		'', 
		0   

---    
SELECT  VID,
		Y , 
		MON ,
		NUMBER	
INTO #PLAT_PP1
FROM #PLAT 
GROUP  BY VID , Y , MON, NUMBER

DROP TABLE #PLAT

BEGIN 
	declare @Cur_1 cursor , @VID1 tinyint , @Y1 INT, @MON1 TINYINT, @NUMBER1 VARCHAR(10)

	SET @Cur_1 = CURSOR FORWARD_ONLY
	FOR 
		select VID, Y, MON, NUMBER from #PLAT_PP1 order by VID, Y, MON, NUMBER
	OPEN @Cur_1
	FETCH NEXT FROM @Cur_1 INTO @VID1, @Y1, @MON1, @NUMBER1
	
	WHILE (@@fetch_status <> -1)
	BEGIN
		
		IF (@@fetch_status <> -2)
		BEGIN	
			if  @Y1 = @nYEAR and @MON1 = @nMONTH1
				UPDATE #RES2
					set NUM_PP = (case when NUM_PP is null or NUM_PP= '' then ltrim(RTRIM(@NUMBER1)) else ltrim(RTRIM(NUM_PP))+','+ ltrim(RTRIM(@NUMBER1)) end )
				where code_str = '02163' 

			if  @Y1 = @nYEAR and @MON1 = @nMONTH2
				UPDATE #RES2
					set NUM_PP = (case when NUM_PP is null or NUM_PP= '' then ltrim(RTRIM(@NUMBER1)) else ltrim(RTRIM(NUM_PP))+','+ ltrim(RTRIM(@NUMBER1)) end )
				where code_str = '02164'

			if  @Y1 = @nYEAR and @MON1 = @nMONTH3
				UPDATE #RES2
					set NUM_PP = (case when NUM_PP is null or NUM_PP= '' then ltrim(RTRIM(@NUMBER1)) else ltrim(RTRIM(NUM_PP))+','+ ltrim(RTRIM(@NUMBER1)) end )
				where code_str = '02165'				

		end
		FETCH NEXT FROM @Cur_1 INTO @VID1, @Y1, @MON1, @NUMBER1
	end

CLOSE @Cur_1
DEALLOCATE @Cur_1

END 

drop table #PLAT_PP1





SELECT P.F4FSS, E.[STATUS], RESIDENT = (CASE c.CODE WHEN '1' then 2 when '2' then 2 ELSE 1 end) , CNT_EMPL = COUNT(DISTINCT J.LINK_EMPL), CNT = COUNT( J.LINK_EMPL),SUMMA = SUM(SUMMA), CNT_DAYS = SUM([DAYS])
INTO #ATR_4FSS
FROM 
	dbo.ATRIBUT_F4FSS A
	INNER JOIN dbo.PAYS P ON A.LINK = P.F4FSS
	INNER JOIN dbo.CALCULATE_JURNAL J ON P.LINK = J.LINK_PAYS
	INNER JOIN DBO.SA_EMPLS_INFO(@END_DATE, DEFAULT) E ON E.EMPL_LINK = J.LINK_EMPL 	
	INNER JOIN dbo.sd_empl se ON  sE.LINK = E.EMPL_LINK 
	INNER JOIN dbo.PERSON pe ON pe.LINK=se.PERS_LINK
	INNER JOIN dbo.CITIZENSHIP c ON c.LINK = pe.CITIZ_LINK
WHERE
	Year(period_begin) = @nYEAR and Month(period_begin) <= @nMONTH3
	and J.LINK_DEP = @DEP_LINK
	and P.[OBJECT] = 1	
	and P.F4FSS > 1
	AND J.LINK_EKR = (SELECT LINK FROM KOSGU WHERE CODE = '213')	
GROUP BY 	
	P.F4FSS, E.[STATUS],c.CODE 


-- 3

INSERT INTO #RES2
SELECT '0301', 
	ISNULL((SELECT SUM(SUMMA) FROM #ATR_4FSS WHERE F4FSS = 10),0),
	ISNULL((SELECT SUM(CNT_DAYS) FROM #ATR_4FSS WHERE F4FSS = 10),0),	
	0, ''

INSERT INTO #RES2
SELECT '0302', 
	ISNULL((SELECT SUM(SUMMA) FROM #ATR_4FSS WHERE F4FSS = 10 AND [STATUS] = 3),0),
	ISNULL((SELECT SUM(CNT_DAYS) FROM #ATR_4FSS WHERE F4FSS = 10 AND [STATUS] = 3),0),	
	0, ''	
	
INSERT INTO #RES2
SELECT '0304', 
	ISNULL((SELECT SUM(SUMMA) FROM #ATR_4FSS WHERE F4FSS = 11),0),
	ISNULL((SELECT SUM(CNT_DAYS) FROM #ATR_4FSS WHERE F4FSS = 11),0),	
	0, ''

INSERT INTO #RES2
SELECT '0305', 
	ISNULL((SELECT SUM(SUMMA) FROM #ATR_4FSS WHERE F4FSS = 11 AND [STATUS] = 3),0),
	ISNULL((SELECT SUM(CNT_DAYS) FROM #ATR_4FSS WHERE F4FSS = 11 AND [STATUS] = 3),0),	
	0, ''		

INSERT INTO #RES2
SELECT '0307', 
	ISNULL((SELECT SUM(SUMMA) FROM #ATR_4FSS WHERE F4FSS = 12),0),
	ISNULL((SELECT SUM(CNT_DAYS) FROM #ATR_4FSS WHERE F4FSS = 12),0),	
	0, ''

DECLARE  @SPO4 INT
SELECT @SPO4 = (SELECT distinct LINK FROM dbo.SA_SZV4_SPR WHERE code = '4' AND spr_code = 'SPO_USL_TRUDA' )




-----    
--1. 5
select [KOL_ALL] = SUM(S.NUM_STAKE),
		[KOL_SPO_ALL] = SUM(CASE WHEN S.COD_SPO_USL_TRUD IS NOT NULL THEN S.NUM_STAKE ELSE 0 END ),
		[KOL_SPO_3] =  SUM(CASE WHEN (ISNULL(S.COD_SPO_USL_TRUD, 0) <> 0 
							AND S.COD_SPO_USL_TRUD = @SPO4 
							)  
					   THEN  S.NUM_STAKE 
					   ELSE 0 END) ,	   
		[KOL_SPO_4] = SUM(CASE WHEN (ISNULL(S.COD_SPO_USL_TRUD, 0) <> 0 
							AND S.COD_SPO_USL_TRUD <> @SPO4 
							)  
					   THEN  S.NUM_STAKE 
					   ELSE 0 END) 	  
	
INTO 
	#STAF_ALL
from 
	dbo.staff s inner join dbo.staff_head sh on s.link_up = sh.LINK
where 	
	sh.DEP_LINK = @DEP_LINK
	and @vardEnd between s.date_begin and s.date_end 




INSERT INTO #RES2 SELECT '050103', KOL_ALL, 0, 0, '' FROM #STAF_ALL 
INSERT INTO #RES2 SELECT '050104', KOL_SPO_ALL, 0, 0, '' FROM #STAF_ALL 
INSERT INTO #RES2 SELECT '050105', KOL_SPO_3, 0, 0, '' FROM #STAF_ALL 
INSERT INTO #RES2 SELECT '050106', KOL_SPO_4, 0, 0, '' FROM #STAF_ALL 


/*  -      */
DECLARE @Table_Razd1 VARCHAR(100)
EXEC dbo.X_GET_TABLE_NAME @Table_Razd1 OUTPUT
EXEC ('select * INTO ' + @Table_Razd1 + ' from #RES2 order by code_str')
EXEC dbo.BufferPush -115, @Table_Razd1


DROP TABLE #RES2
DROP TABLE #SPR_ESN
DROP TABLE #ATR_4FSS
--DROP TABLE #SPR_ESN1KATEG3
--DROP TABLE #SPR_ESN2KATEG3
DROP TABLE #RAZD31
DROP TABLE #DGH_FAKT_BASE2
DROP TABLE #SALARY_SUM
DROP TABLE #SALARY_SUM1
DROP TABLE #TRAVM_LGOTY
DROP TABLE #TABLE1








GO


GRANT EXECUTE ON dbo.[RSA_4FSS_26092016_PREPARE] TO PUBLIC

GO


-- --


GO
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[RSA_RPSV_PERS_UCH_SZV]') AND OBJECTPROPERTY(id,N'IsProcedure') = 1)
DROP PROCEDURE dbo.[RSA_RPSV_PERS_UCH_SZV]

GO

--   EXEC DBO.RSA_RPSV_PERS_UCH_SZV  '20160101', '20161231', 13488, 0 , 3223
CREATE PROCEDURE dbo.RSA_RPSV_PERS_UCH_SZV
	@dDate1 DATETIME,
	@dDate2 DATETIME,
	@LINK_DEP int = NULL,
	@REP TINYINT = 0, 
	@VARILSF INT = null
AS BEGIN


	declare @DEP_LINK int
	exec dbo.xd_whats_zb @DEP_LINK output

	SET @DEP_LINK = COALESCE(@LINK_DEP,@DEP_LINK)

   DECLARE @nYEAR INT, @nMONTH1 INT, @nMONTH2 INT, @nMONTH3 INT
	
	SELECT 
		@nYEAR = YEAR(@dDATE1),
		@nMONTH1 = MONTH(@dDATE1),
		@nMONTH2 = MONTH(@dDATE1)+1,
		@nMONTH3 = MONTH(@dDATE1)+2

	DECLARE @ATR_PERS_UCH INT
	DECLARE @ATR_likvid INT
	DECLARE @NUM_KOR  INT 
	SET @ATR_PERS_UCH  = (SELECT DBO.RN_GET_ATR_VALUE(@VARILSF, 'REPORTS_ATR_PERS_UCH'))
	SET @ATR_likvid  = CASE WHEN (SELECT DBO.RN_GET_ATR_VALUE(@VARILSF, 'REPORTS_ATR_LIKVID')) = '' THEN 0 ELSE 1 END 
	SET @NUM_KOR  = (SELECT [version] FROM REPORT_SAVED_FORMS AS rsf WHERE Link_Saved_Form = @VARILSF)


	SELECT * into #docs FROM   dbo.SA_SZV4_PACHKA P 
	WHERE
	p.link_dep = @DEP_LINK and p.link = @ATR_PERS_UCH 
	
	INSERT INTO #docs
	SELECT * 
	FROM   dbo.SA_SZV4_PACHKA P 
	WHERE
	p.link_dep = @DEP_LINK and p.year_begin = year(@dDate1) and month_end <= month(@dDate2) and p.type = 1 and vid_kor <> 1
	/*AND p.[per_edt] < p.[per] *//*AND p.YEAR_EDT >= 2014*/ AND P.LINK_ISHOD = @ATR_PERS_UCH


	--   
	DECLARE @ROUND_TYPE tinyint, @ROUND_LEN tinyint
	Set @ROUND_TYPE = dbo.sa_get_option_by_code('SA_SZV4_OPT2')
	Set @ROUND_LEN = (case when @ROUND_TYPE <= 1 then 2 else 0 end)
	Set @ROUND_TYPE = (case when @ROUND_TYPE = 3 then 1 else 0 end)

	--  
	DECLARE @IT_ROUND_TYPE tinyint
	Set @IT_ROUND_TYPE = dbo.sa_get_option_by_code('SA_SZV4_OPT5')
	
	-----  
	Select
		[YEAR] = ISNULL(CASE WHEN year_begin >= 2013 THEN year_begin ELSE NULL END ,0),
		[CODE] = CASE WHEN K.CODE = '' then '' else K.CODE end ,
		[PER] = ISNULL(CASE WHEN year_begin >= 2013 THEN PER ELSE NULL END ,0),
		[PER10] = ISNULL(CASE WHEN year_begin = 2013 THEN PER ELSE NULL END ,0),
		[TYPE] = P.vid_kor,
		[PER_EDT] = ISNULL(PER_EDT,0),
		[YEAR_EDT] = ISNULL(YEAR_EDT,0),
		[NGROUP] = S.pachka,
		[PFNUMBER] = PF_NUM,
		[T_DOG] = s.forma,
		LINK_FACE,
		NUM = ROW_NUMBER() OVER (PARTITION BY LINK_FACE ORDER BY s.forma),
		[FM],
		[IM],
		[OT],
		[ADDRESS] = [ADDRESS],
		[INC_M1] = s1.INCOME_M1,
		[B_BEF_M1] = s1.BASE_BEFORE_M1,
		[B_AFT_M1] = s1.BASE_AFTER_M1, 
		[INC_M2] = s1.INCOME_M2,
		[B_BEF_M2] = s1.BASE_BEFORE_M2,
		[B_AFT_M2] = s1.BASE_AFTER_M2,	
		[INC_M3] = s1.INCOME_M3,
		[B_BEF_M3] = s1.BASE_BEFORE_M3,
		[B_AFT_M3] = s1.BASE_AFTER_M3,
		[INC_T1M1] = s1.INCOME_T1_M1,
		[INC_T2M1] = s1.INCOME_T2_M1,
		[INC_T1M2] = s1.INCOME_T1_M2,
		[INC_T2M2] = s1.INCOME_T2_M2,
		[INC_T1M3] = s1.INCOME_T1_M3,
		[INC_T2M3] = s1.INCOME_T2_M3, 
		[INSUR] = COALESCE(S.sum_doh,0), --     . 
		[INSUR1] = COALESCE(S.INSUR,0), --     . 
		[GAIN] = COALESCE(S.GAIN,0), --     . 
		[GAIN1] = COALESCE(S.DOP,0), --     . 
		[DOP] = COALESCE(S.DOP,0),
		[ID_EX] = ST.orders,
		[DATE_BEGIN] = date1,
		[DATE_END] = date2,
		dper_vn_m = coalesce(s.dper_vn_m,0),
		dper_vn_d = coalesce(s.dper_vn_d,0),
		dper_oz_m = coalesce(s.dper_oz_m,0),
		dper_oz_d = coalesce(s.dper_oz_d,0),
		[TU_CODE] = f_ter_usl,
		[OS_CODE] = f_osob_usl,
		osob_usl,
		OSOB_SPO = LTRIM(RTRIM(ST.OSOB_SPO)),
		[EX_CODE] = is_osnov,
		f_is_dop,
		[P_CODE] = ud_osnov,
		f_ud_dop,
		DATE_DOC = [date],
		dep_PFNUM = d.PFNUMBER,
		FNAME = 'PFR-700-Y-' + CONVERT(VARCHAR(4),year_begin) + '-ORG-' + LTRIM(RTRIM(d.PFNUMBER)) + '-DCK-' + REPLACE(str(S.pachka,5),' ','0') + '-DPT-000000-DCK-00000.XML',	
		link_doc =p.link
	INTO #SZV_ALL
	FROM
		dbo.SA_SZV4_PACHKA P INNER JOIN dbo.SA_SZV4_SVEDENIA S ON P.link = S.link
		inner join SZV4_SVEDENIA s1 on s1.link = s.link1
		INNER JOIN dbo.SA_PFR_KATEG K ON K.LINK = S.LINK_KATEG AND year_begin BETWEEN YBEG AND YEND	
		LEFT JOIN dbo.SA_SZV4_STAZH ST ON S.link1 = ST.link
		inner join departments d on d.link = p.link_dep 
	WHERE
		P.link in (select link from #DOCS)
		and P.proverka = 1
		and p.link_dep = @DEP_LINK
	ORDER BY
		[TYPE], K.CODE, s.forma, S.pachka, S.orders, ST.orders
	


	UPDATE T
		SET	FNAME = REPLACE( FNAME, REPLACE(str(((SELECT MAX(nGROUP) FROM #SZV_ALL  where link_face =t.link_face )),5)+'-',' ','0'),REPLACE(str(((SELECT MIN(nGROUP) FROM #SZV_ALL  where link_face =t.link_face )),5)+'-',' ','0')), 
		nGROUP = (SELECT MIN(nGROUP) FROM #SZV_ALL  where link_face =t.link_face )
	FROM  #SZV_ALL t 
	where link_face in (select  a.link_face   
						from #SZV_ALL a 
						where link_face in ( select link_face from #SZV_ALL where link_face = a.link_face and  link_doc = a.link_doc and code <> a.code and [TYPE] = 1 ) and [TYPE] = 1 ) 
				and [TYPE] = 1
			
---      
declare @MAX_PACHKA_ISHOD  int,@MIN_PACHKA_ISHOD int,  @MIN_PACHKA_KORR int,  
		@ID int

select @MAX_PACHKA_ISHOD = max(NGROUP),
		@MIN_PACHKA_ISHOD = min(NGROUP),
		@MIN_PACHKA_KORR = (select min(NGROUP) FROM #SZV_ALL WHERE TYPE <> 1)
		FROM #SZV_ALL WHERE TYPE = 1

IF @MIN_PACHKA_ISHOD = @MIN_PACHKA_KORR

BEGIN 
	declare @Cur cursor , @GR int , @FNAME varchar(100)
	set @ID = 1
	SET @Cur = CURSOR FORWARD_ONLY
	FOR 
		select ngroup,FNAME  from #SZV_ALL WHERE TYPE <> 1 group by ngroup,FNAME
	OPEN @Cur
	FETCH NEXT FROM @Cur INTO @GR, @FNAME
	
	WHILE (@@fetch_status <> -1)
	BEGIN
		
		IF (@@fetch_status <> -2)
		BEGIN	

			UPDATE #SZV_ALL
				set NGROUP = @MAX_PACHKA_ISHOD+@ID --, t.[cGRP] =  '00'+ (@MAX_PACHKA_ISHOD+@ID)
			where ngroup = @GR AND FNAME = @FNAME and TYPE <> 1
				
			set @ID = @ID+1	
		end
		FETCH NEXT FROM @Cur INTO @GR , @FNAME
	end

CLOSE @Cur
DEALLOCATE @Cur

END 

UPDATE t
	SET  FNAME=  'PFR-700-Y-' + CONVERT(VARCHAR(4),[year]) + '-ORG-' + LTRIM(RTRIM(dep_PFNUM)) + '-DCK-' + REPLACE(str(NGROUP,5),' ','0') + '-DPT-000000-DCK-00000.XML'	
	from #SZV_ALL t  WHERE TYPE <> 1

----------------------------
SELECT * INTO #SZV_SUM FROM
(SELECT 
	RN = ROW_NUMBER() OVER (PARTITION BY LINK_FACE, CODE, T_DOG, [TYPE], PER_EDT, NGROUP/*, ID_EX*/ ORDER BY T_DOG),
	CODE,
	LINK_FACE,
	[PFNUMBER],
	T_DOG,
	sum(INC_M1) AS INC_M1,
	sum(B_BEF_M1) AS B_BEF_M1,
	sum(B_AFT_M1) AS B_AFT_M1,
	sum(INC_M2) AS INC_M2,
	sum(B_BEF_M2) AS B_BEF_M2,
	sum(B_AFT_M2) AS B_AFT_M2,
	sum(INC_M3) AS INC_M3,
	sum(B_BEF_M3) AS B_BEF_M3,
	sum(B_AFT_M3) AS B_AFT_M3,		
	per,
	[year],
	[TYPE],
	per_edt,
	year_edt,
	sum(INSUR) AS INSUR	
FROM 
	#SZV_ALL 
	GROUP BY CODE ,LINK_FACE,[PFNUMBER],T_DOG,per,[year],[TYPE],per_edt,year_edt,NGROUP,ID_EX
) T WHERE RN = 1	

-- EXEC DBO.RSA_RPSV_PERS_UCH_SZV  '20160101', '20161231', 13488, 0 , 3223
-----------
DECLARE @PREDEL NUMERIC(18,2)
SET @PREDEL = ISNULL((SELECT MIN(PREDEL) FROM dbo.DICTIONARY_RANGE_PF WHERE WAY_CALC = 6 AND TARIF = 1 AND [DATE] >= dbo.ConvertDMY2Date(1,1,YEAR(@dDate1))),0)
-----------
SELECT 
	LINK_FACE, [PFNUMBER], CODE, per, [year], [TYPE], per_edt, year_edt, INSUR = SUM(INSUR)
INTO 
	#SZV_PC 		
FROM 
	(
	SELECT 
		A.LINK_FACE, A.[PFNUMBER], A.CODE, A.T_DOG, A.per, A.[year], A.[TYPE], A.per_edt, A.year_edt, 
		INSUR = CASE WHEN MIN(B_AFT_M1) + MIN(B_AFT_M2) + MIN(B_AFT_M3) <> 0 THEN
					MIN(B_BEF_M1 * PERCENT1 / 100) + MIN(B_BEF_M2 * PERCENT1 / 100) + MIN(B_BEF_M3 * PERCENT1 / 100)
				ELSE
					MIN(INSUR)
				END				
	FROM 
		#SZV_SUM A INNER JOIN dbo.SA_PFR_KATEG B ON A.CODE = B.CODE AND [year] BETWEEN YBEG AND YEND
			INNER JOIN 
			(
				SELECT 
					TARIF, PERCENT1
				FROM 
					dbo.DICTIONARY_RANGE_PF D
				WHERE
					WAY_CALC = 6 AND PREDEL = @PREDEL
					AND [DATE] = (SELECT TOP 1 [DATE] FROM dbo.DICTIONARY_RANGE_PF D1 WHERE D1.TARIF = D.TARIF AND ISNULL(D1.SPECO,0) = ISNULL(D.SPECO,0) AND WAY_CALC = 6 AND DATE <= @dDate1 ORDER BY [DATE] DESC) 
			) C ON C.TARIF = B.LINK2 
	GROUP BY
		A.LINK_FACE, A.[PFNUMBER], A.CODE, A.T_DOG, A.per, A.[year], A.[TYPE], A.per_edt, A.year_edt
	) T
GROUP BY
	LINK_FACE, [PFNUMBER], CODE, per, [year], [TYPE], per_edt, year_edt


-----------------------------------------------------

	IF @REP = 0 
	BEGIN 
	
	--PARTITION BY SNILS, [TYPE] ORDER BY CODE_STR
	--(ORDER BY a.[PFNUMBER]))
		SELECT
			CODE = CONVERT(VARCHAR(4),RANK() OVER (ORDER BY  a.[TYPE],a.[T_DOG], a.[FM],a.[IM],a.[OT])),
			COL1 = CONVERT(VARCHAR(4),RANK() OVER (ORDER BY a.[TYPE],a.[T_DOG], a.[FM],a.[IM],a.[OT])),
			COL2 = @NUM_KOR, 
			COL3 = CASE WHEN @ATR_likvid = 0 then (CASE a.per when 1 THEN 21 
															  WHEN 2 THEN 31
															  WHEN 3 THEN 33
															  WHEN 4 THEN 34 END )
											 ELSE (CASE a.per when 1 THEN 51 
															  WHEN 2 THEN 52
															  WHEN 3 THEN 53
															  WHEN 4 THEN 90 END )			  
											END ,
			COL4 = a.year,
			COL5 = CONVERT(VARCHAR(10), a.DATE_DOC, 104),
			COL6 = p.INN ,
			COL7 = CONVERT(VARCHAR(14),a.[PFNUMBER]),
			COL8 = CONVERT(varchar(100),a.[FM]),
			COL9 = CONVERT(varchar(100),a.[IM]),
			COL10 = CONVERT(varchar(100),a.[OT]),
			COL11 = CONVERT(VARCHAR(10),p.BIRTHDATE, 104),
			COL12 = (SELECT CODE FROM CITIZENSHIP WHERE link = p.CITIZ_LINK),
			COL13 = p.SEX,
			col14 = (SELECT code FROM FACE_DOCUMENT WHERE LINK = p.DOC_LINK ) ,
			col15 = LEFT(REPLACE(ltrim(rtrim(p.DOC_NUM)),' ',''),4),
			col16 = SUBSTRING(REPLACE(ltrim(rtrim(p.DOC_NUM)),' ','') , 4 , 6),
			col17 = 1,
			col18 = 1,
			col19 = 1,
			COL20 = [TYPE],
			COL21 = [NGROUP],
			COL22 = [FNAME],
			col23 = per_EDT
		FROM
			#SZV_ALL a
		inner join dbo.PERSON p on p.LINK = a.LINK_FACE 
		GROUP BY a.[TYPE],a.[T_DOG],a.[FM],a.[IM],a.[OT],a.[PFNUMBER], a.[NGROUP], a.[FNAME],a.DATE_DOC,a.per_EDT, 
		a.PER, a.[YEAR], p.inn,p.BIRTHDATE,p.CITIZ_LINK,p.SEX,p.DOC_LINK,p.DOC_NUM
		ORDER BY
			a.[TYPE],a.[T_DOG],a.[FM],a.[IM],a.[OT],a.per_EDT

	END

-- EXEC DBO.RSA_RPSV_PERS_UCH_SZV  '20170401', '20170630', 13488, 1 ,      2892
	IF @REP = 1 
	BEGIN 	

	/*****************************************************/
	--     
	/*****************************************************/
		create table #TMP1(CODE int,col1 int,   COL2 varchar(14), COL3 varchar(100), COL4 varchar (4), COL5 varchar (4), COL6 numeric(18,2), COL7 numeric(18,2), 
						   COL8 numeric(18,2), COL9 numeric(18,2),COL10 numeric(18,2) , COL11 varchar(1), COL12 varchar(4), COL13 varchar(15), COL14 varchar(1), COL15 varchar(4),
						   COL16 int, COL17 varchar(100), COL18 varchar(100), COL19 varchar(100), COL20 int, COL21 int, COL22 numeric(18,2), COL23 numeric(18,2), COL24 numeric(18,2),
						   COL25 int, COL26 int, COL27 numeric(18,2), COL28 numeric(18,2), COL29 numeric(18,2),
						   COL30 int, COL31 int, COL32 numeric(18,2), COL33 numeric(18,2), COL34 numeric(18,2),
						   COL35 int, COL36 int, COL37 numeric(18,2), COL38 numeric(18,2), COL39 numeric(18,2),
						   COL40 int, COL41 int, COL42 numeric(18,2), COL43 numeric(18,2), COL44 numeric(18,2), COL45 char(1) DEFAULT '' )
		
		
		/***************************************/
		--            
			
			
			------
	
			---  
			DECLARE @BYearDate	datetime
			SET @BYearDate = dbo.DateBeginOfYear (@dDate1)

			DECLARE @nYEAR1 INT, @nMONTH_1 INT, @nMONTH_2 INT, @nMONTH_3 INT
			SELECT 
				@nYEAR1 = YEAR(@dDate1),
				@nMONTH_1 = MONTH(@dDate1),
				@nMONTH_2 = MONTH(@dDate1)+1,
				@nMONTH_3 = MONTH(@dDate1)+2
			
			DECLARE @BDate datetime, @EndDate datetime, @EDate DATETIME, @EndYear datetime
			Set @EndYear = dbo.DateEndOfYear(@dDate1)
			SELECT @BDate = @dDate1, @EndDate = @dDate2
			SET @EDate = dateadd(year,1,convert(varchar, YEAR(@BDate))+'0101')
	
			--   
			SELECT 
				GT.PERS_LINK, MONTH(G.[DATE]) AS MONTH_BASE, F.ENVD, SUMMA_BASE = sum(GT.SUMMA_BASE)
			INTO #DGH_FAKT_BASE
			FROM 
				dbo.DOCUMENTS_DGH G INNER JOIN dbo.DOCUMENTS_DGH_T3 GT ON G.LINK = GT.LINK
				INNER JOIN dbo.SAL_SFIN F on F.LINK = GT.LINK_VKR
			WHERE 
				FLAG_JC = 1
				AND GT.WAY_CALC  = 6
				AND YEAR(G.[DATE]) = @nYEAR1
				AND MONTH(G.[DATE]) <= @nMONTH_3
				--AND LINK_DEP = @DEP_LINK 
			GROUP BY 
				GT.PERS_LINK, MONTH(G.[DATE]), F.ENVD

			SELECT  PERS_LINK, MONTH_BASE, SUMMA_BASE = SUM(SUMMA_BASE)
			INTO #DGH_FAKT_BASE1
			FROM #DGH_FAKT_BASE
			GROUP BY PERS_LINK, MONTH_BASE


			--   
			CREATE TABLE #CALCULATE_JURNAL (LINK_PAYS INT, PERIOD_BEGIN DATETIME, LINK_DOC INT, PERS_LINK INT, LINK_VKR INT, LINK_EKR INT, LINK_EMPL INT, SUMMA NUMERIC(18,2), WAY_CALC TINYINT , SPECO int)
			INSERT INTO #CALCULATE_JURNAL (LINK_PAYS, PERIOD_BEGIN, LINK_DOC, PERS_LINK, LINK_VKR, LINK_EKR, LINK_EMPL, SUMMA,way_calc , SPECO)
			SELECT CJ.LINK_PAYS, CJ.PERIOD_BEGIN, CJ.LINK_DOC, CJ.PERS_LINK, CJ.LINK_VKR, cj.LINK_EKR, CJ.LINK_EMPL, SUMMA = SUM(CJ.SUMMA), p.way_calc , SPECO
			FROM dbo.CALCULATE_JURNAL CJ INNER JOIN dbo.PAYS P ON  CJ.LINK_PAYS = p.link
			WHERE
				Year(period_begin) = @nYEAR1 
				and Month(period_begin) <= @nMONTH_3 
				and CJ.LINK_DEP = @DEP_LINK
			GROUP BY
				cj.LINK_PAYS, cj.PERIOD_BEGIN, cj.LINK_DOC, cj.PERS_LINK, cj.LINK_VKR, cj.LINK_EKR, cj.LINK_EMPL, P.WAY_CALC,cj.SPECO
						
			--
			Declare @StBase2 table (link int)
			Insert into @StBase2 (link)
			select distinct link_pays from tax_ref where link_tax = (select top 1 link from pays where object = 3 and way_calc = 6)
			
			DECLARE @LINK_EKR213 INT
			SET @LINK_EKR213 = (SELECT TOP 1 LINK FROM dbo.KOSGU WHERE CODE = '213')

			DECLARE @ESN_213 INT --      213                                                     
			SET @ESN_213 = dbo.SA_GET_OPTION_BY_CODE('ESN_OPTIONS_5')
			
				
			------	      
			SELECT DISTINCT PERS_LINK 
			INTO #PERS_INV
			FROM dbo.PERS_INVALID I
			WHERE COALESCE(I.DATE_BEGIN,@BYearDate) <= @EndYear AND COALESCE(I.DATE_END,@EndYear) >= @BYearDate
			
			delete from #PERS_INV
			
			
			------	             
			SELECT DISTINCT sd.LINK, DOP = (CASE when S.COD_POS_SPISOK is NOT NULL then 1 else 2 end) , SPO = isnull(s4.code,'')
			INTO #EMPL_DT
			FROM DBO.KU_EMPL_PLACING SD
				left JOIN (select * from STAFF WHERE dbo.DateEndOfMonth(dbo.ConvertDMY2Date(1,@nMONTH_3,@nYEAR1)) BETWEEN DATE_BEGIN AND DATE_END  ) S ON S.LINK_up = SD.STAFF_HEAD AND dbo.DateEndOfMonth(dbo.ConvertDMY2Date(1,@nMONTH_3,@nYEAR1 )) BETWEEN S.DATE_BEGIN AND S.DATE_END
				LEFT JOIN SA_SZV4_SPR  s4 ON  s4.link = s.COD_SPO_USL_TRUD AND s4.spr_code = 'SPO_USL_TRUDA'
				WHERE 
					(S.COD_POS_SPISOK is NOT NULL OR S.COD_POS_SPISOK2 is NOT NULL) 

			--  #SALARY_SUM2
			CREATE TABLE #SALARY_SUM_DATA (PERS_LINK INT,t_dog TINYINT, PERIOD_BEGIN DATETIME, SUMMA_ALL NUMERIC(18,2), SUMMA_NO NUMERIC(18,2), SUMMA_ALL_I NUMERIC(18,2), SUMMA_NO_I NUMERIC(18,2), SUMMA_ALL_E NUMERIC(18,2), SUMMA_NO_E NUMERIC(18,2), INV TINYINT 
					, SUMMA_NO_D1 NUMERIC(18,2), SUMMA_NO_D2 NUMERIC(18,2),    
				SUM_NO_D1_O4 NUMERIC(18,2) ,SUM_NO_D1_B34 NUMERIC(18,2) ,SUM_NO_D1_B33 NUMERIC(18,2),SUM_NO_D1_B32 NUMERIC(18,2), SUM_NO_D1_B31 NUMERIC(18,2),
					SUM_NO_D2_O4 NUMERIC(18,2) ,SUM_NO_D2_B34 NUMERIC(18,2) ,SUM_NO_D2_B33 NUMERIC(18,2),SUM_NO_D2_B32 NUMERIC(18,2), SUM_NO_D2_B31 NUMERIC(18,2) , sack CHAR(1) DEFAULT ''
					)

			--
			INSERT INTO #SALARY_SUM_DATA (PERS_LINK, t_dog, PERIOD_BEGIN, SUMMA_ALL, SUMMA_NO, SUMMA_ALL_I, SUMMA_NO_I, SUMMA_ALL_E, SUMMA_NO_E, INV 
					, SUMMA_NO_D1, SUMMA_NO_D2,SUM_NO_D1_O4,SUM_NO_D1_B34,SUM_NO_D1_B33, SUM_NO_D1_B32, SUM_NO_D1_B31,
					SUM_NO_D2_O4,SUM_NO_D2_B34,SUM_NO_D2_B33, SUM_NO_D2_B32, SUM_NO_D2_B31 , sack 
					)
			select
				E.PERS_LINK, 
				TDOG = 1,
				CJ.PERIOD_BEGIN,
				SUMMA_ALL = SUM(SUMMA),
				SUMMA_NO = SUM(CASE WHEN B.LINK IS NULL OR CJ.LINK_EKR = @LINK_EKR213 AND @ESN_213 = 0 THEN SUMMA ELSE 0 END), --     
				SUMMA_ALL_I = 0,
				SUMMA_NO_I = 0,
				SUMMA_ALL_E = SUM(CASE WHEN F.ENVD = 1 THEN SUMMA ELSE 0 END),
				SUMMA_NO_E = SUM(CASE WHEN F.ENVD = 1 AND (B.LINK IS NULL OR CJ.LINK_EKR = @LINK_EKR213 AND @ESN_213 = 0) THEN SUMMA ELSE 0 END),
				INV = 1, --dbo.is_invalid(e.PERS_LINK,dbo.DateEndOfMonth(CJ.PERIOD_BEGIN)) ,
				SUMMA_NO_D1 = SUM(CASE WHEN (B.LINK IS NULL OR CJ.LINK_EKR = @LINK_EKR213 AND @ESN_213 = 0) and ED.DOP = 1 AND isnull(SPO,'') ='' THEN SUMMA ELSE 0 END),
				SUMMA_NO_D2 = SUM(CASE WHEN (B.LINK IS NULL OR CJ.LINK_EKR = @LINK_EKR213 AND @ESN_213 = 0) and ED.DOP = 2 and  isnull(SPO,'') ='' THEN SUMMA ELSE 0 END),
				SUM_NO_D1_O4 = SUM(CASE WHEN (B.LINK IS NULL OR CJ.LINK_EKR = @LINK_EKR213 AND @ESN_213 = 0) and CJ.LINK_EMPL = ED.link and DOP =1 AND SPO ='4'  THEN SUMMA ELSE 0 END),
				SUM_NO_D1_B34 = SUM(CASE WHEN (B.LINK IS NULL OR CJ.LINK_EKR = @LINK_EKR213 AND @ESN_213 = 0) and CJ.LINK_EMPL = ED.link and DOP =1 AND SPO ='3.4' THEN SUMMA ELSE 0 END),
				SUM_NO_D1_B33 = SUM(CASE WHEN (B.LINK IS NULL OR CJ.LINK_EKR = @LINK_EKR213 AND @ESN_213 = 0) and CJ.LINK_EMPL = ED.link and DOP =1 AND SPO ='3.3' THEN SUMMA ELSE 0 END), 
				SUM_NO_D1_B32 = SUM(CASE WHEN (B.LINK IS NULL OR CJ.LINK_EKR = @LINK_EKR213 AND @ESN_213 = 0) and CJ.LINK_EMPL = ED.link and DOP =1 AND SPO ='3.2' THEN SUMMA ELSE 0 END), 
				SUM_NO_D1_B31 = SUM(CASE WHEN (B.LINK IS NULL OR CJ.LINK_EKR = @LINK_EKR213 AND @ESN_213 = 0) and CJ.LINK_EMPL = ED.link and DOP =1 AND SPO ='3.1' THEN SUMMA ELSE 0 END),	
				SUM_NO_D2_O4 = SUM(CASE WHEN (B.LINK IS NULL OR CJ.LINK_EKR = @LINK_EKR213 AND @ESN_213 = 0) and CJ.LINK_EMPL = ED.link and DOP =2 AND SPO ='4' THEN SUMMA ELSE 0 END),
				SUM_NO_D2_B34 = SUM(CASE WHEN (B.LINK IS NULL OR CJ.LINK_EKR = @LINK_EKR213 AND @ESN_213 = 0) and CJ.LINK_EMPL = ED.link and DOP =2 AND SPO ='3.4' THEN SUMMA ELSE 0 END),
				SUM_NO_D2_B33 = SUM(CASE WHEN (B.LINK IS NULL OR CJ.LINK_EKR = @LINK_EKR213 AND @ESN_213 = 0) and CJ.LINK_EMPL = ED.link and DOP =2 AND SPO ='3.3' THEN SUMMA ELSE 0 END), 
				SUM_NO_D2_B32 = SUM(CASE WHEN (B.LINK IS NULL OR CJ.LINK_EKR = @LINK_EKR213 AND @ESN_213 = 0) and CJ.LINK_EMPL = ED.link and DOP =2 AND SPO ='3.2' THEN SUMMA ELSE 0 END), 
				SUM_NO_D2_B31 = SUM(CASE WHEN (B.LINK IS NULL OR CJ.LINK_EKR = @LINK_EKR213 AND @ESN_213 = 0) and CJ.LINK_EMPL = ED.link and DOP =2 AND SPO ='3.1' THEN SUMMA ELSE 0 END),
				sack = CASE WHEN isnull(e.DATE_END,'') BETWEEN @dDate1 AND @dDate2 THEN (case when isnull(e.sack,0) = 0 THEN '' ELSE CONVERT( char(1),e.sack ) end ) ELSE '' END 
			from 
			#CALCULATE_JURNAL CJ inner join dbo.pays p on p.link = cj.LINK_PAYS
			INNER JOIN dbo.SAL_SFIN F on F.LINK = CJ.LINK_VKR
			INNER JOIN DBO.sd_EMPL E ON E.LINK = CJ.LINK_EMPL
			LEFT JOIN @StBase2 B ON B.LINK = cj.LINK_PAYS
			/*LEFT JOIN #PERS_INV I ON I.PERS_LINK = E.PERS_LINK*/
			LEFT JOIN #EMPL_DT ED ON ED.link = CJ.LINK_EMPL 
			where 	
				P.[OBJECT] = 1
				AND EXISTS(SELECT LINK_FACE FROM #SZV_all WHERE link_face = E.PERS_LINK )
			GROUP BY
				E.PERS_LINK/*, I.PERS_LINK*/, CJ.PERIOD_BEGIN, e.DATE_END, e.sack

			--
			INSERT INTO #SALARY_SUM_DATA (PERS_LINK, t_dog, PERIOD_BEGIN, SUMMA_ALL, SUMMA_NO, SUMMA_ALL_I, SUMMA_NO_I, SUMMA_ALL_E, SUMMA_NO_E, INV 
					)
			select
				CJ.PERS_LINK, 
				T_DOG = 2,
				CJ.PERIOD_BEGIN,
				SUMMA_ALL = SUM(SUMMA),
				SUMMA_NO = SUM(SUMMA) - ISNULL((SELECT SUM(B1.SUMMA_BASE) FROM #DGH_FAKT_BASE1 B1 WHERE B1.PERS_LINK = CJ.PERS_LINK AND B1.MONTH_BASE = Month(CJ.PERIOD_BEGIN)),0), --     
				SUMMA_ALL_I = 0,
				SUMMA_NO_I = 0,
				SUMMA_ALL_E = SUM(CASE WHEN F.ENVD = 1 THEN SUMMA ELSE 0 END),
				SUMMA_NO_E = SUM(CASE WHEN F.ENVD = 1 THEN SUMMA ELSE 0 END)  - ISNULL((SELECT SUM(B.SUMMA_BASE) FROM #DGH_FAKT_BASE B WHERE B.PERS_LINK = CJ.PERS_LINK AND B.MONTH_BASE = Month(CJ.PERIOD_BEGIN) AND B.ENVD = 1),0),
				INV =  1-- dbo.is_invalid(CJ.PERS_LINK,dbo.DateEndOfMonth(CJ.PERIOD_BEGIN))
					
			from 
				#CALCULATE_JURNAL CJ inner join dbo.pays p on p.link = cj.LINK_PAYS
				INNER JOIN dbo.SAL_SFIN F on F.LINK = CJ.LINK_VKR
				INNER JOIN DBO.PERSON P1 ON P1.LINK = CJ.PERS_LINK
				--LEFT JOIN #PERS_INV I ON I.PERS_LINK = CJ.PERS_LINK
			where 	
				P.[OBJECT] = 1
			GROUP BY
				CJ.PERS_LINK,/* I.PERS_LINK,*/ CJ.PERIOD_BEGIN, P1.RESIDENT, p1.birthdate

				--    ,      
			UPDATE D SET 
				SUMMA_ALL_I = (CASE WHEN EXISTS (SELECT * FROM dbo.PERS_INVALID I1 WHERE I1.PERS_LINK = D.PERS_LINK AND dbo.DateEndOfMonth(PERIOD_BEGIN) BETWEEN ISNULL(I1.DATE_BEGIN,PERIOD_BEGIN) AND  ISNULL(I1.DATE_END,dbo.DateEndOfMonth(PERIOD_BEGIN))) THEN SUMMA_ALL ELSE 0 END), 
				SUMMA_NO_I = (CASE WHEN EXISTS (SELECT * FROM dbo.PERS_INVALID I1 WHERE I1.PERS_LINK = D.PERS_LINK AND dbo.DateEndOfMonth(PERIOD_BEGIN) BETWEEN ISNULL(I1.DATE_BEGIN,PERIOD_BEGIN) AND  ISNULL(I1.DATE_END,dbo.DateEndOfMonth(PERIOD_BEGIN))) THEN SUMMA_NO ELSE 0 END), 
				SUMMA_ALL_E = (CASE WHEN NOT EXISTS (SELECT * FROM dbo.PERS_INVALID I1 WHERE I1.PERS_LINK = D.PERS_LINK AND dbo.DateEndOfMonth(PERIOD_BEGIN) BETWEEN ISNULL(I1.DATE_BEGIN,PERIOD_BEGIN) AND  ISNULL(I1.DATE_END,dbo.DateEndOfMonth(PERIOD_BEGIN))) THEN SUMMA_ALL_E ELSE 0 END), 
				SUMMA_NO_E = (CASE WHEN NOT EXISTS (SELECT * FROM dbo.PERS_INVALID I1 WHERE I1.PERS_LINK = D.PERS_LINK AND dbo.DateEndOfMonth(PERIOD_BEGIN) BETWEEN ISNULL(I1.DATE_BEGIN,PERIOD_BEGIN) AND  ISNULL(I1.DATE_END,dbo.DateEndOfMonth(PERIOD_BEGIN))) THEN SUMMA_NO_E ELSE 0 END)

			FROM #SALARY_SUM_DATA D
			WHERE INV =2 --    -  	


----------<<<<<<<<< #SPR_ESN     (  )
		create table #SPR_ESN1 ([MONTH_BASE] TINYINT, SUMMA_BASE numeric(12,2) default 0.00, DED_M numeric(12,2) default 0.00, INV_M numeric(12,2) default 0.00, SUMMA numeric(12,2) default 0.00, WAY_CALC int default 0.00, REF_PHYS_PERS int default 0 , PF_NUM VARCHAR (14), FACE_GROUP TINYINT, I TINYINT, E TINYINT , SP VARCHAR(4))

		Insert InTo #SPR_ESN1 ([MONTH_BASE], SUMMA_BASE, DED_M, INV_M, SUMMA, WAY_CALC, REF_PHYS_PERS , PF_NUM, FACE_GROUP, I, E, SP)
		Select [MONTH_BASE], SUMMA_BASE, DED_M, INV_M, SUMMA, WAY_CALC, REF_PHYS_PERS, p.INSUR_NUM ,
			( CASE WHEN P.RESIDENT = 0 THEN 3 
				   WHEN YEAR(birthdate)<= 1966 THEN 1 
				   WHEN YEAR(birthdate)>= 1967 THEN 2 END ) AS FACE_GROUP, 
			1 ,--dbo.is_invalid(REF_PHYS_PERS,dbo.DateEndOfMonth(dbo.ConvertDMY2Date(1,MONTH_BASE,@nYEAR1))),
			F.ENVD,
			SP = isnull(s4.code,'')
		from dbo.SA_ESN_VIEW(@nYEAR1, @nMONTH_3, @LINK_DEP, 0) S
			inner join PERSON P on S.REF_PHYS_PERS = P.link
			inner join dbo.SAL_SFIN F on F.LINK = S.LINK_VKR
			LEFT JOIN SA_SZV4_SPR  s4 ON  s4.link = S.SPECO AND s4.spr_code = 'SPO_USL_TRUDA'
		WHERE  WAY_CALC not in (5)

		--  
		INSERT INTO #SPR_ESN1 
			([MONTH_BASE], SUMMA_BASE, DED_M, INV_M, SUMMA, WAY_CALC, REF_PHYS_PERS, PF_NUM, FACE_GROUP, I, E)
		SELECT 
			MONTH(G.[DATE]) AS MONTH_BASE, GT.SUMMA_BASE, 0, 0, GT.SUMMA, GT.WAY_CALC, GT.PERS_LINK, p.INSUR_NUM ,
			( CASE WHEN P.RESIDENT = 0  THEN 3
				   WHEN YEAR(birthdate)<= 1966 THEN 1 
				   WHEN YEAR(birthdate)>= 1967 THEN 2 END) AS FACE_GROUP , 
			1,--dbo.is_invalid(GT.PERS_LINK,dbo.DateEndOfMonth(dbo.ConvertDMY2Date(1,G.[MONTH],@nYEAR1))),
			F.ENVD
		FROM 
			DOCUMENTS_DGH G INNER JOIN DOCUMENTS_DGH_T3 GT ON G.LINK = GT.LINK
			inner join PERSON P on GT.PERS_LINK = P.link
			inner join dbo.SAL_SFIN F on F.LINK = GT.LINK_VKR
		WHERE 
			FLAG_JC = 1
			AND GT.WAY_CALC  not in (5)
			AND YEAR(G.[DATE]) = @nYEAR1
			AND MONTH(G.[DATE]) <= @nMONTH_3
			AND LINK_DEP = @DEP_LINK


		DELETE FROM #SPR_ESN1
		WHERE  EXISTS (SELECT * FROM dbo.KJ_PERS_PENSION K WHERE K.PERS_LINK = REF_PHYS_PERS AND K.CHECK_SZV = 0)


---------->>>>>>>>>>

		--DECLARE @PREDEL NUMERIC(18,2)
		--SET @PREDEL = (SELECT TOP 1 PREDEL FROM DICTIONARY_RANGE WHERE TARIF = 1 AND YEAR([DATE]) =  @nYEAR1)

		--   
		SELECT 
			PERS_LINK,
			T_DOG = MIN(T_DOG),
			SUMMA_ALL = SUM(SUMMA_ALL), SUMMA_NO = SUM(SUMMA_NO), 
			SUMMA_ALL_I = SUM(SUMMA_ALL_I), SUMMA_NO_I = SUM(SUMMA_NO_I),
			SUMMA_ALL_E = SUM(SUMMA_ALL_E), SUMMA_NO_E = SUM(SUMMA_NO_E),
			SUMMA_ALL_DO_I = (CASE WHEN SUM(SUMMA_ALL_I) > @PREDEL THEN  @PREDEL ELSE (SUM(SUMMA_ALL_I) - SUM(SUMMA_NO_I)) END ),
			SUMMA_ALL_DO = (CASE WHEN SUM(SUMMA_ALL) > @PREDEL THEN  @PREDEL ELSE (SUM(SUMMA_ALL) - SUM(SUMMA_NO)) END ),
			SUMMA_ALL_AFTER = (CASE WHEN SUM(SUMMA_ALL - SUMMA_ALL_I - SUMMA_NO - SUMMA_NO_I)  > @PREDEL THEN  SUM(SUMMA_ALL) - @PREDEL ELSE 0 END ),
			SUMMA_ALL_AFTER_I = (CASE WHEN SUM(SUMMA_ALL_I) > @PREDEL THEN  SUM(SUMMA_ALL) - @PREDEL ELSE 0 END )
			,BASE_DOG = SUM(CASE WHEN T_DOG = 2 THEN SUMMA_ALL - SUMMA_NO ELSE 0 END),
			SACK = MAX(SACK)
		INTO #SALARY_SUM2
		FROM #SALARY_SUM_DATA s 
		GROUP BY
			PERS_LINK/*,SACK*/



-----------<<<<<<<<</*   ,  */
		
		DECLARE @nYEAR1_K INT, @nMONTH_1_K INT, @nMONTH_2_K INT, @nMONTH_3_K INT	
		select 
   		@nYEAR1_K = YEAR_EDT,
   		@nMONTH_1_K = /*case when YEAR_EDT  between '2011' and '2013' then (*/case  PER_EDT when 1 then  1 when 2 then  4 when 3 then  7 when 4 then  10 else 10 end/*)
					when  YEAR_EDT >= '2014'  then (case  PER_EDT when 3 then  1 when 6 then  4 when 9 then  7 else  10 end)
					else null end */
		from #SZV_ALL	
		where [TYPE] = 2
		and YEAR_EDT >=2014
							 
		select @nMONTH_2_K = @nMONTH_1_K+1,
				@nMONTH_3_K = @nMONTH_1_K +2	

		DECLARE @BYearDate_K	datetime , @EndYear_K datetime
		SET @BYearDate_K = dbo.DateBeginOfYear (@nYEAR1_K+'0101')
		Set @EndYear_K = dbo.DateEndOfYear(@BYearDate_K)

		--   
		SELECT 
			GT.PERS_LINK, MONTH(G.[DATE]) AS MONTH_BASE, F.ENVD, SUMMA_BASE = sum(GT.SUMMA_BASE)
		INTO #DGH_FAKT_BASE_K
		FROM 
			dbo.DOCUMENTS_DGH G INNER JOIN dbo.DOCUMENTS_DGH_T3 GT ON G.LINK = GT.LINK
			INNER JOIN dbo.SAL_SFIN F on F.LINK = GT.LINK_VKR
		WHERE 
			FLAG_JC = 1
			AND GT.WAY_CALC  = 6
			AND YEAR(G.[DATE]) = @nYEAR1_K
			AND MONTH(G.[DATE]) <= @nMONTH_3_K
			--AND LINK_DEP = @DEP_LINK 
		GROUP BY 
			GT.PERS_LINK, MONTH(G.[DATE]), F.ENVD

			SELECT  PERS_LINK, MONTH_BASE, SUMMA_BASE = SUM(SUMMA_BASE)
			INTO #DGH_FAKT_BASE1_K
			FROM #DGH_FAKT_BASE_K
			GROUP BY PERS_LINK, MONTH_BASE


			--   
			CREATE TABLE #CALCULATE_JURNAL_K (LINK_PAYS INT, PERIOD_BEGIN DATETIME, LINK_DOC INT, PERS_LINK INT, LINK_VKR INT, LINK_EKR INT, LINK_EMPL INT, SUMMA NUMERIC(18,2), WAY_CALC TINYINT , SPECO int)
			INSERT INTO #CALCULATE_JURNAL_K (LINK_PAYS, PERIOD_BEGIN, LINK_DOC, PERS_LINK, LINK_VKR, LINK_EKR, LINK_EMPL, SUMMA,way_calc , SPECO)
			SELECT CJ.LINK_PAYS, CJ.PERIOD_BEGIN, CJ.LINK_DOC, CJ.PERS_LINK, CJ.LINK_VKR, cj.LINK_EKR, CJ.LINK_EMPL, SUMMA = SUM(CJ.SUMMA), p.way_calc , SPECO
			FROM dbo.CALCULATE_JURNAL CJ INNER JOIN dbo.PAYS P ON  CJ.LINK_PAYS = p.link
			WHERE
				Year(period_begin) = @nYEAR1_K 
				and Month(period_begin) <= @nMONTH_3_K
				and CJ.LINK_DEP = @DEP_LINK
			GROUP BY
				cj.LINK_PAYS, cj.PERIOD_BEGIN, cj.LINK_DOC, cj.PERS_LINK, cj.LINK_VKR, cj.LINK_EKR, cj.LINK_EMPL, P.WAY_CALC,cj.SPECO
						
						
			------	      
			SELECT DISTINCT PERS_LINK 
			INTO #PERS_INV_K
			FROM dbo.PERS_INVALID I
			WHERE COALESCE(I.DATE_BEGIN,@BYearDate_K) <= @EndYear_K AND COALESCE(I.DATE_END,@EndYear_K) >= @BYearDate_K

			------	             
			SELECT DISTINCT sd.LINK, DOP = (CASE when S.COD_POS_SPISOK is NOT NULL then 1 else 2 end) , SPO = isnull(s4.code,'')
			INTO #EMPL_DT_K
			FROM DBO.KU_EMPL_PLACING SD
				left JOIN (select * from STAFF WHERE dbo.DateEndOfMonth(dbo.ConvertDMY2Date(1,@nMONTH_3_K,@nYEAR1_K)) BETWEEN DATE_BEGIN AND DATE_END  ) S ON S.LINK_up = SD.STAFF_HEAD AND dbo.DateEndOfMonth(dbo.ConvertDMY2Date(1,@nMONTH_3_K,@nYEAR1_K )) BETWEEN S.DATE_BEGIN AND S.DATE_END
				LEFT JOIN SA_SZV4_SPR  s4 ON  s4.link = s.COD_SPO_USL_TRUD AND s4.spr_code = 'SPO_USL_TRUDA'
				WHERE 
					(S.COD_POS_SPISOK is NOT NULL OR S.COD_POS_SPISOK2 is NOT NULL) 

			--  #SALARY_SUM2
			CREATE TABLE #SALARY_SUM_DATA_K (PERS_LINK INT,t_dog TINYINT, PERIOD_BEGIN DATETIME , Per_Q TINYINT, SUMMA_ALL NUMERIC(18,2), SUMMA_NO NUMERIC(18,2), SUMMA_ALL_I NUMERIC(18,2), SUMMA_NO_I NUMERIC(18,2), SUMMA_ALL_E NUMERIC(18,2), SUMMA_NO_E NUMERIC(18,2), INV TINYINT 
					, SUMMA_NO_D1 NUMERIC(18,2), SUMMA_NO_D2 NUMERIC(18,2),    
				SUM_NO_D1_O4 NUMERIC(18,2) ,SUM_NO_D1_B34 NUMERIC(18,2) ,SUM_NO_D1_B33 NUMERIC(18,2),SUM_NO_D1_B32 NUMERIC(18,2), SUM_NO_D1_B31 NUMERIC(18,2),
					SUM_NO_D2_O4 NUMERIC(18,2) ,SUM_NO_D2_B34 NUMERIC(18,2) ,SUM_NO_D2_B33 NUMERIC(18,2),SUM_NO_D2_B32 NUMERIC(18,2), SUM_NO_D2_B31 NUMERIC(18,2) , sack CHAR(1) DEFAULT '' 
					)

			--
			INSERT INTO #SALARY_SUM_DATA_K (PERS_LINK, t_dog, PERIOD_BEGIN,Per_Q, SUMMA_ALL, SUMMA_NO, SUMMA_ALL_I, SUMMA_NO_I, SUMMA_ALL_E, SUMMA_NO_E, INV 
					, SUMMA_NO_D1, SUMMA_NO_D2,SUM_NO_D1_O4,SUM_NO_D1_B34,SUM_NO_D1_B33, SUM_NO_D1_B32, SUM_NO_D1_B31,
					SUM_NO_D2_O4,SUM_NO_D2_B34,SUM_NO_D2_B33, SUM_NO_D2_B32, SUM_NO_D2_B31,sack
					)
			select
				E.PERS_LINK, 
				TDOG = 1,
				CJ.PERIOD_BEGIN,
				CASE  WHEN month(CJ.PERIOD_BEGIN) BETWEEN 1 AND 3 THEN 1 WHEN  month(CJ.PERIOD_BEGIN) BETWEEN 4 AND 6 THEN 2 WHEN month(CJ.PERIOD_BEGIN) BETWEEN 7 AND 9 THEN 3 ELSE 4 END ,
				SUMMA_ALL = SUM(SUMMA),
				SUMMA_NO = SUM(CASE WHEN B.LINK IS NULL OR CJ.LINK_EKR = @LINK_EKR213 AND @ESN_213 = 0 THEN SUMMA ELSE 0 END), --     
				SUMMA_ALL_I = 0,
				SUMMA_NO_I = 0,
				SUMMA_ALL_E = SUM(CASE WHEN F.ENVD = 1 THEN SUMMA ELSE 0 END),
				SUMMA_NO_E = SUM(CASE WHEN F.ENVD = 1 AND (B.LINK IS NULL OR CJ.LINK_EKR = @LINK_EKR213 AND @ESN_213 = 0) THEN SUMMA ELSE 0 END),
				INV =  dbo.is_invalid(e.PERS_LINK,dbo.DateEndOfMonth(CJ.PERIOD_BEGIN)) ,
				SUMMA_NO_D1 = SUM(CASE WHEN (B.LINK IS NULL OR CJ.LINK_EKR = @LINK_EKR213 AND @ESN_213 = 0) and ED.DOP = 1 AND isnull(SPO,'') ='' THEN SUMMA ELSE 0 END),
				SUMMA_NO_D2 = SUM(CASE WHEN (B.LINK IS NULL OR CJ.LINK_EKR = @LINK_EKR213 AND @ESN_213 = 0) and ED.DOP = 2 and  isnull(SPO,'') ='' THEN SUMMA ELSE 0 END),
				SUM_NO_D1_O4 = SUM(CASE WHEN (B.LINK IS NULL OR CJ.LINK_EKR = @LINK_EKR213 AND @ESN_213 = 0) and CJ.LINK_EMPL = ED.link and DOP =1 AND SPO ='4'  THEN SUMMA ELSE 0 END),
				SUM_NO_D1_B34 = SUM(CASE WHEN (B.LINK IS NULL OR CJ.LINK_EKR = @LINK_EKR213 AND @ESN_213 = 0) and CJ.LINK_EMPL = ED.link and DOP =1 AND SPO ='3.4' THEN SUMMA ELSE 0 END),
				SUM_NO_D1_B33 = SUM(CASE WHEN (B.LINK IS NULL OR CJ.LINK_EKR = @LINK_EKR213 AND @ESN_213 = 0) and CJ.LINK_EMPL = ED.link and DOP =1 AND SPO ='3.3' THEN SUMMA ELSE 0 END), 
				SUM_NO_D1_B32 = SUM(CASE WHEN (B.LINK IS NULL OR CJ.LINK_EKR = @LINK_EKR213 AND @ESN_213 = 0) and CJ.LINK_EMPL = ED.link and DOP =1 AND SPO ='3.2' THEN SUMMA ELSE 0 END), 
				SUM_NO_D1_B31 = SUM(CASE WHEN (B.LINK IS NULL OR CJ.LINK_EKR = @LINK_EKR213 AND @ESN_213 = 0) and CJ.LINK_EMPL = ED.link and DOP =1 AND SPO ='3.1' THEN SUMMA ELSE 0 END),	
				SUM_NO_D2_O4 = SUM(CASE WHEN (B.LINK IS NULL OR CJ.LINK_EKR = @LINK_EKR213 AND @ESN_213 = 0) and CJ.LINK_EMPL = ED.link and DOP =2 AND SPO ='4' THEN SUMMA ELSE 0 END),
				SUM_NO_D2_B34 = SUM(CASE WHEN (B.LINK IS NULL OR CJ.LINK_EKR = @LINK_EKR213 AND @ESN_213 = 0) and CJ.LINK_EMPL = ED.link and DOP =2 AND SPO ='3.4' THEN SUMMA ELSE 0 END),
				SUM_NO_D2_B33 = SUM(CASE WHEN (B.LINK IS NULL OR CJ.LINK_EKR = @LINK_EKR213 AND @ESN_213 = 0) and CJ.LINK_EMPL = ED.link and DOP =2 AND SPO ='3.3' THEN SUMMA ELSE 0 END), 
				SUM_NO_D2_B32 = SUM(CASE WHEN (B.LINK IS NULL OR CJ.LINK_EKR = @LINK_EKR213 AND @ESN_213 = 0) and CJ.LINK_EMPL = ED.link and DOP =2 AND SPO ='3.2' THEN SUMMA ELSE 0 END), 
				SUM_NO_D2_B31 = SUM(CASE WHEN (B.LINK IS NULL OR CJ.LINK_EKR = @LINK_EKR213 AND @ESN_213 = 0) and CJ.LINK_EMPL = ED.link and DOP =2 AND SPO ='3.1' THEN SUMMA ELSE 0 END),
				sack = CASE WHEN isnull(e.DATE_END,'') BETWEEN @dDate1 AND @dDate2 THEN (case when isnull(e.sack,0) = 0 THEN '' ELSE CONVERT( char(1),e.sack ) end ) ELSE '' END 
			from 
			#CALCULATE_JURNAL_K CJ inner join dbo.pays p on p.link = cj.LINK_PAYS
			INNER JOIN dbo.SAL_SFIN F on F.LINK = CJ.LINK_VKR
			INNER JOIN DBO.SD_EMPL E ON E.LINK = CJ.LINK_EMPL
			LEFT JOIN @StBase2 B ON B.LINK = cj.LINK_PAYS
			/*LEFT JOIN #PERS_INV I ON I.PERS_LINK = E.PERS_LINK*/
			LEFT JOIN #EMPL_DT_K ED ON ED.link = CJ.LINK_EMPL
			
			where 	
				P.[OBJECT] = 1
				AND EXISTS(SELECT LINK_FACE FROM #SZV_all WHERE link_face = E.PERS_LINK )
			GROUP BY
				E.PERS_LINK/*, I.PERS_LINK*/, CJ.PERIOD_BEGIN,e.DATE_END,e.sack

			--
			INSERT INTO #SALARY_SUM_DATA (PERS_LINK, t_dog, PERIOD_BEGIN, SUMMA_ALL, SUMMA_NO, SUMMA_ALL_I, SUMMA_NO_I, SUMMA_ALL_E, SUMMA_NO_E, INV 
					)
			select
				CJ.PERS_LINK, 
				T_DOG = 2,
				CJ.PERIOD_BEGIN,
				SUMMA_ALL = SUM(SUMMA),
				SUMMA_NO = SUM(SUMMA) - ISNULL((SELECT SUM(B1.SUMMA_BASE) FROM #DGH_FAKT_BASE1 B1 WHERE B1.PERS_LINK = CJ.PERS_LINK AND B1.MONTH_BASE = Month(CJ.PERIOD_BEGIN)),0), --     
				SUMMA_ALL_I = 0,
				SUMMA_NO_I = 0,
				SUMMA_ALL_E = SUM(CASE WHEN F.ENVD = 1 THEN SUMMA ELSE 0 END),
				SUMMA_NO_E = SUM(CASE WHEN F.ENVD = 1 THEN SUMMA ELSE 0 END)  - ISNULL((SELECT SUM(B.SUMMA_BASE) FROM #DGH_FAKT_BASE B WHERE B.PERS_LINK = CJ.PERS_LINK AND B.MONTH_BASE = Month(CJ.PERIOD_BEGIN) AND B.ENVD = 1),0),
				INV =  dbo.is_invalid(CJ.PERS_LINK,dbo.DateEndOfMonth(CJ.PERIOD_BEGIN))
					
			from 
				#CALCULATE_JURNAL CJ inner join dbo.pays p on p.link = cj.LINK_PAYS
				INNER JOIN dbo.SAL_SFIN F on F.LINK = CJ.LINK_VKR
				INNER JOIN DBO.PERSON P1 ON P1.LINK = CJ.PERS_LINK
				--LEFT JOIN #PERS_INV I ON I.PERS_LINK = CJ.PERS_LINK
			where 	
				P.[OBJECT] = 1
			GROUP BY
				CJ.PERS_LINK,/* I.PERS_LINK,*/ CJ.PERIOD_BEGIN, P1.RESIDENT, p1.birthdate

				--    ,      
			UPDATE D SET 
				SUMMA_ALL_I = (CASE WHEN EXISTS (SELECT * FROM dbo.PERS_INVALID I1 WHERE I1.PERS_LINK = D.PERS_LINK AND dbo.DateEndOfMonth(PERIOD_BEGIN) BETWEEN ISNULL(I1.DATE_BEGIN,PERIOD_BEGIN) AND  ISNULL(I1.DATE_END,dbo.DateEndOfMonth(PERIOD_BEGIN))) THEN SUMMA_ALL ELSE 0 END), 
				SUMMA_NO_I = (CASE WHEN EXISTS (SELECT * FROM dbo.PERS_INVALID I1 WHERE I1.PERS_LINK = D.PERS_LINK AND dbo.DateEndOfMonth(PERIOD_BEGIN) BETWEEN ISNULL(I1.DATE_BEGIN,PERIOD_BEGIN) AND  ISNULL(I1.DATE_END,dbo.DateEndOfMonth(PERIOD_BEGIN))) THEN SUMMA_NO ELSE 0 END), 
				SUMMA_ALL_E = (CASE WHEN NOT EXISTS (SELECT * FROM dbo.PERS_INVALID I1 WHERE I1.PERS_LINK = D.PERS_LINK AND dbo.DateEndOfMonth(PERIOD_BEGIN) BETWEEN ISNULL(I1.DATE_BEGIN,PERIOD_BEGIN) AND  ISNULL(I1.DATE_END,dbo.DateEndOfMonth(PERIOD_BEGIN))) THEN SUMMA_ALL_E ELSE 0 END), 
				SUMMA_NO_E = (CASE WHEN NOT EXISTS (SELECT * FROM dbo.PERS_INVALID I1 WHERE I1.PERS_LINK = D.PERS_LINK AND dbo.DateEndOfMonth(PERIOD_BEGIN) BETWEEN ISNULL(I1.DATE_BEGIN,PERIOD_BEGIN) AND  ISNULL(I1.DATE_END,dbo.DateEndOfMonth(PERIOD_BEGIN))) THEN SUMMA_NO_E ELSE 0 END)

			FROM #SALARY_SUM_DATA D
			WHERE INV =2 --    -  	

---------<<<<<<<<< #SPR_ESN_K ()     (  )
		create table #SPR_ESN1_K ([MONTH_BASE] TINYINT, SUMMA_BASE numeric(12,2) default 0.00, DED_M numeric(12,2) default 0.00, INV_M numeric(12,2) default 0.00, SUMMA numeric(12,2) default 0.00, WAY_CALC int default 0.00, REF_PHYS_PERS int default 0 , PF_NUM VARCHAR (14), FACE_GROUP TINYINT, I TINYINT, E TINYINT , SP VARCHAR(4))

		Insert InTo #SPR_ESN1_K ([MONTH_BASE], SUMMA_BASE, DED_M, INV_M, SUMMA, WAY_CALC, REF_PHYS_PERS , PF_NUM, FACE_GROUP, I, E, SP)
		Select [MONTH_BASE], SUMMA_BASE, DED_M, INV_M, SUMMA, WAY_CALC, REF_PHYS_PERS, p.INSUR_NUM ,
			( CASE WHEN P.RESIDENT = 0 THEN 3 
				   WHEN YEAR(birthdate)<= 1966 THEN 1 
				   WHEN YEAR(birthdate)>= 1967 THEN 2 END ) AS FACE_GROUP, 
			dbo.is_invalid(REF_PHYS_PERS,dbo.DateEndOfMonth(dbo.ConvertDMY2Date(1,MONTH_BASE,@nYEAR1_K))),
			F.ENVD,
			SP = isnull(s4.code,'')
		from dbo.SA_ESN_VIEW(@nYEAR1_K, @nMONTH_3_K, @LINK_DEP, 0) S
			inner join PERSON P on S.REF_PHYS_PERS = P.link
			inner join dbo.SAL_SFIN F on F.LINK = S.LINK_VKR
			LEFT JOIN SA_SZV4_SPR  s4 ON  s4.link = S.SPECO AND s4.spr_code = 'SPO_USL_TRUDA'
		WHERE  WAY_CALC not in (5)

		--  
		INSERT INTO #SPR_ESN1_K 
			([MONTH_BASE], SUMMA_BASE, DED_M, INV_M, SUMMA, WAY_CALC, REF_PHYS_PERS, PF_NUM, FACE_GROUP, I, E)
		SELECT 
			MONTH(G.[DATE]) AS MONTH_BASE, GT.SUMMA_BASE, 0, 0, GT.SUMMA, GT.WAY_CALC, GT.PERS_LINK, p.INSUR_NUM ,
			( CASE WHEN P.RESIDENT = 0  THEN 3
				   WHEN YEAR(birthdate)<= 1966 THEN 1 
				   WHEN YEAR(birthdate)>= 1967 THEN 2 END) AS FACE_GROUP , 
			dbo.is_invalid(GT.PERS_LINK,dbo.DateEndOfMonth(dbo.ConvertDMY2Date(1,G.[MONTH],@nYEAR1_K))),
			F.ENVD
		FROM 
			DOCUMENTS_DGH G INNER JOIN DOCUMENTS_DGH_T3 GT ON G.LINK = GT.LINK
			inner join PERSON P on GT.PERS_LINK = P.link
			inner join dbo.SAL_SFIN F on F.LINK = GT.LINK_VKR
		WHERE 
			FLAG_JC = 1
			AND GT.WAY_CALC  not in (5)
			AND YEAR(G.[DATE]) = @nYEAR1_K
			AND MONTH(G.[DATE]) <= @nMONTH_3_K
			AND LINK_DEP = @DEP_LINK


		DELETE FROM #SPR_ESN1_K
		WHERE  EXISTS (SELECT * FROM dbo.KJ_PERS_PENSION K WHERE K.PERS_LINK = REF_PHYS_PERS AND K.CHECK_SZV = 0)
---------->>>>>>>>>>

		DECLARE @PREDEL_K NUMERIC(18,2)
		SET @PREDEL_K = (SELECT TOP 1 PREDEL FROM DICTIONARY_RANGE WHERE TARIF = 1 AND YEAR([DATE]) =  @nYEAR1_K)
		
		--   
		SELECT 
			PERS_LINK,
			T_DOG = MIN(T_DOG),
			/*MON = Month(PERIOD_BEGIN),*/ 
			SUMMA_ALL = SUM(SUMMA_ALL), SUMMA_NO = SUM(SUMMA_NO), 
			SUMMA_ALL_I = SUM(SUMMA_ALL_I), SUMMA_NO_I = SUM(SUMMA_NO_I),
			SUMMA_ALL_E = SUM(SUMMA_ALL_E), SUMMA_NO_E = SUM(SUMMA_NO_E),
			SUMMA_ALL_D =  ISNULL((select SUM(SUMMA_ALL) FROM  #SALARY_SUM_DATA WHERE PERS_LINK = s.PERS_LINK AND t_dog=2 ),0) ,
			SUMMA_ALL_DO_I = (CASE WHEN SUM(SUMMA_ALL_I) > @PREDEL THEN  @PREDEL ELSE (SUM(SUMMA_ALL_I) - SUM(SUMMA_NO_I)) END ),
			SUMMA_ALL_DO = (CASE WHEN SUM(SUMMA_ALL) > @PREDEL THEN  @PREDEL ELSE (SUM(SUMMA_ALL) - SUM(SUMMA_NO)) END ),
			SUMMA_ALL_AFTER = (CASE WHEN SUM(SUMMA_ALL - SUMMA_ALL_I)  > @PREDEL THEN  SUM(SUMMA_ALL) - @PREDEL ELSE 0 END ),
			SUMMA_ALL_AFTER_I = (CASE WHEN SUM(SUMMA_ALL_I)  > @PREDEL THEN  SUM(SUMMA_ALL) - @PREDEL ELSE 0 END )
			,BASE_DOG = SUM(CASE WHEN T_DOG = 2 THEN SUMMA_ALL - SUMMA_NO ELSE 0 END),					
			SACK = MAX(SACK)								
		INTO #SALARY_SUM2_K
		FROM #SALARY_SUM_DATA_K s 
		GROUP BY
			pers_link--,SACK--, T_DOG--,Month(PERIOD_BEGIN)
		
		--      ( )
		SELECT 
			PERS_LINK,
			T_DOG = MIN(T_DOG),
			PER_Q = PER_Q,
			SUMMA_ALL = SUM(SUMMA_ALL), SUMMA_NO = SUM(SUMMA_NO), 
			SUMMA_ALL_I = SUM(SUMMA_ALL_I), SUMMA_NO_I = SUM(SUMMA_NO_I),
			SUMMA_ALL_E = SUM(SUMMA_ALL_E), SUMMA_NO_E = SUM(SUMMA_NO_E),
			SUMMA_ALL_D =  ISNULL((select SUM(SUMMA_ALL) FROM  #SALARY_SUM_DATA WHERE PERS_LINK = s.PERS_LINK AND t_dog=2 ),0) ,
			SUMMA_ALL_DO_I = (CASE WHEN SUM(SUMMA_ALL_I) > @PREDEL THEN  @PREDEL ELSE (SUM(SUMMA_ALL_I) - SUM(SUMMA_NO_I)) END ),
			SUMMA_ALL_DO = (CASE WHEN SUM(SUMMA_ALL) > @PREDEL THEN  @PREDEL ELSE (SUM(SUMMA_ALL) - SUM(SUMMA_NO)) END ),
			SUMMA_ALL_AFTER = (CASE WHEN SUM(SUMMA_ALL - SUMMA_ALL_I)  > @PREDEL THEN  SUM(SUMMA_ALL) - @PREDEL ELSE 0 END ),
			SUMMA_ALL_AFTER_I = (CASE WHEN SUM(SUMMA_ALL_I)  > @PREDEL THEN  SUM(SUMMA_ALL) - @PREDEL ELSE 0 END )
			,BASE_DOG = SUM(CASE WHEN T_DOG = 2 THEN SUMMA_ALL - SUMMA_NO ELSE 0 END)					
											
		INTO #SALARY_SUM_PER_K
		FROM #SALARY_SUM_DATA_K s 
		GROUP BY
			pers_link , per_q--, T_DOG--,Month(PERIOD_BEGIN)	
			


		DROP TABLE #SALARY_SUM_DATA	
		DROP TABLE #DGH_FAKT_BASE
		DROP TABLE #DGH_FAKT_BASE1
		DROP TABLE #PERS_INV
		DROP TABLE #CALCULATE_JURNAL
		DROP TABLE #EMPL_DT		

		DROP TABLE #SALARY_SUM_DATA_K	
		DROP TABLE #DGH_FAKT_BASE_K
		DROP TABLE #DGH_FAKT_BASE1_K
		DROP TABLE #PERS_INV_K
		DROP TABLE #CALCULATE_JURNAL_K
		DROP TABLE #EMPL_DT_K				

		
		/*        6.6*/
		SELECT year_edt = p.YEAR_EDT, 
				PER_EDT = p.PER_EDT, 
				link_dep = p.link_dep,
				link_pers = s.link_pers,
				Link_kateg = S.Link_kateg,
				pachka = s.pachka
		INTO #tmp_pers_r1
		FROM 	dbo.SA_SZV4_PACHKA P 
				INNER JOIN dbo.SZV4_SVEDENIA S ON P.link = S.link_up 															
		where
			P.link in (select link from #DOCS WHERE vid_kor = 2)
			and P.proverka = 1
			and P.vid_kor > 1
			and p.link_dep = @DEP_LINK


		CREATE TABLE #tmp_pers_kor_sum_R1 (link INT  , [date] DATETIME, YEAR_degin INT , per INT , vid_kor int, link_dep INT , proverka INT  , CODE VARCHAR(5), link_pers INT , 
										sum_doh NUMERIC(18,2), sum_str NUMERIC(18,2), sum_nak NUMERIC(18,2),sum_dop NUMERIC(18,2) , pachka int) 
	
		DECLARE @Cur_R1 CURSOR, @link_R1 int ,@LINK_pers_R1 INT, @year_edt_R1 INT , @per_edt_R1 INT , @Link_kateg_R1 INT ,@pachka_R1 int
		SET @Cur_R1 = CURSOR FORWARD_ONLY

		FOR SELECT LINK_pers, year_edt, per_edt, Link_kateg ,pachka FROM #tmp_pers_r1 ORDER by link_pers

		OPEN @Cur_R1
		FETCH NEXT FROM @Cur_R1 INTO @LINK_pers_R1, @year_edt_R1, @per_edt_R1 , @link_kateg_R1, @pachka_R1
		WHILE (@@fetch_status <> -1)
		BEGIN

			IF (@@fetch_status <> -2)
			BEGIN
				
				
					SET @link_R1 = 0
					
					SELECT @link_R1 =max(pp.link)
					FROM SA_SZV4_PACHKA pp 
					INNER JOIN dbo.SZV4_SVEDENIA Ss ON ss.link_up = pp.link  
					WHERE  pp.proverka = 1 AND pp.vid_kor = 1 
										  AND pp.link_dep = @DEP_LINK 
										  AND pp.year_begin =@year_edt_R1  
										  AND pp.PER =@per_edt_R1 
										  AND @LINK_pers_R1 = ss.link_pers
										 /* AND @link_kateg_R1 = ss.link_kateg  */
										  AND pp.date = (SELECT MAX(p1.[date]) FROM SA_SZV4_PACHKA p1 
																INNER JOIN dbo.SZV4_SVEDENIA S1 ON s1.link_up = p1.link  
																WHERE  pp.proverka = 1 AND p1.vid_kor = 1 
																					  AND p1.link_dep = @DEP_LINK 
																					  AND p1.year_begin =@year_edt_R1  
																					  AND p1.PER =@per_edt_R1 
																					  AND @LINK_pers_R1 = s1.link_pers
																					  /*AND @link_kateg_R1 = s1.link_kateg*/ )
					
					INSERT INTO #tmp_pers_kor_sum_R1  (link, [date], YEAR_degin, per, vid_kor, link_dep, proverka , CODE, link_pers, 
										sum_doh, sum_str, sum_nak,sum_dop, pachka) 
					SELECT pp.link, pp.[date], pp.YEAR_begin, pp.per, pp.vid_kor, pp.link_dep, pp.proverka, CODE = k.code, ss.link_pers, 
										ss.sum_doh, ss.sum_str, ss.sum_nak,ss.sum_dop , pachka = @pachka_R1
					FROM SA_SZV4_PACHKA pp 
					INNER JOIN dbo.SZV4_SVEDENIA Ss ON ss.link_up = pp.link  
					INNER JOIN dbo.SA_PFR_KATEG K ON K.LINK = ss.LINK_KATEG AND pp.YEAR_begin BETWEEN YBEG AND YEND		
					WHERE pp.link = @link_R1 and pp.proverka = 1 
										 AND pp.vid_kor = 1 
										 AND pp.link_dep = @DEP_LINK 
										 AND pp.year_begin =@year_edt_R1  
										 AND pp.PER =@per_edt_R1 
										 AND ss.link_pers = @LINK_pers_R1
										 /*AND ss.link_kateg = @link_kateg_R1*/
										  

			END

			FETCH NEXT FROM @Cur_R1 INTO @LINK_pers_R1, @year_edt_R1, @per_edt_R1, @link_kateg_R1, @pachka_R1
		END

		CLOSE @Cur_R1
		DEALLOCATE @Cur_R1


		/*******************   ********************/
		DECLARE @Cur1 CURSOR, @CODE varchar(4), @TYPE tinyint , @T_DOG tinyint, @PFNUMBER VARCHAR (14) , @FM VARCHAR(100),@IM VARCHAR(100),@OT VARCHAR(100),
		@pf_num1 VARCHAR(14) , @CODE_old VARCHAR(4), @TYPE_OLD TINYINT, @nom_pp INT, @DATE DATETIME
		set @pf_num1 = ''
		set @CODE_old = '' 
		set @TYPE_OLD = 0
		set @nom_pp = 1

		SET @Cur1 = CURSOR FORWARD_ONLY
		FOR SELECT  [CODE],[TYPE],[PFNUMBER], [FM],[IM],[OT], MIN(DATE_BEGIN) AS DATE_BEGIN  
			FROM #SZV_ALL where [TYPE] = 1 
			GROUP BY [FM],[IM],[OT],[PFNUMBER],[TYPE],CODE
			ORDER BY [FM],[IM],[OT],[PFNUMBER],DATE_BEGIN
		OPEN @Cur1
		FETCH NEXT FROM @Cur1 INTO  @CODE,@TYPE/*,@T_DOG*/,@PFNUMBER,@FM,@IM,@OT, @DATE
		WHILE (@@fetch_status <> -1)
		BEGIN

			IF (@@fetch_status <> -2)
			BEGIN
				---        ( , , )
				IF (/*@T_DOG = 1 and */ @PFNUMBER <> @pf_num1 ) 
				BEGIN

					INSERT INTO #TMP1 (CODE, COL1, COL2, COL3, COL4, COL5, COL6, COL7, COL8, COL9, COL10, COL11, COL12, COL13,COL14, COL15, COL16,COL17, COL18, COL19, COL45)
					SELECT CODE =  @nom_pp,
						   COL1 =  @nom_pp,	
						   COL2 = ISNULL([PFNUMBER],0),	
						   COL3 = CONVERT(VARCHAR(100), '    ,         :'),
						   COL4 = CONVERT(VARCHAR(4),'400'),
						   COL5 = CONVERT(VARCHAR(4),@CODE),
						   COL6 = CASE WHEN @CODE = '' THEN ISNULL(SS.SUMMA_ALL_I,0) ELSE ISNULL(SS.SUMMA_ALL - SS.SUMMA_ALL_I ,0) END,
						   COL7 = 
								CASE WHEN @CODE = '' THEN
										(CASE WHEN
											(ISNULL(SS.SUMMA_ALL_I - SS.SUMMA_NO_I,0) 
											- ( CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN1 WHERE WAY_CALC = 6 AND I = 2 AND ref_phys_pers = s.link_face) ,0) ))
											) > @PREDEL 
										THEN @PREDEL
										ELSE 
											(ISNULL(SS.SUMMA_ALL_I - SS.SUMMA_NO_I,0) 
											- ( CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN1 WHERE WAY_CALC = 6 AND I = 2 AND ref_phys_pers = s.link_face) ,0) ))
											)
										END)	
									ELSE
										(CASE WHEN 
											( ISNULL(SS.SUMMA_ALL,0) - ISNULL(SS.SUMMA_ALL_I,0) - (ISNULL(SS.SUMMA_NO,0) - ISNULL(SS.SUMMA_NO_I,0))
											- ( CONVERT(numeric(18,2),ISNULL((SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN1 WHERE WAY_CALC = 6 AND I = 1 AND ref_phys_pers = s.link_face) ,0) ))
											) > @PREDEL 
										THEN @PREDEL
										ELSE 
											( ISNULL(SS.SUMMA_ALL,0) - ISNULL(SS.SUMMA_ALL_I,0)  - (ISNULL(SS.SUMMA_NO,0) - ISNULL(SS.SUMMA_NO_I,0))
											- ( CONVERT(numeric(18,2),ISNULL((SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN1 WHERE WAY_CALC = 6 AND I = 1 AND ref_phys_pers = s.link_face) ,0) ))
											) 
										END) 
								 END,
						   COL8 = ISNULL(SS.BASE_DOG,0),
						   COL9 = CASE WHEN @CODE = '' THEN
										(CASE WHEN
											(ISNULL(SS.SUMMA_ALL_I,0) - ISNULL(SS.SUMMA_NO_I,0) 
											- ( CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN1 WHERE WAY_CALC = 6 AND I = 2 AND ref_phys_pers = s.link_face) ,0) ))
											) > @PREDEL 
										THEN 
											(ISNULL(SS.SUMMA_ALL_I,0) - ISNULL(SS.SUMMA_NO_I,0) 
											- ( CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN1 WHERE WAY_CALC = 6 AND I = 2 AND ref_phys_pers = s.link_face) ,0) ))
											) - @PREDEL 
										ELSE 
											0
										END)	
									ELSE
										(CASE WHEN 
											(ISNULL(SS.SUMMA_ALL,0) - ISNULL(SS.SUMMA_ALL_I,0) - (ISNULL(SS.SUMMA_NO,0) - ISNULL(SS.SUMMA_NO_I,0))
											- ( CONVERT(numeric(18,2),ISNULL((SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN1 WHERE WAY_CALC = 6 AND I = 1 AND ref_phys_pers = s.link_face) ,0) ))
											) > @PREDEL
										THEN 
											(ISNULL(SS.SUMMA_ALL,0) - ISNULL(SS.SUMMA_ALL_I,0) - (ISNULL(SS.SUMMA_NO,0) - ISNULL(SS.SUMMA_NO_I,0))
											- ( CONVERT(numeric(18,2),ISNULL((SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN1 WHERE WAY_CALC = 6 AND I = 1 AND ref_phys_pers = s.link_face) ,0) ))
											) - @PREDEL
										ELSE 
											0
										END) 
								 END,
						   COL10 =  CASE WHEN [per] = 1 THEN 
						   					CONVERT(numeric(18,2),ISNULL((SELECT SUM(summa) FROM #SPR_ESN1 WHERE month_base IN (1,2,3 ) and I = 1 AND ref_phys_pers = s.link_face),0))
						   				WHEN [per] = 2 THEN 
						   					CONVERT(numeric(18,2),ISNULL((SELECT SUM(summa) FROM #SPR_ESN1 WHERE month_base IN (4,5,6 ) and I = 1 AND ref_phys_pers = s.link_face),0))	
						   				WHEN [per] = 3 THEN 
						   					CONVERT(numeric(18,2),ISNULL((SELECT SUM(summa) FROM #SPR_ESN1 WHERE month_base IN (7,8,9 ) and I = 1 AND ref_phys_pers = s.link_face),0)) 
						   				WHEN [per] = 4 THEN 
						   					CONVERT(numeric(18,2),ISNULL((SELECT SUM(summa) FROM #SPR_ESN1 WHERE month_base IN (10,11,12 ) and I = 1 AND ref_phys_pers = s.link_face),0)) END ,	 
						   COL11 = ISNULL([per],''), 
						   COL12 = ISNULL([year], ''), 
						   COL13 = ISNULL((case WHEN [TYPE] = 1 then '' when [TYPE] = 2 then '' else ''end), ''), 
						   COL14 = ISNULL(CONVERT(VARCHAR(1),[per_edt]), ''), 
						   COL15 = ISNULL(CONVERT(VARCHAR(4),[year_edt]), ''),
						   COL16 = @nom_pp,
						   COL17 = CONVERT(varchar(100),@FM),
						   COL18 = CONVERT(varchar(100),@IM),
						   COL19 = CONVERT(varchar(100),@OT), 
						  -- COL44 = isnull([INSUR],0),
						   COL45 = ISNULL([sack],'')
					FROM #SZV_PC s LEFT JOIN #SALARY_SUM2 ss ON ss.pers_link = s.link_face
					WHERE 
						code = @CODE and [TYPE] = @TYPE AND PFNUMBER = @PFNUMBER
				
					select row_number() over (order by PER_EDT) as ID , 
							[PER_EDT] as k_PER_EDT, 
							YEAR_EDT as k_YEAR_EDT, 
							INSUR - (SELECT SUM(SUM_doh) FROM #tmp_pers_kor_sum_r1 WHERE CODE = '' AND LINK_pers = s.link_face AND  per = s.[PER_EDT]  )  as k_INSUR, 
							GAIN - (SELECT SUM(SUM_NAK) FROM #tmp_pers_kor_sum_r1 WHERE CODE = '' AND LINK_pers = s.link_face AND  per = s.[PER_EDT] ) as k_GAIN, 
							PFNUMBER as k_PFNUMBER , 
							FM as k_FM 
					INTO #TMP01
					from  #SZV_ALL s
					WHERE  [TYPE] = 2 AND id_ex =1 and FM = @FM AND PFNUMBER = @PFNUMBER

					UPDATE #TMP1
					SET COL20 = (SELECT TOP 1 k_PER_EDT FROM #TMP01 where ID=1),
						COL21 = (select TOP 1 k_YEAR_EDT FROM #TMP01 where ID=1),
						COL22 = (CASE WHEN (select TOP 1 k_YEAR_EDT FROM #TMP01 where ID=1) >= '2014' THEN (SELECT TOP 1 k_INSUR FROM #TMP01 where ID=1)  ELSE 0 END ),
						COL23 = (case when (select TOP 1 k_YEAR_EDT FROM #TMP01 where ID=1) < '2014' THEN (SELECT TOP 1 k_INSUR FROM #TMP01 where ID=1) ELSE 0 END ),
						COL24 = (case when (select TOP 1 k_YEAR_EDT FROM #TMP01 where ID=1) < '2014' THEN (SELECT TOP 1 k_GAIN FROM #TMP01 where ID=1) ELSE 0 END ), 
						COL25 = (SELECT TOP 1 k_PER_EDT FROM #TMP01 where ID=2),
					    COL26 = (select TOP 1 k_YEAR_EDT FROM #TMP01 where ID=2), 
					    COL27 = (CASE WHEN (select TOP 1 k_YEAR_EDT FROM #TMP01 where ID=2) >= '2014' THEN (SELECT TOP 1 k_INSUR FROM #TMP01 where ID=2)  ELSE 0 END ), 
					    COL28 = (case when (select TOP 1 k_YEAR_EDT FROM #TMP01 where ID=2) < '2014' THEN (SELECT TOP 1 k_INSUR FROM #TMP01 where ID=2) ELSE 0 END ), 
					    COL29 = (case when (select TOP 1 k_YEAR_EDT FROM #TMP01 where ID=2) < '2014' THEN (SELECT TOP 1 k_GAIN FROM #TMP01 where ID=2) ELSE 0 END ),
					    COL30 = (SELECT TOP 1 k_PER_EDT FROM #TMP01 where ID=3),
					    COL31 = (select TOP 1 k_YEAR_EDT FROM #TMP01 where ID=3), 
					    COL32 = (CASE WHEN (select TOP 1 k_YEAR_EDT FROM #TMP01 where ID=3) >= '2014' THEN (SELECT TOP 1 k_INSUR FROM #TMP01 where ID=3)  ELSE 0 END ), 
					    COL33 = (case when (select TOP 1 k_YEAR_EDT FROM #TMP01 where ID=3) < '2014' THEN (SELECT TOP 1 k_INSUR FROM #TMP01 where ID=3) ELSE 0 END ), 
					    COL34 = (case when (select TOP 1 k_YEAR_EDT FROM #TMP01 where ID=3) < '2014' THEN (SELECT TOP 1 k_GAIN FROM #TMP01 where ID=3) ELSE 0 END ),
					    COL35 = (SELECT TOP 1 k_PER_EDT FROM #TMP01 where ID=4),
					    COL36 = (select TOP 1 k_YEAR_EDT FROM #TMP01 where ID=4), 
					    COL37 = (CASE WHEN (select TOP 1 k_YEAR_EDT FROM #TMP01 where ID=4) >= '2014' THEN (SELECT TOP 1 k_INSUR FROM #TMP01 where ID=4)  ELSE 0 END ), 
					    COL38 = (case when (select TOP 1 k_YEAR_EDT FROM #TMP01 where ID=4) < '2014' THEN (SELECT TOP 1 k_INSUR FROM #TMP01 where ID=4) ELSE 0 END ), 
					    COL39 = (case when (select TOP 1 k_YEAR_EDT FROM #TMP01 where ID=4) < '2014' THEN (SELECT TOP 1 k_GAIN FROM #TMP01 where ID=4) ELSE 0 END ),
					    COL40 = (SELECT TOP 1 k_PER_EDT FROM #TMP01 where ID=5),
					    COL41 = (SELECT TOP 1 k_YEAR_EDT FROM #TMP01 where ID=5), 
					    COL42 = (CASE WHEN (select TOP 1 k_YEAR_EDT FROM #TMP01 where ID=5) >= '2014' THEN (SELECT TOP 1 k_INSUR FROM #TMP01 where ID=5)  ELSE 0 END ), 
					    COL43 = (case when (select TOP 1 k_YEAR_EDT FROM #TMP01 where ID=5) < '2014' THEN (SELECT TOP 1 k_INSUR FROM #TMP01 where ID=5) ELSE 0 END ), 
					    COL44 = (case when (select TOP 1 k_YEAR_EDT FROM #TMP01 where ID=5) < '2014' THEN (SELECT TOP 1 k_GAIN FROM #TMP01 where ID=5) ELSE 0 END )--,
					FROM #TMP1
					WHERE #TMP1.COL5 = @CODE 
						AND #TMP1.COL12 = ISNULL((case WHEN @TYPE = 1 then '' when @TYPE = 2 then '' else ''end), '') 
						AND #TMP1.COL2 = @PFNUMBER and #TMP1.COL17 = @FM and #TMP1.COL18 = @IM and #TMP1.COL19= @OT

					drop table #TMP01

					set @nom_pp = @nom_pp + 1
					
					INSERT INTO #TMP1 (CODE, COL1, COL2, COL3, COL4, COL5, COL6, COL7, COL8, COL9, COL10, COL11, COL12, COL13,COL14,COL15, COL16,COL17, COL18 , COL19)
					SELECT CODE = @nom_pp,
						   COL1 = @nom_pp,
						   COL2 = ISNULL([PFNUMBER],0),	
						   COL3 = CONVERT(VARCHAR(100), '1 '),
						   COL4 = CONVERT(VARCHAR(4),'401'),
						   COL5 = CONVERT(VARCHAR(4),@CODE),
						   COL6 = SUM([INC_M1]),
						   COL7 = SUM([B_BEF_M1]),
						   COL8 = SUM(CASE WHEN T_DOG = 2 THEN [B_BEF_M1] ELSE 0 END),
						   COL9 = SUM([B_AFT_M1]),
						   COL10 =  CASE WHEN [per] = 1 THEN 
						   					CONVERT(numeric(18,2),ISNULL((SELECT sum(summa) FROM #SPR_ESN1 WHERE month_base = 1 and I = 1 AND ref_phys_pers = s.link_face),0))
						   				WHEN [per] = 2 THEN 
						   					CONVERT(numeric(18,2),ISNULL((SELECT sum(summa) FROM #SPR_ESN1 WHERE month_base = 4 and I = 1 AND ref_phys_pers = s.link_face),0))	
						   				WHEN [per] = 3 THEN 
						   					CONVERT(numeric(18,2),ISNULL((SELECT sum(summa) FROM #SPR_ESN1 WHERE month_base = 7 and I = 1 AND ref_phys_pers = s.link_face),0)) 
						   				WHEN [per] = 4 THEN 
						   					CONVERT(numeric(18,2),ISNULL((SELECT sum(summa) FROM #SPR_ESN1 WHERE month_base = 10 and I = 1 AND ref_phys_pers = s.link_face),0)) END ,	 
						    --CONVERT(numeric(18,2),ISNULL((SELECT TOP 1 SUMMA FROM #SPR_ESN1 WHERE  I = 1 AND ref_phys_pers = s.link_face AND month_base = 1) ,0) ), 
						   COL11 = ISNULL([per],''), 
						   COL12 = ISNULL([year],''), 
						   COL13 = ISNULL((case WHEN [TYPE] = 1 then '' when [TYPE] = 2 then '' else '' end), ''), 
						   COL14 = ISNULL(CONVERT(VARCHAR(1),[per_edt]), ''), 
						   COL15 = ISNULL(CONVERT(VARCHAR(4),[year_edt]), ''),
						   COL16 = @nom_pp,
						   COL17 = CONVERT(varchar(100),@FM),
						   COL18 = CONVERT(varchar(100),@IM),
						   COL19 = CONVERT(varchar(100),@OT)
					FROM #SZV_SUM s WHERE code = @CODE and [TYPE] = @TYPE /*and T_DOG = @T_DOG*/ AND PFNUMBER = @PFNUMBER
					GROUP BY [PFNUMBER], s.link_face,[per],[year],[TYPE],[per_edt],[year_edt]
					
					set @nom_pp = @nom_pp + 1
					
					INSERT INTO #TMP1 (CODE, COL1, COL2, COL3, COL4, COL5, COL6, COL7, COL8, COL9, COL10, COL11, COL12, COL13,COL14, COL15, COL16,COL17, COL18, COL19)
					SELECT CODE = @nom_pp,
						   COL1 = @nom_pp,	
						   COL2 = ISNULL([PFNUMBER],0),	
						   COL3 = CONVERT(VARCHAR(100), '2 '),
						   COL4 = CONVERT(VARCHAR(4),'402'),
						   COL5 = CONVERT(VARCHAR(4),@CODE),
						   COL6 = SUM([INC_M2]),
						   COL7 = SUM([B_BEF_M2]),
						   COL8 = SUM(CASE WHEN T_DOG = 2 THEN [B_BEF_M2] ELSE 0 END),
						   COL9 = SUM([B_AFT_M2]),
						   COL10 = CASE WHEN [per] = 1 THEN 
						   					CONVERT(numeric(18,2),ISNULL((SELECT  sum(summa) FROM #SPR_ESN1 WHERE month_base = 2 and I = 1 AND ref_phys_pers = s.link_face),0))
						   				WHEN [per] = 2 THEN 
						   					CONVERT(numeric(18,2),ISNULL((SELECT sum(summa) FROM #SPR_ESN1 WHERE month_base = 5 and I = 1 AND ref_phys_pers = s.link_face),0))	
						   				WHEN [per] = 3 THEN 
						   					CONVERT(numeric(18,2),ISNULL((SELECT  sum(summa) FROM #SPR_ESN1 WHERE month_base = 8 and I = 1 AND ref_phys_pers = s.link_face),0)) 
						   				WHEN [per] = 4 THEN 
						   					CONVERT(numeric(18,2),ISNULL((SELECT  sum(summa) FROM #SPR_ESN1 WHERE month_base = 11 and I = 1 AND ref_phys_pers = s.link_face),0)) END ,
						   COL11 = ISNULL([per],''), 
						   COL12 = ISNULL([year], ''), 
						   COL13 = ISNULL((case WHEN [TYPE] = 1 then '' when [TYPE] = 2 then '' else '' end ), ''), 
						   COL14 = ISNULL(CONVERT(VARCHAR(1),[per_edt]), ''), 
						   COL15 = ISNULL(CONVERT(VARCHAR(4),[year_edt]), ''),
						   COL16 = @nom_pp,
						   COL17 = CONVERT(varchar(100),@FM),
						   COL18 = CONVERT(varchar(100),@IM),
						   COL19 = CONVERT(varchar(100),@OT)
					FROM #SZV_SUM s WHERE code = @CODE and [TYPE] = @TYPE AND PFNUMBER = @PFNUMBER
					GROUP BY [PFNUMBER], s.link_face,[per],[year],[TYPE],[per_edt],[year_edt]
	
	
-- EXEC DBO.RSA_RPSV_PERS_UCH_SZV  '20170401', '20170630', 13488, 1 ,      2892				
					set @nom_pp = @nom_pp + 1
					
					INSERT INTO #TMP1 (CODE, COL1, COL2, COL3, COL4, COL5, COL6, COL7, COL8, COL9, COL10, COL11, COL12, COL13,COL14, COL15, COL16,COL17, COL18, COL19)
					SELECT CODE = @nom_pp,
						   COL1 = @nom_pp,	
						   COL2 = ISNULL([PFNUMBER],0),	
						   COL3 = CONVERT(VARCHAR(100), '3 '),
						   COL4 = CONVERT(VARCHAR(4),'403'),
						   COL5 = CONVERT(VARCHAR(4),@CODE),
						   COL6 = SUM([INC_M3]),
						   COL7 = SUM([B_BEF_M3]),
						   COL8 = SUM(CASE WHEN T_DOG = 2 THEN [B_BEF_M3] ELSE 0 END),
						   COL9 = SUM([B_AFT_M3]),
						   COL10 =   CASE WHEN [per] = 1 THEN 
						   					CONVERT(numeric(18,2),ISNULL((SELECT sum(summa) FROM #SPR_ESN1 WHERE month_base = 3 and I = 1 AND ref_phys_pers = s.link_face),0))
						   				WHEN [per] = 2 THEN 
						   					CONVERT(numeric(18,2),ISNULL((SELECT sum(summa) FROM #SPR_ESN1 WHERE month_base = 6 and I = 1 AND ref_phys_pers = s.link_face),0))	
						   				WHEN [per] = 3 THEN 
						   					CONVERT(numeric(18,2),ISNULL((SELECT sum(summa) FROM #SPR_ESN1 WHERE month_base = 9 and I = 1 AND ref_phys_pers = s.link_face),0)) 
						   				WHEN [per] = 4 THEN 
						   					CONVERT(numeric(18,2),ISNULL((SELECT sum(summa) FROM #SPR_ESN1 WHERE month_base = 12 and I = 1 AND ref_phys_pers = s.link_face),0)) END ,

						   COL11 = ISNULL([per],''), 
						   COL12 = ISNULL([year], ''), 
						   COL13 = ISNULL((case WHEN [TYPE] = 1 then '' when [TYPE] = 2 then '' else '' end ), ''), 
						   COL14 = ISNULL(CONVERT(VARCHAR(1),[per_edt]), ''), 
						   COL15 = ISNULL(CONVERT(VARCHAR(4),[year_edt]), ''),
						   COL16 = @nom_pp,
						   COL17 = CONVERT(varchar(100),@FM),
						   COL18 = CONVERT(varchar(100),@IM),
						   COL19 = CONVERT(varchar(100),@OT)
					FROM #SZV_SUM s WHERE code = @CODE and [TYPE] = @TYPE AND PFNUMBER = @PFNUMBER
					GROUP BY [PFNUMBER], s.link_face,[per],[year],[TYPE],[per_edt],[year_edt]
					
					set @nom_pp = @nom_pp + 1
				END
	
				---        (         )
				IF /*@T_DOG = 1 and*/  @PFNUMBER = @pf_num1 and @CODE <> @CODE_old	and  @TYPE = @TYPE_OLD
				BEGIN 

					INSERT INTO #TMP1 (CODE, COL1, COL2, COL3, COL4, COL5, COL6, COL7, COL8, COL9, COL10, COL11, COL12, COL13,COL14, COL15, COL16,COL17, COL18, COL19,COL45)
					SELECT CODE = @nom_pp,
						   COL1 = @nom_pp,	
						   COL2 = ISNULL([PFNUMBER],0), 
						   COL3 = CONVERT(VARCHAR(100), '    ,         :'),
						   COL4 = CONVERT(VARCHAR(4),'410'),
						   COL5 = CONVERT(VARCHAR(4),@CODE),
						   COL6 = CASE WHEN @CODE = '' then ISNULL(SS.SUMMA_ALL_I,0) ELSE ISNULL(SS.SUMMA_ALL- SS.SUMMA_ALL_I,0) end,
						   COL7 = 
								CASE WHEN @CODE = '' THEN
									--  
									(ISNULL(SS.SUMMA_ALL_I - SS.SUMMA_NO_I,0) 
									- ( CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN1 WHERE WAY_CALC = 6 AND I = 2 AND ref_phys_pers = s.link_face) ,0) ))
									)
								ELSE
									--  
									( (ISNULL(SS.SUMMA_ALL,0) - ISNULL(SS.SUMMA_ALL_I,0)) - (ISNULL(SS.SUMMA_NO,0) -  ISNULL(SS.SUMMA_NO_I,0))
									- ( CONVERT(numeric(18,2),ISNULL((SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN1 WHERE WAY_CALC = 6 AND I = 1 AND ref_phys_pers = s.link_face) ,0) ))
									)
								END
								- -- 
								CASE WHEN 
									(ISNULL(SS.SUMMA_ALL,0) - ISNULL(SS.SUMMA_NO,0) 
									- ( CONVERT(numeric(18,2),ISNULL((SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN1 WHERE WAY_CALC = 6 AND ref_phys_pers = s.link_face) ,0) ))
									) > @PREDEL
								THEN
									(ISNULL(SS.SUMMA_ALL,0) - ISNULL(SS.SUMMA_NO,0) 
									- ( CONVERT(numeric(18,2),ISNULL((SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN1 WHERE WAY_CALC = 6 AND ref_phys_pers = s.link_face) ,0) ))
									) - @PREDEL
								ELSE
									0
								END,	
														
						   COL8 = ISNULL(SS.BASE_DOG,0),

						   COL9 = 
								-- 
								CASE WHEN 
									(ISNULL(SS.SUMMA_ALL,0) - ISNULL(SS.SUMMA_NO,0) 
									- ( CONVERT(numeric(18,2),ISNULL((SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN1 WHERE WAY_CALC = 6 AND ref_phys_pers = s.link_face) ,0) ))
									) > @PREDEL
								THEN
									(ISNULL(SS.SUMMA_ALL,0) - ISNULL(SS.SUMMA_NO,0) 
									- ( CONVERT(numeric(18,2),ISNULL((SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN1 WHERE WAY_CALC = 6 AND ref_phys_pers = s.link_face) ,0) ))
									) - @PREDEL
								ELSE
									0
								END,
						   COL10 =  CASE WHEN [per] = 1 THEN 
						   					CONVERT(numeric(18,2),ISNULL((SELECT SUM(summa) FROM #SPR_ESN1 WHERE month_base IN (1,2,3 ) and I = 1 AND ref_phys_pers = s.link_face),0))
						   				WHEN [per] = 2 THEN 
						   					CONVERT(numeric(18,2),ISNULL((SELECT SUM(summa) FROM #SPR_ESN1 WHERE month_base IN (4,5,6 ) and I = 1 AND ref_phys_pers = s.link_face),0))	
						   				WHEN [per] = 3 THEN 
						   					CONVERT(numeric(18,2),ISNULL((SELECT SUM(summa) FROM #SPR_ESN1 WHERE month_base IN (7,8,9 ) and I = 1 AND ref_phys_pers = s.link_face),0)) 
						   				WHEN [per] = 4 THEN 
						   					CONVERT(numeric(18,2),ISNULL((SELECT SUM(summa) FROM #SPR_ESN1 WHERE month_base IN (10,11,12 ) and I = 1 AND ref_phys_pers = s.link_face),0)) END ,
						   COL11 = ISNULL([per],''), 
						   COL12 = ISNULL([year], ''), 
						   COL13 = ISNULL((case WHEN [TYPE] = 1 then '' when [TYPE] = 2 then '' else ''end), ''), 
						   COL14 = ISNULL([per_edt], ''), 
						   COL15 = ISNULL([year_edt], ''),
						   COL16 = @nom_pp,
						   COL17 = CONVERT(varchar(100),@FM),
						   COL18 = CONVERT(varchar(100),@IM),
						   COL19 = CONVERT(varchar(100),@OT),
						   COL45 = ISNULL(SACK,'')
					FROM 
						#SZV_PC s LEFT JOIN #SALARY_SUM2 ss ON ss.pers_link = s.link_face
					WHERE 
						code = @CODE and [TYPE] = @TYPE AND PFNUMBER = @PFNUMBER
					
					set @nom_pp = @nom_pp + 1
					
					INSERT INTO #TMP1 (CODE, COL1, COL2, COL3, COL4, COL5, COL6, COL7, COL8, COL9, COL10, COL11, COL12, COL13,COL14, COL15, COL16,COL17, COL18, COL19)
					SELECT CODE = @nom_pp,
						   COL1 = @nom_pp,	
						   COL2 = ISNULL([PFNUMBER],0),
						   COL3 = CONVERT(VARCHAR(100), '1 '),
						   COL4 = CONVERT(VARCHAR(4),'411'),
						   COL5 = CONVERT(VARCHAR(4),@CODE),
						   COL6 = SUM([INC_M1]),
						   COL7 = SUM([B_BEF_M1]),
						   COL8 = SUM(CASE WHEN T_DOG = 2 THEN [B_BEF_M1] ELSE 0 END),
						   COL9 = SUM([B_AFT_M1]),
						   COL10 = CASE WHEN [per] = 1 THEN 
						   					CONVERT(numeric(18,2),ISNULL((SELECT sum(summa) FROM #SPR_ESN1 WHERE month_base = 1 AND ref_phys_pers = s.link_face),0))
						   				WHEN [per] = 2 THEN 
						   					CONVERT(numeric(18,2),ISNULL((SELECT  sum(summa) FROM #SPR_ESN1 WHERE month_base = 4  AND ref_phys_pers = s.link_face),0))	
						   				WHEN [per] = 3 THEN 
						   					CONVERT(numeric(18,2),ISNULL((SELECT sum(summa) FROM #SPR_ESN1 WHERE month_base = 7  AND ref_phys_pers = s.link_face),0)) 
						   				WHEN [per] = 4 THEN 
						   					CONVERT(numeric(18,2),ISNULL((SELECT sum(summa) FROM #SPR_ESN1 WHERE month_base = 10  AND ref_phys_pers = s.link_face),0)) END ,

						   COL11 = ISNULL([per],''), 
						   COL12 = ISNULL([year], ''), 
						   COL13 = ISNULL((case WHEN [TYPE] = 1 then '' when [TYPE] = 2 then '' else '' end), ''), 
						   COL14 = ISNULL([per_edt], ''), 
						   COL15 = ISNULL([year_edt], ''),
						   COL16 = @nom_pp,
						   COL17 = CONVERT(varchar(100),@FM),
						   COL18 = CONVERT(varchar(100),@IM),
						   COL19 = CONVERT(varchar(100),@OT)
						   
					FROM #SZV_SUM s WHERE code = @CODE and [TYPE] = @TYPE AND PFNUMBER = @PFNUMBER
					GROUP BY [PFNUMBER], s.link_face,[per],[year],[TYPE],[per_edt],[year_edt]
					
					set @nom_pp = @nom_pp + 1
					
					INSERT INTO #TMP1 (CODE, COL1, COL2, COL3, COL4, COL5, COL6, COL7, COL8, COL9, COL10, COL11, COL12, COL13,COL14, COL15, COL16,COL17, COL18, COL19)
					SELECT CODE = @nom_pp,
						   COL1 = @nom_pp,	
						   COL2 = ISNULL([PFNUMBER],0), 
						   COL3 = CONVERT(VARCHAR(100), '2 '),
						   COL4 = CONVERT(VARCHAR(4),'412'),
						   COL5 = CONVERT(VARCHAR(4),@CODE),
						   COL6 = SUM([INC_M2]),
						   COL7 = SUM([B_BEF_M2]),
						   COL8 = SUM(CASE WHEN T_DOG = 2 THEN [B_BEF_M2] ELSE 0 END),
						   COL9 = SUM([B_AFT_M2]),
						   COL10 =  CASE WHEN [per] = 1 THEN 
						   					CONVERT(numeric(18,2),ISNULL((SELECT sum(summa) FROM #SPR_ESN1 WHERE month_base = 2  AND ref_phys_pers = s.link_face),0))
						   				WHEN [per] = 2 THEN 
						   					CONVERT(numeric(18,2),ISNULL((SELECT sum(summa) FROM #SPR_ESN1 WHERE month_base = 5 AND ref_phys_pers = s.link_face),0))	
						   				WHEN [per] = 3 THEN 
						   					CONVERT(numeric(18,2),ISNULL((SELECT sum(summa) FROM #SPR_ESN1 WHERE month_base = 8 AND ref_phys_pers = s.link_face),0)) 
						   				WHEN [per] = 4 THEN 
						   					CONVERT(numeric(18,2),ISNULL((SELECT sum(summa) FROM #SPR_ESN1 WHERE month_base = 11  AND ref_phys_pers = s.link_face),0)) END ,
  
						   COL11 = ISNULL([per],''), 
						   COL12 = ISNULL([year], ''), 
						   COL13 = ISNULL((case WHEN [TYPE] = 1 then '' when [TYPE] = 2 then '' else '' end ), ''), 
						   COL14 = ISNULL([per_edt], ''), 
						   COL15 = ISNULL([year_edt], ''),
						   COL16 = @nom_pp,
						   COL17 = CONVERT(varchar(100),@FM),
						   COL18 = CONVERT(varchar(100),@IM),
						   COL19 = CONVERT(varchar(100),@OT)
					FROM #SZV_SUM s WHERE code = @CODE and [TYPE] = @TYPE /*and T_DOG = @T_DOG*/ AND PFNUMBER = @PFNUMBER
					GROUP BY [PFNUMBER], s.link_face,[per],[year],[TYPE],[per_edt],[year_edt]
					
					set @nom_pp = @nom_pp + 1
					
					INSERT INTO #TMP1 (CODE, COL1, COL2, COL3, COL4, COL5, COL6, COL7, COL8, COL9, COL10, COL11, COL12, COL13,COL14, COL15, COL16,COL17, COL18, COL19)
					SELECT CODE = @nom_pp,
						   COL1 = @nom_pp,	
						   COL2 = ISNULL([PFNUMBER],0), 
						   COL3 = CONVERT(VARCHAR(100), '3 '),
						   COL4 = CONVERT(VARCHAR(4),'413'),
						   COL5 = CONVERT(VARCHAR(4),@CODE),
						   COL6 = SUM([INC_M3]),
						   COL7 = SUM([B_BEF_M3]),
						   COL8 = SUM(CASE WHEN T_DOG = 2 THEN [B_BEF_M3] ELSE 0 END),
						   COL9 = SUM([B_AFT_M3]),
						   COL10 =  CASE WHEN [per] = 1 THEN 
						   					CONVERT(numeric(18,2),ISNULL((SELECT sum(summa) FROM #SPR_ESN1 WHERE month_base = 3 and I = 1 AND ref_phys_pers = s.link_face),0))
						   				WHEN [per] = 2 THEN 
						   					CONVERT(numeric(18,2),ISNULL((SELECT sum(summa) FROM #SPR_ESN1 WHERE month_base = 6 and I = 1 AND ref_phys_pers = s.link_face),0))	
						   				WHEN [per] = 3 THEN 
						   					CONVERT(numeric(18,2),ISNULL((SELECT sum(summa) FROM #SPR_ESN1 WHERE month_base = 9 and I = 1 AND ref_phys_pers = s.link_face),0)) 
						   				WHEN [per] = 4 THEN 
						   					CONVERT(numeric(18,2),ISNULL((SELECT sum(summa) FROM #SPR_ESN1 WHERE month_base = 12 and I = 1 AND ref_phys_pers = s.link_face),0)) END ,
  
						   COL11 = ISNULL([per],''), 
						   COL12 = ISNULL([year], ''), 
						   COL13 = ISNULL((case WHEN [TYPE] = 1 then '' when [TYPE] = 2 then '' else '' end ), ''), 
						   COL14 = ISNULL([per_edt], ''), 
						   COL15 = ISNULL([year_edt], ''),
						   COL16 = @nom_pp,
						   COL17 = CONVERT(varchar(100),@FM),
						   COL18 = CONVERT(varchar(100),@IM),
						   COL19 = CONVERT(varchar(100),@OT)
					FROM #SZV_SUM s WHERE code = @CODE and [TYPE] = @TYPE /*and T_DOG = @T_DOG*/ AND PFNUMBER = @PFNUMBER
					GROUP BY [PFNUMBER], s.link_face,[per],[year],[TYPE],[per_edt],[year_edt]
					
					set @nom_pp = @nom_pp + 1
				END						

				---    '410','411','412','413' 
			
				if not exists (select * from #tmp1 
								where COl2 = @PFNUMBER 
								and COL13 = (case WHEN @TYPE = 1 then '' when @TYPE = 2 then '' else ''end)
								and COL4 = '410' ) AND NOT EXISTS (SELECT * FROM #SZV_ALL WHERE PFNUMBER = @PFNUMBER AND CODE != @CODE AND [TYPE] = 1) 
				begin 
							
					INSERT INTO #TMP1 (CODE, COL1, COL2, COL3, COL4, COL5, COL6, COL7, COL8, COL9, COL10, COL11, COL12, COL13,COL14, COL15, COL16,COL17, COL18, COL19)
					SELECT CODE = @nom_pp,
						   COL1 = @nom_pp,	
						   COL2 = ISNULL(@PFNUMBER,''), 
						   COL3 = CONVERT(VARCHAR(100), '    ,         :'),
						   COL4 = CONVERT(VARCHAR(4),'410'),
						   COL5 = CONVERT(VARCHAR(4),''),
						   COL6 = 0,
						   COL7 = 0,
						   COL8 = 0,
						   COL9 = 0,
						   COL10 = 0,
						   COL11 = ISNULL((SELECT TOP 1 COL11 from #tmp1 where COl2 = @PFNUMBER and COL13 = '' and COL4 = '400'),''), 
						   COL12 = ISNULL((select TOP 1 COL12 from #tmp1 where COl2 = @PFNUMBER and COL13 = '' and COL4 = '400'),''), 
						   COL13 = ISNULL((case WHEN @TYPE = 1 then '' when @TYPE = 2 then '' else ''end), ''), 
						   COL14 = '', 
						   COL15 = '',
						   COL16 = @nom_pp,
						   COL17 = CONVERT(varchar(100),@FM),
						   COL18 = CONVERT(varchar(100),@IM),
						   COL19 = CONVERT(varchar(100),@OT)
					
					set @nom_pp = @nom_pp + 1
					
					INSERT INTO #TMP1 (CODE, COL1, COL2, COL3, COL4, COL5, COL6, COL7, COL8, COL9, COL10, COL11, COL12, COL13,COL14, COL15, COL16,COL17, COL18, COL19)
					SELECT CODE = @nom_pp,
						   COL1 = @nom_pp,
						   COL2 = ISNULL(@PFNUMBER,''),
						   COL3 = CONVERT(VARCHAR(100), '1 '),
						   COL4 = CONVERT(VARCHAR(4),'411'),
						   COL5 = CONVERT(VARCHAR(4),''),
						   COL6 = 0,
						   COL7 = 0,
						   COL8 = 0,
						   COL9 = 0,
						   COL10 = 0,
						   COL11 = ISNULL((select TOP 1 COL11 from #tmp1 where COl2 = @PFNUMBER and COL13 = '' and COL4 = '400'),'') , 
						   COL12 = ISNULL((select TOP 1 COL12 from #tmp1 where COl2 = @PFNUMBER and COL13 = '' and COL4 = '400'),''), 
						   COL13 = ISNULL((case WHEN @TYPE = 1 then '' when @TYPE = 2 then '' else ''end), ''), 
						   COL14 = '', 
						   COL15 = '',
						   COL16 = @nom_pp,
						   COL17 = CONVERT(varchar(100),@FM),
						   COL18 = CONVERT(varchar(100),@IM),
						   COL19 = CONVERT(varchar(100),@OT)
				
					set @nom_pp = @nom_pp + 1
					
					INSERT INTO #TMP1 (CODE, COL1, COL2, COL3, COL4, COL5, COL6, COL7, COL8, COL9, COL10, COL11, COL12, COL13,COL14, COL15, COL16,COL17, COL18, COL19)
					SELECT CODE = @nom_pp,
						   COL1 = @nom_pp,
						   COL2 = ISNULL(@PFNUMBER,''), 
						 COL3 = CONVERT(VARCHAR(100), '2 '),
						   COL4 = CONVERT(VARCHAR(4),'412'),
						   COL5 = CONVERT(VARCHAR(4),''),
						   COL6 = 0,
						   COL7 = 0,
						   COL8 = 0,
						   COL9 = 0,
						   COL10 = 0,
						   COL11 = ISNULL((select TOP 1 COL11 from #tmp1 where COl2 = @PFNUMBER and COL13 = '' and COL4 = '400'),'') , 
						   COL12 = ISNULL((select TOP 1 COL12 from #tmp1 where COl2 = @PFNUMBER and COL13 = '' and COL4 = '400'),''), 
						   COL13 = ISNULL((case WHEN @TYPE = 1 then '' when @TYPE = 2 then '' else ''end), ''), 
						   COL14 = '', 		
						   COL15 = '',
						   COL16 = @nom_pp,
						   COL17 = CONVERT(varchar(100),@FM),
						   COL18 = CONVERT(varchar(100),@IM),
						   COL19 = CONVERT(varchar(100),@OT)
					
					set @nom_pp = @nom_pp + 1		
					
					INSERT INTO #TMP1 (CODE, COL1, COL2, COL3, COL4, COL5, COL6, COL7, COL8, COL9, COL10, COL11, COL12, COL13, COL14, COL15, COL16,COL17, COL18, COL19)
					SELECT CODE = @nom_pp,
						   COL1 = @nom_pp, 
						   COL2 = ISNULL(@PFNUMBER,''),
						   COL3 = CONVERT(VARCHAR(100), '3 '),
						   COL4 = CONVERT(VARCHAR(4),'413'),
						   COL5 = CONVERT(VARCHAR(4),''),
						   COL6 = 0,
						   COL7 = 0,
						   COL8 = 0,
						   COL9 = 0,
						   COL10 = 0,
						   COL11 = ISNULL((select TOP 1 COL11 from #tmp1 where COl2 = @PFNUMBER and COL13 = '' and COL4 = '400'),'') , 
						   COL12 = ISNULL((select TOP 1 COL12 from #tmp1 where COl2 = @PFNUMBER and COL13 = '' and COL4 = '400'),''), 
						   COL13 = ISNULL((case WHEN @TYPE = 1 then '' when @TYPE = 2 then '' else ''end), ''), 
						   COL14 = '', 
						   COL15 = '',
						   COL16 = @nom_pp,
						   COL17 = CONVERT(varchar(100),@FM),
						   COL18 = CONVERT(varchar(100),@IM),
						   COL19 = CONVERT(varchar(100),@OT)
					
					set @nom_pp = @nom_pp + 1	
				
				end 

					set @pf_num1 = @PFNUMBER
					set @CODE_old = @CODE
					set @TYPE_OLD = @TYPE
			END

			FETCH NEXT FROM @Cur1 INTO @CODE,@TYPE/*,@T_DOG*/,@PFNUMBER,@FM,@IM,@OT, @DATE
		END

		CLOSE @Cur1
		DEALLOCATE @Cur1



		/*****************************************************/
		--    /
		/*****************************************************/
		DECLARE @Cur2 CURSOR , @PER_EDT1 INT, @PER_OLD INT
		set @pf_num1 = ''
		
		set @CODE_old = '' 
		set @TYPE_OLD = 0
		set @nom_pp = (SELECT MAX(CODE) FROM #TMP1 WHERE COL12= '') + 1 
		
		SET @Cur2 = CURSOR FORWARD_ONLY
		FOR SELECT  [CODE],[TYPE],[PFNUMBER], [FM],[IM],[OT], PER_EDT  FROM #SZV_ALL where /*T_DOG = 1 and*/ [TYPE] != 1 /*AND YEAR_EDT >=2014*/ GROUP BY [FM],[IM],[OT],[PFNUMBER],[TYPE],CODE/*, [T_DOG]*/, PER_EDT ORDER BY [FM],[IM],[OT],[PFNUMBER],[TYPE],CODE/*, [T_DOG]*/, PER_EDT
		OPEN @Cur2
		FETCH NEXT FROM @Cur2 INTO  @CODE,@TYPE,@PFNUMBER,@FM,@IM,@OT,@PER_EDT1
		WHILE (@@fetch_status <> -1)
		BEGIN

			IF (@@fetch_status <> -2)
			BEGIN
				  
				---        ( , , )
				IF (/*@T_DOG = 1 and */ @PFNUMBER <> @pf_num1  OR ( @PFNUMBER = @pf_num1 AND  @PER_EDT1 <> @PER_OLD)) 
				BEGIN
					
				 					
					INSERT INTO #TMP1 (CODE, COL1, COL2, COL3, COL4, COL5, COL6, COL7, COL8, COL9, COL10, COL11, COL12, COL13,COL14, COL15, COL16,COL17, COL18, COL19, COL45)
					SELECT CODE =  @nom_pp,
						   COL1 =  @nom_pp,	
						   COL2 = ISNULL([PFNUMBER],0),	
						   COL3 = CONVERT(VARCHAR(100), '    ,         :'),
						   COL4 = CONVERT(VARCHAR(4),'400'),
						   COL5 = CONVERT(VARCHAR(4),@CODE),
						   COL6 = CASE WHEN @CODE = '' THEN ISNULL(SS.SUMMA_ALL_I,0) ELSE ISNULL(SS.SUMMA_ALL - SS.SUMMA_ALL_I,0) END,
						   COL7 = 
								CASE WHEN @CODE = '' THEN
										(CASE WHEN
											(ISNULL(SS.SUMMA_ALL_I - SS.SUMMA_NO_I,0) 
											- ( CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN1_K WHERE WAY_CALC = 6 AND I = 2 AND ref_phys_pers = s.link_face 
																						and month_base <= (case when @PER_EDT1  = 1 then  3
																						when @PER_EDT1  = 2 then 6
																						when @PER_EDT1  = 3 then 9
																						when @PER_EDT1  = 0 then 12 END )) ,0) ))
											) > @PREDEL_K 
										THEN @PREDEL_K
										ELSE 
											(ISNULL(SS.SUMMA_ALL_I - SS.SUMMA_NO_I,0) 
											- ( CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN1_K WHERE WAY_CALC = 6 AND I = 2 AND ref_phys_pers = s.link_face 
																						and month_base <= (case when @PER_EDT1  = 1 then  3
																						when @PER_EDT1  = 2 then 6
																						when @PER_EDT1  = 3 then 9
																						when @PER_EDT1  = 0 then 12 END )) ,0) ))
											)
										END)	
									ELSE
										(CASE WHEN 
											( ISNULL(SS.SUMMA_ALL,0) - ISNULL(SS.SUMMA_ALL_I,0) - (ISNULL(SS.SUMMA_NO,0) - ISNULL(SS.SUMMA_NO_I,0))
											- ( CONVERT(numeric(18,2),ISNULL((SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN1_K WHERE WAY_CALC = 6 AND I = 1 AND ref_phys_pers = s.link_face 
																						and month_base <= (case when @PER_EDT1  = 1 then  3
																						when @PER_EDT1  = 2 then 6
																						when @PER_EDT1  = 3 then 9
																						when @PER_EDT1  = 0 then 12 END )) ,0) ))
											) > @PREDEL_K 
										THEN @PREDEL_K
										ELSE 
											( ISNULL(SS.SUMMA_ALL,0) - ISNULL(SS.SUMMA_ALL_I,0) - (ISNULL(SS.SUMMA_NO,0) - ISNULL(SS.SUMMA_NO_I,0))
											- ( CONVERT(numeric(18,2),ISNULL((SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN1_K WHERE WAY_CALC = 6 AND I = 1 AND ref_phys_pers = s.link_face 
																						and month_base <= (case when @PER_EDT1  = 1 then  3
																						when @PER_EDT1  = 2 then 6
																						when @PER_EDT1  = 3 then 9
																						when @PER_EDT1  = 0 then 12 END )) ,0) ))
											) 
										END) 
								 END,								 

						   COL8 = ISNULL(SS.BASE_DOG,0),

						   COL9 = CASE WHEN @CODE = '' THEN
										(CASE WHEN
											(ISNULL(SS.SUMMA_ALL_I,0) - ISNULL(SS.SUMMA_NO_I,0) 
											- ( CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN1_K WHERE WAY_CALC = 6 AND I = 2 AND ref_phys_pers = s.link_face 
																						and month_base <= (case when @PER_EDT1  = 1 then  3
																						when @PER_EDT1  = 2 then 6
																						when @PER_EDT1  = 3 then 9
																						when @PER_EDT1  = 0 then 12 END )) ,0) ))
											) > @PREDEL_K 
										THEN 
											(ISNULL(SS.SUMMA_ALL_I,0) - ISNULL(SS.SUMMA_NO_I,0) 
											- ( CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN1_K WHERE WAY_CALC = 6 AND I = 2 AND ref_phys_pers = s.link_face 
																						and month_base <= (case when @PER_EDT1  = 1 then  3
																						when @PER_EDT1  = 2 then 6
																						when @PER_EDT1  = 3 then 9
																						when @PER_EDT1  = 0 then 12 END )) ,0) ))
											) - @PREDEL_K 
										ELSE 
											0
										END)	
									ELSE
										(CASE WHEN 
											(ISNULL(SS.SUMMA_ALL,0) - ISNULL(SS.SUMMA_ALL_I,0) - (ISNULL(SS.SUMMA_NO,0) - ISNULL(SS.SUMMA_NO_I,0))
											- ( CONVERT(numeric(18,2),ISNULL((SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN1_K WHERE WAY_CALC = 6 AND I = 1 AND ref_phys_pers = s.link_face 
																						and month_base <= (case when @PER_EDT1  = 1 then  3
																						when @PER_EDT1  = 2 then 6
																						when @PER_EDT1  = 3 then 9
																						when @PER_EDT1  = 0 then 12 END )) ,0) ))
											) > @PREDEL_K
										THEN 
											(ISNULL(SS.SUMMA_ALL,0) - ISNULL(SS.SUMMA_ALL_I,0) - (ISNULL(SS.SUMMA_NO,0) - ISNULL(SS.SUMMA_NO_I,0))
											- ( CONVERT(numeric(18,2),ISNULL((SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN1_K WHERE WAY_CALC = 6 AND I = 1 AND ref_phys_pers = s.link_face 
																						and month_base <= (case when @PER_EDT1  = 1 then  3
																						when @PER_EDT1  = 2 then 6
																						when @PER_EDT1  = 3 then 9
																						when @PER_EDT1  = 0 then 12 END )) ,0) ))
											) - @PREDEL_K
										ELSE 
											0
										END) 
								 END,
						   COL10 = isnull([INSUR],0),												
						   COL11 = ISNULL([per],''), 
						   COL12 = ISNULL([year], ''), 
						   COL13 = ISNULL((case WHEN [TYPE] = 1 then '' when [TYPE] = 2 then '' else ''end), ''), 
						   COL14 = ISNULL(CONVERT(VARCHAR(1),[per_edt]), ''), 
						   COL15 = ISNULL(CONVERT(VARCHAR(4),[year_edt]), ''),
						   COL16 = @nom_pp,
						   COL17 = CONVERT(varchar(100),@FM),
						   COL18 = CONVERT(varchar(100),@IM),
						   COL19 = CONVERT(varchar(100),@OT),
						   
						   COL45 = ISNULL([SACK],'')
					FROM 
						#SZV_PC s LEFT JOIN #SALARY_SUM2_K ss ON ss.pers_link = s.link_face
					WHERE 
						code = @CODE and [TYPE] = @TYPE AND PFNUMBER = @PFNUMBER  AND PER_EDT = @PER_EDT1 
						
					

					set @nom_pp = @nom_pp + 1
					
					INSERT INTO #TMP1 (CODE, COL1, COL2, COL3, COL4, COL5, COL6, COL7, COL8, COL9, COL10, COL11, COL12, COL13,COL14,COL15, COL16,COL17, COL18 , COL19)
					SELECT CODE = @nom_pp,
						   COL1 = @nom_pp,
						   COL2 = ISNULL([PFNUMBER],0),	
						   COL3 = CONVERT(VARCHAR(100), '1 '),
						   COL4 = CONVERT(VARCHAR(4),'401'),
						   COL5 = CONVERT(VARCHAR(4),@CODE),
						   COL6 = SUM([INC_M1]),
						   COL7 = SUM([B_BEF_M1]),
						   COL8 = SUM(CASE WHEN T_DOG = 2 THEN [B_BEF_M1] ELSE 0 END),
						   COL9 = SUM([B_AFT_M1]),
						   COL10 =  CONVERT(numeric(18,2),ISNULL((SELECT TOP 1 SUMMA FROM #SPR_ESN1_K WHERE WAY_CALC = 6 AND I = 1 AND ref_phys_pers = s.link_face AND month_base = 1) ,0) ) ,
						   COL11 = ISNULL([per],''), 
						   COL12 = ISNULL([year], ''), 
						   COL13 = ISNULL((case WHEN [TYPE] = 1 then '' when [TYPE] = 2 then '' else '' end), ''), 
						   COL14 = ISNULL(CONVERT(VARCHAR(1),[per_edt]), ''), 
						   COL15 = ISNULL(CONVERT(VARCHAR(4),[year_edt]), ''),
						   COL16 = @nom_pp,
						   COL17 = CONVERT(varchar(100),@FM),
						   COL18 = CONVERT(varchar(100),@IM),
						   COL19 = CONVERT(varchar(100),@OT)
					FROM #SZV_SUM s WHERE  code = @CODE and [TYPE] = @TYPE /*and T_DOG = @T_DOG*/ AND PFNUMBER = @PFNUMBER AND per_edt = @per_edt1
					GROUP BY [PFNUMBER], s.link_face,[per],[year],[TYPE],[per_edt],[year_edt]

			
					set @nom_pp = @nom_pp + 1
					
					INSERT INTO #TMP1 (CODE, COL1, COL2, COL3, COL4, COL5, COL6, COL7, COL8, COL9, COL10, COL11, COL12, COL13,COL14, COL15, COL16,COL17, COL18, COL19)
					SELECT CODE = @nom_pp,
						   COL1 = @nom_pp,	
						   COL2 = ISNULL([PFNUMBER],0),	
						   COL3 = CONVERT(VARCHAR(100), '2 '),
						   COL4 = CONVERT(VARCHAR(4),'402'),
						   COL5 = CONVERT(VARCHAR(4),@CODE),
						   COL6 = SUM([INC_M2]),
						   COL7 = SUM([B_BEF_M2]),
						   COL8 = SUM(CASE WHEN T_DOG = 2 THEN [B_BEF_M2] ELSE 0 END),
						   COL9 = SUM([B_AFT_M2]),
						   COL10 =  CONVERT(numeric(18,2),ISNULL((SELECT TOP 1 SUMMA FROM #SPR_ESN1_K WHERE WAY_CALC = 6 AND I = 1 AND ref_phys_pers = s.link_face AND month_base = 2) ,0) ) ,
						   COL11 = ISNULL([per],''), 
						   COL12 = ISNULL([year], ''), 
						   COL13 = ISNULL((case WHEN [TYPE] = 1 then '' when [TYPE] = 2 then '' else '' end ), ''), 
						   COL14 = ISNULL(CONVERT(VARCHAR(1),[per_edt]), ''), 
						   COL15 = ISNULL(CONVERT(VARCHAR(4),[year_edt]), ''),
						   COL16 = @nom_pp,
						   COL17 = CONVERT(varchar(100),@FM),
						   COL18 = CONVERT(varchar(100),@IM),
						   COL19 = CONVERT(varchar(100),@OT)
					FROM #SZV_SUM s WHERE code = @CODE and [TYPE] = @TYPE AND PFNUMBER = @PFNUMBER AND per_edt = @per_edt1
					GROUP BY [PFNUMBER], s.link_face,[per],[year],[TYPE],[per_edt],[year_edt]

										
					set @nom_pp = @nom_pp + 1
					
					INSERT INTO #TMP1 (CODE, COL1, COL2, COL3, COL4, COL5, COL6, COL7, COL8, COL9, COL10, COL11, COL12, COL13,COL14, COL15, COL16,COL17, COL18, COL19)
					SELECT CODE = @nom_pp,
						   COL1 = @nom_pp,	
						   COL2 = ISNULL([PFNUMBER],0),	
						   COL3 = CONVERT(VARCHAR(100), '3 '),
						   COL4 = CONVERT(VARCHAR(4),'403'),
						   COL5 = CONVERT(VARCHAR(4),@CODE),
						   COL6 = SUM([INC_M3]),
						   COL7 = SUM([B_BEF_M3]),
						   COL8 = SUM(CASE WHEN T_DOG = 2 THEN [B_BEF_M3] ELSE 0 END),
						   COL9 = SUM([B_AFT_M3]),
						   COL10 =  CONVERT(numeric(18,2),ISNULL((SELECT TOP 1 SUMMA FROM #SPR_ESN1_K WHERE WAY_CALC = 6 AND I = 1 AND ref_phys_pers = s.link_face AND month_base = 3) ,0) ) , 
						   COL11 = ISNULL([per],''), 
						   COL12 = ISNULL([year], ''), 
						   COL13 = ISNULL((case WHEN [TYPE] = 1 then '' when [TYPE] = 2 then '' else '' end ), ''), 
						   COL14 = ISNULL(CONVERT(VARCHAR(1),[per_edt]), ''), 
						   COL15 = ISNULL(CONVERT(VARCHAR(4),[year_edt]), ''),
						   COL16 = @nom_pp,
						   COL17 = CONVERT(varchar(100),@FM),
						   COL18 = CONVERT(varchar(100),@IM),
						   COL19 = CONVERT(varchar(100),@OT)
					FROM #SZV_SUM s WHERE code = @CODE and [TYPE] = @TYPE AND PFNUMBER = @PFNUMBER AND per_edt = @per_edt1
					GROUP BY [PFNUMBER], s.link_face,[per],[year],[TYPE],[per_edt],[year_edt]
					
					set @nom_pp = @nom_pp + 1
				END
					

		
				---        (         )
				IF /*@T_DOG = 1 and*/  @PFNUMBER = @pf_num1 and @CODE <> @CODE_old	and  @TYPE = @TYPE_OLD
				BEGIN 
					INSERT INTO #TMP1 (CODE, COL1, COL2, COL3, COL4, COL5, COL6, COL7, COL8, COL9, COL10, COL11, COL12, COL13,COL14, COL15, COL16,COL17, COL18, COL19)
					SELECT CODE = @nom_pp,
						   COL1 = @nom_pp,	
						   COL2 = ISNULL([PFNUMBER],0), 
						   COL3 = CONVERT(VARCHAR(100), '    ,         :'),
						   COL4 = CONVERT(VARCHAR(4),'410'),
						   COL5 = CONVERT(VARCHAR(4),@CODE),
						   COL6 = CASE WHEN @CODE = '' then ISNULL(SS.SUMMA_ALL_I,0) ELSE ISNULL(SS.SUMMA_ALL - SS.SUMMA_ALL_I,0) end,
						   COL7 = 
								CASE WHEN @CODE = '' THEN
									--  
									(ISNULL(SS.SUMMA_ALL_I - SS.SUMMA_NO_I,0) 
									- ( CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN1_K WHERE WAY_CALC = 6 AND I = 2 AND ref_phys_pers = s.link_face) ,0) ))
									)
								ELSE
									--  
									(ISNULL(SS.SUMMA_ALL,0) - ISNULL(SS.SUMMA_ALL_I,0) - (ISNULL(SS.SUMMA_NO,0) - ISNULL(SS.SUMMA_NO_I,0))
									- ( CONVERT(numeric(18,2),ISNULL((SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN1_K WHERE WAY_CALC = 6 AND I = 1 AND ref_phys_pers = s.link_face) ,0) ))
									)
								END
								- -- 
								CASE WHEN 
									(ISNULL(SS.SUMMA_ALL,0) - ISNULL(SS.SUMMA_NO,0) 
									- ( CONVERT(numeric(18,2),ISNULL((SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN1_K WHERE WAY_CALC = 6 AND ref_phys_pers = s.link_face) ,0) ))
									) > @PREDEL_K
								THEN
									(ISNULL(SS.SUMMA_ALL,0) - ISNULL(SS.SUMMA_NO,0) 
									- ( CONVERT(numeric(18,2),ISNULL((SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN1_K WHERE WAY_CALC = 6 AND ref_phys_pers = s.link_face) ,0) ))
									) - @PREDEL_K
								ELSE
									0
								END,
													
						   COL8 = ISNULL(SS.BASE_DOG,0),
						   
						   COL9 = 
								-- 
								CASE WHEN 
									(ISNULL(SS.SUMMA_ALL,0) - ISNULL(SS.SUMMA_NO,0) 
									- ( CONVERT(numeric(18,2),ISNULL((SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN1_K WHERE WAY_CALC = 6 AND ref_phys_pers = s.link_face) ,0) ))
									) > @PREDEL_K
								THEN
									(ISNULL(SS.SUMMA_ALL,0) - ISNULL(SS.SUMMA_NO,0) 
									- ( CONVERT(numeric(18,2),ISNULL((SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN1_K WHERE WAY_CALC = 6 AND ref_phys_pers = s.link_face) ,0) ))
									) - @PREDEL_K
								ELSE
									0
								END,
						   COL10 = isnull([INSUR],0), 										
						   COL11 = ISNULL([per],''), 
						   COL12 = ISNULL([year], ''), 
						   COL13 = ISNULL((case WHEN [TYPE] = 1 then '' when [TYPE] = 2 then '' else ''end), ''), 
						   COL14 = ISNULL([per_edt], ''), 
						   COL15 = ISNULL([year_edt], ''),
						   COL16 = @nom_pp,
						   COL17 = CONVERT(varchar(100),@FM),
						   COL18 = CONVERT(varchar(100),@IM),
						   COL19 = CONVERT(varchar(100),@OT)
					FROM 
						#SZV_ALL s LEFT JOIN #SALARY_SUM2_K ss ON ss.pers_link = s.link_face
					WHERE 
						S.NUM = 1 AND code = @CODE and [TYPE] = @TYPE AND PFNUMBER = @PFNUMBER and FM = @FM					
					GROUP BY 
						[TYPE],CODE, [T_DOG],[FM],[IM],[OT],[PFNUMBER],[per],[year],[per_edt],[year_edt],[INSUR],[INC_M1],[INC_M2],[INC_M3],[B_BEF_M1],[B_BEF_M2],[B_BEF_M3], [B_AFT_M1],[B_AFT_M2],[B_AFT_M3],SS.SUMMA_ALL_I, SS.SUMMA_NO, SS.SUMMA_NO_I, SS.SUMMA_NO_E
					
					set @nom_pp = @nom_pp + 1
					
					INSERT INTO #TMP1 (CODE, COL1, COL2, COL3, COL4, COL5, COL6, COL7, COL8, COL9, COL10, COL11, COL12, COL13,COL14, COL15, COL16,COL17, COL18, COL19)
					SELECT CODE = @nom_pp,
						   COL1 = @nom_pp,	
						   COL2 = ISNULL([PFNUMBER],0),
						   COL3 = CONVERT(VARCHAR(100), '1 '),
						   COL4 = CONVERT(VARCHAR(4),'411'),
						   COL5 = CONVERT(VARCHAR(4),@CODE),
						   COL6 = SUM([INC_M1]),
						   COL7 = SUM([B_BEF_M1]),
						   COL8 = SUM(CASE WHEN T_DOG = 2 THEN [B_BEF_M1] ELSE 0 END),
						   COL9 = SUM([B_AFT_M1]),
						   COL10 =  CONVERT(numeric(18,2),ISNULL((SELECT TOP 1 SUMMA FROM #SPR_ESN1_K WHERE WAY_CALC = 6  AND ref_phys_pers = s.link_face AND month_base = 1) ,0) ) ,
						   COL11 = ISNULL([per],''), 
						   COL12 = ISNULL([year], ''), 
						   COL13 = ISNULL((case WHEN [TYPE] = 1 then '' when [TYPE] = 2 then '' else '' end), ''), 
						   COL14 = ISNULL([per_edt], ''), 
						   COL15 = ISNULL([year_edt], ''),
						   COL16 = @nom_pp,
						   COL17 = CONVERT(varchar(100),@FM),
						   COL18 = CONVERT(varchar(100),@IM),
						   COL19 = CONVERT(varchar(100),@OT)
					FROM 
						#SZV_ALL s WHERE  code = @CODE and [TYPE] = @TYPE /*and T_DOG = @T_DOG*/ AND PFNUMBER = @PFNUMBER and per_edt = @per_edt1
					GROUP BY 
						[TYPE],CODE, [T_DOG],[FM],[IM],[OT],[PFNUMBER],s.link_face,[per],[year],[per_edt],[year_edt],[INSUR],[INC_M1],[INC_M2],[INC_M3],[B_BEF_M1],[B_BEF_M2],[B_BEF_M3], [B_AFT_M1],[B_AFT_M2],[B_AFT_M3]
					
					set @nom_pp = @nom_pp + 1
			
					INSERT INTO #TMP1 (CODE, COL1, COL2, COL3, COL4, COL5, COL6, COL7, COL8, COL9, COL10, COL11, COL12, COL13,COL14, COL15, COL16,COL17, COL18, COL19)
					SELECT CODE = @nom_pp,
						   COL1 = @nom_pp,	
						   COL2 = ISNULL([PFNUMBER],0), 
						   COL3 = CONVERT(VARCHAR(100), '2 '),
						   COL4 = CONVERT(VARCHAR(4),'412'),
						   COL5 = CONVERT(VARCHAR(4),@CODE),
						   COL6 = SUM([INC_M2]),
						   COL7 = SUM([B_BEF_M2]),
						   COL8 = SUM(CASE WHEN T_DOG = 2 THEN [B_BEF_M2] ELSE 0 END),
						   COL9 = SUM([B_AFT_M2]),
						   COL10 =  CONVERT(numeric(18,2),ISNULL((SELECT TOP 1 SUMMA FROM #SPR_ESN1_K WHERE WAY_CALC = 6  AND ref_phys_pers = s.link_face AND month_base = 2) ,0) ) ,
						   COL11 = ISNULL([per],''), 
						   COL12 = ISNULL([year], ''), 
						   COL13 = ISNULL((case WHEN [TYPE] = 1 then '' when [TYPE] = 2 then '' else '' end ), ''), 
						   COL14 = ISNULL([per_edt], ''), 
						   COL15 = ISNULL([year_edt], ''),
						   COL16 = @nom_pp,
						   COL17 = CONVERT(varchar(100),@FM),
						   COL18 = CONVERT(varchar(100),@IM),
						   COL19 = CONVERT(varchar(100),@OT)
					FROM #SZV_ALL s WHERE code = @CODE and [TYPE] = @TYPE /*and T_DOG = @T_DOG*/ AND PFNUMBER = @PFNUMBER AND per_edt = @per_edt1
					GROUP BY [PFNUMBER],s.link_face,[per],[year],[TYPE],[per_edt],[year_edt]
										
					set @nom_pp = @nom_pp + 1
					
					INSERT INTO #TMP1 (CODE, COL1, COL2, COL3, COL4, COL5, COL6, COL7, COL8, COL9, COL10, COL11, COL12, COL13,COL14, COL15, COL16,COL17, COL18, COL19)
					SELECT CODE = @nom_pp,
						   COL1 = @nom_pp,	
						   COL2 = ISNULL([PFNUMBER],0), 
						   COL3 = CONVERT(VARCHAR(100), '3 '),
						   COL4 = CONVERT(VARCHAR(4),'413'),
						   COL5 = CONVERT(VARCHAR(4),@CODE),
						   COL6 = SUM([INC_M3]),
						   COL7 = SUM([B_BEF_M3]),
						   COL8 = SUM(CASE WHEN T_DOG = 2 THEN [B_BEF_M3] ELSE 0 END),
						   COL9 = SUM([B_AFT_M3]),
						   COL10 =  CONVERT(numeric(18,2),ISNULL((SELECT TOP 1 SUMMA FROM #SPR_ESN1_K WHERE WAY_CALC = 6  AND ref_phys_pers = s.link_face AND month_base = 3) ,0) ) ,
						   COL11 = ISNULL([per],''), 
						   COL12 = ISNULL([year], ''), 
						   COL13 = ISNULL((case WHEN [TYPE] = 1 then '' when [TYPE] = 2 then '' else '' end ), ''), 
						   COL14 = ISNULL([per_edt], ''), 
						   COL15 = ISNULL([year_edt], ''),
						   COL16 = @nom_pp,
						   COL17 = CONVERT(varchar(100),@FM),
						   COL18 = CONVERT(varchar(100),@IM),
						   COL19 = CONVERT(varchar(100),@OT)
					FROM #SZV_ALL s WHERE code = @CODE and [TYPE] = @TYPE /*and T_DOG = @T_DOG*/ AND PFNUMBER = @PFNUMBER AND  per_edt = @PER_EDT1
					GROUP BY [PFNUMBER] ,s.link_face,[per],[year],[TYPE],[per_edt],[year_edt]
										
					set @nom_pp = @nom_pp + 1
				END						

				---    '410','411','412','413' 
			
				if not exists (select * from #tmp1 
								where COL2 = @PFNUMBER 
								and COL12 = (case WHEN @TYPE = 2 then '' else ''end)
								and COL4 = '410' ) AND NOT EXISTS (SELECT * FROM #SZV_ALL WHERE PFNUMBER = @PFNUMBER AND CODE != @CODE AND [TYPE] = 1) 
				begin 
						
					INSERT INTO #TMP1 (CODE, COL1, COL2, COL3, COL4, COL5, COL6, COL7, COL8, COL9, COL10, COL11, COL12, COL13,COL14, COL15, COL16,COL17, COL18, COL19)
					SELECT CODE = @nom_pp,
						   COL1 = @nom_pp,	
						   COL2 = ISNULL(@PFNUMBER,''), 
						   COL3 = CONVERT(VARCHAR(100), '    ,         :'),
						   COL4 = CONVERT(VARCHAR(4),'410'),
						   COL5 = CONVERT(VARCHAR(4),''),
						   COL6 = 0,
						   COL7 = 0,
						   COL8 = 0,
						   COL9 = 0,
						   COL10 = 0,
						   COL11 = ISNULL((select TOP 1 COL11 from #tmp1 where COl2 = @PFNUMBER and COL13 = (case when @TYPE = 2 then '' else ''end) and COL4 = '400'),''), 
						   COL12 = ISNULL((select TOP 1 COL12 from #tmp1 where COl2 = @PFNUMBER and COL13 = (case when @TYPE = 2 then '' else ''end) and COL4 = '400'),''), 
						   COL13 = ISNULL((case WHEN @TYPE = 1 then '' when @TYPE = 2 then '' else ''end), ''), 
						   COL14 = ISNULL((select TOP 1 COL14 from #tmp1 where COl2 = @PFNUMBER and COL13 = (case when @TYPE = 2 then '' else ''end) and COL4 = '400'),''), 
						   COL15 = ISNULL((select TOP 1 COL15 from #tmp1 where COl2 = @PFNUMBER and COL13 = (case when @TYPE = 2 then '' else ''end) and COL4 = '400'),''),
						   COL16 = @nom_pp,
						   COL17 = CONVERT(varchar(100),@FM),
						 COL18 = CONVERT(varchar(100),@IM),
						   COL19 = CONVERT(varchar(100),@OT)
					
					set @nom_pp = @nom_pp + 1
					
					INSERT INTO #TMP1 (CODE, COL1, COL2, COL3, COL4, COL5, COL6, COL7, COL8, COL9, COL10, COL11, COL12, COL13,COL14, COL15, COL16,COL17, COL18, COL19)
					SELECT CODE = @nom_pp,
						   COL1 = @nom_pp,
						   COL2 = ISNULL(@PFNUMBER,''),
						   COL3 = CONVERT(VARCHAR(100), '1 '),
						   COL4 = CONVERT(VARCHAR(4),'411'),
						   COL5 = CONVERT(VARCHAR(4),''),
						   COL6 = 0,
						   COL7 = 0,
						   COL8 = 0,
						   COL9 = 0,
						   COL10 = 0,
						   COL11 = ISNULL((select TOP 1 COL11 from #tmp1 where COl2 = @PFNUMBER and COL13 = (case when @TYPE = 2 then '' else ''end) and COL4 = '400'),''), 
						   COL12 = ISNULL((select TOP 1 COL12 from #tmp1 where COl2 = @PFNUMBER and COL13 = (case when @TYPE = 2 then '' else ''end) and COL4 = '400'),''), 
						   COL13 = ISNULL((case WHEN @TYPE = 1 then '' when @TYPE = 2 then '' else ''end), ''), 
						   COL14 = ISNULL((select TOP 1 COL14 from #tmp1 where COl2 = @PFNUMBER and COL13 = (case when @TYPE = 2 then '' else ''end) and COL4 = '400'),''), 
						   COL15 = ISNULL((select TOP 1 COL15 from #tmp1 where COl2 = @PFNUMBER and COL13 = (case when @TYPE = 2 then '' else ''end) and COL4 = '400'),''),
						   COL16 = @nom_pp,
						   COL17 = CONVERT(varchar(100),@FM),
						   COL18 = CONVERT(varchar(100),@IM),
						   COL19 = CONVERT(varchar(100),@OT)
					
					set @nom_pp = @nom_pp + 1
					
					INSERT INTO #TMP1 (CODE, COL1, COL2, COL3, COL4, COL5, COL6, COL7, COL8, COL9, COL10, COL11, COL12, COL13,COL14, COL15, COL16,COL17, COL18, COL19)
					SELECT CODE = @nom_pp,
						   COL1 = @nom_pp,
						   COL2 = ISNULL(@PFNUMBER,''), 
						   COL3 = CONVERT(VARCHAR(100), '2 '),
						   COL4 = CONVERT(VARCHAR(4),'412'),
						   COL5 = CONVERT(VARCHAR(4),''),
						   COL6 = 0,
						   COL7 = 0,
						   COL8 = 0,
						   COL9 = 0,
						   COL10 = 0,
						   COL11 = ISNULL((select TOP 1 COL11 from #tmp1 where COl2 = @PFNUMBER and COL13 = (case when @TYPE = 2 then '' else ''end) and COL4 = '400'),''), 
						   COL12 = ISNULL((select TOP 1 COL12 from #tmp1 where COl2 = @PFNUMBER and COL13 = (case when @TYPE = 2 then '' else ''end) and COL4 = '400'),''), 
						   COL13 = ISNULL((case WHEN @TYPE = 1 then '' when @TYPE = 2 then '' else ''end), ''), 
						   COL14 = ISNULL((select TOP 1 COL14 from #tmp1 where COl2 = @PFNUMBER and COL13 = (case when @TYPE = 2 then '' else ''end) and COL4 = '400'),''), 		
						   COL15 = ISNULL((select TOP 1 COL15 from #tmp1 where COl2 = @PFNUMBER and COL13 = (case when @TYPE = 2 then '' else ''end) and COL4 = '400'),''),
						   COL16 = @nom_pp,
						   COL17 = CONVERT(varchar(100),@FM),
						   COL18 = CONVERT(varchar(100),@IM),
						   COL19 = CONVERT(varchar(100),@OT)
					
					set @nom_pp = @nom_pp + 1		
					
					INSERT INTO #TMP1 (CODE, COL1, COL2, COL3, COL4, COL5, COL6, COL7, COL8, COL9, COL10, COL11, COL12, COL13, COL14, COL15, COL16,COL17, COL18, COL19)
					SELECT CODE = @nom_pp,
						   COL1 = @nom_pp, 
						   COL2 = ISNULL(@PFNUMBER,''),
						   COL3 = CONVERT(VARCHAR(100), '3 '),
						   COL4 = CONVERT(VARCHAR(4),'413'),
						   COL5 = CONVERT(VARCHAR(4),''),
						   COL6 = 0,
						   COL7 = 0,
						   COL8 = 0,
						   COL9 = 0,
						   COL10 = 0,
						   COL11 = ISNULL((select TOP 1 COL11 from #tmp1 where COl2 = @PFNUMBER and COL13 = (case when @TYPE = 2 then '' else ''end) and COL4 = '400'),''), 
						   COL12 = ISNULL((select TOP 1 COL12 from #tmp1 where COl2 = @PFNUMBER and COL13 = (case when @TYPE = 2 then '' else ''end) and COL4 = '400'),''), 
						   COL13 = ISNULL((case WHEN @TYPE = 1 then '' when @TYPE = 2 then '' else ''end), ''), 
						   COL14 = ISNULL((select TOP 1 COL14 from #tmp1 where COl2 = @PFNUMBER and COL13 = (case when @TYPE = 2 then '' else ''end) and COL4 = '400'),''), 
						   COL15 = ISNULL((select TOP 1 COL15 from #tmp1 where COl2 = @PFNUMBER and COL13 = (case when @TYPE = 2 then '' else ''end) and COL4 = '400'),''),
						   COL16 = @nom_pp,
						   COL17 = CONVERT(varchar(100),@FM),
						   COL18 = CONVERT(varchar(100),@IM),
						   COL19 = CONVERT(varchar(100),@OT)
						   
					set @nom_pp = @nom_pp + 1	
					--exec [dbo].RSA_RSV_1_PERS_UCH_SZV '20141001', '20141231', 74578 ,1,  2190
		
				end 
			
					set @pf_num1 = @PFNUMBER
					set @CODE_old = @CODE
					set @TYPE_OLD = @TYPE
					SET @PER_OLD = @PER_EDT1
			END

			FETCH NEXT FROM @Cur2 INTO @CODE,@TYPE/*,@T_DOG*/,@PFNUMBER,@FM,@IM,@OT, @PER_EDT1
		END

		CLOSE @Cur2
		DEALLOCATE @Cur2
       
		SELECT DISTINCT 
			CODE = ROW_NUMBER() OVER (ORDER BY CODE),
			COL1 = ROW_NUMBER() OVER (ORDER BY COL1),
			COL2, COL3, COL4, COL5, COL6, COL7, COL8, COL9, COL10, 
			COL11, COL12, COL13, COL14, COL15, COL16, COL17, COL18, COL19, COL20, 
			COL21, COL22, COL23, COL24, COL25, COL26, COL27, COL28, COL29, COL30, 
			COL31, COL32, COL33, COL34, COL35, COL36, COL37, COL38, COL39, COL40, 
			COL41, COL42, COL43, COL44, COL45	
		FROM #TMP1 where col5 <> '' ORDER BY  CODE, COL15
		
	drop table #SALARY_SUM2_K
	drop table #SPR_ESN1_K			
	drop table #SPR_ESN1
	drop table #SALARY_SUM2
	drop table #TMP1

	END  


	IF @REP = 2 
	BEGIN 	
		/*   6.6    */
		/*            ,           
		*  ,     .     6.6 , 
		*      ()   6  ()   -6-1,  () -6-2,  () -6-4.
		*/
		/*   ,      */
	
		---    
			DECLARE @BYDateK	datetime , @nYEAR_K INT, @nMON1 INT, @nMON2 INT, @nMON3 INT
	

			select top 1 
			@BYDateK = (convert(varchar(4),YEAR_EDT)+'0101'),
			@nYEAR_K = YEAR_EDT,
			@nMON1 = (case  PER_EDT when 1 then  1 when 2 then  4 when 3 then  7 when 4 then  10 else 10 end)
			from #SZV_ALL WHERE [TYPE] = 2
			
			SELECT  @nMON2 = @nMON1 +1 , 	
					@nMON3 = @nMON1 +2 	
					
----------<<<<<<<<< #SPR_ESN     (  )

		/*    */
		SELECT year_edt = p.YEAR_EDT, 
				PER_EDT = p.PER_EDT, 
				link_dep = p.link_dep,
				link_pers = s.link_pers,
				Link_kateg = case when S.Link_kateg = 3 then 1 else S.Link_kateg  end ,
				pachka = s.pachka
		INTO #tmp_pers
		FROM 	dbo.SA_SZV4_PACHKA P 
				INNER JOIN dbo.SZV4_SVEDENIA S ON P.link = S.link_up 															
		where
			P.link in (select link from #DOCS WHERE vid_kor = 2)
			and P.proverka = 1
			and P.vid_kor > 1
			and p.link_dep = @DEP_LINK


		CREATE TABLE #tmp_pers_kor_sum (link INT  , [date] DATETIME, YEAR_degin INT , per INT , vid_kor int, link_dep INT , proverka INT  , CODE VARCHAR(5), link_pers INT , 
										sum_doh NUMERIC(18,2), sum_str NUMERIC(18,2), sum_nak NUMERIC(18,2),sum_dop NUMERIC(18,2) , pachka int) 
	
		DECLARE @Cur_R2 CURSOR, @link int ,@LINK_pers INT, @year_edt INT , @per_edt INT , @Link_kateg INT ,@pachka int
		SET @Cur_R2 = CURSOR FORWARD_ONLY

		FOR SELECT LINK_pers, year_edt, per_edt, Link_kateg ,pachka FROM #tmp_pers ORDER by link_pers

		OPEN @Cur_R2
		FETCH NEXT FROM @Cur_R2 INTO @LINK_pers, @year_edt, @per_edt , @link_kateg, @pachka
		WHILE (@@fetch_status <> -1)
		BEGIN

			IF (@@fetch_status <> -2)
			BEGIN
				
				
					SET @link = 0
					
					SELECT @link =max(pp.link)
					FROM SA_SZV4_PACHKA pp 
					INNER JOIN dbo.SZV4_SVEDENIA Ss ON ss.link_up = pp.link  
					WHERE  pp.proverka = 1 AND pp.vid_kor = 1 
										  AND pp.link_dep = @DEP_LINK 
										  AND pp.year_begin =@year_edt  
										  AND pp.PER =@per_edt 
										  AND @LINK_pers = ss.link_pers
										  --AND @link_kateg = ss.link_kateg  
										  AND pp.date = (SELECT MAX(p1.[date]) FROM SA_SZV4_PACHKA p1 
																INNER JOIN dbo.SZV4_SVEDENIA S1 ON s1.link_up = p1.link  
																WHERE  pp.proverka = 1 AND p1.vid_kor = 1 
																					  AND p1.link_dep = @DEP_LINK 
																					  AND p1.year_begin =@year_edt  
																					  AND p1.PER =@per_edt 
																					  AND @LINK_pers = s1.link_pers
																					  /*AND @link_kateg = s1.link_kateg*/ )
					
					INSERT INTO #tmp_pers_kor_sum (link, [date], YEAR_degin, per, vid_kor, link_dep, proverka , CODE, link_pers, 
										sum_doh, sum_str, sum_nak,sum_dop, pachka) 
					SELECT pp.link, pp.[date], pp.YEAR_begin, pp.per, pp.vid_kor, pp.link_dep, pp.proverka, CODE = k.code, ss.link_pers, 
										ss.sum_doh, ss.sum_str, ss.sum_nak,ss.sum_dop , pachka = @pachka
					FROM SA_SZV4_PACHKA pp 
					INNER JOIN dbo.SZV4_SVEDENIA Ss ON ss.link_up = pp.link  
					INNER JOIN dbo.SA_PFR_KATEG K ON K.LINK = ss.LINK_KATEG AND pp.YEAR_begin BETWEEN YBEG AND YEND		
					WHERE pp.link = @link and pp.proverka = 1 
										 AND pp.vid_kor = 1 
										 AND pp.link_dep = @DEP_LINK 
										 AND pp.year_begin =@year_edt  
										 AND pp.PER =@per_edt 
										 AND ss.link_pers = @LINK_pers
										/* AND ss.link_kateg = @link_kateg*/
										  

			END

			FETCH NEXT FROM @Cur_R2 INTO @LINK_pers, @year_edt, @per_edt, @link_kateg, @pachka
		END

		CLOSE @Cur_R2
		DEALLOCATE @Cur_R2
--exec [dbo].RSA_RSV_1_PERS_UCH_SZV '20141001', '20141231', 74578 ,1,  2191


---------->>>>>>>>>>
		create table #TMP2(CODE int identity(1,1) ,col1 int,   COL2 tinyint, COL3 varchar(4), COL4 numeric(18,2), COL5 numeric(18,2), COL6 numeric(18,2), COL7 VARCHAR(14), COL8 INT)

		INSERT INTO #TMP2 (COL2, COL3, COL4, COL5, COL6, COL7)
		SELECT 
			   COL2 = /*case when YEAR_EDT between '2011' and '2013'  then (case*/ [PER_EDT]/* when 1 then 1 when 2 then 2 when 3 then 3 when 4 then 4 else 0 end)
							when YEAR_EDT = '2014' then (case [PER_EDT] when 1 then 3 when 2 then 6 when 3 then 9 when 4 then 0 else null end) end */, 
			   COL3 = CONVERT(VARCHAR(4),YEAR_EDT),
			   COL4 = (CASE WHEN YEAR_EDT = '2014' THEN INSUR - (SELECT SUM(SUM_doh) FROM #tmp_pers_kor_sum WHERE CODE = '' AND LINK_pers = s.link_face AND  per = s.per_edt )  ELSE 0 END ),
			   COL5 = (CASE WHEN YEAR_EDT < '2014' THEN INSUR - (SELECT SUM(SUM_doh) FROM #tmp_pers_kor_sum WHERE CODE = '' AND LINK_pers = s.link_face  AND  per = s.per_edt )  ELSE 0 END ),
			   COL6 = (CASE WHEN YEAR_EDT < '2014' THEN GAIN - (SELECT SUM(SUM_NAK) FROM #tmp_pers_kor_sum WHERE CODE = '' AND LINK_pers = s.link_face AND  per = s.per_edt )   ELSE 0 END ),
			   COL7 = CONVERT(VARCHAR(14),PFNUMBER)
		FROM #SZV_ALL s WHERE  [TYPE] = 2 AND id_ex =1 
		GROUP BY link_face, YEAR_EDT,  [PER_EDT] , INSUR , GAIN ,[FM],[IM],[OT], PFNUMBER 
		ORDER BY [FM],[IM],[OT],[PFNUMBER]
		
		UPDATE #TMP2 
			SET col1 = CODE , COL8 = CODE 

		
		SELECT * FROM #TMP2 ORDER BY CODE


		drop table #tmp_pers
		drop table #tmp_pers_kor_sum
		--DROP TABLE #SPR_ESN_K
		drop table #TMP2
		--GROUP BY [TYPE],CODE, [T_DOG],[FM],[IM],[OT],[PFNUMBER],[per],[year],[per_edt],[year_edt]	
	

	
	END	
	
	IF @REP = 3 
	BEGIN 	
		/*   6.7           ,     , 
		*              ,    1, 2  2.1  58.3 
		*    24  2009 .  212- */

	/*****************************************************/
	--     
	/*****************************************************/

		DECLARE @BYear_Date	datetime
			SET @BYear_Date = dbo.DateBeginOfYear (@dDate1)

		create table #SPR_ESN ([MONTH_BASE] TINYINT, SUMMA_BASE numeric(12,2) default 0.00, DED_M numeric(12,2) default 0.00, INV_M numeric(12,2) default 0.00, SUMMA numeric(12,2) default 0.00, WAY_CALC int default 0.00, REF_PHYS_PERS int default 0 , PF_NUM VARCHAR (14), FACE_GROUP TINYINT, I TINYINT, E TINYINT , SP VARCHAR(4))

		Insert InTo #SPR_ESN ([MONTH_BASE], SUMMA_BASE, DED_M, INV_M, SUMMA, WAY_CALC, REF_PHYS_PERS , PF_NUM, FACE_GROUP, I, E, SP)
		Select [MONTH_BASE], SUMMA_BASE, DED_M, INV_M, SUMMA, WAY_CALC, REF_PHYS_PERS, p.INSUR_NUM ,
			( CASE WHEN P.RESIDENT = 0 THEN 3 
				   WHEN YEAR(birthdate)<= 1966 THEN 1 
				   WHEN YEAR(birthdate)>= 1967 THEN 2 END ) AS FACE_GROUP, 
			dbo.is_invalid(REF_PHYS_PERS,dbo.DateEndOfMonth(dbo.ConvertDMY2Date(1,MONTH_BASE,@nYEAR))),
			F.ENVD,
			SP = isnull(s4.code,'')
		from dbo.SA_ESN_VIEW(@nYEAR, @nMONTH3, @LINK_DEP, 0) S
			inner join PERSON P on S.REF_PHYS_PERS = P.link
			inner join dbo.SAL_SFIN F on F.LINK = S.LINK_VKR
			LEFT JOIN SA_SZV4_SPR  s4 ON  s4.link = S.SPECO AND s4.spr_code = 'SPO_USL_TRUDA'
		WHERE  WAY_CALC not in (5)

		--  
		INSERT INTO #SPR_ESN 
			([MONTH_BASE], SUMMA_BASE, DED_M, INV_M, SUMMA, WAY_CALC, REF_PHYS_PERS, PF_NUM, FACE_GROUP, I, E)
		SELECT 
			MONTH(G.[DATE]) AS MONTH_BASE, GT.SUMMA_BASE, 0, 0, GT.SUMMA, GT.WAY_CALC, GT.PERS_LINK, p.INSUR_NUM ,
			( CASE WHEN P.RESIDENT = 0  THEN 3
				   WHEN YEAR(birthdate)<= 1966 THEN 1 
				   WHEN YEAR(birthdate)>= 1967 THEN 2 END) AS FACE_GROUP , 
			dbo.is_invalid(GT.PERS_LINK,dbo.DateEndOfMonth(dbo.ConvertDMY2Date(1,G.[MONTH],@nYEAR))),
			F.ENVD
			
		FROM 
			DOCUMENTS_DGH G INNER JOIN DOCUMENTS_DGH_T3 GT ON G.LINK = GT.LINK
			inner join PERSON P on GT.PERS_LINK = P.link
			inner join dbo.SAL_SFIN F on F.LINK = GT.LINK_VKR
		WHERE 
			FLAG_JC = 1
			AND GT.WAY_CALC  not in (5)
			AND YEAR(G.[DATE]) = @nYEAR
			AND MONTH(G.[DATE]) <= @nMONTH3
			AND LINK_DEP = @DEP_LINK


		DELETE FROM #SPR_ESN
		WHERE  EXISTS (SELECT * FROM dbo.KJ_PERS_PENSION K WHERE K.PERS_LINK = REF_PHYS_PERS AND K.CHECK_SZV = 0)


		/*UPDATE #SZV_ALL 
			SET [OSOB_SPO] =  SP 
			FROM #SPR_ESN   WHERE pf_num = #SZV_ALL.[PFNUMBER] AND WAY_CALC IN (10,11) AND MONTH_BASE = @nMONTH3  AND SUMMA_BASE <> 0 */    

		create table #TMP3(CODE int,col1 int,   COL2 varchar(100), COL3 varchar(4), COL4 varchar (4), COL5 numeric(18,2), COL6 numeric(18,2), COL7 VARCHAR(14), COL8 int, COL9 int, 
							COL10 VARCHAR(10), COL11 VARCHAR(10), COL12 VARCHAR(10),COL13 VARCHAR(30), COL14 VARCHAR(10), COL15 VARCHAR(100), COL16 VARCHAR(10),COL17 VARCHAR(100),
							COL18 VARCHAR(10), COL19 VARCHAR(10), COL20 VARCHAR(10),COL21 VARCHAR(30), COL22 VARCHAR(10), COL23 VARCHAR(100), COL24 VARCHAR(10), COL25 VARCHAR(100), 
							COL26 VARCHAR(10), COL27 VARCHAR(10), COL28 VARCHAR(10),COL29 VARCHAR(30), COL30 VARCHAR(10), COL31 VARCHAR(100), COL32 VARCHAR(10), COL33 VARCHAR(100),
							COL34 VARCHAR(10), COL35 VARCHAR(10), COL36 VARCHAR(10), COL37 VARCHAR(30), COL38 VARCHAR(10), COL39 VARCHAR(100), COL40 VARCHAR(10), COL41 VARCHAR(100), COL42 varchar(100), COL43 varchar(100), COL44 varchar(100),
							COL45 VARCHAR(300), COL46 VARCHAR(300))


		
		DECLARE @Cur3 CURSOR, @CODE1 varchar(4), @TYPE1 tinyint , @PFNUMBER1 VARCHAR (14) , @FM1 VARCHAR(100),@IM1 VARCHAR(100),@OT1 VARCHAR(100),
		@pf_num11 VARCHAR(14) ,@TYPE_OLD1 TINYINT, @nom_pp1 INT, @OSOB_SPO VARCHAR(4), @OSOB_SPO_old VARCHAR(4),
		@DateM1B DATETIME, @DateM2B DATETIME, @DateM3B DATETIME, @DateM1E DATETIME, @dateM2E DATETIME, @dateM3E DATETIME
		set @pf_num11 = ''
		set @OSOB_SPO_old = NULL 
		set @TYPE_OLD1 = 0
		set @nom_pp1 = 1
		
		SELECT @DateM1B = @dDate1,
			   @DateM2B =  dbo.ConvertDMY2Date(1,month(@dDate1)+1,YEAR(@dDate1)), 	
			   @DateM3B =  dbo.ConvertDMY2Date(1,month(@dDate1)+2,YEAR(@dDate1)), 
			   @DateM1E =  dbo.DateEndOfMonth(@DateM1B),
			   @DateM2E =  dbo.DateEndOfMonth(@DateM2B), 	
			   @DateM3E =  @dDate2

	--exec [dbo].RSA_RSV_1_PERS_UCH_SZV '20150401', '20150630', 74578 ,3,  2811
	
		SET @Cur3 = CURSOR FORWARD_ONLY
		FOR SELECT  [CODE],[TYPE],[PFNUMBER], [FM],[IM],[OT], [OSOB_SPO]  
			FROM #SZV_ALL 
			where [TYPE] = 1  --AND ISNULL([OSOB_SPO],'') <> '' 
			GROUP BY [FM],[IM],[OT],[PFNUMBER],[TYPE],CODE,id_ex, [OSOB_SPO] 
			ORDER BY [FM],[IM],[OT],[PFNUMBER],[TYPE],CODE,id_ex, [OSOB_SPO]
		OPEN @Cur3
		FETCH NEXT FROM @Cur3 INTO  @CODE1,@TYPE1,@PFNUMBER1,@FM1,@IM1,@OT1, @OSOB_SPO
		WHILE (@@fetch_status <> -1)
		BEGIN

			IF (@@fetch_status <> -2)
			BEGIN
				
				SELECT @OSOB_SPO = ISNULL(@OSOB_SPO, '')
				select @OSOB_SPO_old = ISNULL(@OSOB_SPO_old, '')
				---        ( , , )
				IF (ltrim(rtrim(@PFNUMBER1)) <> ltrim(rtrim(@pf_num11)) ) 
				BEGIN

					INSERT INTO #TMP3 (CODE, COL1, COL2, COL3, COL4, COL5, COL6, COL7, COL8, COL9, COL42, COL43, COL44)
					SELECT CODE =  @nom_pp1,
						   COL1 =  @nom_pp1,	
						   COL2 = CONVERT(VARCHAR(100), '    ,         :'),	
						   COL3 = CONVERT(VARCHAR(4),'700'),
						   COL4 = CONVERT(VARCHAR(4),ISNULL(s.OSOB_SPO,'')),
						   COL5 = CASE WHEN PER = 1 THEN  ISNULL( (sum(CASE WHEN MONTH_BASE= 1 AND e.WAY_CALC = 10	 THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 1 AND e.WAY_CALC = 10	 THEN DED_M + INV_M  ELSE 0 END))  
																+ (sum(CASE WHEN MONTH_BASE= 2 AND e.WAY_CALC = 10	 THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 2 AND e.WAY_CALC = 10	 THEN DED_M + INV_M  ELSE 0 END))   
																+ (sum(CASE WHEN MONTH_BASE= 3 AND e.WAY_CALC = 10	 THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 3 AND e.WAY_CALC = 10	 THEN DED_M + INV_M  ELSE 0 END))  ,0)
										WHEN PER = 2 THEN ISNULL( (sum(CASE WHEN MONTH_BASE= 1 AND e.WAY_CALC = 10	 THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 1 AND e.WAY_CALC = 10	 THEN DED_M + INV_M  ELSE 0 END))  
																 + (sum(CASE WHEN MONTH_BASE= 2 AND e.WAY_CALC = 10	 THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 2 AND e.WAY_CALC = 10	 THEN DED_M + INV_M  ELSE 0 END))   
																 + (sum(CASE WHEN MONTH_BASE= 3 AND e.WAY_CALC = 10	 THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 3 AND e.WAY_CALC = 10	 THEN DED_M + INV_M  ELSE 0 END))
																 + (sum(CASE WHEN MONTH_BASE= 4 AND e.WAY_CALC = 10	 THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 4 AND e.WAY_CALC = 10	 THEN DED_M + INV_M  ELSE 0 END))
																 + (sum(CASE WHEN MONTH_BASE= 5 AND e.WAY_CALC = 10	 THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 5 AND e.WAY_CALC = 10	 THEN DED_M + INV_M  ELSE 0 END))
																 + (sum(CASE WHEN MONTH_BASE= 6 AND e.WAY_CALC = 10	 THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 6 AND e.WAY_CALC = 10	 THEN DED_M + INV_M  ELSE 0 END))  ,0)
										WHEN PER = 3 THEN ISNULL( (sum(CASE WHEN MONTH_BASE= 1 AND e.WAY_CALC = 10	 THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 1 AND e.WAY_CALC = 10	 THEN DED_M + INV_M  ELSE 0 END))  
																 + (sum(CASE WHEN MONTH_BASE= 2 AND e.WAY_CALC = 10	 THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 2 AND e.WAY_CALC = 10	 THEN DED_M + INV_M  ELSE 0 END))   
																 + (sum(CASE WHEN MONTH_BASE= 3 AND e.WAY_CALC = 10	 THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 3 AND e.WAY_CALC = 10	 THEN DED_M + INV_M  ELSE 0 END)) 
																 + (sum(CASE WHEN MONTH_BASE= 4 AND e.WAY_CALC = 10	 THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 4 AND e.WAY_CALC = 10	 THEN DED_M + INV_M  ELSE 0 END))   
																 + (sum(CASE WHEN MONTH_BASE= 5 AND e.WAY_CALC = 10	 THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 5 AND e.WAY_CALC = 10	 THEN DED_M + INV_M  ELSE 0 END))
																 + (sum(CASE WHEN MONTH_BASE= 6 AND e.WAY_CALC = 10	 THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 6 AND e.WAY_CALC = 10	 THEN DED_M + INV_M  ELSE 0 END))
																 + (sum(CASE WHEN MONTH_BASE= 7 AND e.WAY_CALC = 10	 THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 7 AND e.WAY_CALC = 10	 THEN DED_M + INV_M  ELSE 0 END))
																 + (sum(CASE WHEN MONTH_BASE= 8 AND e.WAY_CALC = 10	 THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 8 AND e.WAY_CALC = 10	 THEN DED_M + INV_M  ELSE 0 END))
																 + (sum(CASE WHEN MONTH_BASE= 9 AND e.WAY_CALC = 10	 THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 9 AND e.WAY_CALC = 10	 THEN DED_M + INV_M  ELSE 0 END)) ,0)
													ELSE ISNULL( (sum(CASE WHEN MONTH_BASE= 1 AND e.WAY_CALC = 10	 THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 1 AND e.WAY_CALC = 10	 THEN DED_M + INV_M  ELSE 0 END))  
																+ (sum(CASE WHEN MONTH_BASE= 2 AND e.WAY_CALC = 10	 THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 2 AND e.WAY_CALC = 10	 THEN DED_M + INV_M  ELSE 0 END))   
																+ (sum(CASE WHEN MONTH_BASE= 3 AND e.WAY_CALC = 10	 THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 3 AND e.WAY_CALC = 10	 THEN DED_M + INV_M  ELSE 0 END))  
																+ (sum(CASE WHEN MONTH_BASE= 4 AND e.WAY_CALC = 10	 THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 4 AND e.WAY_CALC = 10	 THEN DED_M + INV_M  ELSE 0 END))   
																+ (sum(CASE WHEN MONTH_BASE= 5 AND e.WAY_CALC = 10	 THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 5 AND e.WAY_CALC = 10	 THEN DED_M + INV_M  ELSE 0 END)) 
																+ (sum(CASE WHEN MONTH_BASE= 6 AND e.WAY_CALC = 10	 THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 6 AND e.WAY_CALC = 10	 THEN DED_M + INV_M  ELSE 0 END))   
																+ (sum(CASE WHEN MONTH_BASE= 7 AND e.WAY_CALC = 10	 THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 7 AND e.WAY_CALC = 10	 THEN DED_M + INV_M  ELSE 0 END))
																+ (sum(CASE WHEN MONTH_BASE= 8 AND e.WAY_CALC = 10	 THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 8 AND e.WAY_CALC = 10	 THEN DED_M + INV_M  ELSE 0 END))
																+ (sum(CASE WHEN MONTH_BASE= 9 AND e.WAY_CALC = 10	 THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 9 AND e.WAY_CALC = 10	 THEN DED_M + INV_M  ELSE 0 END))
																+ (sum(CASE WHEN MONTH_BASE= 10 AND e.WAY_CALC = 10	 THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 10 AND e.WAY_CALC = 10	 THEN DED_M + INV_M  ELSE 0 END))
																+ (sum(CASE WHEN MONTH_BASE= 11 AND e.WAY_CALC = 10	 THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 11 AND e.WAY_CALC = 10	 THEN DED_M + INV_M  ELSE 0 END))
																+ (sum(CASE WHEN MONTH_BASE= 12 AND e.WAY_CALC = 10	 THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 12 AND e.WAY_CALC = 10	 THEN DED_M + INV_M  ELSE 0 END)),0)
									END ,
						   COL6 = CASE WHEN PER = 1 THEN ISNULL( (sum(CASE WHEN MONTH_BASE= 1 AND e.WAY_CALC = 11	 THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 1 AND e.WAY_CALC = 11	 THEN DED_M + INV_M  ELSE 0 END))    
															   + (sum(CASE WHEN MONTH_BASE= 2 AND e.WAY_CALC = 11	 THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 2 AND e.WAY_CALC = 11	 THEN DED_M + INV_M  ELSE 0 END))   
															   + (sum(CASE WHEN MONTH_BASE= 3 AND e.WAY_CALC = 11	 THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 3 AND e.WAY_CALC = 11	 THEN DED_M + INV_M  ELSE 0 END))  ,0)
									   WHEN PER = 2 THEN ISNULL( (sum(CASE WHEN MONTH_BASE= 1 AND e.WAY_CALC = 11	 THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 1 AND e.WAY_CALC = 11	 THEN DED_M + INV_M  ELSE 0 END))    
															   + (sum(CASE WHEN MONTH_BASE= 2 AND e.WAY_CALC = 11	 THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 2 AND e.WAY_CALC = 11	 THEN DED_M + INV_M  ELSE 0 END))   
															   + (sum(CASE WHEN MONTH_BASE= 3 AND e.WAY_CALC = 11	 THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 3 AND e.WAY_CALC = 11	 THEN DED_M + INV_M  ELSE 0 END))
															   + (sum(CASE WHEN MONTH_BASE= 4 AND e.WAY_CALC = 11	 THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 4 AND e.WAY_CALC = 11	 THEN DED_M + INV_M  ELSE 0 END))    
															 + (sum(CASE WHEN MONTH_BASE= 5 AND e.WAY_CALC = 11	 THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 5 AND e.WAY_CALC = 11	 THEN DED_M + INV_M  ELSE 0 END))   
															   + (sum(CASE WHEN MONTH_BASE= 6 AND e.WAY_CALC = 11	 THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 6 AND e.WAY_CALC = 11	 THEN DED_M + INV_M  ELSE 0 END))  ,0)
									   WHEN PER = 3 THEN ISNULL( (sum(CASE WHEN MONTH_BASE= 1 AND e.WAY_CALC = 11	 THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 1 AND e.WAY_CALC = 11	 THEN DED_M + INV_M  ELSE 0 END))    
															   + (sum(CASE WHEN MONTH_BASE= 2 AND e.WAY_CALC = 11	 THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 2 AND e.WAY_CALC = 11	 THEN DED_M + INV_M  ELSE 0 END))   
															   + (sum(CASE WHEN MONTH_BASE= 3 AND e.WAY_CALC = 11	 THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 3 AND e.WAY_CALC = 11	 THEN DED_M + INV_M  ELSE 0 END))
															   + (sum(CASE WHEN MONTH_BASE= 4 AND e.WAY_CALC = 11	 THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 4 AND e.WAY_CALC = 11	 THEN DED_M + INV_M  ELSE 0 END))    
															   + (sum(CASE WHEN MONTH_BASE= 5 AND e.WAY_CALC = 11	 THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 5 AND e.WAY_CALC = 11	 THEN DED_M + INV_M  ELSE 0 END))   
															   + (sum(CASE WHEN MONTH_BASE= 6 AND e.WAY_CALC = 11	 THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 6 AND e.WAY_CALC = 11	 THEN DED_M + INV_M  ELSE 0 END))
															   + (sum(CASE WHEN MONTH_BASE= 7 AND e.WAY_CALC = 11	 THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 7 AND e.WAY_CALC = 11	 THEN DED_M + INV_M  ELSE 0 END))    
															   + (sum(CASE WHEN MONTH_BASE= 8 AND e.WAY_CALC = 11	 THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 8 AND e.WAY_CALC = 11	 THEN DED_M + INV_M  ELSE 0 END))   
															   + (sum(CASE WHEN MONTH_BASE= 9 AND e.WAY_CALC = 11	 THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 9 AND e.WAY_CALC = 11	 THEN DED_M + INV_M  ELSE 0 END))   ,0)  
													ELSE ISNULL( (sum(CASE WHEN MONTH_BASE= 1 AND e.WAY_CALC = 11	 THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 1 AND e.WAY_CALC = 11	 THEN DED_M + INV_M  ELSE 0 END))    
															   + (sum(CASE WHEN MONTH_BASE= 2 AND e.WAY_CALC = 11	 THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 2 AND e.WAY_CALC = 11	 THEN DED_M + INV_M  ELSE 0 END))   
															   + (sum(CASE WHEN MONTH_BASE= 3 AND e.WAY_CALC = 11	 THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 3 AND e.WAY_CALC = 11	 THEN DED_M + INV_M  ELSE 0 END))
															   + (sum(CASE WHEN MONTH_BASE= 4 AND e.WAY_CALC = 11	 THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 4 AND e.WAY_CALC = 11	 THEN DED_M + INV_M  ELSE 0 END))    
															   + (sum(CASE WHEN MONTH_BASE= 5 AND e.WAY_CALC = 11	 THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 5 AND e.WAY_CALC = 11	 THEN DED_M + INV_M ELSE 0 END))   
															   + (sum(CASE WHEN MONTH_BASE= 6 AND e.WAY_CALC = 11	 THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 6 AND e.WAY_CALC = 11	 THEN DED_M + INV_M  ELSE 0 END))
															   + (sum(CASE WHEN MONTH_BASE= 7 AND e.WAY_CALC = 11	 THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 7 AND e.WAY_CALC = 11	 THEN DED_M + INV_M  ELSE 0 END))    
															   + (sum(CASE WHEN MONTH_BASE= 8 AND e.WAY_CALC = 11	 THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 8 AND e.WAY_CALC = 11	 THEN DED_M + INV_M  ELSE 0 END))   
															   + (sum(CASE WHEN MONTH_BASE= 9 AND e.WAY_CALC = 11	 THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 9 AND e.WAY_CALC = 11	 THEN DED_M + INV_M  ELSE 0 END)) 
															   + (sum(CASE WHEN MONTH_BASE= 10 AND e.WAY_CALC = 11	 THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 10 AND e.WAY_CALC = 11	 THEN DED_M + INV_M  ELSE 0 END))    
															   + (sum(CASE WHEN MONTH_BASE= 11 AND e.WAY_CALC = 11	 THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 11 AND e.WAY_CALC = 11	 THEN DED_M + INV_M  ELSE 0 END))   
															   + (sum(CASE WHEN MONTH_BASE= 12 AND e.WAY_CALC = 11	 THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 12 AND e.WAY_CALC = 11	 THEN DED_M + INV_M  ELSE 0 END))   ,0)  
								  END,
						   COL7 = ISNULL([PFNUMBER],0),
						   COL8 = @nom_pp1,
						   COL9 = [TYPE], 
						   COL42 = CONVERT(varchar(100),@FM1),
						   COL43 = CONVERT(varchar(100),@IM1),
						   COL44 = CONVERT(varchar(100),@OT1)
						   
					FROM 
						#SZV_ALL s
						left JOIN #SPR_ESN  e ON 	e.PF_NUM = s.PFNUMBER AND ISNULL(e.SP,'') = ISNULL(s.OSOB_SPO,'') AND e.WAY_CALC IN (10,11)					
					WHERE  
						s.code = @CODE1 and s.[TYPE] = @TYPE1 AND s.PFNUMBER = @PFNUMBER1 AND ISNULL(s.OSOB_SPO,'') = @OSOB_SPO AND s.ID_EX = 1
					GROUP BY 
						[TYPE],CODE,[FM],[IM],[OT],[PFNUMBER],[per],[year],[TYPE],[per_edt],[year_edt], INC_T1M1,INC_T1M2,INC_T1M3, INC_T2M1,INC_T2M2,INC_T2M3 ,s.OSOB_SPO,E.SP, e.PF_NUM 


					SELECT  @nom_pp1 = @nom_pp1 + 1
					
					INSERT INTO #TMP3 (CODE, COL1, COL2, COL3, COL4, COL5, COL6, COL7, COL8, COL9, COL42 , COL43, COL44)
					SELECT CODE =  @nom_pp1,
						   COL1 =  @nom_pp1,	
						   COL2 = CONVERT(VARCHAR(100), '1 '),	
						   COL3 = CONVERT(VARCHAR(4),'701'),
						   COL4 = CONVERT(VARCHAR(4),ISNULL(s.OSOB_SPO,'')),
						   COL5 = ISNULL( (sum(CASE WHEN MONTH_BASE= month(@DateM1E) AND e.WAY_CALC = 10	 THEN SUMMA_BASE ELSE 0 END)- sum(CASE WHEN MONTH_BASE= month(@DateM1E) AND e.WAY_CALC = 10	 THEN DED_M + INV_M  ELSE 0 END))   ,0),
						   COL6 = ISNULL( (sum(CASE WHEN MONTH_BASE= month(@DateM1E) AND e.WAY_CALC = 11	 THEN SUMMA_BASE ELSE 0 END)- sum(CASE WHEN MONTH_BASE= month(@DateM1E) AND e.WAY_CALC = 11	 THEN DED_M + INV_M  ELSE 0 END))  ,0),
						   COL7 = ISNULL([PFNUMBER],0),
						   COL8 = @nom_pp1,
						   COL9 = [TYPE],
						   COL42 = CONVERT(varchar(100),@FM1),
						   COL43 = CONVERT(varchar(100),@IM1),
						   COL44 = CONVERT(varchar(100),@OT1)
					FROM #SZV_ALL s
					left JOIN #SPR_ESN  e ON 	e.PF_NUM = s.PFNUMBER AND ISNULL(e.SP,'') = ISNULL(s.OSOB_SPO,'') AND e.WAY_CALC IN (10,11)		
					WHERE  code = @CODE1 and [TYPE] = @TYPE1 AND PFNUMBER = @PFNUMBER1 AND ISNULL(OSOB_SPO,'') = @OSOB_SPO AND s.ID_EX = 1
					GROUP BY [TYPE],CODE,[FM],[IM],[OT],[PFNUMBER],[per],[year],[TYPE],[per_edt],[year_edt], INC_T1M1,INC_T1M2,INC_T1M3, INC_T2M1,INC_T2M2,INC_T2M3,s.OSOB_SPO,E.SP, e.PF_NUM 
					
		
					set @nom_pp1 = @nom_pp1 + 1
					
					INSERT INTO #TMP3 (CODE, COL1, COL2, COL3, COL4, COL5, COL6, COL7, COL8, COL9, COL42 , COL43, COL44)
					SELECT CODE =  @nom_pp1,
						   COL1 =  @nom_pp1,	
						   COL2 = CONVERT(VARCHAR(100), '2 '),	
						   COL3 = CONVERT(VARCHAR(4),'702'),
						   COL4 = CONVERT(VARCHAR(4),ISNULL(s.OSOB_SPO,'')),
						   COL5 = ISNULL( (sum(CASE WHEN MONTH_BASE= month(@DateM2E) AND e.WAY_CALC = 10	 THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= month(@DateM2E) AND e.WAY_CALC = 10	 THEN DED_M + INV_M  ELSE 0 END))   ,0),
						   COL6 = ISNULL( (sum(CASE WHEN MONTH_BASE= month(@DateM2E) AND e.WAY_CALC = 11	 THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= month(@DateM2E) AND e.WAY_CALC = 11	 THEN DED_M + INV_M  ELSE 0 END))  ,0),
						   COL7 = ISNULL([PFNUMBER],0),
						   COL8 = @nom_pp1,
						   COL9 = [TYPE],
						   COL42 = CONVERT(varchar(100),@FM1),
						   COL43 = CONVERT(varchar(100),@IM1),
						   COL44 = CONVERT(varchar(100),@OT1)
					FROM #SZV_ALL s
					left JOIN #SPR_ESN  e ON 	e.PF_NUM = s.PFNUMBER AND ISNULL(e.SP,'') = ISNULL(s.OSOB_SPO,'') AND e.WAY_CALC IN (10,11)	
					WHERE  code = @CODE1 and [TYPE] = @TYPE1 AND PFNUMBER = @PFNUMBER1 AND ISNULL(OSOB_SPO,'') = @OSOB_SPO AND s.ID_EX = 1
					GROUP BY [TYPE],CODE,[FM],[IM],[OT],[PFNUMBER],[per],[year],[TYPE],[per_edt],[year_edt], INC_T1M1,INC_T1M2,INC_T1M3, INC_T2M1,INC_T2M2,INC_T2M3,s.OSOB_SPO,E.SP, e.PF_NUM 
			
					set @nom_pp1 = @nom_pp1 + 1

					
					INSERT INTO #TMP3 (CODE, COL1, COL2, COL3, COL4, COL5, COL6, COL7, COL8, COL9, COL42 , COL43, COL44)
					SELECT CODE =  @nom_pp1,
						   COL1 =  @nom_pp1,	
						   COL2 = CONVERT(VARCHAR(100), '3 '),	
						   COL3 = CONVERT(VARCHAR(4),'703'),
						   COL4 = CONVERT(VARCHAR(4),ISNULL(s.OSOB_SPO,'')),
						   COL5 = ISNULL((sum(CASE WHEN MONTH_BASE= month(@DateM3E) AND e.WAY_CALC = 10	 THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= month(@DateM3E) AND e.WAY_CALC = 10	 THEN DED_M + INV_M  ELSE 0 END))  ,0),
						   COL6 = ISNULL( ( sum(CASE WHEN MONTH_BASE= month(@DateM3E) AND e.WAY_CALC = 11	 THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= month(@dateM3E) AND e.WAY_CALC = 11	 THEN DED_M + INV_M  ELSE 0 END))  ,0),
						   COL7 = ISNULL([PFNUMBER],0),
						   COL8 = @nom_pp1,
						   COL9 = [TYPE],
						   COL42 = CONVERT(varchar(100),@FM1),
						   COL43 = CONVERT(varchar(100),@IM1),
						   COL44 = CONVERT(varchar(100),@OT1)
					FROM #SZV_ALL s
					left JOIN #SPR_ESN  e ON 	e.PF_NUM = s.PFNUMBER AND ISNULL(e.SP,'') = ISNULL(s.OSOB_SPO,'') AND e.WAY_CALC IN (10,11)	
					WHERE  code = @CODE1 and [TYPE] = @TYPE1 AND PFNUMBER = @PFNUMBER1 AND ISNULL(OSOB_SPO,'') = @OSOB_SPO AND s.ID_EX = 1
					GROUP BY [TYPE],CODE,[FM],[IM],[OT],[PFNUMBER],[per],[year],[TYPE],[per_edt],[year_edt], INC_T1M1,INC_T1M2,INC_T1M3, INC_T2M1,INC_T2M2,INC_T2M3	,s.OSOB_SPO,E.SP, e.PF_NUM 
					
					set @nom_pp1 = @nom_pp1 + 1
				
				END
				
					
				---        (         )
				IF @PFNUMBER1 = @pf_num11 and @OSOB_SPO <> @OSOB_SPO_old
				BEGIN 
					
					INSERT INTO #TMP3 (CODE, COL1, COL2, COL3, COL4, COL5, COL6, COL7, COL8, COL9, COL42 , COL43, COL44)
					SELECT distinct CODE =  @nom_pp1,
						   COL1 =  @nom_pp1,	
						   COL2 = CONVERT(VARCHAR(100), '    ,         :'),	
						   COL3 = CONVERT(VARCHAR(4),'710'),
						   COL4 = CONVERT(VARCHAR(4),ISNULL(s.OSOB_SPO,'')),
						   COL5 = CASE WHEN PER = 1 THEN  ISNULL( (sum(CASE WHEN MONTH_BASE= 1 AND e.WAY_CALC = 10	 THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 1 AND e.WAY_CALC = 10	 THEN DED_M + INV_M  ELSE 0 END))  
																+ (sum(CASE WHEN MONTH_BASE= 2 AND e.WAY_CALC = 10	 THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 2 AND e.WAY_CALC = 10	 THEN DED_M + INV_M  ELSE 0 END))   
																+ (sum(CASE WHEN MONTH_BASE= 3 AND e.WAY_CALC = 10	 THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 3 AND e.WAY_CALC = 10	 THEN DED_M + INV_M  ELSE 0 END))  ,0)
										WHEN PER = 2 THEN ISNULL( (sum(CASE WHEN MONTH_BASE= 1 AND e.WAY_CALC = 10	 THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 1 AND e.WAY_CALC = 10	 THEN DED_M + INV_M  ELSE 0 END))  
																 + (sum(CASE WHEN MONTH_BASE= 2 AND e.WAY_CALC = 10	 THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 2 AND e.WAY_CALC = 10	 THEN DED_M + INV_M  ELSE 0 END))   
																 + (sum(CASE WHEN MONTH_BASE= 3 AND e.WAY_CALC = 10	 THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 3 AND e.WAY_CALC = 10	 THEN DED_M + INV_M  ELSE 0 END))
																 + (sum(CASE WHEN MONTH_BASE= 4 AND e.WAY_CALC = 10	 THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 4 AND e.WAY_CALC = 10	 THEN DED_M + INV_M  ELSE 0 END))
																 + (sum(CASE WHEN MONTH_BASE= 5 AND e.WAY_CALC = 10	 THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 5 AND e.WAY_CALC = 10	 THEN DED_M + INV_M  ELSE 0 END))
																 + (sum(CASE WHEN MONTH_BASE= 6 AND e.WAY_CALC = 10	 THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 6 AND e.WAY_CALC = 10	 THEN DED_M + INV_M  ELSE 0 END))  ,0)
										WHEN PER = 3 THEN ISNULL( (sum(CASE WHEN MONTH_BASE= 1 AND e.WAY_CALC = 10	 THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 1 AND e.WAY_CALC = 10	 THEN DED_M + INV_M  ELSE 0 END))  
																 + (sum(CASE WHEN MONTH_BASE= 2 AND e.WAY_CALC = 10	 THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 2 AND e.WAY_CALC = 10	 THEN DED_M + INV_M  ELSE 0 END))   
																 + (sum(CASE WHEN MONTH_BASE= 3 AND e.WAY_CALC = 10	 THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 3 AND e.WAY_CALC = 10	 THEN DED_M + INV_M  ELSE 0 END)) 
																 + (sum(CASE WHEN MONTH_BASE= 4 AND e.WAY_CALC = 10	 THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 4 AND e.WAY_CALC = 10	 THEN DED_M + INV_M  ELSE 0 END))   
																 + (sum(CASE WHEN MONTH_BASE= 5 AND e.WAY_CALC = 10	 THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 5 AND e.WAY_CALC = 10	 THEN DED_M + INV_M  ELSE 0 END))
																 + (sum(CASE WHEN MONTH_BASE= 6 AND e.WAY_CALC = 10	 THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 6 AND e.WAY_CALC = 10	 THEN DED_M + INV_M  ELSE 0 END))
																 + (sum(CASE WHEN MONTH_BASE= 7 AND e.WAY_CALC = 10	 THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 7 AND e.WAY_CALC = 10	 THEN DED_M + INV_M  ELSE 0 END))
																 + (sum(CASE WHEN MONTH_BASE= 8 AND e.WAY_CALC = 10	 THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 8 AND e.WAY_CALC = 10	 THEN DED_M + INV_M  ELSE 0 END))
																 + (sum(CASE WHEN MONTH_BASE= 9 AND e.WAY_CALC = 10	 THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 9 AND e.WAY_CALC = 10	 THEN DED_M + INV_M  ELSE 0 END)) ,0)
													ELSE ISNULL( (sum(CASE WHEN MONTH_BASE= 1 AND e.WAY_CALC = 10	 THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 1 AND e.WAY_CALC = 10	 THEN DED_M + INV_M  ELSE 0 END))  
																+ (sum(CASE WHEN MONTH_BASE= 2 AND e.WAY_CALC = 10	 THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 2 AND e.WAY_CALC = 10	 THEN DED_M + INV_M  ELSE 0 END))   
																+ (sum(CASE WHEN MONTH_BASE= 3 AND e.WAY_CALC = 10	 THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 3 AND e.WAY_CALC = 10	 THEN DED_M + INV_M  ELSE 0 END))  
																+ (sum(CASE WHEN MONTH_BASE= 4 AND e.WAY_CALC = 10	 THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 4 AND e.WAY_CALC = 10	 THEN DED_M + INV_M  ELSE 0 END))   
																+ (sum(CASE WHEN MONTH_BASE= 5 AND e.WAY_CALC = 10	 THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 5 AND e.WAY_CALC = 10	 THEN DED_M + INV_M  ELSE 0 END)) 
																+ (sum(CASE WHEN MONTH_BASE= 6 AND e.WAY_CALC = 10	 THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 6 AND e.WAY_CALC = 10	 THEN DED_M + INV_M  ELSE 0 END))   
																+ (sum(CASE WHEN MONTH_BASE= 7 AND e.WAY_CALC = 10	 THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 7 AND e.WAY_CALC = 10	 THEN DED_M + INV_M  ELSE 0 END))
																+ (sum(CASE WHEN MONTH_BASE= 8 AND e.WAY_CALC = 10	 THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 8 AND e.WAY_CALC = 10	 THEN DED_M + INV_M  ELSE 0 END))
																+ (sum(CASE WHEN MONTH_BASE= 9 AND e.WAY_CALC = 10	 THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 9 AND e.WAY_CALC = 10	 THEN DED_M + INV_M  ELSE 0 END))
																+ (sum(CASE WHEN MONTH_BASE= 10 AND e.WAY_CALC = 10	 THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 10 AND e.WAY_CALC = 10	 THEN DED_M + INV_M  ELSE 0 END))
																+ (sum(CASE WHEN MONTH_BASE= 11 AND e.WAY_CALC = 10	 THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 11 AND e.WAY_CALC = 10	 THEN DED_M + INV_M  ELSE 0 END))
																+ (sum(CASE WHEN MONTH_BASE= 12 AND e.WAY_CALC = 10	 THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 12 AND e.WAY_CALC = 10	 THEN DED_M + INV_M  ELSE 0 END)),0)
									END ,
						   COL6 = CASE WHEN PER = 1 THEN ISNULL( (sum(CASE WHEN MONTH_BASE= 1 AND e.WAY_CALC = 11	 THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 1 AND e.WAY_CALC = 11	 THEN DED_M + INV_M  ELSE 0 END))    
															   + (sum(CASE WHEN MONTH_BASE= 2 AND e.WAY_CALC = 11	 THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 2 AND e.WAY_CALC = 11	 THEN DED_M + INV_M  ELSE 0 END))   
															   + (sum(CASE WHEN MONTH_BASE= 3 AND e.WAY_CALC = 11	 THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 3 AND e.WAY_CALC = 11	 THEN DED_M + INV_M  ELSE 0 END))  ,0)
									   WHEN PER = 2 THEN ISNULL( (sum(CASE WHEN MONTH_BASE= 1 AND e.WAY_CALC = 11	 THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 1 AND e.WAY_CALC = 11	 THEN DED_M + INV_M  ELSE 0 END))    
															   + (sum(CASE WHEN MONTH_BASE= 2 AND e.WAY_CALC = 11	 THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 2 AND e.WAY_CALC = 11	 THEN DED_M + INV_M  ELSE 0 END))   
															   + (sum(CASE WHEN MONTH_BASE= 3 AND e.WAY_CALC = 11	 THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 3 AND e.WAY_CALC = 11	 THEN DED_M + INV_M  ELSE 0 END))
															   + (sum(CASE WHEN MONTH_BASE= 4 AND e.WAY_CALC = 11	 THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 4 AND e.WAY_CALC = 11	 THEN DED_M + INV_M  ELSE 0 END))    
															   + (sum(CASE WHEN MONTH_BASE= 5 AND e.WAY_CALC = 11	 THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 5 AND e.WAY_CALC = 11	 THEN DED_M + INV_M  ELSE 0 END))   
															   + (sum(CASE WHEN MONTH_BASE= 6 AND e.WAY_CALC = 11	 THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 6 AND e.WAY_CALC = 11	 THEN DED_M + INV_M  ELSE 0 END))  ,0)
									   WHEN PER = 3 THEN ISNULL( (sum(CASE WHEN MONTH_BASE= 1 AND e.WAY_CALC = 11	 THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 1 AND e.WAY_CALC = 11	 THEN DED_M + INV_M  ELSE 0 END))    
															   + (sum(CASE WHEN MONTH_BASE= 2 AND e.WAY_CALC = 11	 THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 2 AND e.WAY_CALC = 11	 THEN DED_M + INV_M  ELSE 0 END))   
															   + (sum(CASE WHEN MONTH_BASE= 3 AND e.WAY_CALC = 11	 THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 3 AND e.WAY_CALC = 11	 THEN DED_M + INV_M  ELSE 0 END))
															   + (sum(CASE WHEN MONTH_BASE= 4 AND e.WAY_CALC = 11	 THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 4 AND e.WAY_CALC = 11	 THEN DED_M + INV_M  ELSE 0 END))    
															   + (sum(CASE WHEN MONTH_BASE= 5 AND e.WAY_CALC = 11	 THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 5 AND e.WAY_CALC = 11	 THEN DED_M + INV_M  ELSE 0 END))   
															   + (sum(CASE WHEN MONTH_BASE= 6 AND e.WAY_CALC = 11	 THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 6 AND e.WAY_CALC = 11	 THEN DED_M + INV_M  ELSE 0 END))
															   + (sum(CASE WHEN MONTH_BASE= 7 AND e.WAY_CALC = 11	 THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 7 AND e.WAY_CALC = 11	 THEN DED_M + INV_M  ELSE 0 END))    
															   + (sum(CASE WHEN MONTH_BASE= 8 AND e.WAY_CALC = 11	 THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 8 AND e.WAY_CALC = 11	 THEN DED_M + INV_M  ELSE 0 END))   
															   + (sum(CASE WHEN MONTH_BASE= 9 AND e.WAY_CALC = 11	 THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 9 AND e.WAY_CALC = 11	 THEN DED_M + INV_M  ELSE 0 END))   ,0)  
													ELSE ISNULL( (sum(CASE WHEN MONTH_BASE= 1 AND e.WAY_CALC = 11	 THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 1 AND e.WAY_CALC = 11	 THEN DED_M + INV_M  ELSE 0 END))    
															   + (sum(CASE WHEN MONTH_BASE= 2 AND e.WAY_CALC = 11	 THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 2 AND e.WAY_CALC = 11	 THEN DED_M + INV_M  ELSE 0 END))   
															   + (sum(CASE WHEN MONTH_BASE= 3 AND e.WAY_CALC = 11	 THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 3 AND e.WAY_CALC = 11	 THEN DED_M + INV_M  ELSE 0 END))
															   + (sum(CASE WHEN MONTH_BASE= 4 AND e.WAY_CALC = 11	 THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 4 AND e.WAY_CALC = 11	 THEN DED_M + INV_M  ELSE 0 END))    
															   + (sum(CASE WHEN MONTH_BASE= 5 AND e.WAY_CALC = 11	 THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 5 AND e.WAY_CALC = 11	 THEN DED_M + INV_M  ELSE 0 END))   
															   + (sum(CASE WHEN MONTH_BASE= 6 AND e.WAY_CALC = 11	 THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 6 AND e.WAY_CALC = 11	 THEN DED_M + INV_M  ELSE 0 END))
															   + (sum(CASE WHEN MONTH_BASE= 7 AND e.WAY_CALC = 11	 THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 7 AND e.WAY_CALC = 11	 THEN DED_M + INV_M  ELSE 0 END))    
															   + (sum(CASE WHEN MONTH_BASE= 8 AND e.WAY_CALC = 11	 THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 8 AND e.WAY_CALC = 11	 THEN DED_M + INV_M  ELSE 0 END))   
															   + (sum(CASE WHEN MONTH_BASE= 9 AND e.WAY_CALC = 11	 THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 9 AND e.WAY_CALC = 11	 THEN DED_M + INV_M  ELSE 0 END)) 
															   + (sum(CASE WHEN MONTH_BASE= 10 AND e.WAY_CALC = 11	 THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 10 AND e.WAY_CALC = 11	 THEN DED_M + INV_M  ELSE 0 END))    
															   + (sum(CASE WHEN MONTH_BASE= 11 AND e.WAY_CALC = 11	 THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 11 AND e.WAY_CALC = 11	 THEN DED_M + INV_M  ELSE 0 END))   
															   + (sum(CASE WHEN MONTH_BASE= 12 AND e.WAY_CALC = 11	 THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 12 AND e.WAY_CALC = 11	 THEN DED_M + INV_M  ELSE 0 END))   ,0)  
								  END,
						   COL7 = ISNULL([PFNUMBER],0),
						   COL8 = @nom_pp1,
						   COL9 = [TYPE],
						   COL42 = CONVERT(varchar(100),@FM1),
						   COL43 = CONVERT(varchar(100),@IM1),
						   COL44 = CONVERT(varchar(100),@OT1)
					FROM #SZV_ALL s
					left JOIN #SPR_ESN  e ON 	e.PF_NUM = s.PFNUMBER AND ISNULL(e.SP,'') = ISNULL(s.OSOB_SPO,'') AND e.WAY_CALC IN (10,11)	
					WHERE  code = @CODE1 and [TYPE] = @TYPE1 AND PFNUMBER = @PFNUMBER1 AND ISNULL(OSOB_SPO,'') = @OSOB_SPO /*AND s.ID_EX = 2*/
					GROUP BY [TYPE],CODE,[FM],[IM],[OT],[PFNUMBER],[per],[year],[TYPE],[per_edt],[year_edt], INC_T1M1,INC_T1M2,INC_T1M3, INC_T2M1,INC_T2M2,INC_T2M3,date_end,s.OSOB_SPO,E.SP, e.PF_NUM 
					
					set @nom_pp1 = @nom_pp1 + 1
				
					INSERT INTO #TMP3 (CODE, COL1, COL2, COL3, COL4, COL5, COL6, COL7, COL8, COL9, COL42 , COL43, COL44)
					SELECT distinct CODE =  @nom_pp1,
						   COL1 =  @nom_pp1,	
						   COL2 = CONVERT(VARCHAR(100), '1 '),	
						   COL3 = CONVERT(VARCHAR(4),'711'),
						   COL4 = CONVERT(VARCHAR(4),ISNULL(s.OSOB_SPO,'')),
						   COL5 = ISNULL((sum(CASE WHEN MONTH_BASE= month(@DateM1E) AND e.WAY_CALC = 10	 THEN SUMMA_BASE ELSE 0 END)- sum(CASE WHEN MONTH_BASE= month(@DateM1E) AND e.WAY_CALC = 10	 THEN DED_M + INV_M  ELSE 0 END)),0),
						   COL6 = ISNULL( ( sum(CASE WHEN MONTH_BASE= month(@DateM1E) AND e.WAY_CALC = 11	 THEN SUMMA_BASE ELSE 0 END)- sum(CASE WHEN MONTH_BASE= month(@DateM1E) AND e.WAY_CALC = 11	 THEN DED_M + INV_M  ELSE 0 END)),0),
						   COL7 = ISNULL([PFNUMBER],0),
						   COL8 = @nom_pp1,
						   COL9 = [TYPE],
						   COL42 = CONVERT(varchar(100),@FM1),
						   COL43 = CONVERT(varchar(100),@IM1),
						   COL44 = CONVERT(varchar(100),@OT1)
					FROM #SZV_ALL s
					left JOIN #SPR_ESN  e ON 	e.PF_NUM = s.PFNUMBER AND ISNULL(e.SP,'') = ISNULL(s.OSOB_SPO,'') AND e.WAY_CALC IN (10,11)	
					WHERE  code = @CODE1 and [TYPE] = @TYPE1 AND PFNUMBER = @PFNUMBER1 AND ISNULL(OSOB_SPO,'') = @OSOB_SPO /*AND s.ID_EX = 2*/
					GROUP BY [TYPE],CODE,[FM],[IM],[OT],[PFNUMBER],[per],[year],[TYPE],[per_edt],[year_edt], INC_T1M1,INC_T1M2,INC_T1M3, INC_T2M1,INC_T2M2,INC_T2M3,date_end,s.OSOB_SPO,E.SP, e.PF_NUM 
				
					set @nom_pp1 = @nom_pp1 + 1
					
					INSERT INTO #TMP3 (CODE, COL1, COL2, COL3, COL4, COL5, COL6, COL7, COL8, COL9, COL42 , COL43, COL44)
					SELECT distinct CODE =  @nom_pp1,
						   COL1 =  @nom_pp1,	
						   COL2 = CONVERT(VARCHAR(100), '2 '),	
						   COL3 = CONVERT(VARCHAR(4),'712'),
						   COL4 = CONVERT(VARCHAR(4),ISNULL(s.OSOB_SPO,'')),
						   COL5 = ISNULL((sum(CASE WHEN MONTH_BASE= month(@DateM2E) AND e.WAY_CALC = 10	 THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= month(@DateM2E) AND e.WAY_CALC = 10	 THEN DED_M + INV_M  ELSE 0 END)),0),
						   COL6 = ISNULL( ( sum(CASE WHEN MONTH_BASE= month(@DateM2E) AND e.WAY_CALC = 11	 THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= month(@DateM2E) AND e.WAY_CALC = 11	 THEN DED_M + INV_M  ELSE 0 END)),0),
						   COL7 = ISNULL([PFNUMBER],0),
						   COL8 = @nom_pp1,
						   COL9 = [TYPE],
						   COL42 = CONVERT(varchar(100),@FM1),
						   COL43 = CONVERT(varchar(100),@IM1),
						   COL44 = CONVERT(varchar(100),@OT1)
					FROM #SZV_ALL  s
					left JOIN #SPR_ESN  e ON 	e.PF_NUM = s.PFNUMBER AND ISNULL(e.SP,'') = ISNULL(s.OSOB_SPO,'') AND e.WAY_CALC IN (10,11)	
					WHERE  code = @CODE1 and [TYPE] = @TYPE1 AND PFNUMBER = @PFNUMBER1 AND ISNULL(OSOB_SPO,'') = @OSOB_SPO /*AND s.ID_EX = 2*/
					GROUP BY [TYPE],CODE,[FM],[IM],[OT],[PFNUMBER],[per],[year],[TYPE],[per_edt],[year_edt],INC_T1M1,INC_T1M2,INC_T1M3, INC_T2M1,INC_T2M2,INC_T2M3,date_end	,s.OSOB_SPO,E.SP, e.PF_NUM 	
				
					set @nom_pp1 = @nom_pp1 + 1
					
					INSERT INTO #TMP3 (CODE, COL1, COL2, COL3, COL4, COL5, COL6, COL7, COL8, COL9, COL42 , COL43, COL44)
					SELECT distinct CODE =  @nom_pp1,
						   COL1 =  @nom_pp1,	
						   COL2 = CONVERT(VARCHAR(100), '3 '),	
						   COL3 = CONVERT(VARCHAR(4),'713'),
						   COL4 = CONVERT(VARCHAR(4),ISNULL(s.OSOB_SPO,'')),
						   COL5 = ISNULL((sum(CASE WHEN MONTH_BASE= month(@DateM3E) AND e.WAY_CALC = 10	 THEN SUMMA_BASE ELSE 0 END)- sum(CASE WHEN MONTH_BASE= month(@DateM3E) AND e.WAY_CALC = 10	 THEN DED_M + INV_M  ELSE 0 END)),0),
						   COL6 = ISNULL( ( sum(CASE WHEN MONTH_BASE= month(@DateM3E) AND e.WAY_CALC = 11	 THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= month(@DateM3E) AND e.WAY_CALC = 11	 THEN DED_M + INV_M  ELSE 0 END)),0),
						   COL7 = ISNULL([PFNUMBER],0),
						   COL8 = @nom_pp1,
						   COL9 = [TYPE],
						   COL42 = CONVERT(varchar(100),@FM1),
						   COL43 = CONVERT(varchar(100),@IM1),
						   COL44 = CONVERT(varchar(100),@OT1)
					FROM #SZV_ALL s
					left JOIN #SPR_ESN  e ON 	e.PF_NUM = s.PFNUMBER AND ISNULL(e.SP,'') = ISNULL(s.OSOB_SPO,'') AND e.WAY_CALC IN (10,11)	
					WHERE  code = @CODE1 and [TYPE] = @TYPE1 AND PFNUMBER = @PFNUMBER1 AND ISNULL(OSOB_SPO,'') = @OSOB_SPO /*AND s.ID_EX = 2*/
					GROUP BY [TYPE],CODE,[FM],[IM],[OT],[PFNUMBER],[per],[year],[TYPE],[per_edt],[year_edt],INC_T1M1,INC_T1M2,INC_T1M3, INC_T2M1,INC_T2M2,INC_T2M3,date_end,s.OSOB_SPO,E.SP, e.PF_NUM 
				
					set @nom_pp1 = @nom_pp1 + 1
				END						
				---    '410','411','412','413' 
 	
				if not exists (select * from #tmp3 
								where COL7 = @PFNUMBER1 
								and COL9 = @TYPE1
								and COL4 = '710' ) 
					AND NOT EXISTS (
						SELECT * FROM #SZV_ALL 
						WHERE PFNUMBER = @PFNUMBER1 
							AND ISNULL(OSOB_SPO,'') != ISNULL(@OSOB_SPO,'') 
							AND [TYPE] = 1
						) 
				begin 
					
					INSERT INTO #TMP3 (CODE, COL1, COL2, COL3, COL4, COL5, COL6, COL7, COL8, COL9, COL42 , COL43, COL44)
					SELECT 
						   CODE =  @nom_pp1,
						   COL1 =  @nom_pp1,	
						   COL2 = CONVERT(VARCHAR(100), '    ,         :'),	
						   COL3 = CONVERT(VARCHAR(4),'710'),
						   COL4 = CONVERT(VARCHAR(4),''),
						   COL5 = 0,
						   COL6 = 0,
						   COL7 = ISNULL(@PFNUMBER1,''),
						   COL8 = @nom_pp1,
						   COL9 = @TYPE1,
						   COL42 = CONVERT(varchar(100),@FM1),
						   COL43 = CONVERT(varchar(100),@IM1),
						   COL44 = CONVERT(varchar(100),@OT1)
					
			
					set @nom_pp1 = @nom_pp1 + 1
					
					INSERT INTO #TMP3 (CODE, COL1, COL2, COL3, COL4, COL5, COL6, COL7, COL8, COL9, COL42 , COL43, COL44)
					SELECT CODE =  @nom_pp1,
						   COL1 =  @nom_pp1,	
						   COL2 = CONVERT(VARCHAR(100), '1 '),	
						   COL3 = CONVERT(VARCHAR(4),'711'),
						   COL4 = CONVERT(VARCHAR(4),''),
						   COL5 = 0,
						   COL6 = 0,
						   COL7 = ISNULL(@PFNUMBER1,''),
						   COL8 = @nom_pp1,
						   COL9 = @TYPE1,
						   COL42 = CONVERT(varchar(100),@FM1),
						   COL43 = CONVERT(varchar(100),@IM1),
						   COL44 = CONVERT(varchar(100),@OT1)
			
					set @nom_pp1 = @nom_pp1 + 1
					
					INSERT INTO #TMP3 (CODE, COL1, COL2, COL3, COL4, COL5, COL6, COL7, COL8, COL9, COL42 , COL43, COL44)
					SELECT CODE =  @nom_pp1,
						   COL1 =  @nom_pp1,	
						   COL2 = CONVERT(VARCHAR(100), '2 '),	
						   COL3 = CONVERT(VARCHAR(4),'712'),
						   COL4 = CONVERT(VARCHAR(4),''),
						   COL5 = 0,
						   COL6 = 0,
						   COL7 = ISNULL(@PFNUMBER1,''),
						   COL8 = @nom_pp1,
						   COL9 = @TYPE1,
						   COL42 = CONVERT(varchar(100),@FM1),
						   COL43 = CONVERT(varchar(100),@IM1),
						   COL44 = CONVERT(varchar(100),@OT1)

					set @nom_pp1 = @nom_pp1 + 1		
					
					INSERT INTO #TMP3 (CODE, COL1, COL2, COL3, COL4, COL5, COL6, COL7, COL8, COL9, COL42 , COL43, COL44)
					SELECT CODE =  @nom_pp1,
						   COL1 =  @nom_pp1,	
						   COL2 = CONVERT(VARCHAR(100), '3 '),	
						   COL3 = CONVERT(VARCHAR(4),'713'),
						   COL4 = CONVERT(VARCHAR(4),''),
						   COL5 = 0,
						   COL6 = 0,
						   COL7 = ISNULL(@PFNUMBER1,''),
						   COL8 = @nom_pp1,
						   COL9 = @TYPE1,
						   COL42 = CONVERT(varchar(100),@FM1),
						   COL43 = CONVERT(varchar(100),@IM1),
						   COL44 = CONVERT(varchar(100),@OT1)
	
					set @nom_pp1 = @nom_pp1 + 1	
				end 

					select	row_number() over (order by DATE_BEGIN) as ID ,
							FM1 = [FM]  ,
							IM1 = [IM],
							OT1 = [OT],
							PFNUMBER1 = [PFNUMBER], 
							T_DOG1= T_DOG,
							TYPE1 = [TYPE], 
							DATE_BEGIN1 = [DATE_BEGIN], 
							DATE_END1 = (CASE WHEN [DATE_END]> @dDate2 THEN @dDate2 ELSE [DATE_END] end) , 
							TU_CODE1 = [TU_CODE], 
							OS_CODE1 = [OS_CODE], 
							EX_CODE1 = [EX_CODE], 
							f_is_dop1 = [f_is_dop], 
							P_CODE1 = [P_CODE], 
							f_ud_dop1 = [f_ud_dop] 
					into #TMP03
					FROM #SZV_ALL  WHERE  id_ex IS NOT NULL AND YEAR(@dDate1)<=YEAR(Date_END) and MONTH(@dDate2) >= MONTH(Date_END) and MONTH(@dDate2) >= MONTH(Date_BEGIN) and [TYPE] = @TYPE1 AND PFNUMBER = @PFNUMBER1 and fm = @FM1 and T_DOG = 1
					GROUP BY [FM],[IM],[OT],[PFNUMBER], T_DOG,[TYPE], [DATE_BEGIN], [DATE_END] , [TU_CODE], [OS_CODE], [EX_CODE], [f_is_dop], [P_CODE], [f_ud_dop]
					ORDER BY  [FM],[IM],[OT],[PFNUMBER], T_DOG,[TYPE]
			
	
					UPDATE #TMP3
					set COL10 = (SELECT distinct convert(varchar(10),DATE_BEGIN1,104 ) FROM #TMP03 where ID=1 and FM1= @FM1),
						COL11 = (SELECT distinct convert(varchar(10),DATE_END1,104 ) FROM #TMP03 where ID=1 and FM1= @FM1),
						COL12 = (SELECT distinct convert(varchar(10),TU_CODE1 ) FROM #TMP03 where ID=1 and FM1= @FM1) ,
						COL13 = (SELECT distinct convert(varchar(30),OS_CODE1 ) FROM #TMP03 where ID=1 and FM1= @FM1),
						COL14 = (SELECT distinct convert(varchar(10),EX_CODE1 ) FROM #TMP03 where ID=1 and FM1= @FM1), 
						COL15 = (SELECT distinct convert(varchar(100),f_is_dop1 ) FROM #TMP03 where ID=1 and FM1= @FM1),
					    COL16 = (SELECT distinct convert(varchar(10),P_CODE1) FROM #TMP03 where ID=1 and FM1= @FM1), 
					    COL17 = (SELECT distinct convert(varchar(100),f_ud_dop1) FROM #TMP03 where ID=1 and FM1= @FM1), 
					    COL18 = (SELECT distinct convert(varchar(10),DATE_BEGIN1,104 ) FROM #TMP03 where ID=2 and FM1= @FM1), 
					    COL19 = (SELECT distinct convert(varchar(10),DATE_END1,104 ) FROM #TMP03 where ID=2 and FM1= @FM1),
					    COL20 = (SELECT distinct convert(varchar(10),TU_CODE1 ) FROM #TMP03 where ID=2 and FM1= @FM1),
					    COL21 = (SELECT distinct convert(varchar(30),OS_CODE1 ) FROM #TMP03 where ID=2 and FM1= @FM1),
						COL22 = (SELECT distinct convert(varchar(10),EX_CODE1 ) FROM #TMP03 where ID=2 and FM1= @FM1), 
						COL23 = (SELECT distinct convert(varchar(100),f_is_dop1 ) FROM #TMP03 where ID=2 and FM1= @FM1),
					    COL24 = (SELECT distinct convert(varchar(10),P_CODE1) FROM #TMP03 where ID=2 and FM1= @FM1), 
					    COL25 = (SELECT distinct convert(varchar(100),f_ud_dop1) FROM #TMP03 where ID=2 and FM1= @FM1),
					    COL26 = (SELECT distinct convert(varchar(10),DATE_BEGIN1,104 ) FROM #TMP03 where ID=3 and FM1= @FM1), 
					    COL27 = (SELECT distinct convert(varchar(10),DATE_END1,104 ) FROM #TMP03 where ID=3 and FM1= @FM1),
					    COL28 = (SELECT distinct convert(varchar(10),TU_CODE1 ) FROM #TMP03 where ID=3 and FM1= @FM1),
					    COL29 = (SELECT distinct convert(varchar(30),OS_CODE1 ) FROM #TMP03 where ID=3 and FM1= @FM1),
						COL30 = (SELECT distinct convert(varchar(10),EX_CODE1 ) FROM #TMP03 where ID=3 and FM1= @FM1), 
						COL31 = (SELECT distinct convert(varchar(100),f_is_dop1 ) FROM #TMP03 where ID=3 and FM1= @FM1),
					    COL32 = (SELECT distinct convert(varchar(10),P_CODE1) FROM #TMP03 where ID=3 and FM1= @FM1), 
					    COL33 = (SELECT distinct convert(varchar(100),f_ud_dop1) FROM #TMP03 where ID=3 and FM1= @FM1),
					    COL34 = (SELECT distinct convert(varchar(10),DATE_BEGIN1,104 ) FROM #TMP03 where ID=4 and FM1= @FM1), 
					    COL35 = (SELECT distinct convert(varchar(10),DATE_END1,104 ) FROM #TMP03 where ID=4 and FM1= @FM1),
					    COL36 = (SELECT distinct convert(varchar(10),TU_CODE1 ) FROM #TMP03 where ID=4 and FM1= @FM1),
					    COL37 = (SELECT distinct convert(varchar(30),OS_CODE1 ) FROM #TMP03 where ID=4 and FM1= @FM1),
						COL38 = (SELECT distinct convert(varchar(10),EX_CODE1 ) FROM #TMP03 where ID=4 and FM1= @FM1), 
						COL39 = (SELECT distinct convert(varchar(100),f_is_dop1 ) FROM #TMP03 where ID=4 and FM1= @FM1),
					    COL40 = (SELECT distinct convert(varchar(10),P_CODE1) FROM #TMP03 where ID=4 and FM1= @FM1), 
					    COL41 = (SELECT distinct convert(varchar(100),f_ud_dop1) FROM #TMP03 where ID=4 and FM1= @FM1),
					    
					    COL45 = CONVERT(VARCHAR(300),ISNULL((SELECT distinct isnull(convert(varchar(10),DATE_BEGIN1,104 ),' ') 
																	  + ',' + isnull(convert(varchar(10),DATE_END1,104 ),' ')
																	  + ',' + isnull(convert(varchar(10),TU_CODE1 ),' ') 
																	  + ',' + isnull(convert(varchar(30),OS_CODE1 ),' ') 
																	  + ','  + isnull(convert(varchar(10),EX_CODE1 ),' ')
																	 + ','  + isnull(convert(varchar(100),f_is_dop1 ),' ')
																	 + ','  + isnull(convert(varchar(10),P_CODE1) ,' ')
																	 + ','  + isnull(convert(varchar(100),f_ud_dop1),' ')			
																	 + ','  
					                                         FROM #TMP03 where ID=5 and FM1= @FM1),' ')), 
					    COL46 = CONVERT(VARCHAR(300),ISNULL((SELECT distinct isnull(convert(varchar(10),DATE_BEGIN1,104 ),' ') 
																	  + ',' + isnull(convert(varchar(10),DATE_END1,104 ),' ')
																	  + ',' + isnull(convert(varchar(10),TU_CODE1 ),' ') 
																	  + ',' + isnull(convert(varchar(30),OS_CODE1 ),' ') 
																	  + ','  + isnull(convert(varchar(10),EX_CODE1 ),' ')
																	 + ','  + isnull(convert(varchar(100),f_is_dop1 ),' ')
																	 + ','  + isnull(convert(varchar(10),P_CODE1) ,' ')
																	 + ','  + isnull(convert(varchar(100),f_ud_dop1),' ')			
																	 + ','  
					                                         FROM #TMP03 where ID=6 and FM1= @FM1),' '))
					    

					from #TMP3	
					WHERE #TMP3.COL9 = @TYPE1 
					and #TMP3.COL7 = @PFNUMBER1 AND #TMP3.COL3 = '700' /*and #TMP3.CODE =  @nom_pp1*/


					drop table #TMP03				


				
				 
					set @pf_num11 = @PFNUMBER1
					set @OSOB_SPO_old = @OSOB_SPO
					set @TYPE_OLD1 = @TYPE1
					
			
			END

			FETCH NEXT FROM @Cur3 INTO @CODE1,@TYPE1,@PFNUMBER1,@FM1,@IM1,@OT1, @OSOB_SPO
		END

		CLOSE @Cur3
		DEALLOCATE @Cur3
		
		
		
		
		/*****************************************************/
		--    /
		/*****************************************************/
		--create table #TMP1(CODE int,col1 int,   COL2 varchar(14), COL3 varchar(100), COL4 varchar (4), COL5 varchar (4), COL6 numeric(18,2), COL7 numeric(18,2), COL8 numeric(18,2), COL9 numeric(18,2), COL10 varchar(1), COL11 varchar(4), COL12 varchar(15), COL13 varchar(1), COL14 varchar(4),COL15 int)
	

		DECLARE @Cur4 CURSOR
		set @pf_num11 = ''
		set @OSOB_SPO_old = ''  
		set @TYPE_OLD1 = 0
		set @nom_pp1 = (SELECT MAX(CODE) FROM #TMP3 WHERE COL9 = 1) + 1 
		
			
		SET @Cur4 = CURSOR FORWARD_ONLY
		FOR SELECT  [CODE],[TYPE],[PFNUMBER], [FM],[IM],[OT], [OSOB_SPO]  FROM #SZV_ALL where /*T_DOG = 1 and */[TYPE] != 1 /*and year_edt >=2014*/  GROUP BY [CODE],[TYPE],[PFNUMBER], [FM],[IM],[OT], [OSOB_SPO]ORDER BY [CODE],[TYPE],[PFNUMBER], [FM],[IM],[OT], [OSOB_SPO]
		OPEN @Cur4
		FETCH NEXT FROM @Cur4 INTO  @CODE1,@TYPE1,@PFNUMBER1,@FM1,@IM1,@OT1, @OSOB_SPO
		WHILE (@@fetch_status <> -1)
		BEGIN

			IF (@@fetch_status <> -2)
			BEGIN
				
				
				SELECT @OSOB_SPO = ISNULL(@OSOB_SPO, '')
				select @OSOB_SPO_old = ISNULL(@OSOB_SPO_old, '')	
				---        ( , , )
				IF (@PFNUMBER1 <> @pf_num11 ) 
				BEGIN
					INSERT INTO #TMP3 (CODE, COL1, COL2, COL3, COL4, COL5, COL6, COL7, COL8, COL9, COL42 , COL43, COL44)
					SELECT CODE =  @nom_pp1,
						   COL1 =  @nom_pp1,	
						   COL2 = CONVERT(VARCHAR(100), '    ,         :'),	
						   COL3 = CONVERT(VARCHAR(4),'700'),
						   COL4 = CONVERT(VARCHAR(4),ISNULL(s.OSOB_SPO,'')),
						   COL5 = CASE WHEN PER = 1 THEN  ISNULL( (sum(CASE WHEN MONTH_BASE= 1 AND e.WAY_CALC = 10	 THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 1 AND e.WAY_CALC = 10	 THEN DED_M + INV_M  ELSE 0 END))  
																+ (sum(CASE WHEN MONTH_BASE= 2 AND e.WAY_CALC = 10	 THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 2 AND e.WAY_CALC = 10	 THEN DED_M + INV_M  ELSE 0 END))   
																+ (sum(CASE WHEN MONTH_BASE= 3 AND e.WAY_CALC = 10	 THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 3 AND e.WAY_CALC = 10	 THEN DED_M + INV_M  ELSE 0 END))  ,0)
										WHEN PER = 2 THEN ISNULL( (sum(CASE WHEN MONTH_BASE= 1 AND e.WAY_CALC = 10	 THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 1 AND e.WAY_CALC = 10	 THEN DED_M + INV_M  ELSE 0 END))  
																 + (sum(CASE WHEN MONTH_BASE= 2 AND e.WAY_CALC = 10	 THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 2 AND e.WAY_CALC = 10	 THEN DED_M + INV_M  ELSE 0 END))   
																 + (sum(CASE WHEN MONTH_BASE= 3 AND e.WAY_CALC = 10	 THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 3 AND e.WAY_CALC = 10	 THEN DED_M + INV_M  ELSE 0 END))
																 + (sum(CASE WHEN MONTH_BASE= 4 AND e.WAY_CALC = 10	 THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 4 AND e.WAY_CALC = 10	 THEN DED_M + INV_M  ELSE 0 END))
																 + (sum(CASE WHEN MONTH_BASE= 5 AND e.WAY_CALC = 10	 THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 5 AND e.WAY_CALC = 10	 THEN DED_M + INV_M  ELSE 0 END))
																 + (sum(CASE WHEN MONTH_BASE= 6 AND e.WAY_CALC = 10	 THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 6 AND e.WAY_CALC = 10	 THEN DED_M + INV_M  ELSE 0 END))  ,0)
										WHEN PER = 3 THEN ISNULL( (sum(CASE WHEN MONTH_BASE= 1 AND e.WAY_CALC = 10	 THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 1 AND e.WAY_CALC = 10	 THEN DED_M + INV_M  ELSE 0 END))  
																 + (sum(CASE WHEN MONTH_BASE= 2 AND e.WAY_CALC = 10	 THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 2 AND e.WAY_CALC = 10	 THEN DED_M + INV_M  ELSE 0 END))   
																 + (sum(CASE WHEN MONTH_BASE= 3 AND e.WAY_CALC = 10	 THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 3 AND e.WAY_CALC = 10	 THEN DED_M + INV_M  ELSE 0 END)) 
																 + (sum(CASE WHEN MONTH_BASE= 4 AND e.WAY_CALC = 10	 THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 4 AND e.WAY_CALC = 10	 THEN DED_M + INV_M  ELSE 0 END))   
																 + (sum(CASE WHEN MONTH_BASE= 5 AND e.WAY_CALC = 10	 THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 5 AND e.WAY_CALC = 10	 THEN DED_M + INV_M  ELSE 0 END))
																 + (sum(CASE WHEN MONTH_BASE= 6 AND e.WAY_CALC = 10	 THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 6 AND e.WAY_CALC = 10	 THEN DED_M + INV_M  ELSE 0 END))
																 + (sum(CASE WHEN MONTH_BASE= 7 AND e.WAY_CALC = 10	 THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 7 AND e.WAY_CALC = 10	 THEN DED_M + INV_M  ELSE 0 END))
																 + (sum(CASE WHEN MONTH_BASE= 8 AND e.WAY_CALC = 10	 THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 8 AND e.WAY_CALC = 10	 THEN DED_M + INV_M  ELSE 0 END))
																 + (sum(CASE WHEN MONTH_BASE= 9 AND e.WAY_CALC = 10	 THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 9 AND e.WAY_CALC = 10	 THEN DED_M + INV_M  ELSE 0 END)) ,0)
													ELSE ISNULL( (sum(CASE WHEN MONTH_BASE= 1 AND e.WAY_CALC = 10	 THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 1 AND e.WAY_CALC = 10	 THEN DED_M + INV_M  ELSE 0 END))  
																+ (sum(CASE WHEN MONTH_BASE= 2 AND e.WAY_CALC = 10	 THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 2 AND e.WAY_CALC = 10	 THEN DED_M + INV_M  ELSE 0 END))   
																+ (sum(CASE WHEN MONTH_BASE= 3 AND e.WAY_CALC = 10	 THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 3 AND e.WAY_CALC = 10	 THEN DED_M + INV_M  ELSE 0 END))  
																+ (sum(CASE WHEN MONTH_BASE= 4 AND e.WAY_CALC = 10	 THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 4 AND e.WAY_CALC = 10	 THEN DED_M + INV_M  ELSE 0 END))   
																+ (sum(CASE WHEN MONTH_BASE= 5 AND e.WAY_CALC = 10	 THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 5 AND e.WAY_CALC = 10	 THEN DED_M + INV_M  ELSE 0 END)) 
																+ (sum(CASE WHEN MONTH_BASE= 6 AND e.WAY_CALC = 10	 THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 6 AND e.WAY_CALC = 10	 THEN DED_M + INV_M  ELSE 0 END))   
																+ (sum(CASE WHEN MONTH_BASE= 7 AND e.WAY_CALC = 10	 THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 7 AND e.WAY_CALC = 10	 THEN DED_M + INV_M  ELSE 0 END))
																+ (sum(CASE WHEN MONTH_BASE= 8 AND e.WAY_CALC = 10	 THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 8 AND e.WAY_CALC = 10	 THEN DED_M + INV_M  ELSE 0 END))
																+ (sum(CASE WHEN MONTH_BASE= 9 AND e.WAY_CALC = 10	 THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 9 AND e.WAY_CALC = 10	 THEN DED_M + INV_M  ELSE 0 END))
																+ (sum(CASE WHEN MONTH_BASE= 10 AND e.WAY_CALC = 10	 THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 10 AND e.WAY_CALC = 10	 THEN DED_M + INV_M  ELSE 0 END))
																+ (sum(CASE WHEN MONTH_BASE= 11 AND e.WAY_CALC = 10	 THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 11 AND e.WAY_CALC = 10	 THEN DED_M + INV_M  ELSE 0 END))
																+ (sum(CASE WHEN MONTH_BASE= 12 AND e.WAY_CALC = 10	 THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 12 AND e.WAY_CALC = 10	 THEN DED_M + INV_M  ELSE 0 END)),0)
									END ,
						   COL6 = CASE WHEN PER = 1 THEN ISNULL( (sum(CASE WHEN MONTH_BASE= 1 AND e.WAY_CALC = 11	 THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 1 AND e.WAY_CALC = 11	 THEN DED_M + INV_M  ELSE 0 END))    
															   + (sum(CASE WHEN MONTH_BASE= 2 AND e.WAY_CALC = 11	 THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 2 AND e.WAY_CALC = 11	 THEN DED_M + INV_M  ELSE 0 END))   
															   + (sum(CASE WHEN MONTH_BASE= 3 AND e.WAY_CALC = 11	 THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 3 AND e.WAY_CALC = 11	 THEN DED_M + INV_M  ELSE 0 END))  ,0)
									   WHEN PER = 2 THEN ISNULL( (sum(CASE WHEN MONTH_BASE= 1 AND e.WAY_CALC = 11	 THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 1 AND e.WAY_CALC = 11	 THEN DED_M + INV_M  ELSE 0 END))    
															   + (sum(CASE WHEN MONTH_BASE= 2 AND e.WAY_CALC = 11	 THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 2 AND e.WAY_CALC = 11	 THEN DED_M + INV_M  ELSE 0 END))   
															   + (sum(CASE WHEN MONTH_BASE= 3 AND e.WAY_CALC = 11	 THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 3 AND e.WAY_CALC = 11	 THEN DED_M + INV_M  ELSE 0 END))
															   + (sum(CASE WHEN MONTH_BASE= 4 AND e.WAY_CALC = 11	 THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 4 AND e.WAY_CALC = 11	 THEN DED_M + INV_M  ELSE 0 END))    
															   + (sum(CASE WHEN MONTH_BASE= 5 AND e.WAY_CALC = 11	 THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 5 AND e.WAY_CALC = 11	 THEN DED_M + INV_M  ELSE 0 END))   
															   + (sum(CASE WHEN MONTH_BASE= 6 AND e.WAY_CALC = 11	 THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 6 AND e.WAY_CALC = 11	 THEN DED_M + INV_M  ELSE 0 END))  ,0)
									   WHEN PER = 3 THEN ISNULL( (sum(CASE WHEN MONTH_BASE= 1 AND e.WAY_CALC = 11	 THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 1 AND e.WAY_CALC = 11	 THEN DED_M + INV_M  ELSE 0 END))    
															   + (sum(CASE WHEN MONTH_BASE= 2 AND e.WAY_CALC = 11	 THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 2 AND e.WAY_CALC = 11	 THEN DED_M + INV_M  ELSE 0 END))   
															   + (sum(CASE WHEN MONTH_BASE= 3 AND e.WAY_CALC = 11	 THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 3 AND e.WAY_CALC = 11	 THEN DED_M + INV_M  ELSE 0 END))
															   + (sum(CASE WHEN MONTH_BASE= 4 AND e.WAY_CALC = 11	 THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 4 AND e.WAY_CALC = 11	 THEN DED_M + INV_M  ELSE 0 END))    
															   + (sum(CASE WHEN MONTH_BASE= 5 AND e.WAY_CALC = 11	 THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 5 AND e.WAY_CALC = 11	 THEN DED_M + INV_M  ELSE 0 END))   
															   + (sum(CASE WHEN MONTH_BASE= 6 AND e.WAY_CALC = 11	 THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 6 AND e.WAY_CALC = 11	 THEN DED_M + INV_M  ELSE 0 END))
															   + (sum(CASE WHEN MONTH_BASE= 7 AND e.WAY_CALC = 11	 THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 7 AND e.WAY_CALC = 11	 THEN DED_M + INV_M  ELSE 0 END))    
															   + (sum(CASE WHEN MONTH_BASE= 8 AND e.WAY_CALC = 11	 THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 8 AND e.WAY_CALC = 11	 THEN DED_M + INV_M  ELSE 0 END))   
															   + (sum(CASE WHEN MONTH_BASE= 9 AND e.WAY_CALC = 11	 THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 9 AND e.WAY_CALC = 11	 THEN DED_M + INV_M  ELSE 0 END))   ,0)  
													ELSE ISNULL( (sum(CASE WHEN MONTH_BASE= 1 AND e.WAY_CALC = 11	 THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 1 AND e.WAY_CALC = 11	 THEN DED_M + INV_M  ELSE 0 END))    
															   + (sum(CASE WHEN MONTH_BASE= 2 AND e.WAY_CALC = 11	 THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 2 AND e.WAY_CALC = 11	 THEN DED_M + INV_M  ELSE 0 END))   
															   + (sum(CASE WHEN MONTH_BASE= 3 AND e.WAY_CALC = 11	 THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 3 AND e.WAY_CALC = 11	 THEN DED_M + INV_M  ELSE 0 END))
															   + (sum(CASE WHEN MONTH_BASE= 4 AND e.WAY_CALC = 11	 THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 4 AND e.WAY_CALC = 11	 THEN DED_M + INV_M  ELSE 0 END))    
															   + (sum(CASE WHEN MONTH_BASE= 5 AND e.WAY_CALC = 11	 THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 5 AND e.WAY_CALC = 11	 THEN DED_M + INV_M  ELSE 0 END))   
															   + (sum(CASE WHEN MONTH_BASE= 6 AND e.WAY_CALC = 11	 THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 6 AND e.WAY_CALC = 11	 THEN DED_M + INV_M  ELSE 0 END))
															   + (sum(CASE WHEN MONTH_BASE= 7 AND e.WAY_CALC = 11	 THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 7 AND e.WAY_CALC = 11	 THEN DED_M + INV_M  ELSE 0 END))    
															   + (sum(CASE WHEN MONTH_BASE= 8 AND e.WAY_CALC = 11	 THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 8 AND e.WAY_CALC = 11	 THEN DED_M + INV_M  ELSE 0 END))   
															   + (sum(CASE WHEN MONTH_BASE= 9 AND e.WAY_CALC = 11	 THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 9 AND e.WAY_CALC = 11	 THEN DED_M + INV_M  ELSE 0 END)) 
															   + (sum(CASE WHEN MONTH_BASE= 10 AND e.WAY_CALC = 11	 THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 10 AND e.WAY_CALC = 11	 THEN DED_M + INV_M  ELSE 0 END))    
															   + (sum(CASE WHEN MONTH_BASE= 11 AND e.WAY_CALC = 11	 THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 11 AND e.WAY_CALC = 11	 THEN DED_M + INV_M  ELSE 0 END))   
															   + (sum(CASE WHEN MONTH_BASE= 12 AND e.WAY_CALC = 11	 THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 12 AND e.WAY_CALC = 11	 THEN DED_M + INV_M  ELSE 0 END))   ,0)  
								  END,

						   COL7 = ISNULL([PFNUMBER],0),
						   COL8 = @nom_pp1,
						   COL9 = [TYPE],
						   COL42 = CONVERT(varchar(100),@FM1),
						   COL43 = CONVERT(varchar(100),@IM1),
						   COL44 = CONVERT(varchar(100),@OT1)
					FROM #SZV_ALL s
					left JOIN #SPR_ESN  e ON 	e.PF_NUM = s.PFNUMBER AND ISNULL(e.SP,'') = ISNULL(s.OSOB_SPO,'') AND e.WAY_CALC IN (10,11)	
					WHERE  code = @CODE1 and [TYPE] = @TYPE1 AND PFNUMBER = @PFNUMBER1 AND ISNULL(OSOB_SPO,'') = @OSOB_SPO AND s.ID_EX = 1
					GROUP BY [TYPE],CODE,[FM],[IM],[OT],[PFNUMBER],[per],[year],[TYPE],[per_edt],[year_edt], INC_T1M1,INC_T1M2,INC_T1M3, INC_T2M1,INC_T2M2,INC_T2M3 , date_end,s.OSOB_SPO,E.SP, e.PF_NUM 
					

					set @nom_pp1 = @nom_pp1 + 1
					
					INSERT INTO #TMP3 (CODE, COL1, COL2, COL3, COL4, COL5, COL6, COL7, COL8, COL9, COL42 , COL43, COL44)
					SELECT CODE =  @nom_pp1,
						   COL1 =  @nom_pp1,	
						   COL2 = CONVERT(VARCHAR(100), '1 '),	
						   COL3 = CONVERT(VARCHAR(4),'701'),
						   COL4 = CONVERT(VARCHAR(4),ISNULL(s.OSOB_SPO,'')),
						   COL5 = ISNULL((sum(CASE WHEN MONTH_BASE= month(@DateM1E) AND e.WAY_CALC = 10	 THEN SUMMA_BASE ELSE 0 END)- sum(CASE WHEN MONTH_BASE= month(@DateM1E) AND e.WAY_CALC = 10 THEN DED_M + INV_M  ELSE 0 END)),0),
						   COL6 = ISNULL( ( sum(CASE WHEN MONTH_BASE= month(@DateM1E) AND e.WAY_CALC = 11	 THEN SUMMA_BASE ELSE 0 END)- sum(CASE WHEN MONTH_BASE= month(@DateM1E) AND e.WAY_CALC = 11	 THEN DED_M + INV_M  ELSE 0 END)),0),
						   COL7 = ISNULL([PFNUMBER],0),
						   COL8 = @nom_pp1,
						   COL9 = [TYPE],
						   COL42 = CONVERT(varchar(100),@FM1),
						   COL43 = CONVERT(varchar(100),@IM1),
						   COL44 = CONVERT(varchar(100),@OT1)
					FROM #SZV_ALL s
					left JOIN #SPR_ESN  e ON 	e.PF_NUM = s.PFNUMBER AND ISNULL(e.SP,'') = ISNULL(s.OSOB_SPO,'') AND e.WAY_CALC IN (10,11)	
					WHERE  code = @CODE1 and [TYPE] = @TYPE1 AND PFNUMBER = @PFNUMBER1 AND ISNULL(OSOB_SPO,'') = @OSOB_SPO AND s.ID_EX = 1
					GROUP BY [TYPE],CODE,[FM],[IM],[OT],[PFNUMBER],[per],[year],[TYPE],[per_edt],[year_edt],INC_T1M1,INC_T1M2,INC_T1M3, INC_T2M1,INC_T2M2,INC_T2M3,date_end ,s.OSOB_SPO,E.SP, e.PF_NUM 	
					
					set @nom_pp1 = @nom_pp1 + 1
					
					INSERT INTO #TMP3 (CODE, COL1, COL2, COL3, COL4, COL5, COL6, COL7, COL8, COL9, COL42 , COL43, COL44)
					SELECT CODE =  @nom_pp1,
						   COL1 =  @nom_pp1,	
						   COL2 = CONVERT(VARCHAR(100), '2 '),	
						   COL3 = CONVERT(VARCHAR(4),'702'),
						   COL4 = CONVERT(VARCHAR(4),ISNULL(s.OSOB_SPO,'')),
						   COL5 = ISNULL((sum(CASE WHEN MONTH_BASE= month(@DateM2E) AND e.WAY_CALC = 10	 THEN SUMMA_BASE ELSE 0 END)- sum(CASE WHEN MONTH_BASE= month(@DateM2E) AND e.WAY_CALC = 10	 THEN DED_M + INV_M  ELSE 0 END)),0),
						   COL6 = ISNULL( ( sum(CASE WHEN MONTH_BASE= month(@DateM2E) AND e.WAY_CALC = 11	 THEN SUMMA_BASE ELSE 0 END)- sum(CASE WHEN MONTH_BASE= month(@DateM2E) AND e.WAY_CALC = 11	 THEN DED_M + INV_M  ELSE 0 END)),0),
						   COL7 = ISNULL([PFNUMBER],0),
						   COL8 = @nom_pp1,
						   COL9 = [TYPE],
						   COL42 = CONVERT(varchar(100),@FM1),
						   COL43 = CONVERT(varchar(100),@IM1),
						   COL44 = CONVERT(varchar(100),@OT1)
					FROM #SZV_ALL s
					left JOIN #SPR_ESN  e ON 	e.PF_NUM = s.PFNUMBER AND ISNULL(e.SP,'') = ISNULL(s.OSOB_SPO,'') AND e.WAY_CALC IN (10,11)	
					WHERE  code = @CODE1 and [TYPE] = @TYPE1 AND PFNUMBER = @PFNUMBER1 AND ISNULL(OSOB_SPO,'') = @OSOB_SPO AND s.ID_EX = 1
					GROUP BY [TYPE],CODE,[FM],[IM],[OT],[PFNUMBER],[per],[year],[TYPE],[per_edt],[year_edt],INC_T1M1,INC_T1M2,INC_T1M3, INC_T2M1,INC_T2M2,INC_T2M3,date_end	,s.OSOB_SPO,E.SP, e.PF_NUM 
					
					set @nom_pp1 = @nom_pp1 + 1
					
					INSERT INTO #TMP3 (CODE, COL1, COL2, COL3, COL4, COL5, COL6, COL7, COL8, COL9, COL42 , COL43, COL44)
					SELECT CODE =  @nom_pp1,
						   COL1 =  @nom_pp1,	
						   COL2 = CONVERT(VARCHAR(100), '3 '),	
						   COL3 = CONVERT(VARCHAR(4),'703'),
						   COL4 = CONVERT(VARCHAR(4),ISNULL(s.OSOB_SPO,'')),
						   COL5 = ISNULL((sum(CASE WHEN MONTH_BASE= month(@DateM3E) AND e.WAY_CALC = 10	 THEN SUMMA_BASE ELSE 0 END)- sum(CASE WHEN MONTH_BASE= month(@DateM3E) AND e.WAY_CALC = 10	 THEN DED_M + INV_M  ELSE 0 END)),0),
						   COL6 = ISNULL( ( sum(CASE WHEN MONTH_BASE= month(@DateM3E) AND e.WAY_CALC = 11	 THEN SUMMA_BASE ELSE 0 END)- sum(CASE WHEN MONTH_BASE= month(@DateM3E) AND e.WAY_CALC = 11	 THEN DED_M + INV_M  ELSE 0 END)),0),
						   COL7 = ISNULL([PFNUMBER],0),
						   COL8 = @nom_pp1,
						   COL9 = [TYPE],
						   COL42 = CONVERT(varchar(100),@FM1),
						   COL43 = CONVERT(varchar(100),@IM1),
						   COL44 = CONVERT(varchar(100),@OT1)
					FROM #SZV_ALL s
					left JOIN #SPR_ESN  e ON 	e.PF_NUM = s.PFNUMBER AND ISNULL(e.SP,'') = ISNULL(s.OSOB_SPO,'') AND e.WAY_CALC IN (10,11)	
					WHERE  code = @CODE1 and [TYPE] = @TYPE1 AND PFNUMBER = @PFNUMBER1 AND ISNULL(OSOB_SPO,'') = @OSOB_SPO AND s.ID_EX = 1
					GROUP BY [TYPE],CODE,[FM],[IM],[OT],[PFNUMBER],[per],[year],[TYPE],[per_edt],[year_edt]	,INC_T1M1,INC_T1M2,INC_T1M3, INC_T2M1,INC_T2M2,INC_T2M3,date_end,s.OSOB_SPO,E.SP, e.PF_NUM 		
					
					set @nom_pp1 = @nom_pp1 + 1
				END
					
				
				---        (         )
				IF @PFNUMBER1 = @pf_num11 and @OSOB_SPO <> @OSOB_SPO_old
				BEGIN 
					INSERT INTO #TMP3 (CODE, COL1, COL2, COL3, COL4, COL5, COL6, COL7, COL8, COL9, COL42 , COL43, COL44)
					SELECT CODE =  @nom_pp1,
						   COL1 =  @nom_pp1,	
						   COL2 = CONVERT(VARCHAR(100), '    ,         :'),	
						   COL3 = CONVERT(VARCHAR(4),'710'),
						   COL4 = CONVERT(VARCHAR(4),ISNULL(s.OSOB_SPO,'')),
						   COL5 = CASE WHEN PER = 1 THEN  ISNULL( (sum(CASE WHEN MONTH_BASE= 1 AND e.WAY_CALC = 10	 THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 1 AND e.WAY_CALC = 10	 THEN DED_M + INV_M  ELSE 0 END))  
																+ (sum(CASE WHEN MONTH_BASE= 2 AND e.WAY_CALC = 10	 THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 2 AND e.WAY_CALC = 10	 THEN DED_M + INV_M  ELSE 0 END))   
																+ (sum(CASE WHEN MONTH_BASE= 3 AND e.WAY_CALC = 10	 THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 3 AND e.WAY_CALC = 10	 THEN DED_M + INV_M  ELSE 0 END))  ,0)
										WHEN PER = 2 THEN ISNULL( (sum(CASE WHEN MONTH_BASE= 1 AND e.WAY_CALC = 10	 THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 1 AND e.WAY_CALC = 10	 THEN DED_M + INV_M  ELSE 0 END))  
																 + (sum(CASE WHEN MONTH_BASE= 2 AND e.WAY_CALC = 10	 THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 2 AND e.WAY_CALC = 10	 THEN DED_M + INV_M  ELSE 0 END))   
																 + (sum(CASE WHEN MONTH_BASE= 3 AND e.WAY_CALC = 10	 THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 3 AND e.WAY_CALC = 10	 THEN DED_M + INV_M  ELSE 0 END))
																 + (sum(CASE WHEN MONTH_BASE= 4 AND e.WAY_CALC = 10	 THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 4 AND e.WAY_CALC = 10	 THEN DED_M + INV_M  ELSE 0 END))
																 + (sum(CASE WHEN MONTH_BASE= 5 AND e.WAY_CALC = 10	 THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 5 AND e.WAY_CALC = 10	 THEN DED_M + INV_M  ELSE 0 END))
																 + (sum(CASE WHEN MONTH_BASE= 6 AND e.WAY_CALC = 10	 THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 6 AND e.WAY_CALC = 10	 THEN DED_M + INV_M  ELSE 0 END))  ,0)
										WHEN PER = 3 THEN ISNULL( (sum(CASE WHEN MONTH_BASE= 1 AND e.WAY_CALC = 10	 THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 1 AND e.WAY_CALC = 10	 THEN DED_M + INV_M  ELSE 0 END))  
																 + (sum(CASE WHEN MONTH_BASE= 2 AND e.WAY_CALC = 10	 THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 2 AND e.WAY_CALC = 10	 THEN DED_M + INV_M  ELSE 0 END))   
																 + (sum(CASE WHEN MONTH_BASE= 3 AND e.WAY_CALC = 10	 THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 3 AND e.WAY_CALC = 10	 THEN DED_M + INV_M  ELSE 0 END)) 
																 + (sum(CASE WHEN MONTH_BASE= 4 AND e.WAY_CALC = 10	 THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 4 AND e.WAY_CALC = 10	 THEN DED_M + INV_M  ELSE 0 END))   
																 + (sum(CASE WHEN MONTH_BASE= 5 AND e.WAY_CALC = 10	 THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 5 AND e.WAY_CALC = 10	 THEN DED_M + INV_M  ELSE 0 END))
																 + (sum(CASE WHEN MONTH_BASE= 6 AND e.WAY_CALC = 10	 THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 6 AND e.WAY_CALC = 10	 THEN DED_M + INV_M  ELSE 0 END))
																 + (sum(CASE WHEN MONTH_BASE= 7 AND e.WAY_CALC = 10	 THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 7 AND e.WAY_CALC = 10	 THEN DED_M + INV_M  ELSE 0 END))
																 + (sum(CASE WHEN MONTH_BASE= 8 AND e.WAY_CALC = 10	 THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 8 AND e.WAY_CALC = 10	 THEN DED_M + INV_M  ELSE 0 END))
																 + (sum(CASE WHEN MONTH_BASE= 9 AND e.WAY_CALC = 10	 THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 9 AND e.WAY_CALC = 10	 THEN DED_M + INV_M  ELSE 0 END)) ,0)
													ELSE ISNULL( (sum(CASE WHEN MONTH_BASE= 1 AND e.WAY_CALC = 10	 THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 1 AND e.WAY_CALC = 10	 THEN DED_M + INV_M  ELSE 0 END))  
																+ (sum(CASE WHEN MONTH_BASE= 2 AND e.WAY_CALC = 10	 THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 2 AND e.WAY_CALC = 10	 THEN DED_M + INV_M  ELSE 0 END))   
																+ (sum(CASE WHEN MONTH_BASE= 3 AND e.WAY_CALC = 10	 THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 3 AND e.WAY_CALC = 10	 THEN DED_M + INV_M  ELSE 0 END))  
																+ (sum(CASE WHEN MONTH_BASE= 4 AND e.WAY_CALC = 10	 THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 4 AND e.WAY_CALC = 10	 THEN DED_M + INV_M  ELSE 0 END))   
																+ (sum(CASE WHEN MONTH_BASE= 5 AND e.WAY_CALC = 10	 THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 5 AND e.WAY_CALC = 10	 THEN DED_M + INV_M  ELSE 0 END)) 
																+ (sum(CASE WHEN MONTH_BASE= 6 AND e.WAY_CALC = 10	 THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 6 AND e.WAY_CALC = 10	 THEN DED_M + INV_M  ELSE 0 END))   
																+ (sum(CASE WHEN MONTH_BASE= 7 AND e.WAY_CALC = 10	 THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 7 AND e.WAY_CALC = 10	 THEN DED_M + INV_M  ELSE 0 END))
																+ (sum(CASE WHEN MONTH_BASE= 8 AND e.WAY_CALC = 10	 THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 8 AND e.WAY_CALC = 10	 THEN DED_M + INV_M  ELSE 0 END))
																+ (sum(CASE WHEN MONTH_BASE= 9 AND e.WAY_CALC = 10	 THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 9 AND e.WAY_CALC = 10	 THEN DED_M + INV_M  ELSE 0 END))
																+ (sum(CASE WHEN MONTH_BASE= 10 AND e.WAY_CALC = 10	 THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 10 AND e.WAY_CALC = 10	 THEN DED_M + INV_M  ELSE 0 END))
																+ (sum(CASE WHEN MONTH_BASE= 11 AND e.WAY_CALC = 10	 THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 11 AND e.WAY_CALC = 10	 THEN DED_M + INV_M  ELSE 0 END))
																+ (sum(CASE WHEN MONTH_BASE= 12 AND e.WAY_CALC = 10	 THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 12 AND e.WAY_CALC = 10	 THEN DED_M + INV_M  ELSE 0 END)),0)
									END ,
						   COL6 = CASE WHEN PER = 1 THEN ISNULL( (sum(CASE WHEN MONTH_BASE= 1 AND e.WAY_CALC = 11	 THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 1 AND e.WAY_CALC = 11	 THEN DED_M + INV_M  ELSE 0 END))    
															   + (sum(CASE WHEN MONTH_BASE= 2 AND e.WAY_CALC = 11	 THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 2 AND e.WAY_CALC = 11	 THEN DED_M + INV_M  ELSE 0 END))   
															   + (sum(CASE WHEN MONTH_BASE= 3 AND e.WAY_CALC = 11	 THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 3 AND e.WAY_CALC = 11	 THEN DED_M + INV_M  ELSE 0 END))  ,0)
									   WHEN PER = 2 THEN ISNULL( (sum(CASE WHEN MONTH_BASE= 1 AND e.WAY_CALC = 11	 THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 1 AND e.WAY_CALC = 11	 THEN DED_M + INV_M  ELSE 0 END))    
															   + (sum(CASE WHEN MONTH_BASE= 2 AND e.WAY_CALC = 11	 THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 2 AND e.WAY_CALC = 11	 THEN DED_M + INV_M  ELSE 0 END))   
															   + (sum(CASE WHEN MONTH_BASE= 3 AND e.WAY_CALC = 11	 THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 3 AND e.WAY_CALC = 11	 THEN DED_M + INV_M  ELSE 0 END))
															   + (sum(CASE WHEN MONTH_BASE= 4 AND e.WAY_CALC = 11	 THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 4 AND e.WAY_CALC = 11	 THEN DED_M + INV_M  ELSE 0 END))    
															   + (sum(CASE WHEN MONTH_BASE= 5 AND e.WAY_CALC = 11	 THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 5 AND e.WAY_CALC = 11	 THEN DED_M + INV_M  ELSE 0 END))   
															   + (sum(CASE WHEN MONTH_BASE= 6 AND e.WAY_CALC = 11	 THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 6 AND e.WAY_CALC = 11	 THEN DED_M + INV_M  ELSE 0 END))  ,0)
									   WHEN PER = 3 THEN ISNULL( (sum(CASE WHEN MONTH_BASE= 1 AND e.WAY_CALC = 11	 THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 1 AND e.WAY_CALC = 11	 THEN DED_M + INV_M  ELSE 0 END))    
															   + (sum(CASE WHEN MONTH_BASE= 2 AND e.WAY_CALC = 11	 THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 2 AND e.WAY_CALC = 11	 THEN DED_M + INV_M  ELSE 0 END))   
															   + (sum(CASE WHEN MONTH_BASE= 3 AND e.WAY_CALC = 11	 THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 3 AND e.WAY_CALC = 11	 THEN DED_M + INV_M  ELSE 0 END))
															   + (sum(CASE WHEN MONTH_BASE= 4 AND e.WAY_CALC = 11	 THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 4 AND e.WAY_CALC = 11	 THEN DED_M + INV_M  ELSE 0 END))    
															   + (sum(CASE WHEN MONTH_BASE= 5 AND e.WAY_CALC = 11	 THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 5 AND e.WAY_CALC = 11	 THEN DED_M + INV_M  ELSE 0 END))   
															   + (sum(CASE WHEN MONTH_BASE= 6 AND e.WAY_CALC = 11	 THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 6 AND e.WAY_CALC = 11	 THEN DED_M + INV_M  ELSE 0 END))
															   + (sum(CASE WHEN MONTH_BASE= 7 AND e.WAY_CALC = 11	 THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 7 AND e.WAY_CALC = 11	 THEN DED_M + INV_M  ELSE 0 END))    
															   + (sum(CASE WHEN MONTH_BASE= 8 AND e.WAY_CALC = 11	 THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 8 AND e.WAY_CALC = 11	 THEN DED_M + INV_M  ELSE 0 END))   
															   + (sum(CASE WHEN MONTH_BASE= 9 AND e.WAY_CALC = 11	 THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 9 AND e.WAY_CALC = 11	 THEN DED_M + INV_M  ELSE 0 END))   ,0)  
													ELSE ISNULL( (sum(CASE WHEN MONTH_BASE= 1 AND e.WAY_CALC = 11	 THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 1 AND e.WAY_CALC = 11	 THEN DED_M + INV_M  ELSE 0 END))    
															   + (sum(CASE WHEN MONTH_BASE= 2 AND e.WAY_CALC = 11	 THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 2 AND e.WAY_CALC = 11	 THEN DED_M + INV_M  ELSE 0 END))   
															   + (sum(CASE WHEN MONTH_BASE= 3 AND e.WAY_CALC = 11	 THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 3 AND e.WAY_CALC = 11	 THEN DED_M + INV_M  ELSE 0 END))
															   + (sum(CASE WHEN MONTH_BASE= 4 AND e.WAY_CALC = 11	 THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 4 AND e.WAY_CALC = 11	 THEN DED_M + INV_M  ELSE 0 END))    
															   + (sum(CASE WHEN MONTH_BASE= 5 AND e.WAY_CALC = 11	 THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 5 AND e.WAY_CALC = 11	 THEN DED_M + INV_M  ELSE 0 END))   
															   + (sum(CASE WHEN MONTH_BASE= 6 AND e.WAY_CALC = 11	 THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 6 AND e.WAY_CALC = 11	 THEN DED_M + INV_M  ELSE 0 END))
															   + (sum(CASE WHEN MONTH_BASE= 7 AND e.WAY_CALC = 11	 THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 7 AND e.WAY_CALC = 11	 THEN DED_M + INV_M  ELSE 0 END))    
															   + (sum(CASE WHEN MONTH_BASE= 8 AND e.WAY_CALC = 11	 THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 8 AND e.WAY_CALC = 11	 THEN DED_M + INV_M  ELSE 0 END))   
															   + (sum(CASE WHEN MONTH_BASE= 9 AND e.WAY_CALC = 11	 THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 9 AND e.WAY_CALC = 11	 THEN DED_M + INV_M  ELSE 0 END)) 
															   + (sum(CASE WHEN MONTH_BASE= 10 AND e.WAY_CALC = 11	 THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 10 AND e.WAY_CALC = 11	 THEN DED_M + INV_M  ELSE 0 END))    
															   + (sum(CASE WHEN MONTH_BASE= 11 AND e.WAY_CALC = 11	 THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 11 AND e.WAY_CALC = 11	 THEN DED_M + INV_M  ELSE 0 END))   
															   + (sum(CASE WHEN MONTH_BASE= 12 AND e.WAY_CALC = 11	 THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 12 AND e.WAY_CALC = 11	 THEN DED_M + INV_M  ELSE 0 END))   ,0)  
								  END,						   COL7 = ISNULL([PFNUMBER],0),
						   COL8 = @nom_pp1,
						   COL9 = [TYPE],
						   COL42 = CONVERT(varchar(100),@FM1),
						   COL43 = CONVERT(varchar(100),@IM1),
						   COL44 = CONVERT(varchar(100),@OT1)
					FROM #SZV_ALL s
					left JOIN #SPR_ESN  e ON 	e.PF_NUM = s.PFNUMBER AND ISNULL(e.SP,'') = ISNULL(s.OSOB_SPO,'') AND e.WAY_CALC IN (10,11)		
					WHERE  code = @CODE1 and [TYPE] = @TYPE1 AND PFNUMBER = @PFNUMBER1 AND ISNULL(OSOB_SPO,'') = @OSOB_SPO AND s.ID_EX = 1
					GROUP BY [TYPE],CODE,[FM],[IM],[OT],[PFNUMBER],[per],[year],[TYPE],[per_edt],[year_edt],INC_T1M1,INC_T1M2,INC_T1M3, INC_T2M1,INC_T2M2,INC_T2M3,date_end	,s.OSOB_SPO,E.SP, e.PF_NUM 	
					
					set @nom_pp1 = @nom_pp1 + 1
					
					INSERT INTO #TMP3 (CODE, COL1, COL2, COL3, COL4, COL5, COL6, COL7, COL8, COL9, COL42 , COL43, COL44)
					SELECT CODE =  @nom_pp1,
						   COL1 =  @nom_pp1,	
						   COL2 = CONVERT(VARCHAR(100), '1 '),	
						   COL3 = CONVERT(VARCHAR(4),'711'),
						   COL4 = CONVERT(VARCHAR(4),ISNULL(s.OSOB_SPO,'')),
						   COL5 = ISNULL((sum(CASE WHEN MONTH_BASE= month(@DateM1E) AND e.WAY_CALC = 10	 THEN SUMMA_BASE ELSE 0 END)- sum(CASE WHEN MONTH_BASE= month(@DateM1E) AND e.WAY_CALC = 10	 THEN DED_M + INV_M  ELSE 0 END)),0),
						   COL6 = ISNULL( ( sum(CASE WHEN MONTH_BASE= month(@DateM1E) AND e.WAY_CALC = 11	 THEN SUMMA_BASE ELSE 0 END)- sum(CASE WHEN MONTH_BASE= month(@DateM1E) AND e.WAY_CALC = 11	 THEN DED_M + INV_M  ELSE 0 END)),0),
						   COL7 = ISNULL([PFNUMBER],0),
						   COL8 = @nom_pp1,
						   COL9 = [TYPE],
						   COL42 = CONVERT(varchar(100),@FM1),
						   COL43 = CONVERT(varchar(100),@IM1),
						   COL44 = CONVERT(varchar(100),@OT1)
					FROM #SZV_ALL s
					left JOIN #SPR_ESN  e ON 	e.PF_NUM = s.PFNUMBER AND ISNULL(e.SP,'') = ISNULL(s.OSOB_SPO,'') AND e.WAY_CALC IN (10,11)	
					WHERE  code = @CODE1 and [TYPE] = @TYPE1 AND PFNUMBER = @PFNUMBER1 AND ISNULL(OSOB_SPO,'') = @OSOB_SPO AND s.ID_EX = 1
					GROUP BY [TYPE],CODE,[FM],[IM],[OT],[PFNUMBER],[per],[year],[TYPE],[per_edt],[year_edt],INC_T1M1,INC_T1M2,INC_T1M3, INC_T2M1,INC_T2M2,INC_T2M3,date_end,s.OSOB_SPO,E.SP, e.PF_NUM 		
					
					set @nom_pp1 = @nom_pp1 + 1
					
					INSERT INTO #TMP3 (CODE, COL1, COL2, COL3, COL4, COL5, COL6, COL7, COL8, COL9, COL42 , COL43, COL44)
					SELECT CODE =  @nom_pp1,
						   COL1 =  @nom_pp1,	
						   COL2 = CONVERT(VARCHAR(100), '2 '),	
						   COL3 = CONVERT(VARCHAR(4),'712'),
						   COL4 = CONVERT(VARCHAR(4),ISNULL(s.OSOB_SPO,'')),
						   COL5 = ISNULL((sum(CASE WHEN MONTH_BASE= month(@DateM2E) AND e.WAY_CALC = 10	 THEN SUMMA_BASE ELSE 0 END)- sum(CASE WHEN MONTH_BASE= month(@DateM2E) AND e.WAY_CALC = 10	 THEN DED_M + INV_M  ELSE 0 END)),0),
						   COL6 = ISNULL( ( sum(CASE WHEN MONTH_BASE= month(@DateM2E) AND e.WAY_CALC = 11	 THEN SUMMA_BASE ELSE 0 END)- sum(CASE WHEN MONTH_BASE= month(@DateM2E) AND e.WAY_CALC = 11	 THEN DED_M + INV_M  ELSE 0 END)),0),
						   COL7 = ISNULL([PFNUMBER],0),
						   COL8 = @nom_pp1,
						   COL9 = [TYPE],
						   COL42 = CONVERT(varchar(100),@FM1),
						   COL43 = CONVERT(varchar(100),@IM1),
						   COL44 = CONVERT(varchar(100),@OT1)
					FROM #SZV_ALL s
					left JOIN #SPR_ESN  e ON 	e.PF_NUM = s.PFNUMBER AND ISNULL(e.SP,'') = ISNULL(s.OSOB_SPO,'') AND e.WAY_CALC IN (10,11)		
					WHERE  code = @CODE1 and [TYPE] = @TYPE1 AND PFNUMBER = @PFNUMBER1 AND ISNULL(OSOB_SPO,'') = @OSOB_SPO AND s.ID_EX = 1
					GROUP BY [TYPE],CODE,[FM],[IM],[OT],[PFNUMBER],[per],[year],[TYPE],[per_edt],[year_edt],INC_T1M1,INC_T1M2,INC_T1M3, INC_T2M1,INC_T2M2,INC_T2M3,date_end,s.OSOB_SPO,E.SP, e.PF_NUM 			
					
					set @nom_pp1 = @nom_pp1 + 1
					
					INSERT INTO #TMP3 (CODE, COL1, COL2, COL3, COL4, COL5, COL6, COL7, COL8, COL9, COL42 , COL43, COL44)
					SELECT CODE =  @nom_pp1,
						   COL1 =  @nom_pp1,	
						   COL2 = CONVERT(VARCHAR(100), '3 '),	
						   COL3 = CONVERT(VARCHAR(4),'713'),
						   COL4 = CONVERT(VARCHAR(4),ISNULL(s.OSOB_SPO,'')),
						   COL5 = ISNULL((sum(CASE WHEN MONTH_BASE= month(@DateM3E) AND e.WAY_CALC = 10	 THEN SUMMA_BASE ELSE 0 END)- sum(CASE WHEN MONTH_BASE= month(@DateM3E) AND e.WAY_CALC = 10	 THEN DED_M + INV_M  ELSE 0 END)),0),
						   COL6 = ISNULL( ( sum(CASE WHEN MONTH_BASE= month(@DateM3E) AND e.WAY_CALC = 11	 THEN SUMMA_BASE ELSE 0 END)- sum(CASE WHEN MONTH_BASE= month(@DateM3E) AND e.WAY_CALC = 11	 THEN DED_M + INV_M  ELSE 0 END)),0),
						   COL7 = ISNULL([PFNUMBER],0),
						   COL8 = @nom_pp1,
						   COL9 = [TYPE],
						   COL42 = CONVERT(varchar(100),@FM1),
						   COL43 = CONVERT(varchar(100),@IM1),
						   COL44 = CONVERT(varchar(100),@OT1)
					FROM #SZV_ALL s
					left JOIN #SPR_ESN  e ON 	e.PF_NUM = s.PFNUMBER AND ISNULL(e.SP,'') = ISNULL(s.OSOB_SPO,'') AND e.WAY_CALC IN (10,11)	
					WHERE  code = @CODE1 and [TYPE] = @TYPE1 AND PFNUMBER = @PFNUMBER1 AND ISNULL(OSOB_SPO,'') = @OSOB_SPO AND s.ID_EX = 1
					GROUP BY [TYPE],CODE,[FM],[IM],[OT],[PFNUMBER],[per],[year],[TYPE],[per_edt],[year_edt],INC_T1M1,INC_T1M2,INC_T1M3, INC_T2M1,INC_T2M2,INC_T2M3,date_end	,s.OSOB_SPO,E.SP, e.PF_NUM  		
					
					set @nom_pp1 = @nom_pp1 + 1
				END						

				---    '710','711','712','713' 
			
				if not exists (select * from #tmp3 
								where COL7 = @PFNUMBER1 
								and COL9 = @TYPE1
								and COL4 = '710' ) AND NOT EXISTS (SELECT * FROM #SZV_ALL WHERE PFNUMBER = @PFNUMBER1 AND ISNULL(OSOB_SPO,'') != @OSOB_SPO AND [TYPE] = 2) 
				begin 
						
					INSERT INTO #TMP3 (CODE, COL1, COL2, COL3, COL4, COL5, COL6, COL7, COL8, COL9, COL42 , COL43, COL44)
					SELECT CODE =  @nom_pp1,
						   COL1 =  @nom_pp1,	
						   COL2 = CONVERT(VARCHAR(100), '    ,         :'),	
						   COL3 = CONVERT(VARCHAR(4),'710'),
						   COL4 = CONVERT(VARCHAR(4),''),
						   COL5 = 0,
						   COL6 = 0,
						   COL7 = ISNULL(@PFNUMBER1,''),
						   COL8 = @nom_pp1,
						   COL9 = @TYPE1,
						   COL42 = CONVERT(varchar(100),@FM1),
						   COL43 = CONVERT(varchar(100),@IM1),
						   COL44 = CONVERT(varchar(100),@OT1)
					
					set @nom_pp1 = @nom_pp1 + 1
					
					INSERT INTO #TMP3 (CODE, COL1, COL2, COL3, COL4, COL5, COL6, COL7, COL8, COL9, COL42 , COL43, COL44)
					SELECT CODE =  @nom_pp1,
						   COL1 =  @nom_pp1,	
						   COL2 = CONVERT(VARCHAR(100), '1 '),	
						   COL3 = CONVERT(VARCHAR(4),'711'),
						   COL4 = CONVERT(VARCHAR(4),''),
						   COL5 = 0,
						   COL6 = 0,
						   COL7 = ISNULL(@PFNUMBER1,''),
						   COL8 = @nom_pp1,
						   COL9 = @TYPE1,
						   COL42 = CONVERT(varchar(100),@FM1),
						   COL43 = CONVERT(varchar(100),@IM1),
						   COL44 = CONVERT(varchar(100),@OT1)
					
					set @nom_pp1 = @nom_pp1 + 1
					
					INSERT INTO #TMP3 (CODE, COL1, COL2, COL3, COL4, COL5, COL6, COL7, COL8, COL9, COL42 , COL43, COL44)
					SELECT CODE =  @nom_pp1,
						   COL1 =  @nom_pp1,	
						   COL2 = CONVERT(VARCHAR(100), '2 '),	
						   COL3 = CONVERT(VARCHAR(4),'712'),
						   COL4 = CONVERT(VARCHAR(4),''),
						   COL5 = 0,
						   COL6 = 0,
						   COL7 = ISNULL(@PFNUMBER1,''),
						   COL8 = @nom_pp1,
						   COL9 = @TYPE1,
						   COL42 = CONVERT(varchar(100),@FM1),
						   COL43 = CONVERT(varchar(100),@IM1),
						   COL44 = CONVERT(varchar(100),@OT1)
					
					set @nom_pp1 = @nom_pp1 + 1		
					
					INSERT INTO #TMP3 (CODE, COL1, COL2, COL3, COL4, COL5, COL6, COL7, COL8, COL9, COL42 , COL43, COL44)
					SELECT CODE =  @nom_pp1,
						   COL1 =  @nom_pp1,	
						   COL2 = CONVERT(VARCHAR(100), '3 '),	
						   COL3 = CONVERT(VARCHAR(4),'713'),
						   COL4 = CONVERT(VARCHAR(4),''),
						   COL5 = 0,
						   COL6 = 0,
						   COL7 = ISNULL(@PFNUMBER1,''),
						   COL8 = @nom_pp1,
						   COL9 = @TYPE1,
						   COL42 = CONVERT(varchar(100),@FM1),
						   COL43 = CONVERT(varchar(100),@IM1),
						   COL44 = CONVERT(varchar(100),@OT1)
					
					set @nom_pp1 = @nom_pp1 + 1	
				
				end 


					select	row_number() over (order by DATE_BEGIN) as ID ,
							FM1 = [FM]  ,
							IM1 = [IM],
							OT1 = [OT],
							PFNUMBER1 = [PFNUMBER], 
							T_DOG1= T_DOG,
							TYPE1 = [TYPE], 
							DATE_BEGIN1 = [DATE_BEGIN], 
							DATE_END1 = (CASE WHEN [DATE_END] > @dDate2 THEN @dDate2 ELSE  [DATE_END] END )  , 
							TU_CODE1 = [TU_CODE], 
							OS_CODE1 = [OS_CODE], 
							EX_CODE1 = [EX_CODE], 
							f_is_dop1 = [f_is_dop], 
							P_CODE1 = [P_CODE], 
							f_ud_dop1 = [f_ud_dop] 
					into #TMP04
					FROM #SZV_ALL  WHERE  id_ex IS NOT NULL /*AND YEAR(@dDate1)<=YEAR(Date_END) and MONTH(@dDate2) >= MONTH(Date_END) and MONTH(@dDate2) >= MONTH(Date_BEGIN)*/ and [TYPE] = @TYPE1 AND PFNUMBER = @PFNUMBER1 and fm = @FM1 --and T_DOG = 1
					GROUP BY [FM],[IM],[OT],[PFNUMBER], T_DOG,[TYPE], [DATE_BEGIN], [DATE_END] , [TU_CODE], [OS_CODE], [EX_CODE], [f_is_dop], [P_CODE], [f_ud_dop]
					ORDER BY  [FM],[IM],[OT],[PFNUMBER], T_DOG,[TYPE]
				
				

					UPDATE #TMP3
					set COL10 = (SELECT distinct convert(varchar(10),DATE_BEGIN1, 104 ) FROM #TMP04 where ID=1 and FM1= @FM1),
						COL11 = (SELECT distinct convert(varchar(10),DATE_END1, 104 ) FROM #TMP04 where ID=1 and FM1= @FM1),
						COL12 = (SELECT distinct convert(varchar(10),TU_CODE1 ) FROM #TMP04 where ID=1 and FM1= @FM1) ,
						COL13 = (SELECT distinct convert(varchar(30),OS_CODE1 ) FROM #TMP04 where ID=1 and FM1= @FM1),
						COL14 = (SELECT distinct convert(varchar(10),EX_CODE1 ) FROM #TMP04 where ID=1 and FM1= @FM1), 
						COL15 = (SELECT distinct convert(varchar(100),f_is_dop1 ) FROM #TMP04 where ID=1 and FM1= @FM1),
					    COL16 = (SELECT distinct convert(varchar(10),P_CODE1) FROM #TMP04 where ID=1 and FM1= @FM1), 
					    COL17 = (SELECT distinct convert(varchar(100),f_ud_dop1) FROM #TMP04 where ID=1 and FM1= @FM1), 
					    COL18 = (SELECT distinct convert(varchar(10),DATE_BEGIN1 , 104 ) FROM #TMP04 where ID=2 and FM1= @FM1), 
					    COL19 = (SELECT distinct convert(varchar(10),DATE_END1, 104 ) FROM #TMP04 where ID=2 and FM1= @FM1),
					    COL20 = (SELECT distinct convert(varchar(10),TU_CODE1 ) FROM #TMP04 where ID=2 and FM1= @FM1),
					    COL21 = (SELECT distinct convert(varchar(30),OS_CODE1 ) FROM #TMP04 where ID=2 and FM1= @FM1),
						COL22 = (SELECT distinct convert(varchar(10),EX_CODE1 ) FROM #TMP04 where ID=2 and FM1= @FM1), 
						COL23 = (SELECT distinct convert(varchar(100),f_is_dop1 ) FROM #TMP04 where ID=2 and FM1= @FM1),
					    COL24 = (SELECT distinct convert(varchar(10),P_CODE1) FROM #TMP04 where ID=2 and FM1= @FM1), 
					    COL25 = (SELECT distinct convert(varchar(100),f_ud_dop1) FROM #TMP04 where ID=2 and FM1= @FM1),
					    COL26 = (SELECT distinct convert(varchar(10),DATE_BEGIN1, 104 ) FROM #TMP04 where ID=3 and FM1= @FM1), 
					    COL27 = (SELECT distinct convert(varchar(10),DATE_END1, 104 ) FROM #TMP04 where ID=3 and FM1= @FM1),
					    COL28 = (SELECT distinct convert(varchar(10),TU_CODE1 ) FROM #TMP04 where ID=3 and FM1= @FM1),
					    COL29 = (SELECT distinct convert(varchar(30),OS_CODE1 ) FROM #TMP04 where ID=3 and FM1= @FM1),
						COL30 = (SELECT distinct convert(varchar(10),EX_CODE1 ) FROM #TMP04 where ID=3 and FM1= @FM1), 
						COL31 = (SELECT distinct convert(varchar(100),f_is_dop1 ) FROM #TMP04 where ID=3 and FM1= @FM1),
					    COL32 = (SELECT distinct convert(varchar(10),P_CODE1) FROM #TMP04 where ID=3 and FM1= @FM1), 
					    COL33 = (SELECT distinct convert(varchar(100),f_ud_dop1) FROM #TMP04 where ID=3 and FM1= @FM1),
					    COL34 = (SELECT distinct convert(varchar(10),DATE_BEGIN1, 104 ) FROM #TMP04 where ID=4 and FM1= @FM1), 
					    COL35 = (SELECT distinct convert(varchar(10),DATE_END1, 104 ) FROM #TMP04 where ID=4 and FM1= @FM1),
					    COL36 = (SELECT distinct convert(varchar(10),TU_CODE1 ) FROM #TMP04 where ID=4 and FM1= @FM1),
					    COL37 = (SELECT distinct convert(varchar(30),OS_CODE1 ) FROM #TMP04 where ID=4 and FM1= @FM1),
						COL38 = (SELECT distinct convert(varchar(10),EX_CODE1 ) FROM #TMP04 where ID=4 and FM1= @FM1), 
						COL39 = (SELECT distinct convert(varchar(100),f_is_dop1 ) FROM #TMP04 where ID=4 and FM1= @FM1),
					    COL40 = (SELECT distinct convert(varchar(10),P_CODE1) FROM #TMP04 where ID=4 and FM1= @FM1), 
					    COL41 = (SELECT distinct convert(varchar(100),f_ud_dop1) FROM #TMP04 where ID=4 and FM1= @FM1),
						
					    COL45 = CONVERT(VARCHAR(300),ISNULL((SELECT distinct isnull(convert(varchar(10),DATE_BEGIN1,104 ),' ') 
																	  + ',' + isnull(convert(varchar(10),DATE_END1,104 ),' ')
																	  + ',' + isnull(convert(varchar(10),TU_CODE1 ),' ') 
																	  + ',' + isnull(convert(varchar(30),OS_CODE1 ),' ') 
																		+ ','  + isnull(convert(varchar(10),EX_CODE1 ),' ')
																	 + ','  + isnull(convert(varchar(100),f_is_dop1 ),' ')
																	 + ','  + isnull(convert(varchar(10),P_CODE1) ,' ')
																	 + ','  + isnull(convert(varchar(100),f_ud_dop1),' ')			
																	 + ','  
					                                         FROM #TMP04 where ID=5 and FM1= @FM1),' ')), 
					    COL46 = CONVERT(VARCHAR(300),ISNULL((SELECT distinct isnull(convert(varchar(10),DATE_BEGIN1,104 ),' ') 
																	  + ',' + isnull(convert(varchar(10),DATE_END1,104 ),' ')
																	  + ',' + isnull(convert(varchar(10),TU_CODE1 ), ' ') 
																	  + ',' + isnull(convert(varchar(30),OS_CODE1 ),' ') 
																		+ ','  + isnull(convert(varchar(10),EX_CODE1 ),' ')
																	 + ','  + isnull(convert(varchar(100),f_is_dop1 ),' ')
																	 + ','  + isnull(convert(varchar(10),P_CODE1) ,' ')
																	 + ','  + isnull(convert(varchar(100),f_ud_dop1),' ')
																	 + ','  			
															 FROM #TMP04 where ID=6 and FM1= @FM1),' '))
				
					
					from #TMP3	
					WHERE #TMP3.COL9 = @TYPE1 
					and #TMP3.COL7 = @PFNUMBER1 and  #TMP3.COL3 = '700'

				
					drop table #TMP04	


					set @pf_num11 = @PFNUMBER1
					set @OSOB_SPO_old = @OSOB_SPO
					set @TYPE_OLD1 = @TYPE1
					
			END

			FETCH NEXT FROM @Cur4 INTO @CODE1,@TYPE1,@PFNUMBER1,@FM1,@IM1,@OT1, @OSOB_SPO
		END

		CLOSE @Cur4
		DEALLOCATE @Cur4
		
		SELECT DISTINCT 
			CODE = ROW_NUMBER() OVER (ORDER BY CODE),
			COL1 = ROW_NUMBER() OVER (ORDER BY COL1),
			COL2, COL3, COL4, COL5, COL6, COL7, COL8, COL9, COL10, 
			COL11, COL12, COL13, COL14, COL15, COL16, COL17, COL18, COL19, COL20, 
			COL21, COL22, COL23, COL24, COL25, COL26, COL27, COL28, COL29, COL30, 
			COL31, COL32, COL33, COL34, COL35, COL36, COL37, COL38, COL39, COL40, 
			COL41, COL42, COL43, COL44, COL45, COL46
		FROM #TMP3 where col5 <> 0 or col6 <> 0 or ISNULL(COL10,'') <> '' ORDER BY CODE, COL8

--RSA_RSV_1_PERS_UCH_szv '20140401', '20140630', 13488 , 3, 2786
		drop table #TMP3
	
	END		

	IF @REP = 4 
	BEGIN 	
		/*  6.8          6 */
		create table #TMP4(CODE int identity(1,1) ,col1 int,   COL2 VARCHAR(10), COL3 VARCHAR(10), COL4 VARCHAR(10), COL5 VARCHAR(30), COL6 VARCHAR(10), COL7 varchar(100), COL8 VARCHAR(10), COL9 varchar(100), COL10 VARCHAR(14), COL11 INT , COL12 INT, COL13 VARCHAR(100), COL14 varchar(100), COL15 VARCHAR(100) )

		INSERT INTO #TMP4 (COL2, COL3, COL4, COL5, COL6, COL7, COL8, COL9, COL10, COL12, COL13, COL14, COL15 )
		SELECT 
			   COL2 = convert(varchar(10),(CASE WHEN [DATE_BEGIN] > @dDate2 THEN @dDate2 ELSE [DATE_BEGIN] END) , 104), 
			   COL3 = CONVERT(varchar(10),[DATE_END] , 104),
			   COL4 = CONVERT(VARCHAR(10),ISNULL([TU_CODE],'')),
			   COL5 = CONVERT(VARCHAR(30),ISNULL([OS_CODE],'')),
			   COL6 = CONVERT(VARCHAR(10),ISNULL([EX_CODE],'')),
			   COL7 = CONVERT(VARCHAR(100),ISNULL([f_is_dop],'')),
			   COL8 = CONVERT(VARCHAR(10),ISNULL([P_CODE],'')),
			   COL9 = CONVERT(VARCHAR(100),ISNULL([f_ud_dop],'')),
			   COL10 = CONVERT(VARCHAR(100),ISNULL([PFNUMBER],'')),
			   COL12 = ISNULL([TYPE],0),
			   COL13 = CONVERT(varchar(100),FM),
			   COL14 = CONVERT(varchar(100),IM),
			   COL15 = CONVERT(varchar(100),OT)
		FROM #SZV_ALL 
		WHERE 
			id_ex IS NOT NULL AND YEAR(@dDate1)<=YEAR(Date_END) and MONTH(@dDate2) >= MONTH(Date_END) and MONTH(@dDate2) >= MONTH(Date_BEGIN)
		GROUP BY 
			[FM],[IM],[OT],[PFNUMBER],[TYPE], [DATE_BEGIN], [DATE_END] , [TU_CODE], [OS_CODE], [EX_CODE], [f_is_dop], [P_CODE], [f_ud_dop]
		ORDER BY
			[FM],[IM],[OT],[PFNUMBER],[TYPE]

		UPDATE #TMP4 
			SET col1 = CODE , COL11 = CODE 

		SELECT * FROM #TMP4 ORDER BY CODE
		
		drop table #TMP4
		--GROUP BY [TYPE],CODE, [T_DOG],[FM],[IM],[OT],[PFNUMBER],[per],[year],[per_edt],[year_edt]	
		
	END	
	
	
		
		drop table #SZV_ALL
		--drop table #docs_kor_otm
		drop table #docs

END








GO


GRANT EXECUTE ON dbo.[RSA_RPSV_PERS_UCH_SZV] TO PUBLIC

GO


-- --


GO
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[SS_RPSV_EXPORT_TEST]') AND OBJECTPROPERTY(id,N'IsProcedure') = 1)
DROP PROCEDURE dbo.[SS_RPSV_EXPORT_TEST]

GO
CREATE PROCEDURE dbo.SS_RPSV_EXPORT_TEST (@Res tinyint output, @link int, @m int) 
AS
BEGIN

/* declare @Res tinyint
 set @Res = 0
 exec SS_RPSV_EXPORT_TEST @Res output, 3229, 9
 */
	DECLARE @LINK_DEP INT
	SELECT @LINK_DEP = LINK_ORGANIZATION FROM dbo.REPORT_SAVED_FORMS WHERE LINK_SAVED_FORM = @link

	SELECT 				
		D.PFNUMBER,
		D.TFOMS_REG_NUM,
		D.OKATO AS OKATO,
		D.OKTMO,
		D.INN,
		D.OKVED,
		D.KPP,
		D.OKPO,
		D.OGRN,
		D.OKOPF,
		D.OKFS,
		GB_PHONE = GLBUH.PHONE,
		D.KLADR_LINK,
		D.TFOMS_KT,
		GLBUH_FIO = GLBUH.FM,
		CHIEF_FIO = chief.FM
		
	INTO #TMP	
	FROM 
		dbo.DEPARTMENTS D
		LEFT JOIN dbo.GetOtvFaceData(@LINK_DEP, ' ') GLBUH ON GLBUH.link_dep = d.link
		LEFT OUTER JOIN dbo.GetOtvFaceData(@LINK_DEP, '') chief on chief.link_dep = d.link
	WHERE 
		D.LINK = @LINK_DEP
	
	
	DECLARE @ATR_PERS_UCH INT
	SET @ATR_PERS_UCH  = (SELECT DBO.RN_GET_ATR_VALUE(@link, 'REPORTS_ATR_PERS_UCH'))
	
	
	DECLARE @PERS_DATE varchar(10) ,  @RSV_DATE varchar(10)
	SET  @RSV_DATE  =  convert(varchar(10),(select modify_date from dbo.REPORT_SAVED_FORMS WHERE LINK_SAVED_FORM = @link),104)
	
	IF @RSV_DATE >= '20160101'
		SET  @PERS_DATE =  convert(varchar(10),(select [date]  FROM   dbo.SA_SZV4_PACHKA P WHERE p.link_dep = @LINK_DEP and p.link = @ATR_PERS_UCH ),104)

	--      
	DECLARE @OKATO_OR_OKTMO int
	SET @OKATO_OR_OKTMO = dbo.SA_GET_OPTION_BY_CODE('NASTR_USE_OKATO_OKTMO') 
	
	
	SET @Res = 1		
	CREATE TABLE #ERR_MSG (MSG_BEFORE VARCHAR(254),Msg VARCHAR(254),msg_after VARCHAR(254))

	IF EXISTS (SELECT * FROM #TMP WHERE LEN(LTRIM(RTRIM(ISNULL(INN,'')))) = 0) BEGIN
		SET @Res = 0
		INSERT INTO #ERR_MSG (MSG_BEFORE, Msg, msg_after)
		SELECT
			MSG_BEFORE = '   :',
			Msg = '',
			msg_after  = '        .'
	END		
	
	IF EXISTS (SELECT * FROM #TMP WHERE LEN(LTRIM(RTRIM(ISNULL(KPP,'')))) = 0) BEGIN
		SET @Res = 0
		INSERT INTO #ERR_MSG (MSG_BEFORE, Msg, msg_after)
		SELECT
			MSG_BEFORE = '   :',
			Msg = '',
			msg_after  = '        .'
	END	

	IF EXISTS (SELECT * FROM #TMP WHERE LEN(LTRIM(RTRIM(ISNULL(CHIEF_FIO,'')))) = 0) BEGIN
		SET @Res = 0
		INSERT INTO #ERR_MSG (MSG_BEFORE, Msg, msg_after)
		SELECT
			MSG_BEFORE = '   :',
			Msg = '.. ',
			msg_after  = '  "... "       .'
	END


	IF EXISTS (SELECT * FROM #TMP WHERE LEN(LTRIM(RTRIM(ISNULL(OKTMO,'')))) = 0) AND @OKATO_OR_OKTMO = 2 BEGIN
		SET @Res = 0
		INSERT INTO #ERR_MSG (MSG_BEFORE, Msg, msg_after)
		SELECT
			MSG_BEFORE = '   :',
			Msg = '',
			msg_after  = '        .'
	END

	IF EXISTS (SELECT * FROM #TMP WHERE KLADR_LINK IS NULL) BEGIN
		SET @Res = 0
		INSERT INTO #ERR_MSG (MSG_BEFORE, Msg, msg_after)
		SELECT
			MSG_BEFORE = '   :',
			Msg = ' ',
			msg_after  = '  " "      .'
	END				
	

	IF EXISTS (SELECT * FROM #TMP WHERE LEN(LTRIM(RTRIM(ISNULL(OKVED,'')))) = 0) BEGIN
		SET @Res = 0
		INSERT INTO #ERR_MSG (MSG_BEFORE, Msg, msg_after)
		SELECT
			MSG_BEFORE = '   :',
			Msg = '',
			msg_after  = '        .'
	END	




	IF EXISTS (SELECT * FROM #TMP WHERE LEN(LTRIM(RTRIM(ISNULL(TFOMS_KT,'')))) = 0) BEGIN
		SET @Res = 0
		INSERT INTO #ERR_MSG (MSG_BEFORE, Msg, msg_after)
		SELECT
			MSG_BEFORE = '   :',
			Msg = ' ',
			msg_after  = '  " "      .'
	END	
	
	IF EXISTS (SELECT * FROM #TMP WHERE LTRIM(RTRIM(ISNULL(TFOMS_KT,''))) NOT IN ('01','02','03','04','05','09'))  BEGIN
		SET @Res = 0
		INSERT INTO #ERR_MSG (MSG_BEFORE, Msg, msg_after)
		SELECT
			MSG_BEFORE = '   :',
			Msg = '       : 01, 02, 03, 04, 05, 09',
			msg_after  = '  " "      .'
	END		


	IF @RSV_DATE >= '20160101'
	BEGIN
		IF month(convert(datetime,@PERS_DATE,104)) < month(convert(datetime,@RSV_DATE,104)) AND year(convert(datetime,@PERS_DATE,104)) = year(convert(datetime,@RSV_DATE,104)) BEGIN

			SET @Res = 0
			INSERT INTO #ERR_MSG (MSG_BEFORE, Msg, msg_after)
			SELECT
				MSG_BEFORE = '   :',
				Msg = '            ',
				msg_after  = '            .'
		END	
	END
	
	SELECT * FROM #ERR_MSG	
	
END







GO


GRANT EXECUTE ON dbo.[SS_RPSV_EXPORT_TEST] TO PUBLIC

GO



GO
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[SS_RPSV_EXPORT_v5_01]') AND OBJECTPROPERTY(id,N'IsProcedure') = 1)
DROP PROCEDURE dbo.[SS_RPSV_EXPORT_v5_01]

GO

CREATE   PROCEDURE [dbo].SS_RPSV_EXPORT_v5_01( @Link int /*  */ )
AS

CREATE TABLE #OUTPUT (ID int identity(1,1), F_NAME VARCHAR(254), OUT_TEXT TEXT)

SET NOCOUNT ON

-- 
CREATE TABLE #TASK_PROP (ID int identity(1,1), VAL VARCHAR (254))

INSERT INTO #TASK_PROP (VAL) exec dbo.X_GET_PROP_CLIENT 'PROJECT','VERSION_MAJOR',1
INSERT INTO #TASK_PROP (VAL) exec dbo.X_GET_PROP_CLIENT 'PROJECT','VERSION_MINOR',1
INSERT INTO #TASK_PROP (VAL) exec dbo.X_GET_PROP_CLIENT 'PROJECT','VERSION_FIX',1

declare @NAME_PROG varchar(254), @VERS_PROG VARCHAR(254), @WORK_END VARCHAR(254)
Select @NAME_PROG = UPPER(RTRIM(LTRIM([NAME]))),
	@VERS_PROG = (SELECT RTRIM(LTRIM(VAL)) FROM #TASK_PROP WHERE [ID] = 1)
	+ (SELECT REPLACE(STR(RTRIM(LTRIM(VAL)),2),' ','0') FROM #TASK_PROP WHERE [ID] = 2)
	+ (SELECT REPLACE(STR(RTRIM(LTRIM(VAL)),2),' ','0') FROM #TASK_PROP WHERE [ID] = 3)
from dbo.DICTIONARY_TASK where CODE = 'SALARY'
--------------------------------------------
--      
DECLARE @OKATO_OR_OKTMO int
SET @OKATO_OR_OKTMO = dbo.SA_GET_OPTION_BY_CODE('NASTR_USE_OKATO_OKTMO')

DECLARE @ATR_TYPE_KOR INT
SET @ATR_TYPE_KOR  = (SELECT DBO.RN_GET_ATR_VALUE(@Link, 'REPORTS_ATR_TYPE_KOR'))	

-- " "
SET @WORK_END = (SELECT DBO.RN_GET_ATR_VALUE(@Link, 'REPORTS_ATR_LIKVID'))
SET @WORK_END = CASE WHEN @WORK_END LIKE '' THEN '0' ELSE '' END
	
DECLARE @LINK_DEP INT, @YEAR INT, @Version TINYINT, @Period_Number TINYINT, @LINK_FORM INT, @Begin_Date DATETIME, @End_Date DATETIME, @modify_date DATETIME
SELECT
	@LINK_DEP = LINK_ORGANIZATION,
	@YEAR = YEAR(Begin_Date),
	@Version = [Version],
	@Period_Number = Period_Number,
	@LINK_FORM = LINK_FORM,
	@Begin_Date = dbo.DateBeginOfYear(Begin_Date),
	@End_Date = dbo.DateEndOfMonth(dbo.ConvertDMY2Date(1,Period_Number*3,YEAR(Begin_Date))),
	@modify_date = modify_date
FROM dbo.REPORT_SAVED_FORMS WHERE LINK_SAVED_FORM = @link

SELECT top 1
	DD1.OKPO AS OKPO1,
	RIGHT(LTRIM(RTRIM(DD1.INN)), 12) AS INN1,
	DD1.KPP AS KPP1,
	FULL_NAME = CONVERT(VARCHAR(160),UPPER(DD1.FULL_NAME)),
	UPPER(DD1.NAME) AS ORGNAME,
	DD2.NALOG AS IMNS_SONO, DD2.NAME AS IMNS_NAME,
	DD2.NALOG AS SONO,
	RIGHT(REPLICATE('0',15) + LTRIM(RTRIM(DD1.OGRN)), 15) AS OGRN1,
	LTRIM(RTRIM(dbo.GetAddressBykladr(DD1.REF_LINK_A)))
		+ CASE WHEN ISNULL(DD1.HOUSE, '') = '' THEN '' ELSE ' ' + LTRIM(RTRIM(DD1.HOUSE)) END
		+ CASE WHEN ISNULL(DD1.FLAT, '') = '' THEN '' ELSE ' - ' + LTRIM(RTRIM(DD1.FLAT)) END
	AS ADDR_STR,
	CAST(NULL AS DATETIME) AS DATE_END,
	UPPER(RTRIM(CHIEF.FM) + ' ' + LEFT(CHIEF.IM, 1) + '. ' + LEFT(CHIEF.OT,1) + '.') AS CHIEF_FIO,
	CHIEF.FM as CHIEF_FM,
	CHIEF.IM as CHIEF_IM,
	CHIEF.OT as CHIEF_OT,
	RTRIM(CHIEF.PHONE) AS CH_PHONE,
	UPPER(RTRIM(GLBUH.FM) + ' ' + LEFT(GLBUH.IM, 1) + '. ' + LEFT(GLBUH.OT,1) + '.') AS GLBUH_FIO,
	RTRIM(GLBUH.PHONE) AS GL_PHONE,
	OGRN = RIGHT(REPLICATE('0',15) + LTRIM(RTRIM(DD1.OGRN)), 15),
	DD1.OKATO,
	DD1.OKTMO,
	OKVED = (CASE WHEN LEN(ltrim(rtrim(DD1.OKVED)))<8 AND RIGHT(DD1.OKVED,1) = '.' THEN STUFF(DD1.OKVED,LEN(ltrim(rtrim(DD1.OKVED))),1,'') ELSE DD1.OKVED end) ,
	DD1.OKPO,
	DD1.FSS_REG_NUM, --  ()  
	DD1.FSS_KOD_P, --  - ,    ,     ,       ;	
	DD1.FSS_KOD_DOP, --      
	DD1.OKOPF, ---    - ;
	DD1.OKFS, ---     ;
	DD1.PFNUMBER,
	DA.PINDEX, REGION = UPPER(DA.REGION), DA.REGCODE, RAION = UPPER(DA.RAION), GOROD = UPPER(DA.GOROD),
	NASEL = UPPER(DA.NASEL), STREET = UPPER(DA.STREET), DA.HOUSE, DA.KORP, DA.FLAT,
	TFOMS_RNUM = DD1.TFOMS_REG_NUM,
	TFOMS_KT = DD1.TFOMS_KT,
	TFOMS_KTI = '03',
	WORK_END = '1'
INTO #DEP_DATA	
FROM DICTIONARY_DEPARTMENT DD1
	LEFT OUTER JOIN DICTIONARY_DEPARTMENT DD2 ON DD1.IMNS_LINK = DD2.LINK
	LEFT OUTER JOIN dbo.GetOtvFaceData(@LINK_DEP, '') chief on chief.link_dep = dd1.link
	LEFT OUTER JOIN dbo.GetOtvFaceData(@LINK_DEP, ' ') GLBUH ON GLBUH.link_dep = dd1.link
	LEFT JOIN DBO.DEP_ADRESS(@LINK_DEP) DA ON 1=1
WHERE DD1.LINK = @LINK_DEP


/*       ,       */
IF OBJECT_ID('tempdb..#t_osn') IS NOT NULL DROP TABLE #t_osn
CREATE table #t_osn (code CHAR(10), COL1 INT , COL2 VARCHAR(10) , COL3 NUMERIC(18,2), COL4 NUMERIC(18,2), COL5 INT, COL6 VARCHAR(100), COL7 VARCHAR(10), col8 int , col9 int, col10 int, col11 int)
IF OBJECT_ID('tempdb..#t_kor') IS NOT NULL DROP TABLE #t_kor
CREATE table #t_kor (code CHAR(10), COL1 INT , COL2 CHAR(4) , COL3 NUMERIC(18,2), COL4 NUMERIC(18,2), COL5 VARCHAR(50), COL6 VARCHAR(50), COL7 VARCHAR(50), col8 int , col9 VARCHAR(100), col10 VARCHAR(10), col11 int, col12 int , col13 int, col14 VARCHAR(50), col15 VARCHAR(50), col16 VARCHAR(10))


INSERT INTO #t_osn /*(code, COL1, COL2, COL3, COL4, COL5, COL6, COL7, col8, col9, col10, col11)*/
exec [dbo].RSA_RSV_1_PERS_UCH @Begin_Date, @End_Date, @LINK_DEP ,0,  @link   

INSERT INTO #t_kor
exec [dbo].RSA_RSV_1_PERS_UCH @Begin_Date, @End_Date, @LINK_DEP ,1,  @link   

INSERT INTO #t_osn (code, COL1 , COL2 , COL4)
SELECT code, COL1 , COL2 , COL4
FROM #t_kor

DECLARE @NUM_P INT 
IF COALESCE(dbo.sa_get_option_by_code('SA_SZV4_OPT3'),0) = 1
	SET @NUM_P = (SELECT MIN(COALESCE(COL1,0))-1 FROM #t_osn) 
ELSE 
	SET @NUM_P = (SELECT MAX(COALESCE(COL1,0))+1 FROM #t_osn) 

drop table #t_osn 
drop table #t_kor

/**/





DECLARE @Cur0 CURSOR, @CurD0 CURSOR, @Cur00 CURSOR,@Cur000 CURSOR, @TAB_NUM TINYINT, @TAB_NAME VARCHAR(254), @TABD_NUM TINYINT, @TABD_NAME VARCHAR(254), @TAB1_NAME VARCHAR(254), @TAB1_NUM TINYINT, @Cur CURSOR, @Cur1 CURSOR , @Cur2 CURSOR , @NUM INT, @BLOK_NAME VARCHAR(254), @RAZDEL_NUM TINYINT, @RAZDEL_NAME VARCHAR(254),
		@CurI0 CURSOR,@CurI00 CURSOR,@CurI000 CURSOR,@CurI CURSOR, @CurI1 CURSOR, @CurI2 CURSOR

DECLARE @lcFNAME varchar(254),
		@lcFidNAME VARCHAR(254)
SELECT @lcFNAME = 'NO_RASCHSV_' + ltrim(rtrim(IMNS_SONO)) + '_' + ltrim(rtrim(SONO)) + '_' + ltrim(rtrim(INN1)) + '' + ltrim(rtrim(KPP1))+ '_' + CONVERT(VARCHAR(8),ltrim(rtrim(replace(convert(varchar(10),@modify_date,102),'.','')))) + '_0.XML' FROM #DEP_DATA
SELECT @lcFidNAME = 'NO_RASCHSV_' + ltrim(rtrim(IMNS_SONO)) + '_' + ltrim(rtrim(SONO)) + '_' + ltrim(rtrim(INN1)) + '' + ltrim(rtrim(KPP1))+ '_' + CONVERT(VARCHAR(8),ltrim(rtrim(replace(convert(varchar(10),@modify_date,102),'.','')))) + '_0' FROM #DEP_DATA


--exec SS_RPSV_EXPORT_v5_01   3229	
INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
SELECT @lcFNAME, 'OEM' -- 
UNION ALL SELECT @lcFNAME, SPACE(0) + '<?xml version="1.0" encoding="Windows-1251" ?>'
UNION ALL SELECT @lcFNAME, SPACE(0) + '< ="'+LTRIM(RTRIM(@lcFidNAME))+'" ="'+@NAME_PROG+ ':'+ @VERS_PROG+'" ="5.01">'
	UNION ALL SELECT @lcFNAME, SPACE(1) + '<'
										+ ' ="1151111"'
										+ ' ="' + convert(varchar(10),@modify_date,104) + '"'
										+ ' ="' + ISNULL(LTRIM(RTRIM(@ATR_TYPE_KOR)),'') + '"'
										+ ' ="' + (CASE WHEN @Period_Number = 1 and @WORK_END = '0' THEN '21'
															  WHEN @Period_Number = 2 and @WORK_END = '0' THEN '31' 
															  WHEN @Period_Number = 3 and @WORK_END = '0' THEN '33' 
															  WHEN @Period_Number = 4 and @WORK_END = '0' THEN '34' 
															  WHEN @Period_Number = 1 and @WORK_END = '' THEN '51'
															  WHEN @Period_Number = 2 and @WORK_END = '' THEN '52' 
															  WHEN @Period_Number = 3 and @WORK_END = '' THEN '53' 
															  WHEN @Period_Number = 4 and @WORK_END = '' THEN '90'	END) + '"'
										+ ' ="' + CONVERT(VARCHAR(4),@YEAR) + '"'
										+ ' ="' + LTRIM(RTRIM(IMNS_SONO)) + '"'
										+ ' ="214">'
	FROM #DEP_DATA
		UNION ALL SELECT @lcFNAME, SPACE(2) + '<'	
			+ ' ="' + LTRIM(RTRIM(ISNULL(OKVED,''))) + '"'
			+ CASE WHEN ISNULL((SELECT LTRIM(RTRIM(phone)) FROM DICTIONARY_OTV_FACE  WHERE Dep_LINK=dbo.GetOwnDepLink() and name = ''),'') = '' 
				THEN '' ELSE 
				' ="' +(SELECT LTRIM(RTRIM(phone)) FROM DICTIONARY_OTV_FACE  WHERE Dep_LINK=dbo.GetOwnDepLink() and name = '') + '"'
				END 
				+ '>'
		FROM #DEP_DATA	
				UNION ALL SELECT @lcFNAME, SPACE(3) + '<'	
					+ ' ="' + LTRIM(RTRIM(REPLACE(FULL_NAME,'"',''))) + '"'
					+ ' ="' +LTRIM(RTRIM(INN1)) + '"'
					+ ' ="' + LTRIM(RTRIM(KPP1)) + '">'
				FROM #DEP_DATA	
					UNION ALL SELECT @lcFNAME,  
						  CASE WHEN @WORK_END = '0'
							   THEN   SPACE(4) + '<'
						   	   + '  = "' + @WORK_END + '"'
						   	   + ' ="' +LTRIM(RTRIM(INN1)) + '"'
						   	   + ' ="' + LTRIM(RTRIM(KPP1)) + '"/>' 
						   	   ELSE '' END
						 	   FROM #DEP_DATA
				UNION ALL SELECT @lcFNAME, SPACE(3) + '</>'				 	   	
		
				/*UNION ALL SELECT @lcFNAME, SPACE(3) + '<>'	
					UNION ALL SELECT @lcFNAME, SPACE(4) + '<></>'
					FROM #DEP_DATA
					UNION ALL SELECT @lcFNAME, SPACE(4) + '<'
						+ ' =" "'
						+ ' =" "'
						+ ' =" "/>'	
						FROM #DEP_DATA		
				UNION ALL SELECT @lcFNAME, SPACE(3) + '</>'	
				*/
				/*UNION ALL SELECT @lcFNAME, SPACE(3) + '<>'	
					UNION ALL SELECT @lcFNAME, SPACE(4) + '<'
						+ ' =" "'
						+ ' =" "'
						+ ' =" "/>'	
						FROM #DEP_DATA	
					UNION ALL SELECT @lcFNAME, SPACE(4) + '<></>'
					FROM #DEP_DATA
					UNION ALL SELECT @lcFNAME, SPACE(4) + '<'
							+ ' ="          "'
							+ ' =" "'
							+ ' ="   ">'	
							FROM #DEP_DATA	
						UNION ALL SELECT @lcFNAME, SPACE(5) + '<'
							+ ' ="  "'
							+ ' =" "'
							+ ' =" "'
							+ ' ="          "/>'	
							FROM #DEP_DATA	
						UNION ALL SELECT @lcFNAME, SPACE(5) + '<'
							+ '  ="      "'
							+ ' ="  "'
							+ ' =" "'
							+ ' =" "'
							+ ' =" "'
							+ ' =" "'
							+ ' =" "'
							+ ' =" "'
							+ ' =" "'
							+' />'	
							FROM #DEP_DATA				
					UNION ALL SELECT @lcFNAME, SPACE(4) + '</>'
				UNION ALL SELECT @lcFNAME, SPACE(3) + '</>'	*/				
	    UNION ALL SELECT @lcFNAME, SPACE(2) + '</>'	
	    UNION ALL SELECT @lcFNAME, SPACE(2) + '< ="1">'
				UNION ALL SELECT @lcFNAME, SPACE(3) + '<'	+ ' ="' + LTRIM(RTRIM(CHIEF_FM)) + '"'
					+ ' ="' +LTRIM(RTRIM(CHIEF_IM)) + '"'
					+ ' ="' + LTRIM(RTRIM(CHIEF_OT)) + '"/>'
				FROM #DEP_DATA	
		UNION ALL SELECT @lcFNAME, SPACE(2) + '</>'
	--exec SS_RPSV_EXPORT_v5_01   3229	
	
	--   
		INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
		SELECT @lcFNAME, SPACE(2) + '<>'
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(3) + '< ="'+ REPLACE(LTRIM(RTRIM(ISNULL(OKTMO,''))),SPACE(1),'') +'">' 			
		FROM #DEP_DATA

	---  1  1
	--     
			INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
			SELECT @lcFNAME, SPACE(4) + '< ="18210202010061010160" '
					+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, 2, 4)) +'" '
					+ '1="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, 3, 4)) +'" '
					+ '2="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, 4, 4)) +'" '
					+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, 5, 4)) +'"/>'	
	---     
			UNION ALL
			SELECT @lcFNAME, SPACE(4) + '< ="18210202101081013160" '
					+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, 7, 4)) +'" '
					+ '1="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, 8, 4)) +'" '
					+ '2="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, 10, 4)) +'" '
					+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, 11, 4)) +'"/>'	
	---          
			IF (select sum(SUMMA2) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, DEFAULT , 4) WHERE  row in (13,14,15,16)) > 0.00
			BEGIN 		
				INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
				SELECT @lcFNAME, SPACE(4) + '< ="18210202131061020160" '
					+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, 13, 4)) +'" '
					+ '1="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, 14, 4)) +'" '
					+ '2="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, 15, 4)) +'" '
					+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, 16, 4)) +'"/>'	
			END
			IF (select sum(SUMMA2) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, DEFAULT , 4) WHERE  row in (18,19,20,21)) > 0.00
			BEGIN 		
				INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
				SELECT @lcFNAME, SPACE(4) + '< ="18210202132061020160" '
					+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, 18, 4)) +'" '
					+ '1="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, 19, 4)) +'" '
					+ '2="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, 20, 4)) +'" '
					+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, 21, 4)) +'"/>'				
			END

			---       
			IF (select sum(SUMMA2) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, DEFAULT , 4) WHERE  row in (23,24,25,26)) > 0.00
			BEGIN
				INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
				SELECT @lcFNAME, SPACE(4) + '< ="00020253062060000151" '
					+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link,2, 23, 4)) +'" '
					+ '1="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, 24, 4)) +'" '
					+ '2="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, 25, 4)) +'" '
					+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, 26, 4)) +'"/>'				
			END
		
			---       
			IF (select sum(SUMMA2) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, DEFAULT , 4) WHERE  row in (28,29,30,31)) > 0.00
			BEGIN
				INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
				SELECT @lcFNAME, SPACE(4) + '< ="00020253066060000151" '
					+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link,2, 28, 4)) +'" '
					+ '1="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, 29, 4)) +'" '
					+ '2="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, 30, 4)) +'" '
					+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, 31, 4)) +'"/>'				
			END			
			---       
			--             
				INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
				SELECT @lcFNAME, SPACE(4) + '< ="18210202090071010160" >'
				UNION ALL
				SELECT @lcFNAME, SPACE(5) + '< '
					+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link,2, 33, 4)) +'" '
					+ '1="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, 34, 4)) +'" '
					+ '2="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, 35, 4)) +'" '
					+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, 36, 4)) +'"/>'				
			--        
			--        
			--     
				INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
				SELECT @lcFNAME, SPACE(5) + '< '
					+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link,2, 33, 4)) +'" '
					+ '1="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, 34, 4)) +'" '
					+ '2="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, 35, 4)) +'" '
					+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, 36, 4)) +'"/>'				
				UNION ALL SELECT @lcFNAME, SPACE(4) + '</>'


	--           (1-.1)	
	-- 
			INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
			--__	 -   
			SELECT @lcFNAME, SPACE(4) + '<__ '	 	
			--	
				 + '="' + (select LTRIM(RTRIM(ISNULL(TFOMS_KT,''))) FROM #DEP_DATA) + '">' 
			--_ -  
			INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(5) + '<_>'	
				INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
				SELECT @lcFNAME, SPACE(6) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 1, 3))+'" '
							+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 1, 4)) +'" '
							+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 1, 5)) +'" '
							+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 1, 6)) +'" '
							+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 1, 7)) +'"/>'	
				UNION ALL
				SELECT @lcFNAME, SPACE(6) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 2, 3))+'" '
							+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 2, 4)) +'" '
							+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 2, 5)) +'" '
							+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 2, 6)) +'" '
							+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 2, 7)) +'"/>'	
				UNION ALL
				SELECT @lcFNAME, SPACE(6) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 3, 3))+'" '
							+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 3, 4)) +'" '
							+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 3, 5)) +'" '
							+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 3, 6)) +'" '
							+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 3, 7)) +'"/>'	
				UNION ALL
				SELECT @lcFNAME, SPACE(6) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 4, 3))+'" '
							+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 4, 4)) +'" '
							+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 4, 5)) +'" '
							+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 4, 6)) +'" '
							+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 4, 7)) +'"/>'	
				UNION ALL
				SELECT @lcFNAME, SPACE(6) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 5, 3))+'" '
							+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 5, 4)) +'" '
							+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 5, 5)) +'" '
							+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 5, 6)) +'" '
							+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 5, 7)) +'"/>'	
				UNION ALL
				SELECT @lcFNAME, SPACE(6) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 6, 3))+'" '
							+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 6, 4)) +'" '
							+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 6, 5)) +'" '
							+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 6, 6)) +'" '
							+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 6, 7)) +'"/>'	
				UNION ALL
				SELECT @lcFNAME, SPACE(6) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 7, 3))+'" '
							+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 7, 4)) +'" '
							+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 7, 5)) +'" '
							+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 7, 6)) +'" '
							+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 7, 7)) +'"/>'	
				UNION ALL
				SELECT @lcFNAME, SPACE(6) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 8, 3))+'" '
							+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 8, 4)) +'" '
							+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 8, 5)) +'" '
							+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 8, 6)) +'" '
							+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 8, 7)) +'"/>'	
				UNION ALL
				SELECT @lcFNAME, SPACE(6) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 9, 3))+'" '
							+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 9, 4)) +'" '
							+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 9, 5)) +'" '
							+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 9, 6)) +'" '
							+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 9, 7)) +'"/>'	
				UNION ALL
				SELECT @lcFNAME, SPACE(6) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 10, 3))+'" '
							+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 10, 4)) +'" '
							+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 10, 5)) +'" '
							+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 10, 6)) +'" '
							+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 10, 7)) +'"/>'	
			INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(5) + '</_>'	
			INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(5) + '<_>'	
				UNION ALL
				SELECT @lcFNAME, SPACE(6) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 11, 3))+'" '
							+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 11, 4)) +'" '
							+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 11, 5)) +'" '
							+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 11, 6)) +'" '
							+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 11, 7)) +'"/>'	
				UNION ALL
				SELECT @lcFNAME, SPACE(6) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 12, 3))+'" '
							+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 12, 4)) +'" '
							+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 12, 5)) +'" '
							+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 12, 6)) +'" '
							+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 12, 7)) +'"/>'	
				UNION ALL
				SELECT @lcFNAME, SPACE(6) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 13, 3))+'" '
							+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 13, 4)) +'" '
							+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 13, 5)) +'" '
							+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 13, 6)) +'" '
							+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 13, 7)) +'"/>'	
				UNION ALL
				SELECT @lcFNAME, SPACE(6) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 14, 3))+'" '
							+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 14, 4)) +'" '
							+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 14, 5)) +'" '
							+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 14, 6)) +'" '
							+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 14, 7)) +'"/>'	
				UNION ALL
				SELECT @lcFNAME, SPACE(6) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 15, 3))+'" '
							+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 15, 4)) +'" '
							+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 15, 5)) +'" '
							+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 15, 6)) +'" '
							+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 15, 7)) +'"/>'	
				UNION ALL
				SELECT @lcFNAME, SPACE(6) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 16, 3))+'" '
							+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 16, 4)) +'" '
							+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 16, 5)) +'" '
							+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 16, 6)) +'" '
							+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 16, 7)) +'"/>'	
			INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(5) + '</_>'	
	


---  1..1.3.1            
		--_428 - 
		--	_428.1-2 - 	  
		
			if   (select COUNT(*) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, default, DEFAULT ) WHERE row IN (1) AND col IN (3,4,5,6,7) and summa<> 0 ) > 0 
				OR (select COUNT(*) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, default, DEFAULT ) WHERE row IN (6) AND col IN (3,4,5,6,7) and summa<> 0 ) > 0 
				OR (select COUNT(*) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, default, DEFAULT ) WHERE row IN (1,6,11,16,21) AND col IN (3,4,5,6,7) and summa<> 0 ) > 0 
				OR (select COUNT(*) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, default, DEFAULT ) WHERE row IN (1,6,11,16,21) AND col IN (3,4,5,6,7) and summa<> 0 ) > 0 
			BEGIN
						
				INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(5) + '<_428>'
				--   1
				if (select COUNT(*) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, default, DEFAULT ) WHERE row IN (1) AND col IN (3,4,5,6,7) and summa<> 0 )  > 0
				BEGIN
					INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(6) + '<_428.1-2>'
						INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(7) + '<>"1"<>'
					UNION ALL
						SELECT @lcFNAME, SPACE(7) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 1, 3))+'" '
								+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 1, 4)) +'" '
								+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 1, 5)) +'" '
								+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 1, 6)) +'" '
								+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 1, 7)) +'"/>'	
					UNION ALL
						SELECT @lcFNAME, SPACE(7) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 2, 3))+'" '
								+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 2, 4)) +'" '
								+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 2, 5)) +'" '
								+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 2, 6)) +'" '
								+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 2, 7)) +'"/>'					
					UNION ALL
						SELECT @lcFNAME, SPACE(7) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 3, 3))+'" '
								+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 3, 4)) +'" '
								+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 3, 5)) +'" '
								+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 3, 6)) +'" '
								+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 3, 7)) +'"/>'					
					UNION ALL
						SELECT @lcFNAME, SPACE(7) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 4, 3))+'" '
								+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 4, 4)) +'" '
								+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 4, 5)) +'" '
								+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 4, 6)) +'" '
								+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 4, 7)) +'"/>'					
					UNION ALL
						SELECT @lcFNAME, SPACE(7) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 5, 3))+'" '
								+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 5, 4)) +'" '
								+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 5, 5)) +'" '
								+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 5, 6)) +'" '
								+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 5, 7)) +'"/>'					
					INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(6) + '</_428.1-2>'	
				END 	
					
				--   2
				if (select COUNT(*) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, default, DEFAULT ) WHERE row IN (6) AND col IN (3,4,5,6,7) and summa<> 0 )>0  
				BEGIN				
					INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(6) + '<_428.1-2>'
						INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(7) + '<>"2"<>'
					UNION ALL
						SELECT @lcFNAME, SPACE(7) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 6, 3))+'" '
								+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 6, 4)) +'" '
								+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 6, 5)) +'" '
								+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 6, 6)) +'" '
								+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 6, 7)) +'"/>'	
					UNION ALL
						SELECT @lcFNAME, SPACE(7) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 7, 3))+'" '
								+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 7, 4)) +'" '
								+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 7, 5)) +'" '
								+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 7, 6)) +'" '
								+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 7, 7)) +'"/>'					
					UNION ALL
						SELECT @lcFNAME, SPACE(7) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 8, 3))+'" '
								+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 8, 4)) +'" '
								+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 8, 5)) +'" '
								+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 8, 6)) +'" '
								+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 8, 7)) +'"/>'					
					UNION ALL
						SELECT @lcFNAME, SPACE(7) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 9, 3))+'" '
								+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 9, 4)) +'" '
								+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 9, 5)) +'" '
								+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 9, 6)) +'" '
								+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 9, 7)) +'"/>'					
					UNION ALL
						SELECT @lcFNAME, SPACE(7) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 10, 3))+'" '
								+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 10, 4)) +'" '
								+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 10, 5)) +'" '
								+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 10, 6)) +'" '
								+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 10, 7)) +'"/>'					
					INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(6) + '</_428.1-2>'									
				END
				
				--              
				--        428     (1 .1.3.2)
			--exec SS_RPSV_EXPORT_v5_01   3229		
	 ----------------------------
	  -----------  1 ----------
	  ------------------------------
				-- -  4
				if (select COUNT(*) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 1, DEFAULT ) WHERE col IN (3,4,5,6,7) and summa<> 0 )  > 0
				BEGIN	
					INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(6) + '<_428>'	
						INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(7) + '<>"1"<>'
						INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(7) + '<>"1"<>'
						INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(7) + '<>"1"<>'
					UNION ALL
						SELECT @lcFNAME, SPACE(7) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 1, 3))+'" '
								+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 1, 4)) +'" '
								+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 1, 5)) +'" '
								+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 1, 6)) +'" '
								+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 1, 7)) +'"/>'	
					UNION ALL
						SELECT @lcFNAME, SPACE(7) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 2, 3))+'" '
								+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 2, 4)) +'" '
								+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 2, 5)) +'" '
								+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 2, 6)) +'" '
								+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 2, 7)) +'"/>'					
					UNION ALL
						SELECT @lcFNAME, SPACE(7) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 3, 3))+'" '
								+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 3, 4)) +'" '
								+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 3, 5)) +'" '
								+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 3, 6)) +'" '
								+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 3, 7)) +'"/>'					
					UNION ALL
						SELECT @lcFNAME, SPACE(7) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 4, 3))+'" '
								+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 4, 4)) +'" '
								+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 4, 5)) +'" '
								+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 4, 6)) +'" '
								+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 4, 7)) +'"/>'					
					UNION ALL
						SELECT @lcFNAME, SPACE(7) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 5, 3))+'" '
								+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 5, 4)) +'" '
								+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 5, 5)) +'" '
								+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 5, 6)) +'" '
								+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 5, 7)) +'"/>'					
					INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(6) + '</_428>'	
				END
	  
				--  3.4
				if (select COUNT(*) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 6, DEFAULT ) WHERE col IN (3,4,5,6,7) and summa<> 0 )  > 0
				BEGIN	
					INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(6) + '<_428>'	
						INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(7) + '<>"1"<>'
						INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(7) + '<>"1"<>'
						INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(7) + '<>"2"<>'
					UNION ALL
						SELECT @lcFNAME, SPACE(7) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 6, 3))+'" '
								+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 6, 4)) +'" '
								+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 6, 5)) +'" '
								+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 6, 6)) +'" '
								+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 6, 7)) +'"/>'	
					UNION ALL
						SELECT @lcFNAME, SPACE(7) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 7, 3))+'" '
								+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 7, 4)) +'" '
								+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 7, 5)) +'" '
								+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 7, 6)) +'" '
								+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 7, 7)) +'"/>'					
					UNION ALL
						SELECT @lcFNAME, SPACE(7) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 8, 3))+'" '
								+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 8, 4)) +'" '
								+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 8, 5)) +'" '
								+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 8, 6)) +'" '
								+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 8, 7)) +'"/>'					
					UNION ALL
						SELECT @lcFNAME, SPACE(7) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 9, 3))+'" '
								+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 9, 4)) +'" '
								+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 9, 5)) +'" '
								+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 9, 6)) +'" '
								+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 9, 7)) +'"/>'					
					UNION ALL
						SELECT @lcFNAME, SPACE(7) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 10, 3))+'" '
								+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 10, 4)) +'" '
								+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 10, 5)) +'" '
								+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 10, 6)) +'" '
								+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 10, 7)) +'"/>'					
					INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(6) + '</_428>'	
				END			
				--  3.3
				if (select COUNT(*) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 11, DEFAULT ) WHERE col IN (3,4,5,6,7) and summa<> 0 )  > 0
				BEGIN	
					INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(6) + '<_428>'	
						INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(7) + '<>"1"<>'
						INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(7) + '<>"1"<>'
						INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(7) + '<>"3"<>'
					UNION ALL
						SELECT @lcFNAME, SPACE(7) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 11, 3))+'" '
								+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 11, 4)) +'" '
								+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 11, 5)) +'" '
								+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 11, 6)) +'" '
								+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 11, 7)) +'"/>'	
					UNION ALL
						SELECT @lcFNAME, SPACE(7) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 12, 3))+'" '
								+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 12, 4)) +'" '
								+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 12, 5)) +'" '
								+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 12, 6)) +'" '
								+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 12, 7)) +'"/>'					
					UNION ALL
						SELECT @lcFNAME, SPACE(7) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 13, 3))+'" '
								+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 13, 4)) +'" '
								+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 13, 5)) +'" '
								+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 13, 6)) +'" '
								+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 13, 7)) +'"/>'					
					UNION ALL
						SELECT @lcFNAME, SPACE(7) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 14, 3))+'" '
								+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 14, 4)) +'" '
								+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 14, 5)) +'" '
								+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 14, 6)) +'" '
								+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 14, 7)) +'"/>'					
					UNION ALL
						SELECT @lcFNAME, SPACE(7) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 15, 3))+'" '
								+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 15, 4)) +'" '
								+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 15, 5)) +'" '
								+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 15, 6)) +'" '
								+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 15, 7)) +'"/>'					
					INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(6) + '</_428>'	
				END		
				--  3.2
				if (select COUNT(*) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 16, DEFAULT ) WHERE col IN (3,4,5,6,7) and summa<> 0 )  > 0
				BEGIN	
					INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(6) + '<_428>'	
						INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(7) + '<>"1"<>'
						INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(7) + '<>"1"<>'
						INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(7) + '<>"4"<>'
					UNION ALL
						SELECT @lcFNAME, SPACE(7) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 16, 3))+'" '
								+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 16, 4)) +'" '
								+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 16, 5)) +'" '
								+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 16, 6)) +'" '
								+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 16, 7)) +'"/>'	
					UNION ALL
						SELECT @lcFNAME, SPACE(7) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 17, 3))+'" '
								+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 17, 4)) +'" '
								+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 17, 5)) +'" '
								+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 17, 6)) +'" '
								+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 17, 7)) +'"/>'					
					UNION ALL
						SELECT @lcFNAME, SPACE(7) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 18, 3))+'" '
								+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 18, 4)) +'" '
								+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 18, 5)) +'" '
								+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 18, 6)) +'" '
								+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 18, 7)) +'"/>'					
					UNION ALL
						SELECT @lcFNAME, SPACE(7) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 19, 3))+'" '
								+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 19, 4)) +'" '
								+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 19, 5)) +'" '
								+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 19, 6)) +'" '
								+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 19, 7)) +'"/>'					
					UNION ALL
						SELECT @lcFNAME, SPACE(7) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 20, 3))+'" '
								+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 20, 4)) +'" '
								+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 20, 5)) +'" '
								+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 20, 6)) +'" '
								+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 20, 7)) +'"/>'					
					INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(6) + '</_428>'	
				END		
				--  3.1
				if (select COUNT(*) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 21, DEFAULT ) WHERE col IN (3,4,5,6,7) and summa<> 0 )  > 0
				BEGIN	
					INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(6) + '<_428>'	
						INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(7) + '<>"1"<>'
						INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(7) + '<>"1"<>'
						INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(7) + '<>"5"<>'
					UNION ALL
						SELECT @lcFNAME, SPACE(7) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 21, 3))+'" '
								+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 21, 4)) +'" '
								+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 21, 5)) +'" '
								+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 21, 6)) +'" '
								+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 21, 7)) +'"/>'	
					UNION ALL
						SELECT @lcFNAME, SPACE(7) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 22, 3))+'" '
								+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 22, 4)) +'" '
								+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 22, 5)) +'" '
								+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 22, 6)) +'" '
								+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 22, 7)) +'"/>'					
					UNION ALL
						SELECT @lcFNAME, SPACE(7) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 23, 3))+'" '
								+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 23, 4)) +'" '
								+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 23, 5)) +'" '
								+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 23, 6)) +'" '
								+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 23, 7)) +'"/>'					
					UNION ALL
						SELECT @lcFNAME, SPACE(7) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 24, 3))+'" '
								+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 24, 4)) +'" '
								+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 24, 5)) +'" '
								+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 24, 6)) +'" '
								+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 24, 7)) +'"/>'					
					UNION ALL
						SELECT @lcFNAME, SPACE(7) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 25, 3))+'" '
								+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 25, 4)) +'" '
								+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 25, 5)) +'" '
								+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 25, 6)) +'" '
								+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 25, 7)) +'"/>'					
					INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(6) + '</_428>'	
				END		
			---------------------
			----------   2
			--------------------
							-- -  4
				if (select COUNT(*) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 1, DEFAULT ) WHERE col IN (3,4,5,6,7) and summa<> 0 )  > 0
				BEGIN	
					INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(6) + '<_428>'	
						INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(7) + '<>"2"<>'
						INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(7) + '<>"1"<>'
						INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(7) + '<>"1"<>'
					UNION ALL
						SELECT @lcFNAME, SPACE(7) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 1, 3))+'" '
								+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 1, 4)) +'" '
								+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 1, 5)) +'" '
								+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 1, 6)) +'" '
								+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 1, 7)) +'"/>'	
					UNION ALL
						SELECT @lcFNAME, SPACE(7) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 2, 3))+'" '
								+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 2, 4)) +'" '
								+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 2, 5)) +'" '
								+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 2, 6)) +'" '
								+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 2, 7)) +'"/>'					
					UNION ALL
						SELECT @lcFNAME, SPACE(7) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 3, 3))+'" '
								+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 3, 4)) +'" '
								+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 3, 5)) +'" '
								+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 3, 6)) +'" '
								+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 3, 7)) +'"/>'					
					UNION ALL
						SELECT @lcFNAME, SPACE(7) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 4, 3))+'" '
								+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 4, 4)) +'" '
								+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 4, 5)) +'" '
								+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 4, 6)) +'" '
								+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 4, 7)) +'"/>'					
					UNION ALL
						SELECT @lcFNAME, SPACE(7) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 5, 3))+'" '
								+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 5, 4)) +'" '
								+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 5, 5)) +'" '
								+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 5, 6)) +'" '
								+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 5, 7)) +'"/>'					
					INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(6) + '</_428>'	
				END
	  
				--  3.4
				if (select COUNT(*) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 6, DEFAULT ) WHERE col IN (3,4,5,6,7) and summa<> 0 )  > 0
				BEGIN	
					INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(6) + '<_428>'	
						INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(7) + '<>"1"<>'
						INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(7) + '<>"1"<>'
						INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(7) + '<>"2"<>'
					UNION ALL
						SELECT @lcFNAME, SPACE(7) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 6, 3))+'" '
								+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 6, 4)) +'" '
								+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 6, 5)) +'" '
								+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 6, 6)) +'" '
								+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 6, 7)) +'"/>'	
					UNION ALL
						SELECT @lcFNAME, SPACE(7) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 7, 3))+'" '
								+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 7, 4)) +'" '
								+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 7, 5)) +'" '
								+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 7, 6)) +'" '
								+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 7, 7)) +'"/>'					
					UNION ALL
						SELECT @lcFNAME, SPACE(7) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 8, 3))+'" '
								+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 8, 4)) +'" '
								+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 8, 5)) +'" '
								+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 8, 6)) +'" '
								+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 8, 7)) +'"/>'					
					UNION ALL
						SELECT @lcFNAME, SPACE(7) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 9, 3))+'" '
								+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 9, 4)) +'" '
								+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 9, 5)) +'" '
								+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 9, 6)) +'" '
								+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 9, 7)) +'"/>'					
					UNION ALL
						SELECT @lcFNAME, SPACE(7) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 10, 3))+'" '
								+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 10, 4)) +'" '
								+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 10, 5)) +'" '
								+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 10, 6)) +'" '
								+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 10, 7)) +'"/>'					
					INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(6) + '</_428>'	
				END			
				--  3.3
	--exec SS_RPSV_EXPORT_v5_01   3229	
				if (select COUNT(*) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 11, DEFAULT ) WHERE col IN (3,4,5,6,7) and summa<> 0 )  > 0
				BEGIN	
					INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(6) + '<_428>'	
						INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(7) + '<>"1"<>'
						INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(7) + '<>"1"<>'
						INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(7) + '<>"3"<>'
					UNION ALL
						SELECT @lcFNAME, SPACE(7) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 11, 3))+'" '
								+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 11, 4)) +'" '
								+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 11, 5)) +'" '
								+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 11, 6)) +'" '
								+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 11, 7)) +'"/>'	
					UNION ALL
						SELECT @lcFNAME, SPACE(7) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 12, 3))+'" '
								+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 12, 4)) +'" '
								+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 12, 5)) +'" '
								+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 12, 6)) +'" '
								+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 12, 7)) +'"/>'					
					UNION ALL
						SELECT @lcFNAME, SPACE(7) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 13, 3))+'" '
								+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 13, 4)) +'" '
								+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 13, 5)) +'" '
								+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 13, 6)) +'" '
								+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 13, 7)) +'"/>'					
					UNION ALL
						SELECT @lcFNAME, SPACE(7) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 14, 3))+'" '
								+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 14, 4)) +'" '
								+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 14, 5)) +'" '
								+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 14, 6)) +'" '
								+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 14, 7)) +'"/>'					
					UNION ALL
						SELECT @lcFNAME, SPACE(7) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 15, 3))+'" '
								+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 15, 4)) +'" '
								+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 15, 5)) +'" '
								+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 15, 6)) +'" '
								+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 15, 7)) +'"/>'					
					INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(6) + '</_428>'	
				END		
				--  3.2
				if (select COUNT(*) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 16, DEFAULT ) WHERE col IN (3,4,5,6,7) and summa<> 0 )  > 0
				BEGIN	
					INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(6) + '<_428>'	
						INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(7) + '<>"1"<>'
						INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(7) + '<>"1"<>'
						INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(7) + '<>"4"<>'
					UNION ALL
						SELECT @lcFNAME, SPACE(7) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 16, 3))+'" '
								+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 16, 4)) +'" '
								+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 16, 5)) +'" '
								+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 16, 6)) +'" '
								+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 16, 7)) +'"/>'	
					UNION ALL
						SELECT @lcFNAME, SPACE(7) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 17, 3))+'" '
								+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 17, 4)) +'" '
								+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 17, 5)) +'" '
								+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 17, 6)) +'" '
								+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 17, 7)) +'"/>'					
					UNION ALL
						SELECT @lcFNAME, SPACE(7) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 18, 3))+'" '
								+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 18, 4)) +'" '
								+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 18, 5)) +'" '
								+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 18, 6)) +'" '
								+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 18, 7)) +'"/>'					
					UNION ALL
						SELECT @lcFNAME, SPACE(7) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 19, 3))+'" '
								+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 19, 4)) +'" '
								+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 19, 5)) +'" '
								+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 19, 6)) +'" '
								+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 19, 7)) +'"/>'					
					UNION ALL
						SELECT @lcFNAME, SPACE(7) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 20, 3))+'" '
								+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 20, 4)) +'" '
								+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 20, 5)) +'" '
								+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 20, 6)) +'" '
								+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 20, 7)) +'"/>'					
					INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(6) + '</_428>'	
				END		
				--  3.1
				if (select COUNT(*) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 21, DEFAULT ) WHERE col IN (3,4,5,6,7) and summa<> 0 )  > 0
				BEGIN	
					INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(6) + '<_428>'	
						INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(7) + '<>"1"<>'
						INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(7) + '<>"1"<>'
						INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(7) + '<>"5"<>'
					UNION ALL
						SELECT @lcFNAME, SPACE(7) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 21, 3))+'" '
								+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 21, 4)) +'" '
								+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 21, 5)) +'" '
								+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 21, 6)) +'" '
								+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 21, 7)) +'"/>'	
					UNION ALL
						SELECT @lcFNAME, SPACE(7) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 22, 3))+'" '
								+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 22, 4)) +'" '
								+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 22, 5)) +'" '
								+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 22, 6)) +'" '
								+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 22, 7)) +'"/>'					
					UNION ALL
						SELECT @lcFNAME, SPACE(7) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 23, 3))+'" '
								+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 23, 4)) +'" '
								+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 23, 5)) +'" '
								+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 23, 6)) +'" '
								+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 23, 7)) +'"/>'					
					UNION ALL
						SELECT @lcFNAME, SPACE(7) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 24, 3))+'" '
								+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 24, 4)) +'" '
								+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 24, 5)) +'" '
								+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 24, 6)) +'" '
								+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 24, 7)) +'"/>'					
					UNION ALL
						SELECT @lcFNAME, SPACE(7) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 25, 3))+'" '
								+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 25, 4)) +'" '
								+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 25, 5)) +'" '
								+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 25, 6)) +'" '
								+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 25, 7)) +'"/>'					
					INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(6) + '</_428>'	
					END			
				
					INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(5) + '</_428>'
				END 
	---            
	--     ,        
	--    (1 .1.4)
				if (select COUNT(*) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 7, 1, DEFAULT ) WHERE col IN (3,4,5,6,7) and summa<> 0 )  > 0
				BEGIN		
						INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(5) + '<_>'				  		  		
							INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(6) + '<>"1"<>'	
							UNION ALL
								SELECT @lcFNAME, SPACE(6) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 7, 1, 3))+'" '
										+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 7, 1, 4)) +'" '
										+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 7, 1, 5)) +'" '
										+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 7, 1, 6)) +'" '
										+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 7, 1, 7)) +'"/>'		
							UNION ALL
								SELECT @lcFNAME, SPACE(6) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 7, 2, 3))+'" '
										+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 7, 2, 4)) +'" '
										+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 7, 2, 5)) +'" '
										+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 7, 2, 6)) +'" '
										+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 7, 2, 7)) +'"/>'		
							UNION ALL
								SELECT @lcFNAME, SPACE(6) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 7, 3, 3))+'" '
										+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 7, 3, 4)) +'" '
										+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 7, 3, 5)) +'" '
										+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 7, 3, 6)) +'" '
										+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 7, 3, 7)) +'"/>'		
							UNION ALL
								SELECT @lcFNAME, SPACE(6) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 7, 4, 3))+'" '
										+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 7, 4, 4)) +'" '
										+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 7, 4, 5)) +'" '
										+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 7, 4, 6)) +'" '
										+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 7, 4, 7)) +'"/>'		
							UNION ALL
								SELECT @lcFNAME, SPACE(6) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 7, 5, 3))+'" '
										+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 7, 5, 4)) +'" '
										+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 7, 5, 5)) +'" '
										+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 7, 5, 6)) +'" '
										+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 7, 5, 7)) +'"/>'		
						INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(5) + '</_>'	
				END	
				if (select COUNT(*) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 7, 6, DEFAULT ) WHERE col IN (3,4,5,6,7) and summa<> 0 )  > 0
				BEGIN		
						INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(5) + '<_>'				  		  		
							INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(6) + '<>"2"<>'	
							UNION ALL
								SELECT @lcFNAME, SPACE(6) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 7, 6, 3))+'" '
										+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 7, 6, 4)) +'" '
										+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 7, 6, 5)) +'" '
										+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 7, 6, 6)) +'" '
										+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 7, 6, 7)) +'"/>'		
							UNION ALL
								SELECT @lcFNAME, SPACE(6) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 7, 7, 3))+'" '
										+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 7, 7, 4)) +'" '
										+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 7, 7, 5)) +'" '
										+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 7, 7, 6)) +'" '
										+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 7, 7, 7)) +'"/>'		
							UNION ALL
								SELECT @lcFNAME, SPACE(6) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 7, 8, 3))+'" '
										+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 7, 8, 4)) +'" '
										+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 7, 8, 5)) +'" '
										+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 7, 8, 6)) +'" '
										+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 7, 8, 7)) +'"/>'		
							UNION ALL
								SELECT @lcFNAME, SPACE(6) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 7, 9, 3))+'" '
										+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 7, 9, 4)) +'" '
										+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 7, 9, 5)) +'" '
										+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 7, 9, 6)) +'" '
										+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 7, 9, 7)) +'"/>'		
							UNION ALL
								SELECT @lcFNAME, SPACE(6) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 7, 10, 3))+'" '
										+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 7, 10, 4)) +'" '
										+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 7, 10, 5)) +'" '
										+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 7, 10, 6)) +'" '
										+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 7, 10, 7)) +'"/>'		
						INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(5) + '</_>'	
				END	
				INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(4) + '</__>'	 			  					  
	
	--         
	--        (1 .2)
				if (select COUNT(*) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 1, DEFAULT ) WHERE col IN (3,4,5,6,7) and summa<> 0 )  > 0
				BEGIN
				INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(4) + '<_.'	
																				 + ' ="1">' 
					UNION ALL
					SELECT @lcFNAME, SPACE(5) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 1, 3))+'" '
						+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 1, 4)) +'" '
						+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 1, 5)) +'" '
						+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 1, 6)) +'" '
						+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 1, 7)) +'"/>'
					UNION ALL
					SELECT @lcFNAME, SPACE(5) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 2, 3))+'" '
						+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 2, 4)) +'" '
						+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 2, 5)) +'" '
						+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 2, 6)) +'" '
						+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 2, 7)) +'"/>'		
							UNION ALL
					SELECT @lcFNAME, SPACE(5) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 3, 3))+'" '
						+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 3, 4)) +'" '
						+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 3, 5)) +'" '
						+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 3, 6)) +'" '
						+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 3, 7)) +'"/>'	
							UNION ALL
					SELECT @lcFNAME, SPACE(5) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 4, 3))+'" '
						+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 4, 4)) +'" '
						+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 4, 5)) +'" '
						+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 4, 6)) +'" '
						+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 4, 7)) +'"/>'	
							UNION ALL
					SELECT @lcFNAME, SPACE(5) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 5, 3))+'" '
						+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 5, 4)) +'" '
						+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 5, 5)) +'" '
						+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 5, 6)) +'" '
						+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 5, 7)) +'"/>'	
							UNION ALL
					SELECT @lcFNAME, SPACE(5) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 6, 3))+'" '
						+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 6, 4)) +'" '
						+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 6, 5)) +'" '
						+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 6, 6)) +'" '
						+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 6, 7)) +'"/>'		
							UNION ALL
					SELECT @lcFNAME, SPACE(5) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 7, 3))+'" '
						+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 7, 4)) +'" '
						+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 7, 5)) +'" '
						+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 7, 6)) +'" '
						+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 7, 7)) +'"/>'		
							UNION ALL
					SELECT @lcFNAME, SPACE(5) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 8, 3))+'" '
						+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 8, 4)) +'" '
						+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 8, 5)) +'" '
						+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 8, 6)) +'" '
						+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 8, 7)) +'"/>'
							UNION ALL
					SELECT @lcFNAME, SPACE(5) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 9, 3))+'" '
						+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 9, 4)) +'" '
						+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 9, 5)) +'" '
						+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 9, 6)) +'" '
						+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 9, 7)) +'"/>'		
							UNION ALL
					SELECT @lcFNAME, SPACE(5) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 10, 3))+'" '
						+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 10, 4)) +'" '
						+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 10, 5)) +'" '
						+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 10, 6)) +'" '
						+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 10, 7)) +'"/>'	
							UNION ALL
					SELECT @lcFNAME, SPACE(5) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 11, 3))+'" '
						+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 11, 4)) +'" '
						+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 11, 5)) +'" '
						+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 11, 6)) +'" '
						+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 11, 7)) +'"/>'		
							UNION ALL
					SELECT @lcFNAME, SPACE(5) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 12, 3))+'" '
						+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 12, 4)) +'" '
						+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 12, 5)) +'" '
						+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 12, 6)) +'" '
						+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 12, 7)) +'"/>'	
			--exec SS_RPSV_EXPORT_v5_01   3229	
					INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(5) + '<>'		
					SELECT @lcFNAME, SPACE(6) + '< ="' +
					case when 
					(select SUMMA2 FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 10, 3)) >= (select SUMMA2 FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 11, 3))
						 THEN '1' 
						 ELSE '2'
						 end	+'" '
						+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 13, 3)) +'"/>'
					UNION ALL SELECT @lcFNAME, SPACE(6) + '<3 ="' +
					case when 
					(select SUMMA2 FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 10, 4)) >= (select SUMMA2 FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 11, 4))
						 THEN '1' 
						 ELSE '2'
						 end	+'" '
						+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 13, 4)) +'"/>'
					UNION ALL SELECT @lcFNAME, SPACE(6) + '<13 ="' +
					case when 
					(select SUMMA2 FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 10, 5)) >= (select SUMMA2 FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 11, 5))
						 THEN '1' 
						 ELSE '2'
						 end	+'" '
						+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 13, 5)) +'"/>'
					UNION ALL SELECT @lcFNAME, SPACE(6) + '<23 ="' +
					case when 
					(select SUMMA2 FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 10, 6)) >= (select SUMMA2 FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 11, 6))
						 THEN '1' 
						 ELSE '2'
						 end	+'" '
						+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 13, 6)) +'"/>'
					UNION ALL SELECT @lcFNAME, SPACE(6) + '<33 ="' +
					case when 
					(select SUMMA2 FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 10, 7)) >= (select SUMMA2 FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 11, 7))
						 THEN '1' 
						 ELSE '2'
						 end	+'" '
						+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 13, 7)) +'"/>'

					INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(5) + '</>'	    																			
				INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(4) + '</_.>'	
				END 
				
				if (select COUNT(*) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 14, DEFAULT ) WHERE col IN (3,4,5,6,7) and summa<> 0 )  > 0
				BEGIN
				INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(4) + '<_.'	
																				 + ' ="2">'  
					UNION ALL SELECT @lcFNAME, SPACE(5) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 14, 3))+'" '
						+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 14, 4)) +'" '
						+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 14, 5)) +'" '
						+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 14, 6)) +'" '
						+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 14, 7)) +'"/>'
					UNION ALL SELECT @lcFNAME, SPACE(5) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 15, 3))+'" '
						+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 15, 4)) +'" '
						+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 15, 5)) +'" '
						+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 15, 6)) +'" '
						+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 15, 7)) +'"/>'		
					UNION ALL SELECT @lcFNAME, SPACE(5) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 16, 3))+'" '
						+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 16, 4)) +'" '
						+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 16, 5)) +'" '
						+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 16, 6)) +'" '
						+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 16, 7)) +'"/>'	
					UNION ALL SELECT @lcFNAME, SPACE(5) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 17, 3))+'" '
						+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 17, 4)) +'" '
						+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 17, 5)) +'" '
						+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 17, 6)) +'" '
						+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 17, 7)) +'"/>'	
					UNION ALL SELECT @lcFNAME, SPACE(5) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 18, 3))+'" '
						+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 18, 4)) +'" '
						+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 18, 5)) +'" '
						+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 18, 6)) +'" '
						+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 18, 7)) +'"/>'	
					UNION ALL SELECT @lcFNAME, SPACE(5) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 19, 3))+'" '
						+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 19, 4)) +'" '
						+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 19, 5)) +'" '
						+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 19, 6)) +'" '
						+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 19, 7)) +'"/>'		
					UNION ALL SELECT @lcFNAME, SPACE(5) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 20, 3))+'" '
						+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 20, 4)) +'" '
						+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 20, 5)) +'" '
						+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 20, 6)) +'" '
						+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 20, 7)) +'"/>'		
					UNION ALL SELECT @lcFNAME, SPACE(5) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 21, 3))+'" '
						+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 21, 4)) +'" '
						+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 21, 5)) +'" '
						+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 21, 6)) +'" '
						+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 21, 7)) +'"/>'
					UNION ALL SELECT @lcFNAME, SPACE(5) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 22, 3))+'" '
						+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 22, 4)) +'" '
						+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 22, 5)) +'" '
						+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 22, 6)) +'" '
						+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 22, 7)) +'"/>'		
					UNION ALL SELECT @lcFNAME, SPACE(5) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 23, 3))+'" '
						+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 23, 4)) +'" '
						+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 23, 5)) +'" '
						+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 23, 6)) +'" '
						+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 23, 7)) +'"/>'	
					UNION ALL SELECT @lcFNAME, SPACE(5) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 24, 3))+'" '
						+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 24, 4)) +'" '
						+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 24, 5)) +'" '
						+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 24, 6)) +'" '
						+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 24, 7)) +'"/>'		
					UNION ALL SELECT @lcFNAME, SPACE(5) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 25, 3))+'" '
						+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 25, 4)) +'" '
						+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 25, 5)) +'" '
						+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 25, 6)) +'" '
						+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 25, 7)) +'"/>'	
					INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(5) + '<>'		
					UNION ALL SELECT @lcFNAME, SPACE(6) + ' < ="' +
					case when 
					(select SUMMA2 FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 23, 3)) >= (select SUMMA2 FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 24, 3))
						 THEN '1' 
						 ELSE '2'
						 end	+'" '
						+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 26, 3)) +'"/>'
					UNION ALL SELECT @lcFNAME, SPACE(6) + '<3 ="' +
					case when 
					(select SUMMA2 FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 23, 4)) >= (select SUMMA2 FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 24, 4))
						 THEN '1' 
						 ELSE '2'
						 end	+'" '
						+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 26, 4)) +'"/>'
					UNION ALL SELECT @lcFNAME, SPACE(6) + '<13 ="' +
					case when 
					(select SUMMA2 FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 23, 5)) >= (select SUMMA2 FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 24, 5))
						 THEN '1' 
						 ELSE '2'
						 end	+'" '
						+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 26, 5)) +'"/>'
					UNION ALL SELECT @lcFNAME, SPACE(6) + '<23 ="' +
					case when 
					(select SUMMA2 FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 23, 6)) >= (select SUMMA2 FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 24, 6))
						 THEN '1' 
						 ELSE '2'
						 end	+'" '
						+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 26, 6)) +'"/>'
					UNION ALL SELECT @lcFNAME, SPACE(6) + '<33 ="' +
					case when 
					(select SUMMA2 FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 23, 7)) >= (select SUMMA2 FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 24, 7))
						 THEN '1' 
						 ELSE '2'
						 end	+'" '
						+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 26, 7)) +'"/>'
					INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(5) + '</>'	    																			


				INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(4) + '</_.>'	
				END 	
				

	---        
	--        ,   
	--      (1 .3)

				if (select COUNT(*) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 15, DEFAULT ) WHERE col IN (5,6) and summa<> 0 )  > 0
				BEGIN
					INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(4) + '<>'	
					if (select COUNT(*) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 1, DEFAULT ) WHERE col IN (5,6) and summa<> 0 )  > 0
					BEGIN
						INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) 
						SELECT @lcFNAME, SPACE(5) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(4),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 1, 3))+'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(3),SUMMA)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 1, 4)) +'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 1, 5)) +'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 1, 6)) +'"/>'
					END
					if (select COUNT(*) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 2, DEFAULT ) WHERE col IN (5,6) and summa<> 0 )  > 0
					BEGIN
						INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) 
						SELECT @lcFNAME, SPACE(5) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(4),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 2, 3))+'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(3),SUMMA)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 2, 4)) +'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 2, 5)) +'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 2, 6)) +'"/>'
					END
					if (select COUNT(*) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 3, DEFAULT ) WHERE col IN (5) and summa<> 0 )  > 0
					BEGIN
						INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) 
						SELECT @lcFNAME, SPACE(5) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(4),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 3, 3))+'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(3),SUMMA)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 3, 4)) +'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 3, 5)) +'"/>'
					END
					if (select COUNT(*) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 4, DEFAULT ) WHERE col IN (5) and summa<> 0 )  > 0
					BEGIN
						INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) 
						SELECT @lcFNAME, SPACE(5) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(4),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 4, 3))+'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(3),SUMMA)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 4, 4)) +'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 4, 5)) +'"/>'
					END
					if (select COUNT(*) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 5, DEFAULT ) WHERE col IN (5) and summa<> 0 )  > 0
					BEGIN
						INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) 
						SELECT @lcFNAME, SPACE(5) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(4),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 5, 3))+'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(3),SUMMA)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 5, 4)) +'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 5, 5)) +'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 5, 6)) +'"/>'
					END
					if (select COUNT(*) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 6, DEFAULT ) WHERE col IN (5) and summa<> 0 )  > 0
					BEGIN
						INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) 
						SELECT @lcFNAME, SPACE(5) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(4),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 6, 3))+'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(3),SUMMA)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 6, 4)) +'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 6, 5)) +'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 6, 6)) +'"/>'
					END
					if (select COUNT(*) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 7, DEFAULT ) WHERE col IN (5) and summa<> 0 )  > 0
					BEGIN
						INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) 
						SELECT @lcFNAME, SPACE(5) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(4),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 7, 3))+'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(3),SUMMA)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 7, 4)) +'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 7, 5)) +'"/>'
					END 
					if (select COUNT(*) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 8, DEFAULT ) WHERE col IN (5) and summa<> 0 )  > 0
					BEGIN
						INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) 
						SELECT @lcFNAME, SPACE(5) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(4),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 8, 3))+'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(3),SUMMA)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 8, 4)) +'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 8, 5)) +'"/>'
					END
					if (select COUNT(*) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 9, DEFAULT ) WHERE col IN (5) and summa<> 0 )  > 0
					BEGIN
						INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) 
						SELECT @lcFNAME, SPACE(5) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(4),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 9, 3))+'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(3),SUMMA)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 9, 4)) +'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 9, 5)) +'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 9, 6)) +'"/>'
					END
					if (select COUNT(*) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 10, DEFAULT ) WHERE col IN (5) and summa<> 0 )  > 0
					BEGIN	
						INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) 
						SELECT @lcFNAME, SPACE(5) + '<1 ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(4),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 10, 3))+'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(3),SUMMA)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 10, 4)) +'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 10, 5)) +'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 10, 6)) +'"/>'
					END
					if (select COUNT(*) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 11, DEFAULT ) WHERE col IN (5) and summa<> 0 )  > 0
					BEGIN	
						INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) 
						SELECT @lcFNAME, SPACE(5) + '<2 ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(4),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 11, 3))+'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(3),SUMMA)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 11, 4)) +'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 11, 5)) +'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 11, 6)) +'"/>'
					END
					if (select COUNT(*) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 12, DEFAULT ) WHERE col IN (5) and summa<> 0 )  > 0
					BEGIN	
						INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) 
						SELECT @lcFNAME, SPACE(5) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(4),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 12, 3))+'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(3),SUMMA)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 12, 4)) +'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 12, 5)) +'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 12, 6)) +'"/>'
					END
					if (select COUNT(*) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 13, DEFAULT ) WHERE col IN (5) and summa<> 0 )  > 0
					BEGIN	
						INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) 
						SELECT @lcFNAME, SPACE(5) + '< ="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 13, 5)) +'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 13, 6)) +'"/>'
					END
					if (select COUNT(*) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 14, DEFAULT ) WHERE col IN (5) and summa<> 0 )  > 0
					BEGIN	
						INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) 
						SELECT @lcFNAME, SPACE(5) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(4),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 14, 3))+'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(3),SUMMA)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 14, 4)) +'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 14, 5)) +'"/>'
					END
					if (select COUNT(*) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 15, DEFAULT ) WHERE col IN (5) and summa<> 0 )  > 0
					BEGIN	
						INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) 
						SELECT @lcFNAME, SPACE(5) + '< ="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 15, 5)) +'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 15, 6)) +'"/>'
					END
					if (select COUNT(*) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 16, DEFAULT ) WHERE col IN (5) and summa<> 0 )  > 0
					BEGIN
						INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) 
						SELECT @lcFNAME, SPACE(5) + '< ="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 16, 5)) +'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 16, 6)) +'"/>'
					END
					INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(4) + '</>'	
				END
---------------------------
----------------
---------------------------


--exec SS_RPSV_EXPORT_v5_01   3229	
	-- ,    ,     (1. .4)
				if (select COUNT(*) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, DEFAULT, DEFAULT ) WHERE col=2 and summa<> 0 )  > 0
				begin
					INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(4) + '<>'
					if (select COUNT(*) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 1, DEFAULT ) WHERE col=2 and summa<> 0 )  > 0
					begin
						INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(5) + '<>'	
						UNION ALL SELECT @lcFNAME, SPACE(6) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(4),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 1, 2))+'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(3),SUMMA)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 1, 3)) +'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 1, 4)) +'"/>'
						UNION ALL SELECT @lcFNAME, SPACE(6) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(4),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 2, 2))+'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(3),SUMMA)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 2, 3)) +'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 2, 4)) +'"/>'
						UNION ALL SELECT @lcFNAME, SPACE(6) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(4),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 3, 2))+'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(3),SUMMA)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 3, 3)) +'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 3, 4)) +'"/>'
						UNION ALL SELECT @lcFNAME, SPACE(6) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(4),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 4, 2))+'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(3),SUMMA)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 4, 3)) +'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 4, 4)) +'"/>'
						UNION ALL SELECT @lcFNAME, SPACE(6) + '<1 ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(4),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 5, 2))+'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(3),SUMMA)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 5, 3)) +'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 5, 4)) +'"/>'
						UNION ALL SELECT @lcFNAME, SPACE(6) + '<2 ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(4),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 6, 2))+'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(3),SUMMA)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 6, 3)) +'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 6, 4)) +'"/>'
						INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(5) + '</>'	
					end	
					if (select COUNT(*) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 7, DEFAULT ) WHERE col=2 and summa<> 0 )  > 0
					begin
						INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(5) + '<>'			
						UNION ALL SELECT @lcFNAME, SPACE(6) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(4),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 7, 2))+'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(3),SUMMA)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 7, 3)) +'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 7, 4)) +'"/>'
						UNION ALL SELECT @lcFNAME, SPACE(6) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(4),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 8, 2))+'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(3),SUMMA)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 8, 3)) +'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 8, 4)) +'"/>'
						UNION ALL SELECT @lcFNAME, SPACE(6) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(4),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 9, 2))+'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(3),SUMMA)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 9, 3)) +'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 9, 4)) +'"/>'
						UNION ALL SELECT @lcFNAME, SPACE(6) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(4),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 10, 2))+'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(3),SUMMA)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 10, 3)) +'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 10, 4)) +'"/>'
						UNION ALL SELECT @lcFNAME, SPACE(6) + '<1 ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(4),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 11, 2))+'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(3),SUMMA)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 11, 3)) +'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 11, 4)) +'"/>'
						UNION ALL SELECT @lcFNAME, SPACE(6) + '<2 ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(4),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 12, 2))+'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(3),SUMMA)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 12, 3)) +'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 12, 4)) +'"/>'
						INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(5) + '</>'	
					END
					if (select COUNT(*) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 13, DEFAULT ) WHERE col=2 and summa<> 0 )  > 0
					begin	
						INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(5) + '<>'			
						UNION ALL SELECT @lcFNAME, SPACE(6) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(4),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 13, 2))+'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(3),SUMMA)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 13, 3)) +'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 13, 4)) +'"/>'
						UNION ALL SELECT @lcFNAME, SPACE(6) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(4),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 14, 2))+'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(3),SUMMA)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 14, 3)) +'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 14, 4)) +'"/>'
						INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(5) + '</>'	
					END
					if (select COUNT(*) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 15, DEFAULT ) WHERE col=2 and summa<> 0 )  > 0
					begin		
						INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(5) + '<>'			
						UNION ALL SELECT @lcFNAME, SPACE(6) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(4),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 15, 2))+'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(3),SUMMA)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 15, 3)) +'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 15, 4)) +'"/>'
						UNION ALL SELECT @lcFNAME, SPACE(6) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(4),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 16, 2))+'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(3),SUMMA)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 16, 3)) +'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 16, 4)) +'"/>'
						UNION ALL SELECT @lcFNAME, SPACE(6) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(4),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 17, 2))+'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(3),SUMMA)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 17, 3)) +'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 17, 4)) +'"/>'
						UNION ALL SELECT @lcFNAME, SPACE(6) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(4),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 18, 2))+'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(3),SUMMA)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 18, 3)) +'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 18, 4)) +'"/>'
						UNION ALL SELECT @lcFNAME, SPACE(6) + '<1 ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(4),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 19, 2))+'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(3),SUMMA)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 19, 3)) +'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 19, 4)) +'"/>'
						UNION ALL SELECT @lcFNAME, SPACE(6) + '<2 ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(4),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 20, 2))+'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(3),SUMMA)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 20, 3)) +'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 20, 4)) +'"/>'
						INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(5) + '</>'		
					END
					if (select COUNT(*) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 21, DEFAULT ) WHERE col=2 and summa<> 0 )  > 0
					begin		
						INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(5) + '<255>'		
						UNION ALL SELECT @lcFNAME, SPACE(6) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(4),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 21, 2))+'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(3),SUMMA)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 21, 3)) +'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 21, 4)) +'"/>'
						UNION ALL SELECT @lcFNAME, SPACE(6) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(4),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 22, 2))+'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(3),SUMMA)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 22, 3)) +'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 22, 4)) +'"/>'
						UNION ALL SELECT @lcFNAME, SPACE(6) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(4),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 23, 2))+'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(3),SUMMA)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 23, 3)) +'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 23, 4)) +'"/>'
						INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(5) + '</255>'	
					END
						INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(5) + '<>'			
							SELECT @lcFNAME, SPACE(6) + '<>"' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 31, 4))+'"</> '
							 
							UNION ALL SELECT @lcFNAME, SPACE(6) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(4),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 24, 2))+'" '
								+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(3),SUMMA)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 24, 3)) +'" '
								+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 24, 4)) +'"/>'
							UNION ALL SELECT @lcFNAME, SPACE(6) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(4),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 25, 2))+'" '
								+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(3),SUMMA)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 25, 3)) +'" '
								+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 25, 4)) +'"/>'
							UNION ALL SELECT @lcFNAME, SPACE(6) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(4),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 26, 2))+'" '
								+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(3),SUMMA)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 26, 3)) +'" '
								+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 26, 4)) +'"/>'
							UNION ALL SELECT @lcFNAME, SPACE(6) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(4),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 27, 2))+'" '
								+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(3),SUMMA)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 27, 3)) +'" '
								+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 27, 4)) +'"/>'
							UNION ALL SELECT @lcFNAME, SPACE(6) + '<1 ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(4),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 28, 2))+'" '
								+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(3),SUMMA)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 28, 3)) +'" '
								+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 28, 4)) +'"/>'
							UNION ALL SELECT @lcFNAME, SPACE(6) + '<2 ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(4),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 29, 2))+'" '
								+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(3),SUMMA)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 29, 3)) +'" '
								+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 29, 4)) +'"/>'
							UNION ALL SELECT @lcFNAME, SPACE(6) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(4),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 30, 2))+'" '
								+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(3),SUMMA)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 30, 3)) +'" '
								+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 30, 4)) +'"/>'
						INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(5) + '</>'	
					INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(4) + '</>'	
				END	

------------------------------------------------------------------------------------------------------------
------------------------------------------------------------------------------------------------------------
	--           , 
	--    3  1  427     (1 .5)  
------------------------------------------------------------------------------------------------------------
------------------------------------------------------------------------------------------------------------
				IF (select count(*) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 11, DEFAULT,DEFAULT) WHERE row IN(1,2,4) AND col IN(3,4) AND  summa <> 0 ) > 0 
				BEGIN
					INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(4) + '<3.1.427>'	
					IF (select count(*) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 11, 1,3) WHERE summa <> 0 ) > 0 
					BEGIN
						INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(5) + '<_9>"' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 11, 1,3))+'"</_9> '
					END
					INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(5) + '<_>"' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 11, 1,4))+'"</_> '
					IF (select count(*) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 11, 2,3) WHERE summa <> 0 ) > 0 
					BEGIN	
						INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(5) + '<248_9>"' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 11, 2,3))+'"</248_9> '
					END	
					INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(5) + '<248_>"' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 11, 2,4))+'"</248_> '
					IF (select count(*) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 11, 3,3) WHERE summa <> 0 ) > 0 
					BEGIN	
						INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(5) + '<5.427_9>"' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 11, 3,3))+'"</5.427_9> '
					END	
					INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(5) + '<5..427_>"' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 11, 3,4))+'"</5..427_> '
					IF (select count(*) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 11, 4,3) WHERE summa <> 0 ) > 0 
					BEGIN	
						INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(5) + '<5.427_9>"' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 11, 4,3))+'"</5.427_9> '
					END	
					INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(5) + '<5.427_>"' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 11, 4,4))+'"</5.427_> '
					IF (select count(*) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 11, 5,5) WHERE isnull(str_val,'') <> '' ) > 0 
					BEGIN	
						INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) 
						SELECT @lcFNAME, SPACE(5) + '< =""' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(10),STR_VAL),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 11, 5,5))+'" '
						+ '="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(10),STR_VAL),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 11, 5,6))+'"/>'
					END	
					INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(4) + '</3.1.427>'			
				END
-----------------------------------------------------------------------------------------------------------
	--1 .6_7
	--          , 
	--   5  1  427     (1 .6)
---------------------------------------------------------------------------------------------------------	

				IF (select count(*) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 12, DEFAULT,DEFAULT) WHERE row IN(1,2,3) AND col IN(3) AND  summa <> 0 ) > 0 
				BEGIN
					INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
					SELECT @lcFNAME, SPACE(4) + '<5.1.427 346.15=""' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),summa2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 12, 1,3))+'" '
						+ '6.427="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),summa2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 12, 2,3))+'" '
						+ '6.427="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),summa2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 12, 3,3))+'"/>'

				END 
------------------------------------------------------------------------------------------------------------
--1 .6_7
	--           , 
	--    7  1  427     (1 .7)
------------------------------------------------------------------------------------------------------------	
				IF (select count(*) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 12, DEFAULT,DEFAULT) WHERE row IN(4,5,6,7,8) AND col IN(4,5) AND  summa <> 0 ) > 0 
				BEGIN
					INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
					SELECT @lcFNAME, SPACE(4) + '<7.1.427 =""' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),summa2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 12, 4,4))+'" '
						+ '="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),summa2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 12, 4,5))+'" '
						+ CASE WHEN (select summa FROM DBO.SA_SAVED_REPORT_VIEW (@link, 12, 5,4) ) > 0 THEN 
								'6.427="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),summa2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 12, 5,4))+'"'
							 ELSE ''
						  END 	
						+ '="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),summa2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 12, 5,5))+'" '
						+ CASE WHEN (select summa FROM DBO.SA_SAVED_REPORT_VIEW (@link, 12, 6,4) ) > 0 THEN 
								'="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),summa2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 12, 6,4))+'"'
							 ELSE ''
						  END 	
						+ '="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),summa2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 12, 6,5))+'" '
						+ CASE WHEN (select summa FROM DBO.SA_SAVED_REPORT_VIEW (@link, 12, 7,4) ) > 0 THEN 
								'="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),summa2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 12, 7,4))+'"'
							 ELSE ''
						  END 			
						+ '="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),summa2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 12, 7,5))+'" '
						+ '="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),summa2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 12, 8,4))+'" '
						+ '="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),summa2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 12, 8,5))+'"/>'
				END 
--exec SS_RPSV_EXPORT_v5_01   3229	
--------------------------------------------------------------------------------------------------------
--- 1 .8   
	--,        , 
	--   9  1  427     (1 .8)

	--***9.1.427 - 	
--------------------------------------------------------------------------------------------------------
--------------------------------------------------------------------------------------------------------
--- 1..9
------ ,      ,    
------  2  2  425 (   1  2  426) 
------     (1..9)
-----------------------------------------------------------------------------------------------------------



				if (SELECT COUNT(*) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 14, DEFAULT, DEFAULT) WHERE ROW_code =1 AND COL = 2 AND ISNULL(STR_VAL,'') <> '') > 0
				begin

						/*   */
						CREATE TABLE #INOST (LINK INT, FM VARCHAR(60), IM VARCHAR(60), OT VARCHAR(60), INN VARCHAR(12), SNILS VARCHAR(14),
							 GR_CODE VARCHAR(3), SUM_NACH NUMERIC(11,2),SUM_M1 NUMERIC(11,2),SUM_M2 NUMERIC(11,2),SUM_M3 NUMERIC(11,2) )

						CREATE TABLE #TAB1 (ROW_CODE VARCHAR(4), COL INT, SUMMA NUMERIC(18,2), STR_VAL VARCHAR(254))
						INSERT INTO #TAB1 (ROW_CODE, COL, SUMMA, STR_VAL)
						SELECT ROW_CODE, COL, SUMMA2, STR_VAL FROM DBO.SA_SAVED_REPORT_VIEW (@link, 14, DEFAULT, DEFAULT) T WHERE T.COL >= 2 ORDER BY T.COL

						INSERT INTO #INOST (LINK, FM, IM, OT, INN, SNILS, GR_CODE, SUM_NACH,SUM_M1,SUM_M2,SUM_M3)
						SELECT DISTINCT
							LINK = (SELECT TOP 1 row_code FROM #TAB1 T WHERE T.COL = 2 AND T.ROW_CODE = T1.ROW_CODE),
							FM = (SELECT TOP 1 LEFT(STR_VAL,60) FROM #TAB1 T WHERE T.COL = 2 AND T.ROW_CODE = T1.ROW_CODE),
							IM = (SELECT TOP 1 LEFT(STR_VAL,60) FROM #TAB1 T WHERE T.COL = 3 AND T.ROW_CODE = T1.ROW_CODE),
							OT = (SELECT TOP 1 LEFT(STR_VAL,60) FROM #TAB1 T WHERE T.COL = 4 AND T.ROW_CODE = T1.ROW_CODE),
							INN = (SELECT TOP 1 left(STR_VAL,12) FROM #TAB1 T WHERE T.COL = 5 AND T.ROW_CODE = T1.ROW_CODE),
							SNILS = (SELECT TOP 1 left(STR_VAL,14) FROM #TAB1 T WHERE T.COL = 6 AND T.ROW_CODE = T1.ROW_CODE),
							GR_CODE = (SELECT TOP 1 left(STR_VAL,3) FROM #TAB1 T WHERE T.COL = 7 AND T.ROW_CODE = T1.ROW_CODE),
							SUM_NACH = (SELECT TOP 1 ISNULL(summa,0) FROM #TAB1 T WHERE T.COL = 8 AND T.ROW_CODE = T1.ROW_CODE),
							SUM_M1 = (SELECT TOP 1 ISNULL(summa,0) FROM #TAB1 T WHERE T.COL = 9 AND T.ROW_CODE = T1.ROW_CODE),
							SUM_M2 = (SELECT TOP 1 ISNULL(summa,0) FROM #TAB1 T WHERE T.COL = 10 AND T.ROW_CODE = T1.ROW_CODE),
							SUM_M3 =(SELECT TOP 1 ISNULL(summa,0) FROM #TAB1 T WHERE T.COL = 11 AND T.ROW_CODE = T1.ROW_CODE)
						FROM
							#TAB1 T1 
	

						DROP TABLE #TAB1

						INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(4) + '<2.2.425>'
						INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
						SELECT @lcFNAME,
							SPACE(5) + ' <'  +
								' ="' + LTRIM(RTRIM(convert(varchar(14),ISNULL(sum(SUM_NACH),0)))) + '"' +
								' 3="' + LTRIM(RTRIM(convert(varchar(14),(ISNULL(sum(SUM_M1),0)+ISNULL(sum(SUM_M2),0)+ISNULL(sum(SUM_M3),0))))) + '"' +
								' 13="' + LTRIM(RTRIM(convert(varchar(14),ISNULL(sum(SUM_M1),0)))) + '"' +
								' 23="' + LTRIM(RTRIM(convert(varchar(14),ISNULL(sum(SUM_M2),0)))) + '"' +
								' 33="' + LTRIM(RTRIM(convert(varchar(14),ISNULL(sum(SUM_M3),0)))) + '"' +
							' />'
						FROM #INOST
					
							INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(5) + '<>'	
							INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
							SELECT @lcFNAME,
								SPACE(6) + '<>' + UPPER(LTRIM(RTRIM(ISNULL(INN,'')))) + '</>' + CHAR(10) +
								SPACE(6) + '<>' + UPPER(LTRIM(RTRIM(ISNULL(SNILS,'')))) + '</>' + CHAR(10) +
								SPACE(6) + '<>' + UPPER(LTRIM(RTRIM(ISNULL(GR_CODE,'')))) + '</>' + CHAR(10) +
								SPACE(6) + '<' +
										 ' ="' + UPPER(LTRIM(RTRIM(ISNULL(FM,'')))) + '"' +
										 ' ="' + UPPER(LTRIM(RTRIM(ISNULL(IM,'')))) + '"' +
										 ' ="' + UPPER(LTRIM(RTRIM(ISNULL(OT,'')))) + '"' +
										 ' />'+ CHAR(10) +
								SPACE(6) + '<' + 
												' ="' + LTRIM(RTRIM(convert(varchar(14),ISNULL(SUM_NACH,0)))) + '"' +
												' 3="' + LTRIM(RTRIM(convert(varchar(14),(ISNULL(SUM_M1,0)+ISNULL(SUM_M2,0)+ISNULL(SUM_M3,0))))) + '"' +
												' 13="' + LTRIM(RTRIM(convert(varchar(14),ISNULL(SUM_M1,0)))) + '"' +
												' 23="' + LTRIM(RTRIM(convert(varchar(14),ISNULL(SUM_M2,0)))) + '"' +
												' 33="' + LTRIM(RTRIM(convert(varchar(14),ISNULL(SUM_M3,0)))) + '"' +				
												' />'
							FROM #INOST
							ORDER BY fm, im, ot, snils
							INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(5) + '</>'
						
						INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(4) + '</2.2.425>'	

						DROP TABLE #INOST	
				end	
--exec SS_RPSV_EXPORT_v5_01   3229	

-----------------------------------------------------------------
	-- ,      1  3  422     
	-- ,            
	-- ,          ,  
	--    (         ,  
	--  )      - ,    
	--    ()   (1 .10)

--- 
------------------------------------------------------------------

				CREATE TABLE #STUD (LINK INT, FM VARCHAR(60), IM VARCHAR(60),OT VARCHAR(60), NUM_SPR1 VARCHAR(30), 
									DATE_SPR1 VARCHAR(10),NUM_SPR2 VARCHAR(30), DATE_SPR2 VARCHAR(10),
									SM_ALL 	NUMERIC(18,2), SM1 NUMERIC(18,2), SM2 NUMERIC(18,2), SM3 NUMERIC(18,2) )

				CREATE TABLE #STUD_1 ( LINK_UP INT , N_PP INT ,SVED VARCHAR(1000), DATE_R VARCHAR(10),NUM_R VARCHAR(28) )

				CREATE TABLE #TAB110 (ROW_CODE VARCHAR(4), COL INT, SUMMA NUMERIC(18,2), STR_VAL VARCHAR(254))
				INSERT INTO #TAB110 (ROW_CODE, COL, SUMMA, STR_VAL)
				SELECT ROW_CODE, COL, SUMMA2, STR_VAL FROM DBO.SA_SAVED_REPORT_VIEW (@link, 15, DEFAULT, DEFAULT) T WHERE T.COL >= 2 ORDER BY T.COL

				CREATE TABLE #TAB110_1 (ROW_CODE VARCHAR(4), COL INT, SUMMA NUMERIC(18,2), STR_VAL VARCHAR(254))
				INSERT INTO #TAB110_1 (ROW_CODE, COL, SUMMA, STR_VAL)
				SELECT ROW_CODE, COL, SUMMA2, STR_VAL FROM DBO.SA_SAVED_REPORT_VIEW (@link, 16, DEFAULT, DEFAULT) T WHERE T.COL >= 2 ORDER BY T.COL

				INSERT INTO #STUD (LINK, FM,IM,OT, NUM_SPR1, DATE_SPR1,NUM_SPR2, DATE_SPR2,
					SM_ALL, SM1, SM2, SM3 )
				SELECT DISTINCT
					link = (SELECT TOP 1 ROW_CODE FROM #TAB110 T WHERE T.COL = 2 AND T.ROW_CODE = T110.ROW_CODE),
					FM = (SELECT TOP 1 LEFT(LTRIM(RTRIM(ISNULL(STR_VAL,''))),60) FROM #TAB110 T WHERE T.COL = 2 AND T.ROW_CODE = T110.ROW_CODE),
					IM = (SELECT TOP 1 LEFT(LTRIM(RTRIM(ISNULL(STR_VAL,''))),60) FROM #TAB110 T WHERE T.COL = 3 AND T.ROW_CODE = T110.ROW_CODE),
					OT = (SELECT TOP 1 LEFT(LTRIM(RTRIM(ISNULL(STR_VAL,''))),60) FROM #TAB110 T WHERE T.COL = 4 AND T.ROW_CODE = T110.ROW_CODE),
					NUM_SPR1 = (SELECT TOP 1 LEFT(LTRIM(RTRIM(dbo.SA_GET_WORD_NUM(STR_VAL,1,' '))),30) FROM #TAB110 T WHERE T.COL = 5 AND T.ROW_CODE = T110.ROW_CODE),
					DATE_SPR1 = (SELECT TOP 1 LEFT(LTRIM(RTRIM(STR_VAL)),10) FROM #TAB110 T WHERE T.COL = 6 AND T.ROW_CODE = T110.ROW_CODE),
					NUM_SPR2 = (SELECT TOP 1 LEFT(LTRIM(RTRIM(dbo.SA_GET_WORD_NUM(STR_VAL,1,' '))),30) FROM #TAB110 T WHERE T.COL = 7 AND T.ROW_CODE = T110.ROW_CODE),
					DATE_SPR2 = (SELECT TOP 1 LEFT(LTRIM(RTRIM(STR_VAL)),10) FROM #TAB110 T WHERE T.COL = 8 AND T.ROW_CODE = T110.ROW_CODE),
					SM_ALL = (SELECT TOP 1 SUMMA FROM #TAB110 T WHERE T.COL = 9 AND T.ROW_CODE = T110.ROW_CODE),
					SM1 = (SELECT TOP 1 SUMMA FROM #TAB110 T WHERE T.COL = 10 AND T.ROW_CODE = T110.ROW_CODE),
					SM2 = (SELECT TOP 1 SUMMA FROM #TAB110 T WHERE T.COL = 11 AND T.ROW_CODE = T110.ROW_CODE),
					SM3 = (SELECT TOP 1 SUMMA FROM #TAB110 T WHERE T.COL = 12 AND T.ROW_CODE = T110.ROW_CODE)
				FROM
					#TAB110 T110

				DROP TABLE #TAB110


				INSERT INTO #STUD_1 ( LINK_UP, N_PP,SVED, DATE_R,NUM_R)
				SELECT DISTINCT
					link_up = (SELECT TOP 1 ROW_CODE FROM #TAB110_1 T WHERE T.COL = 2 AND T.ROW_CODE = T110_1.ROW_CODE),
					N_PP = (SELECT TOP 1 ROW_CODE FROM #TAB110_1 T WHERE T.COL = 2 AND T.ROW_CODE = T110_1.ROW_CODE),
					SVED = (SELECT TOP 1 LTRIM(RTRIM(ISNULL(STR_VAL,''))) FROM #TAB110_1 T WHERE T.COL = 2 AND T.ROW_CODE = T110_1.ROW_CODE),
					DATE_R = (SELECT TOP 1 LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(10),STR_VAL,104),''))) FROM #TAB110_1 T WHERE T.COL = 3 AND T.ROW_CODE = T110_1.ROW_CODE),
					NUM_R = (SELECT TOP 1 LTRIM(RTRIM(ISNULL(STR_VAL,''))) FROM #TAB110_1 T WHERE T.COL = 4 AND T.ROW_CODE = T110_1.ROW_CODE)
				FROM
					#TAB110_1 T110_1

				DROP TABLE #TAB110_1


				--  
				DECLARE @NEXT_NUM2 INT
				SET @NEXT_NUM2 = 0
				UPDATE #STUD SET @NEXT_NUM2 = @NEXT_NUM2 + 1, LINK = @NEXT_NUM2

				-- 
				DECLARE @COUNT_STUD INT
				set @COUNT_STUD = (select count(*) from #STUD )


				--IF (SELECT COUNT(*) FROM #STUD) > 0 -- 
				--	OR (SELECT COUNT(*) FROM DBO.SA_SAVED_REPORT_VIEW (@LINK, 15, DEFAULT, DEFAULT) WHERE COL = 5 AND SUMMA <> 0) > 0 --  
				--BEGIN

				IF (SELECT COUNT(*) FROM #STUD) > 0 -- 
				BEGIN


					INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(4) + '<1.3.422>'
						INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
						SELECT @lcFNAME,
							SPACE(5) + ' <'  +
								' ="' + LTRIM(RTRIM(convert(varchar(14),ISNULL(sum(SM_ALL),0)))) + '"' +
								' 3="' + LTRIM(RTRIM(convert(varchar(14),(ISNULL(sum(SM1),0)+ISNULL(sum(SM2),0)+ISNULL(sum(SM3),0))))) + '"' +
								' 13="' + LTRIM(RTRIM(convert(varchar(14),ISNULL(sum(SM1),0)))) + '"' +
								' 23="' + LTRIM(RTRIM(convert(varchar(14),ISNULL(sum(SM2),0)))) + '"' +
								' 33="' + LTRIM(RTRIM(convert(varchar(14),ISNULL(sum(SM3),0)))) + '"' +
							' />'
						FROM #STUD
						INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME,   
							SPACE(5) + '<>' + CHAR(10) +		
								SPACE(6) + '<>' + LTRIM(RTRIM(CONVERT(VARCHAR(3),ISNULL(S.link,0)))) + '</>' + CHAR(10) + 		
								SPACE(6) + '<' + 
										'  ="' + UPPER(LTRIM(RTRIM(ISNULL(S.FM,'')))) + '"' + 		
										'  ="' + UPPER(LTRIM(RTRIM(ISNULL(S.IM,'')))) + '"' +		
										'  ="' + UPPER(LTRIM(RTRIM(ISNULL(S.OT,'')))) + '"' +											
										'"/>'+ CHAR(10) +
								SPACE(6) + '<' +
										   ' ="' + UPPER(LTRIM(RTRIM(ISNULL(S.NUM_SPR1,'')))) + '"' + 		
										   ' ="' + LTRIM(RTRIM(ISNULL(convert(varchar(10),SUBSTRING(S.DATE_SPR1,1,2)+'.'+SUBSTRING(S.DATE_SPR1,3,2)+'.'+SUBSTRING(S.DATE_SPR1,5,4),104),''))) + '"' + 		
										   '"/>'+ CHAR(10) +
								SPACE(6) + '<' +
										' ="' + LTRIM(RTRIM(ISNULL(S.NUM_SPR2,''))) + '"' + 		
										' ="' + LTRIM(RTRIM(ISNULL(convert(varchar(10),SUBSTRING(S.DATE_SPR2,1,2)+'.'+SUBSTRING(S.DATE_SPR2,3,2)+'.'+SUBSTRING(S.DATE_SPR2,5,4),104),''))) + '"' + 			
										'"/>' + CHAR(10) +
								SPACE(6) + '<' + 
												' ="' + LTRIM(RTRIM(convert(varchar(14),ISNULL(S.SM_ALL,0)))) + '"' +
												' 3="' + LTRIM(RTRIM(convert(varchar(14),(ISNULL(S.SM1,0)+ISNULL(S.SM2,0)+ISNULL(S.SM3,0))))) + '"' +
												' 13="' + LTRIM(RTRIM(convert(varchar(14),ISNULL(S.SM1,0)))) + '"' +
												' 23="' + LTRIM(RTRIM(convert(varchar(14),ISNULL(S.SM2,0)))) + '"' +
												' 33="' + LTRIM(RTRIM(convert(varchar(14),ISNULL(S.SM3,0)))) + '"' +				
												'"/>' + CHAR(10) +
								SPACE(6) + '<>' + CHAR(10) +	
									SPACE(7) + '<>' + LTRIM(RTRIM(CONVERT(VARCHAR(1000),ISNULL(S1.SVED,0)))) + '</>' + CHAR(10) + 
									SPACE(7) + '<>' + LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(10), SUBSTRING(S1.DATE_R,1,2)+'.'+SUBSTRING(S1.DATE_R,3,2)+'.'+SUBSTRING(S1.DATE_R,5,4),104),''))) + '</>' + CHAR(10) + 
									SPACE(7) + '<>' + LTRIM(RTRIM(convert(varchar(28),ISNULL(S1.NUM_R,0)))) + '</>' + CHAR(10) + 
								SPACE(6) + '</>' + CHAR(10) +	
							SPACE(5) + '</>'                                   
						FROM #STUD S 
						LEFT JOIN #STUD_1 S1 ON S.LINK	= S1.LINK_UP		
					INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(4) + '</1.3.422>'		

				END	
					INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(3) + '</>' 	
	-- <_>'  -     
	
-----------------------------------------------------
-----------------------------------------------------
------    
------     2.5.1   
------ 
-----------------------------------------------------	

	---     -     
					
if (SELECT COUNT(*) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 17, DEFAULT, DEFAULT) WHERE COL = 6 and ISNULL(STR_VAL,'') <> '') <> 0
begin	
	
				

					DECLARE @DOC_PU INT ,
							@VID_KOR INT,
							@PER INT ,
							@YEAR_BEGIN VARCHAR(4),
							@DATE_PU VARCHAR(10),
							@PER_EDT INT ,
							@YEAR_EDT VARCHAR(4),
							@ISHOD_DOC INT 
							
							
					SET  @DOC_PU = (SELECT TOP 1 str_val FROM REPORT_ATRIBUT_VALUES AS rav WHERE link_saved_form = @link AND CODE_ATR = 'REPORTS_ATR_PERS_UCH')
					SELECT 
						@vid_kor = sp.vid_kor,
						@PER = sp.PER,
						@YEAR_BEGIN = sp.year_begin,
						@DATE_PU = sp.[date],
						@PER_EDT = sp.PER_EDT,
						@YEAR_EDT = sp.YEAR_EDT,
						@ISHOD_DOC = sp.LINK_ISHOD
					FROM DBO.SZV4_pachka AS sp 
						WHERE sp.link = @DOC_PU and sp.[type] = 1
					
					
/********************************/
--				* 
--				*  3 
/********************** */	
					CREATE TABLE #TAB3 (ROW_CODE VARCHAR(4), COL INT, SUMMA NUMERIC(18), SUMMA2 NUMERIC(18,2), STR_VAL VARCHAR(254))
					INSERT INTO #TAB3 (ROW_CODE, COL, SUMMA,SUMMA2, STR_VAL)
					SELECT ROW_CODE, COL, SUMMA, SUMMA2, STR_VAL FROM DBO.SA_SAVED_REPORT_VIEW (@link, 19, DEFAULT, DEFAULT) T WHERE T.COL >= 2 ORDER BY T.COL



					CREATE TABLE #P_3 (	LINK INT, [TYPE] varchar(15), NOM_PP INT, NOM_K CHAR(3), PER VARCHAR(1),YEAR_BEGIN VARCHAR(4),DATE_PU VARCHAR(10), 
										PER_EDT VARCHAR(1), YEAR_EDT VARCHAR(4), 
										INN VARCHAR(12), SNILS VARCHAR(14), FM varchar(60), IM varchar(60), OT varchar(60), BIRTH_DATE VARCHAR(10),
										GRAZHD VARCHAR(3),SEX INT, DOC_CODE CHAR(2), DOC_SR VARCHAR(10) , DOC_NM  VARCHAR(15), PRIZ_OPS INT , PRIZ_OMS INT , PRIZ_FSS INT ,
										NOM_PACH varchar(5))

					INSERT INTO #P_3 ( /*LINK,*/[TYPE], NOM_PP, NOM_K, PER,YEAR_BEGIN,DATE_PU, 
										PER_EDT, YEAR_EDT, 
										INN, SNILS, FM, IM, OT, BIRTH_DATE,
										GRAZHD,SEX, DOC_CODE, DOC_SR,DOC_NM, PRIZ_OPS, PRIZ_OMS, PRIZ_FSS,
										NOM_PACH )
					SELECT
								/*LINK */
								[TYPE],
								NOM_PP ,
								NOM_K,
								PER,YEAR_BEGIN,DATE_PU,PER_EDT, YEAR_EDT,
								INN, SNILS, FM, IM, OT, BIRTH_DATE,
								GRAZHD,SEX, DOC_CODE, DOC_SR,DOC_NM,  PRIZ_OPS, PRIZ_OMS, PRIZ_FSS, NOM_PACH
						FROM
					(
					SELECT DISTINCT
						[TYPE] = (SELECT TOP 1 left(LTRIM(RTRIM(STR_VAL)),15) FROM #TAB3 T WHERE T.COL = 20 AND T.ROW_CODE = T3.ROW_CODE),
						NOM_PP = (SELECT TOP 1 ROW_CODE FROM #TAB3 T WHERE T.COL = 2 AND T.ROW_CODE = T3.ROW_CODE),
						NOM_K = (SELECT TOP 1 left(LTRIM(RTRIM(STR(SUMMA))),3) FROM #TAB3 T WHERE T.COL = 2 AND T.ROW_CODE = T3.ROW_CODE), 
						PER = (SELECT TOP 1 left(LTRIM(RTRIM(STR(SUMMA))),1) FROM #TAB3 T WHERE T.COL = 3 AND T.ROW_CODE = T3.ROW_CODE),
						YEAR_BEGIN = (SELECT TOP 1 left(LTRIM(RTRIM(STR(SUMMA))),4) FROM #TAB3 T WHERE T.COL = 4 AND T.ROW_CODE = T3.ROW_CODE),
						DATE_PU = (SELECT TOP 1 left(LTRIM(RTRIM(STR_VAL)),10) FROM #TAB3 T WHERE T.COL = 5 AND T.ROW_CODE = T3.ROW_CODE),
						PER_EDT = (SELECT TOP 1 LTRIM(RTRIM(STR(SUMMA))) FROM #TAB3 T WHERE T.COL = 23 AND T.ROW_CODE = T3.ROW_CODE),
						YEAR_EDT = ''/*(SELECT TOP 1 LTRIM(RTRIM(STR_VAL)) FROM #TAB3 T WHERE T.COL = 14 AND T.ROW_CODE = T3.ROW_CODE)*/,		
						INN= (SELECT TOP 1 LTRIM(RTRIM(STR_VAL)) FROM #TAB3 T WHERE T.COL = 6 AND T.ROW_CODE = T3.ROW_CODE), 
						SNILS = (SELECT TOP 1 LTRIM(RTRIM(STR_VAL)) FROM #TAB3 T WHERE T.COL = 7 AND T.ROW_CODE = T3.ROW_CODE),
						FM= (SELECT TOP 1 LTRIM(RTRIM(STR_VAL)) FROM #TAB3 T WHERE T.COL = 8 AND T.ROW_CODE = T3.ROW_CODE),
						IM= (SELECT TOP 1 LTRIM(RTRIM(STR_VAL)) FROM #TAB3 T WHERE T.COL = 9 AND T.ROW_CODE = T3.ROW_CODE),
						OT= (SELECT TOP 1 LTRIM(RTRIM(STR_VAL)) FROM #TAB3 T WHERE T.COL = 10 AND T.ROW_CODE = T3.ROW_CODE),
						BIRTH_DATE = (SELECT TOP 1 LTRIM(RTRIM(STR_VAL)) FROM #TAB3 T WHERE T.COL =11 AND T.ROW_CODE = T3.ROW_CODE),
						GRAZHD  = (SELECT TOP 1 LTRIM(RTRIM(STR_VAL)) FROM #TAB3 T WHERE T.COL =12 AND T.ROW_CODE = T3.ROW_CODE),
						SEX = (SELECT TOP 1 LTRIM(RTRIM(STR(SUMMA))) FROM #TAB3 T WHERE T.COL =13 AND T.ROW_CODE = T3.ROW_CODE),
						DOC_CODE = (SELECT TOP 1 LTRIM(RTRIM(STR_VAL)) FROM #TAB3 T WHERE T.COL =14 AND T.ROW_CODE = T3.ROW_CODE),
						DOC_SR = (SELECT TOP 1 LTRIM(RTRIM(STR_VAL)) FROM #TAB3 T WHERE T.COL =15 AND T.ROW_CODE = T3.ROW_CODE),
						DOC_NM = (SELECT TOP 1 LTRIM(RTRIM(STR_VAL)) FROM #TAB3 T WHERE T.COL =16 AND T.ROW_CODE = T3.ROW_CODE),
						PRIZ_OPS= (SELECT TOP 1 LTRIM(RTRIM(STR_VAL)) FROM #TAB3 T WHERE T.COL =17 AND T.ROW_CODE = T3.ROW_CODE),
						PRIZ_OMS= (SELECT TOP 1 LTRIM(RTRIM(STR_VAL)) FROM #TAB3 T WHERE T.COL =18 AND T.ROW_CODE = T3.ROW_CODE),
						PRIZ_FSS= (SELECT TOP 1 LTRIM(RTRIM(STR_VAL)) FROM #TAB3 T WHERE T.COL =19 AND T.ROW_CODE = T3.ROW_CODE),
						NOM_PACH= (SELECT TOP 1 LTRIM(RTRIM(STR_VAL)) FROM #TAB3 T WHERE T.COL =21 AND T.ROW_CODE = T3.ROW_CODE)
					FROM
					#TAB3 T3	
						) T	ORDER BY t.NOM_PP

/****************************************************/
/* 3.1*/
/**************************************************/
	    				
					CREATE TABLE #TAB3_1 (ROW_CODE VARCHAR(4), COL INT, SUMMA NUMERIC(18), SUMMA2 NUMERIC(18,2), STR_VAL VARCHAR(254))
					INSERT INTO #TAB3_1 (ROW_CODE, COL, SUMMA,SUMMA2, STR_VAL)
					SELECT ROW_CODE, COL, SUMMA, SUMMA2, STR_VAL FROM DBO.SA_SAVED_REPORT_VIEW (@link, 20, DEFAULT, DEFAULT) T WHERE T.COL >= 2 ORDER BY T.COL


					CREATE TABLE #P_3_1 (
												LINK INT, [TYPE] varchar(15), NOM_PP INT, SNILS VARCHAR(14), CODE_STR int, CODE_KAT varchar(5),CODE_TAR char(2), INSUR NUMERIC(18,2), B_BEF NUMERIC(18,2), GB_BEF NUMERIC(18,2),B_AFT NUMERIC(18,2),
												PER VARCHAR(1), YEAR_BEGIN VARCHAR(4), PER_EDT VARCHAR(1), YEAR_EDT VARCHAR(4), FM varchar(100), IM varchar(100), OT varchar(100),
												k_PER_EDT1 VARCHAR(1), k_YEAR_EDT1 VARCHAR(4), k_INSUR1 NUMERIC(18,2), k_INSUR_1 NUMERIC(18,2), k_GAIN1 NUMERIC(18,2),
												k_PER_EDT2 VARCHAR(1), k_YEAR_EDT2 VARCHAR(4), k_INSUR2 NUMERIC(18,2), k_INSUR_2 NUMERIC(18,2), k_GAIN2 NUMERIC(18,2),
												k_PER_EDT3 VARCHAR(1), k_YEAR_EDT3 VARCHAR(4), k_INSUR3 NUMERIC(18,2), k_INSUR_3 NUMERIC(18,2), k_GAIN3 NUMERIC(18,2),
												k_PER_EDT4 VARCHAR(1), k_YEAR_EDT4 VARCHAR(4), k_INSUR4 NUMERIC(18,2), k_INSUR_4 NUMERIC(18,2), k_GAIN4 NUMERIC(18,2),
												k_PER_EDT5 VARCHAR(1), k_YEAR_EDT5 VARCHAR(4), k_INSUR5 NUMERIC(18,2), k_INSUR_5 NUMERIC(18,2), k_GAIN5 NUMERIC(18,2),SUM_VZNOS NUMERIC(18,2), UVOL CHAR(1))
					
					INSERT INTO #P_3_1 (/*LINK,*/ [TYPE], NOM_PP,SNILS,CODE_STR,CODE_KAT,CODE_TAR,INSUR,B_BEF, GB_BEF, B_AFT,
											PER,YEAR_BEGIN,PER_EDT,YEAR_EDT,FM,IM,OT,
											k_PER_EDT1,k_YEAR_EDT1,k_INSUR1,k_INSUR_1,k_GAIN1,k_PER_EDT2,k_YEAR_EDT2,k_INSUR2,k_INSUR_2,k_GAIN2,
											k_PER_EDT3,k_YEAR_EDT3,k_INSUR3,k_INSUR_3,k_GAIN3,k_PER_EDT4,k_YEAR_EDT4,k_INSUR4,k_INSUR_4,k_GAIN4,
											k_PER_EDT5,k_YEAR_EDT5,k_INSUR5,k_INSUR_5,k_GAIN5,SUM_VZNOS,UVOL)
					SELECT
								/*LINK = ROW_NUMBER()  OVER (PARTITION BY  [type],snils ORDER BY  snils  ),*/
								[TYPE],
								NOM_PP = ROW_NUMBER() OVER (PARTITION BY SNILS, [TYPE], PER_EDT ORDER BY CODE_STR , PER_EDT ),
								SNILS,CODE_STR,CODE_KAT,CODE_TAR,INSUR,B_BEF, GB_BEF, B_AFT,
											PER,YEAR_BEGIN,PER_EDT,YEAR_EDT,FM,IM,OT,
											k_PER_EDT1,k_YEAR_EDT1,k_INSUR1,k_INSUR_1,k_GAIN1,k_PER_EDT2,k_YEAR_EDT2,k_INSUR2,k_INSUR_2,k_GAIN2,
											k_PER_EDT3,k_YEAR_EDT3,k_INSUR3,k_INSUR_3,k_GAIN3,k_PER_EDT4,k_YEAR_EDT4,k_INSUR4,k_INSUR_4,k_GAIN4,
											k_PER_EDT5,k_YEAR_EDT5,k_INSUR5,k_INSUR_5,k_GAIN5,SUM_VZNOS,UVOL

						FROM
					(
					SELECT DISTINCT
						[TYPE] = (SELECT TOP 1 LTRIM(RTRIM(STR_VAL)) FROM #TAB3_1 T WHERE T.COL = 13 AND T.ROW_CODE = T3_1.ROW_CODE),
						SNILS = (SELECT TOP 1 LTRIM(RTRIM(STR_VAL)) FROM #TAB3_1 T WHERE T.COL = 2 AND T.ROW_CODE = T3_1.ROW_CODE),
						CODE_STR = convert(int, (SELECT TOP 1 LTRIM(RTRIM(STR_VAL)) FROM #TAB3_1 T WHERE T.COL = 4 AND T.ROW_CODE = T3_1.ROW_CODE)),
						CODE_KAT = (SELECT TOP 1 LTRIM(RTRIM(STR_VAL)) FROM #TAB3_1 T WHERE T.COL = 5 AND T.ROW_CODE = T3_1.ROW_CODE),
						CODE_TAR = '',
						INSUR = (SELECT TOP 1 SUMMA2 FROM #TAB3_1 T WHERE T.COL = 6 AND T.ROW_CODE = T3_1.ROW_CODE),
						B_BEF = (SELECT TOP 1 SUMMA2 FROM #TAB3_1 T WHERE T.COL = 7 AND T.ROW_CODE = T3_1.ROW_CODE ),
						GB_BEF = (SELECT TOP 1 SUMMA2 FROM #TAB3_1 T WHERE T.COL = 8 AND T.ROW_CODE = T3_1.ROW_CODE ),
						B_AFT = (SELECT TOP 1 SUMMA2 FROM #TAB3_1 T WHERE T.COL = 9 AND T.ROW_CODE = T3_1.ROW_CODE ),
						SUM_VZNOS = (SELECT TOP 1 SUMMA2 FROM #TAB3_1 T WHERE T.COL = 10 AND T.ROW_CODE = T3_1.ROW_CODE),
						PER = (SELECT TOP 1 LTRIM(RTRIM(STR_VAL))FROM #TAB3_1 T WHERE T.COL = 11 AND T.ROW_CODE = T3_1.ROW_CODE),
						YEAR_BEGIN = (SELECT TOP 1 LTRIM(RTRIM(STR_VAL)) FROM #TAB3_1 T WHERE T.COL = 12 AND T.ROW_CODE = T3_1.ROW_CODE),
						PER_EDT = (SELECT TOP 1 LTRIM(RTRIM(STR_VAL)) FROM #TAB3_1 T WHERE T.COL = 14 AND T.ROW_CODE = T3_1.ROW_CODE),
						YEAR_EDT = (SELECT TOP 1 LTRIM(RTRIM(STR_VAL)) FROM #TAB3_1 T WHERE T.COL = 15 AND T.ROW_CODE = T3_1.ROW_CODE),
						FM= (SELECT TOP 1 LTRIM(RTRIM(STR_VAL)) FROM #TAB3_1 T WHERE T.COL = 17 AND T.ROW_CODE = T3_1.ROW_CODE),
						IM= (SELECT TOP 1 LTRIM(RTRIM(STR_VAL)) FROM #TAB3_1 T WHERE T.COL = 18 AND T.ROW_CODE = T3_1.ROW_CODE),
						OT= (SELECT TOP 1 LTRIM(RTRIM(STR_VAL)) FROM #TAB3_1 T WHERE T.COL = 19 AND T.ROW_CODE = T3_1.ROW_CODE),
						k_PER_EDT1 = (SELECT TOP 1 LTRIM(RTRIM(STR(SUMMA))) FROM #TAB3_1 T WHERE T.COL = 20 AND T.ROW_CODE = T3_1.ROW_CODE ),
						k_YEAR_EDT1 = (SELECT TOP 1 LTRIM(RTRIM(STR(SUMMA))) FROM #TAB3_1 T WHERE T.COL = 21 AND T.ROW_CODE = T3_1.ROW_CODE),
						k_INSUR1 = (SELECT TOP 1 SUMMA2 FROM #TAB3_1 T WHERE T.COL = 22 AND T.ROW_CODE = T3_1.ROW_CODE),
						k_INSUR_1 = (SELECT TOP 1 SUMMA2 FROM #TAB3_1 T WHERE T.COL = 23 AND T.ROW_CODE = T3_1.ROW_CODE ),
						k_GAIN1 = (SELECT TOP 1 SUMMA2 FROM #TAB3_1 T WHERE T.COL = 24 AND T.ROW_CODE = T3_1.ROW_CODE),
						
						k_PER_EDT2= (SELECT TOP 1 LTRIM(RTRIM(STR(SUMMA))) FROM #TAB3_1 T WHERE T.COL = 25 AND T.ROW_CODE = T3_1.ROW_CODE ),
						k_YEAR_EDT2 = (SELECT TOP 1 LTRIM(RTRIM(STR(SUMMA)))FROM #TAB3_1 T WHERE T.COL = 26 AND T.ROW_CODE = T3_1.ROW_CODE),
						k_INSUR2 = (SELECT TOP 1 SUMMA2 FROM #TAB3_1 T WHERE T.COL = 27 AND T.ROW_CODE = T3_1.ROW_CODE),
						k_INSUR_2 = (SELECT TOP 1 SUMMA2 FROM #TAB3_1 T WHERE T.COL = 28 AND T.ROW_CODE = T3_1.ROW_CODE ),
						k_GAIN2 = (SELECT TOP 1 SUMMA2 FROM #TAB3_1 T WHERE T.COL = 29 AND T.ROW_CODE = T3_1.ROW_CODE),
						k_PER_EDT3 = (SELECT TOP 1 LTRIM(RTRIM(STR(SUMMA))) FROM #TAB3_1 T WHERE T.COL = 30 AND T.ROW_CODE = T3_1.ROW_CODE ),
						k_YEAR_EDT3 = (SELECT TOP 1 LTRIM(RTRIM(STR(SUMMA))) FROM #TAB3_1 T WHERE T.COL = 31 AND T.ROW_CODE = T3_1.ROW_CODE),
						k_INSUR3 = (SELECT TOP 1 SUMMA2 FROM #TAB3_1 T WHERE T.COL = 32 AND T.ROW_CODE = T3_1.ROW_CODE),
						k_INSUR_3 = (SELECT TOP 1 SUMMA2 FROM #TAB3_1 T WHERE T.COL = 33 AND T.ROW_CODE = T3_1.ROW_CODE ),
						k_GAIN3 = (SELECT TOP 1 SUMMA2 FROM #TAB3_1 T WHERE T.COL = 34 AND T.ROW_CODE = T3_1.ROW_CODE),
						k_PER_EDT4 = (SELECT TOP 1 LTRIM(RTRIM(STR(SUMMA))) FROM #TAB3_1 T WHERE T.COL = 35 AND T.ROW_CODE = T3_1.ROW_CODE ),
						k_YEAR_EDT4 = (SELECT TOP 1 LTRIM(RTRIM(STR(SUMMA))) FROM #TAB3_1 T WHERE T.COL = 36 AND T.ROW_CODE = T3_1.ROW_CODE),
						k_INSUR4 = (SELECT TOP 1 SUMMA2 FROM #TAB3_1 T WHERE T.COL = 37 AND T.ROW_CODE = T3_1.ROW_CODE),
						k_INSUR_4 = (SELECT TOP 1 SUMMA2 FROM #TAB3_1 T WHERE T.COL = 38 AND T.ROW_CODE = T3_1.ROW_CODE ),
						k_GAIN4 = (SELECT TOP 1 SUMMA2 FROM #TAB3_1 T WHERE T.COL = 39 AND T.ROW_CODE = T3_1.ROW_CODE),
						k_PER_EDT5 = (SELECT TOP 1 LTRIM(RTRIM(STR(SUMMA))) FROM #TAB3_1 T WHERE T.COL = 40 AND T.ROW_CODE = T3_1.ROW_CODE ),
						k_YEAR_EDT5 = (SELECT TOP 1 LTRIM(RTRIM(STR(SUMMA))) FROM #TAB3_1 T WHERE T.COL = 41 AND T.ROW_CODE = T3_1.ROW_CODE),
						k_INSUR5 = (SELECT TOP 1 SUMMA2 FROM #TAB3_1 T WHERE T.COL = 42 AND T.ROW_CODE = T3_1.ROW_CODE),
						k_INSUR_5 = (SELECT TOP 1 SUMMA2 FROM #TAB3_1 T WHERE T.COL = 43 AND T.ROW_CODE = T3_1.ROW_CODE ),
						k_GAIN5 = (SELECT TOP 1 SUMMA2 FROM #TAB3_1 T WHERE T.COL = 44 AND T.ROW_CODE = T3_1.ROW_CODE),
						UVOL = (SELECT TOP 1 LTRIM(RTRIM(STR(SUMMA))) FROM #TAB3_1 T WHERE T.COL = 45 AND T.ROW_CODE = T3_1.ROW_CODE)
						
					FROM
					#TAB3_1 T3_1
						) T	


				--exec SA_RSV1_EXPORT_0700_2014     42276
					DECLARE @NEXT_NUM3 INT 
					SET @NEXT_NUM3 = 0
					UPDATE  p  SET  LINK = (select top 1 NOM_PP from #P_3 where ltrim(rtrim(SNILS)) = ltrim(rtrim(p.SNILS))
																										 and  ltrim(rtrim(FM)) = ltrim(rtrim(p.FM))
																										 and ltrim(rtrim(IM)) = ltrim(rtrim(p.IM))	 and ltrim(rtrim(OT)) = ltrim(rtrim(p.OT))
																										 and [type] = (case p.[type] when '' then 1 when '' then 2 else 3 end)
																										 and PER_EDT  = p.PER_EDT)
					FROM #P_3_1 p
/****************************************************/
/* 3.2*/
/**************************************************/

					CREATE TABLE #TAB3_2 (ROW_CODE VARCHAR(4), COL INT, SUMMA NUMERIC(18), SUMMA2 NUMERIC(18,2), STR_VAL VARCHAR(254))
					INSERT INTO #TAB3_2 (ROW_CODE, COL, SUMMA,SUMMA2, STR_VAL)
					SELECT ROW_CODE, COL, SUMMA, SUMMA2, STR_VAL FROM DBO.SA_SAVED_REPORT_VIEW (@link, 21, DEFAULT, DEFAULT) T  ORDER BY T.COL	

					CREATE TABLE #P_3_2 (
												LINK INT, [TYPE] INT , NOM_PP INT, SNILS VARCHAR(14), CODE_STR INT, CODE_SPO varchar(5),CODE_TAR char(2), INC_T1M NUMERIC(18,2), INC_T2M NUMERIC(18,2),
												DATE_BEGIN1 varchar(10),DATE_END1 VARCHAR(10),TU_CODE1 VARCHAR(10), OS_CODE1 VARCHAR(30), EX_CODE1 VARCHAR(10), f_is_dop1 VARCHAR(100), P_CODE1 varchar(10), f_ud_dop1 varchar(100),
												DATE_BEGIN2 varchar(10),DATE_END2 VARCHAR(10),TU_CODE2 VARCHAR(10), OS_CODE2 VARCHAR(30), EX_CODE2 VARCHAR(10), f_is_dop2 VARCHAR(100), P_CODE2 varchar(10), f_ud_dop2 varchar(100),
												DATE_BEGIN3 varchar(10),DATE_END3 VARCHAR(10),TU_CODE3 VARCHAR(10), OS_CODE3 VARCHAR(30), EX_CODE3 VARCHAR(10), f_is_dop3 VARCHAR(100), P_CODE3 varchar(10), f_ud_dop3 varchar(100),
												DATE_BEGIN4 varchar(10),DATE_END4 VARCHAR(10),TU_CODE4 VARCHAR(10), OS_CODE4 VARCHAR(30), EX_CODE4 VARCHAR(10), f_is_dop4 VARCHAR(100), P_CODE4 varchar(10), f_ud_dop4 varchar(100)
											)
					
					INSERT INTO #P_3_2 (/*LINK,*/ [TYPE], NOM_PP,SNILS,CODE_STR,CODE_SPO,CODE_TAR,INC_T1M,INC_T2M,
												DATE_BEGIN1,DATE_END1,TU_CODE1, OS_CODE1, EX_CODE1, f_is_dop1, P_CODE1, f_ud_dop1,
												DATE_BEGIN2,DATE_END2,TU_CODE2, OS_CODE2, EX_CODE2, f_is_dop2, P_CODE2, f_ud_dop2,
												DATE_BEGIN3,DATE_END3,TU_CODE3, OS_CODE3, EX_CODE3, f_is_dop3, P_CODE3, f_ud_dop3,
												DATE_BEGIN4,DATE_END4,TU_CODE4, OS_CODE4, EX_CODE4, f_is_dop4, P_CODE4, f_ud_dop4)
					SELECT
								/*LINK = dEnse_RANK() OVER (PARTITION BY SNILS, [TYPE] ORDER BY SNILS, [TYPE]),*/
								[TYPE],
								NOM_PP = ROW_NUMBER() OVER (PARTITION BY SNILS, [TYPE] ORDER BY CODE_STR),
												SNILS,CODE_STR,CODE_SPO,CODE_TAR,INC_T1M,INC_T2M,
												DATE_BEGIN1,DATE_END1,TU_CODE1, OS_CODE1, EX_CODE1, f_is_dop1, P_CODE1, f_ud_dop1,
												DATE_BEGIN2,DATE_END2,TU_CODE2, OS_CODE2, EX_CODE2, f_is_dop2, P_CODE2, f_ud_dop2,
												DATE_BEGIN3,DATE_END3,TU_CODE3, OS_CODE3, EX_CODE3, f_is_dop3, P_CODE3, f_ud_dop3,
												DATE_BEGIN4,DATE_END4,TU_CODE4, OS_CODE4, EX_CODE4, f_is_dop4, P_CODE4, f_ud_dop4		
					FROM
					(
						SELECT DISTINCT
							[TYPE] = (SELECT TOP 1 LTRIM(RTRIM(STR(SUMMA))) FROM #TAB3_2 T WHERE T.COL = 9 AND T.ROW_CODE = T32.ROW_CODE),
							SNILS = (SELECT TOP 1 LTRIM(RTRIM(STR_VAL)) FROM #TAB3_2 T WHERE T.COL = 7 AND T.ROW_CODE = T32.ROW_CODE),
							CODE_STR = CONVERT( int ,(SELECT TOP 1 LTRIM(RTRIM(STR_VAL)) FROM #TAB3_2 T WHERE T.COL = 3 AND T.ROW_CODE = T32.ROW_CODE)),
							CODE_SPO = (SELECT TOP 1 LTRIM(RTRIM(STR_VAL)) FROM #TAB3_2 T WHERE T.COL = 4 AND T.ROW_CODE = T32.ROW_CODE),
							CODE_TAR = '',
							INC_T1M = (SELECT TOP 1 SUMMA2 FROM #TAB3_2 T WHERE T.COL = 5 AND T.ROW_CODE = T32.ROW_CODE),
							INC_T2M = (SELECT TOP 1 SUMMA2 FROM #TAB3_2 T WHERE T.COL = 6 AND T.ROW_CODE = T32.ROW_CODE ),

							DATE_BEGIN1 = (SELECT TOP 1 LTRIM(RTRIM(STR_VAL)) FROM #TAB3_2 T WHERE T.COL = 10 AND T.ROW_CODE = T32.ROW_CODE ),
							DATE_END1 = (SELECT TOP 1 LTRIM(RTRIM(STR_VAL)) FROM #TAB3_2 T WHERE T.COL = 11 AND T.ROW_CODE = T32.ROW_CODE),
							TU_CODE1 = (SELECT TOP 1 LTRIM(RTRIM(STR_VAL)) FROM #TAB3_2 T WHERE T.COL = 12 AND T.ROW_CODE = T32.ROW_CODE),
							OS_CODE1 = (SELECT TOP 1 LTRIM(RTRIM(STR_VAL)) FROM #TAB3_2 T WHERE T.COL = 13 AND T.ROW_CODE = T32.ROW_CODE ),
							EX_CODE1 = (SELECT TOP 1 LTRIM(RTRIM(STR_VAL)) FROM #TAB3_2 T WHERE T.COL = 14 AND T.ROW_CODE = T32.ROW_CODE),
							f_is_dop1 = (SELECT TOP 1 LTRIM(RTRIM(STR_VAL)) FROM #TAB3_2 T WHERE T.COL = 15 AND T.ROW_CODE = T32.ROW_CODE ),
							P_CODE1 = (SELECT TOP 1 LTRIM(RTRIM(STR_VAL)) FROM #TAB3_2 T WHERE T.COL = 16 AND T.ROW_CODE = T32.ROW_CODE),
							f_ud_dop1 = (SELECT TOP 1 LTRIM(RTRIM(STR_VAL)) FROM #TAB3_2 T WHERE T.COL = 17 AND T.ROW_CODE = T32.ROW_CODE),
							
							DATE_BEGIN2 = (SELECT TOP 1 LTRIM(RTRIM(STR_VAL)) FROM #TAB3_2 T WHERE T.COL = 18 AND T.ROW_CODE = T32.ROW_CODE ),
							DATE_END2 = (SELECT TOP 1 LTRIM(RTRIM(STR_VAL)) FROM #TAB3_2 T WHERE T.COL = 19 AND T.ROW_CODE = T32.ROW_CODE),
							TU_CODE2 = (SELECT TOP 1 LTRIM(RTRIM(STR_VAL)) FROM #TAB3_2 T WHERE T.COL = 20 AND T.ROW_CODE = T32.ROW_CODE),
							OS_CODE2 = (SELECT TOP 1 LTRIM(RTRIM(STR_VAL)) FROM #TAB3_2 T WHERE T.COL = 21 AND T.ROW_CODE = T32.ROW_CODE ),
							EX_CODE2 = (SELECT TOP 1 LTRIM(RTRIM(STR_VAL)) FROM #TAB3_2 T WHERE T.COL = 22 AND T.ROW_CODE = T32.ROW_CODE),
							f_is_dop2 = (SELECT TOP 1 LTRIM(RTRIM(STR_VAL)) FROM #TAB3_2 T WHERE T.COL = 23 AND T.ROW_CODE = T32.ROW_CODE ),
							P_CODE2 = (SELECT TOP 1 LTRIM(RTRIM(STR_VAL)) FROM #TAB3_2 T WHERE T.COL = 24 AND T.ROW_CODE = T32.ROW_CODE),
							f_ud_dop2 = (SELECT TOP 1 LTRIM(RTRIM(STR_VAL)) FROM #TAB3_2 T WHERE T.COL = 25 AND T.ROW_CODE = T32.ROW_CODE),
							
							DATE_BEGIN3 = (SELECT TOP 1 LTRIM(RTRIM(STR_VAL)) FROM #TAB3_2 T WHERE T.COL = 26 AND T.ROW_CODE = T32.ROW_CODE ),
							DATE_END3 = (SELECT TOP 1 LTRIM(RTRIM(STR_VAL)) FROM #TAB3_2 T WHERE T.COL = 27 AND T.ROW_CODE = T32.ROW_CODE),
							TU_CODE3 = (SELECT TOP 1 LTRIM(RTRIM(STR_VAL)) FROM #TAB3_2 T WHERE T.COL = 28 AND T.ROW_CODE = T32.ROW_CODE),
							OS_CODE3 = (SELECT TOP 1 LTRIM(RTRIM(STR_VAL)) FROM #TAB3_2 T WHERE T.COL = 29 AND T.ROW_CODE = T32.ROW_CODE ),
							EX_CODE3 = (SELECT TOP 1 LTRIM(RTRIM(STR_VAL)) FROM #TAB3_2 T WHERE T.COL = 30 AND T.ROW_CODE = T32.ROW_CODE),
							f_is_dop3 = (SELECT TOP 1 LTRIM(RTRIM(STR_VAL)) FROM #TAB3_2 T WHERE T.COL = 31 AND T.ROW_CODE = T32.ROW_CODE ),
							P_CODE3 = (SELECT TOP 1 LTRIM(RTRIM(STR_VAL)) FROM #TAB3_2 T WHERE T.COL = 32 AND T.ROW_CODE = T32.ROW_CODE),
							f_ud_dop3 = (SELECT TOP 1 LTRIM(RTRIM(STR_VAL)) FROM #TAB3_2 T WHERE T.COL = 33 AND T.ROW_CODE = T32.ROW_CODE),
							
							DATE_BEGIN4 = (SELECT TOP 1 LTRIM(RTRIM(STR_VAL)) FROM #TAB3_2 T WHERE T.COL = 34 AND T.ROW_CODE = T32.ROW_CODE ),
							DATE_END4 = (SELECT TOP 1 LTRIM(RTRIM(STR_VAL)) FROM #TAB3_2 T WHERE T.COL = 35 AND T.ROW_CODE = T32.ROW_CODE),
							TU_CODE4 = (SELECT TOP 1 LTRIM(RTRIM(STR_VAL)) FROM #TAB3_2 T WHERE T.COL = 36 AND T.ROW_CODE = T32.ROW_CODE),
							OS_CODE4 = (SELECT TOP 1 LTRIM(RTRIM(STR_VAL)) FROM #TAB3_2 T WHERE T.COL = 37 AND T.ROW_CODE = T32.ROW_CODE ),
							EX_CODE4 = (SELECT TOP 1 LTRIM(RTRIM(STR_VAL)) FROM #TAB3_2 T WHERE T.COL = 38 AND T.ROW_CODE = T32.ROW_CODE),
							f_is_dop4 = (SELECT TOP 1 LTRIM(RTRIM(STR_VAL)) FROM #TAB3_2 T WHERE T.COL = 39 AND T.ROW_CODE = T32.ROW_CODE ),
							P_CODE4 = (SELECT TOP 1 LTRIM(RTRIM(STR_VAL)) FROM #TAB3_2 T WHERE T.COL = 40 AND T.ROW_CODE = T32.ROW_CODE),
							f_ud_dop4 = (SELECT TOP 1 LTRIM(RTRIM(STR_VAL)) FROM #TAB3_2 T WHERE T.COL = 41 AND T.ROW_CODE = T32.ROW_CODE)
						FROM
						#TAB3_2 T32	
					) T	


				UPDATE  p  SET  LINK = (select top 1 NOM_PP from #P_3 where ltrim(rtrim(SNILS)) = ltrim(rtrim(p.SNILS))
																										 and [type] = p.[type] )
					FROM #P_3_2 p


					UPDATE  p  SET  CODE_TAR = CASE WHEN LTRIM(RTRIM(p.CODE_KAT)) = '' AND LTRIM(RTRIM(isnull(p2.CODE_SPO,''))) = '' THEN '01'
													WHEN LTRIM(RTRIM(p.CODE_KAT)) = '' and LTRIM(RTRIM(isnull(p2.CODE_SPO,''))) = '' THEN '03' 
													when LTRIM(RTRIM(p2.CODE_SPO)) = '4'  THEN '23'
													when LTRIM(RTRIM(p2.CODE_SPO)) = '3.4'  THEN '24'
													when LTRIM(RTRIM(p2.CODE_SPO)) = '3.3'  THEN '25'
													when LTRIM(RTRIM(p2.CODE_SPO)) = '3.2'  THEN '26'
													when LTRIM(RTRIM(p2.CODE_SPO)) = '3.1'  THEN '27'
												end
																		   
					FROM #P_3_1 p 
						LEFT JOIN #P_3_2 p2 ON p2.LINK = p.LINK 	

					UPDATE  p2  SET  CODE_TAR = CASE when LTRIM(RTRIM(p2.CODE_SPO)) = '4'  THEN '23'
													when LTRIM(RTRIM(p2.CODE_SPO)) = '3.4'  THEN '24'
													when LTRIM(RTRIM(p2.CODE_SPO)) = '3.3'  THEN '25'
													when LTRIM(RTRIM(p2.CODE_SPO)) = '3.2'  THEN '26'
													when LTRIM(RTRIM(p2.CODE_SPO)) = '3.1'  THEN '27'
												end
																		   
					FROM  #P_3_2 p2 	

				--exec SS_RPSV_EXPORT_v5_01   3229	
				--DROP TABLE #P_3_1
				DROP TABLE #TAB3_1
				DROP TABLE #TAB3_2	
			
/**********************************************************/

----------------------------------------------------------
----- 3   -     
--- (       )
----------------------------------------------------------

----         
DECLARE  @LINK_3 int , @TYPE VARCHAR(14),@NOM_PP int, @NOM_K int, @PER_3 int, @YEAR_BEGIN_3 VARCHAR(4),
	@DATE_PU_3 VARCHAR(10),@PER_EDT_3 CHAR(2),@INN_3 VARCHAR(12),@SNILS VARCHAR(14),@FM varchar(60),
	@IM varchar(60),@OT varchar(60),@BIRTH_DATE VARCHAR(10),@GRAZHD CHAR(3),@SEX CHAR(1),
	@DOC_CODE CHAR(2),@DOC_SR VARCHAR(6), @DOC_NM VARCHAR(10),@PRIZ_OPS int, @PRIZ_OMS INT,@PRIZ_FSS int,
	@NOM_PACH CHAR(3)

SET @Cur1= CURSOR FORWARD_ONLY
FOR
select 	
	[TYPE] = case [TYPE] when 1 then '' WHEN 2 then '' else '' end ,
	NOM_PP,
	NOM_K, 
	PER  = CASE	WHEN Per = 1 and @WORK_END = '0' THEN '21'
				WHEN Per = 2 and @WORK_END = '0' THEN '31' 
				WHEN Per = 3 and @WORK_END = '0' THEN '33' 
				WHEN Per = 4 and @WORK_END = '0' THEN '34' 
				WHEN Per = 1 and @WORK_END = '' THEN '51'
				WHEN Per = 2 and @WORK_END = '' THEN '52' 
				WHEN Per = 3 and @WORK_END = '' THEN '53' 
				WHEN Per = 4 and @WORK_END = '' THEN '90'	END,
	YEAR_BEGIN,
	DATE_PU,
	PER_EDT = CASE	WHEN PER_EDT = 1 and @WORK_END = '0' THEN '21'
				WHEN PER_EDT = 2 and @WORK_END = '0' THEN '31' 
				WHEN PER_EDT = 3 and @WORK_END = '0' THEN '33' 
				WHEN PER_EDT = 4 and @WORK_END = '0' THEN '34' 
				WHEN PER_EDT = 1 and @WORK_END = '' THEN '51'
				WHEN PER_EDT = 2 and @WORK_END = '' THEN '52' 
				WHEN PER_EDT = 3 and @WORK_END = '' THEN '53' 
				WHEN PER_EDT = 4 and @WORK_END = '' THEN '90'	END,
	INN, 
	SNILS,
	FM,
	IM,
	OT,
	BIRTH_DATE,
	GRAZHD = (CASE WHEN GRAZHD = 1 THEN '643' ELSE '000' END),
	SEX,
	DOC_CODE,
	DOC_SR, 
	DOC_NM,
	PRIZ_OPS,
	PRIZ_OMS,
	PRIZ_FSS,
	NOM_PACH
from #P_3 order by [TYPE], NOM_PP

OPEN @Cur1
FETCH NEXT FROM @Cur1 INTO @TYPE ,@NOM_PP , @NOM_K , @PER_3, @YEAR_BEGIN_3,
	@DATE_PU_3,@PER_EDT_3,@INN_3,@SNILS,@FM,@IM,@OT,@BIRTH_DATE,@GRAZHD,@SEX,
	@DOC_CODE,@DOC_SR, @DOC_NM,@PRIZ_OPS, @PRIZ_OMS,@PRIZ_FSS,@NOM_PACH


WHILE (@@fetch_status <> -1)
BEGIN
	
	IF (@@fetch_status <> -2)
	BEGIN	




					INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(3) + '<'
											    + ' ="'+LTRIM(RTRIM(STR(@NOM_K)))+'"'
											    + ' ="'+LTRIM(RTRIM(STR(@PER_3)))+'"'	
											    + ' ="'+LTRIM(RTRIM(@YEAR_BEGIN_3))+'"'
											    + ' ="'+LTRIM(RTRIM(STR(@DOC_PU)))+'"'
											    + ' ="'+LTRIM(RTRIM(CONVERT(varchar(10),@DATE_PU_3,104)))+'">' 
					-----------------------------------------------------
					--- 3 -     
					-----------------------------------------------------
					INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT TOP 1 @lcFNAME,SPACE(4) + '<' 
												 + ' ="'+LTRIM(RTRIM(@INN_3))+'"'
												 + ' ="'+LTRIM(RTRIM(@SNILS))+'"'	
												 + ' ="'+LTRIM(RTRIM(@BIRTH_DATE))+'"'
												 + ' ="'+LTRIM(RTRIM(STR(@GRAZHD)))+'"'
												 + ' ="'+LTRIM(RTRIM(STR(@SEX)))+'"'
												 + ' ="'+LTRIM(RTRIM(STR(@DOC_CODE)))+'"'
												 + ' ="'+LTRIM(RTRIM(STR(@DOC_SR)))+' '+LTRIM(RTRIM(STR(@DOC_NM)))+'"'
												 + ' ="'+LTRIM(RTRIM(STR(@PRIZ_OPS)))+'"'
												 + ' ="'+LTRIM(RTRIM(STR(@PRIZ_OMS)))+'"'
												 + ' ="'+LTRIM(RTRIM(STR(@PRIZ_FSS)))+'">' + CHAR(10) +	
												   SPACE(5) + '<' +
								   						' ="' + left(LTRIM(RTRIM(ISNULL(@FM,''))),60) + '"' +
														' ="' + left(LTRIM(RTRIM(ISNULL(@IM,''))),60) + '"' +
														' ="' + left(LTRIM(RTRIM(ISNULL(@OT,''))),60) + '"/>' + CHAR(10) +			
												/*  CASE WHEN @GRAZHD = '643' 
													   then (SPACE(5) + '<' +
														' ="'+LTRIM(RTRIM((select PINDEX from dbo.GetAddressPartsByKladr(p.ADR_OFIC_LINK,0))))+'"' +
														' ="'+LTRIM(RTRIM((select REGCODE from dbo.GetAddressPartsByKladr(p.ADR_OFIC_LINK,0))))+'"' +
														' ="'+LTRIM(RTRIM((select RAION from dbo.GetAddressPartsByKladr(p.ADR_OFIC_LINK,0))))+'"' +										
														' ="'+LTRIM(RTRIM((select GOROD from dbo.GetAddressPartsByKladr(p.ADR_OFIC_LINK,0))))+'"' +
														' ="'+LTRIM(RTRIM((select NASEL from dbo.GetAddressPartsByKladr(p.ADR_OFIC_LINK,0))))+'"' +
														' ="'+LTRIM(RTRIM((select STREET from dbo.GetAddressPartsByKladr(p.ADR_OFIC_LINK,0))))+'"' +		
														' ="'+LTRIM(RTRIM(REPLACE(p.HOUSE_OFIC,'"','')))+'"' +
														' ="'+LTRIM(RTRIM(p.CORP_OFIC))+'"' +
														' ="'+LTRIM(RTRIM(p.FLAT_OFIC))+'' +												
														'"/>' )
													   WHEN @GRAZHD <> '643' 	
									   					THEN (SPACE(5) + '<' +
																' ="000"' +
																' ="'+LTRIM(RTRIM(dbo.GetAddressBykladr(p.ADR_OFIC_LINK)))+'' +
																'"/>' )	
													   ELSE ''
													   END + CHAR(10) +	*/		
												SPACE(4) + '</>' 		
								FROM person p where  p.insur_num = @SNILS  
							  
						
						-----------------------------------------------------------------------
						-------- 3.2        
						-----------------------------------------------------------------------
						
						
						INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME,SPACE(4) + '<>' --
						INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME,SPACE(5) + '< ' 
														+ ' 3="'+RTRIM(LTRIM(STR(SUM(COALESCE(INSUR,0)),15,2)))+'"'
														+ ' 3="'+RTRIM(LTRIM(STR(SUM(COALESCE(B_BEF,0)),15,2)))+'"'
														+ ' 3="'+RTRIM(LTRIM(STR(SUM(COALESCE(GB_BEF,0)),15,2)))+'"'
														+ ' 3="'+RTRIM(LTRIM(STR((select SUM(COALESCE(SUM_VZNOS,0)) from #P_3_1 WHERE link = @NOM_PP AND NOM_PP = 1),15,2)))+'">'
									 FROM #P_3_1 WHERE link = @NOM_PP  AND NOM_PP <> 1	
							INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
										SELECT @lcFNAME,SPACE(6) + '< '
															 + ' ="'+CASE WHEN p.per = 1 and ltrim(rtrim(p.CODE_STR)) = '401' THEN '01' 
																					WHEN  p.per = 1 and  ltrim(rtrim(p.CODE_STR)) = '402' THEN '02'
																					WHEN  p.per = 1 and  ltrim(rtrim(p.CODE_STR)) = '403' THEN '03'
																					WHEN p.per = 2 and ltrim(rtrim(p.CODE_STR)) = '401' THEN '04' 
																					WHEN  p.per = 2 and  ltrim(rtrim(p.CODE_STR)) = '402' THEN '05'
																					WHEN  p.per = 2 and  ltrim(rtrim(p.CODE_STR)) = '403' THEN '06'
																					WHEN p.per = 3 and ltrim(rtrim(p.CODE_STR)) = '401' THEN '07' 
																					WHEN  p.per = 3 and  ltrim(rtrim(p.CODE_STR)) = '402' THEN '08'
																					WHEN  p.per = 3 and  ltrim(rtrim(p.CODE_STR)) = '403' THEN '09'
																					WHEN p.per = 4 and ltrim(rtrim(p.CODE_STR)) = '401' THEN '10' 
																					WHEN  p.per = 4 and  ltrim(rtrim(p.CODE_STR)) = '402' THEN '11'
																					WHEN  p.per = 4 and  ltrim(rtrim(p.CODE_STR)) = '403' THEN '12' END  +'"'
															 + ' ="'+RTRIM(LTRIM(p.CODE_KAT))+'"'
															 + ' ="'+RTRIM(LTRIM(STR(COALESCE(INSUR,0),15,2)))+'"'
															 + ' ="'+RTRIM(LTRIM(STR(COALESCE(B_BEF,0),15,2)))+'"'
															 + ' ="'+RTRIM(LTRIM(STR(COALESCE(GB_BEF,0),15,2)))+'"'
															 + ' ="'+ (CASE WHEN ISNULL(INSUR,0) <> 0 
																							and (SELECT sum(SUM_VZNOS) from #P_3_1 WHERE link = @NOM_PP AND NOM_PP = 1) <> 0 
																							and (SELECT sum(INSUR) from #P_3_1 WHERE link = @NOM_PP AND NOM_PP <> 1 )<>0 
																						  THEN  RTRIM(LTRIM(STR( (SELECT sum(SUM_VZNOS) from #P_3_1  WHERE link = @NOM_PP AND NOM_PP = p.NOM_PP ))))
																						  ELSE '0.00' END) 
																	 + '"/>'
										FROM #P_3_1 p WHERE 	p.link = @NOM_PP AND  p.NOM_PP <> 1	 
										--GROUP BY p.CODE_KAT, p.CODE_STR, p.NOM_PP, INSUR

--exec SS_RPSV_EXPORT_v5_01 2894
								
						INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME,SPACE(5) + '</>' 
						-----------------------------------------------------------------------
						-------- 3.3       
						-----------------------------------------------------------------------
							IF (SELECT  COUNT(*) FROM #P_3_2 p WHERE link = @link and INC_T1M<>0 OR INC_T2M<>0 ) >0
							BEGIN
								INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) 
								SELECT @lcFNAME,SPACE(5) + '<' 		 -- H
															+ ' 3="'+RTRIM(LTRIM(STR(SUM(COALESCE(INC_T1M,0)),15,2)))+'"'
															+ ' 3="'+RTRIM(LTRIM(STR(SUM(COALESCE(INC_T2M,0)),15,2)))+'">'
										 FROM #P_3_2 WHERE link = @link and	NOM_PP <>1	AND INC_T1M <> 0 AND INC_T2M <> 0
								INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
											SELECT @lcFNAME,SPACE(6) + '< '--- 
																+ ' ="'+CASE WHEN ltrim(rtrim(p.CODE_STR)) = '701' THEN '01' 
																						WHEN ltrim(rtrim(p.CODE_STR)) = '702' THEN '02'
																						WHEN ltrim(rtrim(p.CODE_STR)) = '703' THEN '03' END  +'"'+
																+ ' ="'+RTRIM(LTRIM(p.CODE_KAT))+'"'
																+ ' ="'+RTRIM(LTRIM(STR(COALESCE(SUM(INC_T1M),0),15,2)))+'"'
																+ ' ="'+ CASE WHEN ISNULL(INC_T1M,0) <> 0 
																								and (SELECT SUM(INC_T2M) from #P_3_2 WHERE link = @link and NOM_PP = 1) <> 0 
																								and (SELECT sum(INC_T1M) from #P_3_2 WHERE link = @link and NOM_PP <> 1 )<>0 
																							  THEN  RTRIM(LTRIM(STR( COALESCE(INC_T1M,0) / ((SELECT sum(INC_T1M) from #P_3_2 WHERE link = @link and NOM_PP <> 1 ) / (SELECT top 1 INC_T2M from #P_3_1 WHERE link = @link and NOM_PP = 1 )),15,2)))
																							  ELSE '0.00' END +'"/>'
											FROM #P_3_2 p WHERE link = @link and p.NOM_PP <> 1	AND sum(INC_T1M) <> 0 AND sum(INC_T2M) <> 0 
											--GROUP BY p.CODE_SPO,p.NOM_PP, p.CODE_STR 
								INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) 
								SELECT @lcFNAME,SPACE(5) + '</>' 			
							END
										
						INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME,SPACE(4) + '</>' --		
					INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(3) + '</>' 	
				
				
		end
	
	FETCH NEXT FROM @Cur1 INTO @TYPE ,@NOM_PP , @NOM_K , @PER_3, @YEAR_BEGIN_3,
	@DATE_PU_3,@PER_EDT_3,@INN_3,@SNILS,@FM,@IM,@OT,@BIRTH_DATE,@GRAZHD,@SEX,
	@DOC_CODE,@DOC_SR, @DOC_NM,@PRIZ_OPS, @PRIZ_OMS,@PRIZ_FSS,@NOM_PACH	
end

CLOSE @Cur1
DEALLOCATE @Cur1

END
		INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)	
				SELECT @lcFNAME, SPACE(2) + '</>'		
	--SELECT *  FROM DBO.SA_SAVED_REPORT_VIEW (3229, 17, default, default)	WHERE  COL = 6 
--exec SS_RPSV_EXPORT_v5_01   3229	
	UNION ALL SELECT @lcFNAME, SPACE(1) + '</>'
	UNION ALL SELECT @lcFNAME, SPACE(0) + '</>'
				
SET NOCOUNT OFF

select * from #OUTPUT order by [ID]
--exec SS_RPSV_EXPORT_v5_01 2891











GO


GRANT EXECUTE ON dbo.[SS_RPSV_EXPORT_v5_01] TO PUBLIC

GO



GO

IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[SD_U_NDFL_FILL]') AND OBJECTPROPERTY(id,N'IsProcedure') = 1)
DROP PROCEDURE dbo.[SD_U_NDFL_FILL]

GO

CREATE PROCEDURE [dbo].[SD_U_NDFL_FILL]
	@varKSlinkEmpl	 int,  
	@varKSRef_Pay  int, 	 
	@varKSDate datetime, 	 
	@varKSLinkVKR int,
	@varKSLinkEKR int,	
	@varKSfl int = 0

AS 
SET NOCOUNT ON
DECLARE @varKSMonth int, 
	  @varKSYear int, 
	  @varKSLINK_FACE int, 
	  @varKSPred_Mesto_Rab numeric(15,2), 
	  @varKSFlagD int,
	  @Status int	-->>NEW

IF @varKSfl>0
	SET @varKSfl = 1

DECLARE @NDFL_OPT8 TINYINT --   
SET @NDFL_OPT8 = dbo.sa_get_option_by_code('NDFL_OPT8')

SET @varKSMonth= month(@varKSDate)
SET @varKSYear = year(@varKSDate)

declare @DEP_LINK int
SELECT @DEP_LINK = DEP_LINK, @varKSLINK_FACE = PERS_LINK FROM DBO.EMPL WHERE LINK = @varKSlinkEmpl

DECLARE @Link211EKR int
Set @Link211EKR = ISNULL((SELECT TOP 1 LINK FROM KOSGU WHERE CODE = '211'),0)

if @varKSfl = 1
	Select [] = [NAME] from dbo.DEPARTMENTS where link = @DEP_LINK

Select @Status= [STATUS] from dbo.ITEM_MOVE where ACTIVE = 1 and EMPL_LINK = @varKSlinkEmpl	-->>NEW

SET @varKSFlagD = 0

DECLARE @DIS_DATE DATETIME
SET @DIS_DATE = COALESCE((SELECT TOP 1 IDF.DIS_DATE FROM DBO.ITEM_DIS_FACE IDF with (nolock) WHERE IDF.EMPL_LINK = @varKSlinkEmpl AND IDF.ACTIVE=1),'29990101')

SET @varKSPred_Mesto_Rab = 0
IF YEAR(dbo.kd_DateBeginWork(@varKSlinkEmpl,@varKSDate)) = @varKSYear
BEGIN

	SET @varKSPred_Mesto_Rab =(SELECT ISNULL(SUM(SUMMA_TYP_INCOMS),0) FROM dbo.SD_EMPL_PREV_DOHOD WHERE LINK_EMPL = @varKSlinkEmpl)
			- (SELECT ISNULL(SUM(SUMMA_DED),0) FROM dbo.SD_EMPL_PREV_DED WHERE LINK_EMPL = @varKSlinkEmpl and 
					LINK_DED IN (SELECT distinct REF_DEDUCT FROM DICTIONARY_TYP_INCOMS where REF_DEDUCT is not null) )
	IF @varKSPred_Mesto_Rab IS null or @varKSPred_Mesto_Rab < 0
		SET @varKSPred_Mesto_Rab = 0
	SET @varKSFlagD = 1
END


IF @varKSfl = 1 
	SELECT Case @Status when 1 then ' ' when 2 then ' ' else ' ' end + 
	': '+rtrim(TAB)+ ' ' +rtrim(dbo.sd_GetEmplName(LINK))+  ',  ' + rtrim(convert(varchar(100),@varKSMonth))+ 
			 ',  ' +rtrim( convert(varchar(100),@varKSYear )) as ' '  FROM dbo.EMPL WHERE LINK = @varKSlinkEmpl   
IF  @varKSfl = 1 
	SELECT ' : '+ rtrim(isnull(convert(varchar(100),(select sum(summa_TYP_INCOMS) from dbo.SD_EMPL_PREV_DOHOD where link_empl =@varKSlinkEmpl)),'0')) + ' ,  : '+
	 rtrim( isnull( convert(varchar(100),(select sum(summa_ded) from dbo.SD_EMPL_PREV_DED where link_empl =@varKSlinkEmpl and LINK_DED NOT IN (SELECT distinct REF_DEDUCT FROM DICTIONARY_TYP_INCOMS where REF_DEDUCT is not null) )),'0'))
	+ ' ,  : '+
	 rtrim( isnull( convert(varchar(100),(select sum(summa_ded) from dbo.SD_EMPL_PREV_DED where link_empl =@varKSlinkEmpl and LINK_DED IN (SELECT distinct REF_DEDUCT FROM DICTIONARY_TYP_INCOMS where REF_DEDUCT is not null) )),'0'))  as '    '


/**/
Declare @isPrevPreiod tinyint
--        ,     .                   
Set @isPrevPreiod = dbo.sa_get_option_by_code('NDFL_OPT6')
Set @isPrevPreiod = 1 - ISNULL(@isPrevPreiod,0)

Declare @SJC table (link_empl int, link_pays int, link_vkr int, link_ekr int, typ_per tinyint, typ_oper tinyint, summa numeric(18,2), period_begin datetime, date1 datetime)

Insert into @SJC (link_empl, link_pays, link_vkr, link_ekr, typ_per, typ_oper, summa, period_begin, date1)
Select 
	JC.LINK_EMPL, P.LINK, link_vkr, S.LINK, P.TYP_PER, P.[OBJECT], summa, 
	period_begin = (case when @isPrevPreiod = 0 then JC.period_begin 
			else (Case 
					when JC.DATE_BEGIN < JC.period_begin and year(JC.DATE_BEGIN) = year(JC.period_begin) and d.code <> 'DOCUMENTS_ADD_PREMIUM' and d.code <> 'DOCUMENTS_ADD_PERCENT'
					then JC.DATE_BEGIN else JC.period_begin 
				end) 
			end),
	JC.DATE_BEGIN
from 
	dbo.CALCULATE_JURNAL JC 
	INNER JOIN dbo.EMPL E ON JC.LINK_EMPL = E.LINK
	INNER JOIN dbo.PAYS P ON JC.LINK_PAYS = P.LINK
	CROSS APPLY (SELECT LINK FROM dbo.KOSGU T WHERE T.CODE = 'R211') R211
	CROSS APPLY (SELECT LINK FROM dbo.KOSGU T WHERE T.CODE = '211') T211
	INNER JOIN dbo.KOSGU S ON S.LINK = (CASE WHEN R211.LINK = ISNULL(JC.LINK_EKR,P.LINK_EKR) THEN T211.LINK ELSE ISNULL(JC.LINK_EKR,P.LINK_EKR) END)	
	LEFT JOIN (Select d.link, o.code from sdoc d inner join dbo.s_objects o on d.object = o.link) d on jc.LINK_DOC = d.link
where
	P.OBJECT = 1
	AND
	P.LINK in (Select TAX_LINK from dbo.group_tax(@varKSRef_Pay)) 
	AND (
			@isPrevPreiod = 0 and @varKSMonth >= month(JC.PERIOD_BEGIN) and @varKSYear = year(JC.PERIOD_BEGIN)
		or 
			@isPrevPreiod = 1 
			and (@varKSMonth >= month(JC.DATE_BEGIN) or @varKSMonth >= month(JC.PERIOD_BEGIN) )
			and (@varKSYear = year(JC.DATE_BEGIN) or @varKSYear = year(JC.PERIOD_BEGIN) )
		)
	AND  
		(	-->>NEW
		@Status <> 1 AND JC.LINK_EMPL = @varKSlinkEmpl /*   ,      */
		or
		@Status = 1 AND E.PERS_LINK = @varKSLINK_FACE /*  ,      */
		)	
	AND JC.LINK_DEP = @DEP_LINK 
	

DECLARE @Val TABLE 
([MONTH] 		[int],
 [EMPL_SUMMA] 		[numeric](19, 2),
 [SUMMA] 		[numeric](19, 2),
 [EMPL_SUMMA_VKR]	[numeric](19, 2),
 [SUMMA_VKR]		[numeric](19, 2),
 [SUMMA_M]		[numeric](19, 2),
 [SUMMA_M_211]  [numeric](19, 2), --        211 
 [SUMMA_M_VKR]		[numeric](19, 2)
 --[SUMMA_M_VKR1]		[numeric](19, 2)
)

INSERT INTO @Val([MONTH],[SUMMA],[EMPL_SUMMA], [SUMMA_VKR], [EMPL_SUMMA_VKR],[SUMMA_M],[SUMMA_M_211],[SUMMA_M_VKR])--,[SUMMA_M_VKR1])
SELECT T.NUM AS [MONTH],  
		[SUMMA] = SUM(SJ.SUMMA), 
		[EMPL_SUMMA] = SUM(CASE WHEN SJ.LINK_EMPL = @varKSlinkEmpl THEN SJ.SUMMA ELSE 0 END),
		[SUMMA_VKR] = SUM(CASE WHEN SJ.LINK_VKR = @varKSLinkVKR   AND SJ.LINK_EKR = @varKSLinkEKR THEN SJ.SUMMA ELSE 0 END), 
		[EMPL_SUMMA_VKR] = SUM(CASE WHEN SJ.LINK_VKR = @varKSLinkVKR AND SJ.LINK_EMPL = @varKSlinkEmpl AND SJ.LINK_EKR = @varKSLinkEKR THEN SJ.SUMMA ELSE 0 END), 
		[SUMMA_M] = SUM(CASE WHEN Month(sj.period_begin) = T.NUM AND SJ.LINK_EMPL = @varKSlinkEmpl THEN SJ.SUMMA ELSE 0 END), 
		[SUMMA_M_211] = SUM(CASE WHEN Month(sj.period_begin) = T.NUM AND SJ.LINK_EMPL = @varKSlinkEmpl AND SJ.LINK_EKR = @Link211EKR THEN SJ.SUMMA ELSE 0 END), 
		[SUMMA_M_VKR] = SUM(CASE WHEN Month(sj.period_begin) =T.NUM AND SJ.LINK_VKR = @varKSLinkVKR AND SJ.LINK_EMPL = @varKSlinkEmpl AND SJ.LINK_EKR = @varKSLinkEKR THEN SJ.SUMMA ELSE 0 END)
--		[SUMMA_M_VKR1] = SUM(CASE WHEN Month(sj.period_begin) =T.NUM AND SJ.LINK_VKR = @varKSLinkVKR AND SJ.LINK_EMPL = @varKSlinkEmpl THEN SJ.SUMMA ELSE 0 END)
FROM dbo.MONTHS T, @SJC SJ
WHERE SJ.TYP_OPER = 1 AND T.NUM <= @varKSMonth
		AND T.NUM >= Month(sj.period_begin)
		AND  @varKSYear = Year(sj.period_begin)
GROUP BY  T.NUM

if @varKSfl = 1 
	select [month] as [], [summa] as [     ],summa_vkr as [      ], summa_m as [   ], 
	summa_m_vkr as [     ]  from @Val

/*  */
DECLARE @Val2 TABLE 
([MONTH] 		[int],
 [SUMMA] 		[numeric](19, 2),
 [EMPL_SUMMA] 		[numeric](19, 2),
 [SUMMA_VKR]		[numeric](19, 2),
 [EMPL_SUMMA_VKR]	[numeric](19, 2),
 [SUMMA_M]		[numeric](19, 2),
 [SUMMA_M_VKR]		[numeric](19, 2))


INSERT INTO @Val2([MONTH],[SUMMA],[EMPL_SUMMA], [SUMMA_VKR], [EMPL_SUMMA_VKR],[SUMMA_M],[SUMMA_M_VKR])
SELECT T.NUM AS [MONTH],
		[SUMMA] = SUM(SJ.SUMMA),
		[EMPL_SUMMA] = SUM(CASE WHEN SJ.LINK_EMPL = @varKSlinkEmpl THEN SJ.SUMMA ELSE 0 END),
		[SUMMA_VKR] = SUM(CASE WHEN SJ.LINK_VKR = @varKSLinkVKR AND SJ.LINK_EKR = @varKSLinkEKR THEN SJ.SUMMA ELSE 0 END),
		[EMPL_SUMMA_VKR] = SUM(CASE WHEN SJ.LINK_VKR = @varKSLinkVKR AND (SJ.LINK_EMPL = @varKSlinkEmpl) AND SJ.LINK_EKR = @varKSLinkEKR THEN SJ.SUMMA ELSE 0 END), 
		[SUMMA_M] = SUM(CASE WHEN (CASE WHEN SJ.TYP_PER=1 THEN Month(sj.period_begin) ELSE MONTH(sj.DATE1) END)=T.num AND SJ.LINK_EMPL = @varKSlinkEmpl then sj.summa else 0 end),
		[SUMMA_M_VKR] = SUM(CASE WHEN ((CASE WHEN SJ.TYP_PER=1 THEN Month(sj.period_begin) ELSE MONTH(sj.DATE1) END)=T.num)
							AND sj.link_vkr = @varKSLinkVKR AND SJ.LINK_EMPL = @varKSlinkEmpl AND SJ.LINK_EKR = @varKSLinkEKR THEN SJ.SUMMA ELSE 0 END)
FROM dbo.MONTHS T, @SJC SJ
WHERE SJ.TYP_OPER = 1 
		AND T.NUM <= @varKSMonth AND
		T.NUM >=(CASE WHEN SJ.TYP_PER=1 THEN Month(sj.period_begin) ELSE MONTH(SJ.DATE1) END)
		AND @varKSYear =(case WHEN SJ.TYP_PER=1 THEN Year(sj.period_begin) ELSE YEAR(sj.DATE1) END)
GROUP BY  T.NUM

insert into @Val2 ([MONTH],[SUMMA],[EMPL_SUMMA], [SUMMA_VKR], [EMPL_SUMMA_VKR],[SUMMA_M],[SUMMA_M_VKR])
select T.NUM, 0, 0, 0, 0, 0, 0  from dbo.MONTHS T where T.NUM < (Select min([month]) from @Val2)

if @varKSfl = 1 
	select [month] as [], [summa] as [    ], @varKSPred_Mesto_Rab as [     ], summa_vkr as [       ], summa_m as [   ], 
	summa_m_vkr as [     ]  from @Val2 order by [month]

/*  */
if @varKSfl=1 
   select code as [ ], LEFT(name,50) as [ ], SUMMA as [] from dbo.Salary_deductions(@varKSDate) WHERE TYPE = 5

/*
    ,          
   ,  
*/

/*   .*/
DECLARE @varKSTemp1 TABLE 
([NUM] 			[int],
 [REF_PAY]		[int],	
 [MP]		 	[numeric](19, 2),
 [MP_M]			[numeric](19, 2),
 [MP_M_VKR]		[numeric](19, 2),
 [PREDEL]		[numeric](19, 2))

-- 
INSERT INTO @varKSTemp1 ([NUM],[REF_PAY],[MP],[MP_M],[MP_M_VKR],[PREDEL])
SELECT m.num,T1.REF_PAY,
	/*      .*/
	[mp] = SUM(case when Month(sj.period_begin)<=m.num then SJ.summa else 0 end), 
	/*      .*/
	[mp_m] = sum(case when Month(sj.period_begin)=m.num then (case when Month(sj.period_begin)<=m.num then SJ.summa else 0 end) else 0 end),
	/*      .     */
	[mp_m_vkr] = sum(case when Month(sj.period_begin) = m.num AND sj.link_vkr = @varKSLinkVKR AND SJ.LINK_EKR = @varKSLinkEKR then (case when Month(sj.period_begin)<=m.num then SJ.summa else 0 end) else 0 end),
	[PREDEL] = T1.SUMMA -(case when @varKSFlagD = 1 then isnull((select sum(summa_ded) from dbo.SD_EMPL_PREV_DED where LINK_DED = T1.REF_PAY and  link_empl=@varKSlinkEmpl),0)  else 0 end) 
FROM 
	dbo.MONTHS M, @SJC SJ, dbo.Salary_deductions(@varKSDate) T1
WHERE  
	Year(sj.period_begin) = @varKSYear and m.num <= @varKSMonth AND T1.TYPE = 6 --  "   "
	AND T1.REF_PAY = (select ref_deduct  from dbo.DICTIONARY_TYP_INCOMS where link = (select LINK_INC from dbo.PAYS where LINK = SJ.LINK_PAYS)) 
	AND @Status in (1 /**/, 3 /* */) AND SJ.LINK_EMPL = @varKSlinkEmpl
	AND T1.SUMMA > 0 
GROUP BY m.num, T1.REF_PAY, T1.SUMMA

IF @varKSfl=1 
	select [num] as [], [] = (select CODE from diction where link = ref_pay), [mp] as [    ], mp_m as [   ], 
	mp_m_vkr as [     ], predel as []  from @varKSTemp1

DECLARE @varKSTemp2 TABLE 
([NUM] 			[int],
 [REF_PAY]		[int],	
 [MP]		 	[numeric](19, 2),
 [MP_M]			[numeric](19, 2),
 [MP_M_VKR]		[numeric](19, 2), [PREDEL]		[numeric](19, 2),
 [SALDO]		[numeric](19, 2),
 [KOEF] 		[numeric](19, 10))

--
INSERT INTO @varKSTemp2 ([NUM],[REF_PAY],[MP],[MP_M],[MP_M_VKR],[PREDEL],[SALDO],[KOEF])
SELECT 
	T1.NUM,T1.REF_PAY,T1.MP,T1.MP_M,T1.MP_M_VKR,T1.PREDEL, 
	[SALDO] = (CASE WHEN PREDEL < 0 THEN 0 ELSE PREDEL END) - ISNULL((select sum(mp_m) from @varKSTemp1 T2 where T2.num < T1.num and T2.REF_PAY = T1.REF_PAY),0),
	[KOEF] =  (CASE WHEN MP_M = 0 THEN 0 ELSE MP_M_VKR/MP_M END)
FROM @varKSTemp1 T1

--  
DECLARE @varKSTemp3 TABLE 
(
	[NUM] 			[int],
	[REF_PAY]		[int],	
	[MP_M]			[numeric](19, 2),
	[MP_M_VKR]		[numeric](19, 2),
	[KOEF] 		[numeric](19, 10),
	[DED]			[numeric](19, 2)
)
INSERT INTO @varKSTemp3 ([NUM],[REF_PAY],[MP_M],[MP_M_VKR],[KOEF],[DED])
SELECT [NUM],[REF_PAY],[MP_M],[MP_M_VKR],[KOEF], 
	   [DED] = 	case when SALDO < 0 then 
				- case when (CASE WHEN PREDEL < 0 THEN 0 ELSE PREDEL END) - ISNULL(MP,0) > 0	then
					(CASE WHEN PREDEL < 0 THEN 0 ELSE PREDEL END) - ISNULL(MP,0) 
					else 0
				end
			else
				(CASE WHEN MP_M > SALDO THEN SALDO ELSE MP_M END)
			end
FROM @varKSTemp2 

/*  :       ,        .
           2*/
DELETE
FROM 
	dbo.SAL_DED_MONTH
WHERE
	YEAR(dbo.SAL_DED_MONTH.DATE_DED) = YEAR(@varKSDate)
	and
	not exists (
		SELECT j.LINK 
		FROM dbo.calculate_jurnal j
		WHERE 
			YEAR(j.PERIOD_BEGIN) = YEAR(@varKSDate)
			and j.link_empl = dbo.SAL_DED_MONTH.link_empl 
			and j.LINK_VKR = dbo.SAL_DED_MONTH.LINK_VKR
			and j.LINK_EKR = dbo.SAL_DED_MONTH.LINK_EKR
			AND EXISTS (SELECT LINK_PAYS FROM dbo.PAYS P 
						INNER JOIN dbo.TAX_REF R ON R.LINK_TAX = P.LINK 
						WHERE P.OBJECT = 2 AND P.WAY_CALC = 4 AND R.LINK_PAYS = j.link_pays)
	)

/*      ,     */
DELETE FROM dbo.SAL_DED_MONTH
WHERE 
	LINK_EMPL = @varKSlinkEmpl 
	AND LINK_VKR = @varKSLinkVKR 
	AND ISNULL(LINK_EKR,@varKSLinkEKR) = @varKSLinkEKR 
	AND YEAR(DATE_DED) = YEAR(@varKSDate) 
	AND MONTH(DATE_DED) <= MONTH(@varKSDate) 

/*   */
INSERT INTO dbo.SAL_DED_MONTH (LINK_EMPL,REF_DED,SUMMA,DATE_DED,LINK_VKR,LINK_EKR,TYPE)
SELECT [LINK_EMPL] = @varKSlinkEmpl,
		 [REF_DED]   = T.REF_PAY,
		 [SUMMA] 	 = ISNULL(T.DED,0) * ISNULL(T.KOEF,1),
		 [DATE_DED]  = dbo.ConvertDMY2Date(1,t.num,year(@varKSDate)),
		 [LINK_VKR]	 = @varKSLinkVKR,
		 [LINK_EKR]	 = @varKSLinkEKR,
		 [TYPE] = 2
FROM @varKSTemp3 T WHERE T.MP_M_VKR <> 0 AND T.DED <> 0 

/*  */

DECLARE @TotTab TABLE
([MONTH] 		[int],
 [EMPL_SUMMA]		[numeric](19, 2), --
 [EMPL_SUMMA_VKR]	[numeric](19, 2), --
 [SUMMA_VKR]		[numeric](19, 2),
 [SUMMA_M]		[numeric](19, 2),
 [SUMMA_M_211]  [numeric](19, 2), --        211 
 [SUMMA_M_VKR]		[numeric](19, 2), --  , 
 [DED_M_ALL] 		[numeric](19, 2),
 --[DED_M_ALL_211] 	[numeric](19, 2), --        211 
 [DED]			[numeric](19, 2),
 [DED_M]		[numeric](19, 2),
 [DED0]			[numeric](19, 2)
 ) 

/*          */
INSERT INTO @TotTab([MONTH], [EMPL_SUMMA], [EMPL_SUMMA_VKR], [SUMMA_VKR],[SUMMA_M],[SUMMA_M_211],[SUMMA_M_VKR],[DED_M_ALL],[DED],[DED_M],DED0)
SELECT 	
		M.[NUM], 
		ISNULL(T1.EMPL_SUMMA,0), 
		ISNULL(T1.[EMPL_SUMMA_VKR],0), 
		ISNULL(T1.[SUMMA_VKR],0), 
		ISNULL(T1.[SUMMA_M],0),
		ISNULL(T1.[SUMMA_M_211],0),	 
		ISNULL(T1.[SUMMA_M_VKR],0),
	 	[DED_M_ALL] = ISNULL((SELECT SUM(T2.DED) FROM @varKSTemp3 T2 WHERE T2.NUM=M.[NUM]),0),
		[DED] 		= ISNULL((SELECT SUM(T2.DED * T2.KOEF) FROM @varKSTemp3 T2 WHERE T2.NUM <= M.[NUM]),0),
		[DED_M] 	= ISNULL((SELECT SUM(T2.DED * T2.KOEF) FROM @varKSTemp3 T2 WHERE T2.NUM = M.[NUM]),0),
		[DED0] 		= ISNULL((SELECT SUM(T2.DED) FROM @varKSTemp3 T2 WHERE T2.NUM <= M.[NUM]),0)
FROM  dbo.months M LEFT JOIN @Val T1 on M.num = T1.[MONTH] 
WHERE M.NUM <= @varKSMonth
GROUP BY M.[NUM], T1.[EMPL_SUMMA], T1.[EMPL_SUMMA_VKR], T1.SUMMA_VKR, T1.SUMMA_M_VKR, T1.SUMMA_M, T1.SUMMA_M_211

IF @varKSfl=1 
select [month] as [],summa_vkr as [      ], summa_m as [   ], 
	summa_m_vkr as [    ], ded_m_all as [ ], ded as [   ], ded_m as [    ]  from @TotTab

DECLARE @varKSTT TABLE
([REF_PAY] 	[int],
 [PREDEL]	[numeric](19, 2),
 [SUMMA]		[numeric](19, 2),
 [MONTHEND]	[int])

---   :   
INSERT INTO @varKSTT ([REF_PAY],[PREDEL],[SUMMA],[MONTHEND])
SELECT TD.REF_PAY,TD.PREDEL,TD.SUMMA, 
		[MonthEnd] =  (SELECT TOP 1 T1.[MONTH] FROM  @Val2 T1 
 							WHERE (SUMMA+ISNULL(@varKSPred_Mesto_Rab,0) - ISNULL((select sum(ded) from @varKSTemp3 where num<=T1.[MONTH]),0))
							<(CASE WHEN TD.PREDEL = 0 THEN 999999999999 ELSE TD.PREDEL END)
							ORDER BY T1.[MONTH] DESC)
FROM 
	dbo.Salary_deductions(@varKSDate ) as TD where TYPE = 1

DECLARE @varKSTotal TABLE
( link int not null IDENTITY(1,1),
 [REF_PAY] 	[int],
 [MONTH_BEGIN]	[int],
 [MONTH_END]	[int],		
 [SUMMA]	[numeric](19, 2),
[SUMMA_V] numeric(18,2), [SUMMA_D] numeric(18,2), [Ostatok_V] numeric(18,2)--    
)

--  
/*
              , 
    13 ,            .
*/
INSERT INTO @varKSTotal ([REF_PAY],[MONTH_BEGIN],[MONTH_END],[SUMMA],[SUMMA_V],[SUMMA_D])
SELECT 		
	[REF_PAY] 		= TT.REF_PAY, 
	[MONTH_BEGIN]	= M.[NUM],--SDE.MONTH_BEGIN,
	[MONTH_END] 	= M.[NUM],--(CASE WHEN TT.MonthEnd> SDE.MONTH_END THEN SDE.MONTH_END ELSE TT.MonthEnd END),
	[SUMMA] 		= TT.SUMMA,
	[SUMMA_V]		= TT.SUMMA,	--    
	[SUMMA_D]		= ISNULL(D.[summa_m],0)	--    
				- ISNULL((select sum(ded) from @varKSTemp3 where num = M.[NUM]),0)
FROM 
	@varKSTT TT
	INNER JOIN (SELECT link_ded, month_begin,month_end FROM DBO.salary_ded_empl(@varKSlinkEmpl,@varKSMonth, @varKSYear)T1 WHERE t1.month_begin<=t1.month_end) SDE
		ON SDE.LINK_DED =TT.REF_PAY
	INNER JOIN dbo.Months M ON TT.MonthEnd >= M.[NUM] AND M.[NUM] between SDE.MONTH_BEGIN and SDE.MONTH_END
	LEFT JOIN @Val D ON M.NUM = D.[month] --    
WHERE 
	@Status in (1 /**/, 3 /* */)	-->>NEW
	AND -- ,           .
	dbo.DateEndOfMonth(@DIS_DATE) >= dbo.DateEndOfMonth( dbo.ConvertDMY2Date(1,M.[NUM],@varKSYear))
ORDER BY
	M.NUM

---     
INSERT INTO @varKSTotal ([REF_PAY],[MONTH_BEGIN],[MONTH_END],[SUMMA],[SUMMA_V],[SUMMA_D])
select 
	TA.LINK_DED, MONTH(cj.PERIOD_BEGIN), MONTH(cj.PERIOD_BEGIN), SUM(cj.SUMMA),SUM(cj.SUMMA), 
	[SUMMA_D]		= MAX(ISNULL(D.[summa_m],0))	--    
				- ISNULL((select sum(ded) from @varKSTemp3 where num = MONTH(cj.PERIOD_BEGIN)),0)	
from 
	dbo.EMPL E inner join dbo.calculate_jurnal cj on e.link = cj.link_empl
	inner join dbo.TAX2_APP TA on TA.LINK_UP = CJ.LINK_PAYS
	LEFT JOIN @Val D ON MONTH(cj.PERIOD_BEGIN) = D.[month] --    
where 
	year(period_begin) = @varKSYear
	and
	E.LINK = @varKSlinkEmpl	
	and
	@Status in (1 /**/, 3 /* */) and MONTH(cj.PERIOD_BEGIN) <= Month(@varKSDate) 
	and
	ISNULL(TA.LINK_DED,0) > 0
GROUP BY 
	TA.LINK_DED, MONTH(cj.PERIOD_BEGIN)


--    ,     :      
--    
BEGIN

	DECLARE @Cur1 CURSOR, @MES tinyint, @REF_V int, @SUMMA_V numeric(18,2), @SUMMA_D numeric(18,2), @Ostatok_V numeric(18,2), @Ostatok numeric(18,2), @Ostatok_m numeric(18,2), @link int
	Declare @SumVPred numeric(18,2) --      
	SET @Cur1 = CURSOR FORWARD_ONLY

	FOR select link, MONTH_BEGIN, REF_PAY, SUMMA_V, SUMMA_D, Ostatok_V from @varKSTotal order by link
	
	OPEN @Cur1
	FETCH NEXT FROM @Cur1 INTO @link, @MES, @REF_V, @SUMMA_V, @SUMMA_D, @Ostatok_V
	WHILE (@@fetch_status <> -1)
	BEGIN
		IF (@@fetch_status <> -2)
		BEGIN
			Set @Ostatok = 
					ISNULL((
						Select Sum(Ostatok_V)  from @varKSTotal 
						where MONTH_BEGIN <= @MES --         (   )
						and link < @link and REF_PAY = @REF_V
					),0)
			
			Set @Ostatok_m = ISNULL((Select Sum(Ostatok_V)  from @varKSTotal where Ostatok_V > 0 and MONTH_BEGIN = @MES and link < @link),0)
			Set @SUMMA_V = ISNULL((Select Sum(SUMMA_V)  from @varKSTotal where MONTH_BEGIN = @MES and link <= @link),0)
			Set @SumVPred = ISNULL((Select Sum(SUMMA_V)  from @varKSTotal where MONTH_BEGIN = @MES and link < @link),0)
	
			update @varKSTotal
			Set 	SUMMA_V = (case when ISNULL(@SUMMA_V,0) + @Ostatok > ISNULL(SUMMA_D,0) 
					then ISNULL(SUMMA_D,0) - @SumVPred
					else (case when @Ostatok_m = 0 then ISNULL(@SUMMA_V,0) + @Ostatok - @SumVPred else 0 end) 
				end),
				Ostatok_V = (case when ISNULL(@SUMMA_V,0) + @Ostatok > ISNULL(SUMMA_D,0)
							then ISNULL(@SUMMA_V,0) - ISNULL(SUMMA_D,0)
							else  - @Ostatok
						end)
			where link = @link

		END
	
		FETCH NEXT FROM @Cur1 INTO @link, @MES, @REF_V, @SUMMA_V, @SUMMA_D, @Ostatok_V
	END
	
	CLOSE @Cur1
	DEALLOCATE @Cur1

	IF @varKSfl=1 
	select [] = (select  rtrim(sname) + ' ' + LEFT(rtrim(name),100) from dbo.DICTIONARY_TYP_DEDUCTION where link = REF_PAY),
		month_begin as [ ], month_end as [ ], summa as [   ], summa_v as [  ], Ostatok_V as [  ] from @varKSTotal order by month_begin,  REF_PAY
	
	update @varKSTotal 
	Set summa = summa_v

END
/**/

/* ^^^^^^   -   ^^^^^^^^*/

declare @VychOpt9 int --       
Set @VychOpt9 = ISNULL((SELECT top 1 CONVERT(INT,VALUE) FROM dbo.S_OPTIONS WHERE OBJECT = (SELECT LINK FROM S_OBJECTS WHERE CODE = 'NDFL_OPT9')),0)

declare @SprOtherDed table(LINK_DICTION int, MONTH1 TINYINT, Summa numeric(18,2))

insert into @SprOtherDed
Select LINK_DICTION, MONTH1, SUM(SUM_DED) 
from 
	EMPL E 
	inner join TAX_DEDUCTIONS TD on E.PERS_LINK = TD.LINK_PERSON AND E.DEP_LINK = TD.LINK_DEP
where 
	E.LINK = @varKSlinkEmpl 
	and [YEAR] = @varKSYear 
	AND @Status in (1 /**/, 3 /* */) 
	and MONTH1 <= Month(@varKSDate) --DATE_REF <= dbo.DateEndOfMonth(@varKSDate)
	AND E.DEP_LINK = @DEP_LINK
Group by 
	LINK_DICTION, MONTH1

IF @varKSfl=1 
	select []= rtrim(SNAME), [ ] = LEFT(rtrim(name),50), [ ] = ISNULL(OD.summa,0) 
	from @SprOtherDed OD inner join dbo.DICTIONARY_TYP_DEDUCTION  D on D.link = OD.LINK_DICTION

-------
declare @TMP Table ([REF_PAY] int, [MONTH_BEGIN] int, [MONTH_END] int, [SUMMA] numeric(18,2))

Insert into @TMP
Select 
	[REF_PAY], M.NUM, M.NUM, SUM([SUMMA]) 
from 
	dbo.Months M, @varKSTotal T1 
where 
	M.[NUM] between [MONTH_BEGIN] and [MONTH_END] and [REF_PAY] not in (select LINK_DICTION from @SprOtherDed) 
group by 
	[REF_PAY], M.NUM

	
----------------------
DECLARE @REF_PAY int, @MONTH_BEGIN int, @SUMMA numeric(18,2), @Saldo numeric(18,2), @STD_VYCH NUMERIC(18,2), @MONTH1 TINYINT

-------------
DECLARE @Cur CURSOR, @Cur11 CURSOR
SET @Cur11 = CURSOR FORWARD_ONLY
FOR 
	Select LINK_DICTION from @SprOtherDed ORDER BY LINK_DICTION

OPEN @Cur11
FETCH NEXT FROM @Cur11 INTO @REF_PAY
WHILE (@@fetch_status <> -1)
BEGIN
	IF (@@fetch_status <> -2)
	BEGIN

		SET @Cur = CURSOR FORWARD_ONLY
		FOR 
			Select M.NUM, [SUMMA], MONTH1 = (CASE WHEN @VychOpt9 = 1 THEN OD.MONTH1 ELSE 1 END) 
			from @SprOtherDed OD, dbo.Months M 
			WHERE 
				LINK_DICTION = @REF_PAY
				AND M.NUM BETWEEN (CASE WHEN @VychOpt9 = 1 THEN OD.MONTH1 ELSE 1 END) AND @varKSMonth
			ORDER BY M.NUM

		OPEN @Cur
		FETCH NEXT FROM @Cur INTO @MONTH_BEGIN, @SUMMA, @MONTH1
		WHILE (@@fetch_status <> -1)
		BEGIN
			IF (@@fetch_status <> -2)
			BEGIN

				Set @Saldo = ISNULL(@SUMMA,0) - ISNULL((Select Sum(Summa) from @tmp T where T.REF_PAY = @REF_PAY),0)

				SET @STD_VYCH = ISNULL((SELECT SUM(SUMMA) FROM @varKSTotal WHERE [MONTH_BEGIN] < @MONTH1),0)

				INSERT INTO @TMP ([REF_PAY],[MONTH_BEGIN],[MONTH_END],[SUMMA])
				Select --
					@REF_PAY, @MONTH_BEGIN, @MONTH_BEGIN, 
					(Case When @Saldo > (ISNULL(DS.EMPL_SUMMA,0) - ISNULL(DS.DED0,0) 
										- (ISNULL(DS2.EMPL_SUMMA,0) - ISNULL(DS2.DED0,0) - @STD_VYCH)
										- ISNULL((Select SUM(summa) from @TMP where MONTH_BEGIN <=  @MONTH_BEGIN ),0))
						then (ISNULL(DS.EMPL_SUMMA,0) - ISNULL(DS.DED0,0) 
								- (ISNULL(DS2.EMPL_SUMMA,0) - ISNULL(DS2.DED0,0) - @STD_VYCH)
								- ISNULL((Select SUM(summa) from @TMP where MONTH_BEGIN <=  @MONTH_BEGIN ),0))
					else
						@Saldo
					end)
				from
					@TotTab DS
					LEFT JOIN @TotTab DS2 ON DS2.[Month] = @MONTH1-1 
				where
					DS.[Month] = @MONTH_BEGIN
					and
					(ISNULL(DS.EMPL_SUMMA,0) - ISNULL(DS.DED0,0)
						- (ISNULL(DS2.EMPL_SUMMA,0) - ISNULL(DS2.DED0,0) - @STD_VYCH) 
						- ISNULL((Select SUM(summa) from @TMP where MONTH_BEGIN <=  @MONTH_BEGIN ),0)) > 0
					and 
					@Saldo > 0

			END
			FETCH NEXT FROM @Cur INTO @MONTH_BEGIN, @SUMMA, @MONTH1
		END

		CLOSE @Cur
		DEALLOCATE @Cur

		INSERT INTO @varKSTotal ( [REF_PAY], [MONTH_BEGIN], [MONTH_END], [SUMMA])
		Select * from @TMP where [REF_PAY] = @REF_PAY

	END
	FETCH NEXT FROM @Cur11 INTO @REF_PAY
END

CLOSE @Cur11
DEALLOCATE @Cur11

/* vvvvvv   -   vvvvvvv */

IF @varKSfl=1 
select [] = (select  rtrim(sname) + ' ' + LEFT(rtrim(name),50) from dbo.DICTIONARY_TYP_DEDUCTION where link = REF_PAY),
	month_begin as [ ], month_end as [ ], summa as [ ]  from @varKSTotal T1  order by month_begin, REF_PAY

DECLARE @varKSTotal1 TABLE
([KOL]			[int],
 [REF_PAY] 		[int],
 [MONTH_BEGIN]		[int],
 [MONTH_END]		[int],		
 [SUMMA]		[numeric](19, 2))

INSERT INTO @varKSTotal1 ([KOL],[REF_PAY],[MONTH_BEGIN],[MONTH_END],[SUMMA])
SELECT COUNT(*) AS [KOL],REF_PAY,MONTH_BEGIN,MONTH_END,SUMMA
FROM @varKSTotal 
GROUP BY REF_PAY,MONTH_BEGIN,MONTH_END,SUMMA

DECLARE @vych TABLE
([MONTH] 	[int],
 [REF_PAY] 	[int],
 [DEDUCT]	[numeric] (19, 2),
 [COMMENT]  [varchar] (254),
 [KOEF_VKR] [numeric] (18,10),
 [kol] [numeric] (18,2),
 [SPR_SUM]  NUMERIC(18,2)	
)

DECLARE @NDFL_OPT7 int
SET @NDFL_OPT7 = dbo.sa_get_option_by_code('NDFL_OPT7')

DECLARE @Koef table (Mon int, koef NUMERIC(18,15), doh tinyint, koef2 NUMERIC(18,10))
insert into @Koef (Mon, Koef, doh, koef2)
Select 	T2.[Month], 
	CASE WHEN @NDFL_OPT7 = 1 --      211 
	THEN 
		CASE WHEN @varKSLinkEKR = @Link211EKR 
		THEN --  
			CONVERT(NUMERIC(18,10), case when t2.summa_m_211 <> 0 then (v.summa_m_vkr/t2.summa_m_211) else 0 end )
			--CONVERT(NUMERIC(18,10), case when t2.summa_m_211 <> 0 then ((v.summa_m_vkr-T2.DED_M)/(t2.summa_m_211-T2.DED_M_ALL)) else 0 end )
		ELSE 
			0 
		END
	ELSE --    
		--CONVERT(NUMERIC(18,10), case when t2.summa_m <> 0 then (t2.summa_m_vkr/t2.summa_m) else 0 end)
		CONVERT(NUMERIC(18,10), case when (t2.summa_m-T2.DED_M_ALL) > 0 then ((t2.summa_m_vkr-T2.DED_M)/(t2.summa_m-T2.DED_M_ALL)) else 0 end)
	END,
	(Case when t2.summa_m <> 0 then 1 else 0 end),
	--CONVERT(NUMERIC(18,10), case when t2.summa_m <> 0 then (t2.summa_m_vkr/t2.summa_m) else 0 end)
	CONVERT(NUMERIC(18,10), case when (t2.summa_m-T2.DED_M_ALL) > 0 then ((t2.summa_m_vkr-T2.DED_M)/(t2.summa_m-T2.DED_M_ALL)) else 0 end)
from 
	@TotTab T2 
	inner join @Val V on T2.[month] = V.[month]
	

--   
DECLARE @DICT_TAX_DEDUCTIONS TABLE (LINK INT)
INSERT INTO @DICT_TAX_DEDUCTIONS (LINK)
SELECT LINK FROM dbo.DICTIONARY_TYP_DEDUCTION WHERE NUMBER = 4

/*   .   ,    .  ,    */
INSERT INTO @vych ([MONTH],[REF_PAY],[DEDUCT],[COMMENT],[KOEF_VKR],[KOL], [SPR_SUM])
SELECT [MONTH] = T1.MONTH_BEGIN, T1.REF_PAY,
	[DEDUCT] = 
				CONVERT(NUMERIC(18,10), T1.KOL*T1.SUMMA * 
				case when D.summa_m = 0 then ISNULL((Select top 1 K.Koef from @Koef K where K.Mon >= T1.MONTH_BEGIN and doh <> 0 order by Mon),0)
					else ISNULL((Select top 1 K.Koef from @Koef K where K.Mon = T1.MONTH_BEGIN and K.Koef <> 0 order by Mon),0) end)
	,[COMMENT] = 
				'('+RTRIM(LTRIM(STR(T1.KOL)))+'*'+RTRIM(LTRIM(CONVERT(VARCHAR(100),T1.SUMMA)))+ 
				'*'+ rtrim(ltrim(convert(varchar(100), CONVERT(NUMERIC(18,4), case when D.summa_m = 0 then ISNULL((Select top 1 K.Koef from @Koef K where K.Mon >= T1.MONTH_BEGIN and K.Koef <> 0 order by Mon),0)
					else ISNULL((Select top 1 K.Koef from @Koef K where K.Mon = T1.MONTH_BEGIN and doh <> 0 order by Mon),0) end)) )) +')'
	,[KOEF_VKR] =
				 CONVERT(NUMERIC(18,10), case when D.summa_m = 0 then ISNULL((Select top 1 K.Koef from @Koef K where K.Mon >= T1.MONTH_BEGIN and K.Koef <> 0 order by Mon),0)
					else ISNULL((Select top 1 K.Koef from @Koef K where K.Mon = T1.MONTH_BEGIN and doh <> 0 order by Mon),0) end )
	,T1.KOL,
	T1.KOL*T1.SUMMA
FROM @varKSTotal1 t1 left join @TotTab D on T1.MONTH_BEGIN = D.[Month]
WHERE
	NOT EXISTS (SELECT * FROM @DICT_TAX_DEDUCTIONS IM WHERE IM.LINK = T1.REF_PAY)
ORDER BY 1

/* .   ,           */
IF @NDFL_OPT7 = 1
BEGIN

--SELECT * FROM @Koef
--SELECT * FROM @TotTab
--SELECT '!!!!', * FROM @vych
--select * from @varKSTotal1

	UPDATE K SET K.koef2 = CONVERT(NUMERIC(18,10), case when (T2.summa_m - T2.ded_m_all - Y.SPR_SUM) <> 0 
													then
														CONVERT(NUMERIC(28,10),	(T2.summa_m_vkr - (T2.ded_m_all + Y.SPR_SUM)*K.KOEF)) 
														/ CONVERT(NUMERIC(28,10), (T2.summa_m - T2.ded_m_all - Y.SPR_SUM) )
													else 0 end )
	FROM 
		@Koef K
		INNER JOIN @TotTab T2 ON K.Mon = T2.[Month]
		INNER JOIN (SELECT [MONTH], SPR_SUM = SUM(ISNULL(KOL * SPR_SUM,0)) FROM @vych GROUP BY [MONTH]) Y ON K.Mon = Y.[MONTH]
END		

IF @varKSfl=1 
	select [] = Mon, [_] = koef, [__] = koef2 from @Koef T1  order by Mon


-- 
INSERT INTO @vych ([MONTH],[REF_PAY],[DEDUCT],[COMMENT],[KOEF_VKR],[KOL], [SPR_SUM])
SELECT [MONTH] = T1.MONTH_BEGIN, T1.REF_PAY,
	[DEDUCT] = 
				CASE WHEN 
					CONVERT(NUMERIC(18,2), T1.KOL*T1.SUMMA * 
					case when D.summa_m = 0 then ISNULL((Select top 1 K.Koef2 from @Koef K where K.Mon >= T1.MONTH_BEGIN and doh <> 0 order by Mon),0)
					else ISNULL((Select top 1 K.Koef2 from @Koef K where K.Mon = T1.MONTH_BEGIN and K.Koef2 <> 0 order by Mon),0) end)
					> ISNULL(D.SUMMA_M_VKR,0) - ISNULL((SELECT SUM(DEDUCT) FROM @vych WHERE [MONTH] = T1.MONTH_BEGIN),0)
				THEN 
					ISNULL(D.SUMMA_M_VKR,0) - ISNULL([DED_M_ALL],0) - ISNULL((SELECT SUM(DEDUCT) FROM @vych WHERE [MONTH] = T1.MONTH_BEGIN),0)
				ELSE 
					CONVERT(NUMERIC(18,10), T1.KOL*T1.SUMMA * 
					case when D.summa_m = 0 then ISNULL((Select top 1 K.Koef2 from @Koef K where K.Mon >= T1.MONTH_BEGIN and doh <> 0 order by Mon),0)
					else ISNULL((Select top 1 K.Koef2 from @Koef K where K.Mon = T1.MONTH_BEGIN and K.Koef2 <> 0 order by Mon),0) end)						
				END
	
	,[COMMENT] = 
				CASE WHEN 
					CONVERT(NUMERIC(18,2), T1.KOL*T1.SUMMA * 
					case when D.summa_m = 0 then ISNULL((Select top 1 K.Koef2 from @Koef K where K.Mon >= T1.MONTH_BEGIN and doh <> 0 order by Mon),0)
					else ISNULL((Select top 1 K.Koef2 from @Koef K where K.Mon = T1.MONTH_BEGIN and K.Koef2 <> 0 order by Mon),0) end)
					> ISNULL(D.SUMMA_M_VKR,0) - ISNULL((SELECT SUM(DEDUCT) FROM @vych WHERE [MONTH] = T1.MONTH_BEGIN),0)
				THEN
				'('+convert( varchar(20), CONVERT(NUMERIC(18,2),ISNULL(D.SUMMA_M_VKR,0)))
				+'-' + convert( varchar(20), ISNULL([DED_M_ALL],0))
				+'-' + convert( varchar(20), CONVERT(NUMERIC(18,2),ISNULL((SELECT SUM(DEDUCT) FROM @vych WHERE [MONTH] = T1.MONTH_BEGIN),0)))
				+')'				
				ELSE
				'('+RTRIM(LTRIM(STR(T1.KOL)))+'*'+RTRIM(LTRIM(CONVERT(VARCHAR(100),T1.SUMMA)))+
				+'*' + convert( varchar(20), CONVERT(NUMERIC(18,4),(
						case when D.summa_m = 0 then ISNULL((Select top 1 K.Koef2 from @Koef K where K.Mon >= T1.MONTH_BEGIN and doh <> 0 order by Mon),0)
						else ISNULL((Select top 1 K.Koef2 from @Koef K where K.Mon = T1.MONTH_BEGIN and K.Koef2 <> 0 order by Mon),0) end
						))
					)
				+')'					
				END
	,[KOEF_VKR] = 
						case when D.summa_m = 0 then ISNULL((Select top 1 K.Koef2 from @Koef K where K.Mon >= T1.MONTH_BEGIN and doh <> 0 order by Mon),0)
						else ISNULL((Select top 1 K.Koef2 from @Koef K where K.Mon = T1.MONTH_BEGIN and K.Koef2 <> 0 order by Mon),0) end
	,T1.KOL
	,T1.KOL*T1.SUMMA
FROM
	@DICT_TAX_DEDUCTIONS IM 
	INNER JOIN @varKSTotal1 t1 ON IM.LINK = T1.REF_PAY
	INNER JOIN @Koef K ON K.Mon = T1.MONTH_BEGIN
	left join @TotTab D on T1.MONTH_BEGIN = D.[Month]
WHERE
	T1.SUMMA > 0	
ORDER BY 1
--SELECT '111',* FROM @TotTab
--select * from @vych

INSERT INTO dbo.SAL_DED_MONTH (LINK_EMPL,REF_DED,SUMMA,DATE_DED,LINK_VKR,LINK_EKR,TYPE, KOEF_VKR, KOL )
SELECT 	[LINK_EMPL] = @varKSlinkEmpl,
		[REF_DED] 	= T.REF_PAY,
		[SUMMA] 	= T.DEDUCT,
		[DATE_DED] 	= dbo.ConvertDMY2Date(1,t.[month],year(@varKSDate)),
		[LINK_VKR]	= @varKSLinkVKR,
		[LINK_EKR]	= @varKSLinkEKR,
		[TYPE] 		= 1, 
		[KOEF_VKR],
		[KOL]
FROM @vych T WHERE T.DEDUCT <> 0 

--==============
--    ,        
SELECT S.REF_DED, MONTH(DATE_DED) AS MN, V.SPR_SUM - SUM(SUMMA) AS SUMMA
INTO #CORRECT
FROM dbo.SAL_DED_MONTH S INNER JOIN @vych V ON V.[MONTH] = MONTH(S.DATE_DED) AND S.REF_DED = V.REF_PAY
WHERE YEAR(DATE_DED) = year(@varKSDate) AND LINK_EMPL = @varKSlinkEmpl
GROUP BY S.REF_DED, MONTH(DATE_DED), V.SPR_SUM
HAVING ABS(V.SPR_SUM - SUM(SUMMA)) BETWEEN 0.01 AND 0.02

IF EXISTS(SELECT * FROM #CORRECT) BEGIN

	UPDATE V
	SET V.DEDUCT = ISNULL(V.DEDUCT,0) + ISNULL(C.SUMMA,0)
	FROM @vych V INNER JOIN #CORRECT C ON V.[MONTH] = C.MN AND C.REF_DED = V.REF_PAY

	DELETE FROM dbo.SAL_DED_MONTH 
	WHERE YEAR(DATE_DED) = year(@varKSDate) AND LINK_EMPL = @varKSlinkEmpl AND [LINK_VKR] = @varKSLinkVKR AND [LINK_EKR] = @varKSLinkEKR
		AND REF_DED IN (SELECT REF_PAY FROM @vych)

	INSERT INTO dbo.SAL_DED_MONTH (LINK_EMPL,REF_DED,SUMMA,DATE_DED,LINK_VKR,LINK_EKR,TYPE, KOEF_VKR, KOL )
	SELECT 	[LINK_EMPL] = @varKSlinkEmpl,
				[REF_DED] 	= T.REF_PAY,
				[SUMMA] 	= T.DEDUCT,
				[DATE_DED] 	= dbo.ConvertDMY2Date(1,t.[month],year(@varKSDate)),
				[LINK_VKR]	= @varKSLinkVKR,
				[LINK_EKR]	= @varKSLinkEKR,
				[TYPE] 		= 1, --convert(NUMERIC(3,0),B.VALUE)
				[KOEF_VKR],
				[KOL]
	FROM @vych T WHERE T.DEDUCT <> 0 

END

----------------------------------------------------------------------------------------
IF @varKSfl=1 
	SELECT 
		[] = MONTH([DATE_DED]), [] = S.CODE, [] = LEFT(S.NAME,50), [] = D.SUMMA, [] = CONVERT(NUMERIC(18,4),D.KOEF_VKR)
	FROM 
		dbo.SAL_DED_MONTH D
		INNER JOIN dbo.[DICTIONARY_TYP_DEDUCTION] S ON S.LINK = D.REF_DED
	WHERE 
		LINK_EMPL = @varKSlinkEmpl
		AND YEAR([DATE_DED]) = @varKSYear
		AND [LINK_VKR]	= @varKSLinkVKR
		AND [LINK_EKR]	= @varKSLinkEKR
	ORDER BY
		MONTH([DATE_DED]), S.CODE	

-----------------------------------------------------------------------------------------
DECLARE @varKSTota TABLE
([MONTH] 		[int],
 [PERS_SUMMA_VKR]	[numeric](19, 2),
 [SUMMA_VKR]	[numeric](19, 2),
 [SUMMA_M]		[numeric](19, 2),
 [SUMMA_M_VKR]	[numeric](19, 2),
 [DED_M_ALL] 	[numeric](19, 2),
 [DED]			[numeric](19, 2),
 [DED_M]			[numeric](19, 2),
 [VYCH]			[numeric](19, 2),
 [VYCH_M]		[numeric](19, 2),
 [DOHOD_ALL]	[numeric](19, 2),
 [VICHET_ALL]	[numeric](19, 2)
 ) 

INSERT INTO @varKSTota([MONTH], [PERS_SUMMA_VKR], [SUMMA_VKR],[SUMMA_M],[SUMMA_M_VKR],[DED_M_ALL],[DED],[DED_M],[VYCH],[VYCH_M],[DOHOD_ALL],[VICHET_ALL])
SELECT T1.[MONTH],T1. [SUMMA_VKR], T1.[EMPL_SUMMA_VKR],T1.[SUMMA_M],T1.[SUMMA_M_VKR],T1.[DED_M_ALL],T1.[DED],T1.[DED_M],
		[VYCH]	=ISNULL((SELECT SUM(V.DEDUCT) FROM @vych v WHERE V.[MONTH]<= T1.[MONTH]),0),
		[VYCH_M] =ISNULL((SELECT SUM(V.DEDUCT) FROM @vych v WHERE V.[MONTH] = T1.[MONTH]),0),
		[DOHOD_ALL] = T1.[EMPL_SUMMA],
		[VICHET_ALL] = ISNULL((SELECT SUM(V.SPR_SUM) FROM @vych v WHERE V.[MONTH]<= T1.[MONTH]),0)
FROM @TotTab T1

IF @varKSfl=1 
	select [month] as [],pers_summa_vkr as [      ], summa_vkr as [      ], summa_m as [   ], 
	summa_m_vkr as [     ], ded_m_all as [ ], ded as [   ], ded_m as [    ], 
	vych as [ ], vych_m  as [  ] from @varKSTota

----
declare @varKSSumDed numeric(15,2), @varKSRange  numeric(15,2), @varKSResid int, @varKSStrCom varchar(1000)

SET @varKSSumDed = ISNULL(
	(SELECT sum(summa) 
	FROM
		dbo.PAYS P INNER JOIN dbo.CALCULATE_JURNAL SJ ON P.LINK = SJ.LINK_PAYS
	WHERE
		SJ.LINK_PAYS = @varKSRef_Pay
		AND YEAR(SJ.PERIOD_BEGIN) = @varKSYear
		AND MONTH(SJ.PERIOD_BEGIN) <=@varKSMonth 
		AND SJ.LINK_EMPL = @varKSlinkEmpl 
		AND SJ.LINK_VKR = @varKSLinkVKR
		AND SJ.LINK_DEP = @DEP_LINK 
		AND ISNULL(SJ.LINK_EKR,P.LINK_EKR) = @varKSLinkEKR)
	,0)	
	
SET @varKSSumDed = @varKSSumDed + ISNULL( (SELECT SUM(SR.NDFL) FROM dbo.SAL_REMAIN SR WHERE SR.LINK_EMPL = @varKSlinkEmpl AND SR.YEAR_SAL = @varKSYear AND SR.LINK_VKR = @varKSLinkVKR AND SR.LINK_EKR = @varKSLinkEKR), 0)

set @varKSRange =  dbo.SalaryGetNDFLRange (@varKSlinkEmpl,@varKSDate)
set @varKSResid = dbo.GetEmplResident(@varKSlinkEmpl)

IF @varKSfl=1 
	select [   ] = @varKSSumDed, [ ] = @varKSRange, [] = (case when @varKSResid = 1  then '' else ' ' end)


set @varKSStrCom = ''
DECLARE @varKSCurs CURSOR,
		  @varKSCurCOMMENT varchar(255)

SET @varKSCurs = CURSOR FORWARD_ONLY
FOR SELECT COMMENT FROM @vych WHERE DEDUCT <> 0 and [month]=@varKSMonth
OPEN @varKSCurs
FETCH NEXT FROM @varKSCurs INTO @varKSCurCOMMENT
WHILE @@FETCH_STATUS = 0
BEGIN
	SET @varKSStrCom = @varKSStrCom + ' ' + isnull(@varKSCurCOMMENT,'0')+ ' +'
	FETCH NEXT FROM @varKSCurs INTO @varKSCurCOMMENT
END 
CLOSE @varKSCurs
DEALLOCATE @varKSCurs

IF LEN(@varKSStrCom) > 2
	SET @varKSStrCom = LEFT(@varKSStrCom,LEN(@varKSStrCom)-2) 

IF @varKSfl=1 
BEGIN	
	PRINT '      '
	
	SELECT T.*,
	[sum_ded]=  isnull(@varKSSumDed,0),
	[summa] = 	case when DOHOD_ALL > VICHET_ALL THEN
					convert(numeric(18,2),(summa_vkr -ded - (case when @varKSResid = 1 then vych else 0 end))*@varKSRange/100)
				ELSE
					0
				END,
	[comment] = @varKSStrCom
	FROM @varKSTota T
	WHERE [MONTH] = @varKSMonth
	
END
--SELECT summa_vkr -ded - vych, * FROM @varKSTota
/*,         /    */
IF @varKSfl<>1 
SELECT 
	[MONTH],
	PERS_SUMMA_VKR= convert(numeric(18,2), [PERS_SUMMA_VKR]),
	SUMMA_VKR= convert(numeric(18,2), [SUMMA_VKR]),
	SUMMA_M= convert(numeric(18,2), [SUMMA_M]),
	SUMMA_M_VKR= convert(numeric(18,2), [SUMMA_M_VKR]),
	DED_M_ALL= convert(numeric(18,2), [DED_M_ALL]),
	DED= convert(numeric(18,2),[DED]),
	DED_M= convert(numeric(18,2),[DED_M]),
	VYCH= convert(numeric(18,2), [VYCH]),
	VYCH_M= convert(numeric(18,2), [VYCH_M]),
	[sum_ded]=  convert(numeric(18,0), isnull(@varKSSumDed,0)), 
	[summa] = 	case when convert(numeric(18,0),(summa_vkr -ded - (case when @varKSResid = 1 then vych else 0 end))*@varKSRange/100) > 0
			then 
				case when DOHOD_ALL > VICHET_ALL THEN
					convert(numeric(18,0),(summa_vkr -ded - (case when @varKSResid = 1 then vych else 0 end))*@varKSRange/100)
				ELSE
					0
				END					
			else 
				CASE WHEN @NDFL_OPT8 = 0 
				THEN 
					0
				ELSE
					convert(numeric(18,0),(summa_vkr -ded - (case when @varKSResid = 1 then vych else 0 end))*@varKSRange/100)
				END
			end,
	[comment] = Case when len(rtrim(ltrim(@varKSStrCom))) > 0 then '{' + RTRIM(LTRIM(@varKSStrCom)) + '}' else '' end,
	[RANGE] = @varKSRange/100
FROM @varKSTota T
WHERE [MONTH] = @varKSMonth


GO


GRANT EXECUTE ON dbo.[SD_U_NDFL_FILL] TO PUBLIC

GO

GO
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[SS_NDFL_REPORT]') AND OBJECTPROPERTY(id,N'IsProcedure') = 1)
DROP PROCEDURE dbo.[SS_NDFL_REPORT]

GO
CREATE PROCEDURE [dbo].[SS_NDFL_REPORT]
	
	@YEAR  varchar (4) , /*  */
	@MONTH INT	 /*  */

AS 
BEGIN

	DECLARE @DATE1 DATETIME,	/*   */
			@DATE2 DATETIME	/*   */

	--    
	DECLARE @LINK_DEP INT
	EXEC DBO.XD_WHATS_ZB @LINK_DEP OUTPUT

	--   
	set @DATE1 = dbo.ConvertDMY2Date(1,1,@YEAR)
	--   ,    
	SET @DATE2 = dbo.DateEndOfMonth(dbo.ConvertDMY2Date(1,@MONTH,@YEAR))

	--  ,     
	CREATE TABLE #NACHISL0 (LINK INT, SUMMA NUMERIC(18,2))
	
	INSERT INTO #NACHISL0 (LINK, SUMMA)
	SELECT E.pers_link, SUMMA
	FROM 
		dbo.PAYS P
		INNER JOIN dbo.CALCULATE_JURNAL J ON J.LINK_PAYS = P.LINK
		INNER JOIN dbo.EMPL E ON J.LINK_EMPL = E.LINK
	WHERE
		P.[OBJECT] = 2 AND P.WAY_CALC in (4,5,6)
		AND
		J.LINK_DEP = @LINK_DEP
		AND 
		J.PERIOD_BEGIN BETWEEN @DATE1 AND @DATE2
		And
		LINK_EMPL IS NOT NULL	

	INSERT INTO #NACHISL0 (LINK, SUMMA)
	SELECT pers_link, SUMMA
	FROM 
		dbo.PAYS P
		INNER JOIN dbo.CALCULATE_JURNAL J ON J.LINK_PAYS = P.LINK
	WHERE
		P.[OBJECT] = 2 AND P.WAY_CALC in (4,5,6)
		AND
		J.LINK_DEP = @LINK_DEP
		AND 		
		J.PERIOD_BEGIN BETWEEN @DATE1 AND @DATE2
		And
		LINK_EMPL IS NULL AND pers_link IS NOT NULL		


	CREATE TABLE #NACHISL (LINK INT, SUMMA NUMERIC(18,2))
	
	INSERT INTO #NACHISL (LINK, SUMMA)
	
	SELECT LINK, SUM(SUMMA)
	FROM #NACHISL0
	GROUP BY LINK 	


	--   
	CREATE TABLE #PERECHISL (LINK INT, SUMMA NUMERIC(18,2))	

	INSERT INTO #PERECHISL (LINK)
	SELECT LINK
	FROM #NACHISL
	GROUP BY LINK	

	DECLARE @SUMMA_PLAT_ALL NUMERIC(18,2)
	DECLARE @SUMMA_NACH_ALL NUMERIC(18,2)
	EXEC dbo.SA_NDFL_PLAT @DATE1, @DATE2, @LINK_DEP, @SUMMA_PLAT_ALL OUT
	EXEC dbo.SA_NDFL_NACHISL @DATE1, @DATE2, @LINK_DEP, @SUMMA_NACH_ALL OUT

	update  #PERECHISL 
		set SUMMA = case when (CONVERT(NUMERIC(18,2), ISNULL( @SUMMA_PLAT_ALL * CASE WHEN @SUMMA_NACH_ALL > 0 THEN ( n.summa / @SUMMA_NACH_ALL) ELSE 0 END, 0))) > isnull(n.summa,0)
					then isnull(n.summa,0)
					else CONVERT(NUMERIC(18,2), ISNULL( @SUMMA_PLAT_ALL * CASE WHEN @SUMMA_NACH_ALL > 0 THEN ( n.summa / @SUMMA_NACH_ALL) ELSE 0 END, 0)) end
	FROM #NACHISL n where  #PERECHISL.link = n.link
	--  ,      ,   
	CREATE TABLE #PERS(LINK INT)
	
	INSERT INTO #PERS (LINK)
	SELECT DISTINCT LINK FROM #NACHISL
	UNION
	SELECT DISTINCT LINK FROM #PERECHISL


	EXEC dbo.BufferClear
	EXEC dbo.BufferPushTable '#PERS', 'REP2NDFL', 'link'
--<-------------------------------------------------------------------------
--<-------------------------------------------------------------------------
	----           ,   ,    \\ 	
	CREATE TABLE #RES0 (
		ID INT IDENTITY,
		NOM_SPR INT,
		LINK_FACE INT,
		SEX INT,
		INNFIZ VARCHAR(20),
		NUMB_SERT VARCHAR(20),
		STATUS VARCHAR(1),
		FIO VARCHAR(254),
		FM VARCHAR(254),
		IM VARCHAR(254),
		OT VARCHAR(254),
		KDVD VARCHAR(4),
		SERNOM VARCHAR(254), 
		BIRTH DATETIME,
		GRAZD VARCHAR(3),
		KSTR VARCHAR(3),
		LINK_ADR INT,
		IND_ADR VARCHAR(10),
		REGION VARCHAR(4),
		RAION VARCHAR(254),
		GOROD VARCHAR(254),
		NASEL VARCHAR(254),
		STREET VARCHAR(254),
		HOUSE VARCHAR(20),
		KORP VARCHAR(10),
		FLAT VARCHAR(10),

		KSTR_ino VARCHAR(3),
		Adr_ino VARCHAR(200),

		O_OKATO VARCHAR(14),
		O_KPP VARCHAR(9),		

		ksv1 varchar(3), ssv1 numeric(11,2),
		ksv2 varchar(3), ssv2 numeric(11,2),
		ksv3 varchar(3), ssv3 numeric(11,2),
		ksv4 varchar(3), ssv4 numeric(11,2),
		ksv5 varchar(3), ssv5 numeric(11,2),
		ksv6 varchar(3), ssv6 numeric(11,2),
		ksv7 varchar(3), ssv7 numeric(11,2),
		ksv8 varchar(3), ssv8 numeric(11,2),
		ksv9 varchar(3), ssv9 numeric(11,2),
		ksv10 varchar(3), ssv10 numeric(11,2),
		ksv11 varchar(3), ssv11 numeric(11,2),
		ksv12 varchar(3), ssv12 numeric(11,2),
		ssv numeric(11,2), siv numeric(11,2),
		osd13 numeric(11,2), sdo13 numeric(11,2), 
		nalogn13 numeric(18), nalogu13 numeric(18),
		NALOG13S numeric(18), PERSCENT numeric(5,2),
		err int,
		S_5_6 NUMERIC(18,2), S_5_7 NUMERIC(18,2),		
		dolg_np numeric(8), dolg_na numeric(8),
		kbkcode1 varchar(30), kbkcode2 varchar(30), kbkcode3 varchar(30), kbkcode4 varchar(30), 
		kbksum1 numeric(18,2), kbksum2 numeric(18,2),kbksum3 numeric(18,2),kbksum4 numeric(18,2),
		VIFNSPL numeric(18,2),
		ZSummPL numeric(18,2),
		UdSumPL numeric(18,2),
		VzkIFNS numeric(18,2)

	)	
	
	Declare @isPrevPreiod tinyint
		--        ,     .                   
	Set @isPrevPreiod = dbo.sa_get_option_by_code('NDFL_OPT6')

	create table #S_J_C_SHORT (LINK_FACE int,PERS_LINK int, link_empl int, link_pays int, link_vkr int, link_ekr int, typ_per tinyint, typ_oper tinyint, summa numeric(18,2), link_inc int, period_begin datetime, date1 datetime, link_dep int)

	Insert into #S_J_C_SHORT (LINK_FACE, PERS_LINK, link_empl, link_pays, link_vkr, link_ekr, typ_per, typ_oper, summa, link_inc, period_begin, date1, link_dep)
	Select 
		E.PERS_LINK, JC.PERS_LINK, JC.LINK_EMPL, P.LINK, link_vkr, ISNULL(JC.LINK_EKR,P.LINK_EKR), P.TYP_PER, P.OBJECT, summa, P.LINK_INC,
		period_begin = (case when @isPrevPreiod = 0 then JC.period_begin 
				else (Case 
						when JC.DATE_BEGIN < JC.period_begin and year(JC.DATE_BEGIN) = year(JC.period_begin) and d.code = 'DOCUMENTS_ADD_TABEL'
						then JC.DATE_BEGIN else JC.period_begin 
					end) 
				end),
		JC.DATE_BEGIN,
		JC.LINK_DEP
	from 
		dbo.CALCULATE_JURNAL JC 
		INNER JOIN dbo.NDFL_GroupTax() T ON JC.LINK_PAYS=T.LINK_PAYS
		LEFT JOIN dbo.EMPL E ON JC.LINK_EMPL = E.LINK
		LEFT JOIN dbo.PAYS P ON JC.LINK_PAYS = P.LINK
		LEFT JOIN (Select d.link, o.code from sdoc d inner join dbo.s_objects o on d.object = o.link) d on jc.LINK_DOC = d.link
	where
		(
				(@isPrevPreiod = 0 or ISNULL(d.code,'') <> 'DOCUMENTS_ADD_TABEL') and @Month >= month(JC.PERIOD_BEGIN) and @Year = year(JC.PERIOD_BEGIN)
				or 
				@isPrevPreiod = 1 and ISNULL(d.code,'') = 'DOCUMENTS_ADD_TABEL'
				and (@Month >= month(JC.DATE_BEGIN) or @Month >= month(JC.PERIOD_BEGIN) )
				and (@Year = year(JC.DATE_BEGIN) or @Year = year(JC.PERIOD_BEGIN) )

			)
		/*AND  
			(	-->>NEW
			E.PERS_LINK in (select LINK from #PERS )
			or
			JC.PERS_LINK in (select LINK from #PERS )
			)
		*/		
		AND JC.LINK_DEP = @LINK_DEP 
	union all --
	Select LINK_FACE, PERS_LINK, link_empl, link_pays, link_vkr, link_ekr, typ_per, typ_oper, summa, link_inc, period_begin, date1, link_dep
	from dbo.S_J_C_SHORT SJC 
		LEFT JOIN DICTIONARY_TYP_INCOMS DTI ON DTI.LINK = SJC.LINK_INC 
	where 
		SJC.LINK_DEP = @LINK_DEP
		/*and
		(
			SJC.LINK_FACE in (select LINK from #PERS )
			or
			SJC.PERS_LINK in (select LINK from #PERS )
		)*/
		and YEAR(SJC.PERIOD_BEGIN) = @Year
		and Month(SJC.PERIOD_BEGIN) <= @Month
		and TYP_OPER = 2

		-----------------------------------------------------------
		--  
		DECLARE @DATE DATETIME
		SET @DATE = DBO.ConvertDMY2Date(1,@Month, @Year)
		SET @DATE = DBO.DateEndOfMonth(@DATE)

		CREATE TABLE #E_SUBDIV (EMPL_LINK INT, SUBDIV_LINK INT)
		INSERT INTO #E_SUBDIV (EMPL_LINK, SUBDIV_LINK)
		SELECT EMPL_LINK, SUBDIV_LINK
		FROM DBO.SA_EMPLS_INFO(@DATE, DEFAULT)
		WHERE [STATUS] = 1 OR [STATUS] = 3

		CREATE TABLE #S_OBOSOB (SUBDIV_LINK INT, O_OKATO VARCHAR(14), O_KPP VARCHAR(9))
		INSERT INTO #S_OBOSOB (SUBDIV_LINK, O_OKATO, O_KPP)
		SELECT SUBDIV_LINK, O_OKATO, O_KPP 
		FROM [dbo].SUBDIVISION(@DATE) 
		WHERE OBOSOB = 1

		CREATE TABLE #P_OBOSOB (PERS_LINK INT, O_OKATO VARCHAR(14), O_KPP VARCHAR(9))
		INSERT INTO #P_OBOSOB(PERS_LINK, O_OKATO, O_KPP)
		SELECT E.PERS_LINK, SO.O_OKATO, SO.O_KPP 
		FROM 
			#S_OBOSOB SO INNER JOIN #E_SUBDIV ES ON SO.SUBDIV_LINK = ES.SUBDIV_LINK
			INNER JOIN DBO.EMPL E ON E.LINK = ES.EMPL_LINK

-----------------------------------------------------------
	INSERT INTO #RES0 (
		LINK_FACE,
		SEX,
		INNFIZ, --NALOG,
		NUMB_SERT,
		STATUS,
		FIO,
		FM, IM, OT,
		KDVD,
		SERNOM, 
		BIRTH,
		GRAZD,
		KSTR,
		LINK_ADR,
		IND_ADR,
		REGION,
		RAION,
		GOROD,
		NASEL,
		STREET,
		HOUSE,
		KORP,
		FLAT, 
		KSTR_ino,
		Adr_ino,
		ERR,
		O_OKATO,
		O_KPP
	)

	SELECT 	distinct 
		P.LINK, P.SEX, P.INN, /*P.IFNS,*/ P.INSUR_NUM, 
		CASE 
			WHEN P.RESIDENT  IS NULL THEN ''
			WHEN P.RESIDENT = 1 THEN '1'
			WHEN P.RESIDENT = 0 THEN '2'
		END,
		RTRIM(P.FM) + ',' + RTRIM(P.IM) + ',' + RTRIM(P.OT),
		RTRIM(P.FM), RTRIM(P.IM), RTRIM(P.OT),
		[KDVD] = (SELECT TOP 1 CODE FROM FACE_DOCUMENT WHERE LINK = P.DOC_LINK),
		P.DOC_NUM,
		P.BIRTHDATE,
		GRAZD= (SELECT TOP 1 CODE FROM CITIZENSHIP WHERE LINK = P.CITIZ_LINK),
		KSTR= (case when (SELECT TOP 1 CODE FROM CITIZENSHIP WHERE LINK = P.CITIZ_LINK) = '1' then '643' else '' END),
		ADR.LINK_ADDR,
		ADR.IND_ADR,
		ADR.REGION,
		ADR.RAION,
		ADR.GOROD,
		ADR.NASEL,
		ADR.STREET,
		ADR.HOUSE,
		ADR.KORP,
		ADR.FLAT,
		KSTR_ino = '',
		Adr_ino = '',
		0,
		PO.O_OKATO,
		PO.O_KPP
	FROM 
		/*#PERS F 
		INNER JOIN */PERSON P /*ON P.LINK = F.LINK*/
		INNER JOIN (SELECT LINK_FACE from #S_J_C_Short SJC where LINK_FACE is not null
			UNION SELECT LINK_FACE= PERS_LINK from #S_J_C_Short SJC where PERS_LINK is not null) J on P.LINK = J.LINK_FACE
		LEFT OUTER JOIN dbo.NDFL_GET_ADDRESS() ADR ON P.LINK = ADR.LINK_FACE
		LEFT JOIN #P_OBOSOB PO ON PO.PERS_LINK = P.LINK
	ORDER BY 
		RTRIM(P.FM) + ',' + RTRIM(P.IM) + ',' + RTRIM(P.OT)

		
	select distinct LINK_FACE, Y = year(PERIOD_BEGIN), M = month(PERIOD_BEGIN),  LINK_INC, LINK_VKR  
	into #spr_pays_kbk
	from 	#S_J_C_SHORT where TYP_OPER = 1
	

	CREATE TABLE #PAYS_0_tmp
	(
		ID INT IDENTITY,
		LINK_FACE INT,
		mes int, 
		LINK_INC INT, CODE_INC VARCHAR(4), SUMMA_INC NUMERIC(13,2),
		LINK_DED INT, CODE_DED VARCHAR(3), SUMMA_DED NUMERIC(13,2)
	)

	CREATE TABLE #PAYS_0
	(
		ID INT IDENTITY,
		LINK_FACE INT, 
		mes int, 
		LINK_INC INT, CODE_INC VARCHAR(4), SUMMA_INC NUMERIC(13,2),
		LINK_DED INT, CODE_DED VARCHAR(3), SUMMA_DED NUMERIC(13,2)
	)

	INSERT INTO #PAYS_0_tmp
	(LINK_FACE, mes, 
	LINK_INC, CODE_INC, SUMMA_INC,
	LINK_DED, CODE_DED, SUMMA_DED)
	SELECT 
		SJC.LINK_FACE,
		mes = MONTH(SJC.PERIOD_BEGIN),
		LINK_INC, ISNULL(DTI.SNAME,'0000'),
		SUM(SUMMA) AS SUMMA_INC,
		DTI.REF_DEDUCT AS LINK_DED, DTI.COD_DED,
		CAST(0 AS NUMERIC(20,2)) AS SUMMA_DED
	FROM 
		#S_J_C_SHORT SJC 
		LEFT JOIN dbo.DICTIONARY_TYP_INCOMS DTI ON DTI.LINK = SJC.LINK_INC AND SJC.LINK_FACE IS NOT null
		/*LEFT JOIN #PERS F ON SJC.LINK_FACE = F.LINK*/
	WHERE 
		SJC.TYP_OPER = 1
		AND
		YEAR(SJC.PERIOD_BEGIN) = @Year
		and
		Month(SJC.PERIOD_BEGIN) <= @Month
		AND
		ISNULL(SJC.PERS_LINK,0) = 0
		AND
		SJC.LINK_DEP = @LINK_DEP 
	GROUP BY 
		SJC.LINK_FACE, SJC.TYP_PER, SJC.PERIOD_BEGIN, LINK_INC, DTI.REF_DEDUCT, ISNULL(DTI.SNAME,'0000'), DTI.COD_DED

	---<<    	
	union all 

	SELECT 
		F.LINK,
		mes = MONTH(SJC.PERIOD_BEGIN),
		LINK_INC, ISNULL(DTI.SNAME,'0000'),
		SUM(SUMMA) AS SUMMA_INC,
		DTI.REF_DEDUCT AS LINK_DED, DTI.COD_DED,
		CAST(0 AS NUMERIC(20,2)) AS SUMMA_DED
	FROM #S_J_C_SHORT SJC 	
		LEFT JOIN dbo.DICTIONARY_TYP_INCOMS DTI ON DTI.LINK = SJC.LINK_INC AND SJC.PERS_LINK IS NOT NULL --AND DTI.SNAME <> '0000'
		LEFT outer JOIN #PERS F ON SJC.PERS_LINK = F.LINK
	WHERE 	SJC.TYP_OPER = 1
		AND
		YEAR(SJC.PERIOD_BEGIN) = @Year
		and
		Month(SJC.PERIOD_BEGIN) <= @Month
		AND
		ISNULL(SJC.LINK_FACE,0) = 0
		AND
		SJC.LINK_DEP = @LINK_DEP
	GROUP BY 
		F.LINK, SJC.TYP_PER, SJC.PERIOD_BEGIN, LINK_INC, DTI.REF_DEDUCT, ISNULL(DTI.SNAME,'0000'), DTI.COD_DED
	ORDER BY 
		1, ISNULL(DTI.SNAME,'0000'), COD_DED

	INSERT INTO #PAYS_0
	Select LINK_FACE, mes, LINK_INC, CODE_INC, sum(SUMMA_INC), LINK_DED, CODE_DED, sum(SUMMA_DED)
	from #PAYS_0_tmp
	group by LINK_FACE, mes, LINK_INC, CODE_INC, LINK_DED, CODE_DED
	having Sum(SUMMA_INC) <> 0

	drop table #PAYS_0_tmp	
	---->>
	--
	SELECT D.LINK_FACE, D.mes, SUM(D.SUMMA) as SUMMA, D.REF_DED INTO #DED 
	FROM 
		dbo.SA_NDFL_MONTH_DED_ALL(@Year) D 
		inner join #spr_pays_kbk kbk on kbk.LINK_FACE = d.LINK_FACE and kbk.m = d.mes and kbk.link_inc = d.REF_INC and kbk.LINK_VKR = d.LINK_VKR
	where 
		kbk.y = @Year
		and kbk.m <= @Month
	GROUP BY 
		D.LINK_FACE, d.mes, d.REF_DED


	UPDATE #PAYS_0
	SET SUMMA_DED = 
		(SELECT SUM(SUMMA) FROM #DED D WHERE D.LINK_FACE = R.LINK_FACE AND D.REF_DED = R.LINK_DED AND D.mes = R.mes ) 
	FROM #PAYS_0 R 
	WHERE LINK_DED IS NOT NULL


	update #PAYS_0 
		Set CODE_DED = ''
		where ISNULL(SUMMA_DED,0) = 0	

	CREATE TABLE #P0 (LINK_FACE INT, ID1 INT)


	--- 1

	CREATE TABLE #PAYS1(LINK_FACE INT, SM NUMERIC(11,2), MONTH_NUM INT)
	INSERT INTO #PAYS1
	--SELECT LINK_FACE, SM, [MONTH]
	--FROM dbo.NDFL_BASE_SUM_TAX_MONTH_ALL(@Month, @Year)
	

	SELECT 
		SJC.LINK_FACE,
		SUM(SUMMA) AS SUMMA_INC,
		Month(SJC.PERIOD_BEGIN)
	FROM 
		#S_J_C_SHORT SJC 
		INNER JOIN dbo.DICTIONARY_TYP_INCOMS DTI ON DTI.LINK = SJC.LINK_INC
		LEFT JOIN #PERS F ON SJC.LINK_FACE = F.LINK
	WHERE 
		YEAR(SJC.PERIOD_BEGIN) = @Year
		and Month(SJC.PERIOD_BEGIN) <= @Month
		AND ISNULL(SJC.PERS_LINK,0) = 0
		AND SJC.LINK_DEP = @LINK_DEP 
	GROUP BY SJC.LINK_FACE, SJC.PERIOD_BEGIN


	---<<    
	insert into #pays1

	SELECT 
		F.LINK,
		SUM(SUMMA) AS SUMMA_INC,
		Month(SJC.PERIOD_BEGIN)
	FROM 
		#S_J_C_SHORT SJC 
		INNER JOIN dbo.DICTIONARY_TYP_INCOMS DTI ON DTI.LINK = SJC.LINK_INC
		INNER JOIN #PERS F ON SJC.PERS_LINK = F.LINK
	WHERE 
		YEAR(SJC.PERIOD_BEGIN) = @Year
		and Month(SJC.PERIOD_BEGIN) <= @Month
		AND ISNULL(SJC.LINK_FACE,0) = 0
		AND SJC.LINK_DEP = @LINK_DEP 
	GROUP BY F.LINK, SJC.PERIOD_BEGIN

	---->>

	SELECT LINK_FACE, SUM(SM) AS SM
	INTO #PAYS_R
	FROM #PAYS1
	GROUP BY LINK_FACE

	INSERT INTO #PAYS1
	SELECT 
		EP.PERS_LINK, -SUM(SUMMA), MONTH(DATE_DED)
	FROM    
		dbo.empl EP 
		inner join SAL_DED_MONTH S ON (EP.LINK = S.LINK_EMPL AND YEAR(DATE_DED) = @Year and Month(DATE_DED) <= @Month AND [TYPE] = 2)
		left JOIN dbo.BufferGetTableById('REP2NDFL') B ON B.LINK = EP.pers_link --: EP.LINK
	where 
		EP.DEP_LINK = @LINK_DEP	
	GROUP BY 
		EP.PERS_LINK, MONTH(DATE_DED)

	CREATE TABLE #PAYS3(ID INT IDENTITY, LINK_FACE INT, LINK_DED INT, CODE_DED VARCHAR(6), SUMMA NUMERIC(18,2), SUMMA_FAKT NUMERIC(18,2))
	--     
	-- 
	INSERT INTO #PAYS3 (LINK_FACE, LINK_DED, CODE_DED, SUMMA, SUMMA_FAKT)
	SELECT 	
		EP.PERS_LINK, min(S.REF_DED), T.CODE, 
		CONVERT(NUMERIC(18,2), SUM((case when KOEF_VKR is not null then DTD.SUMMA * KOEF_VKR else DTD.SUMMA end) * ISNULL(S.KOL,0) )), 
		SUM(S.SUMMA) 
	FROM 
		dbo.empl EP 
		INNER JOIN SAL_DED_MONTH S ON (EP.LINK = S.LINK_EMPL AND YEAR(DATE_DED) = @Year and Month(DATE_DED) <= @Month AND TYPE = 1)
		INNER JOIN dbo.DICTIONARY_TYP_DEDUCTION T ON T.LINK = S.REF_DED 
		INNER JOIN dbo.Salary_deductions(@DATE1) DTD on DTD.REF_PAY = S.REF_DED
		LEFT JOIN dbo.BufferGetTableById('REP2NDFL') B ON B.LINK = EP.pers_link --: EP.LINK
	where 
		T.NUMBER IN (	1, --
						6 --    
						)
		AND			
		EP.DEP_LINK = @LINK_DEP	and S.SUMMA <> 0
	GROUP BY 
		EP.PERS_LINK, T.CODE

	-- 
	INSERT INTO #PAYS3 (LINK_FACE, LINK_DED, CODE_DED, SUMMA, SUMMA_FAKT)
	SELECT 	
		EP.PERS_LINK, min(S.REF_DED), T.CODE, 
		CONVERT(NUMERIC(18,2), SUM((case when KOEF_VKR is not null then DTD.SUMMA * KOEF_VKR else DTD.SUMMA end) * ISNULL(S.KOL,0) )), 
		SUM(S.SUMMA) 
	FROM 
		dbo.REESTR_DGH EP 
		INNER JOIN SAL_DED_MONTH S ON (EP.LINK = S.LINK_DGH AND YEAR(DATE_DED) = @Year and Month(DATE_DED) <= @Month AND S.[TYPE] = 1)
		INNER JOIN dbo.BufferGetTableById('REP2NDFL') B ON B.LINK = EP.pers_link --: EP.LINK
		INNER JOIN dbo.DICTIONARY_TYP_DEDUCTION T ON T.LINK = S.REF_DED 
		INNER JOIN dbo.Salary_deductions(@DATE1) DTD on DTD.REF_PAY = S.REF_DED
	where 
		T.NUMBER IN (	1, --
						6 --    
						)
		AND			
		EP.DEP_LINK = @LINK_DEP	and S.SUMMA <> 0
	GROUP BY 
		EP.PERS_LINK, T.CODE

	--UPDATE #PAYS3
	--SET
	--	SUMMA = (Select sum(SUM_DED) from dbo.TAX_DEDUCTIONS TD where TD.LINK_DEP = @DEP_LINK AND TD.link_person = #PAYS3.LINK_FACE and TD.LINK_DICTION = #PAYS3.LINK_DED and TD.[YEAR] = @varKSnYear and TD.Month1 <= @nMonth)	
	--where
	--	exists (Select * from dbo.TAX_DEDUCTIONS TD where TD.LINK_DEP = @DEP_LINK AND TD.link_person = #PAYS3.LINK_FACE and TD.LINK_DICTION = #PAYS3.LINK_DED and TD.[YEAR] = @varKSnYear and TD.Month1 <= @nMonth)	

	UPDATE #PAYS3
	SET
		SUMMA = ISNULL(SUMMA_FAKT,0)
	where
		ISNULL(SUMMA,0) = 0

	--  (,     .)
	INSERT INTO #PAYS3 (LINK_FACE, LINK_DED, CODE_DED, SUMMA, SUMMA_FAKT)
	SELECT 	
		EP.PERS_LINK, min(S.REF_DED), T.CODE, SUM(S.SUMMA), SUM(S.SUMMA) 
	FROM 
		dbo.EMPL EP 
		INNER JOIN SAL_DED_MONTH S ON (EP.LINK = S.LINK_EMPL AND YEAR(DATE_DED) = @Year and Month(DATE_DED) <= @Month AND TYPE = 1)
		INNER JOIN dbo.DICTIONARY_TYP_DEDUCTION T ON T.LINK = S.REF_DED 
		LEFT JOIN dbo.BufferGetTableById('REP2NDFL') B ON B.LINK = EP.pers_link --: EP.LINK
	where 
		T.NUMBER NOT IN (	1, --
							6 --    
							)
		AND			
		EP.DEP_LINK = @LINK_DEP	and S.SUMMA <> 0
	GROUP BY 
		EP.PERS_LINK, T.CODE

	--   . 
	update #RES0
	Set siv = ISNULL( (Select sum(P3.SUMMA_FAKT) from #PAYS3 P3 where R.LINK_FACE = P3.LINK_FACE and P3.LINK_DED IN (SELECT DISTINCT LINK_DICTION FROM TAX_DEDUCTIONS td WHERE TD.LINK_DEP = @LINK_DEP AND TD.[YEAR] = @Year and TD.Month1 <= @Month)),0),
		ssv = ISNULL( (Select sum(P3.SUMMA_FAKT) from #PAYS3 P3 where R.LINK_FACE = P3.LINK_FACE and P3.LINK_DED NOT IN (SELECT DISTINCT LINK_DICTION FROM TAX_DEDUCTIONS td WHERE TD.LINK_DEP = @LINK_DEP AND TD.[YEAR] = @Year and TD.Month1 <= @Month)),0)		

	from #RES0 R
	--
	DELETE FROM #P0

	INSERT INTO #P0
	SELECT LINK_FACE, MIN(ID) FROM #PAYS3 GROUP BY LINK_FACE
	IF @@ROWCOUNT <> 0 BEGIN
		UPDATE #RES0
		SET KSV1 = (SELECT top 1 P00.CODE_DED FROM #PAYS3 P00, #P0 P0 WHERE P0.ID1 = P00.ID AND P0.LINK_FACE = R.LINK_FACE) FROM #RES0 R
		UPDATE #RES0
		SET SSV1 = (SELECT top 1 P00.SUMMA_FAKT FROM #PAYS3 P00, #P0 P0 WHERE P0.ID1 = P00.ID AND P0.LINK_FACE = R.LINK_FACE) FROM #RES0 R
	
		DELETE FROM #PAYS3 WHERE ID IN (SELECT ID1 FROM #P0)
		DELETE FROM #P0
	END

	INSERT INTO #P0
	SELECT LINK_FACE, MIN(ID) FROM #PAYS3 GROUP BY LINK_FACE

	IF @@ROWCOUNT <> 0 BEGIN
		UPDATE #RES0
		SET KSV2 = (SELECT top 1 P00.CODE_DED FROM #PAYS3 P00, #P0 P0 WHERE P0.ID1 = P00.ID AND P0.LINK_FACE = R.LINK_FACE) FROM #RES0 R
		UPDATE #RES0
		SET SSV2 = (SELECT top 1 P00.SUMMA_FAKT FROM #PAYS3 P00, #P0 P0 WHERE P0.ID1 = P00.ID AND P0.LINK_FACE = R.LINK_FACE) FROM #RES0 R
	
		DELETE FROM #PAYS3 WHERE ID IN (SELECT ID1 FROM #P0)
		DELETE FROM #P0
	END

	INSERT INTO #P0
	SELECT LINK_FACE, MIN(ID) FROM #PAYS3 GROUP BY LINK_FACE
	IF @@ROWCOUNT <> 0 BEGIN
		UPDATE #RES0
		SET KSV3 = (SELECT top 1 P00.CODE_DED FROM #PAYS3 P00, #P0 P0 WHERE P0.ID1 = P00.ID AND P0.LINK_FACE = R.LINK_FACE) FROM #RES0 R
		UPDATE #RES0
		SET SSV3 = (SELECT top 1 P00.SUMMA_FAKT FROM #PAYS3 P00, #P0 P0 WHERE P0.ID1 = P00.ID AND P0.LINK_FACE = R.LINK_FACE) FROM #RES0 R

		DELETE FROM #PAYS3 WHERE ID IN (SELECT ID1 FROM #P0)
		DELETE FROM #P0
	END

	INSERT INTO #P0
	SELECT LINK_FACE, MIN(ID) FROM #PAYS3 GROUP BY LINK_FACE

	IF @@ROWCOUNT <> 0 BEGIN
		UPDATE #RES0
		SET KSV4 = (SELECT top 1 P00.CODE_DED FROM #PAYS3 P00, #P0 P0 WHERE P0.ID1 = P00.ID AND P0.LINK_FACE = R.LINK_FACE) FROM #RES0 R
		UPDATE #RES0
		SET SSV4 = (SELECT top 1 P00.SUMMA_FAKT FROM #PAYS3 P00, #P0 P0 WHERE P0.ID1 = P00.ID AND P0.LINK_FACE = R.LINK_FACE) FROM #RES0 R

		DELETE FROM #PAYS3 WHERE ID IN (SELECT ID1 FROM #P0)
		DELETE FROM #P0
	END

	INSERT INTO #P0
	SELECT LINK_FACE, MIN(ID) FROM #PAYS3 GROUP BY LINK_FACE

	IF @@ROWCOUNT <> 0 BEGIN
		UPDATE #RES0
		SET KSV5 = (SELECT top 1 P00.CODE_DED FROM #PAYS3 P00, #P0 P0 WHERE P0.ID1 = P00.ID AND P0.LINK_FACE = R.LINK_FACE) FROM #RES0 R
		UPDATE #RES0
		SET SSV5 = (SELECT top 1 P00.SUMMA_FAKT FROM #PAYS3 P00, #P0 P0 WHERE P0.ID1 = P00.ID AND P0.LINK_FACE = R.LINK_FACE) FROM #RES0 R

		DELETE FROM #PAYS3 WHERE ID IN (SELECT ID1 FROM #P0)
		DELETE FROM #P0
	END

	INSERT INTO #P0
	SELECT LINK_FACE, MIN(ID) FROM #PAYS3 GROUP BY LINK_FACE

	IF @@ROWCOUNT <> 0 BEGIN
		UPDATE #RES0
		SET KSV6 = (SELECT top 1 P00.CODE_DED FROM #PAYS3 P00, #P0 P0 WHERE P0.ID1 = P00.ID AND P0.LINK_FACE = R.LINK_FACE) FROM #RES0 R
		UPDATE #RES0
		SET SSV6 = (SELECT top 1 P00.SUMMA_FAKT FROM #PAYS3 P00, #P0 P0 WHERE P0.ID1 = P00.ID AND P0.LINK_FACE = R.LINK_FACE) FROM #RES0 R

		DELETE FROM #PAYS3 WHERE ID IN (SELECT ID1 FROM #P0)
		DELETE FROM #P0
	END

	INSERT INTO #P0
	SELECT LINK_FACE, MIN(ID) FROM #PAYS3 GROUP BY LINK_FACE

	IF @@ROWCOUNT <> 0 BEGIN
		UPDATE #RES0
		SET KSV7 = (SELECT top 1 P00.CODE_DED FROM #PAYS3 P00, #P0 P0 WHERE P0.ID1 = P00.ID AND P0.LINK_FACE = R.LINK_FACE) FROM #RES0 R
		UPDATE #RES0
		SET SSV7 = (SELECT top 1 P00.SUMMA_FAKT FROM #PAYS3 P00, #P0 P0 WHERE P0.ID1 = P00.ID AND P0.LINK_FACE = R.LINK_FACE) FROM #RES0 R

		DELETE FROM #PAYS3 WHERE ID IN (SELECT ID1 FROM #P0)
		DELETE FROM #P0
	END

	INSERT INTO #P0
	SELECT LINK_FACE, MIN(ID) FROM #PAYS3 GROUP BY LINK_FACE

	IF @@ROWCOUNT <> 0 BEGIN
		UPDATE #RES0
		SET KSV8 = (SELECT top 1 P00.CODE_DED FROM #PAYS3 P00, #P0 P0 WHERE P0.ID1 = P00.ID AND P0.LINK_FACE = R.LINK_FACE) FROM #RES0 R
		UPDATE #RES0
		SET SSV8 = (SELECT top 1 P00.SUMMA_FAKT FROM #PAYS3 P00, #P0 P0 WHERE P0.ID1 = P00.ID AND P0.LINK_FACE = R.LINK_FACE) FROM #RES0 R
		DELETE FROM #PAYS3 WHERE ID IN (SELECT ID1 FROM #P0)
		DELETE FROM #P0
	END

	INSERT INTO #P0
	SELECT LINK_FACE, MIN(ID) FROM #PAYS3 GROUP BY LINK_FACE

	IF @@ROWCOUNT <> 0 BEGIN
		UPDATE #RES0
		SET KSV9 = (SELECT top 1 P00.CODE_DED FROM #PAYS3 P00, #P0 P0 WHERE P0.ID1 = P00.ID AND P0.LINK_FACE = R.LINK_FACE) FROM #RES0 R
		UPDATE #RES0
		SET SSV9 = (SELECT top 1 P00.SUMMA_FAKT FROM #PAYS3 P00, #P0 P0 WHERE P0.ID1 = P00.ID AND P0.LINK_FACE = R.LINK_FACE) FROM #RES0 R
		DELETE FROM #PAYS3 WHERE ID IN (SELECT ID1 FROM #P0)
		DELETE FROM #P0
	END

	INSERT INTO #P0
	SELECT LINK_FACE, MIN(ID) FROM #PAYS3 GROUP BY LINK_FACE

	IF @@ROWCOUNT <> 0 BEGIN
		UPDATE #RES0
		SET KSV10 = (SELECT top 1 P00.CODE_DED FROM #PAYS3 P00, #P0 P0 WHERE P0.ID1 = P00.ID AND P0.LINK_FACE = R.LINK_FACE) FROM #RES0 R
		UPDATE #RES0
		SET SSV10 = (SELECT top 1 P00.SUMMA_FAKT FROM #PAYS3 P00, #P0 P0 WHERE P0.ID1 = P00.ID AND P0.LINK_FACE = R.LINK_FACE) FROM #RES0 R
		DELETE FROM #PAYS3 WHERE ID IN (SELECT ID1 FROM #P0)
		DELETE FROM #P0
	END

	INSERT INTO #P0
	SELECT LINK_FACE, MIN(ID) FROM #PAYS3 GROUP BY LINK_FACE

	IF @@ROWCOUNT <> 0 BEGIN
		UPDATE #RES0
		SET KSV11 = (SELECT top 1 P00.CODE_DED FROM #PAYS3 P00, #P0 P0 WHERE P0.ID1 = P00.ID AND P0.LINK_FACE = R.LINK_FACE) FROM #RES0 R
		UPDATE #RES0
		SET SSV11 = (SELECT top 1 P00.SUMMA_FAKT FROM #PAYS3 P00, #P0 P0 WHERE P0.ID1 = P00.ID AND P0.LINK_FACE = R.LINK_FACE) FROM #RES0 R
		DELETE FROM #PAYS3 WHERE ID IN (SELECT ID1 FROM #P0)
		DELETE FROM #P0
	END

	INSERT INTO #P0
	SELECT LINK_FACE, MIN(ID) FROM #PAYS3 GROUP BY LINK_FACE

	IF @@ROWCOUNT <> 0 BEGIN
		UPDATE #RES0
		SET KSV12 = (SELECT top 1 P00.CODE_DED FROM #PAYS3 P00, #P0 P0 WHERE P0.ID1 = P00.ID AND P0.LINK_FACE = R.LINK_FACE) FROM #RES0 R
		UPDATE #RES0
		SET SSV12 = (SELECT top 1 P00.SUMMA_FAKT FROM #PAYS3 P00, #P0 P0 WHERE P0.ID1 = P00.ID AND P0.LINK_FACE = R.LINK_FACE) FROM #RES0 R
		DELETE FROM #PAYS3 WHERE ID IN (SELECT ID1 FROM #P0)
		DELETE FROM #P0
	END


	UPDATE #RES0 SET OSD13 = (SELECT top 1 SM FROM #PAYS_R PR WHERE PR.LINK_FACE = R.LINK_FACE) FROM #RES0 R

	----
	UPDATE #RES0 SET SDO13 = OSD13 - ISNULL(SK.SUM_SK, 0.00)
			- ISNULL(SSV1,0.00) - ISNULL(SSV2,0.00) - ISNULL(SSV3,0.00) - ISNULL(SSV4,0.00)
			- ISNULL(SSV5,0.00) - ISNULL(SSV6,0.00) - ISNULL(SSV7,0.00) - ISNULL(SSV8,0.00)
			- ISNULL(SSV9,0.00) - ISNULL(SSV10,0.00) - ISNULL(SSV11,0.00) - ISNULL(SSV12,0.00)
	from #RES0 R INNER JOIN #PERS p ON r.link_face = p.LINK
				 LEFT JOIN (Select LINK_FACE, SUM_SK= SUM(SUMMA_DED) from #PAYS_0 GROUP BY LINK_FACE) SK ON R.LINK_FACE = SK.LINK_FACE


	-----
	UPDATE #RES0 SET SDO13 = 0 WHERE SDO13 < 0


	CREATE TABLE #NDFL_TAX(LINK_TAX INT)
	INSERT INTO #NDFL_TAX
	SELECT LINK FROM PAYS P WHERE P.OBJECT = 2 AND P.WAY_CALC = 4

	Create table #NDLF13_tmp (LINK int, SUMMA numeric(18,2))
	Create table #NDLF13 (LINK int, SUMMA numeric(18,2))

	insert into  #NDLF13_tmp (LINK, SUMMA)
	SELECT SJC.LINK_FACE AS LINK, SUM(SUMMA) AS SUMMA
	FROM 
		#S_J_C_Short SJC 
		INNER JOIN #NDFL_TAX T ON SJC.LINK_PAYS = T.LINK_TAX  
		LEFT JOIN dbo.BufferGetTableById('REP2NDFL') B ON B.LINK = SJC.LINK_FACE --: EP.LINK
	WHERE 
		YEAR(PERIOD_BEGIN) = @Year 
		and month(PERIOD_BEGIN) <= @Month
		and sjc.LINK_DEP = @LINK_DEP	
	GROUP BY 
		SJC.LINK_FACE
	---<<    
	union all
	SELECT B.LINK AS LINK, SUM(SUMMA) AS SUMMA
	FROM #S_J_C_Short SJC 
		INNER JOIN #NDFL_TAX T ON SJC.LINK_PAYS = T.LINK_TAX  
		INNER JOIN dbo.BufferGetTableById('REP2NDFL') B ON B.LINK = SJC.PERS_LINK --: EP.LINK
	WHERE YEAR(PERIOD_BEGIN) = @Year 
		and month(PERIOD_BEGIN) <= @Month
		and ISNULL(SJC.LINK_FACE,0) = 0
		and sjc.LINK_DEP = @LINK_DEP
	GROUP BY B.LINK

	insert into #NDLF13 (LINK, SUMMA)
	Select LINK, Sum(SUMMA) from #NDLF13_tmp group by LINK
	
	drop table #NDLF13_tmp
	--->>

	UPDATE #RES0 SET NALOGU13 = ISNULL((SELECT SUM(SUMMA) FROM #NDLF13 N WHERE N.LINK = R.LINK_FACE), 0) FROM #RES0 R
	UPDATE #RES0 SET NALOGN13 = SDO13 * (CASE WHEN STATUS = '1' THEN 
		( SELECT  top 1 [PERCENT] / 100 FROM DICTIONARY_RANGE R inner join #NDFL_TAX T on R.LINK_PAYS = T.LINK_TAX WHERE TARIF = 1)
								ELSE 0.30 END)
	UPDATE #RES0 SET PERSCENT = (CASE WHEN STATUS = '1' THEN 
									( SELECT  top 1 [PERCENT] FROM DICTIONARY_RANGE R inner join #NDFL_TAX T on R.LINK_PAYS = T.LINK_TAX WHERE TARIF = 1)
								ELSE 30 END)							

	--     
	DECLARE @nSumm_For_Check numeric(18,2)
	set @nSumm_For_Check = 1
	DECLARE @SUMMA_PLAT_ALL1 NUMERIC(18,2)
		
	EXEC dbo.SA_NDFL_PLAT @DATE1, @DATE2, @LINK_DEP, @SUMMA_PLAT_ALL1 OUT
 
	--     
	DECLARE @SUMMA_NACH_ALL1 NUMERIC(18,2)
	EXEC dbo.SA_NDFL_NACHISL @DATE1, @DATE2, @LINK_DEP, @SUMMA_NACH_ALL1 OUT
	
	
	--  	
	UPDATE #RES0 SET NALOG13S = CONVERT(NUMERIC(18,0), ISNULL( @SUMMA_PLAT_ALL1 * CASE WHEN @SUMMA_NACH_ALL1 > 0 THEN (NALOGU13	/ @SUMMA_NACH_ALL1) ELSE 0 END, 0))
	UPDATE #RES0 SET NALOG13S = CASE WHEN NALOG13S > NALOGU13 THEN NALOGU13 ELSE NALOG13S END

	--UPDATE #RES0 SET NOM_SPR = ID + @varKSnFirstNum - 1
	
	--- /      
	UPDATE A SET 
		S_5_6 = (CASE WHEN R.NDFL > 0 THEN R.NDFL ELSE 0 END),
		S_5_7 = (CASE WHEN R.NDFL <= 0 THEN - R.NDFL ELSE 0 END)
	FROM
		#RES0 A INNER JOIN 
		(SELECT E.PERS_LINK, NDFL = SUM(SR.NDFL) FROM dbo.SAL_REMAIN SR INNER JOIN dbo.EMPL E ON E.LINK = SR.LINK_EMPL WHERE SR.YEAR_SAL = @Year GROUP BY E.PERS_LINK) R 
			ON R.PERS_LINK = A.LINK_FACE
	--	
	UPDATE #RES0 SET DOLG_NP = CASE WHEN NALOGN13 - NALOGU13 > 0 THEN NALOGN13 - NALOGU13 ELSE 0 END - ISNULL(S_5_6,0)
	UPDATE #RES0 SET DOLG_NA = CASE WHEN NALOGU13 - NALOGN13 > 0 THEN NALOGU13 - NALOGN13 ELSE 0 END - ISNULL(S_5_7,0)

	--^^^^^^^^^   ^^^^^^^^^^
	create table  #PAYS_NDFL (ID INT IDENTITY, LINK_FACE int, LINK_PAYS int, kbk_code varchar(30), SUMMA numeric(18,2))

	INSERT INTO #PAYS_NDFL (LINK_FACE, LINK_PAYS, kbk_code, SUMMA)
	SELECT LINK_FACE, SJC.LINK_PAYS, left(kbk.CODE,30), sum(SJC.SUMMA)
	FROM #S_J_C_SHORT SJC inner join dbo.SAL_SFIN kbk on SJC.LINK_VKR = kbk.LINK
	WHERE 
			YEAR(CASE WHEN SJC.TYP_PER = 1 THEN SJC.PERIOD_BEGIN WHEN SJC.TYP_PER = 2 THEN SJC.DATE1 END) = @Year
		and
			month(CASE WHEN SJC.TYP_PER = 1 THEN SJC.PERIOD_BEGIN WHEN SJC.TYP_PER = 2 THEN SJC.DATE1 END) <= @Month
		AND	ISNULL(SJC.PERS_LINK,0) = 0
		AND	SJC.LINK_PAYS IN (Select LINK_TAX from #NDFL_TAX)
	GROUP BY 
		LINK_FACE, LINK_PAYS, kbk.CODE

	union all ---<<    	

	SELECT  PERS_LINK, SJC.LINK_PAYS, left(kbk.CODE,30), sum(SJC.SUMMA)
	FROM #S_J_C_SHORT SJC inner join dbo.SAL_SFIN kbk on SJC.LINK_VKR = kbk.LINK
	WHERE 
			YEAR(CASE WHEN SJC.TYP_PER = 1 THEN SJC.PERIOD_BEGIN WHEN SJC.TYP_PER = 2 THEN SJC.DATE1 END) = @Year
		and
			month(CASE WHEN SJC.TYP_PER = 1 THEN SJC.PERIOD_BEGIN WHEN SJC.TYP_PER = 2 THEN SJC.DATE1 END) <= @Month
		AND	ISNULL(SJC.LINK_FACE,0) = 0
		AND	SJC.LINK_PAYS IN (Select LINK_TAX from #NDFL_TAX)

	GROUP BY 
		PERS_LINK, LINK_PAYS, kbk.CODE
	ORDER BY 
		1, 2, 3
		
		
	DELETE FROM #P0

	INSERT INTO #P0
	SELECT LINK_FACE, MIN(ID) FROM #PAYS_NDFL GROUP BY LINK_FACE
	IF @@ROWCOUNT <> 0 BEGIN
		UPDATE #RES0
		SET kbkcode1 = (SELECT top 1 P00.kbk_code FROM #PAYS_NDFL P00, #P0 P0 WHERE P0.ID1 = P00.ID AND P0.LINK_FACE = R.LINK_FACE) FROM #RES0 R
		UPDATE #RES0
		SET kbksum1 = (SELECT top 1 P00.SUMMA FROM #PAYS_NDFL P00, #P0 P0 WHERE P0.ID1 = P00.ID AND P0.LINK_FACE = R.LINK_FACE) FROM #RES0 R
	
		DELETE FROM #PAYS_NDFL WHERE ID IN (SELECT ID1 FROM #P0)
		DELETE FROM #P0
	END

	INSERT INTO #P0
	SELECT LINK_FACE, MIN(ID) FROM #PAYS_NDFL GROUP BY LINK_FACE
	IF @@ROWCOUNT <> 0 BEGIN
		UPDATE #RES0
		SET kbkcode2 = (SELECT top 1 P00.kbk_code FROM #PAYS_NDFL P00, #P0 P0 WHERE P0.ID1 = P00.ID AND P0.LINK_FACE = R.LINK_FACE) FROM #RES0 R
		UPDATE #RES0
		SET kbksum2 = (SELECT top 1 P00.SUMMA FROM #PAYS_NDFL P00, #P0 P0 WHERE P0.ID1 = P00.ID AND P0.LINK_FACE = R.LINK_FACE) FROM #RES0 R
	
		DELETE FROM #PAYS_NDFL WHERE ID IN (SELECT ID1 FROM #P0)
		DELETE FROM #P0
	END

	INSERT INTO #P0
	SELECT LINK_FACE, MIN(ID) FROM #PAYS_NDFL GROUP BY LINK_FACE
	IF @@ROWCOUNT <> 0 BEGIN
		UPDATE #RES0
		SET kbkcode3 = (SELECT top 1 P00.kbk_code FROM #PAYS_NDFL P00, #P0 P0 WHERE P0.ID1 = P00.ID AND P0.LINK_FACE = R.LINK_FACE) FROM #RES0 R
		UPDATE #RES0
		SET kbksum3 = (SELECT top 1 P00.SUMMA FROM #PAYS_NDFL P00, #P0 P0 WHERE P0.ID1 = P00.ID AND P0.LINK_FACE = R.LINK_FACE) FROM #RES0 R
	
		DELETE FROM #PAYS_NDFL WHERE ID IN (SELECT ID1 FROM #P0)
		DELETE FROM #P0
	END

	INSERT INTO #P0
	SELECT LINK_FACE, MIN(ID) FROM #PAYS_NDFL GROUP BY LINK_FACE
	IF @@ROWCOUNT <> 0 BEGIN
		UPDATE #RES0
		SET kbkcode4 = (SELECT top 1 P00.kbk_code FROM #PAYS_NDFL P00, #P0 P0 WHERE P0.ID1 = P00.ID AND P0.LINK_FACE = R.LINK_FACE) FROM #RES0 R
		UPDATE #RES0
		SET kbksum4 = (SELECT top 1 P00.SUMMA FROM #PAYS_NDFL P00, #P0 P0 WHERE P0.ID1 = P00.ID AND P0.LINK_FACE = R.LINK_FACE) FROM #RES0 R
	
		DELETE FROM #PAYS_NDFL WHERE ID IN (SELECT ID1 FROM #P0)
		DELETE FROM #P0
	END
	
	DELETE FROM #RES0 WHERE isnull(OSD13,0) = 0
---------------------------------------
----------------------------------------
------ 

	SELECT 
		FIO = RTRIM(P.FM) + ' ' + SUBSTRING(RTRIM(P.IM),1,1) + '.' + SUBSTRING(RTRIM(P.OT),1,1) + '.',
		P.INN as inn,
--		AGE_TYPE = CASE WHEN YEAR(P.BIRTHDATE) <= 1966 THEN 1 ELSE 2 END,
		NS.SUMMA as s_nach,
		PS.SUMMA as S_PER,
		R.osd13 , 
		R.sdo13 , 
		R.NALOGN13 , 
		R.NALOGU13 ,
		R.NALOG13S ,
		R.[PERSCENT], 
		DATE_B = @DATE1,
		DATE_E = @DATE2
	FROM
		dbo.PERSON P 
		INNER JOIN #RES0 R on R.LINK_FACE = P.LINK
		left  join #PERS F  on P.LINK = F.LINK
		LEFT JOIN #NACHISL NS ON NS.LINK = F.LINK
		LEFT JOIN #PERECHISL PS ON PS.LINK = F.LINK
		
	ORDER BY FIO
		
EXEC dbo.BufferClear

DROP TABLE	#P0
DROP TABLE	#RES0
DROP TABLE #PAYS_NDFL
DROP TABLE #S_J_C_SHORT
DROP TABLE #NDFL_TAX
DROP TABLE #PAYS3 
DROP TABLE #PAYS1 
DROP TABLE #PAYS_R 
DROP TABLE #PAYS_0 
DROP TABLE #spr_pays_kbk
DROP TABLE #E_SUBDIV
DROP TABLE #S_OBOSOB
DROP TABLE #P_OBOSOB
DROP TABLE #NACHISL
--DROP TABLE #PACHKI
DROP TABLE #PERECHISL
DROP TABLE #PERS

END













GO


GRANT EXECUTE ON dbo.[SS_NDFL_REPORT] TO PUBLIC

GO


-- --


GO
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[SD_REP_F417]') AND OBJECTPROPERTY(id,N'IsProcedure') = 1)
DROP PROCEDURE dbo.[SD_REP_F417]

GO

CREATE  PROCEDURE [dbo].SD_REP_F417
	@varKScYear VARCHAR(254),
	@varKSnLinkEmpl INT,
	@nCheck1 int = 0 ,/*   */
	@nMode int = 0/* 0- , 1-  */
AS 
BEGIN

	DECLARE @varKSnYear INT
	SELECT @varKSnYear = CAST(@varKScYear AS INT)
	DECLARE @varKSnLinkPers INT
	
	declare @DEP_LINK int
	exec dbo.xd_whats_zb @DEP_LINK output	

	DECLARE @varKSstart_date DATETIME, 
			@varKSEND_DATE DATETIME


	SELECT @varKSstart_date = dbo.ConvertDMY2Date(1,1,@varKSnYear)
	SELECT @varKSEND_DATE  = dbo.DateEndOfYear(@varKSstart_date)

	DECLARE 
		@varKSCODE_FKR_D VARCHAR(10), @varKSNAME_FKR_D VARCHAR(254),
		@varKSCODE_FKR_T VARCHAR(10), @varKSNAME_FKR_T VARCHAR(254),
		@varKSCODE_FKR_E VARCHAR(10), @varKSNAME_FKR_E VARCHAR(254),
		@varKSDate datetime
		
	IF @nMode = 0 
	BEGIN
		SELECT @varKSnLinkPers = PERS_LINK FROM dbo.EMPL WHERE LINK = @varKSnLinkEmpl

		SELECT TOP 1
			@varKSCODE_FKR_D = CODE_FKR_D, @varKSNAME_FKR_D = NAME_FKR_D,
			@varKSCODE_FKR_T = CODE_FKR_T, @varKSNAME_FKR_T = NAME_FKR_T,
			@varKSCODE_FKR_E = CODE_FKR_E, @varKSNAME_FKR_E = NAME_FKR_E,
			@varKSDate = dpe.date_begin
		FROM 
			dbo.BI_DICTION_VKR VKR 
			INNER JOIN dbo.SAL_SFIN F ON F.KBK = VKR.LINK		
			INNER JOIN dbo.DICTIONARY_PAYS_EMPL_FN(@varKSEND_DATE,@varKSnLinkEmpl,0,DEFAULT,@DEP_LINK,1) DPE ON DPE.LINK_KBK = F.LINK
		WHERE 
			DPE.DATE_BEGIN <= @varKSEND_DATE  
		ORDER BY 
			DPE.DATE_BEGIN DESC


		CREATE TABLE #PART1(SUBDIV VARCHAR(254),FIO VARCHAR(254),TAB_NUM VARCHAR(15),
							BIRTH DATETIME, KATEG VARCHAR(254), OBR VARCHAR(254), 
							ZV_STEP VARCHAR(254), EXPIR VARCHAR(40), 
							OSN_OKL NUMERIC(20,2), CHILDREN INT, IZHD INT, INV VARCHAR(20), PENS_DATE datetime)

		INSERT INTO #PART1
		SELECT TOP 1
			[SUBDIV]  = EP.SUBDIV_NAME,
			[FIO] 	  = RTRIM(P.FM) + ' ' + RTRIM(P.IM) + ' ' + RTRIM(P.OT),
			[tab_num] = EP.TAB,
			[BIRTH]   = P.BIRTHDATE,
			[KATEG]   = '',
			[OBR] 	  = (SELECT NAME FROM EDUCTYPE WHERE LINK =  PE.EDUC_LINK),
			[ZV_STEP] = RTRIM(ISNULL((SELECT NAME FROM dbo.ACAD_STATUS WHERE LINK = P.ACAD_STATUS_LINK),'')) + ' ' 
						+ RTRIM(ISNULL((SELECT NAME FROM dbo.ACAD_DEGREE WHERE LINK = P.ACAD_DEGREE_LINK),'')),
			[EXPIR]   = '',
			[OSN_OKL] = (SELECT OKLAD FROM dbo.SALARY_OKLAD(@varKSEND_DATE,@varKSnLinkEmpl, DEFAULT, @DEP_LINK)),
			[CHILDREN] = (SELECT COUNT(*) FROM dbo.KU_PERS_FAMILY F WHERE 
										F.PERS_LINK = EP.PERS_LINK AND YEAR(F.[BIRTHDATE]) <= @varKSnYear
										AND FAMILY_NAME IN ('','')),
			[IZHD] = (SELECT COUNT(*) FROM dbo.PERS_FAMILY F WHERE 
										F.PERS_LINK = EP.PERS_LINK  AND IZHD = 1 AND @varKSnYear BETWEEN YEAR(F.[IZHD_BEG]) AND ISNULL(YEAR(F.[IZHD_END]),@varKSnYear)),
			[INV] = (SELECT TOP 1 LTRIM(RTRIM(PV.GROUP_NAME)) FROM dbo.KU_PERS_INVALID PV
					 WHERE PV.PERS_LINK = P.LINK AND @varKSEND_DATE BETWEEN DATE_BEGIN AND ISNULL(DATE_END,@varKSEND_DATE)),
			[PENS_DATE] = (SELECT TOP 1 K.DATE_PENS FROM dbo.KJ_PERS_PENSION K WHERE K.PERS_LINK = P.LINK)
		FROM 
			dbo.SD_EMPL_FN(@varKSnLinkEmpl, @varKSEND_DATE, DEFAULT, @DEP_LINK) EP  
			INNER JOIN dbo.PERSON P ON (EP.PERS_LINK = P.LINK)
			LEFT OUTER JOIN dbo.KU_PERS_EDUCATION PE ON (P.LINK = PE.PERS_LINK
					 and (SATISFY = (case when exists (select * from  KU_PERS_EDUCATION where pers_link = P.LINK and SATISFY = 1)
				then  1
				else 0
				end)
				and pe.educ_code = (case when SATISFY = 0 
				then 	 (select max(educ_code) from  KU_PERS_EDUCATION where pers_link = P.LINK)
				else (select max(educ_code) from  KU_PERS_EDUCATION where pers_link = P.LINK and SATISFY = 1)
				end		)))
	
					

		-- 
		DECLARE @varKSKATEG VARCHAR(4000), @varKSTMP_STR VARCHAR(254)
		SET @varKSKATEG = ''
		DECLARE #KAT_CURSOR CURSOR LOCAL FAST_FORWARD FOR

		SELECT TOP 1 ISNULL(QUALIFY, '') 
		FROM dbo.KU_PERS_EDUCATION PE
		WHERE PERS_LINK = @varKSnLinkPers AND YEAR(DATE_END) <= @varKSnYear
		ORDER BY SATISFY DESC
		
		OPEN #KAT_CURSOR
		FETCH #KAT_CURSOR INTO @varKSTMP_STR
		WHILE @@FETCH_STATUS = 0 BEGIN
			SET @varKSKATEG = @varKSKATEG + ' ' + RTRIM(@varKSTMP_STR)
			FETCH #KAT_CURSOR INTO @varKSTMP_STR
		END
		CLOSE #KAT_CURSOR
		DEALLOCATE #KAT_CURSOR

		UPDATE #PART1 SET KATEG = LTRIM(RTRIM(@varKSKATEG))

		--	
		declare @varKSdays int, @varKSmonths int, @varKSyears int, @varKScDate varchar(10)
		SELECT @varKSyears = years, @varKSmonths = months, @varKSdays = days from dbo.ku_EmplExpirTable(@varKSnLinkEmpl,@varKSEND_DATE, DEFAULT) ET WHERE ET.EXPIR_CODE = 'GEN'  

		UPDATE #PART1 SET EXPIR = 
			RTRIM(LTRIM(CAST (@varKSyears AS VARCHAR(4) ))) + '  '
			+ RTRIM(LTRIM(CAST (@varKSmonths AS VARCHAR(2) ))) + '  '
			+ RTRIM(LTRIM(CAST (@varKSdays AS VARCHAR(2) ))) + '  '

		CREATE TABLE #DPE (LINK_EMPL INT, LINK_PAYS INT, ORDER_DATE DATETIME, DATE_BEGIN DATETIME, DATE_END DATETIME, VALUE NUMERIC(18,4))

		INSERT INTO #DPE (LINK_EMPL, LINK_PAYS, ORDER_DATE, DATE_BEGIN, DATE_END, VALUE)
		SELECT LINK_EMPL, LINK_PAYS, ORDER_DATE, DATE_BEGIN, DATE_END, VALUE 
		FROM dbo.DICTIONARY_PAYS_EMPL_FN(DEFAULT,@varKSnLinkEmpl,0,DEFAULT,DEFAULT,DEFAULT)

		CREATE TABLE #PAYS_EMPL(
			LINK_PAY INT, cp varchar(10), NP VARCHAR(254), 
			date_begin datetime, date_end datetime,
			s numeric(20,2), parent_id INT, summ  numeric(20,2)
		)


		--     
		INSERT INTO #PAYS_EMPL
		SELECT 
			ISNULL(P1.LINK,P.LINK), ISNULL(P1.CODE,P.CODE), ISNULL(P1.NAME,P.NAME), ISNULL(DPE.ORDER_DATE,DPE.DATE_BEGIN), NULL, VALUE, 0, 0
		FROM 
			#DPE DPE
			INNER JOIN dbo.PAYS P ON P.LINK = DPE.LINK_PAYS
			LEFT JOIN dbo.PAYS P1 ON P1.LINK = P.LINK_MPAY AND @nCheck1 = 1 
		WHERE 
			LINK_EMPL = @varKSnLinkEmpl
			AND @varKSstart_date - 1 BETWEEN DPE.DATE_BEGIN AND ISNULL(DATE_END, '30000101')
			AND VALUE > 0
		
		--    
		INSERT INTO #PAYS_EMPL
		SELECT 
			ISNULL(P1.LINK,P.LINK), ISNULL(P1.CODE,P.CODE), ISNULL(P1.NAME,P.NAME), 
			ISNULL(DPE.ORDER_DATE,DPE.DATE_BEGIN), 
			DATE_END, VALUE, 0 , 0
		FROM 
			#DPE DPE
			INNER JOIN dbo.PAYS P ON P.LINK = DPE.LINK_PAYS
			LEFT JOIN dbo.PAYS P1 ON P1.LINK = P.LINK_MPAY AND @nCheck1 = 1
		WHERE 
			LINK_EMPL = @varKSnLinkEmpl
			AND YEAR(ISNULL(DPE.ORDER_DATE,DPE.DATE_BEGIN)) = @varKSnYear
			AND ISNULL(DATE_END, '30000101') >= @varKSstart_date
			AND VALUE > 0
			AND NOT EXISTS (SELECT * FROM #PAYS_EMPL PE WHERE PE.LINK_PAY = ISNULL(P1.LINK,P.LINK) AND PE.date_begin = ISNULL(DPE.ORDER_DATE,DPE.DATE_BEGIN))

		--    
		INSERT INTO #PAYS_EMPL
		SELECT 
			ISNULL(P1.LINK,P.LINK), ISNULL(P1.CODE,P.CODE), ISNULL(P1.NAME,P.NAME), NULL, NULL, VALUE, 0 , 0
		FROM 
			#DPE DPE
			INNER JOIN dbo.PAYS P ON P.LINK = DPE.LINK_PAYS
			LEFT JOIN dbo.PAYS P1 ON P1.LINK = P.LINK_MPAY AND @nCheck1 = 1
		WHERE 
			LINK_EMPL = @varKSnLinkEmpl
			AND DATE_BEGIN = (Select max(DATE_BEGIN) from dbo.DICTIONARY_PAYS_EMPL_FN(@varKSEND_DATE,@varKSnLinkEmpl,0,DEFAULT,@DEP_LINK,1) DPE1 where DPE1.LINK_EMPL = DPE.LINK_EMPL and DPE1.LINK_PAYS = DPE.LINK_PAYS and DPE1.DATE_BEGIN <= @varKSEND_DATE AND ISNULL(DPE1.DATE_END, '30000101') >= @varKSstart_date) 
			AND ISNULL(DATE_END, '30000101') >= @varKSstart_date
			AND VALUE > 0
			AND NOT EXISTS (SELECT * FROM #PAYS_EMPL PE WHERE PE.LINK_PAY = ISNULL(P1.LINK,P.LINK))

		UPDATE #PAYS_EMPL
		SET DATE_BEGIN = NULL
		WHERE DATE_BEGIN < @varKSstart_date

		UPDATE R
		SET CP = CP + '*', NP = NP + '*'
		FROM
			#PAYS_EMPL R
			INNER JOIN dbo.PAYS P on P.LINK_MPAY = R.LINK_PAY


		CREATE TABLE #TMP2 ( ID INT IDENTITY, ORDER_DATE datetime, ORDER_NUM VARCHAR(30), 
			SUBDIV VARCHAR(254), POST VARCHAR(254), CONDITION VARCHAR(40), 
			KATEG VARCHAR(254), AVANSE NUMERIC(20, 2), REAL_REC BIT
		)
		
		--INSERT INTO #TMP2 (ORDER_DATE, ORDER_NUM, SUBDIV, POST, CONDITION, KATEG,
		--	REAL_REC)
		--SELECT TOP 1 DATE, NUMBER, SUBDIVISION_PD, POST_PD, '', '', 1
		--FROM DICTIONARY_PURP_DISP_FACES 
		--WHERE EMPL_LINK = @varKSnLinkEmpl AND YEAR(DATE_PD) < @varKSnYear
		--ORDER BY DATE_PD DESC

		CREATE TABLE #STAFF_INFO(LINK_UP INT, SUBDIV_NAME VARCHAR(254), POST_NAME VARCHAR(254), DATE_BEGIN DATETIME, DATE_END DATETIME)
		INSERT INTO #STAFF_INFO(LINK_UP, SUBDIV_NAME, POST_NAME, DATE_BEGIN, DATE_END)
		SELECT 
			S.LINK_UP, 
			(SELECT TOP 1 [name] FROM subdiv WHERE link_up = s.subdiv_link and (s.date_begin between date_begin and date_end or s.date_begin < date_begin and s.date_end > date_end or s.date_end between date_begin and date_end)),
			DP.NAME,
			S.DATE_BEGIN, 
			S.DATE_END
		FROM 
			DBO.STAFF_HEAD SH
			INNER JOIN dbo.staff s ON s.link_up=sh.link
			LEFT OUTER JOIN dbo.POST DP ON DP.LINK = s.post_link
			
		--    
		---------------------------
		-- 
		INSERT INTO #TMP2 (ORDER_DATE, ORDER_NUM, SUBDIV, POST, CONDITION, KATEG, REAL_REC)
		SELECT 
			o.[DATE], o.NUMBER, '() ' + CONVERT(VARCHAR(10),im.DATE_BEGIN,104) + ' - '+ LEFT(subdiv_NAME, 150) , S.POST_NAME, '', '', 1 /*#3584  ..   */
		FROM 
			ITEM_MOVE im 
			INNER JOIN ORDERS O ON im.ORDER_LINK=o.LINK and im.active=1 AND IM.NEW_FACE = 1
			LEFT OUTER JOIN #STAFF_INFO S ON S.link_up=im.staff_link and im.date_begin between s.date_begin and s.date_end
			
		WHERE 
			im.EMPL_LINK = @varKSnLinkEmpl AND YEAR(IM.DATE_BEGIN) <= @varKSnYear	 /* #3584  ..            */
		ORDER BY 
			IM.DATE_BEGIN DESC
		---
		
	/*	INSERT INTO #TMP2 (ORDER_DATE, ORDER_NUM, SUBDIV, POST, CONDITION, KATEG,REAL_REC)
		SELECT NULL, NULL, NULL, NULL, '', '', 1
		WHERE EXISTS (
			SELECT * FROM #DPE DPE WHERE LINK_EMPL = @varKSnLinkEmpl
					AND @varKSstart_date-1 BETWEEN DPE.DATE_BEGIN AND ISNULL(DATE_END, '30000101')
					AND VALUE > 0	
			)		
	*/
		---		

		--
		INSERT INTO #TMP2 (ORDER_DATE, ORDER_NUM, SUBDIV, POST, CONDITION, KATEG, REAL_REC)
		SELECT 
			o.[DATE], o.NUMBER, 
			case when ORD.obj_code = 'MOVES' then '() ' + CONVERT(VARCHAR(10),im.DATE_BEGIN,104)  + ' - '+ LEFT(subdiv_NAME, 150)
				 else ORD.type_txt + ' ' + CONVERT(VARCHAR(10),im.DATE_BEGIN,104)  + ' - '+ LEFT(subdiv_NAME, 150) end	 , 
			S.POST_NAME, '', '', 1 /*#3584  ..   */
		FROM 
			ITEM_MOVE im 
			INNER JOIN ORDERS O ON im.ORDER_LINK=o.LINK and im.active=1 AND IM.NEW_FACE not in(2,1,4)
			inner join ORDERS_REESTR ORD on im.ORDER_LINK=ord.LINK 
			LEFT OUTER JOIN #STAFF_INFO S ON S.link_up=im.staff_link and im.date_begin between s.date_begin and s.date_end
			
		WHERE 
			im.EMPL_LINK = @varKSnLinkEmpl AND YEAR(IM.DATE_BEGIN) = @varKSnYear	 /* #3584  ..            */
		
		union 
	 		SELECT DISTINCT DATE_BEGIN, null, '','','','',1
			FROM #PAYS_EMPL
			WHERE 
			DATE_BEGIN NOT IN (SELECT ISNULL(O.[DATE],'18000101') FROM ITEM_MOVE im 
								INNER JOIN ORDERS O ON im.ORDER_LINK=o.LINK and im.active=1 AND IM.NEW_FACE not in(2,1)
								inner join ORDERS_REESTR ORD on im.ORDER_LINK=ord.LINK 
								LEFT OUTER JOIN #STAFF_INFO S ON S.link_up=im.staff_link and im.date_begin between s.date_begin and s.date_end
									WHERE 
								im.EMPL_LINK = @varKSnLinkEmpl AND YEAR(IM.DATE_BEGIN) = @varKSnYear)
			AND ( DATE_BEGIN >= ISNULL((SELECT MIN(O.[DATE]) FROM ITEM_MOVE im 
								INNER JOIN ORDERS O ON im.ORDER_LINK=o.LINK and im.active=1 AND IM.NEW_FACE not in(2,1)
								inner join ORDERS_REESTR ORD on im.ORDER_LINK=ord.LINK 
								LEFT OUTER JOIN #STAFF_INFO S ON S.link_up=im.staff_link and im.date_begin between s.date_begin and s.date_end
									WHERE 
								im.EMPL_LINK = @varKSnLinkEmpl AND YEAR(IM.DATE_BEGIN) = @varKSnYear), '18000101')
			OR ISNULL(DATE_END,'18000101') < ISNULL((SELECT MIN(O.[DATE]) FROM ITEM_MOVE im 
								INNER JOIN ORDERS O ON im.ORDER_LINK=o.LINK and im.active=1 AND IM.NEW_FACE not in(2,1)
								inner join ORDERS_REESTR ORD on im.ORDER_LINK=ord.LINK 
								LEFT OUTER JOIN #STAFF_INFO S ON S.link_up=im.staff_link and im.date_begin between s.date_begin and s.date_end
									WHERE 
								im.EMPL_LINK = @varKSnLinkEmpl AND YEAR(IM.DATE_BEGIN) = @varKSnYear), '18000101')		
			)								



		/*ORDER BY 
			DATE_BEGIN ASC*/

		-----------------------------
			
		--   
		DECLARE @DICTIONARY_PUV INT
		SET @DICTIONARY_PUV = (SELECT TOP 1 LINK FROM dbo.S_OBJECTS WHERE CODE = 'DICTIONARY_PUV')

		INSERT INTO #TMP2 (ORDER_DATE, ORDER_NUM, SUBDIV, POST, CONDITION, KATEG, REAL_REC)
		SELECT 
			o.[DATE], o.NUMBER, '() ' + CONVERT(VARCHAR(10),DIS_DATE,104), LEFT(D.NAME,254), '', '', 1
		FROM 
			dbo.ITEM_DIS_FACE DF
			INNER JOIN dbo.ORDERS O ON DF.ORDER_LINK=o.LINK and DF.active=1
			INNER JOIN dbo.DICTION D ON D.LINK = DF.REASON
		WHERE 
			DF.EMPL_LINK = @varKSnLinkEmpl AND YEAR(DF.DIS_DATE) = @varKSnYear	
		ORDER BY 
			DF.DIS_DATE DESC		
		
		DECLARE @varKSDATE_MIN DATETIME, @varKSADVANCE NUMERIC(20, 2)

		SELECT @varKSADVANCE = OKL.OKLAD * ISNULL(AVANCE, 0) / 100.0 
		FROM EMPL E,dbo.salary_oklad(@varKSEND_DATE, @varKSnLinkEmpl, DEFAULT, @DEP_LINK) OKL  
		WHERE OKL.LINK_EMPL = @varKSnLinkEmpl AND E.LINK = OKL.LINK_EMPL 

		SET @varKSDATE_MIN = ISNULL((SELECT MIN(ORDER_DATE) FROM #TMP2), '18000101')


		/*INSERT INTO #TMP2(ORDER_DATE, REAL_REC)
		SELECT DISTINCT DATE_BEGIN, 1
		FROM #PAYS_EMPL
		WHERE 
			DATE_BEGIN NOT IN (SELECT ISNULL(ORDER_DATE,'18000101') FROM #TMP2)
			AND DATE_BEGIN >= @varKSDATE_MIN
		*/
		
		
		DECLARE #TMP_CUR CURSOR LOCAL FAST_FORWARD FOR 
			SELECT ID, ORDER_DATE
			FROM #TMP2
			ORDER BY ORDER_DATE DESC
		DECLARE @varKSID INT, @varKSORDER_DATE DATETIME
		
		OPEN #TMP_CUR
		FETCH #TMP_CUR INTO @varKSID, @varKSORDER_DATE
		WHILE @@FETCH_STATUS = 0 BEGIN
		
				
			UPDATE #PAYS_EMPL
			SET PARENT_ID = @varKSID 
			WHERE 
				PARENT_ID = 0 
				AND DATE_BEGIN >= @varKSORDER_DATE
			FETCH #TMP_CUR INTO @varKSID, @varKSORDER_DATE
		END
		CLOSE #TMP_CUR
		DEALLOCATE #TMP_CUR
		
		UPDATE #PAYS_EMPL
		SET PARENT_ID = @varKSID 
		WHERE 
			PARENT_ID = 0 
		
		DECLARE #TMP_CUR1 CURSOR LOCAL FAST_FORWARD FOR 
			SELECT link_pay, cp, date_begin, date_end, s, parent_id,summ
			FROM #PAYS_EMPL
			ORDER BY parent_id,cp,date_begin,date_end DESC
		DECLARE @link_pay INT , @cp VARCHAR(10) , @date_begin datetime, @date_end datetime, @s numeric(20,2), @parent_id INT,@summ numeric(20,2),
				@link_pm INT,
				@sum_main NUMERIC(18,2)
		OPEN #TMP_CUR1
		FETCH #TMP_CUR1 INTO @link_pay, @cp,@date_begin,@date_end,@s,@parent_id,@summ
		WHILE @@FETCH_STATUS = 0 BEGIN
						
			SET @link_pm = (SELECT TOP 1 p.link FROM pays p 
														INNER JOIN way_calc w ON w.code = p.WAY_CALC AND w.[TYPE]= p.[OBJECT] 
														WHERE p.link in (SELECT link_pay FROM  #PAYS_EMPL WHERE parent_id = @parent_id)
														AND p.way_calc = 1 AND p.[object] = 1 AND w.oklad = 1) 			
						
			SET @sum_main = (SELECT TOP 1 s FROM  #PAYS_EMPL WHERE LINK_PAY = @link_pm AND parent_id = @parent_id)
			
			IF @link_pm <> @link_pay AND  EXISTS (SELECT link FROM dbo.pays p INNER JOIN DBO.WAY_CALC W ON (P.WAY_CALC = W.CODE AND P.OBJECT = 1 AND W.[TYPE] = 1 AND W.CONST_PAY_EMPL = 1 AND W.ISPERCENT > 0) WHERE  link = @link_pay)
				update  p 
					SET summ = @sum_main * (p.s/100) 
				FROM #PAYS_EMPL p
				WHERE  p.LINK_PAY = @link_pay AND parent_id = @parent_id

			FETCH #TMP_CUR1 INTO @link_pay, @cp,@date_begin,@date_end,@s,@parent_id,@summ
		END
		CLOSE #TMP_CUR1
		DEALLOCATE #TMP_CUR1


	
		UPDATE #TMP2 SET AVANSE = @varKSADVANCE WHERE ORDER_DATE = @varKSDATE_MIN
		DECLARE @varKSPAYS_EMPL VARCHAR(100), @varKSTMP2 VARCHAR(120)
		EXEC X_GET_TABLE_NAME @varKSPAYS_EMPL OUTPUT
		SET @varKSTMP2 = @varKSPAYS_EMPL + '_1'

		EXEC M_CROSS_TABLE 
			'PARENT_ID',
			'CP, NP',
			'VARCHAR(10)#VARCHAR(254)',
			'S',
			'NUMERIC(20,2)',
			'SUM(S) AS S',
			'#PAYS_EMPL',
			@varKSPAYS_EMPL


		INSERT INTO #TMP2(REAL_REC) VALUES(0)
		INSERT INTO #TMP2(REAL_REC) VALUES(0)
		INSERT INTO #TMP2(REAL_REC) VALUES(0)
		INSERT INTO #TMP2(REAL_REC) VALUES(0)
		INSERT INTO #TMP2(REAL_REC) VALUES(0)
		INSERT INTO #TMP2(REAL_REC) VALUES(0)

		CREATE TABLE #TMP_3 ( ID INT IDENTITY,
			ORD_DATE DATETIME,	ORD_NUM VARCHAR(30),
			VAC_TYPE VARCHAR(254),
			PERIOD_B DATETIME,	PERIOD_E DATETIME,
			VAC_BEG DATETIME,	VAC_END DATETIME,
			DAYS VARCHAR(254),
			REAL_REC BIT
			)

		INSERT INTO #TMP_3
		(
			ORD_DATE, ORD_NUM, 
			VAC_TYPE,
			PERIOD_B, PERIOD_E,
			VAC_BEG, VAC_END,
			DAYS, REAL_REC
		)
		SELECT 
			DATE, NUMBER,
			TYPE_NAME,
			PERIOD_BEGIN, PERIOD_END,
			case when compens = 0 then DATE_BEGIN ELSE '' END , case when compens = 0 then DATE_END  ELSE '' END,
			dbo.W_DAYS(7, DATE_BEGIN,DATE_END),
			1
		FROM VACATION
		WHERE
			EMPL_LINK = @varKSnLinkEmpl
			AND YEAR([DATE_BEGIN]) = @varKSnYear


		CREATE TABLE #TMP_DED (
			ID INT IDENTITY, 
			DOC_NAME VARCHAR(254), DOC_NUM VARCHAR(50), DOC_DST VARCHAR(254), DOC_ADR VARCHAR(254), 
			link_tax int, NAME_TAX VARCHAR(254), DATE1 DATETIME, DATE2 DATETIME, 
			SUMMA_PROC NUMERIC(20,2), SUMMA NUMERIC(20, 2), REAL_REC BIT )

		INSERT INTO #TMP_DED (DOC_NAME, DOC_NUM, DOC_DST, DOC_ADR, link_tax, NAME_TAX, DATE1, DATE2, SUMMA_PROC, SUMMA, REAL_REC)
		SELECT 
			DOC_NAME, 
			DOC_NUM = ' ' + DOC_NUM + '  ' + CONVERT(VARCHAR(10),DOC_DATE,104),
			DOC_DST = D.NAME,
			DOC_ADR = 
				LEFT(
					(
					LEFT(ISNULL(dbo.GetAddressByKladr(D.KLADR_LINK), ''), 254) + 
					CASE WHEN LEN(ISNULL(HOUSE, '')) = 0 THEN '' ELSE ', . ' + LTRIM(RTRIM(HOUSE)) END 
					--+ CASE WHEN LEN(ISNULL(CORP_REAL, '')) = 0 THEN '' ELSE ', . ' + LTRIM(RTRIM(CORP_REAL)) END 
					+ CASE WHEN LEN(ISNULL(FLAT, '')) = 0 THEN '' ELSE ', . ' + LTRIM(RTRIM(FLAT)) END
					-- 		
					+ ISNULL(
						CASE WHEN DA.CODE IS NOT NULL THEN DA.CODE
							ELSE (SELECT TOP 1 DA1.CODE FROM dbo.DEPARTMENT_ACCOUNTS DA1 WHERE DA1.[TYPE] = 1 AND DA1.LINK_UP = ET.LINK_DEST)
						END, '')
				),254),	
			
			link_tax, NAME_TAX, DATE1, DATE2, SUMMA, SUMMA, 1
		FROM 
			dbo.SD_EMPL_TAX ET
			LEFT JOIN dbo.DEPARTMENTS D ON D.LINK = ET.LINK_DEST
			LEFT JOIN dbo.DEPARTMENT_ACCOUNTS DA ON DA.LINK = D.MAIN_LINK
		WHERE 
			ET.LINK_EMPL = @varKSnLinkEmpl
			AND (DATE2 IS NULL OR DATE2 >= @varKSstart_date)
			AND (DATE1 <= @varKSEND_DATE)


		DECLARE @varKSTMP_INT INT, 
			@varKSCOUNT_2 INT, @varKSCOUNT_3 INT, @varKSCOUNT_4 INT, @varKSCOUNT_MAX INT, @varKSDELTA INT
		SET @varKSCOUNT_2 = (SELECT COUNT(*) FROM #TMP_3)
		SET @varKSCOUNT_MAX = @varKSCOUNT_2
		SET @varKSCOUNT_3 = (SELECT COUNT(*) FROM #TMP_DED)
		IF @varKSCOUNT_MAX < @varKSCOUNT_3 SET @varKSCOUNT_MAX = @varKSCOUNT_3
		IF @varKSCOUNT_MAX =0 SET @varKSCOUNT_MAX = 1
		SET @varKSDELTA = @varKSCOUNT_MAX - @varKSCOUNT_2
		SET @varKSTMP_INT = 1
		WHILE @varKSTMP_INT <= @varKSDELTA BEGIN
			INSERT INTO #TMP_3(REAL_REC) VALUES(0)
			SET @varKSTMP_INT=@varKSTMP_INT+1
		END

		SET @varKSDELTA=@varKSCOUNT_MAX-@varKSCOUNT_3
		SET @varKSTMP_INT=1
		WHILE @varKSTMP_INT<=@varKSDELTA BEGIN
			INSERT INTO #TMP_DED (REAL_REC) VALUES(0)
			SET @varKSTMP_INT=@varKSTMP_INT+1
		END


		INSERT INTO #TMP_3(REAL_REC) VALUES(0)
		INSERT INTO #TMP_3(REAL_REC) VALUES(0)
		INSERT INTO #TMP_3(REAL_REC) VALUES(0)
		INSERT INTO #TMP_DED (REAL_REC) VALUES(0)
		INSERT INTO #TMP_DED (REAL_REC) VALUES(0)
		INSERT INTO #TMP_DED (REAL_REC) VALUES(0)


		CREATE TABLE #PART2 (mode int, NAME_STR VARCHAR(254), code varchar(10),
			SM01 NUMERIC(20,2), SM02 NUMERIC(20,2), SM03 NUMERIC(20,2), 
			SM04 NUMERIC(20,2), SM05 NUMERIC(20,2), SM06 NUMERIC(20,2), 
			SM07 NUMERIC(20,2), SM08 NUMERIC(20,2), SM09 NUMERIC(20,2), 
			SM10 NUMERIC(20,2), SM11 NUMERIC(20,2), SM12 NUMERIC(20,2)
		)


		insert into #PART2 
		SELECT 1, ' ', '',
			M1 = SUM( CASE WHEN MONTH(T.PERIOD_BEGIN) = 1 THEN DBO.SA_GET_EMPL_WD (T.LINK_EMPL, 0, DEFAULT, T.PERIOD_BEGIN, T.PERIOD_END, DEFAULT, DEFAULT) ELSE 0 END ),
			M2 = SUM( CASE WHEN MONTH(T.PERIOD_BEGIN) = 2 THEN DBO.SA_GET_EMPL_WD (T.LINK_EMPL, 0, DEFAULT, T.PERIOD_BEGIN, T.PERIOD_END, DEFAULT, DEFAULT) ELSE 0 END ),
			M3 = SUM( CASE WHEN MONTH(T.PERIOD_BEGIN) = 3 THEN DBO.SA_GET_EMPL_WD (T.LINK_EMPL, 0, DEFAULT, T.PERIOD_BEGIN, T.PERIOD_END, DEFAULT, DEFAULT) ELSE 0 END ),
			M4 = SUM( CASE WHEN MONTH(T.PERIOD_BEGIN) = 4 THEN DBO.SA_GET_EMPL_WD (T.LINK_EMPL, 0, DEFAULT, T.PERIOD_BEGIN, T.PERIOD_END, DEFAULT, DEFAULT) ELSE 0 END ),
			M5 = SUM( CASE WHEN MONTH(T.PERIOD_BEGIN) = 5 THEN DBO.SA_GET_EMPL_WD (T.LINK_EMPL, 0, DEFAULT, T.PERIOD_BEGIN, T.PERIOD_END, DEFAULT, DEFAULT) ELSE 0 END ),
			M6 = SUM( CASE WHEN MONTH(T.PERIOD_BEGIN) = 6 THEN DBO.SA_GET_EMPL_WD (T.LINK_EMPL, 0, DEFAULT, T.PERIOD_BEGIN, T.PERIOD_END, DEFAULT, DEFAULT) ELSE 0 END ),
			M7 = SUM( CASE WHEN MONTH(T.PERIOD_BEGIN) = 7 THEN DBO.SA_GET_EMPL_WD (T.LINK_EMPL, 0, DEFAULT, T.PERIOD_BEGIN, T.PERIOD_END, DEFAULT, DEFAULT) ELSE 0 END ),
			M8 = SUM( CASE WHEN MONTH(T.PERIOD_BEGIN) = 8 THEN DBO.SA_GET_EMPL_WD (T.LINK_EMPL, 0, DEFAULT, T.PERIOD_BEGIN, T.PERIOD_END, DEFAULT, DEFAULT) ELSE 0 END ),
			M9 = SUM( CASE WHEN MONTH(T.PERIOD_BEGIN) = 9 THEN DBO.SA_GET_EMPL_WD (T.LINK_EMPL, 0, DEFAULT, T.PERIOD_BEGIN, T.PERIOD_END, DEFAULT, DEFAULT) ELSE 0 END ),
			M10 = SUM( CASE WHEN MONTH(T.PERIOD_BEGIN) = 10 THEN DBO.SA_GET_EMPL_WD (T.LINK_EMPL, 0, DEFAULT, T.PERIOD_BEGIN, T.PERIOD_END, DEFAULT, DEFAULT) ELSE 0 END ),
			M11 = SUM( CASE WHEN MONTH(T.PERIOD_BEGIN) = 11 THEN DBO.SA_GET_EMPL_WD (T.LINK_EMPL, 0, DEFAULT, T.PERIOD_BEGIN, T.PERIOD_END, DEFAULT, DEFAULT) ELSE 0 END ),
			M12 = SUM( CASE WHEN MONTH(T.PERIOD_BEGIN) = 12 THEN DBO.SA_GET_EMPL_WD (T.LINK_EMPL, 0, DEFAULT, T.PERIOD_BEGIN, T.PERIOD_END, DEFAULT, DEFAULT) ELSE 0 END )
		FROM	
			(
			SELECT DISTINCT LINK_EMPL, J.PERIOD_BEGIN, J.PERIOD_END
			from 
				dbo.WAY_CALC W
				INNER JOIN dbo.PAYS P ON P.WAY_CALC = W.CODE
				INNER JOIN dbo.CALCULATE_JURNAL J ON P.LINK = J.LINK_PAYS
			where 
				W.[TYPE] = 1 AND W.[OKLAD] = 1
				AND P.[OBJECT] = 1
				AND J.LINK_EMPL = @varKSnLinkEmpl and YEAR(J.PERIOD_BEGIN) = @varKSnYear
			) T	


		insert into #PART2 
		select 2, ' ', '',
			sum(case when month_begin = 1 then summa else 0 end),
			sum(case when month_begin = 2 then summa else 0 end),
			sum(case when month_begin = 3 then summa else 0 end),
			sum(case when month_begin = 4 then summa else 0 end),
			sum(case when month_begin = 5 then summa else 0 end),
			sum(case when month_begin = 6 then summa else 0 end),
			sum(case when month_begin = 7 then summa else 0 end),
			sum(case when month_begin = 8 then summa else 0 end),
			sum(case when month_begin = 9 then summa else 0 end),
			sum(case when month_begin = 10 then summa else 0 end),
			sum(case when month_begin = 11 then summa else 0 end),
			sum(case when month_begin = 12 then summa else 0 end)
		from s_j_c where link_empl = @varKSnLinkEmpl and year_begin = @varKSnYear
			and typ_oper = 1


		
		insert into #PART2 
		select 4, ' ', '',
			sum(case when month_begin = 1 then summa else 0 end),
			sum(case when month_begin = 2 then summa else 0 end),
			sum(case when month_begin = 3 then summa else 0 end),
			sum(case when month_begin = 4 then summa else 0 end),
			sum(case when month_begin = 5 then summa else 0 end),
			sum(case when month_begin = 6 then summa else 0 end),
			sum(case when month_begin = 7 then summa else 0 end),
			sum(case when month_begin = 8 then summa else 0 end),
			sum(case when month_begin = 9 then summa else 0 end),
			sum(case when month_begin = 10 then summa else 0 end),
			sum(case when month_begin = 11 then summa else 0 end),
			sum(case when month_begin = 12 then summa else 0 end)
		from s_j_c where link_empl = @varKSnLinkEmpl and year_begin = @varKSnYear
			and typ_oper = 2 
			and link_doc not in (
				select link from documents_ded_pr 
				where year_base = @varKSnYear

					and flag_jc = 1
					and TYP_PAYMENT = 1
			)



	----- 
		CREATE TABLE #SJ (typ_oper TINYINT , month_begin TINYINT, LINK_PAYS INT, NAME_PAYS VARCHAR(254), CODE_PAYS  varchar(10), SUMMA NUMERIC(18,2))
		INSERT INTO #SJ (typ_oper, month_begin, LINK_PAYS, NAME_PAYS, CODE_PAYS, SUMMA)
		SELECT P.[OBJECT], MONTH(J.PERIOD_BEGIN), ISNULL(P1.LINK,P.LINK), ISNULL(P1.NAME,P.NAME), ISNULL(P1.CODE,P.CODE), SUMMA
		from 
			dbo.CALCULATE_JURNAL J
			INNER JOIN dbo.PAYS P ON P.LINK = J.LINK_PAYS
			LEFT JOIN dbo.PAYS P1 ON P1.LINK = P.LINK_MPAY AND @nCheck1 = 1
		where 
			link_empl = @varKSnLinkEmpl 
			and YEAR(J.PERIOD_BEGIN) = @varKSnYear
			and P.[OBJECT] in(1, 2)
			and link_doc not in (
				select link from documents_ded_pr 
				where year_base = @varKSnYear
					and flag_jc = 1
					and TYP_PAYMENT = 1
			)
		--
		UPDATE R
		SET NAME_PAYS = NAME_PAYS + '*', CODE_PAYS = CODE_PAYS + '*'
		FROM
			#SJ R
			INNER JOIN dbo.PAYS P on P.LINK_MPAY = R.LINK_PAYS
		--	
		insert into #PART2 
		select 
			case when typ_oper = 1 then 3 else 5 end, 
			name_pays, code_pays,
			sum(case when month_begin = 1 then summa else 0 end),
			sum(case when month_begin = 2 then summa else 0 end),
			sum(case when month_begin = 3 then summa else 0 end),
			sum(case when month_begin = 4 then summa else 0 end),
			sum(case when month_begin = 5 then summa else 0 end),
			sum(case when month_begin = 6 then summa else 0 end),
			sum(case when month_begin = 7 then summa else 0 end),
			sum(case when month_begin = 8 then summa else 0 end),
			sum(case when month_begin = 9 then summa else 0 end),
			sum(case when month_begin = 10 then summa else 0 end),
			sum(case when month_begin = 11 then summa else 0 end),
			sum(case when month_begin = 12 then summa else 0 end)
		from #SJ
		group by 
			case when typ_oper = 1 then 3 else 5 end, 
			name_pays, code_pays


		insert into #PART2 
		select 6, '  ', '',
			sum(case when month_base = 1 then d1.disburs else 0.00 end),
			sum(case when month_base = 2 then d1.disburs else 0.00 end),
			sum(case when month_base = 3 then d1.disburs else 0.00 end),
			sum(case when month_base = 4 then d1.disburs else 0.00 end),
			sum(case when month_base = 5 then d1.disburs else 0.00 end),
			sum(case when month_base = 6 then d1.disburs else 0.00 end),
			sum(case when month_base = 7 then d1.disburs else 0.00 end),
			sum(case when month_base = 8 then d1.disburs else 0.00 end),
			sum(case when month_base = 9 then d1.disburs else 0.00 end),
			sum(case when month_base = 10 then d1.disburs else 0.00 end),
			sum(case when month_base = 11 then d1.disburs else 0.00 end),
			sum(case when month_base = 12 then d1.disburs else 0.00 end)
		from documents_ded_pr d inner join DOCUMENTS_DED_PR_TABLE d1
			on (d.link = d1.link and d1.REF_Empl = @varKSnLinkEmpl 
				and year_base = @varKSnYear
				and flag_jc = 1
				and TYP_PAYMENT = 1)




		SELECT *,
			@varKSCODE_FKR_D AS CODE_FKR_D, @varKSNAME_FKR_D AS NAME_FKR_D,
			@varKSCODE_FKR_T AS CODE_FKR_T, @varKSNAME_FKR_T AS NAME_FKR_T,
			@varKSCODE_FKR_E AS CODE_FKR_E, @varKSNAME_FKR_E AS NAME_FKR_E
		FROM #PART1


		EXEC ('
			SELECT * 
			INTO ' + @varKSTMP2 + ' 
			FROM #TMP2 T2 LEFT OUTER JOIN ' + @varKSPAYS_EMPL + ' PE
			ON T2.ID = PE.PARENT_ID
		')	

	 
		DECLARE @varKSCNT_PAYS INT, @varKSFIELD_NAME VARCHAR(254), @varKSSQL_STR VARCHAR(8000), @varKSI INT
		SELECT @varKSCNT_PAYS = COUNT(DISTINCT CP) FROM #PAYS_EMPL
		SET @varKSI=1
		WHILE @varKSI <= @varKSCNT_PAYS BEGIN
			SET @varKSFIELD_NAME = 'CP_' + RTRIM(LTRIM(STR(@varKSI))) 
			SET @varKSSQL_STR= ' UPDATE ' + @varKSTMP2 + '  SET '+@varKSFIELD_NAME+ ' = (SELECT TOP 1 '+@varKSFIELD_NAME + ' FROM ' + @varKSPAYS_EMPL + ' WHERE '+
				@varKSFIELD_NAME+ '  IS NOT NULL ) ' 
			EXEC (@varKSSQL_STR)
			SET @varKSFIELD_NAME= 'NP_'  +  RTRIM(LTRIM(STR(@varKSI)))  + '_'  +  RTRIM(LTRIM(STR(@varKSI))) 
			SET @varKSSQL_STR= ' UPDATE ' + @varKSTMP2 + '  SET '+@varKSFIELD_NAME+ ' = (SELECT TOP 1 '+@varKSFIELD_NAME + ' FROM ' + @varKSPAYS_EMPL + ' WHERE '+
				@varKSFIELD_NAME+ '  IS NOT NULL ) ' 
			EXEC (@varKSSQL_STR)
			SET @varKSFIELD_NAME= 'S_'  +  RTRIM(LTRIM(STR(@varKSI)))  + '_'  +  RTRIM(LTRIM(STR(@varKSI))) 
			SET @varKSSQL_STR= ' UPDATE '+@varKSTMP2 + '  SET '+@varKSFIELD_NAME+ ' = 0  WHERE ' +
				@varKSFIELD_NAME+ '  IS  NULL ' 

			SET @varKSI=@varKSI+1
		END

		IF @varKSCNT_PAYS >= 1 AND @varKSCNT_PAYS < 9  BEGIN
			SET @varKSDELTA = 9 - @varKSCNT_PAYS
			SET @varKSI = 1
			WHILE @varKSI <= @varKSDELTA BEGIN
				SET @varKSSQL_STR= 'ALTER TABLE '  + @varKSTMP2 + 
				'  ADD CP_' + LTRIM(STR(@varKSCNT_PAYS + @varKSI)) + '  VARCHAR(10), 
				NP_' + LTRIM(STR(@varKSCNT_PAYS + @varKSI)) + '_' + LTRIM(STR(@varKSCNT_PAYS + @varKSI)) + ' VARCHAR(254), 
				S_' + LTRIM(STR(@varKSCNT_PAYS + @varKSI)) + '_' + LTRIM(STR(@varKSCNT_PAYS + @varKSI)) + '  NUMERIC(20,2) '
				EXEC (@varKSSQL_STR)
				SET @varKSI=@varKSI+1
			END
		END

		IF @varKSCNT_PAYS = 0 BEGIN
			SET @varKSSQL_STR= 
				'ALTER TABLE '  + @varKSTMP2 + 
				'  ADD CP_0  VARCHAR(10), 
				NP_0_0 VARCHAR(254), 
				S_0_0  NUMERIC(20,2) '
				EXEC (@varKSSQL_STR)
		END


		EXEC( 'SELECT *, ITOGOZP = (SELECT (SELECT SUM(S) FROM #PAYS_EMPL WHERE SUMM = 0 /*AND  ORDER_DATE BETWEEN isnull(DATE_BEGIN,''20000101'') AND COALESCE(DATE_END,''29990101'') */and t.parent_id =parent_id )  + ( SELECT SUM(SUMM) FROM #PAYS_EMPL WHERE SUMM <> 0 /*AND  ORDER_DATE BETWEEN isnull(DATE_BEGIN,''20020101'') AND COALESCE(DATE_END,''29990101'')*/ and t.parent_id =parent_id) ) 
		FROM ' + @varKSTMP2 + ' t ORDER  by ID, REAL_REC DESC, ORDER_DATE ASC')

	/*
		EXEC( 'SELECT *, ITOGOZP = (SELECT SUM(S) FROM #PAYS_EMPL WHERE ORDER_DATE BETWEEN DATE_BEGIN AND COALESCE(DATE_END,''29990101'')) 
		FROM ' + @varKSTMP2 + ' ORDER BY REAL_REC DESC, ORDER_DATE ASC')
	*/
		SELECT * 
		FROM #TMP_3 INNER JOIN #TMP_DED ON #TMP_3.ID = #TMP_DED.ID
		ORDER BY #TMP_3.REAL_REC DESC, ORD_DATE

		select * from #part2
		order by mode, code


		EXEC ('DROP TABLE ' + @varKSPAYS_EMPL )
		EXEC ('DROP TABLE ' + @varKSTMP2 )
	END 
	ELSE BEGIN
	----------------------------------------------------------------------------
	------ 			---------------------------------------------
	----------------------------------------------------------------------------

		SET @varKSnLinkPers = @varKSnLinkEmpl
			
		select @varKSCODE_FKR_D = CODE_FKR_D, @varKSNAME_FKR_D = NAME_FKR_D,
			@varKSCODE_FKR_T = CODE_FKR_T, @varKSNAME_FKR_T = NAME_FKR_T,
			@varKSCODE_FKR_E = CODE_FKR_E, @varKSNAME_FKR_E = NAME_FKR_E,
			@varKSDate = G.period
		from 	
			DOCUMENTS_DGH G INNER JOIN DOCUMENTS_DGH_T1 GT ON G.LINK = GT.LINK 
			inner join PERSON P on GT.PERS_LINK = P.link
			inner join dbo.SAL_SFIN F on F.LINK = GT.LINK_VKR
			inner join BI_DICTION_VKR VKR ON F.KBK = VKR.LINK
		WHERE 
			FLAG_jc = 1
			and G.PERIOD <= @varKSEND_DATE
			AND G.PERIOD >= @varKSstart_date
			AND g.link_dep = @DEP_LINK
			AND (P.link = @varKSnLinkPers OR @varKSnLinkPers = 0)	
		ORDER BY 
			G.PERIOD DESC


		CREATE TABLE #PART1_P(SUBDIV VARCHAR(254),FIO VARCHAR(254),TAB_NUM VARCHAR(15),
							BIRTH DATETIME, KATEG VARCHAR(254), OBR VARCHAR(254), 
							ZV_STEP VARCHAR(254), EXPIR VARCHAR(40), 
							OSN_OKL NUMERIC(20,2), CHILDREN INT, IZHD INT, INV VARCHAR(20), PENS_DATE datetime)

		INSERT INTO #PART1_p
		SELECT TOP 1
			[SUBDIV]  = '',
			[FIO] 	  = RTRIM(P.FM) + ' ' + RTRIM(P.IM) + ' ' + RTRIM(P.OT),
			[tab_num] = '',
			[BIRTH]   = P.BIRTHDATE,
			[KATEG]   = '',
			[OBR] 	  = (SELECT NAME FROM EDUCTYPE WHERE LINK =  PE.EDUC_LINK),
			[ZV_STEP] = RTRIM(ISNULL((SELECT NAME FROM dbo.ACAD_STATUS WHERE LINK = P.ACAD_STATUS_LINK),'')) + ' ' 
						+ RTRIM(ISNULL((SELECT NAME FROM dbo.ACAD_DEGREE WHERE LINK = P.ACAD_DEGREE_LINK),'')),
			[EXPIR]   = '',
			[OSN_OKL] = null,
			[CHILDREN] = (SELECT COUNT(*) FROM dbo.KU_PERS_FAMILY F WHERE 
										F.PERS_LINK = s.PERS_LINK AND YEAR(F.[BIRTHDATE]) <= @varKSnYear
										AND FAMILY_NAME IN ('','')),
			[IZHD] = (SELECT COUNT(*) FROM dbo.PERS_FAMILY F WHERE 
										F.PERS_LINK = s.PERS_LINK  AND IZHD = 1 AND @varKSnYear BETWEEN YEAR(F.[IZHD_BEG]) AND ISNULL(YEAR(F.[IZHD_END]),@varKSnYear)),
			[INV] = (SELECT TOP 1 LTRIM(RTRIM(PV.GROUP_NAME)) FROM dbo.KU_PERS_INVALID PV
					 WHERE PV.PERS_LINK = P.LINK AND @varKSEND_DATE BETWEEN DATE_BEGIN AND ISNULL(DATE_END,@varKSEND_DATE)),
			[PENS_DATE] = (SELECT TOP 1 K.DATE_PENS FROM dbo.KJ_PERS_PENSION K WHERE K.PERS_LINK = P.LINK)
		FROM 
	 		salary_reestr_dgh s  
	 		inner join PERSON P on s.PERS_LINK = P.link
			LEFT OUTER JOIN dbo.KU_PERS_EDUCATION PE ON (P.LINK = PE.PERS_LINK
					 and (SATISFY = (case when exists (select * from  KU_PERS_EDUCATION where pers_link = P.LINK and SATISFY = 1)
				then  1
				else 0
				end)
				and pe.educ_code = (case when SATISFY = 0 
				then 	 (select max(educ_code) from  KU_PERS_EDUCATION where pers_link = P.LINK)
				else (select max(educ_code) from  KU_PERS_EDUCATION where pers_link = P.LINK and SATISFY = 1)
				end		)))
		where 	(P.link = @varKSnLinkPers OR @varKSnLinkPers = 0)	
				AND s.DATE1 <= @varKSEND_DATE
				AND s.DATE1 >= @varKSstart_date	
				AND s.DEP_LINK = @DEP_LINK
		ORDER BY 
				s.DATE1 DESC		
					

		-- 
		DECLARE @varKSKATEG_P VARCHAR(4000), @varKSTMP_STR_P VARCHAR(254)
		SET @varKSKATEG_P = ''
		DECLARE #KAT_CURSOR CURSOR LOCAL FAST_FORWARD FOR

		SELECT TOP 1 ISNULL(QUALIFY, '') 
		FROM dbo.KU_PERS_EDUCATION PE
		WHERE PERS_LINK = @varKSnLinkPers AND YEAR(DATE_END) <= @varKSnYear
		ORDER BY SATISFY DESC
		
		OPEN #KAT_CURSOR
		FETCH #KAT_CURSOR INTO @varKSTMP_STR
		WHILE @@FETCH_STATUS = 0 BEGIN
			SET @varKSKATEG_P = @varKSKATEG_P + ' ' + RTRIM(@varKSTMP_STR_P)
			FETCH #KAT_CURSOR INTO @varKSTMP_STR
		END
		CLOSE #KAT_CURSOR
		DEALLOCATE #KAT_CURSOR

		UPDATE #PART1_P SET KATEG = LTRIM(RTRIM(@varKSKATEG_P))

		--	
		declare @varKSdays_P int, @varKSmonths_P int, @varKSyears_P int, @varKScDate_P varchar(10)
		SELECT @varKSyears_P = years, @varKSmonths_P = months, @varKSdays_P = days from dbo.ku_EmplExpirTable(@varKSnLinkEmpl,@varKSEND_DATE, DEFAULT) ET WHERE ET.EXPIR_CODE = 'GEN'  

		UPDATE #PART1_P SET EXPIR = ''
		/*	RTRIM(LTRIM(CAST (@varKSyears_P AS VARCHAR(4) ))) + '  '
			+ RTRIM(LTRIM(CAST (@varKSmonths_P AS VARCHAR(2) ))) + '  '
			+ RTRIM(LTRIM(CAST (@varKSdays_P AS VARCHAR(2) ))) + '  '
		*/	
		CREATE TABLE #DPP (PERS_LINK INT, LINK_PAYS INT, ORDER_DATE DATETIME, ORD_LINK int ,  DATE_BEGIN DATETIME, DATE_END DATETIME, VALUE NUMERIC(18,4))

		INSERT INTO #DPP (PERS_LINK, LINK_PAYS, ORDER_DATE,ORD_LINK, DATE_BEGIN, DATE_END, VALUE)
		SELECT GT.PERS_LINK, GT.LINK_PAY, S.[DATE], S.link, G.PERIOD, dbo.DateEndOfMonth(G.PERIOD), GT.SUMMA 
		FROM DOCUMENTS_DGH G INNER JOIN DOCUMENTS_DGH_T1 GT ON G.LINK = GT.LINK 
							 left  join salary_reestr_dgh s on GT.LINK_DOG =  s.link
		WHERE 
			gt.pers_Link = @varKSnLinkPers
			and G.FLAG_JC = 1
			AND G.LINK_DEP = @DEP_LINK
		
		CREATE TABLE #PAYS_PERS(
			LINK_PAY INT, ord_link int ,cp varchar(10), NP VARCHAR(254), 
			date_begin datetime, date_end datetime,
			s numeric(20,2), parent_id int
		)

		--     
		/*INSERT INTO #PAYS_PERS
		SELECT 
			ISNULL(P1.LINK,P.LINK), ISNULL(P1.CODE,P.CODE), ISNULL(P1.NAME,P.NAME), ISNULL(DPP.ORDER_DATE,DPP.DATE_BEGIN), NULL, VALUE, 0
		FROM 
			#DPP DPP
			INNER JOIN dbo.PAYS P ON P.LINK = DPP.LINK_PAYS
			LEFT JOIN dbo.PAYS P1 ON P1.LINK = P.LINK_MPAY AND @nCheck1 = 1 
		WHERE 
			PERS_LINK = @varKSnLinkPers
			AND @varKSstart_date - 1 BETWEEN DPP.DATE_BEGIN AND ISNULL(DATE_END, '30000101')
			AND VALUE > 0
		*/

		--    
		INSERT INTO #PAYS_PERS
		SELECT 
			ISNULL(P1.LINK,P.LINK), ord_link ,ISNULL(P1.CODE,P.CODE), ISNULL(P1.NAME,P.NAME), 
			ISNULL(DPP.ORDER_DATE,DPP.DATE_BEGIN), 
			DATE_END, VALUE, 0
		FROM 
			#DPP DPP
			INNER JOIN dbo.PAYS P ON P.LINK = DPP.LINK_PAYS
			LEFT JOIN dbo.PAYS P1 ON P1.LINK = P.LINK_MPAY AND @nCheck1 = 1
		WHERE 
			PERS_LINK = @varKSnLinkPers
			AND YEAR(ISNULL(DPP.ORDER_DATE,DPP.DATE_BEGIN)) = @varKSnYear
			AND ISNULL(DATE_END, '30000101') >= @varKSstart_date
			AND VALUE > 0
			AND NOT EXISTS (SELECT * FROM #PAYS_PERS PP WHERE PP.LINK_PAY = ISNULL(P1.LINK,P.LINK) AND PP.date_begin = ISNULL(DPP.ORDER_DATE,DPP.DATE_BEGIN))

		--    
		INSERT INTO #PAYS_PERS
		SELECT 
			ISNULL(P1.LINK,P.LINK),ord_link, ISNULL(P1.CODE,P.CODE), ISNULL(P1.NAME,P.NAME), NULL, NULL, VALUE, 0
		FROM 
			#DPP DPP
			INNER JOIN dbo.PAYS P ON P.LINK = DPP.LINK_PAYS
			LEFT JOIN dbo.PAYS P1 ON P1.LINK = P.LINK_MPAY AND @nCheck1 = 1
		WHERE 
			PERS_LINK = @varKSnLinkPers
			AND DATE_BEGIN = (Select max(g1.period) from DOCUMENTS_DGH G1 INNER JOIN DOCUMENTS_DGH_T1 GT1 ON G1.LINK = GT1.LINK  where GT1.PERS_LINK = DPP.PERS_LINK and Gt1.LINK_PAY = DPP.LINK_PAYS and G1.PERIOD <= @varKSEND_DATE AND ISNULL(dbo.DateEndOfMonth(g1.PERIOD), '30000101') >= @varKSstart_date) 
			AND ISNULL(DATE_END, '30000101') >= @varKSstart_date
			AND VALUE > 0
			AND NOT EXISTS (SELECT * FROM #PAYS_PERS PP WHERE PP.LINK_PAY = ISNULL(P1.LINK,P.LINK))

		UPDATE #PAYS_PERS
		SET DATE_BEGIN = NULL
		WHERE DATE_BEGIN < @varKSstart_date
		
		UPDATE R
		SET CP = CP + '*', NP = NP + '*'
		FROM
			#PAYS_PERS R
			INNER JOIN dbo.PAYS P on P.LINK_MPAY = R.LINK_PAY

		CREATE TABLE #TMP2_P ( ID INT IDENTITY, ORDER_DATE datetime, ORDER_NUM VARCHAR(30),
			SUBDIV VARCHAR(254), POST VARCHAR(254), CONDITION VARCHAR(40), 
			KATEG VARCHAR(254), AVANSE NUMERIC(20, 2), REAL_REC BIT, link_dgh int
		)
		
		--INSERT INTO #TMP2 (ORDER_DATE, ORDER_NUM, SUBDIV, POST, CONDITION, KATEG,
		--	REAL_REC)
		--SELECT TOP 1 DATE, NUMBER, SUBDIVISION_PD, POST_PD, '', '', 1
		--FROM DICTIONARY_PURP_DISP_FACES 
		--WHERE EMPL_LINK = @varKSnLinkEmpl AND YEAR(DATE_PD) < @varKSnYear
		--ORDER BY DATE_PD DESC

		CREATE TABLE #STAFF_INFO_P(LINK_UP INT, DEP_NAME VARCHAR(254), POST_NAME VARCHAR(254), DATE_BEGIN DATETIME, DATE_END DATETIME)
		INSERT INTO #STAFF_INFO_P(LINK_UP, DEP_NAME, POST_NAME, DATE_BEGIN, DATE_END)
		SELECT 
			S.LINK, 
			(SELECT TOP 1 [name] FROM dictionary_department_hist WHERE link_UP = s.dep_link and (s.date1 between date_begin and date_end or s.date1< date_begin and s.date2 > date_end or s.date2 between date_begin and date_end)),
			' ',
			S.DATE1, 
			S.DATE2
		FROM 
			DBO.salary_reestr_dgh S
			
		--    
		---------------------------
		-- 
		INSERT INTO #TMP2_P (ORDER_DATE, ORDER_NUM ,  SUBDIV, POST, CONDITION, KATEG, REAL_REC, link_dgh)
		SELECT 
			sr.[DATE], sr.NUMBER, case when sr.date2 is not null then '() c' + CONVERT(VARCHAR(10),sr.DATE1,104) + '  ' + CONVERT(VARCHAR(10),sr.DATE2,104) 
																else '() ' + CONVERT(VARCHAR(10),sr.DATE1,104) end 	
			, '', '', '', 1 , Sr.link /*#3584  ..   */
		FROM 
			#STAFF_INFO_P S 
			inner join DBO.salary_reestr_dgh Sr ON S.link_up=sr.link and sr.date1 between s.date_begin and s.date_end
		WHERE 
			sr.PERS_LINK = @varKSnLinkPers AND (YEAR(sr.DATE1) <= @varKSnYear and YEAR(sr.DATE2) >= @varKSnYear) 	 /* #3584  ..            */
		ORDER BY 
			sr.DATE1 
		---
		INSERT INTO #TMP2_P (ORDER_DATE, ORDER_NUM, SUBDIV, POST, CONDITION, KATEG,REAL_REC, link_dgh)
		SELECT NULL, NULL, NULL, NULL, '', '', 1 , null
		WHERE EXISTS (
			SELECT * FROM #DPP DPP WHERE PERS_LINK = @varKSnLinkPers
					AND @varKSstart_date-1 BETWEEN DPP.DATE_BEGIN AND ISNULL(DATE_END, '30000101')
					AND VALUE > 0	
			)		
	
		---		
		/*--
		INSERT INTO #TMP2 (ORDER_DATE, ORDER_NUM, SUBDIV, POST, CONDITION, KATEG, REAL_REC)
		SELECT 
			o.[DATE], o.NUMBER, 
			case when ORD.obj_code = 'MOVES' then '() ' + CONVERT(VARCHAR(10),im.DATE_BEGIN,104)
				 else ORD.type_txt + ' ' + CONVERT(VARCHAR(10),im.DATE_BEGIN,104) end	, 
			S.POST_NAME, '', '', 1 /*#3584  ..   */
		FROM 
			ITEM_MOVE im 
			INNER JOIN ORDERS O ON im.ORDER_LINK=o.LINK and im.active=1 AND IM.NEW_FACE not in(2,1)
			inner join ORDERS_REESTR ORD on im.ORDER_LINK=ord.LINK 
			LEFT OUTER JOIN #STAFF_INFO S ON S.link_up=im.staff_link and im.date_begin between s.date_begin and s.date_end
			
		WHERE 
			im.EMPL_LINK = @varKSnLinkEmpl AND YEAR(IM.DATE_BEGIN) = @varKSnYear	 /* #3584  ..            */
		
		union 
	 		SELECT DISTINCT DATE_BEGIN, null, '','','','',1
			FROM #PAYS_EMPL
			WHERE 
			DATE_BEGIN NOT IN (SELECT ISNULL(O.[DATE],'18000101') FROM ITEM_MOVE im 
								INNER JOIN ORDERS O ON im.ORDER_LINK=o.LINK and im.active=1 AND IM.NEW_FACE not in(2,1)
								inner join ORDERS_REESTR ORD on im.ORDER_LINK=ord.LINK 
								LEFT OUTER JOIN #STAFF_INFO S ON S.link_up=im.staff_link and im.date_begin between s.date_begin and s.date_end
									WHERE 
								im.EMPL_LINK = @varKSnLinkEmpl AND YEAR(IM.DATE_BEGIN) = @varKSnYear)
			AND DATE_BEGIN >= ISNULL((SELECT MIN(O.[DATE]) FROM ITEM_MOVE im 
								INNER JOIN ORDERS O ON im.ORDER_LINK=o.LINK /*and im.active=1*/ AND IM.NEW_FACE not in(2,1)
								inner join ORDERS_REESTR ORD on im.ORDER_LINK=ord.LINK 
								LEFT OUTER JOIN #STAFF_INFO S ON S.link_up=im.staff_link and im.date_begin between s.date_begin and s.date_end
									WHERE 
								im.EMPL_LINK = @varKSnLinkEmpl AND YEAR(IM.DATE_BEGIN) = @varKSnYear), '18000101')
								
		/*ORDER BY 
			DATE_BEGIN ASC*/
		-----------------------------
			
		--   
		DECLARE @DICTIONARY_PUV INT
		SET @DICTIONARY_PUV = (SELECT TOP 1 LINK FROM dbo.S_OBJECTS WHERE CODE = 'DICTIONARY_PUV')

		INSERT INTO #TMP2 (ORDER_DATE, ORDER_NUM, SUBDIV, POST, CONDITION, KATEG, REAL_REC)
		SELECT 
			o.[DATE], o.NUMBER, '() ' + CONVERT(VARCHAR(10),DIS_DATE,104), LEFT(D.NAME,254), '', '', 1
		FROM 
			dbo.ITEM_DIS_FACE DF
			INNER JOIN dbo.ORDERS O ON DF.ORDER_LINK=o.LINK and DF.active=1
			INNER JOIN dbo.DICTION D ON D.LINK = DF.REASON
		WHERE 
			DF.EMPL_LINK = @varKSnLinkEmpl AND YEAR(DF.DIS_DATE) = @varKSnYear	
		ORDER BY 
			DF.DIS_DATE DESC		
		*/	
		DECLARE @varKSDATE_MIN_P DATETIME, 
				@varKSADVANCE_P NUMERIC(20, 2)

		set @varKSADVANCE_P = 0
		
		/*SELECT @varKSADVANCE_P = OKL.OKLAD * ISNULL(AVANCE, 0) / 100.0 
		FROM EMPL E,dbo.salary_oklad(@varKSEND_DATE, @varKSnLinkEmpl, DEFAULT, @DEP_LINK) OKL  
		WHERE OKL.LINK_EMPL = @varKSnLinkEmpl AND E.LINK = OKL.LINK_EMPL 
		*/
		SET @varKSDATE_MIN_P = ISNULL((SELECT MIN(ORDER_DATE) FROM #TMP2_P), '18000101')

		/*INSERT INTO #TMP2_P(ORDER_DATE, REAL_REC)
		SELECT DISTINCT DATE_BEGIN, 1
		FROM #PAYS_PERS
		WHERE 
			DATE_BEGIN NOT IN (SELECT ISNULL(ORDER_DATE,'18000101') FROM #TMP2_P)
			AND DATE_BEGIN >= @varKSDATE_MIN
		*/

		DECLARE #TMP_CUR CURSOR LOCAL FAST_FORWARD FOR 
			SELECT ID, ORDER_DATE, link_DGH
			FROM #TMP2_P
			ORDER BY ORDER_DATE DESC, id DESC
		DECLARE @varKSID_P INT, @varKSORDER_DATE_P DATETIME , @varKSORDL_P INT
		
		OPEN #TMP_CUR
		FETCH #TMP_CUR INTO @varKSID_P, @varKSORDER_DATE_P, @varKSORDL_P
		WHILE @@FETCH_STATUS = 0 BEGIN
		
			UPDATE #PAYS_PERS
			SET PARENT_ID = @varKSID_P
			WHERE 
				PARENT_ID = 0 
				AND DATE_BEGIN >= @varKSORDER_DATE_P and ORD_LINK = @varKSORDL_P
			FETCH #TMP_CUR INTO @varKSID_P, @varKSORDER_DATE_P ,@varKSORDL_P
		END
		CLOSE #TMP_CUR
		DEALLOCATE #TMP_CUR
		
		UPDATE #PAYS_PERS
		SET PARENT_ID = @varKSID_P 
		WHERE 
			PARENT_ID = 0 

		UPDATE #TMP2_P SET AVANSE = @varKSADVANCE_P WHERE ORDER_DATE = @varKSDATE_MIN_P
		DECLARE @varKSPAYS_PERS VARCHAR(100), @varKSTMP2_P VARCHAR(120)
		EXEC X_GET_TABLE_NAME @varKSPAYS_PERS OUTPUT
		SET @varKSTMP2_P = @varKSPAYS_PERS + '_1'

		EXEC M_CROSS_TABLE 
			'PARENT_ID',
			'CP, NP',
			'VARCHAR(10)#VARCHAR(254)',
			'S',
			'NUMERIC(20,2)',
			'SUM(S) AS S',
			'#PAYS_PERS',
			@varKSPAYS_PERS


		INSERT INTO #TMP2_P(REAL_REC) VALUES(0)
		INSERT INTO #TMP2_P(REAL_REC) VALUES(0)
		INSERT INTO #TMP2_P(REAL_REC) VALUES(0)
		INSERT INTO #TMP2_P(REAL_REC) VALUES(0)
		INSERT INTO #TMP2_P(REAL_REC) VALUES(0)
		INSERT INTO #TMP2_P(REAL_REC) VALUES(0)

		--    
		CREATE TABLE #TMP_3_P ( ID INT IDENTITY,
			ORD_DATE DATETIME,	ORD_NUM VARCHAR(30),
			VAC_TYPE VARCHAR(254),
			PERIOD_B DATETIME,	PERIOD_E DATETIME,
			VAC_BEG DATETIME,	VAC_END DATETIME,
			DAYS VARCHAR(254),
			REAL_REC BIT
			)
		INSERT INTO #TMP_3_P
		(
			ORD_DATE, ORD_NUM, 
			VAC_TYPE,
			PERIOD_B, PERIOD_E,
			VAC_BEG, VAC_END,
			DAYS, REAL_REC
		)
		SELECT 
			null, null,
			'',
			null, null,
			null, null,
			null,
			1
		/*INSERT INTO #TMP_3_P
		(
			ORD_DATE, ORD_NUM, 
			VAC_TYPE,
			PERIOD_B, PERIOD_E,
			VAC_BEG, VAC_END,
			DAYS, REAL_REC
		)
		SELECT 
			DATE, NUMBER,
			TYPE_NAME,
			PERIOD_BEGIN, PERIOD_END,
			DATE_BEGIN, DATE_END,
			dbo.W_DAYS(7, DATE_BEGIN,DATE_END),
			1
		FROM VACATION
		WHERE
			EMPL_LINK = @varKSnLinkEmpl
			AND YEAR([DATE_BEGIN]) = @varKSnYear
		*/	
	
		CREATE TABLE #TMP_DED_P (
			ID INT IDENTITY, 
			DOC_NAME VARCHAR(254), DOC_NUM VARCHAR(50), DOC_DST VARCHAR(254), DOC_ADR VARCHAR(254), 
			link_tax int, NAME_TAX VARCHAR(254), DATE1 DATETIME, DATE2 DATETIME, 
			SUMMA_PROC NUMERIC(20,2), SUMMA NUMERIC(20, 2), REAL_REC BIT )

		INSERT INTO #TMP_DED_P (DOC_NAME, DOC_NUM, DOC_DST, DOC_ADR, link_tax, NAME_TAX, DATE1, DATE2, SUMMA_PROC, SUMMA, REAL_REC)
		SELECT 
			DOC_NAME, 
			DOC_NUM = ' ' + DOC_NUM + '  ' + CONVERT(VARCHAR(10),DOC_DATE,104),
			DOC_DST = D.NAME,
			DOC_ADR = 
				LEFT(
					(
					LEFT(ISNULL(dbo.GetAddressByKladr(D.KLADR_LINK), ''), 254) + 
					CASE WHEN LEN(ISNULL(HOUSE, '')) = 0 THEN '' ELSE ', . ' + LTRIM(RTRIM(HOUSE)) END 
					--+ CASE WHEN LEN(ISNULL(CORP_REAL, '')) = 0 THEN '' ELSE ', . ' + LTRIM(RTRIM(CORP_REAL)) END 
					+ CASE WHEN LEN(ISNULL(FLAT, '')) = 0 THEN '' ELSE ', . ' + LTRIM(RTRIM(FLAT)) END
					-- 		
					+ ISNULL(
						CASE WHEN DA.CODE IS NOT NULL THEN DA.CODE
							ELSE (SELECT TOP 1 DA1.CODE FROM dbo.DEPARTMENT_ACCOUNTS DA1 WHERE DA1.[TYPE] = 1 AND DA1.LINK_UP = ET.LINK_DEST)
						END, '')
				),254),	
			
			link_tax, NAME_TAX, DATE1, DATE2, SUMMA, SUMMA, 1
		FROM 
			dbo.SD_EMPL_TAX ET
			inner join #TMP2_P  p2 on ET.LINK_DGH = p2.LINK_DGH
			LEFT JOIN dbo.DEPARTMENTS D ON D.LINK = ET.LINK_DEST
			LEFT JOIN dbo.DEPARTMENT_ACCOUNTS DA ON DA.LINK = D.MAIN_LINK
		WHERE 
			ET.LINK_DGH is not null
			and ET.LINK_EMPL is null
			AND (DATE2 IS NULL OR DATE2 >= @varKSstart_date)
			AND (DATE1 <= @varKSEND_DATE)

		DECLARE @varKSTMP_INT_P INT, 
			@varKSCOUNT_2_P INT, @varKSCOUNT_3_P INT, @varKSCOUNT_4_P INT, @varKSCOUNT_MAX_P INT, @varKSDELTA_P INT
		SET @varKSCOUNT_2_P = 0
		SET @varKSCOUNT_MAX_P = @varKSCOUNT_2_P
		SET @varKSCOUNT_3_P = (SELECT COUNT(*) FROM #TMP_DED_P)
		IF @varKSCOUNT_MAX_P < @varKSCOUNT_3_P SET @varKSCOUNT_MAX_P = @varKSCOUNT_3_P
		IF @varKSCOUNT_MAX_P =0 SET @varKSCOUNT_MAX_P = 1
		SET @varKSDELTA_P = @varKSCOUNT_MAX_P - @varKSCOUNT_2_P
		SET @varKSTMP_INT_P = 1
		/*WHILE @varKSTMP_INT_P <= @varKSDELTA_P BEGIN
			INSERT INTO #TMP_3(REAL_REC) VALUES(0)
			SET @varKSTMP_INT_P=@varKSTMP_INT_P+1
		END
		*/

		SET @varKSDELTA_P=@varKSCOUNT_MAX_P-@varKSCOUNT_3_P
		SET @varKSTMP_INT_P=1
		WHILE @varKSTMP_INT_P<=@varKSDELTA_P BEGIN
			INSERT INTO #TMP_DED_P (REAL_REC) VALUES(0)
			SET @varKSTMP_INT_P=@varKSTMP_INT_P+1
		END


		--INSERT INTO #TMP_3(REAL_REC) VALUES(0)
		--INSERT INTO #TMP_3(REAL_REC) VALUES(0)
		--INSERT INTO #TMP_3(REAL_REC) VALUES(0)
		INSERT INTO #TMP_DED_P (REAL_REC) VALUES(0)
		INSERT INTO #TMP_DED_P (REAL_REC) VALUES(0)
		INSERT INTO #TMP_DED_P (REAL_REC) VALUES(0)
		

		CREATE TABLE #PART2_p (mode int, NAME_STR VARCHAR(254), code varchar(10),
			SM01 NUMERIC(20,2), SM02 NUMERIC(20,2), SM03 NUMERIC(20,2), 
			SM04 NUMERIC(20,2), SM05 NUMERIC(20,2), SM06 NUMERIC(20,2), 
			SM07 NUMERIC(20,2), SM08 NUMERIC(20,2), SM09 NUMERIC(20,2), 
			SM10 NUMERIC(20,2), SM11 NUMERIC(20,2), SM12 NUMERIC(20,2)
		)


		
		insert into #PART2_P 
		select 1, ' ', '',
			max(case when month_begin = 1 then days else 0 end),
			max(case when month_begin = 2 then days else 0 end),
			max(case when month_begin = 3 then days else 0 end),
			max(case when month_begin = 4 then days else 0 end),
			max(case when month_begin = 5 then days else 0 end),
			max(case when month_begin = 6 then days else 0 end),
			max(case when month_begin = 7 then days else 0 end),
			max(case when month_begin = 8 then days else 0 end),
			max(case when month_begin = 9 then days else 0 end),
			max(case when month_begin = 10 then days else 0 end),
			max(case when month_begin = 11 then days else 0 end),
			max(case when month_begin = 12 then days else 0 end)
		from s_j_c 
		where  
			link_empl IS NULL AND  PERS_LINK = @varKSnLinkPers
			and year_begin = @varKSnYear
			and typ_oper = 1 /*and (way_calc = 1 or way_calc = 2)*/

		insert into #PART2_P 
		select 2, ' ', '',
			sum(case when month_begin = 1 then summa else 0 end),
			sum(case when month_begin = 2 then summa else 0 end),
			sum(case when month_begin = 3 then summa else 0 end),
			sum(case when month_begin = 4 then summa else 0 end),
			sum(case when month_begin = 5 then summa else 0 end),
			sum(case when month_begin = 6 then summa else 0 end),
			sum(case when month_begin = 7 then summa else 0 end),
			sum(case when month_begin = 8 then summa else 0 end),
			sum(case when month_begin = 9 then summa else 0 end),
			sum(case when month_begin = 10 then summa else 0 end),
			sum(case when month_begin = 11 then summa else 0 end),
			sum(case when month_begin = 12 then summa else 0 end)
		from s_j_c where link_empl IS NULL AND  PERS_LINK = @varKSnLinkPers
			and year_begin = @varKSnYear
			and typ_oper = 1


		
		insert into #PART2_P 
		select 4, ' ', '',
			sum(case when month_begin = 1 then summa else 0 end),
			sum(case when month_begin = 2 then summa else 0 end),
			sum(case when month_begin = 3 then summa else 0 end),
			sum(case when month_begin = 4 then summa else 0 end),
			sum(case when month_begin = 5 then summa else 0 end),
			sum(case when month_begin = 6 then summa else 0 end),
			sum(case when month_begin = 7 then summa else 0 end),
			sum(case when month_begin = 8 then summa else 0 end),
			sum(case when month_begin = 9 then summa else 0 end),
			sum(case when month_begin = 10 then summa else 0 end),
			sum(case when month_begin = 11 then summa else 0 end),
			sum(case when month_begin = 12 then summa else 0 end)
		from s_j_c where link_empl IS NULL AND  PERS_LINK = @varKSnLinkPers
			and year_begin = @varKSnYear
			and typ_oper = 2 
			and link_doc not in (
				select link from DOCUMENTS_DED_PR_DGH 
				where year_base = @varKSnYear

					and flag_jc = 1
					and TYP_PAYMENT = 1
			)



	----- 
		CREATE TABLE #SJ_P (typ_oper TINYINT , month_begin TINYINT, LINK_PAYS INT, NAME_PAYS VARCHAR(254), CODE_PAYS  varchar(10), SUMMA NUMERIC(18,2))
		INSERT INTO #SJ_P (typ_oper, month_begin, LINK_PAYS, NAME_PAYS, CODE_PAYS, SUMMA)
		SELECT P.[OBJECT], MONTH(J.PERIOD_BEGIN), ISNULL(P1.LINK,P.LINK), ISNULL(P1.NAME,P.NAME), ISNULL(P1.CODE,P.CODE), SUMMA
		from 
			dbo.CALCULATE_JURNAL J
			INNER JOIN dbo.PAYS P ON P.LINK = J.LINK_PAYS
			LEFT JOIN dbo.PAYS P1 ON P1.LINK = P.LINK_MPAY AND @nCheck1 = 1
		where 
			link_empl IS NULL
			AND  PERS_LINK = @varKSnLinkPers
			and YEAR(J.PERIOD_BEGIN) = @varKSnYear
			and P.[OBJECT] in(1, 2)
			and link_doc not in (
				select link from DOCUMENTS_DED_PR_DGH 
				where year_base = @varKSnYear
					and flag_jc = 1
					and TYP_PAYMENT = 1
			)
		--
		UPDATE R
		SET NAME_PAYS = NAME_PAYS + '*', CODE_PAYS = CODE_PAYS + '*'
		FROM
			#SJ_P R
			INNER JOIN dbo.PAYS P on P.LINK_MPAY = R.LINK_PAYS
		--	
		insert into #PART2_P 
		select 
			case when typ_oper = 1 then 3 else 5 end, 
			name_pays, code_pays,
			sum(case when month_begin = 1 then summa else 0 end),
			sum(case when month_begin = 2 then summa else 0 end),
			sum(case when month_begin = 3 then summa else 0 end),
			sum(case when month_begin = 4 then summa else 0 end),
			sum(case when month_begin = 5 then summa else 0 end),
			sum(case when month_begin = 6 then summa else 0 end),
			sum(case when month_begin = 7 then summa else 0 end),
			sum(case when month_begin = 8 then summa else 0 end),
			sum(case when month_begin = 9 then summa else 0 end),
			sum(case when month_begin = 10 then summa else 0 end),
			sum(case when month_begin = 11 then summa else 0 end),
			sum(case when month_begin = 12 then summa else 0 end)
		from #SJ_P
		group by 
			case when typ_oper = 1 then 3 else 5 end, 
			name_pays, code_pays


		insert into #PART2_P 
		select 6, '  ', '',
			sum(case when month_base = 1 then d1.disburs else 0.00 end),
			sum(case when month_base = 2 then d1.disburs else 0.00 end),
			sum(case when month_base = 3 then d1.disburs else 0.00 end),
			sum(case when month_base = 4 then d1.disburs else 0.00 end),
			sum(case when month_base = 5 then d1.disburs else 0.00 end),
			sum(case when month_base = 6 then d1.disburs else 0.00 end),
			sum(case when month_base = 7 then d1.disburs else 0.00 end),
			sum(case when month_base = 8 then d1.disburs else 0.00 end),
			sum(case when month_base = 9 then d1.disburs else 0.00 end),
			sum(case when month_base = 10 then d1.disburs else 0.00 end),
			sum(case when month_base = 11 then d1.disburs else 0.00 end),
			sum(case when month_base = 12 then d1.disburs else 0.00 end)
		from DOCUMENTS_DED_PR_DGH d inner join DOCUMENTS_DED_PR_TABLE_DGH d1
			on (d.link = d1.link and d1.PERS_LINK = @varKSnLinkPers 
				and year_base = @varKSnYear
				and flag_jc = 1
				and TYP_PAYMENT = 1)

		SELECT *,
			@varKSCODE_FKR_D AS CODE_FKR_D, @varKSNAME_FKR_D AS NAME_FKR_D,
			@varKSCODE_FKR_T AS CODE_FKR_T, @varKSNAME_FKR_T AS NAME_FKR_T,
			@varKSCODE_FKR_E AS CODE_FKR_E, @varKSNAME_FKR_E AS NAME_FKR_E
		FROM #PART1_P

		EXEC ('
			SELECT * 
			INTO ' + @varKSTMP2_P + ' 
			FROM #TMP2_P T2 LEFT OUTER JOIN ' + @varKSPAYS_PERS + ' PE
			ON T2.ID = PE.PARENT_ID
		')	
	 
		DECLARE @varKSCNT_PAYS_P INT, @varKSFIELD_NAME_P VARCHAR(254), @varKSSQL_STR_P VARCHAR(8000), @varKSI_P INT
		SELECT @varKSCNT_PAYS_P = COUNT(DISTINCT CP) FROM #PAYS_PERS
		SET @varKSI_P=1
		WHILE @varKSI_P <= @varKSCNT_PAYS_P BEGIN
			SET @varKSFIELD_NAME_P = 'CP_' + RTRIM(LTRIM(STR(@varKSI_P))) 
			SET @varKSSQL_STR_P= ' UPDATE ' + @varKSTMP2_P + '  SET '+@varKSFIELD_NAME_P+ ' = (SELECT TOP 1 '+@varKSFIELD_NAME_P + ' FROM ' + @varKSPAYS_PERS + ' WHERE '+
				@varKSFIELD_NAME_P+ '  IS NOT NULL ) ' 
			EXEC (@varKSSQL_STR_P)
			SET @varKSFIELD_NAME_P= 'NP_'  +  RTRIM(LTRIM(STR(@varKSI_P)))  + '_'  +  RTRIM(LTRIM(STR(@varKSI_P))) 
			SET @varKSSQL_STR_P= ' UPDATE ' + @varKSTMP2_P + '  SET '+@varKSFIELD_NAME_P+ ' = (SELECT TOP 1 '+@varKSFIELD_NAME_P + ' FROM ' + @varKSPAYS_PERS + ' WHERE '+
				@varKSFIELD_NAME_P+ '  IS NOT NULL ) ' 
			EXEC (@varKSSQL_STR_P)
			SET @varKSFIELD_NAME_P= 'S_'  +  RTRIM(LTRIM(STR(@varKSI_P)))  + '_'  +  RTRIM(LTRIM(STR(@varKSI_P))) 
			SET @varKSSQL_STR_P= ' UPDATE '+@varKSTMP2_P + '  SET '+@varKSFIELD_NAME_P+ ' = 0  WHERE ' +
				@varKSFIELD_NAME_P+ '  IS  NULL ' 

			SET @varKSI_P=@varKSI_P+1
		END

		IF @varKSCNT_PAYS_P >= 1 AND @varKSCNT_PAYS_P < 9  BEGIN
			SET @varKSDELTA_P = 9 - @varKSCNT_PAYS_P
			SET @varKSI_P = 1
			WHILE @varKSI_P <= @varKSDELTA_P BEGIN
				SET @varKSSQL_STR_P= 'ALTER TABLE '  + @varKSTMP2_P + 
				'  ADD CP_' + LTRIM(STR(@varKSCNT_PAYS_P + @varKSI_P)) + '  VARCHAR(10), 
				NP_' + LTRIM(STR(@varKSCNT_PAYS_P + @varKSI_P)) + '_' + LTRIM(STR(@varKSCNT_PAYS_P + @varKSI_P)) + ' VARCHAR(254), 
				S_' + LTRIM(STR(@varKSCNT_PAYS_P + @varKSI_P)) + '_' + LTRIM(STR(@varKSCNT_PAYS_P + @varKSI_P)) + '  NUMERIC(20,2) '
				EXEC (@varKSSQL_STR_P)
				SET @varKSI_P=@varKSI_P+1
			END
		END

		IF @varKSCNT_PAYS_P = 0 BEGIN
			SET @varKSSQL_STR_P= 
				'ALTER TABLE '  + @varKSTMP2_P + 
				'  ADD CP_0  VARCHAR(10), 
				NP_0_0 VARCHAR(254), 
				S_0_0  NUMERIC(20,2) '
				EXEC (@varKSSQL_STR_P)
		END


		EXEC( 'SELECT *, ITOGOZP = (SELECT (SELECT SUM(S) FROM #PAYS_EMPL WHERE SUMM = 0 AND  ORDER_DATE BETWEEN isnull(DATE_BEGIN,''20000101'') AND COALESCE(DATE_END,''29990101'') )  + ( SELECT SUM(SUMM) FROM #PAYS_EMPL WHERE SUMM <> 0 AND  ''20121119'' BETWEEN isnull(DATE_BEGIN,''20020101'') AND COALESCE(DATE_END,''29990101'') ) ) 
		FROM ' + @varKSTMP2_P + ' ORDER  by ID, REAL_REC DESC, ORDER_DATE ASC')
	/*
		EXEC( 'SELECT *, ITOGOZP = (SELECT SUM(S) FROM #PAYS_EMPL WHERE ORDER_DATE BETWEEN DATE_BEGIN AND COALESCE(DATE_END,''29990101'')) 
		FROM ' + @varKSTMP2 + ' ORDER BY REAL_REC DESC, ORDER_DATE ASC')
	*/
		SELECT * 
		FROM #TMP_3_P INNER JOIN #TMP_DED_P ON #TMP_3_P.ID = #TMP_DED_P.ID
		ORDER BY #TMP_3_P.REAL_REC DESC, ORD_DATE

		select * from #part2_P
		order by mode, code


		EXEC ('DROP TABLE ' + @varKSPAYS_PERS )
		EXEC ('DROP TABLE ' + @varKSTMP2_P )
	
	
	END
END
















GO


GRANT EXECUTE ON dbo.[SD_REP_F417] TO PUBLIC

GO


-- --


GO
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[SD_REP_2NDFL]') AND OBJECTPROPERTY(id,N'IsProcedure') = 1)
DROP PROCEDURE dbo.[SD_REP_2NDFL]

GO

CREATE PROCEDURE dbo.SD_REP_2NDFL
	@varKScYear varchar(4),			
	@varKSnFirstNum INT,	
	@nCHECK_S int = 0,					   /*    */
	@nSumm_For_Check numeric(18,2) = null, /*    */			
	@varKScVal1 char(1), @varKSnOtborLink1 int,	
	@varKScVal2 char(1), @varKSnOtborLink2 int,
	@nLinkEmpl int = 0,
	@nMonth int = 12,
	@LINK_PERS INT = NULL,
	@nCheck_CheeF int = 0,
	@nOption1 int = 1 /*   1 - , 2 - , 3 -  */

AS BEGIN

SET NOCOUNT ON
	
	Set @nMonth = ISNULL(@nMonth,12)

	DECLARE @varKSnYear INT
	SET @varKSnYear = CAST(@varKScYear AS INT)

	DECLARE @BEGIN_YEAR DATETIME
	SET @BEGIN_YEAR = dbo.ConvertDMY2Date(1,1,@varKSnYear)

	declare @DEP_LINK int
	exec dbo.xd_whats_zb @DEP_LINK OUTPUT

	CREATE TABLE #RES0 (
		ID INT IDENTITY,
		NOM_SPR INT,
		LINK_FACE INT,
		SEX INT,
		INNFIZ VARCHAR(20),
		NUMB_SERT VARCHAR(20),
		STATUS VARCHAR(1),
		FIO VARCHAR(254),
		FM VARCHAR(254),
		IM VARCHAR(254),
		OT VARCHAR(254),
		KDVD VARCHAR(4),
		SERNOM VARCHAR(254), 
		BIRTH DATETIME,
		GRAZD VARCHAR(3),
		KSTR VARCHAR(3),
		LINK_ADR INT,
		IND_ADR VARCHAR(10),
		REGION VARCHAR(4),
		RAION VARCHAR(254),
		GOROD VARCHAR(254),
		NASEL VARCHAR(254),
		STREET VARCHAR(254),
		HOUSE VARCHAR(20),
		KORP VARCHAR(10),
		FLAT VARCHAR(10),

		KSTR_ino VARCHAR(3),
		Adr_ino VARCHAR(200),

		O_OKATO VARCHAR(14),
		O_OKTMO VARCHAR(11),
		O_KPP VARCHAR(9),		

		ksv1 varchar(3), ssv1 numeric(11,2),
		ksv2 varchar(3), ssv2 numeric(11,2),
		ksv3 varchar(3), ssv3 numeric(11,2),
		ksv4 varchar(3), ssv4 numeric(11,2),
		ksv5 varchar(3), ssv5 numeric(11,2),
		ksv6 varchar(3), ssv6 numeric(11,2),
		ksv7 varchar(3), ssv7 numeric(11,2),
		ksv8 varchar(3), ssv8 numeric(11,2),
		ksv9 varchar(3), ssv9 numeric(11,2),
		ksv10 varchar(3), ssv10 numeric(11,2),
		ksv11 varchar(3), ssv11 numeric(11,2),
		ksv12 varchar(3), ssv12 numeric(11,2),
		ssv numeric(11,2), siv numeric(11,2),
		osd13 numeric(11,2), sdo13 numeric(11,2), 
		nalogn13 numeric(18), nalogu13 numeric(18),
		NALOG13S numeric(18),
		err int,
		S_5_6 NUMERIC(18,2), S_5_7 NUMERIC(18,2),		
		dolg_np numeric(8), dolg_na numeric(8),
		kbkcode1 varchar(30), kbkcode2 varchar(30), kbkcode3 varchar(30), kbkcode4 varchar(30), 
		kbksum1 numeric(18,2), kbksum2 numeric(18,2),kbksum3 numeric(18,2),kbksum4 numeric(18,2),
		VIFNSPL numeric(18,2),
		ZSummPL numeric(18,2),
		UdSumPL numeric(18,2),
		VzkIFNS numeric(18,2)

	)	


	CREATE TABLE #FACES (LINK int,PERS_LINK int)

	IF @nLinkEmpl = 0
	BEGIN

		IF (len(@varKScVal1) = 0) AND (len(@varKScVal2) = 0 )
			INSERT INTO #FACES
			SELECT distinct PERS_LINK,PERS_LINK FROM dbo.empl WHERE DEP_LINK = @DEP_LINK --AND dbo.ku_GetEmplSack(link,default) = 0
		ELSE 
		if len(@varKScVal1) <> 0
			INSERT INTO #FACES 
			SELECT distinct Min(RECORD),E.PERS_LINK 
			FROM dbo.EMPL E INNER JOIN dbo.OBJECT_VAR_EMPL OVE ON OVE.RECORD = E.LINK
			WHERE LINK_UP = @varKSnOtborLink1
			GROUP BY E.PERS_LINK

		IF (len(@varKScVal1) = 0) AND (len(@varKScVal2) = 0 )
			INSERT INTO #FACES
			SELECT distinct PERS_LINK,PERS_LINK FROM dbo.SALARY_REESTR_DGH WHERE DEP_LINK = @DEP_LINK
				AND PERS_LINK NOT IN (SELECT PERS_LINK FROM #FACES)
		ELSE 
		IF len(@varKScVal2) <> 0
			INSERT INTO #FACES 
			SELECT distinct Min(RECORD), P.LINK 
			FROM dbo.PERSON P INNER JOIN dbo.OBJECT_VAR_PERSON OVE ON OVE.RECORD = P.LINK  
			WHERE LINK_UP = @varKSnOtborLink2 AND P.LINK NOT IN (SELECT PERS_LINK FROM #FACES)
			GROUP BY P.LINK
	END
	
	IF @nLinkEmpl > 0
	BEGIN
		INSERT INTO #FACES
		SELECT distinct LINK,PERS_LINK FROM dbo.empl WHERE LINK = @nLinkEmpl and DEP_LINK = @DEP_LINK
	END
	
	
	IF @nLinkEmpl IS NULL
		INSERT INTO #FACES (LINK, PERS_LINK)
		VALUES (0, @LINK_PERS)

	-----------------------------
	delete from dbo.SAL_DED_MONTH
	where 
	YEAR(DATE_DED) = @varKSnYear
	AND
	Month(DATE_DED) <= @nMonth
	AND
	LINK_EMPL IN (Select EM.LINK from dbo.EMPL EM INNER JOIN #FACES F on EM.PERS_LINK = F.PERS_LINK)
	AND
	LINK IN 
	(
		select D.LINK 
		from dbo.SAL_DED_MONTH D inner join dbo.empl E on D.link_empl = E.link
		where YEAR(D.DATE_DED) = @varKSnYear AND Month(D.DATE_DED) <= @nMonth
		and not exists (Select * from dbo.CALCULATE_JURNAL JC where YEAR(JC.PERIOD_BEGIN) = @varKSnYear AND Month(JC.PERIOD_BEGIN) <= @nMonth AND JC.LINK_EMPL = E.LINK AND JC.LINK_VKR = D.LINK_VKR)
	)

	-----------------------------	

	EXEC dbo.BufferClear
	EXEC dbo.BufferPushTable '#faces', 'REP2NDFL', 'pers_link'

	/* */
	Declare @isPrevPreiod tinyint
	--        ,     .                   
	Set @isPrevPreiod = dbo.sa_get_option_by_code('NDFL_OPT6')

	create table #S_J_C_SHORT (LINK_FACE int,PERS_LINK int, link_empl int, link_pays int, link_vkr int, link_ekr int, typ_per tinyint, typ_oper tinyint, summa numeric(18,2), link_inc int, period_begin datetime, date1 datetime, link_dep int)

	IF @nOption1 < 3
	BEGIN
		
		Insert into #S_J_C_SHORT (LINK_FACE, PERS_LINK, link_empl, link_pays, link_vkr, link_ekr, typ_per, typ_oper, summa, link_inc, period_begin, date1, link_dep)
		Select 
			E.PERS_LINK, JC.PERS_LINK, JC.LINK_EMPL, 
			P.LINK, link_vkr, ISNULL(JC.LINK_EKR,P.LINK_EKR), P.TYP_PER, P.OBJECT, summa, P.LINK_INC,
			period_begin = (case when @isPrevPreiod = 0 then JC.period_begin 
					else (Case 
							when JC.DATE_BEGIN < JC.period_begin and year(JC.DATE_BEGIN) = year(JC.period_begin) and d.code = 'DOCUMENTS_ADD_TABEL'
							then JC.DATE_BEGIN else JC.period_begin 
						end) 
					end),
			JC.DATE_BEGIN,
			JC.LINK_DEP
		from 
			dbo.CALCULATE_JURNAL JC 
			INNER JOIN dbo.NDFL_GroupTax() T ON JC.LINK_PAYS=T.LINK_PAYS
			LEFT JOIN dbo.EMPL E ON JC.LINK_EMPL = E.LINK
			LEFT JOIN dbo.PAYS P ON JC.LINK_PAYS = P.LINK
			LEFT JOIN (Select d.link, o.code from sdoc d inner join dbo.s_objects o on d.object = o.link) d on jc.LINK_DOC = d.link
		where
			(
					(@isPrevPreiod = 0 or ISNULL(d.code,'') <> 'DOCUMENTS_ADD_TABEL') and @nMonth >= month(JC.PERIOD_BEGIN) and @varKSnYear = year(JC.PERIOD_BEGIN)
					or 
					@isPrevPreiod = 1 and ISNULL(d.code,'') = 'DOCUMENTS_ADD_TABEL'
					and (@nMonth >= month(JC.DATE_BEGIN) or @nMonth >= month(JC.PERIOD_BEGIN) )
					and (@varKSnYear = year(JC.DATE_BEGIN) or @varKSnYear = year(JC.PERIOD_BEGIN) )

				)
			AND  
				(	-->>NEW
				E.PERS_LINK in (select PERS_LINK from #FACES )
				or
				JC.PERS_LINK in (select PERS_LINK from #FACES )
				)	
			AND JC.LINK_DEP = @DEP_LINK 
		union all --
		Select LINK_FACE, PERS_LINK, link_empl, link_pays, link_vkr, link_ekr, typ_per, typ_oper, summa, link_inc, period_begin, date1, link_dep
		from dbo.S_J_C_SHORT SJC 
			LEFT JOIN DICTIONARY_TYP_INCOMS DTI ON DTI.LINK = SJC.LINK_INC 
		where 
			SJC.LINK_DEP = @DEP_LINK
			and
			(
				SJC.LINK_FACE in (select PERS_LINK from #FACES )
				or
				SJC.PERS_LINK in (select PERS_LINK from #FACES )
			)
			and YEAR(SJC.PERIOD_BEGIN) = @varKSnYear
			and Month(SJC.PERIOD_BEGIN) <= @nMonth
			and TYP_OPER = 2
			
	END --IF @nOption1 < 3
	ELSE
	BEGIN

		Insert into #S_J_C_SHORT (LINK_FACE, PERS_LINK, link_empl, link_dep)
		Select 
			F.PERS_LINK, F.PERS_LINK, E.LINK, @DEP_LINK
		FROM
			#FACES F
			LEFT JOIN dbo.EMPL E ON F.LINK = E.LINK
	END
	
-----------------------------------------------------------
--  
DECLARE @DATE DATETIME
SET @DATE = DBO.ConvertDMY2Date(1,@nMonth, @varKSnYear)
SET @DATE = DBO.DateEndOfMonth(@DATE)

CREATE TABLE #E_SUBDIV (EMPL_LINK INT, SUBDIV_LINK INT)

IF @nLinkEmpl > 0
BEGIN
	INSERT INTO #E_SUBDIV (EMPL_LINK, SUBDIV_LINK)
	SELECT EMPL_LINK, SUBDIV_LINK
	FROM DBO.SA_EMPLS_INFO(@DATE, @nLinkEmpl)
	WHERE [STATUS] = 1 OR [STATUS] = 3	
END
ELSE 
	BEGIN
		INSERT INTO #E_SUBDIV (EMPL_LINK, SUBDIV_LINK)
		SELECT EMPL_LINK, SUBDIV_LINK
		FROM DBO.SA_EMPLS_INFO(@DATE,DEFAULT)
		WHERE [STATUS] = 1 OR [STATUS] = 3	
	END	

CREATE TABLE #S_OBOSOB (SUBDIV_LINK INT, O_OKATO VARCHAR(14), O_OKTMO VARCHAR(11), O_KPP VARCHAR(9))
INSERT INTO #S_OBOSOB (SUBDIV_LINK, O_OKATO,  O_OKTMO, O_KPP)
SELECT SUBDIV_LINK, O_OKATO,  O_OKTMO, O_KPP 
FROM [dbo].SUBDIVISION(@DATE) 
WHERE OBOSOB = 1

CREATE TABLE #P_OBOSOB (PERS_LINK INT, O_OKATO VARCHAR(14), O_OKTMO VARCHAR(11), O_KPP VARCHAR(9))
INSERT INTO #P_OBOSOB(PERS_LINK, O_OKATO, O_OKTMO, O_KPP)
SELECT E.PERS_LINK, SO.O_OKATO , SO.O_OKTMO, SO.O_KPP 
FROM 
	#S_OBOSOB SO INNER JOIN #E_SUBDIV ES ON SO.SUBDIV_LINK = ES.SUBDIV_LINK
	INNER JOIN  DBO.EMPL E ON   E.LINK = ES.EMPL_LINK

-----------------------------------------------------------
	INSERT INTO #RES0 (
		LINK_FACE,
		SEX,
		INNFIZ, --NALOG,
		NUMB_SERT,
		STATUS,
		FIO,
		FM, IM, OT,
		KDVD,
		SERNOM, 
		BIRTH,
		GRAZD,
		KSTR,
		LINK_ADR,
		IND_ADR,
		REGION,
		RAION,
		GOROD,
		NASEL,
		STREET,
		HOUSE,
		KORP,
		FLAT, 
		KSTR_ino,
		Adr_ino,
		ERR,
		O_OKATO,
		O_OKTMO,
		O_KPP
	)

	SELECT 	distinct 
		P.LINK, P.SEX, P.INN, /*P.IFNS,*/ P.INSUR_NUM, 
		CASE 
			WHEN P.RESIDENT  IS NULL THEN ''
			WHEN P.RESIDENT = 1 THEN '1'
			WHEN P.RESIDENT = 0 THEN '2'
		END,
		RTRIM(P.FM) + ',' + RTRIM(P.IM) + ',' + RTRIM(P.OT),
		RTRIM(P.FM), RTRIM(P.IM), RTRIM(P.OT),
		[KDVD] = (SELECT TOP 1 CODE FROM FACE_DOCUMENT WHERE LINK = P.DOC_LINK),
		P.DOC_NUM,
		P.BIRTHDATE,
		GRAZD= (SELECT TOP 1 CODE FROM CITIZENSHIP WHERE LINK = P.CITIZ_LINK),
		KSTR= (case when (SELECT TOP 1 CODE FROM CITIZENSHIP WHERE LINK = P.CITIZ_LINK) = '1' then '643' else '' END),
		ADR.LINK_ADDR,
		ADR.IND_ADR,
		ADR.REGION,
		ADR.RAION,
		ADR.GOROD,
		ADR.NASEL,
		ADR.STREET,
		ADR.HOUSE,
		ADR.KORP,
		ADR.FLAT,
		KSTR_ino = '',
		Adr_ino = '',
		0,
		PO.O_OKATO,
		PO.O_OKTMO,
		PO.O_KPP
	FROM 
		#FACES F 
		INNER JOIN PERSON P ON P.LINK = F.PERS_LINK
		INNER JOIN (SELECT LINK_FACE from #S_J_C_Short SJC where LINK_FACE is not null
			 		UNION 
			 		SELECT LINK_FACE= PERS_LINK from #S_J_C_Short SJC where PERS_LINK is not null) J on P.LINK = J.LINK_FACE
		LEFT OUTER JOIN dbo.NDFL_GET_ADDRESS() ADR ON P.LINK = ADR.LINK_FACE
		LEFT JOIN #P_OBOSOB PO ON PO.PERS_LINK = F.PERS_LINK 
	ORDER BY 
		RTRIM(P.FM) + ',' + RTRIM(P.IM) + ',' + RTRIM(P.OT)

	CREATE TABLE #PAYS_0
	(
		ID INT IDENTITY,
		LINK_FACE INT, 
		mes int, 
		LINK_INC INT, CODE_INC VARCHAR(4), SUMMA_INC NUMERIC(13,2),
		LINK_DED INT, CODE_DED VARCHAR(3), SUMMA_DED NUMERIC(13,2)
	)
	

	
	select distinct LINK_FACE, Y = year(PERIOD_BEGIN), M = month(PERIOD_BEGIN),  LINK_INC, LINK_VKR  
	into #spr_pays_kbk
	from 	#S_J_C_SHORT where TYP_OPER = 1
	

	CREATE TABLE #PAYS_0_tmp
	(
		ID INT IDENTITY,
		LINK_FACE INT,
		mes int, 
		LINK_INC INT, CODE_INC VARCHAR(4), SUMMA_INC NUMERIC(13,2),
		LINK_DED INT, CODE_DED VARCHAR(3), SUMMA_DED NUMERIC(13,2)
	)


IF @nOption1 < 3
BEGIN

	INSERT INTO #PAYS_0_tmp
	(LINK_FACE, mes, 
	LINK_INC, CODE_INC, SUMMA_INC,
	LINK_DED, CODE_DED, SUMMA_DED)
	SELECT 
		F.PERS_LINK,
		mes = MONTH(SJC.PERIOD_BEGIN),
		LINK_INC, ISNULL(DTI.SNAME,'0000'),
		SUM(SUMMA) AS SUMMA_INC,
		DTI.REF_DEDUCT AS LINK_DED, DTI.COD_DED,
		CAST(0 AS NUMERIC(20,2)) AS SUMMA_DED
	FROM 
		#S_J_C_SHORT SJC 
		LEFT JOIN dbo.DICTIONARY_TYP_INCOMS DTI ON DTI.LINK = SJC.LINK_INC
		INNER JOIN #FACES F ON SJC.LINK_FACE = F.PERS_LINK
	WHERE 
		SJC.TYP_OPER = 1
		AND
		YEAR(SJC.PERIOD_BEGIN) = @varKSnYear
		and
		Month(SJC.PERIOD_BEGIN) <= @nMonth
		AND
		ISNULL(SJC.PERS_LINK,0) = 0
		AND
		SJC.LINK_DEP = @DEP_LINK 
	GROUP BY 
		F.PERS_LINK, SJC.TYP_PER, SJC.PERIOD_BEGIN, LINK_INC, DTI.REF_DEDUCT, ISNULL(DTI.SNAME,'0000'), DTI.COD_DED

	---<<    	
	union all 

	SELECT 
		F.PERS_LINK,
		mes = MONTH(SJC.PERIOD_BEGIN),
		LINK_INC, ISNULL(DTI.SNAME,'0000'),
		SUM(SUMMA) AS SUMMA_INC,
		DTI.REF_DEDUCT AS LINK_DED, DTI.COD_DED,
		CAST(0 AS NUMERIC(20,2)) AS SUMMA_DED
	FROM #S_J_C_SHORT SJC 	
		LEFT JOIN dbo.DICTIONARY_TYP_INCOMS DTI ON DTI.LINK = SJC.LINK_INC --AND DTI.SNAME <> '0000'
		INNER JOIN #FACES F ON SJC.PERS_LINK = F.PERS_LINK
	WHERE 	SJC.TYP_OPER = 1
		AND
		YEAR(SJC.PERIOD_BEGIN) = @varKSnYear
		and
		Month(SJC.PERIOD_BEGIN) <= @nMonth
		AND
		ISNULL(SJC.LINK_FACE,0) = 0
		AND
		SJC.LINK_DEP = @DEP_LINK
	GROUP BY 
		F.PERS_LINK, SJC.TYP_PER, SJC.PERIOD_BEGIN, LINK_INC, DTI.REF_DEDUCT, ISNULL(DTI.SNAME,'0000'), DTI.COD_DED
	ORDER BY 
		1, ISNULL(DTI.SNAME,'0000'), COD_DED

	INSERT INTO #PAYS_0
	Select LINK_FACE, mes, LINK_INC, CODE_INC, sum(SUMMA_INC), LINK_DED, CODE_DED, sum(SUMMA_DED)
	from #PAYS_0_tmp
	group by LINK_FACE, mes, LINK_INC, CODE_INC, LINK_DED, CODE_DED
	having Sum(SUMMA_INC) <> 0

	drop table #PAYS_0_tmp
	
END
ELSE
BEGIN

	INSERT INTO #PAYS_0
	Select PERS_LINK, 0, NULL, NULL, 0, NULL, NULL, 0 FROM #FACES
	
END

	
IF @nOption1 < 3
BEGIN
	---->>
	--
	SELECT D.LINK_FACE, D.mes, SUM(D.SUMMA) as SUMMA, D.REF_DED INTO #DED 
	FROM 
		dbo.SA_NDFL_MONTH_DED_ALL(@varKSnYear) D 
		inner join #spr_pays_kbk kbk on kbk.LINK_FACE = d.LINK_FACE and kbk.m = d.mes and kbk.link_inc = d.REF_INC and kbk.LINK_VKR = d.LINK_VKR
	where 
		kbk.y = @varKSnYear
		and kbk.m <= @nMonth
	GROUP BY 
		D.LINK_FACE, d.mes, d.REF_DED

	UPDATE #PAYS_0
	SET SUMMA_DED = 
		(SELECT SUM(SUMMA) FROM #DED D WHERE D.LINK_FACE = R.LINK_FACE AND D.REF_DED = R.LINK_DED AND D.mes = R.mes ) 
	FROM #PAYS_0 R 
	WHERE LINK_DED IS NOT NULL


	update #PAYS_0 
		Set CODE_DED = ''
		where ISNULL(SUMMA_DED,0) = 0


	CREATE TABLE #P0 (LINK_FACE INT, ID1 INT)

	--- 1

	CREATE TABLE #PAYS1(LINK_FACE INT, SM NUMERIC(11,2), MONTH_NUM INT)
	INSERT INTO #PAYS1
	SELECT LINK_FACE, SM, [MONTH]
	FROM dbo.NDFL_BASE_SUM_TAX_MONTH_ALL(@nMonth, @varKSnYear)

	---<<    
	insert into #pays1

	SELECT 
		F.PERS_LINK,
		SUM(SUMMA) AS SUMMA_INC,
		Month(SJC.PERIOD_BEGIN)
	FROM 
		#S_J_C_SHORT SJC 
		INNER JOIN dbo.DICTIONARY_TYP_INCOMS DTI ON DTI.LINK = SJC.LINK_INC
		INNER JOIN #FACES F ON SJC.PERS_LINK = F.PERS_LINK
	WHERE 
		YEAR(SJC.PERIOD_BEGIN) = @varKSnYear
		and Month(SJC.PERIOD_BEGIN) <= @nMonth
		AND ISNULL(SJC.LINK_FACE,0) = 0
		AND SJC.LINK_DEP = @DEP_LINK 
	GROUP BY F.PERS_LINK, SJC.PERIOD_BEGIN

	---->>

	SELECT LINK_FACE, SUM(SM) AS SM
	INTO #PAYS_R
	FROM #PAYS1
	GROUP BY LINK_FACE

	INSERT INTO #PAYS1
	SELECT 
		EP.PERS_LINK, -SUM(SUMMA), MONTH(DATE_DED)
	FROM    
		dbo.empl EP 
		inner join SAL_DED_MONTH S ON (EP.LINK = S.LINK_EMPL AND YEAR(DATE_DED) = @varKSnYear and Month(DATE_DED) <= @nMonth AND [TYPE] = 2)
		INNER JOIN dbo.BufferGetTableById('REP2NDFL') B ON B.LINK = EP.pers_link --: EP.LINK
	where 
		EP.DEP_LINK = @DEP_LINK	
	GROUP BY 
		EP.PERS_LINK, MONTH(DATE_DED)

	CREATE TABLE #PAYS3(ID INT IDENTITY, LINK_FACE INT, LINK_DED INT, CODE_DED VARCHAR(6), SUMMA NUMERIC(18,2), SUMMA_FAKT NUMERIC(18,2))
	--     
	-- 
	INSERT INTO #PAYS3 (LINK_FACE, LINK_DED, CODE_DED, SUMMA, SUMMA_FAKT)
	SELECT 	
		EP.PERS_LINK, min(S.REF_DED), T.CODE, 
		CONVERT(NUMERIC(18,2), SUM((case when KOEF_VKR is not null then DTD.SUMMA * KOEF_VKR else DTD.SUMMA end) * ISNULL(S.KOL,0) )), 
		SUM(S.SUMMA) 
	FROM 
		dbo.empl EP 
		INNER JOIN SAL_DED_MONTH S ON (EP.LINK = S.LINK_EMPL AND YEAR(DATE_DED) = @varKSnYear and Month(DATE_DED) <= @nMonth AND TYPE = 1)
		INNER JOIN dbo.BufferGetTableById('REP2NDFL') B ON B.LINK = EP.pers_link --: EP.LINK
		INNER JOIN dbo.DICTIONARY_TYP_DEDUCTION T ON T.LINK = S.REF_DED 
		INNER JOIN dbo.Salary_deductions(@BEGIN_YEAR) DTD on DTD.REF_PAY = S.REF_DED
	where 
		T.NUMBER IN (	1, --
						6 --    
						)
		AND			
		EP.DEP_LINK = @DEP_LINK	and S.SUMMA <> 0
	GROUP BY 
		EP.PERS_LINK, T.CODE

	-- 
	INSERT INTO #PAYS3 (LINK_FACE, LINK_DED, CODE_DED, SUMMA, SUMMA_FAKT)
	SELECT 	
		EP.PERS_LINK, min(S.REF_DED), T.CODE, 
		CONVERT(NUMERIC(18,2), SUM((case when KOEF_VKR is not null then DTD.SUMMA * KOEF_VKR else DTD.SUMMA end) * ISNULL(S.KOL,0) )), 
		SUM(S.SUMMA) 
	FROM 
		dbo.REESTR_DGH EP 
		INNER JOIN SAL_DED_MONTH S ON (EP.LINK = S.LINK_DGH AND YEAR(DATE_DED) = @varKSnYear and Month(DATE_DED) <= @nMonth AND S.[TYPE] = 1)
		INNER JOIN dbo.BufferGetTableById('REP2NDFL') B ON B.LINK = EP.pers_link --: EP.LINK
		INNER JOIN dbo.DICTIONARY_TYP_DEDUCTION T ON T.LINK = S.REF_DED 
		INNER JOIN dbo.Salary_deductions(@BEGIN_YEAR) DTD on DTD.REF_PAY = S.REF_DED
	where 
		T.NUMBER IN (	1, --
						6 --    
						)
		AND			
		EP.DEP_LINK = @DEP_LINK	and S.SUMMA <> 0
	GROUP BY 
		EP.PERS_LINK, T.CODE


	--UPDATE #PAYS3
	--SET
	--	SUMMA = (Select sum(SUM_DED) from dbo.TAX_DEDUCTIONS TD where TD.LINK_DEP = @DEP_LINK AND TD.link_person = #PAYS3.LINK_FACE and TD.LINK_DICTION = #PAYS3.LINK_DED and TD.[YEAR] = @varKSnYear and TD.Month1 <= @nMonth)	
	--where
	--	exists (Select * from dbo.TAX_DEDUCTIONS TD where TD.LINK_DEP = @DEP_LINK AND TD.link_person = #PAYS3.LINK_FACE and TD.LINK_DICTION = #PAYS3.LINK_DED and TD.[YEAR] = @varKSnYear and TD.Month1 <= @nMonth)	


	UPDATE #PAYS3
	SET
		SUMMA = ISNULL(SUMMA_FAKT,0)
	where
		ISNULL(SUMMA,0) = 0

	--  (,     .)
	INSERT INTO #PAYS3 (LINK_FACE, LINK_DED, CODE_DED, SUMMA, SUMMA_FAKT)
	SELECT 	
		EP.PERS_LINK, min(S.REF_DED), T.CODE, SUM(S.SUMMA), SUM(S.SUMMA) 
	FROM 
		dbo.EMPL EP 
		INNER JOIN SAL_DED_MONTH S ON (EP.LINK = S.LINK_EMPL AND YEAR(DATE_DED) = @varKSnYear and Month(DATE_DED) <= @nMonth AND TYPE = 1)
		INNER JOIN dbo.BufferGetTableById('REP2NDFL') B ON B.LINK = EP.pers_link --: EP.LINK
		INNER JOIN dbo.DICTIONARY_TYP_DEDUCTION T ON T.LINK = S.REF_DED 
	where 
		T.NUMBER NOT IN (	1, --
							6 --    
							)
		AND			
		EP.DEP_LINK = @DEP_LINK	and S.SUMMA <> 0
	GROUP BY 
		EP.PERS_LINK, T.CODE

	--   . 
	update #RES0
	Set siv = ISNULL( (Select sum(P3.SUMMA_FAKT) from #PAYS3 P3 where R.LINK_FACE = P3.LINK_FACE and P3.LINK_DED IN (SELECT DISTINCT LINK_DICTION FROM TAX_DEDUCTIONS td WHERE TD.LINK_DEP = @DEP_LINK AND TD.[YEAR] = @varKSnYear and TD.Month1 <= @nMonth)),0),
		ssv = ISNULL( (Select sum(P3.SUMMA_FAKT) from #PAYS3 P3 where R.LINK_FACE = P3.LINK_FACE and P3.LINK_DED NOT IN (SELECT DISTINCT LINK_DICTION FROM TAX_DEDUCTIONS td WHERE TD.LINK_DEP = @DEP_LINK AND TD.[YEAR] = @varKSnYear and TD.Month1 <= @nMonth)),0)		

	from #RES0 R
	

	--
	DELETE FROM #P0

	INSERT INTO #P0
	SELECT LINK_FACE, MIN(ID) FROM #PAYS3 GROUP BY LINK_FACE
	IF @@ROWCOUNT <> 0 BEGIN
		UPDATE #RES0
		SET KSV1 = (SELECT top 1 P00.CODE_DED FROM #PAYS3 P00, #P0 P0 WHERE P0.ID1 = P00.ID AND P0.LINK_FACE = R.LINK_FACE) FROM #RES0 R
		UPDATE #RES0
		SET SSV1 = (SELECT top 1 P00.SUMMA_FAKT FROM #PAYS3 P00, #P0 P0 WHERE P0.ID1 = P00.ID AND P0.LINK_FACE = R.LINK_FACE) FROM #RES0 R
	
		DELETE FROM #PAYS3 WHERE ID IN (SELECT ID1 FROM #P0)
		DELETE FROM #P0
	END

	INSERT INTO #P0
	SELECT LINK_FACE, MIN(ID) FROM #PAYS3 GROUP BY LINK_FACE

	IF @@ROWCOUNT <> 0 BEGIN
		UPDATE #RES0
		SET KSV2 = (SELECT top 1 P00.CODE_DED FROM #PAYS3 P00, #P0 P0 WHERE P0.ID1 = P00.ID AND P0.LINK_FACE = R.LINK_FACE) FROM #RES0 R
		UPDATE #RES0
		SET SSV2 = (SELECT top 1 P00.SUMMA_FAKT FROM #PAYS3 P00, #P0 P0 WHERE P0.ID1 = P00.ID AND P0.LINK_FACE = R.LINK_FACE) FROM #RES0 R
	
		DELETE FROM #PAYS3 WHERE ID IN (SELECT ID1 FROM #P0)
		DELETE FROM #P0
	END

	INSERT INTO #P0
	SELECT LINK_FACE, MIN(ID) FROM #PAYS3 GROUP BY LINK_FACE
	IF @@ROWCOUNT <> 0 BEGIN
		UPDATE #RES0
		SET KSV3 = (SELECT top 1 P00.CODE_DED FROM #PAYS3 P00, #P0 P0 WHERE P0.ID1 = P00.ID AND P0.LINK_FACE = R.LINK_FACE) FROM #RES0 R
		UPDATE #RES0
		SET SSV3 = (SELECT top 1 P00.SUMMA_FAKT FROM #PAYS3 P00, #P0 P0 WHERE P0.ID1 = P00.ID AND P0.LINK_FACE = R.LINK_FACE) FROM #RES0 R

		DELETE FROM #PAYS3 WHERE ID IN (SELECT ID1 FROM #P0)
		DELETE FROM #P0
	END

	INSERT INTO #P0
	SELECT LINK_FACE, MIN(ID) FROM #PAYS3 GROUP BY LINK_FACE

	IF @@ROWCOUNT <> 0 BEGIN
		UPDATE #RES0
		SET KSV4 = (SELECT top 1 P00.CODE_DED FROM #PAYS3 P00, #P0 P0 WHERE P0.ID1 = P00.ID AND P0.LINK_FACE = R.LINK_FACE) FROM #RES0 R
		UPDATE #RES0
		SET SSV4 = (SELECT top 1 P00.SUMMA_FAKT FROM #PAYS3 P00, #P0 P0 WHERE P0.ID1 = P00.ID AND P0.LINK_FACE = R.LINK_FACE) FROM #RES0 R

		DELETE FROM #PAYS3 WHERE ID IN (SELECT ID1 FROM #P0)
		DELETE FROM #P0
	END

	INSERT INTO #P0
	SELECT LINK_FACE, MIN(ID) FROM #PAYS3 GROUP BY LINK_FACE

	IF @@ROWCOUNT <> 0 BEGIN
		UPDATE #RES0
		SET KSV5 = (SELECT top 1 P00.CODE_DED FROM #PAYS3 P00, #P0 P0 WHERE P0.ID1 = P00.ID AND P0.LINK_FACE = R.LINK_FACE) FROM #RES0 R
		UPDATE #RES0
		SET SSV5 = (SELECT top 1 P00.SUMMA_FAKT FROM #PAYS3 P00, #P0 P0 WHERE P0.ID1 = P00.ID AND P0.LINK_FACE = R.LINK_FACE) FROM #RES0 R

		DELETE FROM #PAYS3 WHERE ID IN (SELECT ID1 FROM #P0)
		DELETE FROM #P0
	END

	INSERT INTO #P0
	SELECT LINK_FACE, MIN(ID) FROM #PAYS3 GROUP BY LINK_FACE

	IF @@ROWCOUNT <> 0 BEGIN
		UPDATE #RES0
		SET KSV6 = (SELECT top 1 P00.CODE_DED FROM #PAYS3 P00, #P0 P0 WHERE P0.ID1 = P00.ID AND P0.LINK_FACE = R.LINK_FACE) FROM #RES0 R
		UPDATE #RES0
		SET SSV6 = (SELECT top 1 P00.SUMMA_FAKT FROM #PAYS3 P00, #P0 P0 WHERE P0.ID1 = P00.ID AND P0.LINK_FACE = R.LINK_FACE) FROM #RES0 R

		DELETE FROM #PAYS3 WHERE ID IN (SELECT ID1 FROM #P0)
		DELETE FROM #P0
	END

	INSERT INTO #P0
	SELECT LINK_FACE, MIN(ID) FROM #PAYS3 GROUP BY LINK_FACE

	IF @@ROWCOUNT <> 0 BEGIN
		UPDATE #RES0
		SET KSV7 = (SELECT top 1 P00.CODE_DED FROM #PAYS3 P00, #P0 P0 WHERE P0.ID1 = P00.ID AND P0.LINK_FACE = R.LINK_FACE) FROM #RES0 R
		UPDATE #RES0
		SET SSV7 = (SELECT top 1 P00.SUMMA_FAKT FROM #PAYS3 P00, #P0 P0 WHERE P0.ID1 = P00.ID AND P0.LINK_FACE = R.LINK_FACE) FROM #RES0 R

		DELETE FROM #PAYS3 WHERE ID IN (SELECT ID1 FROM #P0)
		DELETE FROM #P0
	END

	INSERT INTO #P0
	SELECT LINK_FACE, MIN(ID) FROM #PAYS3 GROUP BY LINK_FACE

	IF @@ROWCOUNT <> 0 BEGIN
		UPDATE #RES0
		SET KSV8 = (SELECT top 1 P00.CODE_DED FROM #PAYS3 P00, #P0 P0 WHERE P0.ID1 = P00.ID AND P0.LINK_FACE = R.LINK_FACE) FROM #RES0 R
		UPDATE #RES0
		SET SSV8 = (SELECT top 1 P00.SUMMA_FAKT FROM #PAYS3 P00, #P0 P0 WHERE P0.ID1 = P00.ID AND P0.LINK_FACE = R.LINK_FACE) FROM #RES0 R
		DELETE FROM #PAYS3 WHERE ID IN (SELECT ID1 FROM #P0)
		DELETE FROM #P0
	END

	INSERT INTO #P0
	SELECT LINK_FACE, MIN(ID) FROM #PAYS3 GROUP BY LINK_FACE

	IF @@ROWCOUNT <> 0 BEGIN
		UPDATE #RES0
		SET KSV9 = (SELECT top 1 P00.CODE_DED FROM #PAYS3 P00, #P0 P0 WHERE P0.ID1 = P00.ID AND P0.LINK_FACE = R.LINK_FACE) FROM #RES0 R
		UPDATE #RES0
		SET SSV9 = (SELECT top 1 P00.SUMMA_FAKT FROM #PAYS3 P00, #P0 P0 WHERE P0.ID1 = P00.ID AND P0.LINK_FACE = R.LINK_FACE) FROM #RES0 R
		DELETE FROM #PAYS3 WHERE ID IN (SELECT ID1 FROM #P0)
		DELETE FROM #P0
	END

	INSERT INTO #P0
	SELECT LINK_FACE, MIN(ID) FROM #PAYS3 GROUP BY LINK_FACE

	IF @@ROWCOUNT <> 0 BEGIN
		UPDATE #RES0
		SET KSV10 = (SELECT top 1 P00.CODE_DED FROM #PAYS3 P00, #P0 P0 WHERE P0.ID1 = P00.ID AND P0.LINK_FACE = R.LINK_FACE) FROM #RES0 R
		UPDATE #RES0
		SET SSV10 = (SELECT top 1 P00.SUMMA_FAKT FROM #PAYS3 P00, #P0 P0 WHERE P0.ID1 = P00.ID AND P0.LINK_FACE = R.LINK_FACE) FROM #RES0 R
		DELETE FROM #PAYS3 WHERE ID IN (SELECT ID1 FROM #P0)
		DELETE FROM #P0
	END

	INSERT INTO #P0
	SELECT LINK_FACE, MIN(ID) FROM #PAYS3 GROUP BY LINK_FACE

	IF @@ROWCOUNT <> 0 BEGIN
		UPDATE #RES0
		SET KSV11 = (SELECT top 1 P00.CODE_DED FROM #PAYS3 P00, #P0 P0 WHERE P0.ID1 = P00.ID AND P0.LINK_FACE = R.LINK_FACE) FROM #RES0 R
		UPDATE #RES0
		SET SSV11 = (SELECT top 1 P00.SUMMA_FAKT FROM #PAYS3 P00, #P0 P0 WHERE P0.ID1 = P00.ID AND P0.LINK_FACE = R.LINK_FACE) FROM #RES0 R
		DELETE FROM #PAYS3 WHERE ID IN (SELECT ID1 FROM #P0)
		DELETE FROM #P0
	END

	INSERT INTO #P0
	SELECT LINK_FACE, MIN(ID) FROM #PAYS3 GROUP BY LINK_FACE

	IF @@ROWCOUNT <> 0 BEGIN
		UPDATE #RES0
		SET KSV12 = (SELECT top 1 P00.CODE_DED FROM #PAYS3 P00, #P0 P0 WHERE P0.ID1 = P00.ID AND P0.LINK_FACE = R.LINK_FACE) FROM #RES0 R
		UPDATE #RES0
		SET SSV12 = (SELECT top 1 P00.SUMMA_FAKT FROM #PAYS3 P00, #P0 P0 WHERE P0.ID1 = P00.ID AND P0.LINK_FACE = R.LINK_FACE) FROM #RES0 R
		DELETE FROM #PAYS3 WHERE ID IN (SELECT ID1 FROM #P0)
		DELETE FROM #P0
	END

	UPDATE #RES0 SET OSD13 = (SELECT top 1 SM FROM #PAYS_R PR WHERE PR.LINK_FACE = R.LINK_FACE) FROM #RES0 R

	----
	UPDATE #RES0 SET SDO13 = OSD13 - ISNULL(SK.SUM_SK, 0.00)
			- ISNULL(SSV1,0.00) - ISNULL(SSV2,0.00) - ISNULL(SSV3,0.00) - ISNULL(SSV4,0.00)
			- ISNULL(SSV5,0.00) - ISNULL(SSV6,0.00) - ISNULL(SSV7,0.00) - ISNULL(SSV8,0.00)
			- ISNULL(SSV9,0.00) - ISNULL(SSV10,0.00) - ISNULL(SSV11,0.00) - ISNULL(SSV12,0.00)
	from #RES0 R LEFT JOIN (Select LINK_FACE, SUM_SK= SUM(SUMMA_DED) from #PAYS_0 GROUP BY LINK_FACE) SK ON R.LINK_FACE = SK.LINK_FACE

	-----
	UPDATE #RES0 SET SDO13 = 0 WHERE SDO13 < 0

	CREATE TABLE #NDFL_TAX(LINK_TAX INT)
	INSERT INTO #NDFL_TAX
	SELECT LINK FROM PAYS P WHERE P.OBJECT = 2 AND P.WAY_CALC = 4

	Create table #NDLF13_tmp (LINK int, SUMMA numeric(18,2))
	Create table #NDLF13 (LINK int, SUMMA numeric(18,2))

	insert into  #NDLF13_tmp (LINK, SUMMA)
	SELECT B.LINK AS LINK, SUM(SUMMA) AS SUMMA
	FROM 
		#S_J_C_Short SJC 
		INNER JOIN dbo.BufferGetTableById('REP2NDFL') B ON B.LINK = SJC.LINK_FACE --: EP.LINK
		INNER JOIN #NDFL_TAX T ON SJC.LINK_PAYS = T.LINK_TAX  
	WHERE 
		YEAR(PERIOD_BEGIN) = @varKSnYear 
		and month(PERIOD_BEGIN) <= @nMonth
		and sjc.LINK_DEP = @DEP_LINK	
	GROUP BY 
		B.LINK
	---<<    
	union all
	SELECT B.LINK AS LINK, SUM(SUMMA) AS SUMMA
	FROM #S_J_C_Short SJC 
		INNER JOIN #NDFL_TAX T ON SJC.LINK_PAYS = T.LINK_TAX  
		INNER JOIN dbo.BufferGetTableById('REP2NDFL') B ON B.LINK = SJC.PERS_LINK --: EP.LINK
	WHERE YEAR(PERIOD_BEGIN) = @varKSnYear 
		and month(PERIOD_BEGIN) <= @nMonth
		and ISNULL(SJC.LINK_FACE,0) = 0
		and sjc.LINK_DEP = @DEP_LINK	
	GROUP BY B.LINK

	insert into #NDLF13 (LINK, SUMMA)
	Select LINK, Sum(SUMMA) from #NDLF13_tmp group by LINK
	
	drop table #NDLF13_tmp
	--->>

	UPDATE #RES0 SET NALOGU13 = ISNULL((SELECT SUM(SUMMA) FROM #NDLF13 N WHERE N.LINK = R.LINK_FACE), 0) FROM #RES0 R
	UPDATE #RES0 SET NALOGN13 = SDO13 * (CASE WHEN STATUS = '1' THEN 
		( SELECT  top 1 [PERCENT] / 100 FROM DICTIONARY_RANGE R inner join #NDFL_TAX T on R.LINK_PAYS = T.LINK_TAX WHERE TARIF = 1)
								ELSE 0.30 END)
	--     
	DECLARE @SUMMA_PLAT_ALL NUMERIC(18,2)
		
	IF @nCHECK_S = 0
		BEGIN
			SET @SUMMA_PLAT_ALL =  @nSumm_For_Check 	
		END
	ELSE
		BEGIN 
			EXEC dbo.SA_NDFL_PLAT @BEGIN_YEAR, @DATE, @DEP_LINK, @SUMMA_PLAT_ALL OUT
		END 
	
	--     
	DECLARE @SUMMA_NACH_ALL NUMERIC(18,2)
	EXEC dbo.SA_NDFL_NACHISL @BEGIN_YEAR, @DATE, @DEP_LINK, @SUMMA_NACH_ALL OUT
	--  	
	UPDATE #RES0 SET NALOG13S = CONVERT(NUMERIC(18,0), ISNULL( @SUMMA_PLAT_ALL * CASE WHEN @SUMMA_NACH_ALL > 0 THEN (NALOGU13	/ @SUMMA_NACH_ALL) ELSE 0 END, 0))
	UPDATE #RES0 SET NALOG13S = CASE WHEN NALOG13S > NALOGU13 THEN NALOGU13 ELSE NALOG13S END

	UPDATE #RES0 SET NOM_SPR = ID + @varKSnFirstNum - 1
	
	--- /      
	UPDATE A SET 
		S_5_6 = (CASE WHEN R.NDFL > 0 THEN R.NDFL ELSE 0 END),
		S_5_7 = (CASE WHEN R.NDFL <= 0 THEN - R.NDFL ELSE 0 END)
	FROM
		#RES0 A INNER JOIN 
		(SELECT E.PERS_LINK, NDFL = SUM(SR.NDFL) FROM dbo.SAL_REMAIN SR INNER JOIN dbo.EMPL E ON E.LINK = SR.LINK_EMPL WHERE SR.YEAR_SAL = @varKSnYear GROUP BY E.PERS_LINK) R 
			ON R.PERS_LINK = A.LINK_FACE
	--	
	UPDATE #RES0 SET DOLG_NP = CASE WHEN NALOGN13 - NALOGU13 > 0 THEN NALOGN13 - NALOGU13 ELSE 0 END - ISNULL(S_5_6,0)
	UPDATE #RES0 SET DOLG_NA = CASE WHEN NALOGU13 - NALOGN13 > 0 THEN NALOGU13 - NALOGN13 ELSE 0 END - ISNULL(S_5_7,0)

	--^^^^^^^^^   ^^^^^^^^^^
	create table  #PAYS_NDFL (ID INT IDENTITY, LINK_FACE int, LINK_PAYS int, kbk_code varchar(30), SUMMA numeric(18,2))

	INSERT INTO #PAYS_NDFL (LINK_FACE, LINK_PAYS, kbk_code, SUMMA)
	SELECT LINK_FACE, SJC.LINK_PAYS, left(kbk.CODE,30), sum(SJC.SUMMA)
	FROM #S_J_C_SHORT SJC inner join dbo.SAL_SFIN kbk on SJC.LINK_VKR = kbk.LINK
	WHERE 
			YEAR(CASE WHEN SJC.TYP_PER = 1 THEN SJC.PERIOD_BEGIN WHEN SJC.TYP_PER = 2 THEN SJC.DATE1 END) = @varKSnYear
		and
			month(CASE WHEN SJC.TYP_PER = 1 THEN SJC.PERIOD_BEGIN WHEN SJC.TYP_PER = 2 THEN SJC.DATE1 END) <= @nMonth
		AND	ISNULL(SJC.PERS_LINK,0) = 0
		AND	SJC.LINK_PAYS IN (Select LINK_TAX from #NDFL_TAX)
	GROUP BY 
		LINK_FACE, LINK_PAYS, kbk.CODE

	union all ---<<    	

	SELECT  PERS_LINK, SJC.LINK_PAYS, left(kbk.CODE,20), sum(SJC.SUMMA)
	FROM #S_J_C_SHORT SJC inner join dbo.SAL_SFIN kbk on SJC.LINK_VKR = kbk.LINK
	WHERE 
			YEAR(CASE WHEN SJC.TYP_PER = 1 THEN SJC.PERIOD_BEGIN WHEN SJC.TYP_PER = 2 THEN SJC.DATE1 END) = @varKSnYear
		and
			month(CASE WHEN SJC.TYP_PER = 1 THEN SJC.PERIOD_BEGIN WHEN SJC.TYP_PER = 2 THEN SJC.DATE1 END) <= @nMonth
		AND	ISNULL(SJC.LINK_FACE,0) = 0
		AND	SJC.LINK_PAYS IN (Select LINK_TAX from #NDFL_TAX)

	GROUP BY 
		PERS_LINK, LINK_PAYS, kbk.CODE
	ORDER BY 
		1, 2, 3

	DELETE FROM #P0

	INSERT INTO #P0
	SELECT LINK_FACE, MIN(ID) FROM #PAYS_NDFL GROUP BY LINK_FACE
	IF @@ROWCOUNT <> 0 BEGIN
		UPDATE #RES0
		SET kbkcode1 = (SELECT top 1 P00.kbk_code FROM #PAYS_NDFL P00, #P0 P0 WHERE P0.ID1 = P00.ID AND P0.LINK_FACE = R.LINK_FACE) FROM #RES0 R
		UPDATE #RES0
		SET kbksum1 = (SELECT top 1 P00.SUMMA FROM #PAYS_NDFL P00, #P0 P0 WHERE P0.ID1 = P00.ID AND P0.LINK_FACE = R.LINK_FACE) FROM #RES0 R
	
		DELETE FROM #PAYS_NDFL WHERE ID IN (SELECT ID1 FROM #P0)
		DELETE FROM #P0
	END

	INSERT INTO #P0
	SELECT LINK_FACE, MIN(ID) FROM #PAYS_NDFL GROUP BY LINK_FACE
	IF @@ROWCOUNT <> 0 BEGIN
		UPDATE #RES0
		SET kbkcode2 = (SELECT top 1 P00.kbk_code FROM #PAYS_NDFL P00, #P0 P0 WHERE P0.ID1 = P00.ID AND P0.LINK_FACE = R.LINK_FACE) FROM #RES0 R
		UPDATE #RES0
		SET kbksum2 = (SELECT top 1 P00.SUMMA FROM #PAYS_NDFL P00, #P0 P0 WHERE P0.ID1 = P00.ID AND P0.LINK_FACE = R.LINK_FACE) FROM #RES0 R
	
		DELETE FROM #PAYS_NDFL WHERE ID IN (SELECT ID1 FROM #P0)
		DELETE FROM #P0
	END

	INSERT INTO #P0
	SELECT LINK_FACE, MIN(ID) FROM #PAYS_NDFL GROUP BY LINK_FACE
	IF @@ROWCOUNT <> 0 BEGIN
		UPDATE #RES0
		SET kbkcode3 = (SELECT top 1 P00.kbk_code FROM #PAYS_NDFL P00, #P0 P0 WHERE P0.ID1 = P00.ID AND P0.LINK_FACE = R.LINK_FACE) FROM #RES0 R
		UPDATE #RES0
		SET kbksum3 = (SELECT top 1 P00.SUMMA FROM #PAYS_NDFL P00, #P0 P0 WHERE P0.ID1 = P00.ID AND P0.LINK_FACE = R.LINK_FACE) FROM #RES0 R
	
		DELETE FROM #PAYS_NDFL WHERE ID IN (SELECT ID1 FROM #P0)
		DELETE FROM #P0
	END

	INSERT INTO #P0
	SELECT LINK_FACE, MIN(ID) FROM #PAYS_NDFL GROUP BY LINK_FACE
	IF @@ROWCOUNT <> 0 BEGIN
		UPDATE #RES0
		SET kbkcode4 = (SELECT top 1 P00.kbk_code FROM #PAYS_NDFL P00, #P0 P0 WHERE P0.ID1 = P00.ID AND P0.LINK_FACE = R.LINK_FACE) FROM #RES0 R
		UPDATE #RES0
		SET kbksum4 = (SELECT top 1 P00.SUMMA FROM #PAYS_NDFL P00, #P0 P0 WHERE P0.ID1 = P00.ID AND P0.LINK_FACE = R.LINK_FACE) FROM #RES0 R
	
		DELETE FROM #PAYS_NDFL WHERE ID IN (SELECT ID1 FROM #P0)
		DELETE FROM #P0
	END

END --IF @nOption1 < 3
	-------------------------------------
	update #res0
	set 	VIFNSPL =0, ZSummPL =0, UdSumPL =0, VzkIFNS =0


	DECLARE @varKSCNT INT

	SELECT @varKSCNT  = COUNT(*) FROM #RES0

	SELECT TOP 1 
		LTRIM(RTRIM(STR(@varKSCNT))) AS DOCCOUNT, 
		ISNULL(IMNS, '') AS NALOG,
		ISNULL(dd.INN, '') AS INN,
		ISNULL(KPP, '') AS KPP,
		ISNULL(OKATO, '')  AS OKATO,
		ISNULL(OKTMO, '')AS OKTMO,
		convert(varchar (254),(ISNULL(FULL_NAME, ''))) AS FULL_NAME,
		ISNULL(DOTF.PHONE, '') AS PHONE,
		ISNULL(RTRIM(FM), '') + ' ' + ISNULL(RTRIM(IM), '') + ' ' + ISNULL(RTRIM(OT), '') AS GLBUH,
		ISNULL(RTRIM(FM), '') AS FM,
		ISNULL(RTRIM(IM), '') AS IM, 
		ISNULL(RTRIM(OT), '') AS OT,
		ISNULL(RTRIM(DOTF.NAME), '') AS Dolzh
	INTO #DEP
	FROM DICTIONARY_DEPARTMENT DD 
	LEFT OUTER JOIN DICTIONARY_OTV_FACE DOTF ON 
		(DOTF.DEP_LINK = DD.LINK
		AND (@nCheck_CheeF = 0 and DOTF.NAME = ' ' ) 
			OR (@nCheck_CheeF = 1 and DOTF.NAME = '' ))
	LEFT OUTER JOIN KU_EMPL_PLACING EP ON DOTF.FACE_LINK = EP.LINK
	WHERE DD.link = @DEP_LINK

/*
EXECUTE KIR_EXEC_QUERY 95090,'''2014'',1,''1'',''1'',''1'',1,0,'''',0,95091'
go


*/

	CREATE TABLE #LOG(
		LINK INT, ERR INT IDENTITY, 
		NUMBER VARCHAR(20), DETAIL VARCHAR(254) )

	DECLARE @varKScInn VARCHAR(254), @varKScKPP VARCHAR(254), @varKSFULL_NAME varchar(254), 
		@varKSNALOG VARCHAR(254), @varKSOKATO VARCHAR(254), @varKSOKTMO VARCHAR(254), @varKSPHONE VARCHAR(254), 
		@varKSGLBUH VARCHAR(254), 
		@varKSRESULT BIT

	SELECT 
		@varKScInn = INN, @varKScKPP = KPP,
		@varKSFULL_NAME = FULL_NAME, 
		@varKSNALOG = NALOG, @varKSOKATO = Replace(OKATO,' ',''), @varKSOKTMO = Replace(OKTMO,' ',''),
		@varKSPHONE = PHONE, 
		@varKSGLBUH  = GLBUH
	FROM #DEP
	
	IF LEN(@varKScInn) = 0
		INSERT INTO #LOG (LINK, NUMBER, DETAIL)
		VALUES (0, ' ', '   ')
	ELSE BEGIN
		IF LEN(@varKScInn) <> 10 BEGIN
			INSERT INTO #LOG (LINK, NUMBER, DETAIL)
			VALUES (0, ' ', '  ')
		END
		ELSE BEGIN
			EXEC SD_CHECK_INN @varKScInn, @varKSRESULT OUTPUT, 0
			IF @varKSRESULT = -1
				INSERT INTO #LOG (LINK, NUMBER, DETAIL)
				VALUES (0, ' ', '  ')
		END
	END

	
	IF LEN(@varKScKPP) = 0
		INSERT INTO #LOG (LINK, NUMBER, DETAIL)
		VALUES (0, ' ', '   ')
	ELSE BEGIN
		IF LEN(@varKScKPP) <>9  BEGIN
			INSERT INTO #LOG (LINK, NUMBER, DETAIL)
			VALUES (0, ' ', '    9 ')
		END
	END

	IF LEN(@varKSNALOG) = 0 
		INSERT INTO #LOG (LINK, NUMBER, DETAIL)
		VALUES (0, ' ', '   ')
	ELSE BEGIN
		IF LEN(@varKSNALOG) <> 4  
		INSERT INTO #LOG (LINK, NUMBER, DETAIL)
		VALUES (0, ' ', '    4 ')

	END

	IF LEN(@varKSFULL_NAME) = 0 
		INSERT INTO #LOG (LINK, NUMBER, DETAIL)
		VALUES (0, ' ', '   -')



	IF LEN(@varKSOKATO) = 0  
		INSERT INTO #LOG (LINK, NUMBER, DETAIL)		VALUES (0, ' ', '   ')	

	INSERT INTO #LOG (LINK, NUMBER, DETAIL)
	SELECT E.PERS_LINK, '', '      ,     ' + RTRIM(P.FM) + ' ' + SUBSTRING(RTRIM(P.IM),1,1) + '.' + SUBSTRING(RTRIM(P.OT),1,1) + '.'
	FROM
		#S_OBOSOB SO INNER JOIN #E_SUBDIV ES ON SO.SUBDIV_LINK = ES.SUBDIV_LINK
		INNER JOIN DBO.EMPL E ON E.LINK = ES.EMPL_LINK
		INNER JOIN #FACES F ON F.PERS_LINK = E.PERS_LINK
		INNER JOIN DBO.PERSON P ON P.LINK = E.PERS_LINK
	WHERE
		LEN(O_OKATO) = 0 
		
	INSERT INTO #LOG (LINK, NUMBER, DETAIL)
	SELECT E.PERS_LINK, '', '      KPP   ,     ' + RTRIM(P.FM) + ' ' + SUBSTRING(RTRIM(P.IM),1,1) + '.' + SUBSTRING(RTRIM(P.OT),1,1) + '.'
	FROM
		#S_OBOSOB SO INNER JOIN #E_SUBDIV ES ON SO.SUBDIV_LINK = ES.SUBDIV_LINK
		INNER JOIN DBO.EMPL E ON E.LINK = ES.EMPL_LINK
		INNER JOIN #FACES F ON F.PERS_LINK = E.PERS_LINK
		INNER JOIN DBO.PERSON P ON P.LINK = E.PERS_LINK		
	WHERE
		LEN(O_KPP) <> 9

	IF LEN(@varKSPHONE) = 0 
		INSERT INTO #LOG (LINK, NUMBER, DETAIL)
		VALUES (0, ' ', '   ')

	IF LEN(@varKSGLBUH) = 0 
		INSERT INTO #LOG (LINK, NUMBER, DETAIL)
		VALUES (0, ' ', '   ')

	INSERT INTO #LOG (LINK, NUMBER, DETAIL)
	SELECT DISTINCT
		0, ' ', '         ' + LTRIM(RTRIM(ISNULL(D.SNAME,'')))
	FROM
		dbo.TAX_DEDUCTIONS TD INNER JOIN DBO.DICTIONARY_TYP_DEDUCTION D ON D.LINK = TD.LINK_DICTION
	WHERE
		TD.[YEAR] = @varKSnYear and TD.Month1 <= @nMonth
		AND
		TD.LINK_DICTION NOT IN (SELECT REF_PAY FROM dbo.Salary_deductions(@BEGIN_YEAR))

	INSERT INTO #LOG (LINK, NUMBER, DETAIL)
	SELECT LINK_FACE, '', '  ' + ' ' + ISNULL(FM, '') + ' ' + ISNULL(IM, '') + ' '  + ISNULL(Ot, '')
	FROM #RES0 WHERE LEN(ISNULL(FM, '')) = 0 AND OSD13 > 0 

	INSERT INTO #LOG (LINK, NUMBER, DETAIL)
	SELECT LINK_FACE, '', '  ' + ' ' + ISNULL(FM, '') + ' ' + ISNULL(IM, '') + ' '  + ISNULL(Ot, '')
	FROM #RES0 WHERE LEN(ISNULL(IM, '')) = 0 AND OSD13 > 0 

/*	INSERT INTO #LOG (LINK, NUMBER, DETAIL)
	SELECT LINK_FACE, '',  '  ' + ' ' + ISNULL(FM, '') + ' ' + ISNULL(IM, '') + ' '  + ISNULL(Ot, '')
	FROM #RES0 WHERE LEN(ISNULL(Ot, '')) = 0 AND OSD13 > 0 
*/
/*	INSERT INTO #LOG (LINK, NUMBER, DETAIL)
	SELECT NOM_SPR, NOM_SPR,  '  ' + ' ' + ISNULL(FM, '') + ' ' + ISNULL(IM, '') + ' '  + ISNULL(Ot, '')
	FROM #RES0 WHERE dbo.IsValidINNFiz(INNFIZ) = 0
*/
	INSERT INTO #LOG (LINK, NUMBER, DETAIL)
	SELECT LINK_FACE, '',  '   ' + ' ' + ISNULL(FM, '') + ' ' + ISNULL(IM, '') + ' '  + ISNULL(Ot, '')
	FROM #RES0 WHERE STATUS = '' AND OSD13 > 0 

	INSERT INTO #LOG (LINK, NUMBER, DETAIL)
	SELECT LINK_FACE, '',  '  ' + ' ' + ISNULL(FM, '') + ' ' + ISNULL(IM, '') + ' '  + ISNULL(Ot, '')
	FROM #RES0 WHERE GRAZD IS NULL AND OSD13 > 0 
/*
	INSERT INTO #LOG (LINK, NUMBER, DETAIL)
	SELECT NOM_SPR, NOM_SPR,  '  ' + ' ' + ISNULL(FM, '') + ' ' + ISNULL(IM, '') + ' '  + ISNULL(Ot, '')
	FROM #RES0 WHERE ISNULL(INNFIZ, '') = ''
*/
	INSERT INTO #LOG (LINK, NUMBER, DETAIL)
	SELECT LINK_FACE, '',  '    ,  ' + ' ' + ISNULL(FM, '') + ' ' + ISNULL(IM, '') + ' '  + ISNULL(Ot, '')
	FROM #RES0 WHERE ISNULL(INNFIZ, '') = '' and KDVD IS NULL AND OSD13 > 0 

	INSERT INTO #LOG (LINK, NUMBER, DETAIL)
	SELECT LINK_FACE, '',  '     ' + ' ' + ISNULL(FM, '') + ' ' + ISNULL(IM, '') + ' '  + ISNULL(Ot, '')
	FROM #RES0 WHERE ISNULL(INNFIZ, '') = '' AND ISNULL(SERNOM, '') = '' AND OSD13 > 0 

	INSERT INTO #LOG (LINK, NUMBER, DETAIL)
	SELECT LINK_FACE, '',  '     '  + ' ' + ISNULL(FM, '') + ' ' + ISNULL(IM, '') + ' '  + ISNULL(Ot, '')
	FROM #RES0 WHERE ISNULL(INNFIZ, '') = '' AND BIRTH IS NULL AND OSD13 > 0 

	INSERT INTO #LOG (LINK, NUMBER, DETAIL)
	SELECT LINK_FACE, '',  '  '  + ' ' + ISNULL(FM, '') + ' ' + ISNULL(IM, '') + ' '  + ISNULL(Ot, '')
	FROM #RES0 WHERE ISNULL(INNFIZ, '') = '' AND link_adr IS NULL AND OSD13 > 0 

	SET @varKSCNT = 0
	SELECT @varKSCNT = COUNT(DISTINCT LINK) FROM #LOG WHERE LINK > 0

	UPDATE #RES0
	SET ERR = 1
	WHERE LINK_FACE IN (SELECT LINK_FACE FROM #LOG)

	/*  */  -- DED_TYPE = 1 - , 2-  
	CREATE TABLE #td (LINK_PERSON INT ,NUM_REF VARCHAR(15),DATE_REF DATETIME,IFNS_CODE VARCHAR(20),DED_TYPE TINYINT)

	IF @nOption1 < 3
	BEGIN
		INSERT INTO #td (LINK_PERSON ,NUM_REF,DATE_REF,IFNS_CODE,DED_TYPE)
		Select LINK_PERSON, 
			   NUM_REF, 
			   DATE_REF, 
			   IFNS_CODE,
			   DED_TYPE = 1 
		from dbo.TAX_DEDUCTIONS td
		where TD.LINK_DEP = @DEP_LINK AND link =  (select min(link) from dbo.TAX_DEDUCTIONS td1 where TD1.LINK_DEP = @DEP_LINK AND td1.LINK_PERSON =  td.LINK_PERSON and td1.[YEAR] = @varKSnYear and td1.Month1 <= @nMonth AND TD1.LINK_DICTION IN (SELECT  LINK FROM DICTIONARY_TYP_DEDUCTION  WHERE NUMBER ='4')  )
		UNION SELECT 
			   LINK_PERSON, 
			   NUM_REF, 
			   DATE_REF, 
			   IFNS_CODE,
			   DED_TYPE = 2 
		from dbo.TAX_DEDUCTIONS td
		where TD.LINK_DEP = @DEP_LINK AND link =  (select min(link) from dbo.TAX_DEDUCTIONS td1 where TD1.LINK_DEP = @DEP_LINK AND td1.LINK_PERSON =  td.LINK_PERSON and td1.[YEAR] = @varKSnYear and td1.Month1 <= @nMonth AND TD1.LINK_DICTION IN (SELECT  LINK FROM DICTIONARY_TYP_DEDUCTION  WHERE NUMBER IN('11','12','13')) )
	END	--IF @nOption1 < 3

	declare @KBK_DEFAULT varchar(254)
	Set @KBK_DEFAULT = (select Top 1 CODE_KBK from dbo.sd_empl where LINK_KBK > 0)

	UPDATE #RES0 Set kbkcode1 = @KBK_DEFAULT, kbksum1 = 0 where ISNULL(kbksum1,0) = 0

	/*  */
	INSERT INTO #LOG (LINK, NUMBER, DETAIL)
	SELECT LINK_FACE, '',  '        '  + ' ' + ISNULL(FM, '') + ' ' + ISNULL(IM, '') + ' '  + ISNULL(Ot, '')
	FROM #RES0 inner join  #td on #RES0.LINK_FACE = #td.LINK_PERSON 
	WHERE rtrim(ltrim(ISNULL(NUM_REF,''))) = '' or rtrim(ltrim(ISNULL(IFNS_CODE,''))) = '' or DATE_REF is null AND OSD13 > 0 

	CREATE TABLE #RES_OUT (ID INT,LINK_FACE INT,mes INT,LINK_INC INT,CODE_INC VARCHAR(4),SUMMA_INC NUMERIC(18,2),LINK_DED INT,CODE_DED VARCHAR(3),SUMMA_DED NUMERIC(18,2),ID2 INT)

	INSERT INTO #RES_OUT (ID, LINK_FACE, mes, LINK_INC, CODE_INC, SUMMA_INC, LINK_DED, CODE_DED, SUMMA_DED, ID2)
	SELECT ID, LINK_FACE, mes, LINK_INC, CODE_INC, SUMMA_INC, LINK_DED, CODE_DED, SUMMA_DED, ID2 = 0 
	FROM #PAYS_0 
	ORDER BY LINK_FACE, MES, CODE_INC
	
	---
	CREATE TABLE #RES_OUT_ORD (NUM_PP INT IDENTITY(1,1), ID INT, LINK_FACE INT)
	INSERT INTO #RES_OUT_ORD (ID, LINK_FACE)
	SELECT ID, LINK_FACE FROM #PAYS_0 ORDER BY LINK_FACE, MES, CODE_INC
	--
	CREATE TABLE #RES_OUT_ORD2 (LINK_FACE INT, MIN_NUM INT)
	INSERT INTO #RES_OUT_ORD2 (LINK_FACE, MIN_NUM)
	SELECT LINK_FACE, MIN(NUM_PP) FROM #RES_OUT_ORD GROUP BY LINK_FACE
	---   
	UPDATE R
	SET R.ID2 = O.NUM_PP - O2.MIN_NUM + 1
	FROM 
		#RES_OUT R 
		INNER JOIN #RES_OUT_ORD O ON O.ID = R.ID
		INNER JOIN #RES_OUT_ORD2 O2 ON O2.LINK_FACE = R.LINK_FACE

	CREATE TABLE #ORDERS (ID int)
	DECLARE @SQL VARCHAR(1000)
	SET @SQL = 'ALTER TABLE #ORDERS ADD [NOM_SPR] INT IDENTITY(' + RTRIM(str(ISNULL(@varKSnFirstNum,1))) + ',1)'
	EXEC(@SQL)

	INSERT INTO #ORDERS (ID) 
	SELECT DISTINCT ID 
	FROM #RES0 
	WHERE LINK_FACE IN ( Select DISTINCT LINK_FACE from #RES_OUT where [ID2]%2 = 1 )
			--AND ISNULL(OSD13,0) > 0
	ORDER BY ID

	--UPDATE #ORDERS SET NOM_SPR = NOM_SPR + @varKSnFirstNum - 1

	---   
	UPDATE #DEP SET DOCCOUNT = ISNULL((SELECT MAX(NOM_SPR) FROM #ORDERS),0)

	-------------------
	SELECT 
		R.ID, O.NOM_SPR, R.LINK_FACE, R.SEX, R.INNFIZ, R.NUMB_SERT, R.STATUS, 
		R.FIO, R.FM, R.IM, R.OT, R.KDVD, R.SERNOM, R.BIRTH, R.GRAZD, R.KSTR, 
		R.LINK_ADR, R.IND_ADR, R.REGION, R.RAION, R.GOROD, R.NASEL, R.STREET, 
		R.HOUSE, R.KORP, R.FLAT, R.KSTR_ino, R.Adr_ino, 
		R.ksv1, R.ssv1, R.ksv2, R.ssv2, R.ksv3, R.ssv3, R.ksv4, R.ssv4, R.ksv5, R.ssv5, R.ksv6, R.ssv6, 
		R.ksv7, R.ssv7, R.ksv8, R.ssv8, R.ksv9, R.ssv9, R.ksv10, R.ssv10, R.ksv11, R.ssv11, R.ksv12, R.ssv12, 
		R.ssv, R.siv, R.osd13, R.sdo13, R.nalogn13, R.nalogu13, R.nalog13s, R.err, R.S_5_6, R.S_5_7, R.dolg_np, R.dolg_na, 
		R.kbkcode1, R.kbkcode2, R.kbkcode3, R.kbkcode4, R.kbksum1, R.kbksum2, R.kbksum3, R.kbksum4, 
		R.VIFNSPL, R.ZSummPL, R.UdSumPL, R.VzkIFNS, 
		ndoc_td = td1.NUM_REF , --   
		ddoc_td = td1.DATE_REF,
		ifnsdoc_td = td1.ifns_code,
		nDoc_SD = td2.NUM_REF, --    
		dDoc_SD = td2.DATE_REF,
		ifnsdoc_sd = td2.ifns_code,
		nalog	= @varKSNALOG,
		KPP1 = ISNULL(R.O_KPP,@varKScKPP),
		OKATO1 = replace(ISNULL(R.O_OKATO,@varKSOKATO),' ',''),
		OKATO2 = (Case when ISNULL(kbksum2,0) <> 0 then @varKSOKATO else '' end),
		OKATO3 = (Case when ISNULL(kbksum3,0) <> 0 then @varKSOKATO else '' end),
		OKATO4 = (Case when ISNULL(kbksum4,0) <> 0 then @varKSOKATO else '' end),
		OKTMO1 = replace(ISNULL(R.O_OKATO,@varKSOKTMO),' ',''),
		OKTMO2 = (Case when ISNULL(kbksum2,0) <> 0 then @varKSOKTMO else '' end),
		OKTMO3 = (Case when ISNULL(kbksum3,0) <> 0 then @varKSOKTMO else '' end),
		OKTMO4 = (Case when ISNULL(kbksum4,0) <> 0 then @varKSOKTMO else '' end),
		T.M1, T.CINC1, T.SINC1, T.CDED1, T.SDED1, T.M2, T.CINC2, T.SINC2, T.CDED2, T.SDED2,
		td1.LINK_PERSON/*, #td.NUM_REF, #td.DATE_REF, #td.IFNS_CODE*/
	FROM #RES0 R 
		INNER JOIN #ORDERS O ON O.ID = R.ID
		INNER JOIN ( 
			Select	T1.LINK_FACE, M1= T1.MES, CINC1= T1.CODE_INC, SINC1= T1.SUMMA_INC, CDED1= T1.CODE_DED, SDED1= T1.SUMMA_DED, M2= T2.MES, CINC2= T2.CODE_INC, SINC2= T2.SUMMA_INC, CDED2= T2.CODE_DED, SDED2= T2.SUMMA_DED
			from	(Select * from #RES_OUT where [ID2]%2 = 1) T1 left join (Select * from #RES_OUT where [ID2]%2 = 0) T2 on T1.link_FACE = T2.LINK_FACE AND T1.[ID2] = (T2.[ID2]-1)
		) T on R.LINK_FACE = T.LINK_FACE
		LEFT OUTER JOIN   #td td1 on R.LINK_FACE = td1.LINK_PERSON AND td1.DED_TYPE = 1 /* */
		LEFT OUTER JOIN   #td td2 on R.LINK_FACE = td2.LINK_PERSON AND td2.DED_TYPE = 2 /* */
	--where OSD13 > 0 
	ORDER BY O.NOM_SPR, T.M1, T.CINC1, T.M2, T.CINC2

	---
	SELECT *, CAST(  (CAST (DOCCOUNT AS INT) - @varKSCNT) AS VARCHAR(254) ) AS DOCCOUNT2 FROM #DEP 
	---	

	UPDATE L SET
		NUMBER = O.NOM_SPR
	FROM 
		#LOG L
		INNER JOIN #RES0 R ON L.LINK = R.LINK_FACE
		INNER JOIN #ORDERS O ON O.ID = R.ID
	
	SELECT * FROM #LOG ORDER BY LINK, ERR
	---
	EXEC dbo.BufferClear

	DROP TABLE #E_SUBDIV
	DROP TABLE #S_OBOSOB
	DROP TABLE #P_OBOSOB	
	DROP TABLE #LOG	
	DROP TABLE #RES0	
	DROP TABLE #ORDERS				
	
END


GO


GRANT EXECUTE ON dbo.[SD_REP_2NDFL] TO PUBLIC

GO


-- --


GO
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[SYNCH_BB_ZAYAVKA_KR]') AND OBJECTPROPERTY(id,N'IsProcedure') = 1)
DROP PROCEDURE dbo.[SYNCH_BB_ZAYAVKA_KR]

GO

CREATE  PROCEDURE [dbo].[SYNCH_BB_ZAYAVKA_KR] @DB NVARCHAR(254), @LINK_JOURN_TAB INT
/*
      -
DELETE bs_synch.dbo.g_prov where link >= 23386
EXEC [dbo].[SYNCH_BB_ZAYAVKA_KR] 'bs_synch.', 55
*/
AS
BEGIN

DECLARE @varKStrancount	int
DECLARE @err INT
DECLARE @SQL NVARCHAR(4000)
DECLARE @ERR_MSG VARCHAR(256)
DECLARE @COLLATE VARCHAR(254)


SET @SQL = 
N'	
SET @COLLATE = (SELECT TOP 1 ''COLLATE '' + CAST (SERVERPROPERTY(''Collation'') AS VARCHAR(100)) FROM ' + @DB + 'dbo.DEPARTMENTS_DATE)
'	
EXEC SP_EXECUTESQL @SQL, N'@COLLATE VARCHAR(254) OUTPUT', @COLLATE = @COLLATE OUTPUT

--   -
CREATE TABLE #DEPARTMENTS_DATE (
	[CODE] varchar(20),
	[INN] varchar(13),
	[KPP] varchar(9),
	[BEGINDATE] datetime,
	[ENDDATE] datetime)

SET @SQL = 
N'	
INSERT INTO #DEPARTMENTS_DATE ([CODE],[INN],[KPP],[BEGINDATE],[ENDDATE])
SELECT D.CODE, D.INN, D.KPP, DD.[BEGINDATE], DD.[ENDDATE]
FROM 
	' + @DB + 'dbo.DEPARTMENTS_DATE DD
	INNER JOIN ' + @DB + 'dbo.DEPARTMENTS D ON D.LINK = DD.DEP_LINK
WHERE
	ISNULL(D.INN ' + @COLLATE + ','''') <> ''''
	AND
	ISNULL(D.KPP ' + @COLLATE + ','''') <> ''''
	AND
	ISNULL(D.CODE ' + @COLLATE + ','''') <> ''''	
'	

EXEC SP_EXECUTESQL @SQL

--     -
SET @ERR_MSG = 
	SUBSTRING((
			SELECT ',' + LTRIM(RTRIM(CODE)) + '/' + LTRIM(RTRIM(INN)) + '/' + LTRIM(RTRIM(KPP))
				FROM #DEPARTMENTS_DATE
				GROUP BY CODE, INN, KPP
				HAVING COUNT(*) > 1
				ORDER BY ',' + LTRIM(RTRIM(CODE)) + '/' + LTRIM(RTRIM(INN)) + '/' + LTRIM(RTRIM(KPP))
			FOR XML PATH('')
		), 2, 3000)

IF @ERR_MSG IS NOT NULL
BEGIN
	UPDATE dbo.SYNCH_SMETA_SMART_TAB SET 
		COMENT = LEFT(' -    //: ' + @ERR_MSG,256)
		,[STATUS] = 3
	WHERE LINK = @LINK_JOURN_TAB
	
	RETURN 1
END

------------------
DECLARE @PERIOD DATETIME
SET @PERIOD = 
	(SELECT TOP 1 PERIOD
	FROM 
		[dbo].[SYNCH_SMETA_SMART_JOURN] J
		INNER JOIN [dbo].[SYNCH_SMETA_SMART_TAB] T ON T.[LINK_UP] = J.[LINK]
	WHERE
		T.LINK = @LINK_JOURN_TAB)

---------------------
DECLARE @OBJECT_CODE VARCHAR(254)
SET @OBJECT_CODE = 
(
	SELECT TOP 1 B.CODE
	FROM
		dbo.SYNCH_SMETA_SMART_TAB A
		INNER JOIN dbo.[SYNCH_SMETA_SMART_OPT2] B ON A.LINK_OPT2 = B.LINK
	WHERE
		A.LINK = @LINK_JOURN_TAB
)	

IF @OBJECT_CODE IS NULL
BEGIN
	UPDATE dbo.SYNCH_SMETA_SMART_TAB SET 
		COMENT = LEFT('     /.',256)
		,[STATUS] = 3
	WHERE LINK = @LINK_JOURN_TAB
	
	RETURN 1
END

DECLARE @iOBJECT INT
SET @SQL = 
N'SELECT @iOBJECT = LINK FROM ' + @DB + 'dbo.S_OBJECTS so WHERE so.CODE ' + @COLLATE + ' = ''' + @OBJECT_CODE + ''''	

EXEC SP_EXECUTESQL @SQL, N'@iOBJECT INT OUTPUT', @iOBJECT = @iOBJECT OUTPUT

------------------
DECLARE @LINK_DOCUMENTS_SALARY INT
SET @LINK_DOCUMENTS_SALARY = (SELECT TOP 1 LINK FROM dbo.S_OBJECTS WHERE CODE = @OBJECT_CODE)

------------------
CREATE TABLE #DOC (DEP INT, LINK INT, DATE_PROV DATETIME,[GUID] uniqueidentifier)
SET @SQL = 
N'	
INSERT INTO #DOC (DEP, LINK, DATE_PROV,[GUID])
SELECT G.DEP, G.LINK, G.DATE_PROV, G.[GUID]
FROM
	dbo.G_PROV G
	INNER JOIN dbo.SDOC_VEDOM_RKO D ON D.LINK_RKO = G.LINK
WHERE
	G.[OBJECT] = @LINK_DOCUMENTS_SALARY
	AND
	YEAR(G.[DATE_PROV]) = YEAR(@PERIOD)
	AND
	MONTH(G.[DATE_PROV]) = MONTH(@PERIOD)
	AND
	EXISTS (SELECT * FROM dbo.G_PROV1 G1 INNER JOIN dbo.G_PROV2 G2 ON G2.LINK_UP = G1.LINK WHERE G1.LINK_UP = G.LINK)
'	
EXEC SP_EXECUTESQL @SQL, N'@LINK_DOCUMENTS_SALARY INT, @PERIOD DATETIME', @LINK_DOCUMENTS_SALARY=@LINK_DOCUMENTS_SALARY, @PERIOD=@PERIOD

--     -
SET @ERR_MSG = NULL
SET @ERR_MSG = 
	SUBSTRING((
				SELECT ',' + LTRIM(RTRIM(D.CODE)) + '/' + LTRIM(RTRIM(D.INN)) + '/' + LTRIM(RTRIM(D.KPP))
				FROM
					dbo.DEPARTMENTS D
					INNER JOIN #DOC G ON D.LINK = G.DEP
				WHERE
					NOT EXISTS (SELECT * FROM #DEPARTMENTS_DATE DD WHERE DD.CODE = D.CODE AND DD.INN = D.INN AND DD.KPP = D.KPP)
				GROUP BY D.CODE, D.INN, D.KPP
				ORDER BY ',' + LTRIM(RTRIM(D.CODE)) + '/' + LTRIM(RTRIM(D.INN)) + '/' + LTRIM(RTRIM(D.KPP))	
			FOR XML PATH('')
		), 2, 3000)

IF @ERR_MSG IS NOT NULL
BEGIN
	UPDATE dbo.SYNCH_SMETA_SMART_TAB SET 
		COMENT = LEFT(' -  . //: ' + @ERR_MSG,256)
		,[STATUS] = 3
	WHERE LINK = @LINK_JOURN_TAB
	
	RETURN 1
END

----
CREATE TABLE #DEPARTMENTS_SMETA_KS (LINK1 INT, LINK2 INT, DEP INT)

SET @SQL = 
N'
INSERT INTO #DEPARTMENTS_SMETA_KS (LINK1, LINK2, DEP)
SELECT D1.LINK, D2.LINK, D1.LINK
FROM 
	dbo.DEPARTMENTS D1 
	INNER JOIN ' + @DB + 'dbo.DEPARTMENTS D2 ON D1.CODE = D2.CODE ' + @COLLATE + ' AND D1.INN = D2.INN ' + @COLLATE + ' AND D1.KPP = D2.KPP ' + @COLLATE + ' 
WHERE
	(D1.TYPE = 4 OR D1.ZB =1)
	AND
	(
		EXISTS (SELECT * FROM #DOC T WHERE D1.LINK = T.DEP) 
	OR
		EXISTS (
			SELECT *
			FROM ' + @DB + 'dbo.G_PROV G
				INNER JOIN ' + @DB + 'dbo.G_PROV_STATES S ON G.LINK = S.LINK_UP
				INNER JOIN ' + @DB + 'dbo.DOC_STATES2 S2 ON S2.LINK = S.LINK_STATE AND S2.CODE = ''SALARY'' -- ,    
			WHERE
				G.DEP = D2.LINK 
		)
	)
	AND
	EXISTS (SELECT * FROM ' + @DB + 'dbo.DEPARTMENTS_DATE DD2 WHERE DD2.DEP_LINK = D2.LINK) 	
	AND
	EXISTS (SELECT * FROM dbo.DEPARTMENTS_OBJECT DD1 WHERE DD1.DEPARTMENT = D1.LINK) 		
'
EXEC SP_EXECUTESQL @SQL

---,            
DECLARE @LOGIN VARCHAR(254)

SET @LOGIN = (SELECT TOP 1 VALUE FROM dbo.S_OPTIONS WHERE [SID] IS NULL AND ISNULL(VALUE,'') <> ''
						AND [OBJECT] = (SELECT LINK FROM dbo.S_OBJECTS WHERE CODE = 'SAL_OPT_USER_NAME'))

SET @SQL = 
N'
SET @RES = 0
IF EXISTS (SELECT * FROM 
			' + @DB + 'dbo.DEPARTMENTS_OBJECT A 
			INNER JOIN ' + @DB + 'dbo.S_USERS SU ON SU.UID = A.[USER_ID] 
			INNER JOIN ' + @DB + 'dbo.DEPARTMENTS3 D ON D.LINK = A.DEPARTMENT
		WHERE 
			SU.LOGINAME = @LOGIN )	

	SET @RES = 1
'
DECLARE @RES TINYINT
EXEC SP_EXECUTESQL @SQL, N'@RES TINYINT OUTPUT, @LOGIN VARCHAR(254)', @RES = @RES OUTPUT, @LOGIN = @LOGIN

IF @RES = 0
BEGIN
	UPDATE dbo.SYNCH_SMETA_SMART_TAB SET 
		COMENT = LEFT('      -   "' + @LOGIN + '"  .',256)
		,[STATUS] = 3
	WHERE LINK = @LINK_JOURN_TAB
	
	RETURN 1
END
/***********************************************************************/
/**********************     ************************/
/***********************************************************************/
--     
SET @SQL = 
N'
CREATE TABLE #CHOICE (LINK INT)

--   
INSERT INTO #CHOICE (LINK)
SELECT G.LINK
FROM ' + @DB + 'dbo.G_PROV G
	INNER JOIN ' + @DB + 'dbo.G_PROV_STATES S ON G.LINK = S.LINK_UP
	INNER JOIN ' + @DB + 'dbo.DOC_STATES2 S2 ON S2.LINK = S.LINK_STATE AND S2.CODE = ''SALARY'' -- ,    
WHERE 
	EXISTS (SELECT * FROM #DEPARTMENTS_SMETA_KS T WHERE T.LINK2 = G.DEP)
	AND
	(
		[OBJECT] = @iOBJECT AND NOT EXISTS (SELECT * FROM #DOC T WHERE T.[GUID] = G.[GUID])
			OR
		[OBJECT] IS NULL AND EXISTS (SELECT * FROM #DOC T WHERE T.[GUID] = G.[GUID])	
	)
	AND
	(
		YEAR([DATE_PROV]) = YEAR(@PERIOD) AND MONTH([DATE_PROV]) = MONTH(@PERIOD)
		OR --,        
		YEAR([DATE]) = YEAR(@PERIOD) AND MONTH([DATE]) = MONTH(@PERIOD)
	)	

---     
UPDATE G SET G.DATE_PROV = NULL
FROM ' + @DB + 'dbo.G_PROV G INNER JOIN #CHOICE C ON C.LINK = G.LINK

UPDATE T SET T.AP1 = NULL
FROM
	#CHOICE C
	INNER JOIN ' + @DB + '[dbo].[G_PROV_AP] T ON C.LINK = T.AP1

--  
DELETE G FROM ' + @DB + 'dbo.G_PROV G INNER JOIN #CHOICE C ON C.LINK = G.LINK

---    
DELETE T
FROM 
	#DOC T
WHERE
	 EXISTS (SELECT * FROM ' + @DB + 'dbo.G_PROV G2 WHERE G2.[OBJECT] IS NOT NULL AND G2.[GUID] = T.[GUID])
'
EXEC SP_EXECUTESQL @SQL, N'@iOBJECT INT, @PERIOD DATETIME', @iOBJECT=@iOBJECT, @PERIOD=@PERIOD

--
CREATE TABLE #ACCOUNT (DEP INT, CODE VARCHAR(30), LINK1 INT, LINK2 INT)
INSERT INTO #ACCOUNT (DEP, CODE, LINK1)
SELECT DISTINCT G.DEP, LTRIM(RTRIM(ACCOUNT.CODE)), ACCOUNT.LINK
FROM
	#DOC A
	INNER JOIN dbo.G_PROV G ON A.LINK = G.LINK
	INNER JOIN dbo.G_PROV1 G1 ON G1.LINK_UP = G.LINK
	INNER JOIN dbo.G_PROV2 G2 ON G2.LINK_UP = G1.LINK
	INNER JOIN dbo.G_PROV_AP GAP ON GAP.LINK_UP = G2.LINK
	INNER JOIN [dbo].[S_ACCOUNTS] ACCOUNT ON ACCOUNT.LINK = GAP.ACCOUNT
UNION	
SELECT G.DEP, LTRIM(RTRIM(ACCOUNT.CODE)), ACCOUNT.LINK
FROM
	#DOC A
	INNER JOIN dbo.G_PROV G ON A.LINK = G.LINK
	INNER JOIN [dbo].[ZAYAVKA_KR_TABLE] T ON T.LINK_UP = G.LINK
	INNER JOIN [dbo].[S_ACCOUNTS] ACCOUNT ON ACCOUNT.LINK = T.LINK_DT_ACC
	

--   
SET @ERR_MSG = NULL
SET @SQL = 
N'
SET @ERR_MSG = 
	SUBSTRING((
			SELECT DISTINCT '','' + K.CODE
			FROM
				#ACCOUNT K
				INNER JOIN #DEPARTMENTS_SMETA_KS T ON T.LINK1 = K.DEP
				INNER JOIN ' + @DB + 'dbo.V_DEP VD ON VD.LINK = T.LINK2
			WHERE
				NOT EXISTS (SELECT * FROM ' + @DB + 'dbo.[S_ACCOUNTS] A WHERE A.LINK_DEP = VD.LINK_CB AND LTRIM(RTRIM(A.CODE ' + @COLLATE + ' )) = K.CODE )
			FOR XML PATH('''')
		), 2, 3000)
'	
EXEC SP_EXECUTESQL @SQL, N'@ERR_MSG VARCHAR(256) OUTPUT', @ERR_MSG = @ERR_MSG OUTPUT

IF @ERR_MSG IS NOT NULL
BEGIN
	UPDATE dbo.SYNCH_SMETA_SMART_TAB SET 
		COMENT = LEFT(' -   : ' + @ERR_MSG,256)
		,[STATUS] = 3
	WHERE LINK = @LINK_JOURN_TAB
	
	RETURN 1
END

--   
SET @ERR_MSG = NULL
SET @SQL = 
N'
SET @ERR_MSG = 
	SUBSTRING((
			SELECT CODE
			FROM
			(
			SELECT DISTINCT '','' + K.CODE AS CODE, A.LINK_DEP, A.LINK
			FROM
				#ACCOUNT  K
				INNER JOIN #DEPARTMENTS_SMETA_KS T ON T.LINK1 = K.DEP
				INNER JOIN ' + @DB + 'dbo.V_DEP VD ON VD.LINK = T.LINK2
				INNER JOIN ' + @DB + 'dbo.[S_ACCOUNTS] A ON A.LINK_DEP = VD.LINK_CB AND LTRIM(RTRIM(A.CODE ' + @COLLATE + ' )) = K.CODE
			) T	
			GROUP BY
				CODE, LINK_DEP
			HAVING
				COUNT(*) > 1
			FOR XML PATH('''')
		), 2, 3000)
'	
EXEC SP_EXECUTESQL @SQL, N'@ERR_MSG VARCHAR(256) OUTPUT', @ERR_MSG = @ERR_MSG OUTPUT

IF @ERR_MSG IS NOT NULL
BEGIN
	UPDATE dbo.SYNCH_SMETA_SMART_TAB SET 
		COMENT = LEFT(' -  : ' + @ERR_MSG,256)
		,[STATUS] = 3
	WHERE LINK = @LINK_JOURN_TAB
	
	RETURN 1
END

--  
SET @ERR_MSG = NULL
SET @SQL = 
N'
UPDATE K SET LINK2 = A.LINK
FROM
	#ACCOUNT K
	INNER JOIN #DEPARTMENTS_SMETA_KS T ON T.LINK1 = K.DEP
	INNER JOIN ' + @DB + 'dbo.V_DEP VD ON VD.LINK = T.LINK2
	INNER JOIN ' + @DB + 'dbo.[S_ACCOUNTS] A ON A.LINK_DEP = VD.LINK_CB AND LTRIM(RTRIM(A.CODE ' + @COLLATE + ' )) = K.CODE
'	
EXEC SP_EXECUTESQL @SQL

--
CREATE TABLE #KBK (DEP INT, CODE VARCHAR(30), LINK1 INT, LINK2 INT)
INSERT INTO #KBK (DEP, CODE, LINK1)
SELECT G.DEP, LTRIM(RTRIM(KBK.CODE)), KBK.LINK
FROM
	#DOC A
	INNER JOIN dbo.G_PROV G ON A.LINK = G.LINK
	INNER JOIN dbo.G_PROV1 G1 ON G1.LINK_UP = G.LINK
	INNER JOIN dbo.G_PROV2 G2 ON G2.LINK_UP = G1.LINK
	INNER JOIN dbo.G_PROV_AP GAP ON GAP.LINK_UP = G2.LINK
	INNER JOIN [dbo].[KL_KBK] KBK ON KBK.LINK = KBK
UNION
SELECT G.DEP, LTRIM(RTRIM(KBK.CODE)), KBK.LINK
FROM
	#DOC A
	INNER JOIN dbo.G_PROV G ON A.LINK = G.LINK
	INNER JOIN dbo.[FINANSE_PAYS] P ON P.[Link] = G.LINK
	INNER JOIN [dbo].[KL_KBK] KBK ON KBK.LINK = P.[Link_Dohod]
UNION	
SELECT G.DEP, LTRIM(RTRIM(KBK.CODE)), KBK.LINK
FROM
	#DOC A
	INNER JOIN dbo.G_PROV G ON A.LINK = G.LINK
	INNER JOIN [dbo].[ZAYAVKA_KR_TABLE] T ON T.LINK_UP = G.LINK
	INNER JOIN [dbo].[KL_KBK] KBK ON KBK.LINK = T.[LINK_KBK]
UNION	
SELECT G.DEP, LTRIM(RTRIM(KBK.CODE)), KBK.LINK
FROM
	#DOC A
	INNER JOIN dbo.G_PROV G ON A.LINK = G.LINK
	INNER JOIN [dbo].[ZAYAVKA_KR_TABLE] T ON T.LINK_UP = G.LINK
	INNER JOIN [dbo].[KL_KBK] KBK ON KBK.LINK = T.[LINK_KBK_D]

--   
SET @ERR_MSG = NULL
SET @SQL = 
N'
SET @ERR_MSG = 
	SUBSTRING((
			SELECT DISTINCT '','' + K.CODE
			FROM
				#KBK K
				INNER JOIN #DEPARTMENTS_SMETA_KS T ON T.LINK1 = K.DEP
				INNER JOIN ' + @DB + 'dbo.V_DEP VD ON VD.LINK = T.LINK2
			WHERE
				NOT EXISTS (SELECT * FROM ' + @DB + 'dbo.[KL_KBK] A WHERE A.LINK_DEP = VD.LINK_CB AND LTRIM(RTRIM(A.CODE ' + @COLLATE + ' )) = K.CODE)
			FOR XML PATH('''')
		), 2, 3000)
'	
EXEC SP_EXECUTESQL @SQL, N'@ERR_MSG VARCHAR(256) OUTPUT', @ERR_MSG = @ERR_MSG OUTPUT


IF @ERR_MSG IS NOT NULL
BEGIN
	UPDATE dbo.SYNCH_SMETA_SMART_TAB SET 
		COMENT = LEFT(' -   : ' + @ERR_MSG,256)
		,[STATUS] = 3
	WHERE LINK = @LINK_JOURN_TAB
	
	RETURN 1
END

--   
SET @ERR_MSG = NULL
SET @SQL = 
N'
SET @ERR_MSG = 
	SUBSTRING((
			SELECT CODE
			FROM
			(
			SELECT DISTINCT '','' + K.CODE AS CODE, A.LINK_DEP, A.LINK
			FROM
				#KBK K
				INNER JOIN #DEPARTMENTS_SMETA_KS T ON T.LINK1 = K.DEP
				INNER JOIN ' + @DB + 'dbo.V_DEP VD ON VD.LINK = T.LINK2
				INNER JOIN ' + @DB + 'dbo.[KL_KBK] A ON A.LINK_DEP = VD.LINK_CB AND LTRIM(RTRIM(A.CODE ' + @COLLATE + ' )) = K.CODE
			) T	
			GROUP BY
				CODE, LINK_DEP
			HAVING
				COUNT(*) > 1		
			FOR XML PATH('''')
		), 2, 3000)
'	
EXEC SP_EXECUTESQL @SQL, N'@ERR_MSG VARCHAR(256) OUTPUT', @ERR_MSG = @ERR_MSG OUTPUT

IF @ERR_MSG IS NOT NULL
BEGIN
	UPDATE dbo.SYNCH_SMETA_SMART_TAB SET 
		COMENT = LEFT(' -  : ' + @ERR_MSG,256)
		,[STATUS] = 3
	WHERE LINK = @LINK_JOURN_TAB
	
	RETURN 1
END

--  
SET @ERR_MSG = NULL
SET @SQL = 
N'
UPDATE K SET LINK2 = A.LINK
FROM
	#KBK K
	INNER JOIN #DEPARTMENTS_SMETA_KS T ON T.LINK1 = K.DEP
	INNER JOIN ' + @DB + 'dbo.V_DEP VD ON VD.LINK = T.LINK2
	INNER JOIN ' + @DB + 'dbo.[KL_KBK] A ON A.LINK_DEP = VD.LINK_CB AND LTRIM(RTRIM(A.CODE ' + @COLLATE + ' )) = K.CODE
'	
EXEC SP_EXECUTESQL @SQL


--
CREATE TABLE #EKR (DEP INT, CODE VARCHAR(4), LINK1 INT, LINK2 INT)
INSERT INTO #EKR (DEP, CODE, LINK1)
SELECT DISTINCT G.DEP, LTRIM(RTRIM(EKR.CODE)), EKR
FROM
	#DOC A
	INNER JOIN dbo.G_PROV G ON A.LINK = G.LINK
	INNER JOIN dbo.G_PROV1 G1 ON G1.LINK_UP = G.LINK
	INNER JOIN dbo.G_PROV2 G2 ON G2.LINK_UP = G1.LINK
	INNER JOIN dbo.G_PROV_AP GAP ON GAP.LINK_UP = G2.LINK
	INNER JOIN [dbo].[KOSGU] EKR ON EKR.LINK = EKR	

--   
SET @ERR_MSG = NULL
SET @SQL = 
N'
SET @ERR_MSG = 
	SUBSTRING((
			SELECT DISTINCT '','' + K.CODE
			FROM
				#EKR K
			WHERE
				NOT EXISTS (SELECT * FROM ' + @DB + '[dbo].[KOSGU] A WHERE LTRIM(RTRIM(A.CODE ' + @COLLATE + ' )) = K.CODE)
			FOR XML PATH('''')
		), 2, 3000)
'	
EXEC SP_EXECUTESQL @SQL, N'@ERR_MSG VARCHAR(256) OUTPUT', @ERR_MSG = @ERR_MSG OUTPUT

IF @ERR_MSG IS NOT NULL
BEGIN
	UPDATE dbo.SYNCH_SMETA_SMART_TAB SET 
		COMENT = LEFT(' -   : ' + @ERR_MSG,256)
		,[STATUS] = 3
	WHERE LINK = @LINK_JOURN_TAB
	
	RETURN 1
END


--   
SET @ERR_MSG = NULL
SET @SQL = 
N'
SET @ERR_MSG = 
	SUBSTRING((
			SELECT CODE
			FROM
			(
			SELECT DISTINCT '','' + K.CODE AS CODE, A.LINK_DEP, A.LINK
			FROM
				#EKR K
				INNER JOIN ' + @DB + '[dbo].[KOSGU] A ON LTRIM(RTRIM(A.CODE ' + @COLLATE + ' )) = K.CODE
			) T	
			GROUP BY
				 CODE, LINK_DEP
			HAVING
				COUNT(*) > 1		
			FOR XML PATH('''')
		), 2, 3000)
'	

EXEC SP_EXECUTESQL @SQL, N'@ERR_MSG VARCHAR(256) OUTPUT', @ERR_MSG = @ERR_MSG OUTPUT

IF @ERR_MSG IS NOT NULL
BEGIN
	UPDATE dbo.SYNCH_SMETA_SMART_TAB SET 
		COMENT = LEFT(' -  : ' + @ERR_MSG,256)
		,[STATUS] = 3
	WHERE LINK = @LINK_JOURN_TAB
	
	RETURN 1
END

--  
SET @ERR_MSG = NULL
SET @SQL = 
N'
UPDATE K SET LINK2 = A.LINK
FROM
	#EKR K
	INNER JOIN ' + @DB + '[dbo].[KOSGU] A ON LTRIM(RTRIM(A.CODE ' + @COLLATE + ' )) = K.CODE
'	
EXEC SP_EXECUTESQL @SQL


--
CREATE TABLE #SGU (DEP INT, CODE VARCHAR(4), LINK1 INT, LINK2 INT)
INSERT INTO #SGU (DEP, CODE, LINK1)
SELECT G.DEP, LTRIM(RTRIM(SGU.CODE)), SGU.LINK
FROM
	#DOC A
	INNER JOIN dbo.G_PROV G ON A.LINK = G.LINK
	INNER JOIN dbo.G_PROV1 G1 ON G1.LINK_UP = G.LINK
	INNER JOIN dbo.G_PROV2 G2 ON G2.LINK_UP = G1.LINK
	INNER JOIN dbo.G_PROV_AP GAP ON GAP.LINK_UP = G2.LINK
	INNER JOIN [dbo].[KOSGU] SGU ON SGU.LINK = SGU
UNION
SELECT G.DEP, LTRIM(RTRIM(SGU.CODE)), SGU.LINK
FROM
	#DOC A
	INNER JOIN dbo.G_PROV G ON A.LINK = G.LINK
	INNER JOIN dbo.[FINANSE_PAYS] P ON P.[Link] = G.LINK
	INNER JOIN [dbo].[KOSGU] SGU ON SGU.LINK = P.Link_SGU
UNION	
SELECT G.DEP, LTRIM(RTRIM(SGU.CODE)), SGU.LINK
FROM
	#DOC A
	INNER JOIN dbo.G_PROV G ON A.LINK = G.LINK
	INNER JOIN [dbo].[ZAYAVKA_KR_TABLE] T ON T.LINK_UP = G.LINK
	INNER JOIN [dbo].[KOSGU] SGU ON SGU.LINK = T.LINK_SGU
UNION	
SELECT G.DEP, LTRIM(RTRIM(SGU.CODE)), SGU.LINK
FROM
	#DOC A
	INNER JOIN dbo.G_PROV G ON A.LINK = G.LINK
	INNER JOIN [dbo].[ZAYAVKA_KR_TABLE] T ON T.LINK_UP = G.LINK
	INNER JOIN [dbo].[KOSGU] SGU ON SGU.LINK = T.LINK_SGU_D

--   
SET @ERR_MSG = NULL
SET @SQL = 
N'
SET @ERR_MSG = 
	SUBSTRING((
			SELECT DISTINCT '','' + K.CODE
			FROM
				#SGU K
			WHERE
				NOT EXISTS (SELECT * FROM ' + @DB + '[dbo].[KOSGU] A WHERE LTRIM(RTRIM(A.CODE ' + @COLLATE + ' )) = K.CODE)
			FOR XML PATH('''')
		), 2, 3000)
'	
EXEC SP_EXECUTESQL @SQL, N'@ERR_MSG VARCHAR(256) OUTPUT', @ERR_MSG = @ERR_MSG OUTPUT

IF @ERR_MSG IS NOT NULL
BEGIN
	UPDATE dbo.SYNCH_SMETA_SMART_TAB SET 
		COMENT = LEFT(' -   : ' + @ERR_MSG,256)
		,[STATUS] = 3
	WHERE LINK = @LINK_JOURN_TAB
	
	RETURN 1
END


--   
SET @ERR_MSG = NULL
SET @SQL = 
N'
SET @ERR_MSG = 
	SUBSTRING((
			SELECT CODE
			FROM
			(
			SELECT DISTINCT '','' + K.CODE AS CODE, A.LINK_DEP, A.LINK
			FROM
				#SGU K
				INNER JOIN ' + @DB + '[dbo].[KOSGU] A ON LTRIM(RTRIM(A.CODE ' + @COLLATE + ' )) = K.CODE
			) T	
			GROUP BY
				 CODE, LINK_DEP
			HAVING
				COUNT(*) > 1		
			FOR XML PATH('''')
		), 2, 3000)
'	

EXEC SP_EXECUTESQL @SQL, N'@ERR_MSG VARCHAR(256) OUTPUT', @ERR_MSG = @ERR_MSG OUTPUT

IF @ERR_MSG IS NOT NULL
BEGIN
	UPDATE dbo.SYNCH_SMETA_SMART_TAB SET 
		COMENT = LEFT(' -  : ' + @ERR_MSG,256)
		,[STATUS] = 3
	WHERE LINK = @LINK_JOURN_TAB
	
	RETURN 1
END

--  
SET @ERR_MSG = NULL
SET @SQL = 
N'
UPDATE K SET LINK2 = A.LINK
FROM
	#SGU K
	INNER JOIN ' + @DB + '[dbo].[KOSGU] A ON LTRIM(RTRIM(A.CODE ' + @COLLATE + ' )) = K.CODE
'	
EXEC SP_EXECUTESQL @SQL

--
CREATE TABLE #KAU (DEP INT, CODE VARCHAR(10), LINK1 INT, LINK2 INT)
INSERT INTO #KAU (DEP, CODE, LINK1)
SELECT DISTINCT G.DEP, LTRIM(RTRIM(KAU.CODE)), KAU
FROM
	#DOC A
	INNER JOIN dbo.G_PROV G ON A.LINK = G.LINK
	INNER JOIN dbo.G_PROV1 G1 ON G1.LINK_UP = G.LINK
	INNER JOIN dbo.G_PROV2 G2 ON G2.LINK_UP = G1.LINK
	INNER JOIN dbo.G_PROV_AP GAP ON GAP.LINK_UP = G2.LINK
	INNER JOIN [dbo].[KAU] KAU ON KAU.LINK = KAU

--   
SET @ERR_MSG = NULL
SET @SQL = 
N'
SET @ERR_MSG = 
	SUBSTRING((
			SELECT DISTINCT '','' + K.CODE
			FROM
				#KAU K
				INNER JOIN #DEPARTMENTS_SMETA_KS T ON T.LINK1 = K.DEP
				INNER JOIN ' + @DB + 'dbo.V_DEP VD ON VD.LINK = T.LINK2
			WHERE
				NOT EXISTS (SELECT * FROM ' + @DB + 'dbo.[KAU] A WHERE A.LINK_DEP = VD.LINK_CB AND LTRIM(RTRIM(A.CODE ' + @COLLATE + ' )) = K.CODE)
			FOR XML PATH('''')
		), 2, 3000)
'	
EXEC SP_EXECUTESQL @SQL, N'@ERR_MSG VARCHAR(256) OUTPUT', @ERR_MSG = @ERR_MSG OUTPUT

IF @ERR_MSG IS NOT NULL
BEGIN
	UPDATE dbo.SYNCH_SMETA_SMART_TAB SET 
		COMENT = LEFT(' -   : ' + @ERR_MSG,256)
		,[STATUS] = 3
	WHERE LINK = @LINK_JOURN_TAB
	
	RETURN 1
END

--   
SET @ERR_MSG = NULL
SET @SQL = 
N'
SET @ERR_MSG = 
	SUBSTRING((
			SELECT CODE
			FROM
			(
			SELECT DISTINCT '','' + K.CODE AS CODE, A.LINK_DEP, A.LINK
			FROM
				#KAU K
				INNER JOIN #DEPARTMENTS_SMETA_KS T ON T.LINK1 = K.DEP
				INNER JOIN ' + @DB + 'dbo.V_DEP VD ON VD.LINK = T.LINK2
				INNER JOIN ' + @DB + 'dbo.[KAU] A ON A.LINK_DEP = VD.LINK_CB AND LTRIM(RTRIM(A.CODE ' + @COLLATE + ' )) = K.CODE
			) T	
			GROUP BY
				 CODE, LINK_DEP
			HAVING
				COUNT(*) > 1		
			FOR XML PATH('''')
		), 2, 3000)
'	
EXEC SP_EXECUTESQL @SQL, N'@ERR_MSG VARCHAR(256) OUTPUT', @ERR_MSG = @ERR_MSG OUTPUT

IF @ERR_MSG IS NOT NULL
BEGIN
	UPDATE dbo.SYNCH_SMETA_SMART_TAB SET 
		COMENT = LEFT(' -  : ' + @ERR_MSG,256)
		,[STATUS] = 3
	WHERE LINK = @LINK_JOURN_TAB
	
	RETURN 1
END

--  
SET @ERR_MSG = NULL
SET @SQL = 
N'
UPDATE K SET LINK2 = A.LINK
FROM
	#KAU K
	INNER JOIN #DEPARTMENTS_SMETA_KS T ON T.LINK1 = K.DEP
	INNER JOIN ' + @DB + 'dbo.V_DEP VD ON VD.LINK = T.LINK2
	INNER JOIN ' + @DB + 'dbo.[KAU] A ON A.LINK_DEP = VD.LINK_CB AND LTRIM(RTRIM(A.CODE ' + @COLLATE + ' )) = K.CODE
'	
EXEC SP_EXECUTESQL @SQL

--
CREATE TABLE #DOP (DEP INT, CODE VARCHAR(30), LINK1 INT, LINK2 INT)
INSERT INTO #DOP (DEP, CODE, LINK1)
SELECT DISTINCT G.DEP, LTRIM(RTRIM(KAU.CODE)), AP2
FROM
	#DOC A
	INNER JOIN dbo.G_PROV G ON A.LINK = G.LINK
	INNER JOIN dbo.G_PROV1 G1 ON G1.LINK_UP = G.LINK
	INNER JOIN dbo.G_PROV2 G2 ON G2.LINK_UP = G1.LINK
	INNER JOIN dbo.G_PROV_AP GAP ON GAP.LINK_UP = G2.LINK
	INNER JOIN [dbo].[DOP_CLASSIF] KAU ON KAU.LINK = AP2
UNION	
SELECT G.DEP, LTRIM(RTRIM(DOP.CODE)), DOP.LINK
FROM
	#DOC A
	INNER JOIN dbo.G_PROV G ON A.LINK = G.LINK
	INNER JOIN [dbo].[ZAYAVKA_KR_TABLE] T ON T.LINK_UP = G.LINK
	INNER JOIN [dbo].[DOP_CLASSIF] DOP ON DOP.LINK = T.LINK_DCL
UNION	
SELECT G.DEP, LTRIM(RTRIM(DOP.CODE)), DOP.LINK
FROM
	#DOC A
	INNER JOIN dbo.G_PROV G ON A.LINK = G.LINK
	INNER JOIN [dbo].[ZAYAVKA_KR_TABLE] T ON T.LINK_UP = G.LINK
	INNER JOIN [dbo].[DOP_CLASSIF] DOP ON DOP.LINK = T.LINK_DCL_D	
	

--   
SET @ERR_MSG = NULL
SET @SQL = 
N'
SET @ERR_MSG = 
	SUBSTRING((
			SELECT DISTINCT '','' + K.CODE
			FROM
				#DOP K
				INNER JOIN #DEPARTMENTS_SMETA_KS T ON T.LINK1 = K.DEP
				INNER JOIN ' + @DB + 'dbo.V_DEP VD ON VD.LINK = T.LINK2
			WHERE
				NOT EXISTS (SELECT * FROM ' + @DB + 'dbo.[DOP_CLASSIF] A WHERE A.LINK_DEP = VD.LINK_CB AND LTRIM(RTRIM(A.CODE ' + @COLLATE + ' )) = K.CODE)
			FOR XML PATH('''')
		), 2, 3000)
'	
EXEC SP_EXECUTESQL @SQL, N'@ERR_MSG VARCHAR(256) OUTPUT', @ERR_MSG = @ERR_MSG OUTPUT

IF @ERR_MSG IS NOT NULL
BEGIN
	UPDATE dbo.SYNCH_SMETA_SMART_TAB SET 
		COMENT = LEFT(' -   ..: ' + @ERR_MSG,256)
		,[STATUS] = 3
	WHERE LINK = @LINK_JOURN_TAB
	
	RETURN 1
END

--   
SET @ERR_MSG = NULL
SET @SQL = 
N'
SET @ERR_MSG = 
	SUBSTRING((
			SELECT CODE
			FROM
			(
			SELECT DISTINCT '','' + K.CODE AS CODE, A.LINK_DEP, A.LINK
			FROM
				#DOP K
				INNER JOIN #DEPARTMENTS_SMETA_KS T ON T.LINK1 = K.DEP
				INNER JOIN ' + @DB + 'dbo.V_DEP VD ON VD.LINK = T.LINK2
				INNER JOIN ' + @DB + 'dbo.[DOP_CLASSIF] A ON A.LINK_DEP = VD.LINK_CB AND LTRIM(RTRIM(A.CODE ' + @COLLATE + ' )) = K.CODE
			) T	
			GROUP BY
				 CODE, LINK_DEP
			HAVING
				COUNT(*) > 1		
			FOR XML PATH('''')
		), 2, 3000)
'	
EXEC SP_EXECUTESQL @SQL, N'@ERR_MSG VARCHAR(256) OUTPUT', @ERR_MSG = @ERR_MSG OUTPUT

IF @ERR_MSG IS NOT NULL
BEGIN
	UPDATE dbo.SYNCH_SMETA_SMART_TAB SET 
		COMENT = LEFT(' -  ..: ' + @ERR_MSG,256)
		,[STATUS] = 3
	WHERE LINK = @LINK_JOURN_TAB
	
	RETURN 1
END

--  
SET @ERR_MSG = NULL
SET @SQL = 
N'
UPDATE K SET LINK2 = A.LINK
FROM
	#DOP K
	INNER JOIN #DEPARTMENTS_SMETA_KS T ON T.LINK1 = K.DEP
	INNER JOIN ' + @DB + 'dbo.V_DEP VD ON VD.LINK = T.LINK2
	INNER JOIN ' + @DB + 'dbo.[DOP_CLASSIF] A ON A.LINK_DEP = VD.LINK_CB AND LTRIM(RTRIM(A.CODE ' + @COLLATE + ' )) = K.CODE
'	
EXEC SP_EXECUTESQL @SQL

--     -
SET @ERR_MSG = NULL
SET @ERR_MSG = 
	SUBSTRING((
				SELECT ',' + LTRIM(RTRIM(D.CODE)) + '/' + LTRIM(RTRIM(INN)) + '/' + LTRIM(RTRIM(KPP))
				FROM
					dbo.DEPARTMENTS D
				WHERE
					EXISTS ( SELECT * FROM #DOC G WHERE D.LINK = G.DEP )
				GROUP BY CODE, INN, KPP
				HAVING COUNT(*) > 1
				ORDER BY ',' + LTRIM(RTRIM(D.CODE)) + '/' + LTRIM(RTRIM(INN)) + '/' + LTRIM(RTRIM(KPP))	
			FOR XML PATH('')
		), 2, 3000)
		
IF @ERR_MSG IS NOT NULL
BEGIN
	UPDATE dbo.SYNCH_SMETA_SMART_TAB SET 
		COMENT = LEFT(' -    /: ' + @ERR_MSG,256)
		,[STATUS] = 3
	WHERE LINK = @LINK_JOURN_TAB
	
	RETURN 1
END
----------

/* */
CREATE TABLE #DEP_ACCOUNTS (COR INT, CODE VARCHAR(30), LINK1 INT, LINK2 INT, DEP INT)
INSERT INTO #DEP_ACCOUNTS (COR, CODE, LINK1, DEP)
SELECT T2.LINK_UP, LTRIM(RTRIM(T2.CODE)),T2.LINK, A.DEP
FROM
	#DOC A
	INNER JOIN [dbo].[FINANSE_PAYS] T1 ON T1.LINK = A.LINK
	INNER JOIN [dbo].[DEPARTMENT_ACCOUNTS] T2 ON T2.LINK = T1.[S_Acc]
UNION
SELECT T2.LINK_UP, LTRIM(RTRIM(T2.CODE)),T2.LINK, A.DEP 
FROM
	#DOC A
	INNER JOIN [dbo].[FINANSE_PAYS] T1 ON T1.LINK = A.LINK
	INNER JOIN [dbo].[DEPARTMENT_ACCOUNTS] T2 ON T2.LINK = T1.[D_Acc]
UNION
SELECT T2.LINK_UP, LTRIM(RTRIM(T2.CODE)),T2.LINK, A.DEP
FROM
	#DOC A
	INNER JOIN dbo.G_PROV G ON A.LINK = G.LINK
	INNER JOIN dbo.G_PROV1 G1 ON G1.LINK_UP = G.LINK
	INNER JOIN dbo.G_PROV2 G2 ON G2.LINK_UP = G1.LINK
	INNER JOIN dbo.G_PROV_AP GAP ON GAP.LINK_UP = G2.LINK
	INNER JOIN [dbo].[DEPARTMENT_ACCOUNTS] T2 ON T2.LINK = DEP_ACC	
--

/**/
INSERT INTO #DEPARTMENTS_SMETA_KS (LINK1, DEP)
SELECT DISTINCT A.COR, B.DEP
FROM 
	#DEP_ACCOUNTS A
	INNER JOIN #DEPARTMENTS_SMETA_KS B ON A.DEP = B.LINK1
WHERE NOT EXISTS (SELECT * FROM #DEPARTMENTS_SMETA_KS D WHERE D.LINK1 = A.COR AND D.DEP = B.DEP)

INSERT INTO #DEPARTMENTS_SMETA_KS (LINK1, DEP)
SELECT DISTINCT GAP.DEP, G.DEP
FROM
	#DOC A
	INNER JOIN dbo.G_PROV G ON A.LINK = G.LINK
	INNER JOIN dbo.G_PROV1 G1 ON G1.LINK_UP = G.LINK
	INNER JOIN dbo.G_PROV2 G2 ON G2.LINK_UP = G1.LINK
	INNER JOIN dbo.G_PROV_AP GAP ON GAP.LINK_UP = G2.LINK
WHERE 
	GAP.DEP IS NOT NULL
	AND NOT EXISTS (SELECT * FROM #DEPARTMENTS_SMETA_KS D WHERE D.LINK1 = GAP.DEP AND D.DEP = G.DEP)

/* */
--   
SET @ERR_MSG = NULL
SET @SQL = 
N'
SET @ERR_MSG = 
	SUBSTRING((
				SELECT '','' + LTRIM(RTRIM(D.INN)) + ''/'' + LTRIM(RTRIM(D.KPP))+ ''/'' + LEFT(LTRIM(RTRIM(D.NAME)),50)
				FROM
					dbo.DEPARTMENTS D --
					INNER JOIN #DEPARTMENTS_SMETA_KS G ON D.LINK = G.LINK1
				WHERE
					G.LINK2 IS NULL
					AND
					NOT EXISTS (
						SELECT * FROM
							#DEPARTMENTS_SMETA_KS DD --
							INNER JOIN ' + @DB + 'dbo.V_DEP VD ON VD.LINK = DD.LINK2
							INNER JOIN ' + @DB + 'dbo.[DEPARTMENTS] A ON A.LINK_DEP = VD.LINK_CB AND LTRIM(RTRIM(A.INN ' + @COLLATE + ' )) = D.INN AND LTRIM(RTRIM(A.KPP ' + @COLLATE + ' )) = D.KPP
						WHERE
							DD.LINK1 = G.DEP
						)
				GROUP BY D.INN, D.KPP, D.NAME
				ORDER BY '','' + LTRIM(RTRIM(D.INN)) + ''/'' + LTRIM(RTRIM(D.KPP))+ ''/'' + LEFT(LTRIM(RTRIM(D.NAME)),50)	
			FOR XML PATH('''')
		), 2, 3000)
'	
EXEC SP_EXECUTESQL @SQL, N'@ERR_MSG VARCHAR(256) OUTPUT', @ERR_MSG = @ERR_MSG OUTPUT

IF @ERR_MSG IS NOT NULL
BEGIN
	UPDATE dbo.SYNCH_SMETA_SMART_TAB SET 
		COMENT = LEFT(' -   //: ' + @ERR_MSG,256)
		,[STATUS] = 3
	WHERE LINK = @LINK_JOURN_TAB
	
	RETURN 1
END

--   
SET @ERR_MSG = NULL
SET @SQL = 
N'
SET @ERR_MSG = 
	SUBSTRING((
			SELECT '','' + CODE
			FROM
			(
			SELECT DISTINCT LTRIM(RTRIM(D.INN)) + ''/'' + LTRIM(RTRIM(D.KPP))+ ''/'' + LEFT(LTRIM(RTRIM(D.NAME)),50) AS CODE, A.LINK_DEP, A.LINK
				FROM
					dbo.DEPARTMENTS D
					INNER JOIN #DEPARTMENTS_SMETA_KS G ON D.LINK = G.LINK1 --
					INNER JOIN #DEPARTMENTS_SMETA_KS DEP ON DEP.LINK1 = G.DEP --
					INNER JOIN ' + @DB + 'dbo.V_DEP VD ON VD.LINK = DEP.LINK2
					INNER JOIN ' + @DB + 'dbo.[DEPARTMENTS] A ON A.LINK_DEP = VD.LINK_CB AND LTRIM(RTRIM(A.INN ' + @COLLATE + ' )) = D.INN AND LTRIM(RTRIM(A.KPP ' + @COLLATE + ' )) = D.KPP
				WHERE
					G.LINK2 IS NULL
			) T	
			GROUP BY
				 CODE, LINK_DEP
			HAVING COUNT(*) > 1
			ORDER BY T.CODE	
			FOR XML PATH('''')
		), 2, 3000)
'
EXEC SP_EXECUTESQL @SQL, N'@ERR_MSG VARCHAR(256) OUTPUT', @ERR_MSG = @ERR_MSG OUTPUT

IF @ERR_MSG IS NOT NULL
BEGIN
	UPDATE dbo.SYNCH_SMETA_SMART_TAB SET 
		COMENT = LEFT(' -   //: ' + @ERR_MSG,256)
		,[STATUS] = 3
	WHERE LINK = @LINK_JOURN_TAB
	RETURN 1
END

--  
SET @ERR_MSG = NULL
SET @SQL = 
N'
UPDATE G SET G.LINK2 = A.LINK
FROM
	dbo.DEPARTMENTS D
	INNER JOIN #DEPARTMENTS_SMETA_KS G ON D.LINK = G.LINK1 --
	INNER JOIN #DEPARTMENTS_SMETA_KS DEP ON DEP.LINK1 = G.DEP --
	INNER JOIN ' + @DB + 'dbo.V_DEP VD ON VD.LINK = DEP.LINK2
	INNER JOIN ' + @DB + 'dbo.[DEPARTMENTS] A ON A.LINK_DEP = VD.LINK_CB AND LTRIM(RTRIM(A.INN ' + @COLLATE + ' )) = D.INN AND LTRIM(RTRIM(A.KPP ' + @COLLATE + ' )) = D.KPP
WHERE
	G.LINK2 IS NULL
'	
EXEC SP_EXECUTESQL @SQL

------------
/* */
--    
SET @ERR_MSG = NULL
SET @SQL = 
N'
SET @ERR_MSG = 
	SUBSTRING((
	
			SELECT DISTINCT '','' + LTRIM(RTRIM(D.INN)) + ''/'' + LTRIM(RTRIM(D.KPP)) + ''/'' + LTRIM(RTRIM(DA.CODE))
			FROM
				dbo.DEPARTMENTS D
				INNER JOIN #DEPARTMENTS_SMETA_KS T1 ON D.LINK = T1.LINK1
				INNER JOIN #DEP_ACCOUNTS T2 ON T2.COR = D.LINK AND T2.DEP = T1.DEP
				INNER JOIN dbo.DEPARTMENT_ACCOUNTS DA ON DA.LINK = T2.LINK1
			WHERE
				NOT EXISTS (SELECT * FROM ' + @DB + 'dbo.DEPARTMENT_ACCOUNTS DA_SS WHERE DA_SS.LINK_UP = T1.LINK2 AND DA_SS.CODE ' + @COLLATE + '  = DA.CODE)	
		
			FOR XML PATH('''')
		), 2, 3000)
'	
EXEC SP_EXECUTESQL @SQL, N'@ERR_MSG VARCHAR(256) OUTPUT', @ERR_MSG = @ERR_MSG OUTPUT

IF @ERR_MSG IS NOT NULL
BEGIN
	UPDATE dbo.SYNCH_SMETA_SMART_TAB SET 
		COMENT = LEFT(' -     //: ' + @ERR_MSG,256)
		,[STATUS] = 3
	WHERE LINK = @LINK_JOURN_TAB
	
	RETURN 1
END

--    
SET @ERR_MSG = NULL
SET @SQL = 
N'
SET @ERR_MSG = 
	SUBSTRING((
			SELECT '','' + LTRIM(RTRIM(D.INN)) + ''/'' + LTRIM(RTRIM(D.KPP)) + ''/'' + LTRIM(RTRIM(DA.CODE))
			FROM
				dbo.DEPARTMENTS D
				INNER JOIN #DEPARTMENTS_SMETA_KS T1 ON D.LINK = T1.LINK1
				INNER JOIN #DEP_ACCOUNTS T2 ON T2.COR = D.LINK AND T2.DEP = T1.DEP
				INNER JOIN dbo.DEPARTMENT_ACCOUNTS DA ON DA.LINK = T2.LINK1
				INNER JOIN ' + @DB + 'dbo.DEPARTMENT_ACCOUNTS DA_SS ON DA_SS.LINK_UP = T1.LINK2 AND DA_SS.CODE ' + @COLLATE + '  = DA.CODE
			GROUP BY
				D.INN,D.KPP, DA.CODE 
			HAVING
				COUNT(*) > 1		
			FOR XML PATH('''')
		), 2, 3000)
'	
EXEC SP_EXECUTESQL @SQL, N'@ERR_MSG VARCHAR(256) OUTPUT', @ERR_MSG = @ERR_MSG OUTPUT

IF @ERR_MSG IS NOT NULL
BEGIN
	UPDATE dbo.SYNCH_SMETA_SMART_TAB SET 
		COMENT = LEFT(' -     //: ' + @ERR_MSG,256)
		,[STATUS] = 3
	WHERE LINK = @LINK_JOURN_TAB
	
	RETURN 1
END

--   
SET @ERR_MSG = NULL
SET @SQL = 
N'
UPDATE T2 SET T2.LINK2 = DA_SS.LINK
FROM
	dbo.DEPARTMENTS D
	INNER JOIN #DEPARTMENTS_SMETA_KS T1 ON D.LINK = T1.LINK1
	INNER JOIN #DEP_ACCOUNTS T2 ON T2.COR = D.LINK AND T2.DEP = T1.DEP
	INNER JOIN dbo.DEPARTMENT_ACCOUNTS DA ON DA.LINK = T2.LINK1
	INNER JOIN ' + @DB + 'dbo.DEPARTMENT_ACCOUNTS DA_SS ON DA_SS.LINK_UP = T1.LINK2 AND DA_SS.CODE ' + @COLLATE + ' = DA.CODE
'	
EXEC SP_EXECUTESQL @SQL


--      -
SET @ERR_MSG = NULL
SET @ERR_MSG = 
	SUBSTRING((
				SELECT ',' + LTRIM(RTRIM(D.CODE)) + '/' + LTRIM(RTRIM(D.INN)) + '/' + LTRIM(RTRIM(D.KPP))
				FROM
					dbo.DEPARTMENTS D
					INNER JOIN #DOC G ON D.LINK = G.DEP
					INNER JOIN #DEPARTMENTS_DATE DD ON DD.CODE = D.CODE AND DD.INN = D.INN AND DD.KPP = D.KPP
				WHERE
					NOT G.[DATE_PROV] BETWEEN DD.[BEGINDATE] AND DD.[ENDDATE]
				GROUP BY D.CODE, D.INN, D.KPP
				ORDER BY ',' + LTRIM(RTRIM(D.CODE)) + '/' + LTRIM(RTRIM(D.INN)) + '/' + LTRIM(RTRIM(D.KPP))	
			FOR XML PATH('')
		), 2, 3000)
		

IF @ERR_MSG IS NOT NULL
BEGIN
	UPDATE dbo.SYNCH_SMETA_SMART_TAB SET 
		COMENT = LEFT(' -     . /: ' + @ERR_MSG,256)
		,[STATUS] = 3
	WHERE LINK = @LINK_JOURN_TAB
	
	RETURN 1
END

----------
CREATE TABLE #G_DOC ([NUMBER] varchar(30),[DATE] datetime,[OBJECT] int,[DATE_PROV] datetime,[SUMMA] numeric(19, 2),[COMMENT] varchar(254),[GET_STORE] int,[DEP] int,[ACC] int,[GUID] uniqueidentifier,[LINK_INS] int)
CREATE TABLE #G_PROV ([LINK1] int ,[LINK2] int, [DEP1] INT, [DEP2] INT)
CREATE TABLE #G_PROV1 ([LINK1] int ,[LINK2] int, [DEP1] INT, [DEP2] INT)
CREATE TABLE #G_PROV2 ([LINK1] int ,[LINK2] int, [ACC_DT] INT, [ACC_KT] INT, [DEP1] INT, [DEP2] INT)
CREATE TABLE #VIBOR_ECON_OPER ([ACC_DT] INT, [ACC_KT] INT, [DEP] INT, [ECON_OPER] INT)

--SET @varKStrancount = @@TRANCOUNT
--SET IMPLICIT_TRANSACTIONS ON
--BEGIN TRAN
--COMMIT TRAN

create table #EXEC (text varchar(8000), id int identity(1,1))
INSERT INTO #EXEC ([text]) SELECT
'
INSERT INTO #G_DOC (NUMBER, DATE, [OBJECT], DATE_PROV, SUMMA, COMMENT, GET_STORE, DEP, ACC, [GUID], LINK_INS)
SELECT 
	 NUMBER     = LTRIM(RTRIM(g.NUMBER))
	,DATE       = g.DATE
	,[OBJECT]   = ' + CONVERT(VARCHAR(20),@iOBJECT) + '
	,DATE_PROV  = g.DATE_PROV
	,SUMMA      = g.SUMMA
	,COMMENT    = g.COMMENT
	,GET_STORE  = 0
	,DEP        = T.LINK2
	,ACC        = D.MAIN_LINK
	,[GUID] = G.[GUID]
	,LINK_INS   = g.LINK
FROM 
	dbo.G_PROV g
	INNER JOIN #DOC R ON R.LINK = G.LINK
	INNER JOIN #DEPARTMENTS_SMETA_KS T ON T.LINK1 = G.DEP
	INNER JOIN ' + @DB + 'dbo.DEPARTMENTS D ON D.LINK = T.LINK2
WHERE
	 NOT EXISTS (SELECT * FROM ' + @DB + 'dbo.G_PROV G2 WHERE G2.[OBJECT] IS NOT NULL AND G2.[GUID] = G.[GUID])	

INSERT INTO ' + @DB + 'dbo.G_PROV
	(NUMBER, DATE, [OBJECT], DATE_PROV, SUMMA, COMMENT, GET_STORE, DEP, ACC, [GUID], LINK_INS)
SELECT NUMBER, DATE, [OBJECT], DATE_PROV, SUMMA, COMMENT, GET_STORE, DEP, ACC, [GUID], LINK_INS
FROM #G_DOC

INSERT INTO #G_PROV ([LINK1],[LINK2], [DEP1], [DEP2])
SELECT G_1.LINK, G_2.LINK, G_1.DEP, G_2.DEP
FROM 
	#DOC R
	INNER JOIN dbo.G_PROV G_1 ON G_1.LINK = R.LINK
	INNER JOIN 
	(
		SELECT LINK, DEP,LINK_INS, [OBJECT], NUM = ROW_NUMBER() OVER (PARTITION BY DEP, LINK_INS, [OBJECT] ORDER BY LINK DESC) FROM ' + @DB + 'dbo.G_PROV 
	)G_2 ON G_2.LINK_INS = G_1.LINK AND G_2.NUM = 1
WHERE
	 G_2.[OBJECT] IS NOT NULL 	
'

IF EXISTS (SELECT text FROM #EXEC)
	EXEC @err = dbo.ssp_execresultset 'select text from #EXEC order by id'


DELETE #EXEC
INSERT INTO #EXEC ([text]) SELECT
'
INSERT INTO ' + @DB + '[dbo].[FINANSE_PAYS]
([Link],[kind],[S_Acc],[D_Acc],[srok],[order_pay],[PAYKIND],[REASON],[TARGETTEXT],[BK_IN_TGT],[PRINT_KPP],[NDS],[NDS_LINK],[Link_Dohod],[Link_SGU],[OKATO],
[P_Reason],[P_Type],[Nal_Period],[TrebDate],[TrebNum],[ZeroDate],[Filial_Pay],[Filial_Rcp],[INN_OK_Pay],[INN_OK_Rcp],[Kod_FP],[LS_Rcp],[Nm_OK_Pay],[Nm_OK_Rcp],
[Time_Pay],[Link_Dogovor],[Link_Invoice],[BO_NUM],[avanse],[SUMMA_NDS],[SHORT],[STATUS],[NALOG_PAY],[TARGET_LINK],[PAY_PURPOSE],[KBK_KREDIT],[SUMMA_P],
[CODE_DOHOD],[NAME_DOHOD],[UIN_CODE],[EMPL_LINK],[FIELD_SHABLON],[USR_TXT],[KT_ACC])

SELECT
	[Link] = T.LINK2
	,[kind] = P.[kind]
	,[S_Acc] = sacc.LINK2
	,[D_Acc] = dacc.LINK2
	,[srok] = P.[srok]
	,[order_pay] = P.[order_pay]
	,[PAYKIND] = P.[PAYKIND]
	,[REASON] = P.[REASON]
	,[TARGETTEXT] = 
		CASE WHEN ''' + @OBJECT_CODE + ''' = ''BB_ZAYAVKA_KR'' THEN P.[TARGETTEXT]
		ELSE
			case P.BK_IN_TGT when 1 then rtrim(replace(replace(replace(replace(replace(replace(
			case isnull(ltrim(rtrim(P.BO_NUM)),'''') when '''' then rtrim(dbo.BB_DDELIM_DEL(isnull(APO.LS_FMT, APOD.LS_FMT),''<>'')) else isnull(APO.LS_FMT, APOD.LS_FMT) end, 
			''<>'', isnull(ltrim(rtrim(P.BO_NUM)),'''')),
			''<>'', case SA.[TYPE] when 1 then '''' else rtrim(SA.CODE) end),
			''<_>'', ''
			)''),''<>'',rtrim(dbo.BB_BK_FOR_SHABLON(P.LINK, isnull(APO.SHABLON_BK, APOD.SHABLON_BK),isnull(APO.DELIM, APOD.DELIM),isnull(APO.DELIM5, APOD.DELIM5)))),
			''<>'',rtrim(ltrim(str(floor(F1.SUMMA))))),
			''<>'', right(''00'' + rtrim(ltrim(str((F1.SUMMA - floor(F1.SUMMA)) * 100))),2))) + '' '' 
			else '''' end + ltrim(replace(replace(P.TARGETTEXT,char(10),''''),char(13),'''')) + '' '' + ltrim(dbo.PrintPlatporGetNDSString(P.LINK,0))	
		END	
	,[BK_IN_TGT] = P.[BK_IN_TGT]
	,[PRINT_KPP] = P.[PRINT_KPP]
	,[NDS] = P.[NDS]
	,[NDS_LINK] = NS.LINK	-- /  !
	,[Link_Dohod] = kksk.LINK2
	,[Link_SGU] = sgu.LINK2
	,[OKATO] = P.[OKATO]
	,[P_Reason] = P.[P_Reason]
	,[P_Type] = P.[P_Type]
	,[Nal_Period] = P.[Nal_Period]
	,[TrebDate] = P.[TrebDate]
	,[TrebNum] = P.[TrebNum]
	,[ZeroDate] = P.[ZeroDate]
	,[Filial_Pay] = P.[Filial_Pay]
	,[Filial_Rcp] = P.[Filial_Rcp]
	,[INN_OK_Pay] = P.[INN_OK_Pay]
	,[INN_OK_Rcp] = P.[INN_OK_Rcp]
	,[Kod_FP] = P.[Kod_FP]
	,[LS_Rcp] = P.[LS_Rcp]
	,[Nm_OK_Pay] = P.[Nm_OK_Pay]
	,[Nm_OK_Rcp] = P.[Nm_OK_Rcp]
	,[Time_Pay] = P.[Time_Pay]
	,[Link_Dogovor] = NULL
	,[Link_Invoice] = NULL -- / - 
	,[BO_NUM] = P.[BO_NUM]
	,[avanse] = P.[avanse]
	,[SUMMA_NDS] = P.[SUMMA_NDS]
	,[SHORT] = P.[SHORT]
	,[STATUS] = ST.[LINK]
	,[NALOG_PAY] = NULL
	,[TARGET_LINK] = NULL
	,[PAY_PURPOSE] = NULL
	,[KBK_KREDIT] = NULL
	,[SUMMA_P] = G.SUMMA
	,[CODE_DOHOD] = NULL --   ,   
	,[NAME_DOHOD] = NULL --   ,   
	,[UIN_CODE] = P.[UIN_CODE]
------------------------------------------------
--   [EMPL_LINK]
------------------------------------------------
	,[EMPL_LINK] = NULL
------------------------------------------------
--   [FIELD_SHABLON]
------------------------------------------------
	,[FIELD_SHABLON] = NULL
	,[USR_TXT] = P.[TARGETTEXT]
------------------------------------------------
--   [KT_ACC]
------------------------------------------------
	,[KT_ACC] = NULL
'
INSERT INTO #EXEC ([text]) SELECT
'	
FROM
	#G_PROV T
	INNER JOIN ' + @DB + '[dbo].[V_DEP] VD ON T.[DEP2] = VD.[LINK]
	INNER JOIN dbo.[G_PROV] G ON G.[Link] = T.LINK1
	INNER JOIN dbo.[FINANSE_PAYS] P ON P.[Link] = T.LINK1
	INNER JOIN dbo.DICTIONARY_ACCOUNTS  SA WITH (NOLOCK) on P.S_ACC = SA.LINK	
	CROSS APPLY (SELECT SUMMA = ISNULL(dbo.CalcDocSummaOneProv(G.LINK), G.SUMMA)) F1		
	LEFT JOIN dbo.BB_PAY_ACC_OPTIONS APO on APO.LINK_ACC = G.ACC
	LEFT JOIN dbo.DOCUMENTS_PAY_ACC_OPTIONS APOD on APOD.OSN = 1
	inner join dbo.DEPARTMENT_ACCOUNTS DA on APOD.LINK_ACC = DA.LINK and SA.[TYPE] = DA.TYPE	
	LEFT JOIN #DEP_ACCOUNTS sacc ON sacc.LINK1 = P.S_Acc AND sacc.DEP = T.[DEP1]
	LEFT JOIN #DEP_ACCOUNTS dacc ON dacc.LINK1 = P.D_Acc AND dacc.DEP = T.[DEP1]
	LEFT JOIN #KBK kksk ON kksk.LINK1 = P.[Link_Dohod] AND kksk.DEP = T.DEP1
	LEFT JOIN #SGU sgu ON sgu.LINK1 = P.Link_SGU AND SGU.DEP = T.DEP1
	LEFT JOIN ' + @DB + '[dbo].[PAY_STATUS] ST ON P.[Status] ' + @COLLATE + ' = ST.[CODE]
	LEFT JOIN [dbo].[DICTION] N ON P.NDS_LINK = N.LINK
	LEFT JOIN ' + @DB + '[dbo].[NDS_SHABLON] NS ON NS.LINK_DEP = VD.LINK_CB AND NS.[NAME] ' + @COLLATE + ' = N.[NAME]
'

IF EXISTS (SELECT text FROM #EXEC)
	EXEC @err = dbo.ssp_execresultset 'select text from #EXEC order by id'


---------------
DELETE #EXEC
INSERT INTO #EXEC ([text]) SELECT
'
DECLARE @iTABLE_OBJ_ID INT
SELECT @iTABLE_OBJ_ID = LINK FROM ' + @DB + 'dbo.S_OBJECTS so WHERE so.CODE ' + @COLLATE + ' = ''BB_ZAYAVKA_KR_TABSUM''

INSERT ' + @DB + '[dbo].[OUT_TABLE_ROW] ([LINK_UP],[OBJECT],[ORDERS],[LINK_OPER],[COMMENT],[LINK_INS])
SELECT
	[LINK_UP] = C.LINK2
	,[OBJECT] = @iTABLE_OBJ_ID
	,[ORDERS] = 0
	,[LINK_OPER] = NULL
	,[COMMENT] = NULL
	,T.LINK
FROM
	#G_PROV C
	INNER JOIN [dbo].[ZAYAVKA_KR_TABLE] T ON C.LINK1 = T.LINK_UP
'

IF EXISTS (SELECT text FROM #EXEC)
	EXEC @err = dbo.ssp_execresultset 'select text from #EXEC order by id'

---------------
DELETE #EXEC
INSERT INTO #EXEC ([text]) SELECT
'
INSERT ' + @DB + '[dbo].[ZAYAVKA_KR_TABLE]
([LINK_UP],[LINK_KBK],[LINK_SGU],[LINK_DCL],[LINK_KBK_D],[LINK_SGU_D],[LINK_DCL_D],[TARGET],[TITLE],[SUMMA],[VYD_SR],[LINK_DT_ACC],[SOURCE],[LINK_KAU],[DCL_LINK_DBT])
SELECT
	[LINK_UP] = O.LINK
	,[LINK_KBK] = kksk.LINK2
	,[LINK_SGU] = sgu.LINK2
	,[LINK_DCL] = DCL.LINK2
	,[LINK_KBK_D] = kkskd.LINK2
	,[LINK_SGU_D] = sgud.LINK2
	,[LINK_DCL_D] = DCLD.LINK2
	,[TARGET] = T.[TARGET]
	,[TITLE] = T.[TITLE]
	,[SUMMA] = T.[SUMMA]
	,[VYD_SR] = T.[VYD_SR]
	,[LINK_DT_ACC] = accks.LINK2
	,[SOURCE] = fins.LINK
	,[LINK_KAU] = NULL
	,[DCL_LINK_DBT] = NULL
FROM
	#G_PROV C
	INNER JOIN (SELECT ROW_NUMBER() OVER(PARTITION BY [LINK_INS] ORDER BY [LINK]) [ORDER],* FROM ' + @DB + '[dbo].[OUT_TABLE_ROW]) O ON C.LINK2=O.LINK_UP
	INNER JOIN [dbo].[ZAYAVKA_KR_TABLE] T ON O.[LINK_INS]=T.[LINK]
	
	LEFT JOIN #KBK kksk ON kksk.LINK1 = T.[LINK_KBK] AND kksk.DEP = C.[DEP1]
	LEFT JOIN #KBK kkskd ON kkskd.LINK1 = T.[LINK_KBK_D] AND kkskd.DEP = C.[DEP1]

	LEFT JOIN #SGU sgu ON sgu.LINK1 = T.LINK_SGU AND sgu.DEP = C.[DEP1]
	LEFT JOIN #SGU sgud ON sgud.LINK1 = T.LINK_SGU_D AND sgud.DEP = C.[DEP1]

	LEFT JOIN #DOP DCL ON DCL.LINK1 = T.LINK_DCL AND DCL.DEP = C.[DEP1]
	LEFT JOIN #DOP DCLD ON DCLD.LINK1 = T.LINK_DCL_D AND DCLD.DEP = C.[DEP1]

	LEFT JOIN #ACCOUNT accks ON accks.LINK1 = T.LINK_DT_ACC AND accks.DEP = C.[DEP1]

	LEFT JOIN dbo.FIN_SOURCE fins1 ON fins1.LINK = T.[SOURCE]
	LEFT JOIN
	(SELECT  RowNumber = row_number () OVER ( PARTITION BY CODE ORDER BY CODE), *
	 FROM ' + @DB + 'dbo.FIN_SOURCE) fins ON fins1.CODE = fins.CODE ' + @COLLATE + ' AND fins.RowNumber = 1
'

IF EXISTS (SELECT text FROM #EXEC)
	EXEC @err = dbo.ssp_execresultset 'select text from #EXEC order by id'	
	

----------
DELETE #EXEC
INSERT INTO #EXEC ([text]) SELECT
'
INSERT INTO ' + @DB + 'dbo.G_PROV1 (LINK_UP, NAME_OPER, ORDERS, [LINK_INS])
SELECT DISTINCT
	LINK_UP     = T.LINK2
	,NAME_OPER  = g1.NAME_OPER
	,ORDERS     = 1
	,[LINK_INS] = g1.LINK
FROM 
	#G_PROV T
	INNER JOIN dbo.G_PROV1 g1 ON g1.LINK_UP = T.LINK1

INSERT INTO #G_PROV1 ([LINK1],[LINK2], [DEP1], [DEP2])
SELECT G1_1.LINK, G1_2.LINK, T.[DEP1], T.[DEP2]
FROM 
	#G_PROV T
	INNER JOIN dbo.G_PROV1 G1_1 ON G1_1.LINK_UP = T.LINK1
	INNER JOIN 
	(
		SELECT LINK, LINK_INS, NUM = ROW_NUMBER() OVER (PARTITION BY LINK_INS ORDER BY LINK DESC) FROM ' + @DB + 'dbo.G_PROV1
	)  G1_2 ON G1_2.LINK_INS = G1_1.LINK AND G1_2.NUM = 1
'

IF EXISTS (SELECT text FROM #EXEC)
	EXEC @err = dbo.ssp_execresultset 'select text from #EXEC order by id'
	

DELETE #EXEC
INSERT INTO #EXEC ([text]) SELECT
'
INSERT INTO ' + @DB + 'dbo.G_PROV2 (LINK_UP, SUMMA, QUANTITY, PRICE, STORNO, NAME, ORDERS, [LINK_INS])
SELECT
	LINK_UP     = T.LINK2
	,SUMMA      = G2.SUMMA
	,QUANTITY   = G2.QUANTITY
	,PRICE      = CASE WHEN G2.QUANTITY <> 0 THEN G2.SUMMA / G2.QUANTITY ELSE 0 END
	,STORNO     = G2.STORNO
	,[NAME]     = G2.NAME
	,ORDERS     = 1
	,[LINK_INS] = G2.LINK
FROM
	#G_PROV1 T 
	INNER JOIN dbo.G_PROV2 G2 ON G2.LINK_UP = T.LINK1
	
INSERT INTO #G_PROV2 ([LINK1],[LINK2], [DEP1], [DEP2], [ACC_DT], [ACC_KT])
SELECT G2_1.LINK, G2_2.LINK, T.[DEP1], T.[DEP2], ACCOUNT0.LINK2, ACCOUNT1.LINK2
FROM 
	#G_PROV1 T
	INNER JOIN dbo.G_PROV2 G2_1 ON G2_1.LINK_UP = T.LINK1
	INNER JOIN 
	(
		SELECT LINK, LINK_INS, NUM = ROW_NUMBER() OVER (PARTITION BY LINK_INS ORDER BY LINK DESC) FROM ' + @DB + 'dbo.G_PROV2
	)  G2_2 ON G2_2.LINK_INS = G2_1.LINK AND G2_2.NUM = 1
	LEFT JOIN dbo.G_PROV_AP GAP0 ON GAP0.LINK_UP = G2_1.LINK AND GAP0.DB_KR = 0	
	LEFT JOIN #ACCOUNT ACCOUNT0 ON ACCOUNT0.LINK1 = GAP0.ACCOUNT AND ACCOUNT0.DEP = T.DEP1
	LEFT JOIN dbo.G_PROV_AP GAP1 ON GAP1.LINK_UP = G2_1.LINK AND GAP1.DB_KR = 1
	LEFT JOIN #ACCOUNT ACCOUNT1 ON ACCOUNT1.LINK1 = GAP1.ACCOUNT AND ACCOUNT1.DEP = T.DEP1
'

IF EXISTS (SELECT text FROM #EXEC)
	EXEC @err = dbo.ssp_execresultset 'select text from #EXEC order by id'


-- 
-- 
INSERT INTO #VIBOR_ECON_OPER ([ACC_DT], [ACC_KT], [DEP])
SELECT DISTINCT [ACC_DT], [ACC_KT], [DEP2]
FROM #G_PROV2


DELETE #EXEC
INSERT INTO #EXEC ([text]) SELECT
'
DECLARE @Cur1 CURSOR, @ACC_DT INT, @ACC_KT INT, @DEP INT, @XO INT
SET @Cur1 = CURSOR FORWARD_ONLY

FOR select [ACC_DT], [ACC_KT], [DEP] from #VIBOR_ECON_OPER order by [ACC_DT], [ACC_KT], [DEP]

OPEN @Cur1
FETCH NEXT FROM @Cur1 INTO @ACC_DT, @ACC_KT, @DEP
WHILE (@@fetch_status <> -1)
BEGIN
	IF (@@fetch_status <> -2)
	BEGIN
		SET @XO = 0
			EXECUTE ' + @DB + 'dbo.LOCATE_ECON_OPER
						@Found_XO = @XO OUTPUT, @intDt = @ACC_DT, @intKt = @ACC_KT, @iObj = ' + CONVERT(VARCHAR(20),@iOBJECT) + ', @iDep = @DEP
		UPDATE #VIBOR_ECON_OPER SET [ECON_OPER] = @XO WHERE ACC_DT= @ACC_DT AND ACC_KT= @ACC_KT AND DEP= @DEP			
	END

	FETCH NEXT FROM @Cur1 INTO @ACC_DT, @ACC_KT, @DEP
END

CLOSE @Cur1
DEALLOCATE @Cur1

-----------------
UPDATE G2 SET
	G2.ECON_OPER = B.[ECON_OPER]
FROM
	#G_PROV2 T
	INNER JOIN dbo.G_PROV2 C ON C.LINK = T.LINK1
	INNER JOIN ' + @DB + 'dbo.G_PROV2 G2 ON G2.LINK = T.LINK2
	INNER JOIN #VIBOR_ECON_OPER B ON T.[DEP2] = B.[DEP] 
									AND ISNULL(T.[ACC_DT],0) = ISNULL(B.[ACC_DT],0)
									AND ISNULL(T.[ACC_KT],0) = ISNULL(B.[ACC_KT],0)
WHERE
	C.ECON_OPER IS NOT NULL															
'

IF EXISTS (SELECT text FROM #EXEC)
	EXEC @err = dbo.ssp_execresultset 'select text from #EXEC order by id'
	
---------------------------------------------------------
DELETE #EXEC
INSERT INTO #EXEC ([text]) SELECT
'
INSERT INTO ' + @DB + 'dbo.G_PROV_AP 
(LINK_UP, DB_KR, ACCOUNT, KBK, EKR, DEP, KAU, INDATE, SGU, AP2, DEP_ACC)
SELECT 
	LINK_UP     = T.LINK2
	,DB_KR      = GAP.DB_KR
	,ACCOUNT    = ACCOUNT.LINK2
	,KBK        = KBK.LINK2
	,EKR        = EKR.LINK2
	,DEP        = DEP.LINK2
	,KAU        = KAU.LINK2
	,INDATE     = GAP.INDATE
	,SGU        = SGU.LINK2
	,AP2		= DOP.LINK2
	,DEP_ACC	= DEP_ACC.LINK2
FROM 
	#G_PROV2 T
	INNER JOIN dbo.G_PROV_AP GAP ON GAP.LINK_UP = T.LINK1
	INNER JOIN #ACCOUNT ACCOUNT ON ACCOUNT.LINK1 = GAP.ACCOUNT AND ACCOUNT.DEP = T.DEP1
	LEFT JOIN #KBK KBK ON KBK.LINK1 = GAP.KBK AND KBK.DEP = T.DEP1
	LEFT JOIN #EKR EKR ON EKR.LINK1 = GAP.EKR AND EKR.DEP = T.DEP1
	LEFT JOIN #SGU SGU ON SGU.LINK1 = GAP.SGU AND SGU.DEP = T.DEP1
	LEFT JOIN #KAU KAU ON KAU.LINK1 = GAP.KAU AND KAU.DEP = T.DEP1
	LEFT JOIN #DOP DOP ON DOP.LINK1 = GAP.AP2 AND DOP.DEP = T.DEP1
	LEFT JOIN #DEPARTMENTS_SMETA_KS DEP ON DEP.LINK1 = GAP.DEP
	LEFT JOIN #DEP_ACCOUNTS DEP_ACC ON DEP_ACC.LINK1 = GAP.DEP_ACC AND DEP_ACC.DEP = T.DEP1
'
IF EXISTS (SELECT text FROM #EXEC)
	EXEC @err = dbo.ssp_execresultset 'select text from #EXEC order by id'

---------------------------------------------------------
DELETE #EXEC
INSERT INTO #EXEC ([text]) SELECT
'
DECLARE @iTABLE_OBJ_ID INT
select @iTABLE_OBJ_ID = link from ' + @DB + 'dbo.s_objects where code=''BB_ZAYAVKA_KR_TABSUM''

INSERT  ' + @DB + '[dbo].[OUT_TABLE_ROW] ([LINK_UP],[OBJECT],[ORDERS],[LINK_OPER],[COMMENT],[LINK_INS])
SELECT
	[LINK_UP] = G.[LINK]
	,[OBJECT] = @iTABLE_OBJ_ID
	,[ORDERS] = G1.ORDERS
	,[LINK_OPER] = NULL
	,[COMMENT] = NULL
	,[LINK_INS] = G2.LINK
FROM 
	#G_PROV D
	INNER JOIN ' + @DB + 'dbo.G_PROV G ON D.[LINK2] = G.LINK
	INNER JOIN ' + @DB + 'dbo.S_OBJECTS SO ON G.[OBJECT] = SO.LINK
	INNER JOIN ' + @DB + 'dbo.G_PROV1 G1 ON G1.LINK_UP = G.LINK
	INNER JOIN ' + @DB + 'dbo.G_PROV2 G2 ON G2.LINK_UP = G1.LINK
	INNER JOIN ' + @DB + 'dbo.G_PROV_AP GAPD ON GAPD.LINK_UP = G2.LINK AND GAPD.DB_KR = 0
	INNER JOIN ' + @DB + 'dbo.S_ACCOUNTS SAD ON SAD.LINK = GAPD.ACCOUNT
	INNER JOIN ' + @DB + 'dbo.G_PROV_AP GAPK ON GAPK.LINK_UP = G2.LINK AND GAPK.DB_KR = 1
	INNER JOIN ' + @DB + 'dbo.S_ACCOUNTS SAK ON SAK.LINK = GAPK.ACCOUNT
WHERE
	(SO.CODE = ''DOCUMENTS_PAY'' OR SO.CODE = ''BB_ZAYAVKA_KR'')
	AND (SAK.cSinth LIKE ''304'' AND SAK.cAnalit LIKE ''05'' OR SAK.cSinth LIKE ''201'' AND SAK.cAnalit LIKE ''11'')
'
IF EXISTS (SELECT text FROM #EXEC)
	EXEC @err = dbo.ssp_execresultset 'select text from #EXEC order by id'

DELETE #EXEC
INSERT INTO #EXEC ([text]) SELECT
'
INSERT ' + @DB + '[dbo].[ZAYAVKA_KR_TABLE]
([LINK_UP],[LINK_KBK],[LINK_SGU],[LINK_DCL],[LINK_DCL_D],[TARGET],[TITLE],[SUMMA],[VYD_SR],[LINK_DT_ACC],[SOURCE],[LINK_KAU],[DCL_LINK_DBT])
SELECT
	[LINK_UP] = R.LINK
	,[LINK_KBK] = GAPD.KBK
	,[LINK_SGU] = GAPK.SGU
	,[LINK_DCL] = GAPK.AP2
	,[LINK_DCL_D] = GAPD.AP2
	,[TARGET] = ''''
	,[TITLE] = ''''
	,[SUMMA] = G2.[SUMMA]
	,[VYD_SR] = CASE WHEN G.SNAME LIKE '''' THEN 1 ELSE 6 END
	,[LINK_DT_ACC] = GAPD.DEP_ACC
	,[SOURCE] = S.LINK
	,[LINK_KAU] = GAPK.KAU
	,[DCL_LINK_DBT] = NULL
FROM
	#G_PROV D
	INNER JOIN ' + @DB + 'dbo.DEPARTMENT_GROUPS_REF GR ON GR.DEP_LINK = D.DEP2
	INNER JOIN ' + @DB + 'dbo.DEPARTMENT_GROUPS G on GR.GROUP_LINK = G.LINK and G.[SYS] = 3
	INNER JOIN ' + @DB + '[dbo].[OUT_TABLE_ROW] R ON R.LINK_UP = D.[LINK2]
	INNER JOIN ' + @DB + 'dbo.G_PROV2 G2 ON G2.LINK = R.LINK_INS
	INNER JOIN ' + @DB + 'dbo.G_PROV_AP GAPD ON GAPD.LINK_UP = G2.LINK AND GAPD.DB_KR = 0
	INNER JOIN ' + @DB + 'dbo.G_PROV_AP GAPK ON GAPK.LINK_UP = G2.LINK AND GAPK.DB_KR = 1
	INNER JOIN ' + @DB + 'dbo.S_ACCOUNTS SAK ON SAK.LINK = GAPK.ACCOUNT
	LEFT JOIN ' + @DB + 'dbo.FIN_SOURCE S ON S.CODE = SAK.cSource
'
IF EXISTS (SELECT text FROM #EXEC)
	EXEC @err = dbo.ssp_execresultset 'select text from #EXEC order by id'

/*      ,  */
DELETE #EXEC
INSERT INTO #EXEC ([text]) SELECT '
INSERT INTO ' + @DB + 'dbo.G_PROV_DOC_OPER (LINK_UP, DOC_OPER)
SELECT LINK2, LINK
FROM
(SELECT DISTINCT D.LINK2, DO.LINK, ROW_NUMBER() OVER (PARTITION BY D.LINK2 ORDER BY (CASE WHEN DO.NAME LIKE ''%'' THEN 1 ELSE 0 END), DO.LINK) AS NUM
FROM
	#G_PROV D
	INNER JOIN ' + @DB + 'dbo.G_PROV G ON D.[LINK2] = G.LINK
	INNER JOIN ' + @DB + 'dbo.S_OBJECTS SO ON G.[OBJECT] = SO.LINK
	INNER JOIN ' + @DB + 'dbo.G_PROV1 G1 ON G1.LINK_UP = G.LINK
	INNER JOIN ' + @DB + 'dbo.G_PROV2 G2 ON G2.LINK_UP = G1.LINK
	INNER JOIN ' + @DB + 'dbo.G_PROV_AP GAPD ON GAPD.LINK_UP = G2.LINK AND GAPD.DB_KR = 0
	INNER JOIN ' + @DB + 'dbo.S_ACCOUNTS SAD ON SAD.LINK = GAPD.ACCOUNT
	INNER JOIN ' + @DB + 'dbo.G_PROV_AP GAPK ON GAPK.LINK_UP = G2.LINK AND GAPK.DB_KR = 1
	INNER JOIN ' + @DB + 'dbo.S_ACCOUNTS SAK ON SAK.LINK = GAPK.ACCOUNT
	LEFT JOIN ' + @DB + 'dbo.KOSGU KSGU ON KSGU.LINK = GAPK.SGU
	INNER JOIN ' + @DB + 'dbo.V_DOC_OPERS DO ON DO.OBJ_CODE = SO.CODE AND DO.CODE =
		CASE 
			--1.  206.21-26,29   304.05(201.11)  -  
			WHEN SAD.cSinth LIKE ''206'' AND SAD.cAnalit LIKE ''2[1-6,9]'' 
					AND (SAK.cSinth LIKE ''304'' AND SAK.cAnalit LIKE ''05'' OR SAK.cSinth LIKE ''201'' AND SAK.cAnalit LIKE ''11'')
					THEN ''BB_ZKR_ADV_POST''
			--2.  302.21-26,29   304.05(201.11)  -  
			WHEN SAD.cSinth LIKE ''302'' AND SAD.cAnalit LIKE ''2[1-6,9]'' 
					AND (SAK.cSinth LIKE ''304'' AND SAK.cAnalit LIKE ''05'' OR SAK.cSinth LIKE ''201'' AND SAK.cAnalit LIKE ''11'')
					THEN ''BB_ZKR_PAY_POST''			
			--3.  304.03   304.05(201.11)  -    /(304.03)
			WHEN SAD.cSinth LIKE ''304'' AND SAD.cAnalit LIKE ''03'' 
					AND (SAK.cSinth LIKE ''304'' AND SAK.cAnalit LIKE ''05'' OR SAK.cSinth LIKE ''201'' AND SAK.cAnalit LIKE ''11'')
					THEN ''BB_ZKR_TRANS_UDER_ZARP''			
			--4.  302.11-13 304.05(201.11)  -   
			WHEN SAD.cSinth LIKE ''302'' AND SAD.cAnalit LIKE ''1[1-3]'' 
					AND (SAK.cSinth LIKE ''304'' AND SAK.cAnalit LIKE ''05'' OR SAK.cSinth LIKE ''201'' AND SAK.cAnalit LIKE ''11'')
					THEN ''BB_ZKR_TRANS_ZARPLATY''				
			--5.  208   304.05(201.11)  -   
			WHEN SAD.cSinth LIKE ''208''
					AND (SAK.cSinth LIKE ''304'' AND SAK.cAnalit LIKE ''05'' OR SAK.cSinth LIKE ''201'' AND SAK.cAnalit LIKE ''11'')
					THEN ''BB_ZKR_TRANS_PODOTCHET''	
'
INSERT INTO #EXEC ([text]) SELECT '							
			--6.  206.41,51   304.05  -   ()
			WHEN SAD.cSinth LIKE ''206'' AND SAD.cAnalit LIKE ''[4,5]1'' 
					AND (SAK.cSinth LIKE ''304'' AND SAK.cAnalit LIKE ''05'')
					THEN ''BB_ZKR_PAY_TRANSFER_AVANCE''			
			--7.  302.41,51   304.05  -  
			WHEN SAD.cSinth LIKE ''302'' AND SAD.cAnalit LIKE ''[4,5]1'' 
					AND (SAK.cSinth LIKE ''304'' AND SAK.cAnalit LIKE ''05'')
					THEN ''BB_ZKR_PAY_TRANSFER''				
			--8.  303.01-03, 06-13  304.05(201.11)  -  
			WHEN SAD.cSinth LIKE ''303'' AND (SAD.cAnalit LIKE ''0[1-3,6-9]'' OR SAD.cAnalit LIKE ''1[0-3]'')
					AND (SAK.cSinth LIKE ''304'' AND SAK.cAnalit LIKE ''05'' OR SAK.cSinth LIKE ''201'' AND SAK.cAnalit LIKE ''11'')
					THEN ''BB_ZKR_TRANS_NALOG''			
			--9.  303.04   304.05(201.11)  -  
			WHEN SAD.cSinth LIKE ''303'' AND SAD.cAnalit LIKE ''04''
					AND (SAK.cSinth LIKE ''304'' AND SAK.cAnalit LIKE ''05'' OR SAK.cSinth LIKE ''201'' AND SAK.cAnalit LIKE ''11'')
					THEN ''BB_ZKR_TRANS_NALOG_NDS''			
			--10.  304.04    304.05(201.11)  -  () 
			WHEN SAD.cSinth LIKE ''304'' AND SAD.cAnalit LIKE ''04''
					AND (SAK.cSinth LIKE ''304'' AND SAK.cAnalit LIKE ''05'' OR SAK.cSinth LIKE ''201'' AND SAK.cAnalit LIKE ''11'')
					THEN ''BB_ZKR_TRANS_UCHR''			
			--11.  210.02   201.11  -   (210.02)
			WHEN SAD.cSinth LIKE ''210'' AND SAD.cAnalit LIKE ''02''
					AND SAK.cSinth LIKE ''201'' AND SAK.cAnalit LIKE ''11''
					THEN ''BB_ZKR_TRANS_DOHOD''			
			--12.  302.62 304.05(201.11)  -   
			WHEN SAD.cSinth LIKE ''302'' AND SAD.cAnalit LIKE ''62''
					AND (SAK.cSinth LIKE ''304'' AND SAK.cAnalit LIKE ''05'' OR SAK.cSinth LIKE ''201'' AND SAK.cAnalit LIKE ''11'')
					THEN ''BB_ZKR_TRANS_UDER_RODPLATA''		
'
INSERT INTO #EXEC ([text]) SELECT '						
			--13.  302.61,63   304.05(201.11)  -  ,   .
			WHEN SAD.cSinth LIKE ''302'' AND SAD.cAnalit LIKE ''6[1,3]''
					AND (SAK.cSinth LIKE ''304'' AND SAK.cAnalit LIKE ''05'' OR SAK.cSinth LIKE ''201'' AND SAK.cAnalit LIKE ''11'')
					THEN ''BB_ZKR_TRANS_POSOBIE''			
			--14.  304.01   304.05(201.11)  -      
			WHEN SAD.cSinth LIKE ''304'' AND SAD.cAnalit LIKE ''01''
					AND (SAK.cSinth LIKE ''304'' AND SAK.cAnalit LIKE ''05'' OR SAK.cSinth LIKE ''201'' AND SAK.cAnalit LIKE ''11'')
					THEN ''BB_ZKR_TRANS_VREM_RASPOR''			
			--15.  301    304.05(810)  -  
			WHEN SAD.cSinth LIKE ''301''
					AND SAK.cSinth LIKE ''304'' AND SAK.cAnalit LIKE ''05'' AND ISNULL(KSGU.CODE,'''') LIKE ''810''
					THEN ''SUM_UPL_CREDIT''				
			--16.  301   304.05 (231-232) -  
			WHEN SAD.cSinth LIKE ''301''
					AND SAK.cSinth LIKE ''304'' AND SAK.cAnalit LIKE ''05'' AND ISNULL(KSGU.CODE,'''') LIKE ''23[1-2]''
					THEN ''SUM_UPL_PROC''				
			--    
			ELSE ''BB_ZKR_TRANS_OTHER''
		END
WHERE
	SO.CODE = ''DOCUMENTS_PAY'' OR SO.CODE = ''BB_ZAYAVKA_KR''
) T	
WHERE
	T.NUM = 1

----   
UPDATE G SET G.SUMMA = ISNULL(T.SUMMA,0)
FROM 
(
SELECT D.LINK2, SUM(G2.SUMMA) AS SUMMA 
FROM #G_PROV D
	INNER JOIN ' + @DB + 'dbo.G_PROV1 G1 ON G1.LINK_UP = D.LINK2
	INNER JOIN ' + @DB + 'dbo.G_PROV2 G2 ON G2.LINK_UP = G1.LINK
WHERE 
	G2.LINK_SELF IS NULL
GROUP BY 	
	D.LINK2
) T
INNER JOIN ' + @DB + 'dbo.G_PROV G ON G.LINK = T.LINK2	
'

IF EXISTS (SELECT text FROM #EXEC)
	EXEC @err = dbo.ssp_execresultset 'select text from #EXEC order by id'


------  G_PROV_FIELDS
DELETE #EXEC
INSERT INTO #EXEC ([text]) SELECT
'
DECLARE @Cur1 CURSOR, @LINK INT
SET @Cur1 = CURSOR FORWARD_ONLY

FOR select LINK2 from #G_PROV

OPEN @Cur1
FETCH NEXT FROM @Cur1 INTO @LINK
WHILE (@@fetch_status <> -1)
BEGIN
	IF (@@fetch_status <> -2)
	BEGIN
		--      ,      G_PROV_FIELDS
		EXEC ' + @DB + 'dbo.XA_UPDATE_G_PROV_KAU_1 @LINK_DOC = @LINK

		--    .   ,      G_PROV_FIELDS
		EXEC ' + @DB + 'dbo.XA_UPDATE_G_PROV_DOP_CLASSIF_1 @LINK_DOC = @LINK

		--      ,      G_PROV_FIELDS
		EXEC ' + @DB + 'dbo.XA_UPDATE_G_PROV_EKR_1 @LINK_DOC = @LINK

		--       ,      G_PROV_FIELDS
		EXEC ' + @DB + 'dbo.XA_UPDATE_G_PROV_FIN_SOURCE_1 @LINK_DOC = @LINK

		--      ,      G_PROV_FIELDS
		EXEC ' + @DB + 'dbo.XA_UPDATE_G_PROV_KBK_1 @LINK_DOC = @LINK

		----    -  ,      G_PROV_FIELDS
		--EXEC ' + @DB + 'dbo.XA_UPDATE_G_PROV_DOCBASE_1 @LINK_DOC = @LINK

		--    , ,  "-"   ""
		EXEC ' + @DB + 'dbo.XA_UPDATE_DOC_NAME_1 @LINK_DOC = @LINK

		EXEC ' + @DB + 'dbo.XA_UPDATE_G_PROV_STATE
			@LINK_DOC = @LINK, --    
			@STATE_CODE = ''SALARY'', -- 
			@VALUE = 1, -- 1- , 0- 
			@RPS = 1 -- @VALUE = 1        		
		
	END

	FETCH NEXT FROM @Cur1 INTO @LINK
END

CLOSE @Cur1
DEALLOCATE @Cur1
'

IF EXISTS (SELECT text FROM #EXEC)
	EXEC @err = dbo.ssp_execresultset 'select text from #EXEC order by id'


-- 
SET @ERR_MSG = NULL
SET @SQL = 
N'
	DECLARE @RID uniqueidentifier
	SET @RID = NEWID()
	INSERT INTO ' + @DB + 'dbo.SYS_LINK(RID,LINK,OBJECT)
	SELECT @RID, LINK2, @iOBJECT FROM #G_PROV 
	
	EXEC ' + @DB + 'dbo.GEN_JURN_BO @RID = @RID, @cMode=''all''
	
	DELETE ' + @DB + 'dbo.SYS_LINK WHERE RID = @RID
'	
EXEC SP_EXECUTESQL @SQL, N'@iOBJECT INT', @iOBJECT = @iOBJECT

------  G_PROV_FIELDS
DELETE #EXEC
INSERT INTO #EXEC ([text]) SELECT
'
DECLARE @Cur1 CURSOR, @LINK INT
SET @Cur1 = CURSOR FORWARD_ONLY

FOR 
	SELECT GAP.AP1
	FROM 
		' + @DB + 'dbo.G_PROV1 G1 
		INNER JOIN ' + @DB + 'dbo.G_PROV2 G2 ON G2.LINK_UP = G1.LINK
		INNER JOIN ' + @DB + 'dbo.G_PROV_AP GAP ON GAP.LINK_UP = G2.LINK
		INNER JOIN #G_PROV T ON T.LINK2 = GAP.AP1

OPEN @Cur1
FETCH NEXT FROM @Cur1 INTO @LINK
WHILE (@@fetch_status <> -1)
BEGIN
	IF (@@fetch_status <> -2)
	BEGIN
		--      ,      G_PROV_FIELDS
		EXEC ' + @DB + 'dbo.XA_UPDATE_G_PROV_KAU_1 @LINK_DOC = @LINK

		--    .   ,      G_PROV_FIELDS
		EXEC ' + @DB + 'dbo.XA_UPDATE_G_PROV_DOP_CLASSIF_1 @LINK_DOC = @LINK

		--      ,      G_PROV_FIELDS
		EXEC ' + @DB + 'dbo.XA_UPDATE_G_PROV_EKR_1 @LINK_DOC = @LINK

		--       ,      G_PROV_FIELDS
		EXEC ' + @DB + 'dbo.XA_UPDATE_G_PROV_FIN_SOURCE_1 @LINK_DOC = @LINK

		--      ,      G_PROV_FIELDS
		EXEC ' + @DB + 'dbo.XA_UPDATE_G_PROV_KBK_1 @LINK_DOC = @LINK

		--    -  ,      G_PROV_FIELDS
		EXEC ' + @DB + 'dbo.XA_UPDATE_G_PROV_DOCBASE_1 @LINK_DOC = @LINK

		--    , ,  "-"   ""
		EXEC ' + @DB + 'dbo.XA_UPDATE_DOC_NAME_1 @LINK_DOC = @LINK				
	END

	FETCH NEXT FROM @Cur1 INTO @LINK
END

CLOSE @Cur1
DEALLOCATE @Cur1
'

IF EXISTS (SELECT text FROM #EXEC)
	EXEC @err = dbo.ssp_execresultset 'select text from #EXEC order by id'

----  
UPDATE dbo.SYNCH_SMETA_SMART_TAB SET 
	COMENT = 
		(SELECT ': ' + CONVERT(VARCHAR(5),COUNT(*)) FROM #G_PROV) 
		+ '; ' + (SELECT ': ' + CONVERT(VARCHAR(5),COUNT(*)) FROM #G_PROV2) 
	,[STATUS] = 1
WHERE LINK = @LINK_JOURN_TAB

--  
DELETE S FROM #G_PROV T INNER JOIN dbo.GP_EXCH_STATUS S ON S.LINK_GP = T.LINK1

INSERT INTO dbo.GP_EXCH_STATUS (LINK_GP,[STATUS],[DATE],[COMMENT])
SELECT LINK1, 1, GETDATE(), suser_sname() + '; ' + host_name() FROM #G_PROV

--IF @@TRANCOUNT > @varKStrancount
--	COMMIT TRAN

END


GO


GRANT EXECUTE ON dbo.[SYNCH_BB_ZAYAVKA_KR] TO PUBLIC

GO



GO
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[SYNCH_DOCUMENTS_RKO]') AND OBJECTPROPERTY(id,N'IsProcedure') = 1)
DROP PROCEDURE dbo.[SYNCH_DOCUMENTS_RKO]

GO

CREATE  PROCEDURE [dbo].[SYNCH_DOCUMENTS_RKO] @DB NVARCHAR(254), @LINK_JOURN_TAB INT
/*
      -
EXEC [dbo].[SYNCH_DOCUMENTS_RKO] '[KSDB2\SQL2008R2].bs_kirov_depfin.', 1130
SELECT * FROM [SYNCH_SMETA_SMART_TAB] WHERE LINK = 1130
*/
AS
BEGIN

DECLARE @varKStrancount	int
DECLARE @err INT
DECLARE @SQL NVARCHAR(4000)
DECLARE @ERR_MSG VARCHAR(256)
DECLARE @COLLATE VARCHAR(254)


SET @SQL = 
N'	
SET @COLLATE = (SELECT TOP 1 ''COLLATE '' + CAST (SERVERPROPERTY(''Collation'') AS VARCHAR(100)) FROM ' + @DB + 'dbo.DEPARTMENTS_DATE)
'	
EXEC SP_EXECUTESQL @SQL, N'@COLLATE VARCHAR(254) OUTPUT', @COLLATE = @COLLATE OUTPUT

--   -
CREATE TABLE #DEPARTMENTS_DATE (
	[CODE] varchar(20),
	[INN] varchar(13),
	[KPP] varchar(9),
	[BEGINDATE] datetime,
	[ENDDATE] datetime)

SET @SQL = 
N'	
INSERT INTO #DEPARTMENTS_DATE ([CODE],[INN],[KPP],[BEGINDATE],[ENDDATE])
SELECT D.CODE, D.INN, D.KPP, DD.[BEGINDATE], DD.[ENDDATE]
FROM 
	' + @DB + 'dbo.DEPARTMENTS_DATE DD
	INNER JOIN ' + @DB + 'dbo.DEPARTMENTS D ON D.LINK = DD.DEP_LINK
WHERE
	ISNULL(D.INN ' + @COLLATE + ','''') <> ''''
	AND
	ISNULL(D.KPP ' + @COLLATE + ','''') <> ''''
	AND
	ISNULL(D.CODE ' + @COLLATE + ','''') <> ''''	
'	

EXEC SP_EXECUTESQL @SQL

--     -
SET @ERR_MSG = 
	SUBSTRING((
			SELECT ',' + LTRIM(RTRIM(CODE)) + '/' + LTRIM(RTRIM(INN)) + '/' + LTRIM(RTRIM(KPP))
				FROM #DEPARTMENTS_DATE
				GROUP BY CODE, INN, KPP
				HAVING COUNT(*) > 1
				ORDER BY ',' + LTRIM(RTRIM(CODE)) + '/' + LTRIM(RTRIM(INN)) + '/' + LTRIM(RTRIM(KPP))
			FOR XML PATH('')
		), 2, 3000)

IF @ERR_MSG IS NOT NULL
BEGIN
	UPDATE dbo.SYNCH_SMETA_SMART_TAB SET 
		COMENT = LEFT(' -    //: ' + @ERR_MSG,256)
		,[STATUS] = 3
	WHERE LINK = @LINK_JOURN_TAB
	
	RETURN 1
END

------------------
DECLARE @PERIOD DATETIME
SET @PERIOD = 
	(SELECT TOP 1 PERIOD
	FROM 
		[dbo].[SYNCH_SMETA_SMART_JOURN] J
		INNER JOIN [dbo].[SYNCH_SMETA_SMART_TAB] T ON T.[LINK_UP] = J.[LINK]
	WHERE
		T.LINK = @LINK_JOURN_TAB)

---------------------
DECLARE @OBJECT_CODE VARCHAR(254)
SET @OBJECT_CODE = 
(
	SELECT TOP 1 B.CODE
	FROM
		dbo.SYNCH_SMETA_SMART_TAB A
		INNER JOIN dbo.[SYNCH_SMETA_SMART_OPT2] B ON A.LINK_OPT2 = B.LINK
	WHERE
		A.LINK = @LINK_JOURN_TAB
)	

IF @OBJECT_CODE IS NULL
BEGIN
	UPDATE dbo.SYNCH_SMETA_SMART_TAB SET 
		COMENT = LEFT('     /.',256)
		,[STATUS] = 3
	WHERE LINK = @LINK_JOURN_TAB
	
	RETURN 1
END

DECLARE @iOBJECT INT
SET @SQL = 
N'SELECT @iOBJECT = LINK FROM ' + @DB + 'dbo.S_OBJECTS so WHERE so.CODE ' + @COLLATE + ' = ''' + @OBJECT_CODE + ''''	

EXEC SP_EXECUTESQL @SQL, N'@iOBJECT INT OUTPUT', @iOBJECT = @iOBJECT OUTPUT

------------------
DECLARE @LINK_DOCUMENTS_SALARY INT
SET @LINK_DOCUMENTS_SALARY = (SELECT TOP 1 LINK FROM dbo.S_OBJECTS WHERE CODE = @OBJECT_CODE)

------------------
CREATE TABLE #DOC (DEP INT, LINK INT, DATE_PROV DATETIME,[GUID] uniqueidentifier)
SET @SQL = 
N'	
INSERT INTO #DOC (DEP, LINK, DATE_PROV,[GUID])
SELECT G.DEP, G.LINK, G.DATE_PROV, G.[GUID]
FROM
	dbo.G_PROV G
	INNER JOIN dbo.SDOC_VEDOM_RKO D ON D.LINK_RKO = G.LINK
WHERE
	G.[OBJECT] = @LINK_DOCUMENTS_SALARY
	AND
	YEAR(G.[DATE_PROV]) = YEAR(@PERIOD)
	AND
	MONTH(G.[DATE_PROV]) = MONTH(@PERIOD)
	AND
	EXISTS (SELECT * FROM dbo.G_PROV1 G1 INNER JOIN dbo.G_PROV2 G2 ON G2.LINK_UP = G1.LINK WHERE G1.LINK_UP = G.LINK)
'	
EXEC SP_EXECUTESQL @SQL, N'@LINK_DOCUMENTS_SALARY INT, @PERIOD DATETIME', @LINK_DOCUMENTS_SALARY=@LINK_DOCUMENTS_SALARY, @PERIOD=@PERIOD

--     -
SET @ERR_MSG = NULL
SET @ERR_MSG = 
	SUBSTRING((
				SELECT ',' + LTRIM(RTRIM(D.CODE)) + '/' + LTRIM(RTRIM(D.INN)) + '/' + LTRIM(RTRIM(D.KPP))
				FROM
					dbo.DEPARTMENTS D
					INNER JOIN #DOC G ON D.LINK = G.DEP
				WHERE
					NOT EXISTS (SELECT * FROM #DEPARTMENTS_DATE DD WHERE DD.CODE = D.CODE AND DD.INN = D.INN AND DD.KPP = D.KPP)
				GROUP BY D.CODE, D.INN, D.KPP
				ORDER BY ',' + LTRIM(RTRIM(D.CODE)) + '/' + LTRIM(RTRIM(D.INN)) + '/' + LTRIM(RTRIM(D.KPP))	
			FOR XML PATH('')
		), 2, 3000)
	
IF @ERR_MSG IS NOT NULL
BEGIN
	UPDATE dbo.SYNCH_SMETA_SMART_TAB SET 
		COMENT = LEFT(' -  . //: ' + @ERR_MSG,256)
		,[STATUS] = 3
	WHERE LINK = @LINK_JOURN_TAB
	
	RETURN 1
END

----
CREATE TABLE #DEPARTMENTS_SMETA_KS (LINK1 INT, LINK2 INT, DEP INT)

SET @SQL = 
N'
INSERT INTO #DEPARTMENTS_SMETA_KS (LINK1, LINK2, DEP)
SELECT D1.LINK, D2.LINK, D1.LINK
FROM 
	dbo.DEPARTMENTS D1 
	INNER JOIN ' + @DB + 'dbo.DEPARTMENTS D2 ON D1.CODE = D2.CODE ' + @COLLATE + ' AND D1.INN = D2.INN ' + @COLLATE + ' AND D1.KPP = D2.KPP ' + @COLLATE + ' 
WHERE
	(D1.TYPE = 4 OR D1.ZB =1)
	AND
	(
		EXISTS (SELECT * FROM #DOC T WHERE D1.LINK = T.DEP) 
	OR
		EXISTS (
			SELECT *
			FROM ' + @DB + 'dbo.G_PROV G
				INNER JOIN ' + @DB + 'dbo.G_PROV_STATES S ON G.LINK = S.LINK_UP
				INNER JOIN ' + @DB + 'dbo.DOC_STATES2 S2 ON S2.LINK = S.LINK_STATE AND S2.CODE = ''SALARY'' -- ,    
			WHERE
				G.DEP = D2.LINK 
		)
	)
	AND
	EXISTS (SELECT * FROM ' + @DB + 'dbo.DEPARTMENTS_DATE DD2 WHERE DD2.DEP_LINK = D2.LINK) 	
	AND
	EXISTS (SELECT * FROM dbo.DEPARTMENTS_OBJECT DD1 WHERE DD1.DEPARTMENT = D1.LINK) 		
'
EXEC SP_EXECUTESQL @SQL

---,            
DECLARE @LOGIN VARCHAR(254)

SET @LOGIN = (SELECT TOP 1 VALUE FROM dbo.S_OPTIONS WHERE [SID] IS NULL AND ISNULL(VALUE,'') <> ''
						AND [OBJECT] = (SELECT LINK FROM dbo.S_OBJECTS WHERE CODE = 'SAL_OPT_USER_NAME'))

SET @SQL = 
N'
SET @RES = 0
IF EXISTS (SELECT * FROM 
			' + @DB + 'dbo.DEPARTMENTS_OBJECT A 
			INNER JOIN ' + @DB + 'dbo.S_USERS SU ON SU.UID = A.[USER_ID] 
			INNER JOIN ' + @DB + 'dbo.DEPARTMENTS3 D ON D.LINK = A.DEPARTMENT
		WHERE 
			SU.LOGINAME = @LOGIN )	

	SET @RES = 1
'
DECLARE @RES TINYINT
EXEC SP_EXECUTESQL @SQL, N'@RES TINYINT OUTPUT, @LOGIN VARCHAR(254)', @RES = @RES OUTPUT, @LOGIN = @LOGIN

IF @RES = 0
BEGIN
	UPDATE dbo.SYNCH_SMETA_SMART_TAB SET 
		COMENT = LEFT('      -   "' + @LOGIN + '"  .',256)
		,[STATUS] = 3
	WHERE LINK = @LINK_JOURN_TAB
	
	RETURN 1
END
/***********************************************************************/
/**********************     ************************/
/***********************************************************************/
--     
SET @SQL = 
N'
CREATE TABLE #CHOICE (LINK INT)

--   
INSERT INTO #CHOICE (LINK)
SELECT G.LINK
FROM ' + @DB + 'dbo.G_PROV G
	INNER JOIN ' + @DB + 'dbo.G_PROV_STATES S ON G.LINK = S.LINK_UP
	INNER JOIN ' + @DB + 'dbo.DOC_STATES2 S2 ON S2.LINK = S.LINK_STATE AND S2.CODE = ''SALARY'' -- ,    
WHERE 
	EXISTS (SELECT * FROM #DEPARTMENTS_SMETA_KS T WHERE T.LINK2 = G.DEP)
	AND
	(
		[OBJECT] = @iOBJECT AND NOT EXISTS (SELECT * FROM #DOC T WHERE T.[GUID] = G.[GUID])
			OR
		[OBJECT] IS NULL AND EXISTS (SELECT * FROM #DOC T WHERE T.[GUID] = G.[GUID])	
	)
	AND
	(
		YEAR([DATE_PROV]) = YEAR(@PERIOD) AND MONTH([DATE_PROV]) = MONTH(@PERIOD)
		OR --,        
		YEAR([DATE]) = YEAR(@PERIOD) AND MONTH([DATE]) = MONTH(@PERIOD)
	)	

---     
UPDATE G SET G.DATE_PROV = NULL
FROM ' + @DB + 'dbo.G_PROV G INNER JOIN #CHOICE C ON C.LINK = G.LINK

UPDATE T SET T.AP1 = NULL
FROM
	#CHOICE C
	INNER JOIN ' + @DB + '[dbo].[G_PROV_AP] T ON C.LINK = T.AP1

--  
DELETE G FROM ' + @DB + 'dbo.G_PROV G INNER JOIN #CHOICE C ON C.LINK = G.LINK

---    
DELETE T
FROM 
	#DOC T
WHERE
	 EXISTS (SELECT * FROM ' + @DB + 'dbo.G_PROV G2 WHERE G2.[OBJECT] IS NOT NULL AND G2.[GUID] = T.[GUID])
'

EXEC SP_EXECUTESQL @SQL, N'@iOBJECT INT, @PERIOD DATETIME', @iOBJECT=@iOBJECT, @PERIOD=@PERIOD


--
CREATE TABLE #ACCOUNT (DEP INT, CODE VARCHAR(30), LINK1 INT, LINK2 INT)
INSERT INTO #ACCOUNT (DEP, CODE, LINK1)
SELECT DISTINCT G.DEP, LTRIM(RTRIM(ACCOUNT.CODE)), ACCOUNT.LINK
FROM
	#DOC A
	INNER JOIN dbo.G_PROV G ON A.LINK = G.LINK
	INNER JOIN dbo.G_PROV1 G1 ON G1.LINK_UP = G.LINK
	INNER JOIN dbo.G_PROV2 G2 ON G2.LINK_UP = G1.LINK
	INNER JOIN dbo.G_PROV_AP GAP ON GAP.LINK_UP = G2.LINK
	INNER JOIN [dbo].[S_ACCOUNTS] ACCOUNT ON ACCOUNT.LINK = GAP.ACCOUNT
UNION	
SELECT G.DEP, LTRIM(RTRIM(ACCOUNT.CODE)), ACCOUNT.LINK
FROM
	#DOC A
	INNER JOIN dbo.G_PROV G ON A.LINK = G.LINK
	INNER JOIN [dbo].[DOCUMENTS_RKO] T ON T.LINK = G.LINK
	INNER JOIN [dbo].[S_ACCOUNTS] ACCOUNT ON ACCOUNT.LINK = T.S_ACC_LINK
	

--   
SET @ERR_MSG = NULL
SET @SQL = 
N'
SET @ERR_MSG = 
	SUBSTRING((
			SELECT DISTINCT '','' + K.CODE
			FROM
				#ACCOUNT K
				INNER JOIN #DEPARTMENTS_SMETA_KS T ON T.LINK1 = K.DEP
				INNER JOIN ' + @DB + 'dbo.V_DEP VD ON VD.LINK = T.LINK2
			WHERE
				NOT EXISTS (SELECT * FROM ' + @DB + 'dbo.[S_ACCOUNTS] A WHERE A.LINK_DEP = VD.LINK_CB AND LTRIM(RTRIM(A.CODE ' + @COLLATE + ' )) = K.CODE )
			FOR XML PATH('''')
		), 2, 3000)
'	
EXEC SP_EXECUTESQL @SQL, N'@ERR_MSG VARCHAR(256) OUTPUT', @ERR_MSG = @ERR_MSG OUTPUT

IF @ERR_MSG IS NOT NULL
BEGIN
	UPDATE dbo.SYNCH_SMETA_SMART_TAB SET 
		COMENT = LEFT(' -   : ' + @ERR_MSG,256)
		,[STATUS] = 3
	WHERE LINK = @LINK_JOURN_TAB
	
	RETURN 1
END

--   
SET @ERR_MSG = NULL
SET @SQL = 
N'
SET @ERR_MSG = 
	SUBSTRING((
			SELECT CODE
			FROM
			(
			SELECT DISTINCT '','' + K.CODE AS CODE, A.LINK_DEP, A.LINK
			FROM
				#ACCOUNT  K
				INNER JOIN #DEPARTMENTS_SMETA_KS T ON T.LINK1 = K.DEP
				INNER JOIN ' + @DB + 'dbo.V_DEP VD ON VD.LINK = T.LINK2
				INNER JOIN ' + @DB + 'dbo.[S_ACCOUNTS] A ON A.LINK_DEP = VD.LINK_CB AND LTRIM(RTRIM(A.CODE ' + @COLLATE + ' )) = K.CODE
			) T	
			GROUP BY
				CODE, LINK_DEP
			HAVING
				COUNT(*) > 1
			FOR XML PATH('''')
		), 2, 3000)
'	
EXEC SP_EXECUTESQL @SQL, N'@ERR_MSG VARCHAR(256) OUTPUT', @ERR_MSG = @ERR_MSG OUTPUT

IF @ERR_MSG IS NOT NULL
BEGIN
	UPDATE dbo.SYNCH_SMETA_SMART_TAB SET 
		COMENT = LEFT(' -  : ' + @ERR_MSG,256)
		,[STATUS] = 3
	WHERE LINK = @LINK_JOURN_TAB
	
	RETURN 1
END

--  
SET @ERR_MSG = NULL
SET @SQL = 
N'
UPDATE K SET LINK2 = A.LINK
FROM
	#ACCOUNT K
	INNER JOIN #DEPARTMENTS_SMETA_KS T ON T.LINK1 = K.DEP
	INNER JOIN ' + @DB + 'dbo.V_DEP VD ON VD.LINK = T.LINK2
	INNER JOIN ' + @DB + 'dbo.[S_ACCOUNTS] A ON A.LINK_DEP = VD.LINK_CB AND LTRIM(RTRIM(A.CODE ' + @COLLATE + ' )) = K.CODE
'	
EXEC SP_EXECUTESQL @SQL

--
CREATE TABLE #KBK (DEP INT, CODE VARCHAR(30), LINK1 INT, LINK2 INT)
INSERT INTO #KBK (DEP, CODE, LINK1)
SELECT DISTINCT G.DEP, LTRIM(RTRIM(KBK.CODE)), KBK.LINK
FROM
	#DOC A
	INNER JOIN dbo.G_PROV G ON A.LINK = G.LINK
	INNER JOIN dbo.G_PROV1 G1 ON G1.LINK_UP = G.LINK
	INNER JOIN dbo.G_PROV2 G2 ON G2.LINK_UP = G1.LINK
	INNER JOIN dbo.G_PROV_AP GAP ON GAP.LINK_UP = G2.LINK
	INNER JOIN [dbo].[KL_KBK] KBK ON KBK.LINK = KBK

--   
SET @ERR_MSG = NULL
SET @SQL = 
N'
SET @ERR_MSG = 
	SUBSTRING((
			SELECT DISTINCT '','' + K.CODE
			FROM
				#KBK K
				INNER JOIN #DEPARTMENTS_SMETA_KS T ON T.LINK1 = K.DEP
				INNER JOIN ' + @DB + 'dbo.V_DEP VD ON VD.LINK = T.LINK2
			WHERE
				NOT EXISTS (SELECT * FROM ' + @DB + 'dbo.[KL_KBK] A WHERE A.LINK_DEP = VD.LINK_CB AND LTRIM(RTRIM(A.CODE ' + @COLLATE + ' )) = K.CODE)
			FOR XML PATH('''')
		), 2, 3000)
'	
EXEC SP_EXECUTESQL @SQL, N'@ERR_MSG VARCHAR(256) OUTPUT', @ERR_MSG = @ERR_MSG OUTPUT


IF @ERR_MSG IS NOT NULL
BEGIN
	UPDATE dbo.SYNCH_SMETA_SMART_TAB SET 
		COMENT = LEFT(' -   : ' + @ERR_MSG,256)
		,[STATUS] = 3
	WHERE LINK = @LINK_JOURN_TAB
	
	RETURN 1
END

--   
SET @ERR_MSG = NULL
SET @SQL = 
N'
SET @ERR_MSG = 
	SUBSTRING((
			SELECT CODE
			FROM
			(
			SELECT DISTINCT '','' + K.CODE AS CODE, A.LINK_DEP, A.LINK
			FROM
				#KBK K
				INNER JOIN #DEPARTMENTS_SMETA_KS T ON T.LINK1 = K.DEP
				INNER JOIN ' + @DB + 'dbo.V_DEP VD ON VD.LINK = T.LINK2
				INNER JOIN ' + @DB + 'dbo.[KL_KBK] A ON A.LINK_DEP = VD.LINK_CB AND LTRIM(RTRIM(A.CODE ' + @COLLATE + ' )) = K.CODE
			) T	
			GROUP BY
				CODE, LINK_DEP
			HAVING
				COUNT(*) > 1		
			FOR XML PATH('''')
		), 2, 3000)
'	
EXEC SP_EXECUTESQL @SQL, N'@ERR_MSG VARCHAR(256) OUTPUT', @ERR_MSG = @ERR_MSG OUTPUT
				
IF @ERR_MSG IS NOT NULL
BEGIN
	UPDATE dbo.SYNCH_SMETA_SMART_TAB SET 
		COMENT = LEFT(' -  : ' + @ERR_MSG,256)
		,[STATUS] = 3
	WHERE LINK = @LINK_JOURN_TAB
	
	RETURN 1
END

--  
SET @ERR_MSG = NULL
SET @SQL = 
N'
UPDATE K SET LINK2 = A.LINK
FROM
	#KBK K
	INNER JOIN #DEPARTMENTS_SMETA_KS T ON T.LINK1 = K.DEP
	INNER JOIN ' + @DB + 'dbo.V_DEP VD ON VD.LINK = T.LINK2
	INNER JOIN ' + @DB + 'dbo.[KL_KBK] A ON A.LINK_DEP = VD.LINK_CB AND LTRIM(RTRIM(A.CODE ' + @COLLATE + ' )) = K.CODE
'	
EXEC SP_EXECUTESQL @SQL


--
CREATE TABLE #EKR (DEP INT, CODE VARCHAR(4), LINK1 INT, LINK2 INT)
INSERT INTO #EKR (DEP, CODE, LINK1)
SELECT DISTINCT G.DEP, LTRIM(RTRIM(EKR.CODE)), EKR
FROM
	#DOC A
	INNER JOIN dbo.G_PROV G ON A.LINK = G.LINK
	INNER JOIN dbo.G_PROV1 G1 ON G1.LINK_UP = G.LINK
	INNER JOIN dbo.G_PROV2 G2 ON G2.LINK_UP = G1.LINK
	INNER JOIN dbo.G_PROV_AP GAP ON GAP.LINK_UP = G2.LINK
	INNER JOIN [dbo].[KOSGU] EKR ON EKR.LINK = EKR	

--   
SET @ERR_MSG = NULL
SET @SQL = 
N'
SET @ERR_MSG = 
	SUBSTRING((
			SELECT DISTINCT '','' + K.CODE
			FROM
				#EKR K
			WHERE
				NOT EXISTS (SELECT * FROM ' + @DB + '[dbo].[KOSGU] A WHERE LTRIM(RTRIM(A.CODE ' + @COLLATE + ' )) = K.CODE)
			FOR XML PATH('''')
		), 2, 3000)
'	
EXEC SP_EXECUTESQL @SQL, N'@ERR_MSG VARCHAR(256) OUTPUT', @ERR_MSG = @ERR_MSG OUTPUT

IF @ERR_MSG IS NOT NULL
BEGIN
	UPDATE dbo.SYNCH_SMETA_SMART_TAB SET 
		COMENT = LEFT(' -   : ' + @ERR_MSG,256)
		,[STATUS] = 3
	WHERE LINK = @LINK_JOURN_TAB
	
	RETURN 1
END


--   
SET @ERR_MSG = NULL
SET @SQL = 
N'
SET @ERR_MSG = 
	SUBSTRING((
			SELECT CODE
			FROM
			(
			SELECT DISTINCT '','' + K.CODE AS CODE, A.LINK_DEP, A.LINK
			FROM
				#EKR K
				INNER JOIN ' + @DB + '[dbo].[KOSGU] A ON LTRIM(RTRIM(A.CODE ' + @COLLATE + ' )) = K.CODE
			) T	
			GROUP BY
				 CODE, LINK_DEP
			HAVING
				COUNT(*) > 1		
			FOR XML PATH('''')
		), 2, 3000)
'	

EXEC SP_EXECUTESQL @SQL, N'@ERR_MSG VARCHAR(256) OUTPUT', @ERR_MSG = @ERR_MSG OUTPUT

IF @ERR_MSG IS NOT NULL
BEGIN
	UPDATE dbo.SYNCH_SMETA_SMART_TAB SET 
		COMENT = LEFT(' -  : ' + @ERR_MSG,256)
		,[STATUS] = 3
	WHERE LINK = @LINK_JOURN_TAB
	
	RETURN 1
END

--  
SET @ERR_MSG = NULL
SET @SQL = 
N'
UPDATE K SET LINK2 = A.LINK
FROM
	#EKR K
	INNER JOIN ' + @DB + '[dbo].[KOSGU] A ON LTRIM(RTRIM(A.CODE ' + @COLLATE + ' )) = K.CODE
'	
EXEC SP_EXECUTESQL @SQL


--
CREATE TABLE #SGU (DEP INT, CODE VARCHAR(4), LINK1 INT, LINK2 INT)
INSERT INTO #SGU (DEP, CODE, LINK1)
SELECT DISTINCT G.DEP, LTRIM(RTRIM(SGU.CODE)), SGU.LINK
FROM
	#DOC A
	INNER JOIN dbo.G_PROV G ON A.LINK = G.LINK
	INNER JOIN dbo.G_PROV1 G1 ON G1.LINK_UP = G.LINK
	INNER JOIN dbo.G_PROV2 G2 ON G2.LINK_UP = G1.LINK
	INNER JOIN dbo.G_PROV_AP GAP ON GAP.LINK_UP = G2.LINK
	INNER JOIN [dbo].[KOSGU] SGU ON SGU.LINK = SGU

--   
SET @ERR_MSG = NULL
SET @SQL = 
N'
SET @ERR_MSG = 
	SUBSTRING((
			SELECT DISTINCT '','' + K.CODE
			FROM
				#SGU K
			WHERE
				NOT EXISTS (SELECT * FROM ' + @DB + '[dbo].[KOSGU] A WHERE LTRIM(RTRIM(A.CODE ' + @COLLATE + ' )) = K.CODE)
			FOR XML PATH('''')
		), 2, 3000)
'	
EXEC SP_EXECUTESQL @SQL, N'@ERR_MSG VARCHAR(256) OUTPUT', @ERR_MSG = @ERR_MSG OUTPUT

IF @ERR_MSG IS NOT NULL
BEGIN
	UPDATE dbo.SYNCH_SMETA_SMART_TAB SET 
		COMENT = LEFT(' -   : ' + @ERR_MSG,256)
		,[STATUS] = 3
	WHERE LINK = @LINK_JOURN_TAB
	
	RETURN 1
END


--   
SET @ERR_MSG = NULL
SET @SQL = 
N'
SET @ERR_MSG = 
	SUBSTRING((
			SELECT CODE
			FROM
			(
			SELECT DISTINCT '','' + K.CODE AS CODE, A.LINK_DEP, A.LINK
			FROM
				#SGU K
				INNER JOIN ' + @DB + '[dbo].[KOSGU] A ON LTRIM(RTRIM(A.CODE ' + @COLLATE + ' )) = K.CODE
			) T	
			GROUP BY
				 CODE, LINK_DEP
			HAVING
				COUNT(*) > 1		
			FOR XML PATH('''')
		), 2, 3000)
'	

EXEC SP_EXECUTESQL @SQL, N'@ERR_MSG VARCHAR(256) OUTPUT', @ERR_MSG = @ERR_MSG OUTPUT

IF @ERR_MSG IS NOT NULL
BEGIN
	UPDATE dbo.SYNCH_SMETA_SMART_TAB SET 
		COMENT = LEFT(' -  : ' + @ERR_MSG,256)
		,[STATUS] = 3
	WHERE LINK = @LINK_JOURN_TAB
	
	RETURN 1
END

--  
SET @ERR_MSG = NULL
SET @SQL = 
N'
UPDATE K SET LINK2 = A.LINK
FROM
	#SGU K
	INNER JOIN ' + @DB + '[dbo].[KOSGU] A ON LTRIM(RTRIM(A.CODE ' + @COLLATE + ' )) = K.CODE
'	
EXEC SP_EXECUTESQL @SQL

--
CREATE TABLE #KAU (DEP INT, CODE VARCHAR(10), LINK1 INT, LINK2 INT)
INSERT INTO #KAU (DEP, CODE, LINK1)
SELECT DISTINCT G.DEP, LTRIM(RTRIM(KAU.CODE)), KAU
FROM
	#DOC A
	INNER JOIN dbo.G_PROV G ON A.LINK = G.LINK
	INNER JOIN dbo.G_PROV1 G1 ON G1.LINK_UP = G.LINK
	INNER JOIN dbo.G_PROV2 G2 ON G2.LINK_UP = G1.LINK
	INNER JOIN dbo.G_PROV_AP GAP ON GAP.LINK_UP = G2.LINK
	INNER JOIN [dbo].[KAU] KAU ON KAU.LINK = KAU

--   
SET @ERR_MSG = NULL
SET @SQL = 
N'
SET @ERR_MSG = 
	SUBSTRING((
			SELECT DISTINCT '','' + K.CODE
			FROM
				#KAU K
				INNER JOIN #DEPARTMENTS_SMETA_KS T ON T.LINK1 = K.DEP
				INNER JOIN ' + @DB + 'dbo.V_DEP VD ON VD.LINK = T.LINK2
			WHERE
				NOT EXISTS (SELECT * FROM ' + @DB + 'dbo.[KAU] A WHERE A.LINK_DEP = VD.LINK_CB AND LTRIM(RTRIM(A.CODE ' + @COLLATE + ' )) = K.CODE)
			FOR XML PATH('''')
		), 2, 3000)
'	
EXEC SP_EXECUTESQL @SQL, N'@ERR_MSG VARCHAR(256) OUTPUT', @ERR_MSG = @ERR_MSG OUTPUT

IF @ERR_MSG IS NOT NULL
BEGIN
	UPDATE dbo.SYNCH_SMETA_SMART_TAB SET 
		COMENT = LEFT(' -   : ' + @ERR_MSG,256)
		,[STATUS] = 3
	WHERE LINK = @LINK_JOURN_TAB
	
	RETURN 1
END

--   
SET @ERR_MSG = NULL
SET @SQL = 
N'
SET @ERR_MSG = 
	SUBSTRING((
			SELECT CODE
			FROM
			(
			SELECT DISTINCT '','' + K.CODE AS CODE, A.LINK_DEP, A.LINK
			FROM
				#KAU K
				INNER JOIN #DEPARTMENTS_SMETA_KS T ON T.LINK1 = K.DEP
				INNER JOIN ' + @DB + 'dbo.V_DEP VD ON VD.LINK = T.LINK2
				INNER JOIN ' + @DB + 'dbo.[KAU] A ON A.LINK_DEP = VD.LINK_CB AND LTRIM(RTRIM(A.CODE ' + @COLLATE + ' )) = K.CODE
			) T	
			GROUP BY
				 CODE, LINK_DEP
			HAVING
				COUNT(*) > 1		
			FOR XML PATH('''')
		), 2, 3000)
'	
EXEC SP_EXECUTESQL @SQL, N'@ERR_MSG VARCHAR(256) OUTPUT', @ERR_MSG = @ERR_MSG OUTPUT

IF @ERR_MSG IS NOT NULL
BEGIN
	UPDATE dbo.SYNCH_SMETA_SMART_TAB SET 
		COMENT = LEFT(' -  : ' + @ERR_MSG,256)
		,[STATUS] = 3
	WHERE LINK = @LINK_JOURN_TAB
	
	RETURN 1
END

--  
SET @ERR_MSG = NULL
SET @SQL = 
N'
UPDATE K SET LINK2 = A.LINK
FROM
	#KAU K
	INNER JOIN #DEPARTMENTS_SMETA_KS T ON T.LINK1 = K.DEP
	INNER JOIN ' + @DB + 'dbo.V_DEP VD ON VD.LINK = T.LINK2
	INNER JOIN ' + @DB + 'dbo.[KAU] A ON A.LINK_DEP = VD.LINK_CB AND LTRIM(RTRIM(A.CODE ' + @COLLATE + ' )) = K.CODE
'	
EXEC SP_EXECUTESQL @SQL

--
CREATE TABLE #DOP (DEP INT, CODE VARCHAR(30), LINK1 INT, LINK2 INT)
INSERT INTO #DOP (DEP, CODE, LINK1)
SELECT DISTINCT G.DEP, LTRIM(RTRIM(KAU.CODE)), KAU
FROM
	#DOC A
	INNER JOIN dbo.G_PROV G ON A.LINK = G.LINK
	INNER JOIN dbo.G_PROV1 G1 ON G1.LINK_UP = G.LINK
	INNER JOIN dbo.G_PROV2 G2 ON G2.LINK_UP = G1.LINK
	INNER JOIN dbo.G_PROV_AP GAP ON GAP.LINK_UP = G2.LINK
	INNER JOIN [dbo].[DOP_CLASSIF] KAU ON KAU.LINK = KAU


--   
SET @ERR_MSG = NULL
SET @SQL = 
N'
SET @ERR_MSG = 
	SUBSTRING((
			SELECT DISTINCT '','' + K.CODE
			FROM
				#DOP K
				INNER JOIN #DEPARTMENTS_SMETA_KS T ON T.LINK1 = K.DEP
				INNER JOIN ' + @DB + 'dbo.V_DEP VD ON VD.LINK = T.LINK2
			WHERE
				NOT EXISTS (SELECT * FROM ' + @DB + 'dbo.[DOP_CLASSIF] A WHERE A.LINK_DEP = VD.LINK_CB AND LTRIM(RTRIM(A.CODE ' + @COLLATE + ' )) = K.CODE)
			FOR XML PATH('''')
		), 2, 3000)
'	
EXEC SP_EXECUTESQL @SQL, N'@ERR_MSG VARCHAR(256) OUTPUT', @ERR_MSG = @ERR_MSG OUTPUT

IF @ERR_MSG IS NOT NULL
BEGIN
	UPDATE dbo.SYNCH_SMETA_SMART_TAB SET 
		COMENT = LEFT(' -   ..: ' + @ERR_MSG,256)
		,[STATUS] = 3
	WHERE LINK = @LINK_JOURN_TAB
	
	RETURN 1
END

--   
SET @ERR_MSG = NULL
SET @SQL = 
N'
SET @ERR_MSG = 
	SUBSTRING((
			SELECT CODE
			FROM
			(
			SELECT DISTINCT '','' + K.CODE AS CODE, A.LINK_DEP, A.LINK
			FROM
				#DOP K
				INNER JOIN #DEPARTMENTS_SMETA_KS T ON T.LINK1 = K.DEP
				INNER JOIN ' + @DB + 'dbo.V_DEP VD ON VD.LINK = T.LINK2
				INNER JOIN ' + @DB + 'dbo.[DOP_CLASSIF] A ON A.LINK_DEP = VD.LINK_CB AND LTRIM(RTRIM(A.CODE ' + @COLLATE + ' )) = K.CODE
			) T	
			GROUP BY
				 CODE, LINK_DEP
			HAVING
				COUNT(*) > 1		
			FOR XML PATH('''')
		), 2, 3000)
'	
EXEC SP_EXECUTESQL @SQL, N'@ERR_MSG VARCHAR(256) OUTPUT', @ERR_MSG = @ERR_MSG OUTPUT

IF @ERR_MSG IS NOT NULL
BEGIN
	UPDATE dbo.SYNCH_SMETA_SMART_TAB SET 
		COMENT = LEFT(' -  ..: ' + @ERR_MSG,256)
		,[STATUS] = 3
	WHERE LINK = @LINK_JOURN_TAB
	
	RETURN 1
END

--  
SET @ERR_MSG = NULL
SET @SQL = 
N'
UPDATE K SET LINK2 = A.LINK
FROM
	#DOP K
	INNER JOIN #DEPARTMENTS_SMETA_KS T ON T.LINK1 = K.DEP
	INNER JOIN ' + @DB + 'dbo.V_DEP VD ON VD.LINK = T.LINK2
	INNER JOIN ' + @DB + 'dbo.[DOP_CLASSIF] A ON A.LINK_DEP = VD.LINK_CB AND LTRIM(RTRIM(A.CODE ' + @COLLATE + ' )) = K.CODE
'	
EXEC SP_EXECUTESQL @SQL


----------------
--
CREATE TABLE #EMP (DEP INT, CODE VARCHAR(30), LINK1 INT, LINK2 INT, NAME VARCHAR(254), SUBDIV2 INT)
INSERT INTO #EMP (DEP, CODE, LINK1, NAME)
SELECT G.DEP, LTRIM(RTRIM(E.TAB)), E.LINK, RTRIM(P.FM) + ' ' + RTRIM(P.IM) + ' ' + RTRIM(P.OT)
FROM
	#DOC A
	INNER JOIN dbo.G_PROV G ON A.LINK = G.LINK
	INNER JOIN dbo.G_PROV1 G1 ON G1.LINK_UP = G.LINK
	INNER JOIN dbo.G_PROV2 G2 ON G2.LINK_UP = G1.LINK
	INNER JOIN dbo.G_PROV_AP GAP ON GAP.LINK_UP = G2.LINK
	INNER JOIN [dbo].[EMPL] E ON E.LINK = EMP
	INNER JOIN DBO.PERSON P ON P.LINK = E.PERS_LINK
UNION	
SELECT G.DEP, LTRIM(RTRIM(E.TAB)), E.LINK, RTRIM(P.FM) + ' ' + RTRIM(P.IM) + ' ' + RTRIM(P.OT)
FROM
	#DOC A
	INNER JOIN dbo.G_PROV G ON A.LINK = G.LINK
	INNER JOIN dbo.[DOCUMENTS_RKO] T ON T.[Link] = G.[Link] 
	INNER JOIN [dbo].[EMPL] E ON E.LINK = CASE T.[OPTION] WHEN 1 THEN T.FACE_LINK WHEN 3 THEN T.FACE_LINK2 ELSE NULL END
	INNER JOIN DBO.PERSON P ON P.LINK = E.PERS_LINK

--   
SET @ERR_MSG = NULL
SET @SQL = 
N'
SET @ERR_MSG = 
	SUBSTRING((
			SELECT DISTINCT '','' + K.CODE + '' '' + K.NAME
			FROM
				#EMP K
				INNER JOIN #DEPARTMENTS_SMETA_KS T ON T.LINK1 = K.DEP
			WHERE
				NOT EXISTS (SELECT * FROM ' + @DB + 'dbo.[V_EMPL] A WHERE A.DEP_LINK = T.LINK2 
					AND LTRIM(RTRIM(A.TAB ' + @COLLATE + ' )) = K.CODE
					AND LTRIM(RTRIM(A.FIO ' + @COLLATE + ' )) = K.NAME
					)
			FOR XML PATH('''')
		), 2, 3000)
'	
EXEC SP_EXECUTESQL @SQL, N'@ERR_MSG VARCHAR(256) OUTPUT', @ERR_MSG = @ERR_MSG OUTPUT

IF @ERR_MSG IS NOT NULL
BEGIN
	UPDATE dbo.SYNCH_SMETA_SMART_TAB SET 
		COMENT = LEFT(' -    /: ' + @ERR_MSG,256)
		,[STATUS] = 3
	WHERE LINK = @LINK_JOURN_TAB
	
	RETURN 1
END

--   
SET @ERR_MSG = NULL
SET @SQL = 
N'
SET @ERR_MSG = 
	SUBSTRING((
			SELECT DISTINCT '','' + K.CODE + '' '' + K.NAME
			FROM
				#EMP K
				INNER JOIN #DEPARTMENTS_SMETA_KS T ON T.LINK1 = K.DEP
				INNER JOIN ' + @DB + 'dbo.[V_EMPL] A ON A.DEP_LINK = T.LINK2 
					AND LTRIM(RTRIM(A.TAB ' + @COLLATE + ' )) = K.CODE
					AND LTRIM(RTRIM(A.FIO ' + @COLLATE + ' )) = K.NAME
			GROUP BY
				K.CODE,K.NAME
			HAVING
				COUNT(*) > 1		
			FOR XML PATH('''')
		), 2, 3000)
'
EXEC SP_EXECUTESQL @SQL, N'@ERR_MSG VARCHAR(256) OUTPUT', @ERR_MSG = @ERR_MSG OUTPUT

IF @ERR_MSG IS NOT NULL
BEGIN
	UPDATE dbo.SYNCH_SMETA_SMART_TAB SET 
		COMENT = LEFT(' -   /: ' + @ERR_MSG,256)
		,[STATUS] = 3
	WHERE LINK = @LINK_JOURN_TAB
	
	RETURN 1
END

--  
SET @ERR_MSG = NULL
SET @SQL = 
N'
UPDATE K SET LINK2 = A.LINK, SUBDIV2 = EP.SUBDIV_LINK
FROM
	#EMP K
	INNER JOIN #DEPARTMENTS_SMETA_KS T ON T.LINK1 = K.DEP
	INNER JOIN ' + @DB + 'dbo.[V_EMPL] A ON A.DEP_LINK = T.LINK2 AND LTRIM(RTRIM(A.TAB ' + @COLLATE + ' )) = K.CODE AND LTRIM(RTRIM(A.FIO ' + @COLLATE + ' )) = K.NAME
	LEFT JOIN 
		(SELECT LINK_EMPL=LINK_UP, MAX_DATE_BEG = MAX(DATE_BEG), MIN_DATE_BEG = MIN(DATE_BEG) FROM ' + @DB + 'dbo.EMPL_POST WHERE DATE_BEG <= @DATE GROUP BY LINK_UP) EI ON EI.LINK_EMPL = A.LINK
	LEFT JOIN ' + @DB + 'dbo.EMPL_POST EP WITH (NOLOCK) ON EP.LINK_UP = EI.LINK_EMPL AND EP.DATE_BEG = EI.MAX_DATE_BEG	
'	
EXEC SP_EXECUTESQL @SQL, N'@DATE DATETIME', @DATE = @PERIOD

----------------

--     -
SET @ERR_MSG = NULL
SET @ERR_MSG = 
	SUBSTRING((
				SELECT ',' + LTRIM(RTRIM(D.CODE)) + '/' + LTRIM(RTRIM(INN)) + '/' + LTRIM(RTRIM(KPP))
				FROM
					dbo.DEPARTMENTS D
				WHERE
					EXISTS ( SELECT * FROM #DOC G WHERE D.LINK = G.DEP )
				GROUP BY CODE, INN, KPP
				HAVING COUNT(*) > 1
				ORDER BY ',' + LTRIM(RTRIM(D.CODE)) + '/' + LTRIM(RTRIM(INN)) + '/' + LTRIM(RTRIM(KPP))	
			FOR XML PATH('')
		), 2, 3000)
		
IF @ERR_MSG IS NOT NULL
BEGIN
	UPDATE dbo.SYNCH_SMETA_SMART_TAB SET 
		COMENT = LEFT(' -    /: ' + @ERR_MSG,256)
		,[STATUS] = 3
	WHERE LINK = @LINK_JOURN_TAB
	
	RETURN 1
END
----------

/* */
CREATE TABLE #DEP_ACCOUNTS (COR INT, CODE VARCHAR(30), LINK1 INT, LINK2 INT, DEP INT)
INSERT INTO #DEP_ACCOUNTS (COR, CODE, LINK1, DEP)
SELECT T2.LINK_UP, LTRIM(RTRIM(T2.CODE)),T2.LINK, A.DEP
FROM
	#DOC A
	INNER JOIN [dbo].[FINANSE_PAYS] T1 ON T1.LINK = A.LINK
	INNER JOIN [dbo].[DEPARTMENT_ACCOUNTS] T2 ON T2.LINK = T1.[S_Acc]
UNION
SELECT T2.LINK_UP, LTRIM(RTRIM(T2.CODE)),T2.LINK, A.DEP 
FROM
	#DOC A
	INNER JOIN [dbo].[FINANSE_PAYS] T1 ON T1.LINK = A.LINK
	INNER JOIN [dbo].[DEPARTMENT_ACCOUNTS] T2 ON T2.LINK = T1.[D_Acc]
UNION
SELECT T2.LINK_UP, LTRIM(RTRIM(T2.CODE)),T2.LINK, A.DEP
FROM
	#DOC A
	INNER JOIN dbo.G_PROV G ON A.LINK = G.LINK
	INNER JOIN dbo.G_PROV1 G1 ON G1.LINK_UP = G.LINK
	INNER JOIN dbo.G_PROV2 G2 ON G2.LINK_UP = G1.LINK
	INNER JOIN dbo.G_PROV_AP GAP ON GAP.LINK_UP = G2.LINK
	INNER JOIN [dbo].[DEPARTMENT_ACCOUNTS] T2 ON T2.LINK = DEP_ACC	
--

/**/
INSERT INTO #DEPARTMENTS_SMETA_KS (LINK1, DEP)
SELECT DISTINCT A.COR, B.DEP
FROM 
	#DEP_ACCOUNTS A
	INNER JOIN #DEPARTMENTS_SMETA_KS B ON A.DEP = B.LINK1
WHERE NOT EXISTS (SELECT * FROM #DEPARTMENTS_SMETA_KS D WHERE D.LINK1 = A.COR AND D.DEP = B.DEP)

INSERT INTO #DEPARTMENTS_SMETA_KS (LINK1, DEP)
SELECT DISTINCT GAP.DEP, G.DEP
FROM
	#DOC A
	INNER JOIN dbo.G_PROV G ON A.LINK = G.LINK
	INNER JOIN dbo.G_PROV1 G1 ON G1.LINK_UP = G.LINK
	INNER JOIN dbo.G_PROV2 G2 ON G2.LINK_UP = G1.LINK
	INNER JOIN dbo.G_PROV_AP GAP ON GAP.LINK_UP = G2.LINK
WHERE 
	GAP.DEP IS NOT NULL
	AND NOT EXISTS (SELECT * FROM #DEPARTMENTS_SMETA_KS D WHERE D.LINK1 = GAP.DEP AND D.DEP = G.DEP)

/* */
--   
SET @ERR_MSG = NULL
SET @SQL = 
N'
SET @ERR_MSG = 
	SUBSTRING((
				SELECT '','' + LTRIM(RTRIM(D.INN)) + ''/'' + LTRIM(RTRIM(D.KPP))+ ''/'' + LEFT(LTRIM(RTRIM(D.NAME)),50)
				FROM
					dbo.DEPARTMENTS D --
					INNER JOIN #DEPARTMENTS_SMETA_KS G ON D.LINK = G.LINK1
				WHERE
					G.LINK2 IS NULL
					AND
					NOT EXISTS (
						SELECT * FROM
							#DEPARTMENTS_SMETA_KS DD --
							INNER JOIN ' + @DB + 'dbo.V_DEP VD ON VD.LINK = DD.LINK2
							INNER JOIN ' + @DB + 'dbo.[DEPARTMENTS] A ON A.LINK_DEP = VD.LINK_CB AND LTRIM(RTRIM(A.INN ' + @COLLATE + ' )) = D.INN AND LTRIM(RTRIM(A.KPP ' + @COLLATE + ' )) = D.KPP
						WHERE
							DD.LINK1 = G.DEP
						)
				GROUP BY D.INN, D.KPP, D.NAME
				ORDER BY '','' + LTRIM(RTRIM(D.INN)) + ''/'' + LTRIM(RTRIM(D.KPP))+ ''/'' + LEFT(LTRIM(RTRIM(D.NAME)),50)	
			FOR XML PATH('''')
		), 2, 3000)
'	
EXEC SP_EXECUTESQL @SQL, N'@ERR_MSG VARCHAR(256) OUTPUT', @ERR_MSG = @ERR_MSG OUTPUT

IF @ERR_MSG IS NOT NULL
BEGIN
	UPDATE dbo.SYNCH_SMETA_SMART_TAB SET 
		COMENT = LEFT(' -   //: ' + @ERR_MSG,256)
		,[STATUS] = 3
	WHERE LINK = @LINK_JOURN_TAB
	
	RETURN 1
END

--   
SET @ERR_MSG = NULL
SET @SQL = 
N'
SET @ERR_MSG = 
	SUBSTRING((
			SELECT '','' + CODE
			FROM
			(
			SELECT DISTINCT LTRIM(RTRIM(D.INN)) + ''/'' + LTRIM(RTRIM(D.KPP))+ ''/'' + LEFT(LTRIM(RTRIM(D.NAME)),50) AS CODE, A.LINK_DEP, A.LINK
				FROM
					dbo.DEPARTMENTS D
					INNER JOIN #DEPARTMENTS_SMETA_KS G ON D.LINK = G.LINK1 --
					INNER JOIN #DEPARTMENTS_SMETA_KS DEP ON DEP.LINK1 = G.DEP --
					INNER JOIN ' + @DB + 'dbo.V_DEP VD ON VD.LINK = DEP.LINK2
					INNER JOIN ' + @DB + 'dbo.[DEPARTMENTS] A ON A.LINK_DEP = VD.LINK_CB AND LTRIM(RTRIM(A.INN ' + @COLLATE + ' )) = D.INN AND LTRIM(RTRIM(A.KPP ' + @COLLATE + ' )) = D.KPP
				WHERE
					G.LINK2 IS NULL
			) T	
			GROUP BY
				 CODE, LINK_DEP
			HAVING COUNT(*) > 1
			ORDER BY T.CODE	
			FOR XML PATH('''')
		), 2, 3000)
'
EXEC SP_EXECUTESQL @SQL, N'@ERR_MSG VARCHAR(256) OUTPUT', @ERR_MSG = @ERR_MSG OUTPUT

IF @ERR_MSG IS NOT NULL
BEGIN
	UPDATE dbo.SYNCH_SMETA_SMART_TAB SET 
		COMENT = LEFT(' -   //: ' + @ERR_MSG,256)
		,[STATUS] = 3
	WHERE LINK = @LINK_JOURN_TAB
	RETURN 1
END

--  
SET @ERR_MSG = NULL
SET @SQL = 
N'
UPDATE G SET G.LINK2 = A.LINK
FROM
	dbo.DEPARTMENTS D
	INNER JOIN #DEPARTMENTS_SMETA_KS G ON D.LINK = G.LINK1 --
	INNER JOIN #DEPARTMENTS_SMETA_KS DEP ON DEP.LINK1 = G.DEP --
	INNER JOIN ' + @DB + 'dbo.V_DEP VD ON VD.LINK = DEP.LINK2
	INNER JOIN ' + @DB + 'dbo.[DEPARTMENTS] A ON A.LINK_DEP = VD.LINK_CB AND LTRIM(RTRIM(A.INN ' + @COLLATE + ' )) = D.INN AND LTRIM(RTRIM(A.KPP ' + @COLLATE + ' )) = D.KPP
WHERE
	G.LINK2 IS NULL
'	
EXEC SP_EXECUTESQL @SQL

------------
/* */
--    
SET @ERR_MSG = NULL
SET @SQL = 
N'
SET @ERR_MSG = 
	SUBSTRING((
	
			SELECT DISTINCT '','' + LTRIM(RTRIM(D.INN)) + ''/'' + LTRIM(RTRIM(D.KPP)) + ''/'' + LTRIM(RTRIM(DA.CODE))
			FROM
				dbo.DEPARTMENTS D
				INNER JOIN #DEPARTMENTS_SMETA_KS T1 ON D.LINK = T1.LINK1
				INNER JOIN #DEP_ACCOUNTS T2 ON T2.COR = D.LINK AND T2.DEP = T1.DEP
				INNER JOIN dbo.DEPARTMENT_ACCOUNTS DA ON DA.LINK = T2.LINK1
			WHERE
				NOT EXISTS (SELECT * FROM ' + @DB + 'dbo.DEPARTMENT_ACCOUNTS DA_SS WHERE DA_SS.LINK_UP = T1.LINK2 AND DA_SS.CODE ' + @COLLATE + '  = DA.CODE)	
		
			FOR XML PATH('''')
		), 2, 3000)
'	
EXEC SP_EXECUTESQL @SQL, N'@ERR_MSG VARCHAR(256) OUTPUT', @ERR_MSG = @ERR_MSG OUTPUT

IF @ERR_MSG IS NOT NULL
BEGIN
	UPDATE dbo.SYNCH_SMETA_SMART_TAB SET 
		COMENT = LEFT(' -     //: ' + @ERR_MSG,256)
		,[STATUS] = 3
	WHERE LINK = @LINK_JOURN_TAB
	
	RETURN 1
END

--    
SET @ERR_MSG = NULL
SET @SQL = 
N'
SET @ERR_MSG = 
	SUBSTRING((
			SELECT '','' + LTRIM(RTRIM(D.INN)) + ''/'' + LTRIM(RTRIM(D.KPP)) + ''/'' + LTRIM(RTRIM(DA.CODE))
			FROM
				dbo.DEPARTMENTS D
				INNER JOIN #DEPARTMENTS_SMETA_KS T1 ON D.LINK = T1.LINK1
				INNER JOIN #DEP_ACCOUNTS T2 ON T2.COR = D.LINK AND T2.DEP = T1.DEP
				INNER JOIN dbo.DEPARTMENT_ACCOUNTS DA ON DA.LINK = T2.LINK1
				INNER JOIN ' + @DB + 'dbo.DEPARTMENT_ACCOUNTS DA_SS ON DA_SS.LINK_UP = T1.LINK2 AND DA_SS.CODE ' + @COLLATE + '  = DA.CODE
			GROUP BY
				D.INN,D.KPP, DA.CODE 
			HAVING
				COUNT(*) > 1		
			FOR XML PATH('''')
		), 2, 3000)
'	
EXEC SP_EXECUTESQL @SQL, N'@ERR_MSG VARCHAR(256) OUTPUT', @ERR_MSG = @ERR_MSG OUTPUT

IF @ERR_MSG IS NOT NULL
BEGIN
	UPDATE dbo.SYNCH_SMETA_SMART_TAB SET 
		COMENT = LEFT(' -     //: ' + @ERR_MSG,256)
		,[STATUS] = 3
	WHERE LINK = @LINK_JOURN_TAB
	
	RETURN 1
END

--   
SET @ERR_MSG = NULL
SET @SQL = 
N'
UPDATE T2 SET T2.LINK2 = DA_SS.LINK
FROM
	dbo.DEPARTMENTS D
	INNER JOIN #DEPARTMENTS_SMETA_KS T1 ON D.LINK = T1.LINK1
	INNER JOIN #DEP_ACCOUNTS T2 ON T2.COR = D.LINK AND T2.DEP = T1.DEP
	INNER JOIN dbo.DEPARTMENT_ACCOUNTS DA ON DA.LINK = T2.LINK1
	INNER JOIN ' + @DB + 'dbo.DEPARTMENT_ACCOUNTS DA_SS ON DA_SS.LINK_UP = T1.LINK2 AND DA_SS.CODE ' + @COLLATE + ' = DA.CODE
'	
EXEC SP_EXECUTESQL @SQL


--      -
SET @ERR_MSG = NULL
SET @ERR_MSG = 
	SUBSTRING((
				SELECT ',' + LTRIM(RTRIM(D.CODE)) + '/' + LTRIM(RTRIM(D.INN)) + '/' + LTRIM(RTRIM(D.KPP))
				FROM
					dbo.DEPARTMENTS D
					INNER JOIN #DOC G ON D.LINK = G.DEP
					INNER JOIN #DEPARTMENTS_DATE DD ON DD.CODE = D.CODE AND DD.INN = D.INN AND DD.KPP = D.KPP
				WHERE
					NOT G.[DATE_PROV] BETWEEN DD.[BEGINDATE] AND DD.[ENDDATE]
				GROUP BY D.CODE, D.INN, D.KPP
				ORDER BY ',' + LTRIM(RTRIM(D.CODE)) + '/' + LTRIM(RTRIM(D.INN)) + '/' + LTRIM(RTRIM(D.KPP))	
			FOR XML PATH('')
		), 2, 3000)
		

IF @ERR_MSG IS NOT NULL
BEGIN
	UPDATE dbo.SYNCH_SMETA_SMART_TAB SET 
		COMENT = LEFT(' -     . /: ' + @ERR_MSG,256)
		,[STATUS] = 3
	WHERE LINK = @LINK_JOURN_TAB
	
	RETURN 1
END

----------
CREATE TABLE #G_DOC ([NUMBER] varchar(30),[DATE] datetime,[OBJECT] int,[DATE_PROV] datetime,[SUMMA] numeric(19, 2),[COMMENT] varchar(254),[GET_STORE] int,[DEP] int,[ACC] int,[GUID] uniqueidentifier,[LINK_INS] int)
CREATE TABLE #G_PROV ([LINK1] int ,[LINK2] int, [DEP1] INT, [DEP2] INT)
CREATE TABLE #G_PROV1 ([LINK1] int ,[LINK2] int, [DEP1] INT, [DEP2] INT)
CREATE TABLE #G_PROV2 ([LINK1] int ,[LINK2] int, [ACC_DT] INT, [ACC_KT] INT, [DEP1] INT, [DEP2] INT)
CREATE TABLE #VIBOR_ECON_OPER ([ACC_DT] INT, [ACC_KT] INT, [DEP] INT, [ECON_OPER] INT)

--SET @varKStrancount = @@TRANCOUNT
--SET IMPLICIT_TRANSACTIONS ON
--BEGIN TRAN
--COMMIT TRAN

create table #EXEC (text varchar(8000), id int identity(1,1))

INSERT INTO #EXEC ([text]) SELECT
'
INSERT INTO #G_DOC (NUMBER, DATE, [OBJECT], DATE_PROV, SUMMA, COMMENT, GET_STORE, DEP, ACC, [GUID], LINK_INS)
SELECT 
	 NUMBER     = LTRIM(RTRIM(g.NUMBER))
	,DATE       = g.DATE
	,[OBJECT]   = ' + CONVERT(VARCHAR(20),@iOBJECT) + '
	,DATE_PROV  = g.DATE_PROV
	,SUMMA      = g.SUMMA
	,COMMENT    = g.COMMENT
	,GET_STORE  = 0
	,DEP        = T.LINK2
	,ACC        = D.MAIN_LINK
	,[GUID] = G.[GUID]
	,LINK_INS   = g.LINK
FROM 
	dbo.G_PROV g
	INNER JOIN #DOC R ON R.LINK = G.LINK
	INNER JOIN #DEPARTMENTS_SMETA_KS T ON T.LINK1 = G.DEP
	INNER JOIN ' + @DB + 'dbo.DEPARTMENTS D ON D.LINK = T.LINK2
WHERE
	 NOT EXISTS (SELECT * FROM ' + @DB + 'dbo.G_PROV G2 WHERE G2.[OBJECT] IS NOT NULL AND G2.[GUID] = G.[GUID])	

INSERT INTO ' + @DB + 'dbo.G_PROV
	(NUMBER, DATE, [OBJECT], DATE_PROV, SUMMA, COMMENT, GET_STORE, DEP, ACC, [GUID], LINK_INS)
SELECT NUMBER, DATE, [OBJECT], DATE_PROV, SUMMA, COMMENT, GET_STORE, DEP, ACC, [GUID], LINK_INS
FROM #G_DOC

INSERT INTO #G_PROV ([LINK1],[LINK2], [DEP1], [DEP2])
SELECT G_1.LINK, G_2.LINK, G_1.DEP, G_2.DEP
FROM 
	#DOC R
	INNER JOIN dbo.G_PROV G_1 ON G_1.LINK = R.LINK
	INNER JOIN 
	(
		SELECT LINK, DEP,LINK_INS, [OBJECT], NUM = ROW_NUMBER() OVER (PARTITION BY DEP, LINK_INS, [OBJECT] ORDER BY LINK DESC) FROM ' + @DB + 'dbo.G_PROV 
	)G_2 ON G_2.LINK_INS = G_1.LINK AND G_2.NUM = 1	
WHERE
	 G_2.[OBJECT] IS NOT NULL 	
'

IF EXISTS (SELECT text FROM #EXEC)
	EXEC @err = dbo.ssp_execresultset 'select text from #EXEC order by id'

DELETE #EXEC
INSERT INTO #EXEC ([text]) SELECT
'
---
INSERT INTO ' + @DB + '[dbo].[KO]
([LINK_UP],[SUBDIV],[DEP],[EMPL],[ACC],[REASON],[ADDTEXT],[NDS],[FOND],[ALSO],[USE_NDS],[OTHER_PAY],[DOC_NAME],
[NDS_LINK],[PR_F_DOC],[REASON_SH_LINK],[DOCBASE_LINK],[KBK_LINK],[FIELD_SHABLON])
SELECT
	[LINK_UP] = A.LINK2
	,[SUBDIV] = E.SUBDIV2
	,[DEP] = A.[DEP2]
	,[EMPL] = E.LINK2
	,[ACC] = sacc.LINK2
	,[REASON] = ISNULL(T.[REASON],'''')
	,[ADDTEXT] = T.[ADDTEXT]
	,[NDS] = NULL
	,[FOND] = 0
	,[ALSO] = ''''
	,[USE_NDS] = 0
	,[OTHER_PAY] = CASE WHEN T.[OPTION]=4 OR (T.[DOCUM] IS NOT NULL AND T.[DOCUM]<>'''') THEN T.[PAYER] END
	,[DOC_NAME] = T.[DOCUM]
	,[NDS_LINK] = NULL
	,[PR_F_DOC] = NULL
	,[REASON_SH_LINK] = NULL
	,[DOCBASE_LINK] = NULL
	,[KBK_LINK] = NULL
	,[FIELD_SHABLON] = NULL
FROM
	#G_PROV A
	INNER JOIN ' + @DB + '[dbo].[V_DEP] VD ON A.[DEP2] = VD.[LINK]
	INNER JOIN dbo.[G_PROV] G ON G.[Link] = A.LINK1
	INNER JOIN dbo.[DOCUMENTS_RKO] T ON T.[Link] = G.[Link]
	LEFT JOIN #EMP E ON E.DEP = A.DEP1 AND E.LINK1 = CASE T.[OPTION] WHEN 1 THEN T.FACE_LINK WHEN 3 THEN T.FACE_LINK2 ELSE NULL END
	LEFT JOIN #ACCOUNT sacc ON sacc.LINK1 = T.S_ACC_LINK AND sacc.DEP = A.DEP1
'

IF EXISTS (SELECT text FROM #EXEC)
	EXEC @err = dbo.ssp_execresultset 'select text from #EXEC order by id'

----------
DELETE #EXEC
INSERT INTO #EXEC ([text]) SELECT
'
INSERT INTO ' + @DB + 'dbo.G_PROV1 (LINK_UP, NAME_OPER, ORDERS, [LINK_INS])
SELECT DISTINCT
	LINK_UP     = T.LINK2
	,NAME_OPER  = g1.NAME_OPER
	,ORDERS     = 1
	,[LINK_INS] = g1.LINK
FROM 
	#G_PROV T
	INNER JOIN dbo.G_PROV1 g1 ON g1.LINK_UP = T.LINK1

INSERT INTO #G_PROV1 ([LINK1],[LINK2], [DEP1], [DEP2])
SELECT G1_1.LINK, G1_2.LINK, T.[DEP1], T.[DEP2]
FROM 
	#G_PROV T
	INNER JOIN dbo.G_PROV1 G1_1 ON G1_1.LINK_UP = T.LINK1
	INNER JOIN 
	(
		SELECT LINK, LINK_INS, NUM = ROW_NUMBER() OVER (PARTITION BY LINK_INS ORDER BY LINK DESC) FROM ' + @DB + 'dbo.G_PROV1
	)  G1_2 ON G1_2.LINK_INS = G1_1.LINK AND G1_2.NUM = 1	
'

IF EXISTS (SELECT text FROM #EXEC)
	EXEC @err = dbo.ssp_execresultset 'select text from #EXEC order by id'
	

DELETE #EXEC
INSERT INTO #EXEC ([text]) SELECT
'
INSERT INTO ' + @DB + 'dbo.G_PROV2 (LINK_UP, SUMMA, QUANTITY, PRICE, STORNO, NAME, ORDERS, [LINK_INS])
SELECT
	LINK_UP     = T.LINK2
	,SUMMA      = G2.SUMMA
	,QUANTITY   = G2.QUANTITY
	,PRICE      = CASE WHEN G2.QUANTITY <> 0 THEN G2.SUMMA / G2.QUANTITY ELSE 0 END
	,STORNO     = G2.STORNO
	,[NAME]     = G2.NAME
	,ORDERS     = 1
	,[LINK_INS] = G2.LINK
FROM
	#G_PROV1 T 
	INNER JOIN dbo.G_PROV2 G2 ON G2.LINK_UP = T.LINK1
	
INSERT INTO #G_PROV2 ([LINK1],[LINK2], [DEP1], [DEP2], [ACC_DT], [ACC_KT])
SELECT G2_1.LINK, G2_2.LINK, T.[DEP1], T.[DEP2], ACCOUNT0.LINK2, ACCOUNT1.LINK2
FROM 
	#G_PROV1 T
	INNER JOIN dbo.G_PROV2 G2_1 ON G2_1.LINK_UP = T.LINK1
	INNER JOIN 
	(
		SELECT LINK, LINK_INS, NUM = ROW_NUMBER() OVER (PARTITION BY LINK_INS ORDER BY LINK DESC) FROM ' + @DB + 'dbo.G_PROV2
	)  G2_2 ON G2_2.LINK_INS = G2_1.LINK AND G2_2.NUM = 1
	LEFT JOIN dbo.G_PROV_AP GAP0 ON GAP0.LINK_UP = G2_1.LINK AND GAP0.DB_KR = 0	
	LEFT JOIN #ACCOUNT ACCOUNT0 ON ACCOUNT0.LINK1 = GAP0.ACCOUNT AND ACCOUNT0.DEP = T.DEP1
	LEFT JOIN dbo.G_PROV_AP GAP1 ON GAP1.LINK_UP = G2_1.LINK AND GAP1.DB_KR = 1
	LEFT JOIN #ACCOUNT ACCOUNT1 ON ACCOUNT1.LINK1 = GAP1.ACCOUNT AND ACCOUNT1.DEP = T.DEP1
'

IF EXISTS (SELECT text FROM #EXEC)
	EXEC @err = dbo.ssp_execresultset 'select text from #EXEC order by id'


-- 
-- 
INSERT INTO #VIBOR_ECON_OPER ([ACC_DT], [ACC_KT], [DEP])
SELECT DISTINCT [ACC_DT], [ACC_KT], [DEP2]
FROM #G_PROV2


DELETE #EXEC
INSERT INTO #EXEC ([text]) SELECT
'
DECLARE @Cur1 CURSOR, @ACC_DT INT, @ACC_KT INT, @DEP INT, @XO INT
SET @Cur1 = CURSOR FORWARD_ONLY

FOR select [ACC_DT], [ACC_KT], [DEP] from #VIBOR_ECON_OPER order by [ACC_DT], [ACC_KT], [DEP]

OPEN @Cur1
FETCH NEXT FROM @Cur1 INTO @ACC_DT, @ACC_KT, @DEP
WHILE (@@fetch_status <> -1)
BEGIN
	IF (@@fetch_status <> -2)
	BEGIN
		SET @XO = 0
			EXECUTE ' + @DB + 'dbo.LOCATE_ECON_OPER
						@Found_XO = @XO OUTPUT, @intDt = @ACC_DT, @intKt = @ACC_KT, @iObj = ' + CONVERT(VARCHAR(20),@iOBJECT) + ', @iDep = @DEP
		UPDATE #VIBOR_ECON_OPER SET [ECON_OPER] = @XO WHERE ACC_DT= @ACC_DT AND ACC_KT= @ACC_KT AND DEP= @DEP			
	END

	FETCH NEXT FROM @Cur1 INTO @ACC_DT, @ACC_KT, @DEP
END

CLOSE @Cur1
DEALLOCATE @Cur1

-----------------
UPDATE G2 SET
	G2.ECON_OPER = B.[ECON_OPER]
FROM
	#G_PROV2 T
	INNER JOIN dbo.G_PROV2 C ON C.LINK = T.LINK1
	INNER JOIN ' + @DB + 'dbo.G_PROV2 G2 ON G2.LINK = T.LINK2
	INNER JOIN #VIBOR_ECON_OPER B ON T.[DEP2] = B.[DEP] 
									AND ISNULL(T.[ACC_DT],0) = ISNULL(B.[ACC_DT],0)
									AND ISNULL(T.[ACC_KT],0) = ISNULL(B.[ACC_KT],0)
WHERE
	C.ECON_OPER IS NOT NULL															
'

IF EXISTS (SELECT text FROM #EXEC)
	EXEC @err = dbo.ssp_execresultset 'select text from #EXEC order by id'

---------------------------------------------------------
DELETE #EXEC
INSERT INTO #EXEC ([text]) SELECT
'
INSERT INTO ' + @DB + 'dbo.G_PROV_AP 
(LINK_UP, DB_KR, ACCOUNT, KBK, EKR, DEP, KAU, INDATE, SGU, AP2, EMP, SUB)
SELECT 
	LINK_UP     = T.LINK2
	,DB_KR      = GAP.DB_KR
	,ACCOUNT    = ACCOUNT.LINK2
	,KBK        = KBK.LINK2
	,EKR        = EKR.LINK2
	,DEP        = DEP.LINK2
	,KAU        = KAU.LINK2
	,INDATE     = GAP.INDATE
	,SGU        = SGU.LINK2
	,AP2		= DOP.LINK2
	,EMP		= EMP.LINK2
	,SUB		= EMP.SUBDIV2
FROM 
	#G_PROV2 T
	INNER JOIN dbo.G_PROV_AP GAP ON GAP.LINK_UP = T.LINK1
	INNER JOIN #ACCOUNT ACCOUNT ON ACCOUNT.LINK1 = GAP.ACCOUNT AND ACCOUNT.DEP = T.DEP1
	LEFT JOIN #KBK KBK ON KBK.LINK1 = GAP.KBK AND KBK.DEP = T.DEP1
	LEFT JOIN #EKR EKR ON EKR.LINK1 = GAP.EKR AND EKR.DEP = T.DEP1
	LEFT JOIN #SGU SGU ON SGU.LINK1 = GAP.SGU AND SGU.DEP = T.DEP1
	LEFT JOIN #KAU KAU ON KAU.LINK1 = GAP.KAU AND KAU.DEP = T.DEP1
	LEFT JOIN #DOP DOP ON DOP.LINK1 = GAP.AP2 AND DOP.DEP = T.DEP1
	LEFT JOIN #DEPARTMENTS_SMETA_KS DEP ON DEP.LINK1 = GAP.DEP AND DEP.DEP = T.DEP1
	LEFT JOIN #EMP EMP ON EMP.LINK1 = GAP.EMP AND EMP.DEP = T.DEP1
'
IF EXISTS (SELECT text FROM #EXEC)
	EXEC @err = dbo.ssp_execresultset 'select text from #EXEC order by id'

/*      ,  */
DELETE #EXEC
INSERT INTO #EXEC ([text]) SELECT '
INSERT INTO ' + @DB + 'dbo.G_PROV_DOC_OPER (LINK_UP, DOC_OPER)
SELECT LINK2, LINK
FROM
(SELECT DISTINCT D.LINK2, DO.LINK, ROW_NUMBER() OVER (PARTITION BY D.LINK2 ORDER BY (CASE WHEN DO.NAME LIKE ''%'' THEN 1 ELSE 0 END), DO.LINK) AS NUM
FROM
	#G_PROV D
	INNER JOIN ' + @DB + 'dbo.G_PROV G ON D.[LINK2] = G.LINK
	LEFT JOIN ' + @DB + 'dbo.KO KO ON KO.LINK_UP = G.LINK
	INNER JOIN ' + @DB + 'dbo.S_OBJECTS SO ON G.[OBJECT] = SO.LINK
	INNER JOIN ' + @DB + 'dbo.G_PROV1 G1 ON G1.LINK_UP = G.LINK
	INNER JOIN ' + @DB + 'dbo.G_PROV2 G2 ON G2.LINK_UP = G1.LINK
	INNER JOIN ' + @DB + 'dbo.G_PROV_AP GAPD ON GAPD.LINK_UP = G2.LINK AND GAPD.DB_KR = 0
	INNER JOIN ' + @DB + 'dbo.S_ACCOUNTS SAD ON SAD.LINK = GAPD.ACCOUNT
	INNER JOIN ' + @DB + 'dbo.G_PROV_AP GAPK ON GAPK.LINK_UP = G2.LINK AND GAPK.DB_KR = 1
	INNER JOIN ' + @DB + 'dbo.S_ACCOUNTS SAK ON SAK.LINK = GAPK.ACCOUNT
	INNER JOIN ' + @DB + 'dbo.V_DOC_OPERS DO ON DO.OBJ_CODE = SO.CODE AND DO.CODE =
		CASE 
			--1.  210.03   201.34 - 
			WHEN SAD.cSinth LIKE ''210'' AND SAD.cAnalit LIKE ''03'' THEN ''DOCUMENTS_KO_BANK'' 
			--2.  201.23   201.34 -  /  (201.23)
			WHEN SAD.cSinth LIKE ''201'' AND SAD.cAnalit LIKE ''23'' THEN ''DOCUMENTS_KO_KARTA'' 
			--3.  205        201.34 -  
			WHEN SAD.cSinth LIKE ''205'' THEN ''DOCUMENTS_KO_VOZVRAT_DOHOD''
			--4.  304.02   201.34 -   
			WHEN SAD.cSinth LIKE ''304'' AND SAD.cAnalit LIKE ''02'' THEN ''DOCUMENTS_KO_DEPONENT'' 
			--5.  302.11-13  201.34 -   
			WHEN SAD.cSinth LIKE ''302'' AND SAD.cAnalit LIKE ''1[1-3]'' THEN ''DOCUMENTS_KO_ZARPLATA'' 
			--6.  302.25-26   201.34 -    
			WHEN SAD.cSinth LIKE ''302'' AND SAD.cAnalit LIKE ''2[5-6]'' THEN ''DOCUMENTS_KO_ZARPLATA_VNESHTAT'' 
			--7.  302.62-63   201.34 -  ,   .
			WHEN SAD.cSinth LIKE ''302'' AND SAD.cAnalit LIKE ''6[2-3]'' THEN ''DOCUMENTS_KO_POSOBIE'' 
			--8.  304.03      201.34  -    / (304.03)
			WHEN SAD.cSinth LIKE ''304'' AND SAD.cAnalit LIKE ''03'' THEN ''DOCUMENTS_KO_UDERZANIY'' 
			--9.  302.21-24,29, 206   201.34 - 
			WHEN (SAD.cSinth LIKE ''302'' AND SAD.cAnalit LIKE ''2[1-4,9]'') OR SAD.cSinth LIKE ''206'' THEN ''DOCUMENTS_KO_DEP'' 
			--10.  208    201.34  - 
			WHEN SAD.cSinth LIKE ''208'' THEN ''DOCUMENTS_KO_EMPL'' 
			--11.  201.34    - 
			ELSE ''DOCUMENTS_KO_OTHER''
		END
WHERE
	SO.CODE = ''DOCUMENTS_RKO'' AND ISNULL(KO.FOND,0) = 0
	AND
	SAK.cSinth LIKE ''201'' AND SAK.cAnalit LIKE ''34''
) T	
WHERE
	T.NUM = 1
	
----   
UPDATE G SET G.SUMMA = ISNULL(T.SUMMA,0)
FROM 
(
SELECT D.LINK2, SUM(G2.SUMMA) AS SUMMA 
FROM #G_PROV D
	INNER JOIN ' + @DB + 'dbo.G_PROV1 G1 ON G1.LINK_UP = D.LINK2
	INNER JOIN ' + @DB + 'dbo.G_PROV2 G2 ON G2.LINK_UP = G1.LINK
WHERE 
	G2.LINK_SELF IS NULL
GROUP BY 	
	D.LINK2
) T
INNER JOIN ' + @DB + 'dbo.G_PROV G ON G.LINK = T.LINK2	
'

IF EXISTS (SELECT text FROM #EXEC)
	EXEC @err = dbo.ssp_execresultset 'select text from #EXEC order by id'


------  G_PROV_FIELDS
DELETE #EXEC
INSERT INTO #EXEC ([text]) SELECT
'
DECLARE @Cur1 CURSOR, @LINK INT
SET @Cur1 = CURSOR FORWARD_ONLY

FOR select LINK2 from #G_PROV

OPEN @Cur1
FETCH NEXT FROM @Cur1 INTO @LINK
WHILE (@@fetch_status <> -1)
BEGIN
	IF (@@fetch_status <> -2)
	BEGIN
		--      ,      G_PROV_FIELDS
		EXEC ' + @DB + 'dbo.XA_UPDATE_G_PROV_KAU_1 @LINK_DOC = @LINK

		--    .   ,      G_PROV_FIELDS
		EXEC ' + @DB + 'dbo.XA_UPDATE_G_PROV_DOP_CLASSIF_1 @LINK_DOC = @LINK

		--      ,      G_PROV_FIELDS
		EXEC ' + @DB + 'dbo.XA_UPDATE_G_PROV_EKR_1 @LINK_DOC = @LINK

		--       ,      G_PROV_FIELDS
		EXEC ' + @DB + 'dbo.XA_UPDATE_G_PROV_FIN_SOURCE_1 @LINK_DOC = @LINK

		--      ,      G_PROV_FIELDS
		EXEC ' + @DB + 'dbo.XA_UPDATE_G_PROV_KBK_1 @LINK_DOC = @LINK

		----    -  ,      G_PROV_FIELDS
		--EXEC ' + @DB + 'dbo.XA_UPDATE_G_PROV_DOCBASE_1 @LINK_DOC = @LINK

		--    , ,  "-"   ""
		EXEC ' + @DB + 'dbo.XA_UPDATE_DOC_NAME_1 @LINK_DOC = @LINK

		EXEC ' + @DB + 'dbo.XA_UPDATE_G_PROV_STATE
			@LINK_DOC = @LINK, --    
			@STATE_CODE = ''SALARY'', -- 
			@VALUE = 1, -- 1- , 0- 
			@RPS = 1 -- @VALUE = 1        		

	END

	FETCH NEXT FROM @Cur1 INTO @LINK
END

CLOSE @Cur1
DEALLOCATE @Cur1
'

IF EXISTS (SELECT text FROM #EXEC)
	EXEC @err = dbo.ssp_execresultset 'select text from #EXEC order by id'


-- 
SET @ERR_MSG = NULL
SET @SQL = 
N'
	DECLARE @RID uniqueidentifier
	SET @RID = NEWID()
	INSERT INTO ' + @DB + 'dbo.SYS_LINK(RID,LINK,OBJECT)
	SELECT @RID, LINK2, @iOBJECT FROM #G_PROV 
	
	EXEC ' + @DB + 'dbo.GEN_JURN_BO @RID = @RID, @cMode=''all''
	
	DELETE ' + @DB + 'dbo.SYS_LINK WHERE RID = @RID
'	
EXEC SP_EXECUTESQL @SQL, N'@iOBJECT INT', @iOBJECT = @iOBJECT

------  G_PROV_FIELDS
DELETE #EXEC
INSERT INTO #EXEC ([text]) SELECT
'
DECLARE @Cur1 CURSOR, @LINK INT
SET @Cur1 = CURSOR FORWARD_ONLY

FOR 
	SELECT GAP.AP1
	FROM 
		' + @DB + 'dbo.G_PROV1 G1 
		INNER JOIN ' + @DB + 'dbo.G_PROV2 G2 ON G2.LINK_UP = G1.LINK
		INNER JOIN ' + @DB + 'dbo.G_PROV_AP GAP ON GAP.LINK_UP = G2.LINK
		INNER JOIN #G_PROV T ON T.LINK2 = GAP.AP1

OPEN @Cur1
FETCH NEXT FROM @Cur1 INTO @LINK
WHILE (@@fetch_status <> -1)
BEGIN
	IF (@@fetch_status <> -2)
	BEGIN
		--      ,      G_PROV_FIELDS
		EXEC ' + @DB + 'dbo.XA_UPDATE_G_PROV_KAU_1 @LINK_DOC = @LINK

		--    .   ,      G_PROV_FIELDS
		EXEC ' + @DB + 'dbo.XA_UPDATE_G_PROV_DOP_CLASSIF_1 @LINK_DOC = @LINK

		--      ,      G_PROV_FIELDS
		EXEC ' + @DB + 'dbo.XA_UPDATE_G_PROV_EKR_1 @LINK_DOC = @LINK

		--       ,      G_PROV_FIELDS
		EXEC ' + @DB + 'dbo.XA_UPDATE_G_PROV_FIN_SOURCE_1 @LINK_DOC = @LINK

		--      ,      G_PROV_FIELDS
		EXEC ' + @DB + 'dbo.XA_UPDATE_G_PROV_KBK_1 @LINK_DOC = @LINK

		--    -  ,      G_PROV_FIELDS
		EXEC ' + @DB + 'dbo.XA_UPDATE_G_PROV_DOCBASE_1 @LINK_DOC = @LINK

		--    , ,  "-"   ""
		EXEC ' + @DB + 'dbo.XA_UPDATE_DOC_NAME_1 @LINK_DOC = @LINK				
	END

	FETCH NEXT FROM @Cur1 INTO @LINK
END

CLOSE @Cur1
DEALLOCATE @Cur1
'

IF EXISTS (SELECT text FROM #EXEC)
	EXEC @err = dbo.ssp_execresultset 'select text from #EXEC order by id'

----  
UPDATE dbo.SYNCH_SMETA_SMART_TAB SET 
	COMENT = 
		(SELECT ': ' + CONVERT(VARCHAR(5),COUNT(*)) FROM #G_PROV) 
		+ '; ' + (SELECT ': ' + CONVERT(VARCHAR(5),COUNT(*)) FROM #G_PROV2) 
	,[STATUS] = 1
WHERE LINK = @LINK_JOURN_TAB

--  
DELETE S FROM #G_PROV T INNER JOIN dbo.GP_EXCH_STATUS S ON S.LINK_GP = T.LINK1

INSERT INTO dbo.GP_EXCH_STATUS (LINK_GP,[STATUS],[DATE],[COMMENT])
SELECT LINK1, 1, GETDATE(), suser_sname() + '; ' + host_name() FROM #G_PROV

--IF @@TRANCOUNT > @varKStrancount
--	COMMIT TRAN

END


GO


GRANT EXECUTE ON dbo.[SYNCH_DOCUMENTS_RKO] TO PUBLIC

GO


GO
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[SD_REP_1NDFL2009]') AND OBJECTPROPERTY(id,N'IsProcedure') = 1)
DROP PROCEDURE dbo.[SD_REP_1NDFL2009]

GO
CREATE    PROCEDURE [dbo].[SD_REP_1NDFL2009]
	@varKScYear VARCHAR(4),
	@varKSnLinkEmpl INT = NULL,
	@varKSnLinkPers INT = NULL
AS BEGIN

	DECLARE @varKSnYear INT
	SET @varKSnYear = CAST(@varKScYear AS INT)
	--DECLARE @varKSnLinkPers int
	

	IF @varKSnLinkPers IS NULL
		SET @varKSnLinkPers = (SELECT TOP 1 PERS_LINK FROM dbo.EMPL WHERE LINK = @varKSnLinkEmpl)

	DECLARE @WORKDATE DATETIME, @DEP_LINK INT
	SELECT @WORKDATE = WORKDATE, @DEP_LINK = DEP_LINK FROM dbo.USER_INFO
	
	DECLARE @Today INT
	SET  @Today = CASE WHEN YEAR(@WORKDATE) = @varKSnYear THEN MONTH(@WORKDATE) ELSE 12 END
		
	SELECT 
		ISNULL((SELECT TOP 1 CONVERT(VARCHAR(10), DD3.CODE) FROM dbo.DEPARTMENTS DD3 WHERE DD3.LINK = DD.IMNS_LINK), '') AS NALOG,
		ISNULL(INN, '') AS INN,
		ISNULL(KPP, '') AS KPP,
		ISNULL(OKATO, '') AS OKATO,
		ISNULL(OKTMO, '')AS OKTMO,
		CONVERT(VARCHAR (254),(ISNULL(FULL_NAME, ''))) AS FULL_NAME
	INTO #DEP
	FROM dbo.DEPARTMENTS DD
	WHERE DD.link = @DEP_LINK

CREATE TABLE #RES0 (
	LINK_FACE INT,
	INNFIZ VARCHAR(20),
	NUMB_SERT VARCHAR(20),
	STATUS VARCHAR(1),
	FM VARCHAR(254),
	IM VARCHAR(254),
	OT VARCHAR(254),
	KDVD VARCHAR(4),
	SERNOM VARCHAR(254), 
	BIRTH DATETIME,
	GRAZD VARCHAR(3),
	KSTR VARCHAR(3),
	LINK_ADR INT,
	IND_ADR VARCHAR(10),
	REGION VARCHAR(4),
	RAION VARCHAR(254),
	GOROD VARCHAR(254),
	NASEL VARCHAR(254),
	STREET VARCHAR(254),
	HOUSE VARCHAR(20),
	KORP VARCHAR(10),
	FLAT VARCHAR(10),
	HAS_VICHET TINYINT,

	STR_MD varchar(100),
	STR_RCH varchar(180),
	CHILDREN INT,
	DOLG_NP NUMERIC(20,2),
	DOLG_NA NUMERIC(20,2),
	OLD13 NUMERIC(20,2),
	DATE_BEG DATETIME,
	SNN NUMERIC(8,0), SNU NUMERIC(8,0),
	DOLG_NPEND NUMERIC(8,0), DOLG_NAEND NUMERIC(8,0) 
)

EXEC dbo.BufferClear
exec dbo.BufferPush @varKSnLinkPers, 'REP2NDFL'

----
CREATE TABLE #EMPL (LINK INT, PERS_LINK INT, DATE_BEGIN DATETIME, )
INSERT INTO #EMPL (LINK, PERS_LINK, DATE_BEGIN)
SELECT LINK, PERS_LINK, DATE_BEGIN FROM dbo.SD_EMPL_FN(@varKSnLinkEmpl,DEFAULT,DEFAULT,@DEP_LINK)

SELECT 
	MD.LINK_MINROT,
	[REF_PAY] = MD.LINK_DICTION,
	[CODE] = DT.SNAME,
	[NAME] = DT.NAME,
	[TYPE] = DT.NUMBER,
	MD.PREDEL,
	MD.SUMMA
INTO
	#DICTIONARY_MROT_TABLE1	
FROM
	dbo.MINROT_DICTION MD 
	INNER JOIN dbo.DICTIONARY_TYP_DEDUCTION	DT ON DT.LINK = MD.LINK_DICTION
WHERE
	EXISTS (SELECT * FROM dbo.S_OBJECTS SO WHERE SO.CODE = 'COLUMN_REF_PAY_MROT_T1' AND SO.LINK = MD.[OBJECT])

----- >>>>>
CREATE TABLE  #DEDS ( RECNO INT IDENTITY(1,1) , ref_ded INT,  CODE_DED INT, [type] TINyINT, SUMMA numeric(18,2), for_child TINyINT) 
INSERT INTO #DEDS (ref_ded, CODE_DED, [type], SUMMA, for_child)
SELECT  t1.REF_PAY, t1.CODE, T1.[type], t1.SUMMA , 
	for_child = (case when EXISTS(select * from #DICTIONARY_MROT_TABLE1
					where code = t1.code and [type] = T1.[type] and name like('%%')) then 2 else 1 end)
FROM 
	dbo.DICTIONARY_MROT_TABLE1 t1
WHERE
	t1.link_minrot = (SELECT TOP 1 link FROM dbo.DICTIONARY_MROT ss WHERE year(ss.period) <= @varKSnYear ORDER BY ss.period DESC)
ORDER BY t1.CODE

----- >>>>>
---

INSERT INTO #RES0 (
	LINK_FACE,
	INNFIZ,
	NUMB_SERT,
	STATUS,
	FM, IM, OT,
	KDVD,
	SERNOM, 
	BIRTH,
	GRAZD,
	KSTR,
	LINK_ADR,
	IND_ADR,
	REGION,
	RAION,
	GOROD,
	NASEL,
	STREET,
	HOUSE,
	KORP,
	FLAT,
	HAS_VICHET,

	STR_MD,
	STR_RCH,
	CHILDREN,
	DOLG_NP, DOLG_NA,
	DATE_BEG)


SELECT P.LINK, P.INN, P.INSUR_NUM, 
	CASE 
		WHEN P.RESIDENT IS NULL THEN ''
		WHEN P.RESIDENT = 1 THEN '1'
		WHEN P.RESIDENT = 0 THEN '2'
	END,
	RTRIM(P.FM), RTRIM(P.IM), RTRIM(P.OT),
	[KDVD] = (SELECT TOP 1 CODE FROM FACE_DOCUMENT WHERE LINK = P.DOC_LINK),
	P.DOC_NUM,
	P.BIRTHDATE,
	(SELECT TOP 1 CODE FROM CITIZENSHIP WHERE LINK = P.CITIZ_LINK),
	CASE WHEN P.RESIDENT IS NULL OR P.RESIDENT = 1 THEN ''
		ELSE ISNULL((SELECT TOP 1 CODE FROM CITIZENSHIP WHERE LINK = P.CITIZ_LINK), '1')
	END,
	ADR.LINK_ADDR,
	ADR.IND_ADR,
	ADR.REGION,
	ADR.RAION,
	ADR.GOROD,
	ADR.NASEL,
	ADR.STREET,
	ADR.HOUSE,
	ADR.KORP,
	ADR.FLAT, 
	0,
	/*0, 0, 0, 0, 0, 0, 0, 0, 0,*/
	'',
	'',
	[CHILDREN] = (SELECT COUNT(*) FROM KU_PERS_FAMILY 
				WHERE LINK = @varKSnLinkPers
			AND FAMILY_NAME IN ('', '', '', '')
			and datediff(yy, BIRTHDATE, dbo.ConvertDMY2Date(1,1,@varKSnYear)) <18),
	[DOLG_NP] = 0,
	[DOLG_NA] = (SELECT SUM(NDFL) FROM DICTIONARY_SAL_REMAIN 
			WHERE YEAR_SAL = @varKSnYear AND LINK_EMPL = E.LINK),
	[DATE_BEG] = E.date_begin
FROM
	dbo.PERSON P
	LEFT JOIN #EMPL E ON P.LINK = E.PERS_LINK
	LEFT JOIN dbo.NDFL_GET_ADDRESS() ADR ON P.LINK = ADR.LINK_FACE
WHERE 
	P.LINK = @varKSnLinkPers


	DECLARE @varKSStatus VARCHAR(1)
	Set @varKSStatus = COALESCE((SELECT TOP 1 STATUS FROM #RES0),1) /*,  */


	UPDATE #RES0 SET DOLG_NP = -DOLG_NA, DOLG_NA = 0 WHERE DOLG_NA < 0
	IF (SELECT TOP 1 YEAR(DATE_BEG) FROM #RES0 ) = @varKSnYear
		UPDATE #RES0 SET OLD13 = ISNULL((SELECT SUM(SUMMA_TYP_INCOMS) FROM dbo.SD_EMPL_PREV_DOHOD WHERE LINK_EMPL = (SELECT TOP 1 LINK FROM dbo.EMPL WHERE DEP_LINK = @DEP_LINK AND PERS_LINK = @varKSnLinkPers AND dbo.ku_getemplstatus(LINK, DEFAULT) = 1)), 0)
	ELSE
		UPDATE #RES0 SET OLD13 = 0
---->>>>>>------

	DECLARE @CNT INT
	SELECT @CNT = COUNT(DISTINCT CODE_DED) FROM #DEDS
	
	DECLARE @I INT, @SQLS VARCHAR(4000), @FIELD VARCHAR(1000)
	SET @I=1
	WHILE @I <= @CNT BEGIN

		SET @FIELD= 'HAS' + RTRIM(LTRIM(STR((select CODE_DED from #DEDS where RECNO = @I and [TYPE] = 1) )))
		SET @SQLS= ' ALTER TABLE #RES0 ADD '+@FIELD+ ' TINYINT null ' 
		EXEC (@SQLS)

		SET @SQLS= ' UPDATE #RES0 SET '+@FIELD+ ' = 0  WHERE ' + @FIELD+ '  IS  NULL ' 
		EXEC (@SQLS)

		SET @FIELD= 'SUM' + RTRIM(LTRIM(STR((select CODE_DED from #DEDS where RECNO = @I and [TYPE] = 1) )))
		SET @SQLS= ' ALTER TABLE #RES0 ADD '+@FIELD+ ' numeric(18,2) null ' 
		EXEC (@SQLS)

		SET @SQLS= ' UPDATE #RES0 SET '+@FIELD+ ' = 0  WHERE ' + @FIELD+ '  IS  NULL ' 
		EXEC (@SQLS)



		SET @I=@I+1
	END		

---->>>>>>------
	-----	 
	Declare @isPrevPreiod tinyint
	--        ,     .                   
	Set @isPrevPreiod = dbo.sa_get_option_by_code('NDFL_OPT6')
	Declare @SJC table (LINK_FACE int,PERS_LINK int, link_empl int, link_pays int, link_vkr int, link_ekr int, typ_per tinyint, typ_oper tinyint, summa numeric(18,2), period_begin datetime, date1 datetime, link_dep int, CODE_INC varchar(5))

	Insert into @SJC (LINK_FACE, PERS_LINK, link_empl, link_pays, link_vkr, link_ekr, typ_per, typ_oper, summa, period_begin, date1, link_dep, CODE_INC)
	Select 
		E.PERS_LINK, JC.PERS_LINK, JC.LINK_EMPL, P.LINK, link_vkr, COALESCE(JC.LINK_EKR,P.LINK_EKR), P.TYP_PER, P.OBJECT, summa, 
		period_begin = (case when @isPrevPreiod = 0 then JC.period_begin 
				else (Case 
						when JC.DATE_BEGIN < JC.period_begin and year(JC.DATE_BEGIN) = year(JC.period_begin) and d.code = 'DOCUMENTS_ADD_TABEL'
						then JC.DATE_BEGIN else JC.period_begin 
					end) 
				end),
		JC.DATE_BEGIN,
		JC.LINK_DEP,
		CODE_INC = CONVERT(VARCHAR(5), (SELECT DA.VALUE FROM DICTION_APP DA WHERE DA.LINK_UP = P.LINK_INC AND 
	        da.OBJECT =(SELECT LINK FROM S_OBJECTS WHERE CODE = 'COLUMN_CODE_T_INC')))
	from 
		dbo.CALCULATE_JURNAL JC 
		INNER JOIN dbo.NDFL_GroupTax() T ON JC.LINK_PAYS=T.LINK_PAYS
		INNER JOIN dbo.EMPL E ON JC.LINK_EMPL = E.LINK
		INNER JOIN dbo.PAYS P ON JC.LINK_PAYS = P.LINK
		LEFT JOIN (Select d.link, o.code from sdoc d inner join dbo.s_objects o on d.object = o.link) d on jc.LINK_DOC = d.link
	where
		 (
				(@isPrevPreiod = 0 or coalesce(d.code,'') <> 'DOCUMENTS_ADD_TABEL') and 12 >= month(JC.PERIOD_BEGIN) and @varKSnYear = year(JC.PERIOD_BEGIN)
				or 
				@isPrevPreiod = 1 and coalesce(d.code,'') = 'DOCUMENTS_ADD_TABEL'
				and (12 >= month(JC.DATE_BEGIN) or 12 >= month(JC.PERIOD_BEGIN) )
				and (@varKSnYear = year(JC.DATE_BEGIN) or @varKSnYear = year(JC.PERIOD_BEGIN) )

			)
		AND JC.LINK_DEP = @DEP_LINK
		AND E.PERS_LINK = @varKSnLinkPers
	UNION ALL --   	 
	Select 
		JC.PERS_LINK, JC.PERS_LINK, JC.LINK_EMPL, P.LINK, link_vkr, COALESCE(JC.LINK_EKR,P.LINK_EKR), P.TYP_PER, P.OBJECT, summa, 
		period_begin = (case when @isPrevPreiod = 0 then JC.period_begin 
				else (Case 
						when JC.DATE_BEGIN < JC.period_begin and year(JC.DATE_BEGIN) = year(JC.period_begin) and d.code = 'DOCUMENTS_ADD_TABEL'
						then JC.DATE_BEGIN else JC.period_begin 
					end) 
				end),
		JC.DATE_BEGIN,
		JC.LINK_DEP,
		CODE_INC = CONVERT(VARCHAR(5), (SELECT DA.VALUE FROM DICTION_APP DA WHERE DA.LINK_UP = P.LINK_INC AND 
	        da.OBJECT =(SELECT LINK FROM S_OBJECTS WHERE CODE = 'COLUMN_CODE_T_INC')))
	from 
		dbo.CALCULATE_JURNAL JC
		INNER JOIN dbo.NDFL_GroupTax() T ON JC.LINK_PAYS=T.LINK_PAYS 
		INNER JOIN dbo.PAYS P ON JC.LINK_PAYS = P.LINK
		LEFT JOIN (Select d.link, o.code from sdoc d inner join dbo.s_objects o on d.object = o.link) d on jc.LINK_DOC = d.link
	where
		 (
				(@isPrevPreiod = 0 or coalesce(d.code,'') <> 'DOCUMENTS_ADD_TABEL') and 12 >= month(JC.PERIOD_BEGIN) and @varKSnYear = year(JC.PERIOD_BEGIN)
				or 
				@isPrevPreiod = 1 and coalesce(d.code,'') = 'DOCUMENTS_ADD_TABEL'
				and (12 >= month(JC.DATE_BEGIN) or 12 >= month(JC.PERIOD_BEGIN) )
				and (@varKSnYear = year(JC.DATE_BEGIN) or @varKSnYear = year(JC.PERIOD_BEGIN) )

			)
		AND JC.LINK_DEP = @DEP_LINK 
		AND JC.PERS_LINK = @varKSnLinkPers		


	-------
	CREATE TABLE #PAYS0 (MODE INT, CODE VARCHAR(10), 
		SM01 NUMERIC(20,2), SM02 NUMERIC(20,2), SM03 NUMERIC(20,2), SM04 NUMERIC(20,2), 
		SM05 NUMERIC(20,2), SM06 NUMERIC(20,2), SM07 NUMERIC(20,2), SM08 NUMERIC(20,2), 
		SM09 NUMERIC(20,2), SM10 NUMERIC(20,2), SM11 NUMERIC(20,2), SM12 NUMERIC(20,2), SM13 NUMERIC(20,2)
	)

	INSERT INTO #PAYS0 (MODE,CODE,SM01,SM02,SM03,SM04,SM05,SM06,SM07,SM08,SM09,SM10,SM11,SM12)
	SELECT 1, CODE_INC,
		SUM( CASE WHEN MONTH(CASE WHEN TYP_PER = 1 THEN SJC.PERIOD_BEGIN WHEN TYP_PER = 2 THEN SJC.DATE1 END) = 1 THEN SUMMA ELSE 0.00 END),
		SUM( CASE WHEN MONTH(CASE WHEN TYP_PER = 1 THEN SJC.PERIOD_BEGIN WHEN TYP_PER = 2 THEN SJC.DATE1 END) = 2 THEN SUMMA ELSE 0.00 END),
		SUM( CASE WHEN MONTH(CASE WHEN TYP_PER = 1 THEN SJC.PERIOD_BEGIN WHEN TYP_PER = 2 THEN SJC.DATE1 END) = 3 THEN SUMMA ELSE 0.00 END),
		SUM( CASE WHEN MONTH(CASE WHEN TYP_PER = 1 THEN SJC.PERIOD_BEGIN WHEN TYP_PER = 2 THEN SJC.DATE1 END) = 4 THEN SUMMA ELSE 0.00 END),
		SUM( CASE WHEN MONTH(CASE WHEN TYP_PER = 1 THEN SJC.PERIOD_BEGIN WHEN TYP_PER = 2 THEN SJC.DATE1 END) = 5 THEN SUMMA ELSE 0.00 END),
		SUM( CASE WHEN MONTH(CASE WHEN TYP_PER = 1 THEN SJC.PERIOD_BEGIN WHEN TYP_PER = 2 THEN SJC.DATE1 END) = 6 THEN SUMMA ELSE 0.00 END),
		SUM( CASE WHEN MONTH(CASE WHEN TYP_PER = 1 THEN SJC.PERIOD_BEGIN WHEN TYP_PER = 2 THEN SJC.DATE1 END) = 7 THEN SUMMA ELSE 0.00 END),
		SUM( CASE WHEN MONTH(CASE WHEN TYP_PER = 1 THEN SJC.PERIOD_BEGIN WHEN TYP_PER = 2 THEN SJC.DATE1 END) = 8 THEN SUMMA ELSE 0.00 END),
		SUM( CASE WHEN MONTH(CASE WHEN TYP_PER = 1 THEN SJC.PERIOD_BEGIN WHEN TYP_PER = 2 THEN SJC.DATE1 END) = 9 THEN SUMMA ELSE 0.00 END),
		SUM( CASE WHEN MONTH(CASE WHEN TYP_PER = 1 THEN SJC.PERIOD_BEGIN WHEN TYP_PER = 2 THEN SJC.DATE1 END) = 10 THEN SUMMA ELSE 0.00 END),
		SUM( CASE WHEN MONTH(CASE WHEN TYP_PER = 1 THEN SJC.PERIOD_BEGIN WHEN TYP_PER = 2 THEN SJC.DATE1 END) = 11 THEN SUMMA ELSE 0.00 END),
		SUM( CASE WHEN MONTH(CASE WHEN TYP_PER = 1 THEN SJC.PERIOD_BEGIN WHEN TYP_PER = 2 THEN SJC.DATE1 END) = 12 THEN SUMMA ELSE 0.00 END)
	FROM 
		@SJC SJC 
	WHERE
		SJC.LINK_FACE = @varKSnLinkPers
		AND YEAR(CASE WHEN TYP_PER = 1 THEN SJC.PERIOD_BEGIN WHEN TYP_PER = 2 THEN SJC.DATE1 END) = @varKSnYear
		AND CODE_INC IS NOT NULL
		AND CODE_INC <> '0000'
		AND SJC.link_dep  = @DEP_LINK 
	GROUP BY SJC.CODE_INC
	ORDER BY SJC.CODE_INC

	---
	CREATE TABLE #ndfl_ded_month_all_table_MONTH (MON INT, LINK_DED INT, SUMMA NUMERIC(11,2))

	--  
	INSERT INTO #ndfl_ded_month_all_table_MONTH (MON, LINK_DED, SUMMA)
	SELECT MONTH(DATE_DED), REF_DED, SUM(SUMMA)
	FROM 
		dbo.EMPL E
		INNER JOIN SAL_DED_MONTH S ON E.LINK = S.LINK_EMPL
	WHERE
		E.PERS_LINK = @varKSnLinkPers
		AND YEAR(DATE_DED) = @varKSnYear
		--AND TYPE = 1
		AND DEP_LINK = @DEP_LINK
		----
		AND EXISTS ( SELECT * FROM #deds d WHERE d.ref_ded = s.REF_DED)
		----
	GROUP BY DATE_DED, REF_DED

	--  
	INSERT INTO #ndfl_ded_month_all_table_MONTH (MON, LINK_DED, SUMMA)
	SELECT MONTH(DATE_DED), REF_DED, SUM(S.SUMMA)
	FROM 
		dbo.REESTR_DGH E
		INNER JOIN dbo.SAL_DED_MONTH S ON E.LINK = S.LINK_DGH
	WHERE
		E.PERS_LINK = @varKSnLinkPers
		AND YEAR(DATE_DED) = @varKSnYear
		--AND TYPE = 1
		AND DEP_LINK = @DEP_LINK
		----
		AND EXISTS ( SELECT * FROM #deds d WHERE d.ref_ded = s.REF_DED)
		----
	GROUP BY DATE_DED, REF_DED	


	CREATE TABLE #MONTHES ([MONTH] INT, SUMMA NUMERIC(18,2), CODE_DED VARCHAR(10) )
	DECLARE @varKSI INT
	SET @varKSI = 1
	WHILE @varKSI < 13 BEGIN
		INSERT INTO #MONTHES
		SELECT @varKSI, V.SUMMA, DTD.CODE
		FROM 
			#ndfl_ded_month_all_table_MONTH v
			INNER JOIN dbo.DICTIONARY_TYP_DEDUCTION DTD ON DTD.LINK = V.LINK_DED
			INNER JOIN dbo.SALARY_GROUP_DEDUCTION T ON DTD.NUMBER = T.CODE
		WHERE
			T.CODE NOT IN (1,4)
			AND
			V.MON = @varKSI
	
		SET @varKSI = @varKSI + 1
	END

	CREATE TABLE #MONTHES2 (CODE_DED VARCHAR(10), 
		SM01 NUMERIC(11,2), SM02 NUMERIC(11,2), SM03 NUMERIC(11,2), SM04 NUMERIC(11,2), 
		SM05 NUMERIC(11,2), SM06 NUMERIC(11,2), SM07 NUMERIC(11,2), SM08 NUMERIC(11,2), 
		SM09 NUMERIC(11,2), SM10 NUMERIC(11,2), SM11 NUMERIC(11,2), SM12 NUMERIC(11,2))
		
	INSERT INTO #MONTHES2 (CODE_DED)
	SELECT DISTINCT CODE_DED FROM #MONTHES
	UPDATE #MONTHES2 SET SM01 = (SELECT ISNULL(SUM(SUMMA),0) FROM #MONTHES M0 WHERE M0.CODE_DED = M1.CODE_DED AND M0.MONTH = 1) FROM #MONTHES2 M1
	UPDATE #MONTHES2 SET SM02 = (SELECT ISNULL(SUM(SUMMA),0) FROM #MONTHES M0 WHERE M0.CODE_DED = M1.CODE_DED AND M0.MONTH = 2) FROM #MONTHES2 M1
	UPDATE #MONTHES2 SET SM03 = (SELECT ISNULL(SUM(SUMMA),0) FROM #MONTHES M0 WHERE M0.CODE_DED = M1.CODE_DED AND M0.MONTH = 3) FROM #MONTHES2 M1
	UPDATE #MONTHES2 SET SM04 = (SELECT ISNULL(SUM(SUMMA),0) FROM #MONTHES M0 WHERE M0.CODE_DED = M1.CODE_DED AND M0.MONTH = 4) FROM #MONTHES2 M1
	UPDATE #MONTHES2 SET SM05 = (SELECT ISNULL(SUM(SUMMA),0) FROM #MONTHES M0 WHERE M0.CODE_DED = M1.CODE_DED AND M0.MONTH = 5) FROM #MONTHES2 M1
	UPDATE #MONTHES2 SET SM06 = (SELECT ISNULL(SUM(SUMMA),0) FROM #MONTHES M0 WHERE M0.CODE_DED = M1.CODE_DED AND M0.MONTH = 6) FROM #MONTHES2 M1
	UPDATE #MONTHES2 SET SM07 = (SELECT ISNULL(SUM(SUMMA),0) FROM #MONTHES M0 WHERE M0.CODE_DED = M1.CODE_DED AND M0.MONTH = 7) FROM #MONTHES2 M1
	UPDATE #MONTHES2 SET SM08 = (SELECT ISNULL(SUM(SUMMA),0) FROM #MONTHES M0 WHERE M0.CODE_DED = M1.CODE_DED AND M0.MONTH = 8) FROM #MONTHES2 M1
	UPDATE #MONTHES2 SET SM09 = (SELECT ISNULL(SUM(SUMMA),0) FROM #MONTHES M0 WHERE M0.CODE_DED = M1.CODE_DED AND M0.MONTH = 9) FROM #MONTHES2 M1
	UPDATE #MONTHES2 SET SM10 = (SELECT ISNULL(SUM(SUMMA),0) FROM #MONTHES M0 WHERE M0.CODE_DED = M1.CODE_DED AND M0.MONTH = 10) FROM #MONTHES2 M1
	UPDATE #MONTHES2 SET SM11 = (SELECT ISNULL(SUM(SUMMA),0) FROM #MONTHES M0 WHERE M0.CODE_DED = M1.CODE_DED AND M0.MONTH = 11) FROM #MONTHES2 M1
	UPDATE #MONTHES2 SET SM12 = (SELECT ISNULL(SUM(SUMMA),0) FROM #MONTHES M0 WHERE M0.CODE_DED = M1.CODE_DED AND M0.MONTH = 12) FROM #MONTHES2 M1

	INSERT INTO #PAYS0 (MODE,CODE,SM01,SM02,SM03,SM04,SM05,SM06,SM07,SM08,SM09,SM10,SM11,SM12)
	SELECT 2, * FROM #MONTHES2
	ORDER BY CODE_DED

	DELETE FROM  #MONTHES2
	DELETE FROM  #MONTHES


	INSERT INTO #PAYS0 (MODE,CODE,SM01,SM02,SM03,SM04,SM05,SM06,SM07,SM08,SM09,SM10,SM11,SM12)
	SELECT 
		3, '',
		ISNULL(SUM(CASE WHEN MODE = 1 THEN SM01 ELSE -SM01 END), 0),
		ISNULL(SUM(CASE WHEN MODE = 1 THEN SM02 ELSE -SM02 END), 0),
		ISNULL(SUM(CASE WHEN MODE = 1 THEN SM03 ELSE -SM03 END), 0),
		ISNULL(SUM(CASE WHEN MODE = 1 THEN SM04 ELSE -SM04 END), 0),
		ISNULL(SUM(CASE WHEN MODE = 1 THEN SM05 ELSE -SM05 END), 0),
		ISNULL(SUM(CASE WHEN MODE = 1 THEN SM06 ELSE -SM06 END), 0),
		ISNULL(SUM(CASE WHEN MODE = 1 THEN SM07 ELSE -SM07 END), 0),
		ISNULL(SUM(CASE WHEN MODE = 1 THEN SM08 ELSE -SM08 END), 0),
		ISNULL(SUM(CASE WHEN MODE = 1 THEN SM09 ELSE -SM09 END), 0),
		ISNULL(SUM(CASE WHEN MODE = 1 THEN SM10 ELSE -SM10 END), 0),
		ISNULL(SUM(CASE WHEN MODE = 1 THEN SM11 ELSE -SM11 END), 0),
		ISNULL(SUM(CASE WHEN MODE = 1 THEN SM12 ELSE -SM12 END), 0)
	FROM #PAYS0 WHERE MODE IN (1, 2)

	IF (SELECT COUNT(*) FROM #PAYS0 WHERE MODE = 3) = 0
		INSERT INTO #PAYS0 (MODE,CODE,SM01,SM02,SM03,SM04,SM05,SM06,SM07,SM08,SM09,SM10,SM11,SM12)
		VALUES (3, '', 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0)
	

	IF @varKSStatus = 1
		INSERT INTO #PAYS0 (MODE,CODE,SM01,SM02,SM03,SM04,SM05,SM06,SM07,SM08,SM09,SM10,SM11,SM12,SM13)
		SELECT 4, '',
			SM01,
			CASE WHEN @Today >= 2 THEN SM01 + SM02 ELSE 0 END,
			CASE WHEN @Today >= 3 THEN SM01 + SM02 + SM03 ELSE 0 END,
			CASE WHEN @Today >= 4 THEN SM01 + SM02 + SM03 + SM04 ELSE 0 END,
			CASE WHEN @Today >= 5 THEN SM01 + SM02 + SM03 + SM04 + SM05 ELSE 0 END,
			CASE WHEN @Today >= 6 THEN SM01 + SM02 + SM03 + SM04 + SM05 + SM06 ELSE 0 END,
			CASE WHEN @Today >= 7 THEN SM01 + SM02 + SM03 + SM04 + SM05 + SM06 + SM07 ELSE 0 END,
			CASE WHEN @Today >= 8 THEN SM01 + SM02 + SM03 + SM04 + SM05 + SM06 + SM07 + SM08 ELSE 0 END,
			CASE WHEN @Today >= 9 THEN SM01 + SM02 + SM03 + SM04 + SM05 + SM06 + SM07 + SM08 + SM09 ELSE 0 END,
			CASE WHEN @Today >= 10 THEN SM01 + SM02 + SM03 + SM04 + SM05 + SM06 + SM07 + SM08 + SM09 + SM10 ELSE 0 END,
			CASE WHEN @Today >= 11 THEN SM01 + SM02 + SM03 + SM04 + SM05 + SM06 + SM07 + SM08 + SM09 + SM10 + SM11 ELSE 0 END,
			CASE WHEN @Today >= 12 THEN SM01 + SM02 + SM03 + SM04 + SM05 + SM06 + SM07 + SM08 + SM09 + SM10 + SM11 + SM12 ELSE 0 END,
			SM01 + SM02 + SM03 + SM04 + SM05 + SM06 + SM07 + SM08 + SM09 + SM10 + SM11 + SM12
		FROM #PAYS0 WHERE MODE = 3 
	ELSE
		INSERT INTO #PAYS0 (MODE,CODE,SM01,SM02,SM03,SM04,SM05,SM06,SM07,SM08,SM09,SM10,SM11,SM12)
		VALUES (4, '', 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0)




	DECLARE @varKSEMPL INT
	IF @varKSStatus = '1' BEGIN

		SET @varKSI = 1
		WHILE @varKSI < 13 BEGIN
			INSERT INTO #MONTHES
			SELECT @varKSI, V.SUMMA, DTD.CODE
			FROM 
				dbo.ndfl_ded_month_all_table_MONTH(@varKSnLinkPers, @varKSI, @varKSnYear) v
				INNER JOIN dbo.DICTIONARY_TYP_DEDUCTION DTD ON DTD.LINK = V.LINK_DED
				INNER JOIN dbo.SALARY_GROUP_DEDUCTION T ON DTD.NUMBER = T.CODE
				----
				AND EXISTS ( SELECT * FROM #deds d WHERE d.ref_ded = v.LINK_DED)
				----
			WHERE
				T.CODE IN (1,4)

		SET @varKSI = @varKSI + 1
	END

	INSERT INTO #MONTHES2 (CODE_DED)
	SELECT DISTINCT CODE_DED FROM #MONTHES
	UPDATE #MONTHES2 SET SM01 = (SELECT ISNULL(SUM(SUMMA),0) FROM #MONTHES M0 WHERE M0.CODE_DED = M1.CODE_DED AND M0.MONTH = 1) FROM #MONTHES2 M1
	UPDATE #MONTHES2 SET SM02 = (SELECT ISNULL(SUM(CASE WHEN M0.MONTH = 2 THEN SUMMA ELSE - SUMMA END),0) FROM #MONTHES M0 WHERE M0.CODE_DED = M1.CODE_DED AND M0.MONTH IN(1, 2) ) FROM #MONTHES2 M1
	UPDATE #MONTHES2 SET SM03 = (SELECT ISNULL(SUM(CASE WHEN M0.MONTH = 3 THEN SUMMA ELSE - SUMMA END),0) FROM #MONTHES M0 WHERE M0.CODE_DED = M1.CODE_DED AND M0.MONTH IN(2, 3) ) FROM #MONTHES2 M1
	UPDATE #MONTHES2 SET SM04 = (SELECT ISNULL(SUM(CASE WHEN M0.MONTH = 4 THEN SUMMA ELSE - SUMMA END),0) FROM #MONTHES M0 WHERE M0.CODE_DED = M1.CODE_DED AND M0.MONTH IN(3, 4) ) FROM #MONTHES2 M1
	UPDATE #MONTHES2 SET SM05 = (SELECT ISNULL(SUM(CASE WHEN M0.MONTH = 5 THEN SUMMA ELSE - SUMMA END),0) FROM #MONTHES M0 WHERE M0.CODE_DED = M1.CODE_DED AND M0.MONTH IN(4, 5) ) FROM #MONTHES2 M1
	UPDATE #MONTHES2 SET SM06 = (SELECT ISNULL(SUM(CASE WHEN M0.MONTH = 6 THEN SUMMA ELSE - SUMMA END),0) FROM #MONTHES M0 WHERE M0.CODE_DED = M1.CODE_DED AND M0.MONTH IN(5, 6) ) FROM #MONTHES2 M1
	UPDATE #MONTHES2 SET SM07 = (SELECT ISNULL(SUM(CASE WHEN M0.MONTH = 7 THEN SUMMA ELSE - SUMMA END),0) FROM #MONTHES M0 WHERE M0.CODE_DED = M1.CODE_DED AND M0.MONTH IN(6, 7) ) FROM #MONTHES2 M1
	UPDATE #MONTHES2 SET SM08 = (SELECT ISNULL(SUM(CASE WHEN M0.MONTH = 8 THEN SUMMA ELSE - SUMMA END),0) FROM #MONTHES M0 WHERE M0.CODE_DED = M1.CODE_DED AND M0.MONTH IN(7, 8) ) FROM #MONTHES2 M1
	UPDATE #MONTHES2 SET SM09 = (SELECT ISNULL(SUM(CASE WHEN M0.MONTH = 9 THEN SUMMA ELSE - SUMMA END),0) FROM #MONTHES M0 WHERE M0.CODE_DED = M1.CODE_DED AND M0.MONTH IN(8, 9) ) FROM #MONTHES2 M1
	UPDATE #MONTHES2 SET SM10 = (SELECT ISNULL(SUM(CASE WHEN M0.MONTH = 10 THEN SUMMA ELSE - SUMMA END),0) FROM #MONTHES M0 WHERE M0.CODE_DED = M1.CODE_DED AND M0.MONTH IN(9, 10) ) FROM #MONTHES2 M1
	UPDATE #MONTHES2 SET SM11 = (SELECT ISNULL(SUM(CASE WHEN M0.MONTH = 11 THEN SUMMA ELSE - SUMMA END),0) FROM #MONTHES M0 WHERE M0.CODE_DED = M1.CODE_DED AND M0.MONTH IN(10, 11) ) FROM #MONTHES2 M1
	UPDATE #MONTHES2 SET SM12 = (SELECT ISNULL(SUM(CASE WHEN M0.MONTH = 12 THEN SUMMA ELSE - SUMMA END),0) FROM #MONTHES M0 WHERE M0.CODE_DED = M1.CODE_DED AND M0.MONTH IN(11, 12) ) FROM #MONTHES2 M1

---->>>>>>------
	
	DECLARE @SQLS1 VARCHAR(4000), @FIELDS VARCHAR(1000), @FIELDSUM VARCHAR(1000), @FIELDSTR VARCHAR(1000), @CODE varchar(4) , @HAS varchar(1), @FIELDCHILD varchar (1000), @FOR_CHILD varchar(1)
	
	set @FIELDSTR = ''
	set @FOR_CHILD = ''
	set @FIELDCHILD = ''

	SET @I=1
	

	WHILE @I <= @CNT BEGIN
		SET @CODE = RTRIM(LTRIM(STR((select CODE_DED from #DEDS where RECNO = @I and [TYPE] = 1) )))
		SET @FOR_CHILD = RTRIM(LTRIM(STR((select FOR_CHILD from #DEDS where RECNO = @I and [TYPE] = 1 )  ))) -- 1 -  , 2 -  
		if @CODE is not null
		begin
			SET @FIELDSUM= 'SUM' + RTRIM(LTRIM(STR(@CODE)))
			SET @SQLS= ' UPDATE #RES0 SET '+@FIELDSUM+ ' = (SELECT distinct SUMMA FROM #DEDS WHERE CODE_DED = '+ @CODE+ ') ' 
			EXEC (@SQLS)
			
			SET @FIELD= 'HAS' + RTRIM(LTRIM(STR(@CODE)))
			SET @SQLS= ' UPDATE #RES0 SET '+@FIELD+ ' = (SELECT COUNT(*) FROM #MONTHES2 WHERE CODE_DED = '+ @CODE+ ') ' 

			EXEC (@SQLS)
			-----
			if @FIELDS is null and @FIELD is not null 
			begin
				set @FIELDS = @FIELD 
			end 
		
			if @FIELDS is not null and @FIELD is not null 
			begin
				set @FIELDS= @FIELDS + ' + ' + @FIELD 
			end 
			
		end		
		SET @I=@I+1 
	END


SET @FIELDSTR = ISNULL((
	SELECT '' + S
	FROM
	(
	SELECT 
		S = (CASE WHEN ED.EMPL_LINK IS NOT NULL THEN '[X] ' ELSE '[ ] ' END) + LTRIM(RTRIM(str(SUMMA))) +  + ' . '
		,SUMMA
		,NUM = ROW_NUMBER() OVER (PARTITION BY SUMMA ORDER BY ED.EMPL_LINK DESC, D.REF_DED)
	FROM
		#DEDS D
		LEFT JOIN dbo.EMPL_DED ED ON D.REF_DED = ED.DED_LINK AND ED.EMPL_LINK = @varKSnLinkEmpl AND dbo.ConvertDMY2Date(28,12,@varKScYear) BETWEEN ED.DATE1 AND ISNULL(ED.DATE2,'20490101')
	WHERE
		[TYPE] = 1 AND FOR_CHILD = 1
	) T WHERE NUM = 1 ORDER BY SUMMA FOR XML PATH('')
),'')

SET @FIELDCHILD = ISNULL((
	SELECT '' + S
	FROM
	(
	SELECT 
		S = (CASE WHEN ED.EMPL_LINK IS NOT NULL THEN '[X] ' ELSE '[ ] ' END) + LTRIM(RTRIM(str(SUMMA))) +  + ' . '
		,SUMMA
		,NUM = ROW_NUMBER() OVER (PARTITION BY SUMMA ORDER BY ED.EMPL_LINK DESC, D.REF_DED)
	FROM
		#DEDS D
		LEFT JOIN dbo.EMPL_DED ED ON D.REF_DED = ED.DED_LINK AND ED.EMPL_LINK = @varKSnLinkEmpl AND dbo.ConvertDMY2Date(28,12,@varKScYear) BETWEEN ED.DATE1 AND ISNULL(ED.DATE2,'20490101')
	WHERE
		[TYPE] = 1 AND FOR_CHILD = 2
	) T WHERE NUM = 1 ORDER BY SUMMA FOR XML PATH('')
),'')


	SET @SQLS1= ' UPDATE #RES0 SET HAS_VICHET = CASE WHEN '+@FIELDS+' > 0 THEN 1 ELSE 2 END '
	EXEC (@SQLS1)
	
	SET @SQLS1= ' UPDATE #RES0 SET STR_MD = '''+ltrim(rtrim(@FIELDSTR))+''''

	EXEC (@SQLS1)

	SET @SQLS1= ' UPDATE #RES0 SET STR_RCH = '''+LEFT(ltrim(rtrim(@FIELDCHILD)),180)+''''

	EXEC (@SQLS1) 	

---->>>>>>------	

-----------------------
	SET @I=1
	set @FIELDS = null
	WHILE @I <= @CNT BEGIN
		SET @CODE = RTRIM(LTRIM(STR((select CODE_DED from #DEDS where RECNO = @I and [TYPE] in (1,4)) )))
		if @CODE is not null
		
		begin
			SET @FIELD= 'SELECT '+ RTRIM(LTRIM(STR(@CODE))) + ' as CODE' 

			if @FIELDS is null and @FIELD is not null 
			begin
				set @FIELDS = @FIELD 
			end 
			if @FIELDS is not null and @FIELD is not null 
			begin
				set @FIELDS= @FIELDS + ' UNION ' + @FIELD 
			end 
			
		end		
		SET @I=@I+1 
	END

	SET @SQLS= ' INSERT INTO #MONTHES2
		SELECT V.CODE, 
			0, 0, 0, 0, 0, 0, 
			0, 0, 0, 0, 0, 0
		FROM ( '+@FIELDS+' ) V
		WHERE V.CODE NOT IN (SELECT m.CODE_DED FROM #MONTHES2 m WHERE EXISTS (  SELECT * FROM #DEDS  d WHERE d.CODE_DED = m.CODE_DED and d.[TYPE] in (1,4)))'
	EXEC (@SQLS) 
------------------------
	

		INSERT INTO #PAYS0 (MODE,CODE,SM01,SM02,SM03,SM04,SM05,SM06,SM07,SM08,SM09,SM10,SM11,SM12)
		SELECT case when CODE_DED not in (select d.CODE_DED from #DEDS d where d.[TYPE] = 4 ) then 5 else 7 end, * FROM #MONTHES2 
		ORDER BY CODE_DED

		DELETE FROM  #MONTHES2
		DELETE FROM  #MONTHES

		INSERT INTO #MONTHES2
		SELECT 
			convert(varchar(3),MODE), 
			SUM(SM01), SUM(SM02), SUM(SM03), SUM(SM04), SUM(SM05), SUM(SM06), 
			SUM(SM07), SUM(SM08), SUM(SM09), SUM(SM10), SUM(SM11), SUM(SM12)
		FROM #PAYS0 WHERE MODE in (5,7) group by MODE

		INSERT INTO #PAYS0 (MODE,CODE,SM01,SM02,SM03,SM04,SM05,SM06,SM07,SM08,SM09,SM10,SM11,SM12,SM13)
		SELECT convert(int,CODE_DED)+1, '',
			SM01,
			CASE WHEN @Today >= 2 THEN SM01 + SM02 ELSE 0 END,
			CASE WHEN @Today >= 3 THEN SM01 + SM02 + SM03 ELSE 0 END,
			CASE WHEN @Today >= 4 THEN SM01 + SM02 + SM03 + SM04 ELSE 0 END,
			CASE WHEN @Today >= 5 THEN SM01 + SM02 + SM03 + SM04 + SM05 ELSE 0 END,
			CASE WHEN @Today >= 6 THEN SM01 + SM02 + SM03 + SM04 + SM05 + SM06 ELSE 0 END,
			CASE WHEN @Today >= 7 THEN SM01 + SM02 + SM03 + SM04 + SM05 + SM06 + SM07 ELSE 0 END,
			CASE WHEN @Today >= 8 THEN SM01 + SM02 + SM03 + SM04 + SM05 + SM06 + SM07 + SM08 ELSE 0 END,
			CASE WHEN @Today >= 9 THEN SM01 + SM02 + SM03 + SM04 + SM05 + SM06 + SM07 + SM08 + SM09 ELSE 0 END,
			CASE WHEN @Today >= 10 THEN SM01 + SM02 + SM03 + SM04 + SM05 + SM06 + SM07 + SM08 + SM09 + SM10 ELSE 0 END,
			CASE WHEN @Today >= 11 THEN SM01 + SM02 + SM03 + SM04 + SM05 + SM06 + SM07 + SM08 + SM09 + SM10 + SM11 ELSE 0 END,
			CASE WHEN @Today >= 12 THEN SM01 + SM02 + SM03 + SM04 + SM05 + SM06 + SM07 + SM08 + SM09 + SM10 + SM11 + SM12 ELSE 0 END,
			SM01 + SM02 + SM03 + SM04 + SM05 + SM06 + SM07 + SM08 + SM09 + SM10 + SM11 + SM12
		FROM #MONTHES2

		DELETE FROM  #MONTHES2
	END
	ELSE BEGIN
	
	------>>>>>>>>-----------------
		SET @I=1
		set @FIELDS = null
		WHILE @I <= @CNT BEGIN
			SET @CODE = RTRIM(LTRIM(STR((select CODE_DED from #DEDS where RECNO = @I and [TYPE] = 1) )))
			if @CODE is not null
			
			begin
				SET @FIELD= 'SELECT '+ RTRIM(LTRIM(STR(@CODE))) + ' as CODE' 

				if @FIELDS is null and @FIELD is not null 
				begin
					set @FIELDS = @FIELD 
				end 
				if @FIELDS is not null and @FIELD is not null 
				begin
					set @FIELDS= @FIELDS + ' UNION ' + @FIELD 
				end 
				
			end		
			SET @I=@I+1 
		END
		SET @SQLS= ' INSERT INTO #PAYS0 (MODE,CODE,SM01,SM02,SM03,SM04,SM05,SM06,SM07,SM08,SM09,SM10,SM11,SM12)
		SELECT 5, V.CODE, 
			0, 0, 0, 0, 0, 0, 
			0, 0, 0, 0, 0, 0
		FROM ( '+@FIELDS+' ) V
		UNION
		SELECT 6, '''', 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0'
		EXEC (@SQLS) 
	------>>>>>>>>-----------------
		SET @I=1
		set @FIELDS = null
		WHILE @I <= @CNT BEGIN
			SET @CODE = RTRIM(LTRIM(STR((select CODE_DED from #DEDS where RECNO = @I and [TYPE] = 4) )))
			if @CODE is not null
			
			begin
				SET @FIELD= 'SELECT '+ RTRIM(LTRIM(STR(@CODE))) + ' as CODE' 

				if @FIELDS is null and @FIELD is not null 
				begin
					set @FIELDS = @FIELD 
				end 
				if @FIELDS is not null and @FIELD is not null 
				begin
					set @FIELDS= @FIELDS + ' UNION ' + @FIELD 
				end 
				
			end		
			SET @I=@I+1 
		END
		SET @SQLS= ' INSERT INTO #PAYS0 (MODE,CODE,SM01,SM02,SM03,SM04,SM05,SM06,SM07,SM08,SM09,SM10,SM11,SM12)
		SELECT 7, V.CODE, 
			0, 0, 0, 0, 0, 0, 
			0, 0, 0, 0, 0, 0
		FROM ( '+@FIELDS+' ) V
		UNION
		SELECT 8, '''', 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0'
		EXEC (@SQLS) 		
	------->>>>>>>>>-----------------


	END

	IF @varKSStatus = '1' BEGIN
		INSERT INTO #PAYS0 (MODE,CODE,SM01,SM02,SM03,SM04,SM05,SM06,SM07,SM08,SM09,SM10,SM11,SM12,SM13)
		SELECT 9, '',
			SUM(CASE WHEN MODE = 4 THEN SM01 ELSE -SM01 END),
			SUM(CASE WHEN MODE = 4 THEN SM02 ELSE -SM02 END),
			SUM(CASE WHEN MODE = 4 THEN SM03 ELSE -SM03 END),
			SUM(CASE WHEN MODE = 4 THEN SM04 ELSE -SM04 END),
			SUM(CASE WHEN MODE = 4 THEN SM05 ELSE -SM05 END),
			SUM(CASE WHEN MODE = 4 THEN SM06 ELSE -SM06 END),
			SUM(CASE WHEN MODE = 4 THEN SM07 ELSE -SM07 END),
			SUM(CASE WHEN MODE = 4 THEN SM08 ELSE -SM08 END),
			SUM(CASE WHEN MODE = 4 THEN SM09 ELSE -SM09 END),
			SUM(CASE WHEN MODE = 4 THEN SM10 ELSE -SM10 END),
			SUM(CASE WHEN MODE = 4 THEN SM11 ELSE -SM11 END),
			SUM(CASE WHEN MODE = 4 THEN SM12 ELSE -SM12 END),
			CASE @Today
				WHEN 1 THEN SUM(CASE WHEN MODE = 4 THEN SM01 ELSE -SM01 END)
				WHEN 2 THEN SUM(CASE WHEN MODE = 4 THEN SM02 ELSE -SM02 END)
				WHEN 3 THEN SUM(CASE WHEN MODE = 4 THEN SM03 ELSE -SM03 END)
				WHEN 4 THEN SUM(CASE WHEN MODE = 4 THEN SM04 ELSE -SM04 END)
				WHEN 5 THEN SUM(CASE WHEN MODE = 4 THEN SM05 ELSE -SM05 END)
				WHEN 6 THEN SUM(CASE WHEN MODE = 4 THEN SM06 ELSE -SM06 END)
				WHEN 7 THEN SUM(CASE WHEN MODE = 4 THEN SM07 ELSE -SM07 END)
				WHEN 8 THEN SUM(CASE WHEN MODE = 4 THEN SM08 ELSE -SM08 END)
				WHEN 9 THEN SUM(CASE WHEN MODE = 4 THEN SM09 ELSE -SM09 END)
				WHEN 10 THEN SUM(CASE WHEN MODE = 4 THEN SM10 ELSE -SM10 END)
				WHEN 11 THEN SUM(CASE WHEN MODE = 4 THEN SM11 ELSE -SM11 END)
				WHEN 12 THEN SUM(CASE WHEN MODE = 4 THEN SM12 ELSE -SM12 END)
			END

		FROM #PAYS0
		WHERE MODE IN (4, 6, 8)	
	END
	ELSE BEGIN
		INSERT INTO #PAYS0 (MODE,CODE,SM01,SM02,SM03,SM04,SM05,SM06,SM07,SM08,SM09,SM10,SM11,SM12)
		SELECT 9, '', SM01, SM02, SM03, SM04, SM05, SM06, SM07, SM08, SM09, SM10, SM11, SM12
		FROM #PAYS0 WHERE MODE = 3	
	END



	DECLARE @varKSCOEFF NUMERIC(20,2)
	SELECT @varKSCOEFF = CASE WHEN @varKSStatus = 1 THEN 0.13 ELSE 0.30 END
	INSERT INTO #PAYS0 (MODE,CODE,SM01,SM02,SM03,SM04,SM05,SM06,SM07,SM08,SM09,SM10,SM11,SM12,SM13)
	SELECT 10, '',
		CAST ( ROUND(SM01 * @varKSCOEFF,0) AS INTEGER),
		CAST ( ROUND(SM02 * @varKSCOEFF,0) AS INTEGER),
		CAST ( ROUND(SM03 * @varKSCOEFF,0) AS INTEGER),
		CAST ( ROUND(SM04 * @varKSCOEFF,0) AS INTEGER),
		CAST ( ROUND(SM05 * @varKSCOEFF,0) AS INTEGER),
		CAST ( ROUND(SM06 * @varKSCOEFF,0) AS INTEGER),
		CAST ( ROUND(SM07 * @varKSCOEFF,0) AS INTEGER),
		CAST ( ROUND(SM08 * @varKSCOEFF,0) AS INTEGER),
		CAST ( ROUND(SM09 * @varKSCOEFF,0) AS INTEGER),
		CAST ( ROUND(SM10 * @varKSCOEFF,0) AS INTEGER),
		CAST ( ROUND(SM11 * @varKSCOEFF,0) AS INTEGER),
		CAST ( ROUND(SM12 * @varKSCOEFF,0) AS INTEGER),
		CAST ( ROUND(SM13 * @varKSCOEFF,0) AS INTEGER)
	FROM #PAYS0 WHERE MODE = 9

	INSERT INTO #MONTHES
	SELECT
		MONTH(DATE1), CAST( (SUM(CAST(round(SUMMA, 0) as int) )) AS NUMERIC(8,0) ), ''
	FROM 
		dbo.S_J_C_SHORT SJC 
		INNER JOIN EMPL E ON (E.LINK = SJC.LINK_EMPL)
		INNER JOIN PAYS P ON (SJC.LINK_PAYS = P.LINK AND P.OBJECT = 2 AND P.WAY_CALC  = 4)
	WHERE 
 		YEAR(DATE1) = @varKSnYear 
		AND 
		SJC.LINK_DEP = @DEP_LINK 
		AND 
		E.PERS_LINK = @varKSnLinkPers
	GROUP BY 
		MONTH(DATE1)
	UNION ALL
	SELECT MONTH(DATE1), CAST( (SUM(CAST(round(SUMMA, 0) as int) )) AS NUMERIC(8,0) ), ''
	FROM 
		dbo.S_J_C_SHORT SJC 
		INNER JOIN PAYS P ON (SJC.LINK_PAYS = P.LINK AND P.OBJECT = 2 AND P.WAY_CALC  = 4)
	WHERE 
 		YEAR(DATE1) = @varKSnYear 
		AND 
		SJC.LINK_DEP = @DEP_LINK 
		AND
		SJC.PERS_LINK = @varKSnLinkPers
	GROUP BY 
		MONTH(DATE1)		
	
	INSERT INTO #MONTHES2 (CODE_DED) VALUES ('')

	UPDATE #MONTHES2 SET SM01 = (SELECT ISNULL(SUM(SUMMA),0) FROM #MONTHES M0 WHERE  M0.MONTH = 1) FROM #MONTHES2 M1
	UPDATE #MONTHES2 SET SM02 = (SELECT ISNULL(SUM(SUMMA),0) FROM #MONTHES M0 WHERE  M0.MONTH = 2) FROM #MONTHES2 M1
	UPDATE #MONTHES2 SET SM03 = (SELECT ISNULL(SUM(SUMMA),0) FROM #MONTHES M0 WHERE  M0.MONTH = 3) FROM #MONTHES2 M1
	UPDATE #MONTHES2 SET SM04 = (SELECT ISNULL(SUM(SUMMA),0) FROM #MONTHES M0 WHERE  M0.MONTH = 4) FROM #MONTHES2 M1
	UPDATE #MONTHES2 SET SM05 = (SELECT ISNULL(SUM(SUMMA),0) FROM #MONTHES M0 WHERE  M0.MONTH = 5) FROM #MONTHES2 M1
	UPDATE #MONTHES2 SET SM06 = (SELECT ISNULL(SUM(SUMMA),0) FROM #MONTHES M0 WHERE  M0.MONTH = 6) FROM #MONTHES2 M1
	UPDATE #MONTHES2 SET SM07 = (SELECT ISNULL(SUM(SUMMA),0) FROM #MONTHES M0 WHERE  M0.MONTH = 7) FROM #MONTHES2 M1
	UPDATE #MONTHES2 SET SM08 = (SELECT ISNULL(SUM(SUMMA),0) FROM #MONTHES M0 WHERE  M0.MONTH = 8) FROM #MONTHES2 M1
	UPDATE #MONTHES2 SET SM09 = (SELECT ISNULL(SUM(SUMMA),0) FROM #MONTHES M0 WHERE  M0.MONTH = 9) FROM #MONTHES2 M1
	UPDATE #MONTHES2 SET SM10 = (SELECT ISNULL(SUM(SUMMA),0) FROM #MONTHES M0 WHERE  M0.MONTH = 10) FROM #MONTHES2 M1
	UPDATE #MONTHES2 SET SM11 = (SELECT ISNULL(SUM(SUMMA),0) FROM #MONTHES M0 WHERE  M0.MONTH = 11) FROM #MONTHES2 M1
	UPDATE #MONTHES2 SET SM12 = (SELECT ISNULL(SUM(SUMMA),0) FROM #MONTHES M0 WHERE  M0.MONTH = 12) FROM #MONTHES2 M1

	IF @varKSStatus = 1 BEGIN
		INSERT INTO #PAYS0 (MODE,CODE,SM01,SM02,SM03,SM04,SM05,SM06,SM07,SM08,SM09,SM10,SM11,SM12,SM13)
		SELECT 11, '',
			SM01,
			CASE WHEN @Today >= 2 THEN SM01 + SM02 ELSE 0 END,
			CASE WHEN @Today >= 3 THEN SM01 + SM02 + SM03 ELSE 0 END,
			CASE WHEN @Today >= 4 THEN SM01 + SM02 + SM03 + SM04 ELSE 0 END,
			CASE WHEN @Today >= 5 THEN SM01 + SM02 + SM03 + SM04 + SM05 ELSE 0 END,
			CASE WHEN @Today >= 6 THEN SM01 + SM02 + SM03 + SM04 + SM05 + SM06 ELSE 0 END,
			CASE WHEN @Today >= 7 THEN SM01 + SM02 + SM03 + SM04 + SM05 + SM06 + SM07 ELSE 0 END,
			CASE WHEN @Today >= 8 THEN SM01 + SM02 + SM03 + SM04 + SM05 + SM06 + SM07 + SM08 ELSE 0 END,
			CASE WHEN @Today >= 9 THEN SM01 + SM02 + SM03 + SM04 + SM05 + SM06 + SM07 + SM08 + SM09 ELSE 0 END,
			CASE WHEN @Today >= 10 THEN SM01 + SM02 + SM03 + SM04 + SM05 + SM06 + SM07 + SM08 + SM09 + SM10 ELSE 0 END,
			CASE WHEN @Today >= 11 THEN SM01 + SM02 + SM03 + SM04 + SM05 + SM06 + SM07 + SM08 + SM09 + SM10 + SM11 ELSE 0 END,
			CASE WHEN @Today >= 12 THEN SM01 + SM02 + SM03 + SM04 + SM05 + SM06 + SM07 + SM08 + SM09 + SM10 + SM11 + SM12 ELSE 0 END,
			SM01 + SM02 + SM03 + SM04 + SM05 + SM06 + SM07 + SM08 + SM09 + SM10 + SM11 + SM12

		FROM #MONTHES2				
		
		UPDATE #RES0 SET SNN = (SELECT TOP 1 SM13 FROM #PAYS0 WHERE MODE = 10)
		UPDATE #RES0 SET SNU = (SELECT TOP 1 SM13 FROM #PAYS0 WHERE MODE = 11)
	END
	ELSE BEGIN
		INSERT INTO #PAYS0 (MODE,CODE,SM01,SM02,SM03,SM04,SM05,SM06,SM07,SM08,SM09,SM10,SM11,SM12)
		SELECT 11, '', SM01, SM02, SM03, SM04, SM05, SM06, SM07, SM08, SM09, SM10, SM11, SM12
		FROM #MONTHES2				

		UPDATE #RES0 SET SNN = (SELECT TOP 1 COALESCE(SM01,0) + COALESCE(SM02,0) + COALESCE(SM03,0) + COALESCE(SM04,0) + COALESCE(SM05,0) + COALESCE(SM06,0) + COALESCE(SM07,0) + COALESCE(SM08,0) + COALESCE(SM09,0) + COALESCE(SM10,0) + COALESCE(SM11,0) + COALESCE(SM12,0) FROM #PAYS0 WHERE MODE = 10)
		UPDATE #RES0 SET SNU = (SELECT TOP 1 COALESCE(SM01,0) + COALESCE(SM02,0) + COALESCE(SM03,0) + COALESCE(SM04,0) + COALESCE(SM05,0) + COALESCE(SM06,0) + COALESCE(SM07,0) + COALESCE(SM08,0) + COALESCE(SM09,0) + COALESCE(SM10,0) + COALESCE(SM11,0) + COALESCE(SM12,0) FROM #PAYS0 WHERE MODE = 11)
	END


	UPDATE #RES0 SET DOLG_NPEND = SNN - SNU, DOLG_NAEND = 0
	UPDATE #RES0 SET DOLG_NAEND = -DOLG_NPEND, DOLG_NPEND = 0 WHERE DOLG_NPEND <0



	
	INSERT INTO #PAYS0 (MODE,CODE,SM01,SM02,SM03,SM04,SM05,SM06,SM07,SM08,SM09,SM10,SM11,SM12)
	SELECT 12, '',
		SUM(CASE WHEN MODE = 10 THEN SM01 ELSE -SM01 END),
		SUM(CASE WHEN MODE = 10 THEN SM02 ELSE -SM02 END),
		SUM(CASE WHEN MODE = 10 THEN SM03 ELSE -SM03 END),
		SUM(CASE WHEN MODE = 10 THEN SM04 ELSE -SM04 END),
		SUM(CASE WHEN MODE = 10 THEN SM05 ELSE -SM05 END),
		SUM(CASE WHEN MODE = 10 THEN SM06 ELSE -SM06 END),
		SUM(CASE WHEN MODE = 10 THEN SM07 ELSE -SM07 END),
		SUM(CASE WHEN MODE = 10 THEN SM08 ELSE -SM08 END),
		SUM(CASE WHEN MODE = 10 THEN SM09 ELSE -SM09 END),
		SUM(CASE WHEN MODE = 10 THEN SM10 ELSE -SM10 END),
		SUM(CASE WHEN MODE = 10 THEN SM11 ELSE -SM11 END),
		SUM(CASE WHEN MODE = 10 THEN SM12 ELSE -SM12 END)
		FROM #PAYS0
		WHERE MODE IN (10, 11)	


	INSERT INTO #PAYS0 (MODE,CODE,SM01,SM02,SM03,SM04,SM05,SM06,SM07,SM08,SM09,SM10,SM11,SM12)
	SELECT 13, '',
		CASE WHEN SM01 > 0 THEN SM01 ELSE 0 END,
		CASE WHEN SM02 > 0 THEN SM02 ELSE 0 END,
		CASE WHEN SM03 > 0 THEN SM03 ELSE 0 END,
		CASE WHEN SM04 > 0 THEN SM04 ELSE 0 END,

		CASE WHEN SM05 > 0 THEN SM05 ELSE 0 END,
		CASE WHEN SM06 > 0 THEN SM06 ELSE 0 END,
		CASE WHEN SM07 > 0 THEN SM07 ELSE 0 END,
		CASE WHEN SM08 > 0 THEN SM08 ELSE 0 END,
		CASE WHEN SM09 > 0 THEN SM09 ELSE 0 END,
		CASE WHEN SM10 > 0 THEN SM10 ELSE 0 END,
		CASE WHEN SM11 > 0 THEN SM11 ELSE 0 END,
		CASE WHEN SM12 > 0 THEN SM12 ELSE 0 END
		FROM #PAYS0
		WHERE MODE = 12


	INSERT INTO #PAYS0 (MODE,CODE,SM01,SM02,SM03,SM04,SM05,SM06,SM07,SM08,SM09,SM10,SM11,SM12)
	SELECT 14, '',
		CASE WHEN SM01 < 0 THEN ABS(SM01) ELSE 0 END,
		CASE WHEN SM02 < 0 THEN ABS(SM02) ELSE 0 END,
		CASE WHEN SM03 < 0 THEN ABS(SM03) ELSE 0 END,
		CASE WHEN SM04 < 0 THEN ABS(SM04) ELSE 0 END,
		CASE WHEN SM05 < 0 THEN ABS(SM05) ELSE 0 END,
		CASE WHEN SM06 < 0 THEN ABS(SM06) ELSE 0 END,
		CASE WHEN SM07 < 0 THEN ABS(SM07) ELSE 0 END,
		CASE WHEN SM08 < 0 THEN ABS(SM08) ELSE 0 END,
		CASE WHEN SM09 < 0 THEN ABS(SM09) ELSE 0 END,
		CASE WHEN SM10 < 0 THEN ABS(SM10) ELSE 0 END,
		CASE WHEN SM11 < 0 THEN ABS(SM11) ELSE 0 END,
		CASE WHEN SM12 < 0 THEN ABS(SM12) ELSE 0 END
		FROM #PAYS0
		WHERE MODE = 12

	EXEC dbo.BufferClear

	SELECT * FROM #DEP, #RES0
	SELECT * FROM #PAYS0
END



GO


GRANT EXECUTE ON dbo.[SD_REP_1NDFL2009] TO PUBLIC

GO


GO
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[SYNCH_DOCUMENTS_SALARY]') AND OBJECTPROPERTY(id,N'IsProcedure') = 1)
DROP PROCEDURE dbo.[SYNCH_DOCUMENTS_SALARY]

GO

CREATE  PROCEDURE [dbo].[SYNCH_DOCUMENTS_SALARY] @DB NVARCHAR(254), @LINK_JOURN_TAB INT
/*
      -
SELECT TOP 1 VALUE FROM dbo.S_OPTIONS WHERE [OBJECT] = (SELECT LINK FROM dbo.S_OBJECTS WHERE CODE = 'SAL_OPT_SERVER_NAME') AND SID IS NULL 
SELECT TOP 1 VALUE FROM dbo.S_OPTIONS WHERE [OBJECT] = (SELECT LINK FROM dbo.S_OBJECTS WHERE CODE = 'SAL_OPT_BASE_NAME') AND SID IS NULL 

UPDATE bs_synch..G_PROV SET DATE_PROV = NULL WHERE POSTTIME >= '20161013'
DELETE bs_synch..G_PROV WHERE POSTTIME >= '20161013'
EXEC [dbo].[SYNCH_DOCUMENTS_SALARY] 'bs_synch.', 99
SELECT * FROM dbo.SYNCH_SMETA_SMART_TAB WHERE LINK = 99
*/
AS
BEGIN

DECLARE @varKStrancount	int
DECLARE @err INT
DECLARE @SQL NVARCHAR(4000)
DECLARE @ERR_MSG VARCHAR(256)
DECLARE @COLLATE VARCHAR(254)


SET @SQL = 
N'	
SET @COLLATE = (SELECT TOP 1 ''COLLATE '' + CAST (SERVERPROPERTY(''Collation'') AS VARCHAR(100)) FROM ' + @DB + 'dbo.DEPARTMENTS_DATE)
'	
EXEC SP_EXECUTESQL @SQL, N'@COLLATE VARCHAR(254) OUTPUT', @COLLATE = @COLLATE OUTPUT

--   -
CREATE TABLE #DEPARTMENTS_DATE (
	[CODE] varchar(20),
	[INN] varchar(13),
	[KPP] varchar(9),
	[BEGINDATE] datetime,
	[ENDDATE] datetime)

SET @SQL = 
N'	
INSERT INTO #DEPARTMENTS_DATE ([CODE],[INN],[KPP],[BEGINDATE],[ENDDATE])
SELECT D.CODE, D.INN, D.KPP, DD.[BEGINDATE], DD.[ENDDATE]
FROM 
	' + @DB + 'dbo.DEPARTMENTS_DATE DD
	INNER JOIN ' + @DB + 'dbo.DEPARTMENTS D ON D.LINK = DD.DEP_LINK
WHERE
	ISNULL(D.INN ' + @COLLATE + ','''') <> ''''
	AND
	ISNULL(D.KPP ' + @COLLATE + ','''') <> ''''
	AND
	ISNULL(D.CODE ' + @COLLATE + ','''') <> ''''	
'	

EXEC SP_EXECUTESQL @SQL

--     -
SET @ERR_MSG = 
	SUBSTRING((
			SELECT ',' + LTRIM(RTRIM(CODE)) + '/' + LTRIM(RTRIM(INN)) + '/' + LTRIM(RTRIM(KPP))
				FROM #DEPARTMENTS_DATE
				GROUP BY CODE, INN, KPP
				HAVING COUNT(*) > 1
				ORDER BY ',' + LTRIM(RTRIM(CODE)) + '/' + LTRIM(RTRIM(INN)) + '/' + LTRIM(RTRIM(KPP))
			FOR XML PATH('')
		), 2, 3000)

IF @ERR_MSG IS NOT NULL
BEGIN
	UPDATE dbo.SYNCH_SMETA_SMART_TAB SET 
		COMENT = LEFT(' -    //: ' + @ERR_MSG,256)
		,[STATUS] = 3
	WHERE LINK = @LINK_JOURN_TAB
	
	RETURN 101
END

------------------
DECLARE @PERIOD DATETIME
SET @PERIOD = 
	(SELECT TOP 1 PERIOD
	FROM 
		[dbo].[SYNCH_SMETA_SMART_JOURN] J
		INNER JOIN [dbo].[SYNCH_SMETA_SMART_TAB] T ON T.[LINK_UP] = J.[LINK]
	WHERE
		T.LINK = @LINK_JOURN_TAB)

---------------------
DECLARE @iOBJECT INT
SET @SQL = 
N'	
SELECT @iOBJECT = LINK FROM ' + @DB + 'dbo.S_OBJECTS so WHERE so.CODE ' + @COLLATE + ' = ''DOC_SALARY''
'	
EXEC SP_EXECUTESQL @SQL, N'@iOBJECT INT OUTPUT', @iOBJECT = @iOBJECT OUTPUT

------------------
DECLARE @LINK_DOCUMENTS_SALARY INT
SET @LINK_DOCUMENTS_SALARY = (SELECT TOP 1 LINK FROM dbo.S_OBJECTS WHERE CODE = 'DOCUMENTS_SALARY')

------------------
CREATE TABLE #DOC (DEP INT, LINK INT, DATE_PROV DATETIME,[GUID] uniqueidentifier)
SET @SQL = 
N'	
INSERT INTO #DOC (DEP, LINK, DATE_PROV,[GUID])
SELECT G.DEP, G.LINK, G.DATE_PROV, G.[GUID]
FROM
	dbo.G_PROV G
WHERE
	G.[OBJECT] = @LINK_DOCUMENTS_SALARY
	AND
	YEAR(G.[DATE_PROV]) = YEAR(@PERIOD)
	AND
	MONTH(G.[DATE_PROV]) = MONTH(@PERIOD)
	AND
	EXISTS (SELECT * FROM dbo.G_PROV1 G1 INNER JOIN dbo.G_PROV2 G2 ON G2.LINK_UP = G1.LINK WHERE G1.LINK_UP = G.LINK)
'	
EXEC SP_EXECUTESQL @SQL, N'@LINK_DOCUMENTS_SALARY INT, @PERIOD DATETIME', @LINK_DOCUMENTS_SALARY=@LINK_DOCUMENTS_SALARY, @PERIOD=@PERIOD

--     -
SET @ERR_MSG = NULL
SET @ERR_MSG = 
	SUBSTRING((
				SELECT ',' + LTRIM(RTRIM(D.CODE)) + '/' + LTRIM(RTRIM(D.INN)) + '/' + LTRIM(RTRIM(D.KPP))
				FROM
					dbo.DEPARTMENTS D
					INNER JOIN #DOC G ON D.LINK = G.DEP
				WHERE
					NOT EXISTS (SELECT * FROM #DEPARTMENTS_DATE DD WHERE DD.CODE = D.CODE AND DD.INN = D.INN AND DD.KPP = D.KPP)
				GROUP BY D.CODE, D.INN, D.KPP
				ORDER BY ',' + LTRIM(RTRIM(D.CODE)) + '/' + LTRIM(RTRIM(D.INN)) + '/' + LTRIM(RTRIM(D.KPP))	
			FOR XML PATH('')
		), 2, 3000)
	
IF @ERR_MSG IS NOT NULL
BEGIN
	UPDATE dbo.SYNCH_SMETA_SMART_TAB SET 
		COMENT = LEFT(' -  . //: ' + @ERR_MSG,256)
		,[STATUS] = 3
	WHERE LINK = @LINK_JOURN_TAB
	
	RETURN 102
END

----
CREATE TABLE #DEPARTMENTS_SMETA_KS (LINK1 INT, LINK2 INT, DEP INT)

SET @SQL = 
N'
INSERT INTO #DEPARTMENTS_SMETA_KS (LINK1, LINK2, DEP)
SELECT D1.LINK, D2.LINK, D1.LINK
FROM 
	dbo.DEPARTMENTS D1 
	INNER JOIN ' + @DB + 'dbo.DEPARTMENTS D2 ON D1.CODE = D2.CODE ' + @COLLATE + ' AND D1.INN = D2.INN ' + @COLLATE + ' AND D1.KPP = D2.KPP ' + @COLLATE + ' 
WHERE
	(D1.TYPE = 4 OR D1.ZB =1)
	AND
	(
		EXISTS (SELECT * FROM #DOC T WHERE D1.LINK = T.DEP) 
	OR
		EXISTS (
			SELECT *
			FROM ' + @DB + 'dbo.G_PROV G
				INNER JOIN ' + @DB + 'dbo.G_PROV_STATES S ON G.LINK = S.LINK_UP
				INNER JOIN ' + @DB + 'dbo.DOC_STATES2 S2 ON S2.LINK = S.LINK_STATE AND S2.CODE = ''SALARY'' -- ,    
			WHERE
				G.DEP = D2.LINK 
		)
	)
	AND
	EXISTS (SELECT * FROM ' + @DB + 'dbo.DEPARTMENTS_DATE DD2 WHERE DD2.DEP_LINK = D2.LINK) 	
	AND
	EXISTS (SELECT * FROM dbo.DEPARTMENTS_OBJECT DD1 WHERE DD1.DEPARTMENT = D1.LINK) 		
'
EXEC SP_EXECUTESQL @SQL


---,            
DECLARE @LOGIN VARCHAR(254)

SET @LOGIN = (SELECT TOP 1 VALUE FROM dbo.S_OPTIONS WHERE [SID] IS NULL AND ISNULL(VALUE,'') <> ''
						AND [OBJECT] = (SELECT LINK FROM dbo.S_OBJECTS WHERE CODE = 'SAL_OPT_USER_NAME'))

SET @SQL = 
N'
SET @RES = 0
IF EXISTS (SELECT * FROM 
			' + @DB + 'dbo.DEPARTMENTS_OBJECT A 
			INNER JOIN ' + @DB + 'dbo.S_USERS SU ON SU.UID = A.[USER_ID] 
			INNER JOIN ' + @DB + 'dbo.DEPARTMENTS3 D ON D.LINK = A.DEPARTMENT
		WHERE 
			SU.LOGINAME = @LOGIN )	

	SET @RES = 1
'
DECLARE @RES TINYINT
EXEC SP_EXECUTESQL @SQL, N'@RES TINYINT OUTPUT, @LOGIN VARCHAR(254)', @RES = @RES OUTPUT, @LOGIN = @LOGIN

IF @RES = 0
BEGIN
	UPDATE dbo.SYNCH_SMETA_SMART_TAB SET 
		COMENT = LEFT('      -   "' + @LOGIN + '"  .',256)
		,[STATUS] = 3
	WHERE LINK = @LINK_JOURN_TAB
	
	RETURN 103
END

--     
SET @SQL = 
N'
CREATE TABLE #CHOICE (LINK INT)

--   
INSERT INTO #CHOICE (LINK)
SELECT G.LINK
FROM ' + @DB + 'dbo.G_PROV G
	INNER JOIN ' + @DB + 'dbo.G_PROV_STATES S ON G.LINK = S.LINK_UP
	INNER JOIN ' + @DB + 'dbo.DOC_STATES2 S2 ON S2.LINK = S.LINK_STATE AND S2.CODE = ''SALARY'' -- ,    
WHERE 
	EXISTS (SELECT * FROM #DEPARTMENTS_SMETA_KS T WHERE T.LINK2 = G.DEP)
	AND
	(
		[OBJECT] = @iOBJECT AND NOT EXISTS (SELECT * FROM #DOC T WHERE T.[GUID] = G.[GUID])
			OR
		[OBJECT] IS NULL AND EXISTS (SELECT * FROM #DOC T WHERE T.[GUID] = G.[GUID])	
	)
	AND
	(
		YEAR([DATE_PROV]) = YEAR(@PERIOD) AND MONTH([DATE_PROV]) = MONTH(@PERIOD)
		OR --,        
		YEAR([DATE]) = YEAR(@PERIOD) AND MONTH([DATE]) = MONTH(@PERIOD)
	)

---      -, ..      SALARY,           
UPDATE G SET LINK_INS = NULL
FROM
	' + @DB + 'dbo.G_PROV G
WHERE 
	EXISTS (SELECT * FROM #DEPARTMENTS_SMETA_KS T WHERE T.LINK2 = G.DEP)
	AND
	(
		[OBJECT] = @iOBJECT AND NOT EXISTS (SELECT * FROM #DOC T WHERE T.[GUID] = G.[GUID])
			OR
		[OBJECT] IS NULL AND EXISTS (SELECT * FROM #DOC T WHERE T.[GUID] = G.[GUID])	
	)
	AND
	(
		YEAR([DATE_PROV]) = YEAR(@PERIOD) AND MONTH([DATE_PROV]) = MONTH(@PERIOD)
		OR --,        
		YEAR([DATE]) = YEAR(@PERIOD) AND MONTH([DATE]) = MONTH(@PERIOD)
	)

---     
UPDATE G SET G.DATE_PROV = NULL
FROM ' + @DB + 'dbo.G_PROV G INNER JOIN #CHOICE C ON C.LINK = G.LINK

UPDATE T SET T.AP1 = NULL
FROM
	#CHOICE C
	INNER JOIN ' + @DB + '[dbo].[G_PROV_AP] T ON C.LINK = T.AP1

--  
DELETE G FROM ' + @DB + 'dbo.G_PROV G INNER JOIN #CHOICE C ON C.LINK = G.LINK

---    
DELETE T
FROM 
	#DOC T
WHERE
	 EXISTS (SELECT * FROM ' + @DB + 'dbo.G_PROV G2 WHERE G2.[OBJECT] IS NOT NULL AND G2.[GUID] = T.[GUID])
'
EXEC SP_EXECUTESQL @SQL, N'@iOBJECT INT, @PERIOD DATETIME', @iOBJECT=@iOBJECT, @PERIOD=@PERIOD

--
CREATE TABLE #ACCOUNT (DEP INT, CODE VARCHAR(30), LINK1 INT, LINK2 INT)
INSERT INTO #ACCOUNT (DEP, CODE, LINK1)
SELECT DISTINCT G.DEP, LTRIM(RTRIM(ACCOUNT.CODE)), ACCOUNT
FROM
	#DOC A
	INNER JOIN dbo.G_PROV G ON A.LINK = G.LINK
	INNER JOIN dbo.G_PROV1 G1 ON G1.LINK_UP = G.LINK
	INNER JOIN dbo.G_PROV2 G2 ON G2.LINK_UP = G1.LINK
	INNER JOIN dbo.G_PROV_AP GAP ON GAP.LINK_UP = G2.LINK
	INNER JOIN [dbo].[S_ACCOUNTS] ACCOUNT ON ACCOUNT.LINK = GAP.ACCOUNT

--   
SET @ERR_MSG = NULL
SET @SQL = 
N'
SET @ERR_MSG = 
	SUBSTRING((
			SELECT DISTINCT '','' + K.CODE
			FROM
				#ACCOUNT K
				INNER JOIN #DEPARTMENTS_SMETA_KS T ON T.LINK1 = K.DEP
				INNER JOIN ' + @DB + 'dbo.V_DEP VD ON VD.LINK = T.LINK2
			WHERE
				NOT EXISTS (SELECT * FROM ' + @DB + 'dbo.[S_ACCOUNTS] A WHERE A.LINK_DEP = VD.LINK_CB AND LTRIM(RTRIM(A.CODE ' + @COLLATE + ' )) = K.CODE )
			FOR XML PATH('''')
		), 2, 3000)
'	
EXEC SP_EXECUTESQL @SQL, N'@ERR_MSG VARCHAR(256) OUTPUT', @ERR_MSG = @ERR_MSG OUTPUT

IF @ERR_MSG IS NOT NULL
BEGIN
	UPDATE dbo.SYNCH_SMETA_SMART_TAB SET 
		COMENT = LEFT(' -   : ' + @ERR_MSG,256)
		,[STATUS] = 3
	WHERE LINK = @LINK_JOURN_TAB
	
	RETURN 104
END

--   
SET @ERR_MSG = NULL
SET @SQL = 
N'
SET @ERR_MSG = 
	SUBSTRING((
			SELECT CODE
			FROM
			(
			SELECT DISTINCT '','' + K.CODE AS CODE, A.LINK_DEP, A.LINK
			FROM
				#ACCOUNT  K
				INNER JOIN #DEPARTMENTS_SMETA_KS T ON T.LINK1 = K.DEP
				INNER JOIN ' + @DB + 'dbo.V_DEP VD ON VD.LINK = T.LINK2
				INNER JOIN ' + @DB + 'dbo.[S_ACCOUNTS] A ON A.LINK_DEP = VD.LINK_CB AND LTRIM(RTRIM(A.CODE ' + @COLLATE + ' )) = K.CODE
			) T	
			GROUP BY
				CODE, LINK_DEP
			HAVING
				COUNT(*) > 1
			FOR XML PATH('''')
		), 2, 3000)
'	
EXEC SP_EXECUTESQL @SQL, N'@ERR_MSG VARCHAR(256) OUTPUT', @ERR_MSG = @ERR_MSG OUTPUT

IF @ERR_MSG IS NOT NULL
BEGIN
	UPDATE dbo.SYNCH_SMETA_SMART_TAB SET 
		COMENT = LEFT(' -  : ' + @ERR_MSG,256)
		,[STATUS] = 3
	WHERE LINK = @LINK_JOURN_TAB
	
	RETURN 105
END

--  
SET @ERR_MSG = NULL
SET @SQL = 
N'
UPDATE K SET LINK2 = A.LINK
FROM
	#ACCOUNT K
	INNER JOIN #DEPARTMENTS_SMETA_KS T ON T.LINK1 = K.DEP
	INNER JOIN ' + @DB + 'dbo.V_DEP VD ON VD.LINK = T.LINK2
	INNER JOIN ' + @DB + 'dbo.[S_ACCOUNTS] A ON A.LINK_DEP = VD.LINK_CB AND LTRIM(RTRIM(A.CODE ' + @COLLATE + ' )) = K.CODE
'	
EXEC SP_EXECUTESQL @SQL

--
CREATE TABLE #KBK (DEP INT, CODE VARCHAR(30), LINK1 INT, LINK2 INT)
INSERT INTO #KBK (DEP, CODE, LINK1)
SELECT DISTINCT G.DEP, LTRIM(RTRIM(KBK.CODE)), KBK
FROM
	#DOC A
	INNER JOIN dbo.G_PROV G ON A.LINK = G.LINK
	INNER JOIN dbo.G_PROV1 G1 ON G1.LINK_UP = G.LINK
	INNER JOIN dbo.G_PROV2 G2 ON G2.LINK_UP = G1.LINK
	INNER JOIN dbo.G_PROV_AP GAP ON GAP.LINK_UP = G2.LINK
	INNER JOIN [dbo].[KL_KBK] KBK ON KBK.LINK = KBK

--   
SET @ERR_MSG = NULL
SET @SQL = 
N'
SET @ERR_MSG = 
	SUBSTRING((
			SELECT DISTINCT '','' + K.CODE
			FROM
				#KBK K
				INNER JOIN #DEPARTMENTS_SMETA_KS T ON T.LINK1 = K.DEP
				INNER JOIN ' + @DB + 'dbo.V_DEP VD ON VD.LINK = T.LINK2
			WHERE
				NOT EXISTS (SELECT * FROM ' + @DB + 'dbo.[KL_KBK] A WHERE A.LINK_DEP = VD.LINK_CB AND LTRIM(RTRIM(A.CODE ' + @COLLATE + ' )) = K.CODE)
			FOR XML PATH('''')
		), 2, 3000)
'	
EXEC SP_EXECUTESQL @SQL, N'@ERR_MSG VARCHAR(256) OUTPUT', @ERR_MSG = @ERR_MSG OUTPUT


IF @ERR_MSG IS NOT NULL
BEGIN
	UPDATE dbo.SYNCH_SMETA_SMART_TAB SET 
		COMENT = LEFT(' -   : ' + @ERR_MSG,256)
		,[STATUS] = 3
	WHERE LINK = @LINK_JOURN_TAB
	
	RETURN 106
END

--   
SET @ERR_MSG = NULL
SET @SQL = 
N'
SET @ERR_MSG = 
	SUBSTRING((
			SELECT CODE
			FROM
			(
			SELECT DISTINCT '','' + K.CODE AS CODE, A.LINK_DEP, A.LINK
			FROM
				#KBK K
				INNER JOIN #DEPARTMENTS_SMETA_KS T ON T.LINK1 = K.DEP
				INNER JOIN ' + @DB + 'dbo.V_DEP VD ON VD.LINK = T.LINK2
				INNER JOIN ' + @DB + 'dbo.[KL_KBK] A ON A.LINK_DEP = VD.LINK_CB AND LTRIM(RTRIM(A.CODE ' + @COLLATE + ' )) = K.CODE
			) T	
			GROUP BY
				CODE, LINK_DEP
			HAVING
				COUNT(*) > 1		
			FOR XML PATH('''')
		), 2, 3000)
'	
EXEC SP_EXECUTESQL @SQL, N'@ERR_MSG VARCHAR(256) OUTPUT', @ERR_MSG = @ERR_MSG OUTPUT

IF @ERR_MSG IS NOT NULL
BEGIN
	UPDATE dbo.SYNCH_SMETA_SMART_TAB SET 
		COMENT = LEFT(' -  : ' + @ERR_MSG,256)
		,[STATUS] = 3
	WHERE LINK = @LINK_JOURN_TAB
	
	RETURN 107
END

--  
SET @ERR_MSG = NULL
SET @SQL = 
N'
UPDATE K SET LINK2 = A.LINK
FROM
	#KBK K
	INNER JOIN #DEPARTMENTS_SMETA_KS T ON T.LINK1 = K.DEP
	INNER JOIN ' + @DB + 'dbo.V_DEP VD ON VD.LINK = T.LINK2
	INNER JOIN ' + @DB + 'dbo.[KL_KBK] A ON A.LINK_DEP = VD.LINK_CB AND LTRIM(RTRIM(A.CODE ' + @COLLATE + ' )) = K.CODE
'	
EXEC SP_EXECUTESQL @SQL


--
CREATE TABLE #EKR (DEP INT, CODE VARCHAR(4), LINK1 INT, LINK2 INT)
INSERT INTO #EKR (DEP, CODE, LINK1)
SELECT DISTINCT G.DEP, LTRIM(RTRIM(EKR.CODE)), EKR
FROM
	#DOC A
	INNER JOIN dbo.G_PROV G ON A.LINK = G.LINK
	INNER JOIN dbo.G_PROV1 G1 ON G1.LINK_UP = G.LINK
	INNER JOIN dbo.G_PROV2 G2 ON G2.LINK_UP = G1.LINK
	INNER JOIN dbo.G_PROV_AP GAP ON GAP.LINK_UP = G2.LINK
	INNER JOIN [dbo].[KOSGU] EKR ON EKR.LINK = EKR	

--   
SET @ERR_MSG = NULL
SET @SQL = 
N'
SET @ERR_MSG = 
	SUBSTRING((
			SELECT DISTINCT '','' + K.CODE
			FROM
				#EKR K
			WHERE
				NOT EXISTS (SELECT * FROM ' + @DB + '[dbo].[KOSGU] A WHERE LTRIM(RTRIM(A.CODE ' + @COLLATE + ' )) = K.CODE)
			FOR XML PATH('''')
		), 2, 3000)
'	
EXEC SP_EXECUTESQL @SQL, N'@ERR_MSG VARCHAR(256) OUTPUT', @ERR_MSG = @ERR_MSG OUTPUT

IF @ERR_MSG IS NOT NULL
BEGIN
	UPDATE dbo.SYNCH_SMETA_SMART_TAB SET 
		COMENT = LEFT(' -   : ' + @ERR_MSG,256)
		,[STATUS] = 3
	WHERE LINK = @LINK_JOURN_TAB
	
	RETURN 107
END


--   
SET @ERR_MSG = NULL
SET @SQL = 
N'
SET @ERR_MSG = 
	SUBSTRING((
			SELECT CODE
			FROM
			(
			SELECT DISTINCT '','' + K.CODE AS CODE, A.LINK_DEP, A.LINK
			FROM
				#EKR K
				INNER JOIN ' + @DB + '[dbo].[KOSGU] A ON LTRIM(RTRIM(A.CODE ' + @COLLATE + ' )) = K.CODE
			) T	
			GROUP BY
				 CODE, LINK_DEP
			HAVING
				COUNT(*) > 1		
			FOR XML PATH('''')
		), 2, 3000)
'	

EXEC SP_EXECUTESQL @SQL, N'@ERR_MSG VARCHAR(256) OUTPUT', @ERR_MSG = @ERR_MSG OUTPUT

IF @ERR_MSG IS NOT NULL
BEGIN
	UPDATE dbo.SYNCH_SMETA_SMART_TAB SET 
		COMENT = LEFT(' -  : ' + @ERR_MSG,256)
		,[STATUS] = 3
	WHERE LINK = @LINK_JOURN_TAB
	
	RETURN 108
END

--  
SET @ERR_MSG = NULL
SET @SQL = 
N'
UPDATE K SET LINK2 = A.LINK
FROM
	#EKR K
	INNER JOIN ' + @DB + '[dbo].[KOSGU] A ON LTRIM(RTRIM(A.CODE ' + @COLLATE + ' )) = K.CODE
'	
EXEC SP_EXECUTESQL @SQL


--
CREATE TABLE #SGU (DEP INT, CODE VARCHAR(4), LINK1 INT, LINK2 INT)
INSERT INTO #SGU (DEP, CODE, LINK1)
SELECT DISTINCT G.DEP, LTRIM(RTRIM(SGU.CODE)), SGU
FROM
	#DOC A
	INNER JOIN dbo.G_PROV G ON A.LINK = G.LINK
	INNER JOIN dbo.G_PROV1 G1 ON G1.LINK_UP = G.LINK
	INNER JOIN dbo.G_PROV2 G2 ON G2.LINK_UP = G1.LINK
	INNER JOIN dbo.G_PROV_AP GAP ON GAP.LINK_UP = G2.LINK
	INNER JOIN [dbo].[KOSGU] SGU ON SGU.LINK = SGU

--   
SET @ERR_MSG = NULL
SET @SQL = 
N'
SET @ERR_MSG = 
	SUBSTRING((
			SELECT DISTINCT '','' + K.CODE
			FROM
				#SGU K
			WHERE
				NOT EXISTS (SELECT * FROM ' + @DB + '[dbo].[KOSGU] A WHERE LTRIM(RTRIM(A.CODE ' + @COLLATE + ' )) = K.CODE)
			FOR XML PATH('''')
		), 2, 3000)
'	
EXEC SP_EXECUTESQL @SQL, N'@ERR_MSG VARCHAR(256) OUTPUT', @ERR_MSG = @ERR_MSG OUTPUT

IF @ERR_MSG IS NOT NULL
BEGIN
	UPDATE dbo.SYNCH_SMETA_SMART_TAB SET 
		COMENT = LEFT(' -   : ' + @ERR_MSG,256)
		,[STATUS] = 3
	WHERE LINK = @LINK_JOURN_TAB
	
	RETURN 109
END


--   
SET @ERR_MSG = NULL
SET @SQL = 
N'
SET @ERR_MSG = 
	SUBSTRING((
			SELECT CODE
			FROM
			(
			SELECT DISTINCT '','' + K.CODE AS CODE, A.LINK_DEP, A.LINK
			FROM
				#SGU K
				INNER JOIN ' + @DB + '[dbo].[KOSGU] A ON LTRIM(RTRIM(A.CODE ' + @COLLATE + ' )) = K.CODE
			) T	
			GROUP BY
				 CODE, LINK_DEP
			HAVING
				COUNT(*) > 1		
			FOR XML PATH('''')
		), 2, 3000)
'	

EXEC SP_EXECUTESQL @SQL, N'@ERR_MSG VARCHAR(256) OUTPUT', @ERR_MSG = @ERR_MSG OUTPUT

IF @ERR_MSG IS NOT NULL
BEGIN
	UPDATE dbo.SYNCH_SMETA_SMART_TAB SET 
		COMENT = LEFT(' -  : ' + @ERR_MSG,256)
		,[STATUS] = 3
	WHERE LINK = @LINK_JOURN_TAB
	
	RETURN 110
END

--  
SET @ERR_MSG = NULL
SET @SQL = 
N'
UPDATE K SET LINK2 = A.LINK
FROM
	#SGU K
	INNER JOIN ' + @DB + '[dbo].[KOSGU] A ON LTRIM(RTRIM(A.CODE ' + @COLLATE + ' )) = K.CODE
'	
EXEC SP_EXECUTESQL @SQL

--
CREATE TABLE #KAU (DEP INT, CODE VARCHAR(10), LINK1 INT, LINK2 INT)
INSERT INTO #KAU (DEP, CODE, LINK1)
SELECT DISTINCT G.DEP, LTRIM(RTRIM(KAU.CODE)), KAU
FROM
	#DOC A
	INNER JOIN dbo.G_PROV G ON A.LINK = G.LINK
	INNER JOIN dbo.G_PROV1 G1 ON G1.LINK_UP = G.LINK
	INNER JOIN dbo.G_PROV2 G2 ON G2.LINK_UP = G1.LINK
	INNER JOIN dbo.G_PROV_AP GAP ON GAP.LINK_UP = G2.LINK
	INNER JOIN [dbo].[KAU] KAU ON KAU.LINK = KAU		

--   
SET @ERR_MSG = NULL
SET @SQL = 
N'
SET @ERR_MSG = 
	SUBSTRING((
			SELECT DISTINCT '','' + K.CODE
			FROM
				#KAU K
				INNER JOIN #DEPARTMENTS_SMETA_KS T ON T.LINK1 = K.DEP
				INNER JOIN ' + @DB + 'dbo.V_DEP VD ON VD.LINK = T.LINK2
			WHERE
				NOT EXISTS (SELECT * FROM ' + @DB + 'dbo.[KAU] A WHERE A.LINK_DEP = VD.LINK_CB AND LTRIM(RTRIM(A.CODE ' + @COLLATE + ' )) = K.CODE)
			FOR XML PATH('''')
		), 2, 3000)
'	
EXEC SP_EXECUTESQL @SQL, N'@ERR_MSG VARCHAR(256) OUTPUT', @ERR_MSG = @ERR_MSG OUTPUT

IF @ERR_MSG IS NOT NULL
BEGIN
	UPDATE dbo.SYNCH_SMETA_SMART_TAB SET 
		COMENT = LEFT(' -   : ' + @ERR_MSG,256)
		,[STATUS] = 3
	WHERE LINK = @LINK_JOURN_TAB
	
	RETURN 111
END

--   
SET @ERR_MSG = NULL
SET @SQL = 
N'
SET @ERR_MSG = 
	SUBSTRING((
			SELECT CODE
			FROM
			(
			SELECT DISTINCT '','' + K.CODE AS CODE, A.LINK_DEP, A.LINK
			FROM
				#KAU K
				INNER JOIN #DEPARTMENTS_SMETA_KS T ON T.LINK1 = K.DEP
				INNER JOIN ' + @DB + 'dbo.V_DEP VD ON VD.LINK = T.LINK2
				INNER JOIN ' + @DB + 'dbo.[KAU] A ON A.LINK_DEP = VD.LINK_CB AND LTRIM(RTRIM(A.CODE ' + @COLLATE + ' )) = K.CODE
			) T	
			GROUP BY
				 CODE, LINK_DEP
			HAVING
				COUNT(*) > 1		
			FOR XML PATH('''')
		), 2, 3000)
'	
EXEC SP_EXECUTESQL @SQL, N'@ERR_MSG VARCHAR(256) OUTPUT', @ERR_MSG = @ERR_MSG OUTPUT

IF @ERR_MSG IS NOT NULL
BEGIN
	UPDATE dbo.SYNCH_SMETA_SMART_TAB SET 
		COMENT = LEFT(' -  : ' + @ERR_MSG,256)
		,[STATUS] = 3
	WHERE LINK = @LINK_JOURN_TAB
	
	RETURN 112
END

--  
SET @ERR_MSG = NULL
SET @SQL = 
N'
UPDATE K SET LINK2 = A.LINK
FROM
	#KAU K
	INNER JOIN #DEPARTMENTS_SMETA_KS T ON T.LINK1 = K.DEP
	INNER JOIN ' + @DB + 'dbo.V_DEP VD ON VD.LINK = T.LINK2
	INNER JOIN ' + @DB + 'dbo.[KAU] A ON A.LINK_DEP = VD.LINK_CB AND LTRIM(RTRIM(A.CODE ' + @COLLATE + ' )) = K.CODE
'	
EXEC SP_EXECUTESQL @SQL

--     -
SET @ERR_MSG = NULL
SET @ERR_MSG = 
	SUBSTRING((
				SELECT ',' + LTRIM(RTRIM(D.CODE)) + '/' + LTRIM(RTRIM(INN)) + '/' + LTRIM(RTRIM(KPP))
				FROM
					dbo.DEPARTMENTS D
				WHERE
					EXISTS ( SELECT * FROM #DOC G WHERE D.LINK = G.DEP )
				GROUP BY CODE, INN, KPP
				HAVING COUNT(*) > 1
				ORDER BY ',' + LTRIM(RTRIM(D.CODE)) + '/' + LTRIM(RTRIM(INN)) + '/' + LTRIM(RTRIM(KPP))	
			FOR XML PATH('')
		), 2, 3000)
		
IF @ERR_MSG IS NOT NULL
BEGIN
	UPDATE dbo.SYNCH_SMETA_SMART_TAB SET 
		COMENT = LEFT(' -    /: ' + @ERR_MSG,256)
		,[STATUS] = 3
	WHERE LINK = @LINK_JOURN_TAB
	
	RETURN 113
END


/* */
CREATE TABLE #DEP_ACCOUNTS (COR INT, CODE VARCHAR(30), LINK1 INT, LINK2 INT, DEP INT)
INSERT INTO #DEP_ACCOUNTS (COR, CODE, LINK1, DEP)
SELECT T2.LINK_UP, LTRIM(RTRIM(T2.CODE)),T2.LINK, A.DEP
FROM
	#DOC A
	INNER JOIN dbo.G_PROV G ON A.LINK = G.LINK
	INNER JOIN dbo.G_PROV1 G1 ON G1.LINK_UP = G.LINK
	INNER JOIN dbo.G_PROV2 G2 ON G2.LINK_UP = G1.LINK
	INNER JOIN dbo.G_PROV_AP GAP ON GAP.LINK_UP = G2.LINK
	INNER JOIN [dbo].[DEPARTMENT_ACCOUNTS] T2 ON T2.LINK = DEP_ACC	

/**/
INSERT INTO #DEPARTMENTS_SMETA_KS (LINK1, DEP)
SELECT DISTINCT A.COR, B.DEP
FROM 
	#DEP_ACCOUNTS A
	INNER JOIN #DEPARTMENTS_SMETA_KS B ON A.DEP = B.LINK1
WHERE NOT EXISTS (SELECT * FROM #DEPARTMENTS_SMETA_KS D WHERE D.LINK1 = A.COR AND D.DEP = B.DEP)

INSERT INTO #DEPARTMENTS_SMETA_KS (LINK1, DEP)
SELECT DISTINCT GAP.DEP, G.DEP
FROM
	#DOC A
	INNER JOIN dbo.G_PROV G ON A.LINK = G.LINK
	INNER JOIN dbo.G_PROV1 G1 ON G1.LINK_UP = G.LINK
	INNER JOIN dbo.G_PROV2 G2 ON G2.LINK_UP = G1.LINK
	INNER JOIN dbo.G_PROV_AP GAP ON GAP.LINK_UP = G2.LINK
WHERE 
	GAP.DEP IS NOT NULL
	AND NOT EXISTS (SELECT * FROM #DEPARTMENTS_SMETA_KS D WHERE D.LINK1 = GAP.DEP AND D.DEP = G.DEP)

/* */
--    - .
SET @ERR_MSG = NULL
SET @SQL = 
N'
SET @ERR_MSG = 
	SUBSTRING((
				SELECT '','' + LTRIM(RTRIM(D.INN)) + ''/'' + LTRIM(RTRIM(D.KPP))+ ''/'' + LEFT(LTRIM(RTRIM(D.NAME)),50)
				FROM
					dbo.DEPARTMENTS D --
					INNER JOIN #DEPARTMENTS_SMETA_KS G ON D.LINK = G.LINK1
				WHERE
					D.[TYPE] <> 3 --
					AND
					G.LINK2 IS NULL
					AND
					NOT EXISTS (
						SELECT * FROM
							#DEPARTMENTS_SMETA_KS DD --
							INNER JOIN ' + @DB + 'dbo.V_DEP VD ON VD.LINK = DD.LINK2
							INNER JOIN ' + @DB + 'dbo.[DEPARTMENTS] A ON A.LINK_DEP = VD.LINK_CB AND LTRIM(RTRIM(A.INN ' + @COLLATE + ' )) = D.INN AND LTRIM(RTRIM(A.KPP ' + @COLLATE + ' )) = D.KPP
						WHERE
							DD.LINK1 = G.DEP
						)
				GROUP BY D.INN, D.KPP, D.NAME
				ORDER BY '','' + LTRIM(RTRIM(D.INN)) + ''/'' + LTRIM(RTRIM(D.KPP))+ ''/'' + LEFT(LTRIM(RTRIM(D.NAME)),50)	
			FOR XML PATH('''')
		), 2, 3000)
'	
EXEC SP_EXECUTESQL @SQL, N'@ERR_MSG VARCHAR(256) OUTPUT', @ERR_MSG = @ERR_MSG OUTPUT

IF @ERR_MSG IS NOT NULL
BEGIN
	UPDATE dbo.SYNCH_SMETA_SMART_TAB SET 
		COMENT = LEFT(' -   //: ' + @ERR_MSG,256)
		,[STATUS] = 3
	WHERE LINK = @LINK_JOURN_TAB
	
	RETURN 1
END

--    - .
SET @ERR_MSG = NULL
SET @SQL = 
N'
SET @ERR_MSG = 
	SUBSTRING((
			SELECT '','' + CODE
			FROM
			(
			SELECT DISTINCT LTRIM(RTRIM(D.INN)) + ''/'' + LTRIM(RTRIM(D.KPP))+ ''/'' + LEFT(LTRIM(RTRIM(D.NAME)),50) AS CODE, A.LINK_DEP, A.LINK
				FROM
					dbo.DEPARTMENTS D
					INNER JOIN #DEPARTMENTS_SMETA_KS G ON D.LINK = G.LINK1 --
					INNER JOIN #DEPARTMENTS_SMETA_KS DEP ON DEP.LINK1 = G.DEP --
					INNER JOIN ' + @DB + 'dbo.V_DEP VD ON VD.LINK = DEP.LINK2
					INNER JOIN ' + @DB + 'dbo.[DEPARTMENTS] A ON A.LINK_DEP = VD.LINK_CB AND LTRIM(RTRIM(A.INN ' + @COLLATE + ' )) = D.INN AND LTRIM(RTRIM(A.KPP ' + @COLLATE + ' )) = D.KPP
				WHERE
					D.[TYPE] <> 3 --
					AND				
					G.LINK2 IS NULL
			) T	
			GROUP BY
				 CODE, LINK_DEP
			HAVING COUNT(*) > 1
			ORDER BY T.CODE	
			FOR XML PATH('''')
		), 2, 3000)
'
EXEC SP_EXECUTESQL @SQL, N'@ERR_MSG VARCHAR(256) OUTPUT', @ERR_MSG = @ERR_MSG OUTPUT

IF @ERR_MSG IS NOT NULL
BEGIN
	UPDATE dbo.SYNCH_SMETA_SMART_TAB SET 
		COMENT = LEFT(' -   /: ' + @ERR_MSG,256)
		,[STATUS] = 3
	WHERE LINK = @LINK_JOURN_TAB
	RETURN 1
END

--   - .
SET @ERR_MSG = NULL
SET @SQL = 
N'
UPDATE G SET G.LINK2 = A.LINK
FROM
	dbo.DEPARTMENTS D
	INNER JOIN #DEPARTMENTS_SMETA_KS G ON D.LINK = G.LINK1 --
	INNER JOIN #DEPARTMENTS_SMETA_KS DEP ON DEP.LINK1 = G.DEP --
	INNER JOIN ' + @DB + 'dbo.V_DEP VD ON VD.LINK = DEP.LINK2
	INNER JOIN ' + @DB + 'dbo.[DEPARTMENTS] A ON A.LINK_DEP = VD.LINK_CB AND LTRIM(RTRIM(A.INN ' + @COLLATE + ' )) = D.INN AND LTRIM(RTRIM(A.KPP ' + @COLLATE + ' )) = D.KPP
WHERE
	D.[TYPE] <> 3 --
	AND
	G.LINK2 IS NULL
'	
EXEC SP_EXECUTESQL @SQL
------------

--    - .
SET @ERR_MSG = NULL
SET @SQL = 
N'
SET @ERR_MSG = 
	SUBSTRING((
				SELECT '','' + LTRIM(RTRIM(D.CODE)) + ''/'' + LEFT(LTRIM(RTRIM(D.NAME)),50)
				FROM
					dbo.DEPARTMENTS D --
					INNER JOIN #DEPARTMENTS_SMETA_KS G ON D.LINK = G.LINK1
				WHERE
					D.[TYPE] = 3 --
					AND
					G.LINK2 IS NULL
					AND
					NOT EXISTS (
						SELECT * FROM
							#DEPARTMENTS_SMETA_KS DD --
							INNER JOIN ' + @DB + 'dbo.V_DEP VD ON VD.LINK = DD.LINK2
							INNER JOIN ' + @DB + 'dbo.[DEPARTMENTS] A ON A.LINK_DEP = VD.LINK_CB AND LTRIM(RTRIM(A.CODE ' + @COLLATE + ' )) = D.CODE AND LTRIM(RTRIM(A.NAME ' + @COLLATE + ' )) = D.NAME
						WHERE
							DD.LINK1 = G.DEP
						)
				GROUP BY D.CODE, D.NAME
				ORDER BY '','' + LTRIM(RTRIM(D.CODE)) + ''/'' + LEFT(LTRIM(RTRIM(D.NAME)),50)	
			FOR XML PATH('''')
		), 2, 3000)
'	
EXEC SP_EXECUTESQL @SQL, N'@ERR_MSG VARCHAR(256) OUTPUT', @ERR_MSG = @ERR_MSG OUTPUT

IF @ERR_MSG IS NOT NULL
BEGIN
	UPDATE dbo.SYNCH_SMETA_SMART_TAB SET 
		COMENT = LEFT(' -  -. /: ' + @ERR_MSG,256)
		,[STATUS] = 3
	WHERE LINK = @LINK_JOURN_TAB
	
	RETURN 1
END

--    - .
SET @ERR_MSG = NULL
SET @SQL = 
N'
SET @ERR_MSG = 
	SUBSTRING((
			SELECT '','' + CODE
			FROM
			(
			SELECT DISTINCT LTRIM(RTRIM(D.CODE)) + ''/'' + LEFT(LTRIM(RTRIM(D.NAME)),50) AS CODE, A.LINK_DEP, A.LINK
				FROM
					dbo.DEPARTMENTS D
					INNER JOIN #DEPARTMENTS_SMETA_KS G ON D.LINK = G.LINK1 --
					INNER JOIN #DEPARTMENTS_SMETA_KS DEP ON DEP.LINK1 = G.DEP --
					INNER JOIN ' + @DB + 'dbo.V_DEP VD ON VD.LINK = DEP.LINK2
					INNER JOIN ' + @DB + 'dbo.[DEPARTMENTS] A ON A.LINK_DEP = VD.LINK_CB AND LTRIM(RTRIM(A.CODE ' + @COLLATE + ' )) = D.CODE AND LTRIM(RTRIM(A.NAME ' + @COLLATE + ' )) = D.NAME
				WHERE
					D.[TYPE] = 3 --
					AND				
					G.LINK2 IS NULL
			) T	
			GROUP BY
				 CODE, LINK_DEP
			HAVING COUNT(*) > 1
			ORDER BY T.CODE	
			FOR XML PATH('''')
		), 2, 3000)
'
EXEC SP_EXECUTESQL @SQL, N'@ERR_MSG VARCHAR(256) OUTPUT', @ERR_MSG = @ERR_MSG OUTPUT

IF @ERR_MSG IS NOT NULL
BEGIN
	UPDATE dbo.SYNCH_SMETA_SMART_TAB SET 
		COMENT = LEFT(' -   - . /: ' + @ERR_MSG,256)
		,[STATUS] = 3
	WHERE LINK = @LINK_JOURN_TAB
	RETURN 1
END

--   - .
SET @ERR_MSG = NULL
SET @SQL = 
N'
UPDATE G SET G.LINK2 = A.LINK
FROM
	dbo.DEPARTMENTS D
	INNER JOIN #DEPARTMENTS_SMETA_KS G ON D.LINK = G.LINK1 --
	INNER JOIN #DEPARTMENTS_SMETA_KS DEP ON DEP.LINK1 = G.DEP --
	INNER JOIN ' + @DB + 'dbo.V_DEP VD ON VD.LINK = DEP.LINK2
	INNER JOIN ' + @DB + 'dbo.[DEPARTMENTS] A ON A.LINK_DEP = VD.LINK_CB AND LTRIM(RTRIM(A.CODE ' + @COLLATE + ' )) = D.CODE AND LTRIM(RTRIM(A.NAME ' + @COLLATE + ' )) = D.NAME
WHERE
	D.[TYPE] = 3 --
	AND
	G.LINK2 IS NULL
'	
EXEC SP_EXECUTESQL @SQL

------------
/* */
--    
SET @ERR_MSG = NULL
SET @SQL = 
N'
SET @ERR_MSG = 
	SUBSTRING((
	
			SELECT DISTINCT '','' + LTRIM(RTRIM(D.INN)) + ''/'' + LTRIM(RTRIM(D.KPP)) + ''/'' + LTRIM(RTRIM(DA.CODE))
			FROM
				dbo.DEPARTMENTS D
				INNER JOIN #DEPARTMENTS_SMETA_KS T1 ON D.LINK = T1.LINK1
				INNER JOIN #DEP_ACCOUNTS T2 ON T2.COR = D.LINK AND T2.DEP = T1.DEP
				INNER JOIN dbo.DEPARTMENT_ACCOUNTS DA ON DA.LINK = T2.LINK1
			WHERE
				NOT EXISTS (SELECT * FROM ' + @DB + 'dbo.DEPARTMENT_ACCOUNTS DA_SS WHERE DA_SS.LINK_UP = T1.LINK2 AND DA_SS.CODE ' + @COLLATE + '  = DA.CODE)	
		
			FOR XML PATH('''')
		), 2, 3000)
'	
EXEC SP_EXECUTESQL @SQL, N'@ERR_MSG VARCHAR(256) OUTPUT', @ERR_MSG = @ERR_MSG OUTPUT

IF @ERR_MSG IS NOT NULL
BEGIN
	UPDATE dbo.SYNCH_SMETA_SMART_TAB SET 
		COMENT = LEFT(' -     //: ' + @ERR_MSG,256)
		,[STATUS] = 3
	WHERE LINK = @LINK_JOURN_TAB
	
	RETURN 1
END

--    
SET @ERR_MSG = NULL
SET @SQL = 
N'
SET @ERR_MSG = 
	SUBSTRING((
			SELECT '','' + LTRIM(RTRIM(D.INN)) + ''/'' + LTRIM(RTRIM(D.KPP)) + ''/'' + LTRIM(RTRIM(DA.CODE))
			FROM
				dbo.DEPARTMENTS D
				INNER JOIN #DEPARTMENTS_SMETA_KS T1 ON D.LINK = T1.LINK1
				INNER JOIN #DEP_ACCOUNTS T2 ON T2.COR = D.LINK AND T2.DEP = T1.DEP
				INNER JOIN dbo.DEPARTMENT_ACCOUNTS DA ON DA.LINK = T2.LINK1
				INNER JOIN ' + @DB + 'dbo.DEPARTMENT_ACCOUNTS DA_SS ON DA_SS.LINK_UP = T1.LINK2 AND DA_SS.CODE ' + @COLLATE + '  = DA.CODE
			GROUP BY
				D.INN,D.KPP, DA.CODE 
			HAVING
				COUNT(*) > 1		
			FOR XML PATH('''')
		), 2, 3000)
'	
EXEC SP_EXECUTESQL @SQL, N'@ERR_MSG VARCHAR(256) OUTPUT', @ERR_MSG = @ERR_MSG OUTPUT

IF @ERR_MSG IS NOT NULL
BEGIN
	UPDATE dbo.SYNCH_SMETA_SMART_TAB SET 
		COMENT = LEFT(' -     //: ' + @ERR_MSG,256)
		,[STATUS] = 3
	WHERE LINK = @LINK_JOURN_TAB
	
	RETURN 1
END

--   
SET @ERR_MSG = NULL
SET @SQL = 
N'
UPDATE T2 SET T2.LINK2 = DA_SS.LINK
FROM
	dbo.DEPARTMENTS D
	INNER JOIN #DEPARTMENTS_SMETA_KS T1 ON D.LINK = T1.LINK1
	INNER JOIN #DEP_ACCOUNTS T2 ON T2.COR = D.LINK AND T2.DEP = T1.DEP
	INNER JOIN dbo.DEPARTMENT_ACCOUNTS DA ON DA.LINK = T2.LINK1
	INNER JOIN ' + @DB + 'dbo.DEPARTMENT_ACCOUNTS DA_SS ON DA_SS.LINK_UP = T1.LINK2 AND DA_SS.CODE ' + @COLLATE + ' = DA.CODE
'	
EXEC SP_EXECUTESQL @SQL

--      -
SET @ERR_MSG = NULL
SET @ERR_MSG = 
	SUBSTRING((
				SELECT ',' + LTRIM(RTRIM(D.CODE)) + '/' + LTRIM(RTRIM(D.INN)) + '/' + LTRIM(RTRIM(D.KPP))
				FROM
					dbo.DEPARTMENTS D
					INNER JOIN #DOC G ON D.LINK = G.DEP
					INNER JOIN #DEPARTMENTS_DATE DD ON DD.CODE = D.CODE AND DD.INN = D.INN AND DD.KPP = D.KPP
				WHERE
					NOT G.[DATE_PROV] BETWEEN DD.[BEGINDATE] AND DD.[ENDDATE]
				GROUP BY D.CODE, D.INN, D.KPP
				ORDER BY ',' + LTRIM(RTRIM(D.CODE)) + '/' + LTRIM(RTRIM(D.INN)) + '/' + LTRIM(RTRIM(D.KPP))	
			FOR XML PATH('')
		), 2, 3000)
		

IF @ERR_MSG IS NOT NULL
BEGIN
	UPDATE dbo.SYNCH_SMETA_SMART_TAB SET 
		COMENT = LEFT(' -     . /: ' + @ERR_MSG,256)
		,[STATUS] = 3
	WHERE LINK = @LINK_JOURN_TAB
	
	RETURN 114
END

----------
CREATE TABLE #G_DOC ([NUMBER] varchar(30),[DATE] datetime,[OBJECT] int,[DATE_PROV] datetime,[SUMMA] numeric(19, 2),[COMMENT] varchar(254),[GET_STORE] int,[DEP] int,[ACC] int,[GUID] uniqueidentifier,[LINK_INS] int)
CREATE TABLE #G_PROV ([LINK1] int ,[LINK2] int, [DEP1] INT, [DEP2] INT)
CREATE TABLE #G_PROV1 ([LINK1] int ,[LINK2] int, [DEP1] INT, [DEP2] INT)
CREATE TABLE #G_PROV2 ([LINK1] int ,[LINK2] int, [ACC_DT] INT, [ACC_KT] INT, [DEP1] INT, [DEP2] INT)
CREATE TABLE #VIBOR_ECON_OPER ([ACC_DT] INT, [ACC_KT] INT, [DEP] INT, [ECON_OPER] INT)

--SET @varKStrancount = @@TRANCOUNT
--SET IMPLICIT_TRANSACTIONS ON
--BEGIN TRAN
--COMMIT TRAN

CREATE TABLE #EXEC (text varchar(8000), id int identity(1,1))

INSERT INTO #EXEC ([text]) SELECT
'
INSERT INTO #G_DOC (NUMBER, DATE, [OBJECT], DATE_PROV, SUMMA, COMMENT, GET_STORE, DEP, ACC, [GUID], LINK_INS)
SELECT 
	 NUMBER     = LTRIM(RTRIM(g.NUMBER))
	,DATE       = g.DATE
	,[OBJECT]   = ' + CONVERT(VARCHAR(20),@iOBJECT) + '
	,DATE_PROV  = g.DATE_PROV
	,SUMMA      = g.SUMMA
	,COMMENT    = g.COMMENT
	,GET_STORE  = 0
	,DEP        = T.LINK2
	,ACC        = D.MAIN_LINK
	,[GUID] = G.[GUID]
	,LINK_INS   = g.LINK
FROM 
	dbo.G_PROV g
	INNER JOIN #DOC R ON R.LINK = G.LINK
	INNER JOIN #DEPARTMENTS_SMETA_KS T ON T.LINK1 = G.DEP
	INNER JOIN ' + @DB + 'dbo.DEPARTMENTS D ON D.LINK = T.LINK2
WHERE
	 NOT EXISTS (SELECT * FROM ' + @DB + 'dbo.G_PROV G2 WHERE G2.[OBJECT] IS NOT NULL AND G2.[GUID] = G.[GUID])

INSERT INTO ' + @DB + 'dbo.G_PROV
	(NUMBER, DATE, [OBJECT], DATE_PROV, SUMMA, COMMENT, GET_STORE, DEP, ACC, [GUID], LINK_INS)
SELECT NUMBER, DATE, [OBJECT], DATE_PROV, SUMMA, COMMENT, GET_STORE, DEP, ACC, [GUID], LINK_INS
FROM #G_DOC

INSERT INTO #G_PROV ([LINK1],[LINK2], [DEP1], [DEP2])
SELECT DISTINCT G_1.LINK, G_2.LINK, G_1.DEP, G_2.DEP
FROM 
	#DOC R
	INNER JOIN dbo.G_PROV G_1 ON G_1.LINK = R.LINK
	INNER JOIN 
	(
		SELECT LINK, DEP,LINK_INS, [OBJECT], NUM = ROW_NUMBER() OVER (PARTITION BY DEP, LINK_INS, [OBJECT] ORDER BY LINK DESC) FROM ' + @DB + 'dbo.G_PROV 
	)G_2 ON G_2.LINK_INS = G_1.LINK AND G_2.NUM = 1
WHERE
	 G_2.[OBJECT] IS NOT NULL 
 '

IF EXISTS (SELECT text FROM #EXEC)
	EXEC @err = dbo.ssp_execresultset 'select text from #EXEC order by id'

DELETE #EXEC
INSERT INTO #EXEC ([text]) SELECT
'
INSERT INTO ' + @DB + 'dbo.G_PROV1 (LINK_UP, NAME_OPER, ORDERS, [LINK_INS])
SELECT DISTINCT
	LINK_UP     = T.LINK2
	,NAME_OPER  = g1.NAME_OPER
	,ORDERS     = 1
	,[LINK_INS] = g1.LINK
FROM 
	#G_PROV T
	INNER JOIN dbo.G_PROV1 g1 ON g1.LINK_UP = T.LINK1

INSERT INTO #G_PROV1 ([LINK1],[LINK2], [DEP1], [DEP2])
SELECT DISTINCT G1_1.LINK, G1_2.LINK, T.[DEP1], T.[DEP2]
FROM 
	#G_PROV T
	INNER JOIN dbo.G_PROV1 G1_1 ON G1_1.LINK_UP = T.LINK1
	INNER JOIN 
	(
		SELECT LINK, LINK_INS, NUM = ROW_NUMBER() OVER (PARTITION BY LINK_INS ORDER BY LINK DESC) FROM ' + @DB + 'dbo.G_PROV1
	)  G1_2 ON G1_2.LINK_INS = G1_1.LINK AND G1_2.NUM = 1
	
'

IF EXISTS (SELECT text FROM #EXEC)
	EXEC @err = dbo.ssp_execresultset 'select text from #EXEC order by id'


DELETE #EXEC
INSERT INTO #EXEC ([text]) SELECT
'
INSERT INTO ' + @DB + 'dbo.G_PROV2 (LINK_UP, SUMMA, QUANTITY, PRICE, STORNO, NAME, ORDERS, [LINK_INS])
SELECT
	LINK_UP     = T.LINK2
	,SUMMA      = G2.SUMMA
	,QUANTITY   = G2.QUANTITY
	,PRICE      = CASE WHEN G2.QUANTITY <> 0 THEN G2.SUMMA / G2.QUANTITY ELSE 0 END
	,STORNO     = G2.STORNO
	,[NAME]     = G2.NAME
	,ORDERS     = 1
	,[LINK_INS] = G2.LINK
FROM
	#G_PROV1 T 
	INNER JOIN dbo.G_PROV2 G2 ON G2.LINK_UP = T.LINK1

INSERT INTO #G_PROV2 ([LINK1],[LINK2], [DEP1], [DEP2], [ACC_DT], [ACC_KT])
SELECT DISTINCT G2_1.LINK AS A, G2_2.LINK AS B, T.[DEP1] AS C, T.[DEP2] AS D, ACCOUNT0.LINK2 AS E, ACCOUNT1.LINK2 AS F
FROM 
	#G_PROV1 T
	INNER JOIN dbo.G_PROV2 G2_1 ON G2_1.LINK_UP = T.LINK1
	INNER JOIN 
	(
		SELECT LINK, LINK_INS, NUM = ROW_NUMBER() OVER (PARTITION BY LINK_INS ORDER BY LINK DESC) FROM ' + @DB + 'dbo.G_PROV2
	)  G2_2 ON G2_2.LINK_INS = G2_1.LINK AND G2_2.NUM = 1
	LEFT JOIN dbo.G_PROV_AP GAP0 ON GAP0.LINK_UP = G2_1.LINK AND GAP0.DB_KR = 0	
	LEFT JOIN #ACCOUNT ACCOUNT0 ON ACCOUNT0.LINK1 = GAP0.ACCOUNT AND ACCOUNT0.DEP = T.DEP1
	LEFT JOIN dbo.G_PROV_AP GAP1 ON GAP1.LINK_UP = G2_1.LINK AND GAP1.DB_KR = 1
	LEFT JOIN #ACCOUNT ACCOUNT1 ON ACCOUNT1.LINK1 = GAP1.ACCOUNT AND ACCOUNT1.DEP = T.DEP1
'

IF EXISTS (SELECT text FROM #EXEC)
	EXEC @err = dbo.ssp_execresultset 'select text from #EXEC order by id'


-- 
-- 
INSERT INTO #VIBOR_ECON_OPER ([ACC_DT], [ACC_KT], [DEP])
SELECT DISTINCT [ACC_DT], [ACC_KT], [DEP2]
FROM #G_PROV2


DELETE #EXEC
INSERT INTO #EXEC ([text]) SELECT
'
DECLARE @Cur1 CURSOR, @ACC_DT INT, @ACC_KT INT, @DEP INT, @XO INT
SET @Cur1 = CURSOR FORWARD_ONLY

FOR select [ACC_DT], [ACC_KT], [DEP] from #VIBOR_ECON_OPER order by [ACC_DT], [ACC_KT], [DEP]

OPEN @Cur1
FETCH NEXT FROM @Cur1 INTO @ACC_DT, @ACC_KT, @DEP
WHILE (@@fetch_status <> -1)
BEGIN
	IF (@@fetch_status <> -2)
	BEGIN
		SET @XO = 0
			EXECUTE ' + @DB + 'dbo.LOCATE_ECON_OPER
						@Found_XO = @XO OUTPUT, @intDt = @ACC_DT, @intKt = @ACC_KT, @iObj = ' + CONVERT(VARCHAR(20),@iOBJECT) + ', @iDep = @DEP
		UPDATE #VIBOR_ECON_OPER SET [ECON_OPER] = @XO WHERE ACC_DT= @ACC_DT AND ACC_KT= @ACC_KT AND DEP= @DEP			
	END

	FETCH NEXT FROM @Cur1 INTO @ACC_DT, @ACC_KT, @DEP
END

CLOSE @Cur1
DEALLOCATE @Cur1

-----------------
UPDATE G2 SET
	G2.ECON_OPER = B.[ECON_OPER]
FROM
	#G_PROV2 T
	INNER JOIN dbo.G_PROV2 C ON C.LINK = T.LINK1
	INNER JOIN ' + @DB + 'dbo.G_PROV2 G2 ON G2.LINK = T.LINK2
	INNER JOIN #VIBOR_ECON_OPER B ON T.[DEP2] = B.[DEP] 
									AND ISNULL(T.[ACC_DT],0) = ISNULL(B.[ACC_DT],0)
									AND ISNULL(T.[ACC_KT],0) = ISNULL(B.[ACC_KT],0)
WHERE
	C.ECON_OPER IS NOT NULL															
'

IF EXISTS (SELECT text FROM #EXEC)
	EXEC @err = dbo.ssp_execresultset 'select text from #EXEC order by id'

---------------------------------------------------------
DELETE #EXEC
INSERT INTO #EXEC ([text]) SELECT
'
INSERT INTO ' + @DB + 'dbo.G_PROV_AP 
(LINK_UP, DB_KR, ACCOUNT, KBK, EKR, DEP, KAU, INDATE, SGU, DEP_ACC)
SELECT 
	LINK_UP     = T.LINK2
	,DB_KR      = GAP.DB_KR
	,ACCOUNT    = ACCOUNT.LINK2
	,KBK        = KBK.LINK2
	,EKR        = EKR.LINK2
	,DEP        = DEP.LINK2
	,KAU        = KAU.LINK2
	,INDATE     = GAP.INDATE
	,SGU        = SGU.LINK2
	,DEP_ACC	= DEP_ACC.LINK2
FROM 
	#G_PROV2 T
	INNER JOIN dbo.G_PROV_AP GAP ON GAP.LINK_UP = T.LINK1
	INNER JOIN #ACCOUNT ACCOUNT ON ACCOUNT.LINK1 = GAP.ACCOUNT AND ACCOUNT.DEP = T.DEP1
	LEFT JOIN #KBK KBK ON KBK.LINK1 = GAP.KBK AND KBK.DEP = T.DEP1
	LEFT JOIN #EKR EKR ON EKR.LINK1 = GAP.EKR AND EKR.DEP = T.DEP1
	LEFT JOIN #SGU SGU ON SGU.LINK1 = GAP.SGU AND SGU.DEP = T.DEP1
	LEFT JOIN #KAU KAU ON KAU.LINK1 = GAP.KAU AND KAU.DEP = T.DEP1
	LEFT JOIN #DEPARTMENTS_SMETA_KS DEP ON DEP.LINK1 = GAP.DEP AND DEP.DEP = T.DEP1 
	LEFT JOIN #DEP_ACCOUNTS DEP_ACC ON DEP_ACC.LINK1 = GAP.DEP_ACC AND DEP_ACC.DEP = T.DEP1	
'
IF EXISTS (SELECT text FROM #EXEC)
	EXEC @err = dbo.ssp_execresultset 'select text from #EXEC order by id'

------  G_PROV_FIELDS
DELETE #EXEC
INSERT INTO #EXEC ([text]) SELECT
'
DECLARE @Cur1 CURSOR, @LINK INT
SET @Cur1 = CURSOR FORWARD_ONLY

FOR select LINK2 from #G_PROV

OPEN @Cur1
FETCH NEXT FROM @Cur1 INTO @LINK
WHILE (@@fetch_status <> -1)
BEGIN
	IF (@@fetch_status <> -2)
	BEGIN
		--      ,      G_PROV_FIELDS
		EXEC ' + @DB + 'dbo.XA_UPDATE_G_PROV_KAU_1 @LINK_DOC = @LINK

		--    .   ,      G_PROV_FIELDS
		EXEC ' + @DB + 'dbo.XA_UPDATE_G_PROV_DOP_CLASSIF_1 @LINK_DOC = @LINK

		--      ,      G_PROV_FIELDS
		EXEC ' + @DB + 'dbo.XA_UPDATE_G_PROV_EKR_1 @LINK_DOC = @LINK

		--       ,      G_PROV_FIELDS
		EXEC ' + @DB + 'dbo.XA_UPDATE_G_PROV_FIN_SOURCE_1 @LINK_DOC = @LINK

		--      ,      G_PROV_FIELDS
		EXEC ' + @DB + 'dbo.XA_UPDATE_G_PROV_KBK_1 @LINK_DOC = @LINK

		----    -  ,      G_PROV_FIELDS
		--EXEC ' + @DB + 'dbo.XA_UPDATE_G_PROV_DOCBASE_1 @LINK_DOC = @LINK

		--    , ,  "-"   ""
		EXEC ' + @DB + 'dbo.XA_UPDATE_DOC_NAME_1 @LINK_DOC = @LINK

		EXEC ' + @DB + 'dbo.XA_UPDATE_G_PROV_STATE
			@LINK_DOC = @LINK, --    
			@STATE_CODE = ''SALARY'', -- 
			@VALUE = 1, -- 1- , 0- 
			@RPS = 1 -- @VALUE = 1        		
		
	END

	FETCH NEXT FROM @Cur1 INTO @LINK
END

CLOSE @Cur1
DEALLOCATE @Cur1


----   
UPDATE G SET G.SUMMA = ISNULL(T.SUMMA,0)
FROM 
(
SELECT D.LINK2, SUM(G2.SUMMA) AS SUMMA 
FROM #G_PROV D
	INNER JOIN ' + @DB + 'dbo.G_PROV1 G1 ON G1.LINK_UP = D.LINK2
	INNER JOIN ' + @DB + 'dbo.G_PROV2 G2 ON G2.LINK_UP = G1.LINK
WHERE 
	G2.LINK_SELF IS NULL
GROUP BY 	
	D.LINK2
) T
INNER JOIN ' + @DB + 'dbo.G_PROV G ON G.LINK = T.LINK2	

'

IF EXISTS (SELECT text FROM #EXEC)
	EXEC @err = dbo.ssp_execresultset 'select text from #EXEC order by id'


-- 
SET @ERR_MSG = NULL
SET @SQL = 
N'
	DECLARE @RID uniqueidentifier
	SET @RID = NEWID()
	INSERT INTO ' + @DB + 'dbo.SYS_LINK(RID,LINK,OBJECT)
	SELECT @RID, LINK2, @iOBJECT FROM #G_PROV 
	
	EXEC ' + @DB + 'dbo.GEN_JURN_BO @RID = @RID, @cMode=''all''
	
	DELETE ' + @DB + 'dbo.SYS_LINK WHERE RID = @RID
'	
EXEC SP_EXECUTESQL @SQL, N'@iOBJECT INT', @iOBJECT = @iOBJECT

------  G_PROV_FIELDS
DELETE #EXEC
INSERT INTO #EXEC ([text]) SELECT
'
DECLARE @Cur1 CURSOR, @LINK INT
SET @Cur1 = CURSOR FORWARD_ONLY

FOR 
	SELECT GAP.AP1
	FROM 
		' + @DB + 'dbo.G_PROV1 G1 
		INNER JOIN ' + @DB + 'dbo.G_PROV2 G2 ON G2.LINK_UP = G1.LINK
		INNER JOIN ' + @DB + 'dbo.G_PROV_AP GAP ON GAP.LINK_UP = G2.LINK
		INNER JOIN #G_PROV T ON T.LINK2 = GAP.AP1

OPEN @Cur1
FETCH NEXT FROM @Cur1 INTO @LINK
WHILE (@@fetch_status <> -1)
BEGIN
	IF (@@fetch_status <> -2)
	BEGIN
		--      ,      G_PROV_FIELDS
		EXEC ' + @DB + 'dbo.XA_UPDATE_G_PROV_KAU_1 @LINK_DOC = @LINK

		--    .   ,      G_PROV_FIELDS
		EXEC ' + @DB + 'dbo.XA_UPDATE_G_PROV_DOP_CLASSIF_1 @LINK_DOC = @LINK

		--      ,      G_PROV_FIELDS
		EXEC ' + @DB + 'dbo.XA_UPDATE_G_PROV_EKR_1 @LINK_DOC = @LINK

		--       ,      G_PROV_FIELDS
		EXEC ' + @DB + 'dbo.XA_UPDATE_G_PROV_FIN_SOURCE_1 @LINK_DOC = @LINK

		--      ,      G_PROV_FIELDS
		EXEC ' + @DB + 'dbo.XA_UPDATE_G_PROV_KBK_1 @LINK_DOC = @LINK

		--    -  ,      G_PROV_FIELDS
		EXEC ' + @DB + 'dbo.XA_UPDATE_G_PROV_DOCBASE_1 @LINK_DOC = @LINK

		--    , ,  "-"   ""
		EXEC ' + @DB + 'dbo.XA_UPDATE_DOC_NAME_1 @LINK_DOC = @LINK				
	END

	FETCH NEXT FROM @Cur1 INTO @LINK
END

CLOSE @Cur1
DEALLOCATE @Cur1
'

IF EXISTS (SELECT text FROM #EXEC)
	EXEC @err = dbo.ssp_execresultset 'select text from #EXEC order by id'

----  
UPDATE dbo.SYNCH_SMETA_SMART_TAB SET 
	COMENT = 
		(SELECT ': ' + CONVERT(VARCHAR(5),COUNT(*)) FROM #G_PROV) 
		+ '; ' + (SELECT ': ' + CONVERT(VARCHAR(5),COUNT(*)) FROM #G_PROV2) 
	,[STATUS] = 1
WHERE LINK = @LINK_JOURN_TAB

--  
DELETE S FROM #G_PROV T INNER JOIN dbo.GP_EXCH_STATUS S ON S.LINK_GP = T.LINK1

INSERT INTO dbo.GP_EXCH_STATUS (LINK_GP,[STATUS],[DATE],[COMMENT])
SELECT LINK1, 1, GETDATE(), suser_sname() + '; ' + host_name() FROM #G_PROV

--IF @@TRANCOUNT > @varKStrancount
--	COMMIT TRAN

END


GO


GRANT EXECUTE ON dbo.[SYNCH_DOCUMENTS_SALARY] TO PUBLIC

GO


GO
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[K_FILL_T_CHIN]') AND OBJECTPROPERTY(id,N'IsProcedure') = 1)
DROP PROCEDURE dbo.[K_FILL_T_CHIN]

GO



/*
  (Keysystems), 2005
*/
CREATE    PROCEDURE [dbo].K_FILL_T_CHIN
AS
BEGIN

	INSERT INTO #CHIN (
		FACE, NUMBER, 
		DATE_SOB, 
		LAST_CHIN, 
		PAY, REASON, 
		CHIN_LINK, CHIN_CODE, CHIN_NAME )
	SELECT 
		FACE = i.EMPL_LINK, i.LINK,
		i.[DATE_BEGIN], 
		0,
		0, i.REASON,
		i.ref_ec, D.CODE, D.[NAME]
	FROM dbo.item_move i LEFT JOIN DICTION D ON i.ref_ec=D.LINK
	inner JOIN dbo.ORDERS_reestr orr  ON  i.ORDER_LINK= orr.link AND  orr.obj_code = 'CHIN_CONFERM'  


	CREATE TABLE #C1 (FACE INT, DATE_SOB DATETIME, [ID] INT)
	INSERT INTO #C1
	SELECT FACE, MAX(DATE_SOB), 0
	FROM #CHIN GROUP BY  FACE

	UPDATE #C1 SET ID = (SELECT MAX(ID) FROM #CHIN WHERE FACE = C.FACE AND DATE_SOB = C.DATE_SOB) FROM #C1 C

	UPDATE #CHIN SET LAST_CHIN= 1 WHERE ID IN (SELECT ID FROM #C1)

	
	INSERT INTO #CHIN (FACE, PAY)
	SELECT LINK, 0 FROM EMPL WHERE LINK NOT IN (SELECT FACE FROM  #CHIN )
	
	DROP TABLE #C1



END



GO


GRANT EXECUTE ON dbo.[K_FILL_T_CHIN] TO PUBLIC

GO



GO
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[SD_O_OTHER_FILL]') AND OBJECTPROPERTY(id,N'IsProcedure') = 1)
DROP PROCEDURE dbo.[SD_O_OTHER_FILL]

GO
--
CREATE   PROCEDURE dbo.SD_O_OTHER_FILL
@LINK INT
AS

DECLARE @Month int,
		@Year int,
		@Link1 int,
		@DEP_LINK INT,
		@Date DATETIME	

SELECT
	@Year = YEAR(S.DATE_CALC),
	@Month = MONTH(S.DATE_CALC),
	@DEP_LINK = S.LINK_DEP,
	@Date = dbo.DATEENDOFMONTH(S.DATE_CALC)
FROM
	dbo.SDOC S
WHERE
	S.LINK = @LINK

IF @DEP_LINK IS NULL
	Set @DEP_LINK = Coalesce( (SELECT TOP 1 ZB_LINK FROM dbo.KS_OPTIONS_ZB), dbo.GetOwnDepLink())

--- 
--!!!         .    
CREATE TABLE #RANGE(LINK_PAYS INT, PREDEL NUMERIC(18,2), [PERCENT] NUMERIC(18,2))
INSERT INTO #RANGE (LINK_PAYS, PREDEL,  [PERCENT])
SELECT
	DR.LINK_PAYS, PREDEL, [PERCENT]
FROM
	dbo.PAYS P
	INNER JOIN dbo.DICTIONARY_RANGE DR ON P.LINK = DR.LINK_PAYS
WHERE
	P.[OBJECT] = 3 AND P.WAY_CALC = 5
	AND TARIF = 1 AND ntarif  like '%()%'
	AND DR.[DATE]= (SELECT TOP 1 [DATE] FROM dbo.DICTIONARY_RANGE DR1
		WHERE DR1.TARIF = DR.TARIF AND LINK_PAYS = P.LINK AND [DATE] <= @Date AND DR1.ntarif  = DR.ntarif ORDER BY [DATE] DESC) 	

DECLARE @COLUMN_REF_PAY_MROT_T3 INT
SET @COLUMN_REF_PAY_MROT_T3 = (SELECT TOP 1 LINK FROM dbo.S_OBJECTS WHERE CODE = 'COLUMN_REF_PAY_MROT_T3')

----    
CREATE TABLE #INV ([PERCENT] NUMERIC(18,2), LINK INT)
INSERT  INTO #INV ([PERCENT], LINK)
SELECT
	[PERCENT] = MP.summa, I.PERS_LINK
FROM	
	dbo.MINROT_PAYS MP
	INNER JOIN dbo.PERS_INVALID I ON 1=1
WHERE
	[OBJECT] = @COLUMN_REF_PAY_MROT_T3
	AND
	LINK_MINROT = (SELECT TOP 1 LINK FROM MINROT WHERE PERIOD<=@Date ORDER BY PERIOD DESC)
	AND
	dbo.DateEndOfMonth(dbo.ConvertDMY2Date(1,@Month,@Year))
		BETWEEN I.DATE_BEGIN AND COALESCE(I.DATE_END,'29990101')	

--===ר 
--    
CREATE TABLE #SKIDKA (LINK_INC INT, PREDEL NUMERIC(18,2))
INSERT INTO #SKIDKA (LINK_INC, PREDEL)
SELECT TI.LINK, D.PREDEL
FROM
	dbo.Salary_deduct_esn(@Date) D	
	INNER JOIN dbo.DICTIONARY_TYP_INCOMS TI ON TI.REF_DEDUCT = D.REF_PAY
	AND dbo.SA_GET_OPTION_BY_CODE('ESNTR_OPTIONS_OPT3') = 1 --  
	
-- 
CREATE TABLE #BASE (LINK_TAX INT, LINK_PAY INT)
INSERT INTO #BASE (LINK_TAX, LINK_PAY)
SELECT T.LINK_TAX, T.LINK_PAYS
FROM
	dbo.PAYS P
	INNER JOIN dbo.TAX_REF T ON T.LINK_TAX = P.LINK
WHERE
	P.[OBJECT] = 3 AND P.WAY_CALC = 5	

--         
DECLARE @LINK_EKR211 INT, @LINK_EKR212 INT, @LINK_EKR213 INT
SET @LINK_EKR211 = (SELECT TOP 1 LINK FROM dbo.KOSGU WHERE CODE = '211')
SET @LINK_EKR212 = (SELECT TOP 1 LINK FROM dbo.KOSGU WHERE CODE = '212')
SET @LINK_EKR213 = (SELECT TOP 1 LINK FROM dbo.KOSGU WHERE CODE = '213')

DECLARE @SALARY_PROV_OPT4 TINYINT
SET @SALARY_PROV_OPT4 = dbo.sa_get_option_by_code('SALARY_PROV_OPT4')

CREATE TABLE #SUMMA (LINK_TAX INT, LINK_PERS INT, LINK_INC INT, LINK_VKR INT, LINK_EKR INT, SUMMA_M NUMERIC(18,2),SUMMA NUMERIC(18,2), LINK_VKR2 INT)
INSERT INTO #SUMMA (LINK_TAX, LINK_PERS, LINK_INC, LINK_VKR, LINK_EKR, SUMMA_M, SUMMA, LINK_VKR2)
SELECT
	B.LINK_TAX,
	ISNULL(J.PERS_LINK,E.PERS_LINK),
	P.LINK_INC,
	LINK_VKR = ISNULL(SF.LINK_SS_SFIN,J.LINK_VKR),
	CASE WHEN @SALARY_PROV_OPT4 = 0 THEN
		CASE WHEN COALESCE(J.LINK_EKR,@LINK_EKR213) = @LINK_EKR211 THEN @LINK_EKR213 ELSE COALESCE(J.LINK_EKR,@LINK_EKR213) END
	ELSE
		CASE WHEN COALESCE(J.LINK_EKR,@LINK_EKR213) IN (@LINK_EKR211, @LINK_EKR212) THEN @LINK_EKR213 ELSE COALESCE(J.LINK_EKR,@LINK_EKR213) END				
	END,	
	SUMMA_M = SUM(CASE WHEN MONTH(J.PERIOD_BEGIN) = @Month THEN SUMMA ELSE 0 END),
	SUMMA  = SUM(SUMMA),
	LINK_VKR2 = J.LINK_VKR
FROM
	#BASE B
	INNER JOIN dbo.PAYS P ON P.LINK = B.LINK_PAY
	INNER JOIN dbo.CALCULATE_JURNAL J ON J.LINK_PAYS = P.LINK
	INNER JOIN dbo.EMPL E ON E.LINK = J.LINK_EMPL
	INNER JOIN dbo.SAL_SFIN SF ON SF.LINK = J.LINK_VKR
WHERE
	J.LINK_DEP = @DEP_LINK
	AND
	P.[OBJECT] = 1
	AND
	YEAR(J.PERIOD_BEGIN) = @Year AND MONTH(J.PERIOD_BEGIN) <= @Month
	--AND
	--J.LINK_EKR <> @LINK_EKR213
GROUP BY
	B.LINK_TAX, ISNULL(J.PERS_LINK,E.PERS_LINK), P.LINK_INC, LINK_VKR, J.LINK_EKR, SF.LINK_SS_SFIN

		
--        
CREATE TABLE #SUMMA2 (LINK_TAX INT, LINK_PERS INT, LINK_INC INT, SUMMA_M NUMERIC(18,2), SUMMA NUMERIC(18,2))
INSERT INTO #SUMMA2 (LINK_TAX, LINK_PERS, LINK_INC, SUMMA_M, SUMMA)
SELECT LINK_TAX, LINK_PERS, LINK_INC, SUM(SUMMA_M), SUM(SUMMA)
FROM #SUMMA
GROUP BY LINK_TAX, LINK_PERS, LINK_INC

--     ,    
DELETE FROM dbo.SDOC_DOT_SKIDKI WHERE LINK_UP = @LINK

--           
CREATE TABLE #SKIDKA_PREV (LINK_TAX INT, LINK_PERS INT, LINK_INC INT, SUMMA NUMERIC(18,2))

INSERT INTO #SKIDKA_PREV (LINK_TAX, LINK_PERS, LINK_INC, SUMMA)
SELECT LINK_TAX, LINK_PERS, LINK_INC, SUM(SUMMA)
FROM
	dbo.SDOC D
	INNER JOIN dbo.SDOC_DOT_SKIDKI S ON S.LINK_UP = D.LINK
WHERE
	D.LINK_DEP = @DEP_LINK
	AND
	YEAR(DATE_CALC)	= @Year AND MONTH(DATE_CALC) < @Month
	AND
	D.FLAG_JC = 1	
GROUP BY
	LINK_TAX, LINK_PERS, LINK_INC

--
DECLARE @ESNTR_OPTIONS_OPT5 INT
SET @ESNTR_OPTIONS_OPT5 = dbo.SA_GET_OPTION_BY_CODE('ESNTR_OPTIONS_OPT5')

--     
CREATE TABLE #PREV_DED (LINK_PERS INT, LINK_INC INT, SUMMA NUMERIC(18,2), MON INT)
--
INSERT INTO #PREV_DED (LINK_PERS, LINK_INC, SUMMA, MON)
SELECT E.PERS_LINK, LINK_INC = T.LINK, SUMMA = SUM(PD.SUMMA_DED), MONTH(MAX(IM.DATE_BEGIN))
FROM
	dbo.SD_EMPL_PREV_DED PD
	INNER JOIN dbo.DICTIONARY_TYP_INCOMS T with (nolock) ON T.REF_DEDUCT = PD.LINK_DED
	INNER JOIN dbo.EMPL E with (nolock) ON E.LINK = PD.LINK_EMPL
	INNER JOIN dbo.ITEM_MOVE IM with (nolock) ON IM.EMPL_LINK = E.LINK AND IM.ACTIVE = 1 AND IM.NEW_FACE=1 AND IM.[STATUS] IN (1,3) AND IM.DATE_BEGIN <= @Date
	INNER JOIN (
		SELECT E.PERS_LINK, MAX(DATE_BEGIN) AS DATE_BEGIN
		FROM
			dbo.EMPL E with (nolock)
			INNER JOIN dbo.ITEM_MOVE IM with (nolock) ON IM.EMPL_LINK = E.LINK AND IM.ACTIVE = 1 AND IM.NEW_FACE=1 AND IM.[STATUS] IN (1,3) AND IM.DATE_BEGIN <= @Date
			LEFT JOIN DBO.ITEM_DIS_FACE IDF with (nolock) ON IDF.EMPL_LINK = E.LINK AND IDF.ACTIVE=1 AND COALESCE(IDF.DIS_DATE,'20990101') >= dbo.DateBeginOfMonth(@Date)	
		GROUP BY
			E.PERS_LINK	
	) A ON A.PERS_LINK = E.PERS_LINK AND A.DATE_BEGIN = IM.DATE_BEGIN
WHERE
	E.DEP_LINK = @DEP_LINK
	AND
	YEAR(IM.DATE_begin) = @Year --    .  ,     
	AND
	MONTH(IM.DATE_BEGIN) <= @Month --    .  ,        
	AND
	@ESNTR_OPTIONS_OPT5 = 1 -- ,     
	AND --         ,    .    .
	NOT EXISTS (SELECT * FROM #SKIDKA_PREV SP WHERE SP.LINK_PERS = E.PERS_LINK AND SP.LINK_INC = T.LINK)
GROUP BY
	E.PERS_LINK, T.LINK

--            
INSERT INTO dbo.SDOC_DOT_SKIDKI (LINK_UP, LINK_TAX, LINK_PERS, LINK_INC, LINK_VKR, LINK_VKR2, LINK_EKR, SUMMA, [PERCENT])
SELECT
	@LINK, S2.LINK_TAX, S2.LINK_PERS, S2.LINK_INC, S.LINK_VKR, S.LINK_VKR2, S.LINK_EKR,
	--     
	--CASE WHEN S2.SUMMA_M > CASE WHEN ISNULL(SP.SUMMA,0) < SK.PREDEL THEN (SK.PREDEL - ISNULL(SP.SUMMA,0)) * (S.SUMMA_M / S2.SUMMA_M) ELSE 0 END
	--	THEN CASE WHEN ISNULL(SP.SUMMA,0) < SK.PREDEL THEN (SK.PREDEL - ISNULL(SP.SUMMA,0)) * (S.SUMMA_M / S2.SUMMA_M) ELSE 0 END
	--	ELSE S2.SUMMA_M
	--END,
	(
		CASE WHEN
			--  
			(CASE WHEN ISNULL(PD.SUMMA,0) + ISNULL(S2.SUMMA,0) > ISNULL(SK.PREDEL,0) THEN ISNULL(SK.PREDEL,0) ELSE ISNULL(PD.SUMMA,0) + ISNULL(S2.SUMMA,0) END) > 0
		THEN
		(
			--  
			(CASE WHEN ISNULL(PD.SUMMA,0) + ISNULL(S2.SUMMA,0) > ISNULL(SK.PREDEL,0) THEN ISNULL(SK.PREDEL,0) ELSE ISNULL(PD.SUMMA,0) + ISNULL(S2.SUMMA,0) END)
			-- 
			- ISNULL(SP.SUMMA,0) - ISNULL(PD.SUMMA,0)
		)	
			----  
			* (S.SUMMA_M / S2.SUMMA_M)
		ELSE
		0
		END	
	),
	[PERCENT] = ISNULL(I.[PERCENT],DR.[PERCENT])
FROM
	#RANGE DR -- 
	INNER JOIN #SUMMA2 S2 ON --        
							S2.LINK_TAX = DR.LINK_PAYS
	INNER JOIN #SUMMA S ON --         
							S.LINK_TAX = S2.LINK_TAX AND S.LINK_PERS = S2.LINK_PERS AND S.LINK_INC = S2.LINK_INC
	INNER JOIN #SKIDKA SK ON --    
							SK.LINK_INC = S.LINK_INC
	LEFT JOIN #SKIDKA_PREV SP ON --           
							SP.LINK_TAX = S2.LINK_TAX AND SP.LINK_PERS = S2.LINK_PERS AND SP.LINK_INC = S2.LINK_INC
	LEFT JOIN #PREV_DED PD ON --     
						PD.LINK_PERS = S2.LINK_PERS AND PD.LINK_INC = S2.LINK_INC
						AND @Month > PD.MON --         ,      (.  )  
	LEFT JOIN #INV I ON --    
						I.LINK = S2.LINK_PERS
WHERE
	S2.SUMMA_M <> 0
	

--===ר 
--    
CREATE TABLE #VYCHET (LINK_DED INT, PREDEL NUMERIC(18,2))
INSERT INTO #VYCHET (LINK_DED, PREDEL)
SELECT TI.LINK, D.PREDEL
FROM
	dbo.Salary_deduct_esn(@Date) D	
	INNER JOIN dbo.DICTIONARY_TYP_DEDUCTION TI ON TI.LINK = D.REF_PAY
	LEFT JOIN dbo.DICTIONARY_TYP_INCOMS TI2 ON TI2.REF_DEDUCT = D.REF_PAY
WHERE
	TI2.REF_DEDUCT IS NULL
	AND
	dbo.SA_GET_OPTION_BY_CODE('ESNTR_OPTIONS_OPT4') = 1 --  		
	
--  ,     
CREATE TABLE #SUMMA_U (LINK_DED INT, LINK_PERS INT, SUMMA_M NUMERIC(18,2), SUMMA NUMERIC(18,2))
INSERT INTO #SUMMA_U (LINK_DED, LINK_PERS, SUMMA_M, SUMMA)
---  
SELECT
	TA.LINK_DED, ISNULL(J.PERS_LINK,E.PERS_LINK),
	SUMMA_M = SUM(CASE WHEN MONTH(J.PERIOD_BEGIN) = @Month THEN SUMMA ELSE 0 END),
	SUMMA  = SUM(SUMMA)
FROM
	dbo.EMPL E inner join dbo.calculate_jurnal J ON e.link = J.link_empl
	inner join dbo.TAX2_APP TA ON TA.LINK_UP = J.LINK_PAYS
WHERE
	J.LINK_DEP = @DEP_LINK
	AND YEAR(J.PERIOD_BEGIN) = @Year AND MONTH(J.PERIOD_BEGIN) <= @Month
	AND ISNULL(TA.LINK_DED,0) > 0
GROUP BY
	TA.LINK_DED, ISNULL(J.PERS_LINK,E.PERS_LINK)

--     ,    
DELETE FROM dbo.SDOC_DOT_VYCHET WHERE LINK_UP = @LINK	

--           
CREATE TABLE #VYCHET_PREV (LINK_TAX INT, LINK_PERS INT, LINK_DED INT, SUMMA NUMERIC(18,2))

INSERT INTO #VYCHET_PREV (LINK_TAX, LINK_PERS, LINK_DED, SUMMA)
SELECT LINK_TAX, LINK_PERS, LINK_DED, SUM(SUMMA)
FROM
	dbo.SDOC D
	INNER JOIN dbo.SDOC_DOT_VYCHET S ON S.LINK_UP = D.LINK
WHERE
	D.LINK_DEP = @DEP_LINK
	AND
	YEAR(DATE_CALC)	= @Year AND MONTH(DATE_CALC) < @Month
	AND
	D.FLAG_JC = 1	
GROUP BY
	LINK_TAX, LINK_PERS, LINK_DED

--====            

--      
SELECT
	LINK_TAX = P.LINK, S.LINK_PERS, S.LINK_DED,
	SUMMA_M =
	--CASE WHEN S.SUMMA_M > CASE WHEN ISNULL(VP.SUMMA,0) < V.PREDEL THEN (V.PREDEL - ISNULL(VP.SUMMA,0)) * (S.SUMMA_M / S.SUMMA_M) ELSE 0 END
	--	THEN CASE WHEN ISNULL(VP.SUMMA,0) < V.PREDEL THEN (V.PREDEL - ISNULL(VP.SUMMA,0)) * (S.SUMMA_M / S.SUMMA_M) ELSE 0 END
	--	ELSE S.SUMMA_M
	--END,
	(
		--  
		(CASE WHEN ISNULL(S.SUMMA,0) > ISNULL(V.PREDEL,0) THEN ISNULL(V.PREDEL,0) ELSE ISNULL(S.SUMMA,0) END)
		-- 
		- ISNULL(VP.SUMMA,0)
	),		
	[PERCENT] = ISNULL(I.[PERCENT],DR.[PERCENT])
INTO #TMP_VYCH
FROM
	dbo.PAYS P
	INNER JOIN #RANGE DR -- 
							ON P.LINK = DR.LINK_PAYS
	INNER JOIN #SUMMA_U S --   
							ON 1=1
	INNER JOIN #VYCHET V --    
						ON V.LINK_DED = S.LINK_DED
	LEFT JOIN #VYCHET_PREV VP --       
						ON VP.LINK_PERS = S.LINK_PERS AND VP.LINK_DED = S.LINK_DED
	LEFT JOIN #INV I --    
					ON I.LINK = S.LINK_PERS
WHERE
	P.[OBJECT] = 3 AND P.WAY_CALC = 5
	AND S.SUMMA_M <> 0

--     
SELECT LINK_TAX, LINK_PERS, LINK_VKR, LINK_VKR2, LINK_EKR, SUMMA_M = SUM(SUMMA_M)
INTO #TMP_DOH FROM #SUMMA GROUP BY LINK_TAX, LINK_PERS, LINK_VKR, LINK_EKR, LINK_VKR2

--  
SELECT LINK_TAX, LINK_PERS, SUMMA_M = SUM(SUMMA_M)
INTO #TMP_DOH2 FROM #SUMMA GROUP BY LINK_TAX, LINK_PERS

--        
INSERT INTO dbo.SDOC_DOT_VYCHET (LINK_UP, LINK_TAX, LINK_PERS, LINK_VKR, LINK_VKR2, LINK_EKR, LINK_DED, SUMMA, [PERCENT])
SELECT
	@LINK, D2.LINK_TAX, D2.LINK_PERS, D.LINK_VKR, D.LINK_VKR2, D.LINK_EKR, V.LINK_DED, ISNULL(V.SUMMA_M,0) * ISNULL(D.SUMMA_M,0) / D2.SUMMA_M, V.[PERCENT]
FROM
	#TMP_DOH2 D2
	INNER JOIN #TMP_DOH D ON D.LINK_TAX = D2.LINK_TAX AND D.LINK_PERS = D2.LINK_PERS
	INNER JOIN #TMP_VYCH V ON D2.LINK_TAX = V.LINK_TAX AND D2.LINK_PERS = V.LINK_PERS
WHERE
	ISNULL(D2.SUMMA_M,0) <> 0	

SELECT
	[PERCENT] = ISNULL(I.[PERCENT],DR.[PERCENT]),
	DR.LINK_PAYS,
	CODE_PAYS = P.CODE,
	NAME_PAYS = P.NAME,
	S.LINK_VKR,
	[NAME_VKR] = F.CODE,
	S.LINK_EKR,
	[NAME_EKR] = G.CODE,	
	SUMMA = SUM(S.SUMMA_M),
	SKIDKA = SUM(ISNULL(SK.SUMMA,0)),
	VYCHET = SUM(ISNULL(V.SUMMA,0)),
	S.LINK_VKR2,
	[NAME_VKR2] = F2.CODE	
FROM
	#RANGE DR
	INNER JOIN dbo.PAYS P ON P.LINK = DR.LINK_PAYS
	INNER JOIN #TMP_DOH S ON S.LINK_TAX = DR.LINK_PAYS
	INNER JOIN dbo.SAL_SFIN F ON F.LINK = S.LINK_VKR
	INNER JOIN dbo.SAL_SFIN F2 ON F2.LINK = S.LINK_VKR2
	INNER JOIN dbo.KOSGU G ON G.LINK = S.LINK_EKR
	LEFT JOIN dbo.SDOC_DOT_SKIDKI SK ON  SK.LINK_UP = @LINK AND SK.LINK_TAX = DR.LINK_PAYS AND SK.LINK_PERS = S.LINK_PERS
					AND SK.LINK_VKR = S.LINK_VKR AND SK.LINK_VKR2 = S.LINK_VKR2 and SK.LINK_EKR = S.LINK_EKR
	LEFT JOIN
	(
		SELECT LINK_TAX, LINK_PERS, LINK_VKR, LINK_VKR2, LINK_EKR, SUMMA = SUM(SUMMA) FROM dbo.SDOC_DOT_VYCHET
		WHERE LINK_UP = @LINK GROUP BY LINK_TAX, LINK_PERS, LINK_VKR, LINK_VKR2, LINK_EKR
	) V
	ON V.LINK_TAX = DR.LINK_PAYS AND V.LINK_PERS = S.LINK_PERS AND V.LINK_VKR = S.LINK_VKR AND V.LINK_VKR2 = S.LINK_VKR2 AND V.LINK_EKR = S.LINK_EKR
	LEFT JOIN #INV I ON I.LINK = S.LINK_PERS
GROUP BY
	ISNULL(I.[PERCENT],DR.[PERCENT]),
	DR.LINK_PAYS,
	P.CODE,
	P.NAME,
	S.LINK_VKR,
	F.CODE,
	S.LINK_EKR,
	G.CODE,
	S.LINK_VKR2,
	F2.CODE

DROP TABLE #SKIDKA
DROP TABLE #BASE
DROP TABLE #SUMMA
DROP TABLE #SUMMA2
DROP TABLE #SKIDKA_PREV
DROP TABLE #INV
DROP TABLE #TMP_VYCH
DROP TABLE #TMP_DOH
DROP TABLE #RANGE



GO


GRANT EXECUTE ON dbo.[SD_O_OTHER_FILL] TO PUBLIC

GO


-- --


GO
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[SYNCH_BI_DICTION_KBK]') AND OBJECTPROPERTY(id,N'IsProcedure') = 1)
DROP PROCEDURE dbo.[SYNCH_BI_DICTION_KBK]

GO
CREATE PROCEDURE dbo.SYNCH_BI_DICTION_KBK (@DB NVARCHAR(254), @LINK_JOURN_TAB INT)
AS

BEGIN
/*
   ()
*/

DECLARE @varKStrancount	int
		
SET @varKStrancount = @@TRANCOUNT
SET IMPLICIT_TRANSACTIONS ON
BEGIN TRAN
COMMIT TRAN

-------
CREATE TABLE #DICT (LINK INT, [TYPE] INT, CODE VARCHAR(30), NAME VARCHAR(254), ADM_CODE VARCHAR(3), USED INT, NUM INT)

DECLARE @SQL NVARCHAR(4000)
DECLARE @COLLATE VARCHAR(254)

SET @SQL = 
N'	
SET @COLLATE = (SELECT TOP 1 ''COLLATE '' + CAST (SERVERPROPERTY(''Collation'') AS VARCHAR(100)) FROM ' + @DB + 'dbo.DEPARTMENTS_DATE)
'	
EXEC SP_EXECUTESQL @SQL, N'@COLLATE VARCHAR(254) OUTPUT', @COLLATE = @COLLATE OUTPUT


SET @SQL = 
N'	
INSERT INTO #DICT (LINK, [TYPE], CODE, NAME, ADM_CODE, USED, NUM)

SELECT 
	D.LINK, D.[TYPE], LEFT(D.CODE,30), LEFT(D.NAME,254), LEFT(ADM.CODE,3), 
	USED = CASE WHEN DATEADD(YEAR, DATEDIFF(YEAR, 0, GETDATE()), 0) BETWEEN ISNULL(DATEB,''19800101'') AND ISNULL(DATEE,''20490101'') 
			AND LEN(REPLACE(D.CODE,''.'','''')) = 20 
			THEN 1 ELSE 0 END, 
	NUM = ROW_NUMBER() OVER (PARTITION BY LEFT(D.CODE,30) ORDER BY D.LINK)
FROM
	' + @DB + 'dbo.KL_KBK D
	INNER JOIN ' + @DB + 'dbo.DEPARTMENTS ADM ON ADM.LINK = D.LINK_ADM
WHERE
	EXISTS (
		SELECT * FROM 
			' + @DB + 'dbo.DEPARTMENTS3 D1
		WHERE
			EXISTS (SELECT * FROM dbo.DEPARTMENTS D2 WHERE D2.[TYPE] = 4 AND D2.INN = D1.INN ' + @COLLATE + ' AND D2.KPP = D1.KPP ' + @COLLATE + ')
			AND
			(D.LINK_DEP = D1.LINK OR D.LINK_DEP = D1.ZB)
			)
	AND
	LEFT(D.CODE ' + @COLLATE + ',30) <> ''''
'	
EXEC SP_EXECUTESQL @SQL

DELETE #DICT WHERE NUM <> 1

--- 

--
CREATE TABLE #TAB1 (LINK INT, CODE VARCHAR(10))
INSERT INTO #TAB1 (LINK, CODE)
SELECT LINK, CODE
FROM ( SELECT LINK, CODE, NUM = ROW_NUMBER() OVER (PARTITION BY CODE ORDER BY LINK) FROM dbo.KL_ADMIN_BS ) T
WHERE T.NUM = 1

DECLARE @DEF_ADM INT
SET @DEF_ADM = (SELECT TOP 1 LINK FROM dbo.KL_ADMIN_BS WHERE CODE = '---')

-----
CREATE TABLE #PROTOKOL (OP VARCHAR(1), LINK INT)

UPDATE A SET
	A.NAME = LEFT(ISNULL(T.NAME,''),250),
	A.LINK_ADM = ISNULL(T1.LINK,A.LINK_ADM),
	A.USED = T.USED
OUTPUT
	'U', INSERTED.LINK INTO #PROTOKOL (OP, LINK)
FROM
	#DICT T
	INNER JOIN dbo.KL_KBK A ON T.CODE = A.CODE AND T.[TYPE] = A.[TYPE]
	LEFT JOIN dbo.KL_ADMIN_BS ADM ON ADM.LINK = A.LINK_ADM
	LEFT JOIN #TAB1 T1 ON T1.CODE = T.ADM_CODE
WHERE
	A.NAME <> LEFT(ISNULL(T.NAME,''),250)
	OR
	A.USED <> T.USED
	OR
	(ISNULL(A.LINK_ADM,0) <> ISNULL(T1.LINK,0) AND T1.LINK IS NOT NULL)


INSERT INTO dbo.KL_KBK ([TYPE], CODE, NAME, LINK_ADM, NOT_BUDJ, LNAME, USED) 
OUTPUT
	'A', INSERTED.LINK INTO #PROTOKOL (OP, LINK)
SELECT
	T.[TYPE],
	LEFT(T.CODE,30),
	LEFT(ISNULL(T.NAME,''),250),
	ISNULL(T1.LINK,@DEF_ADM),
	0,
	'',
	T.[USED]
FROM
	#DICT T
	LEFT JOIN #TAB1 T1 ON T1.CODE = T.ADM_CODE
WHERE
	T.[USED] = 1
	AND
	NOT EXISTS (SELECT * FROM dbo.KL_KBK A WHERE A.CODE = LEFT(T.CODE,30) AND A.[TYPE] = T.[TYPE])


/*
    
*/

CREATE TABLE #DICT_KBK (KBK VARCHAR(30), DIV INT, CSR INT, EX INT, NUM INT)

SET @SQL = 
N'	
INSERT INTO #DICT_KBK (KBK, DIV, CSR, EX, NUM)
SELECT DISTINCT 
	B.CODE, 
	DIV = (SELECT TOP 1 LINK FROM dbo.KL_DIVISION T WHERE T.CODE = D.CODE ' + @COLLATE + '),
	CSR = (SELECT TOP 1 LINK FROM dbo.KL_TARGET_ITEM T WHERE T.CODE = F.CODE ' + @COLLATE + '),
	EX = (SELECT TOP 1 LINK FROM [dbo].[KL_EXPEND] T WHERE T.CODE = E.CODE ' + @COLLATE + '),
	NUM = ROW_NUMBER() OVER (PARTITION BY B.CODE ORDER BY D.CODE, F.CODE, E.CODE DESC)
	
FROM
	' + @DB + 'dbo.KL_KBK B
	INNER JOIN ' + @DB + 'dbo.KL_VKR A ON A.LINK_KBK = B.LINK
	LEFT JOIN ' + @DB + 'dbo.KL_DIVISION D ON A.LINK_DIV = D.LINK
	LEFT JOIN ' + @DB + 'dbo.KL_EXPEND E ON A.LINK_EXP = E.LINK
	LEFT JOIN ' + @DB + 'dbo.KL_TARGET_ITEM F ON A.LINK_CSR = F.LINK
WHERE
	DATEADD(YEAR, DATEDIFF(YEAR, 0, GETDATE()), 0) BETWEEN ISNULL(B.DATEB,''19800101'') AND ISNULL(B.DATEE,''20490101'') 
	AND LEN(REPLACE(B.CODE,''.'','''')) = 20
	AND
	EXISTS (
		SELECT * FROM 
			' + @DB + 'dbo.DEPARTMENTS3 D1
		WHERE
			EXISTS (SELECT * FROM dbo.DEPARTMENTS D2 WHERE D2.[TYPE] = 4 AND D2.INN = D1.INN ' + @COLLATE + ' AND D2.KPP = D1.KPP ' + @COLLATE + ')
			AND
			(B.LINK_DEP = D1.LINK OR B.LINK_DEP = D1.ZB)
			)
	AND
	LEFT(D.CODE ' + @COLLATE + ',30) <> ''''
'	
EXEC SP_EXECUTESQL @SQL

DELETE #DICT_KBK WHERE NUM <> 1

UPDATE V SET
	V.LINK_DIV = ISNULL(T.DIV,V.LINK_DIV),
	V.LINK_CSR = ISNULL(T.CSR,V.LINK_CSR),
	V.LINK_EXP = ISNULL(T.EX,V.LINK_EXP)
OUTPUT
	'U', INSERTED.LINK_KBK INTO #PROTOKOL (OP, LINK)	
FROM
	#DICT_KBK T
	INNER JOIN dbo.KL_KBK K ON K.CODE = T.KBK
	INNER JOIN dbo.KL_VKR V ON V.LINK_KBK = K.LINK
WHERE
	K.[TYPE] = 1
	AND
	ISNULL(V.LINK_DIV,0) <> ISNULL(T.DIV,0)
	AND
	ISNULL(V.LINK_CSR,0) <> ISNULL(T.CSR,0)
	AND
	ISNULL(V.LINK_EXP,0) <> ISNULL(T.EX,0)


INSERT INTO dbo.KL_VKR (LINK_KBK, LINK_DIV, LINK_CSR, LINK_EXP)
OUTPUT
	'U', INSERTED.LINK_KBK INTO #PROTOKOL (OP, LINK)
SELECT
	K.LINK, T.DIV, T.CSR, T.EX
FROM
	#DICT_KBK T
	INNER JOIN dbo.KL_KBK K ON K.CODE = T.KBK	
WHERE
	K.[TYPE] = 1 AND T.DIV IS NOT NULL
	AND
	NOT EXISTS (SELECT * FROM dbo.KL_VKR V WHERE V.LINK_KBK = K.LINK)

/*
    
*/

CREATE TABLE #DICT_KD (KBK VARCHAR(30), KD INT, PROG INT, SGU INT, NUM INT)

SET @SQL = 
N'	
INSERT INTO #DICT_KD (KBK, KD, PROG, SGU, NUM)
SELECT DISTINCT
	KBK = B.CODE,
	KD = (SELECT TOP 1 LINK FROM [dbo].[KL_KD] T WHERE T.CODE = D.CODE ' + @COLLATE + '),
	PROG = (SELECT TOP 1 LINK FROM [dbo].[KL_PROG] T WHERE T.CODE = E.CODE ' + @COLLATE + '),
	SGU = (SELECT TOP 1 LINK FROM [dbo].[KOSGU] T WHERE T.CODE = F.CODE ' + @COLLATE + '),
	NUM = ROW_NUMBER() OVER (PARTITION BY B.CODE ORDER BY D.CODE, F.CODE, E.CODE DESC)
FROM
	' + @DB + 'dbo.KL_KBK B
	INNER JOIN ' + @DB + '[dbo].[KL_KBK_KD] A ON A.LINK_KBK = B.LINK
	LEFT JOIN ' + @DB + '[dbo].[KL_KD] D ON A.LINK_KD = D.LINK
	LEFT JOIN ' + @DB + '[dbo].[KL_PROG] E ON A.LINK_PROG = E.LINK
	LEFT JOIN ' + @DB + '[dbo].[KOSGU] F ON A.SGU_LINK = F.LINK
WHERE
	DATEADD(YEAR, DATEDIFF(YEAR, 0, GETDATE()), 0) BETWEEN ISNULL(B.DATEB,''19800101'') AND ISNULL(B.DATEE,''20490101'') 
	AND LEN(REPLACE(B.CODE,''.'','''')) = 20
	AND
	EXISTS (
		SELECT * FROM 
			' + @DB + 'dbo.DEPARTMENTS3 D1
		WHERE
			EXISTS (SELECT * FROM dbo.DEPARTMENTS D2 WHERE D2.[TYPE] = 4 AND D2.INN = D1.INN ' + @COLLATE + ' AND D2.KPP = D1.KPP ' + @COLLATE + ')
			AND
			(B.LINK_DEP = D1.LINK OR B.LINK_DEP = D1.ZB)
			)
	AND
	LEFT(D.CODE ' + @COLLATE + ',30) <> ''''	
'

EXEC SP_EXECUTESQL @SQL

DELETE #DICT_KD WHERE NUM <> 1

UPDATE V SET
	V.Link_KD = ISNULL(T.KD,V.Link_KD),
	V.LINK_PROG = ISNULL(T.PROG,V.LINK_PROG),
	V.LINK_SGU =ISNULL( T.SGU,V.LINK_SGU)
OUTPUT
	'U', INSERTED.LINK_KBK INTO #PROTOKOL (OP, LINK)	
FROM
	#DICT_KD T
	INNER JOIN dbo.KL_KBK K ON K.CODE = T.KBK
	INNER JOIN [dbo].[KL_KBK_KD] V ON V.LINK_KBK = K.LINK
WHERE
	K.[TYPE] = 2
	AND
	ISNULL(V.Link_KD,0) <> ISNULL(T.KD,0)
	AND
	ISNULL(V.LINK_PROG,0) <> ISNULL(T.PROG,0)
	AND
	ISNULL(V.LINK_SGU,0) <> ISNULL(T.SGU,0)

INSERT INTO dbo.[KL_KBK_KD] (LINK_KBK, Link_KD, LINK_PROG, LINK_SGU)
OUTPUT
	'U', INSERTED.LINK_KBK INTO #PROTOKOL (OP, LINK)
SELECT
	K.LINK, T.KD, T.PROG, T.SGU
FROM
	#DICT_KD T
	INNER JOIN dbo.KL_KBK K ON K.CODE = T.KBK	
WHERE
	K.[TYPE] = 2
	AND
	NOT EXISTS (SELECT * FROM [dbo].[KL_KBK_KD] V WHERE V.LINK_KBK = K.LINK)

/*
    
*/

CREATE TABLE #DICT_IVF (KBK VARCHAR(30), IVF INT, PROG INT, SGU INT, NUM INT)

SET @SQL = 
N'	
INSERT INTO #DICT_IVF (KBK, IVF, PROG, SGU, NUM)
SELECT DISTINCT
	KBK = B.CODE,
	IVF = (SELECT TOP 1 LINK FROM [dbo].[KL_IVF] T WHERE T.CODE = D.CODE ' + @COLLATE + '),
	PROG = (SELECT TOP 1 LINK FROM [dbo].[KL_PROG] T WHERE T.CODE = E.CODE ' + @COLLATE + '),
	SGU = (SELECT TOP 1 LINK FROM [dbo].[KOSGU] T WHERE T.CODE = F.CODE ' + @COLLATE + '),
	NUM = ROW_NUMBER() OVER (PARTITION BY B.CODE ORDER BY D.CODE, F.CODE, E.CODE DESC)
FROM
	' + @DB + 'dbo.KL_KBK B
	INNER JOIN ' + @DB + '[dbo].[KL_KBK_IVF] A ON A.LINK_KBK = B.LINK
	LEFT JOIN ' + @DB + '[dbo].[KL_IVF] D ON A.LINK_IVF = D.LINK
	LEFT JOIN ' + @DB + '[dbo].[KL_PROG] E ON A.LINK_PROG = E.LINK
	LEFT JOIN ' + @DB + '[dbo].[KOSGU] F ON A.SGU_LINK = F.LINK
WHERE
	DATEADD(YEAR, DATEDIFF(YEAR, 0, GETDATE()), 0) BETWEEN ISNULL(B.DATEB,''19800101'') AND ISNULL(B.DATEE,''20490101'') 
	AND LEN(REPLACE(B.CODE,''.'','''')) = 20
	AND
	EXISTS (
		SELECT * FROM 
			' + @DB + 'dbo.DEPARTMENTS3 D1
		WHERE
			EXISTS (SELECT * FROM dbo.DEPARTMENTS D2 WHERE D2.[TYPE] = 4 AND D2.INN = D1.INN ' + @COLLATE + ' AND D2.KPP = D1.KPP ' + @COLLATE + ')
			AND
			(B.LINK_DEP = D1.LINK OR B.LINK_DEP = D1.ZB)
			)
	AND
	LEFT(D.CODE ' + @COLLATE + ',30) <> ''''	
'

EXEC SP_EXECUTESQL @SQL

DELETE #DICT_IVF WHERE NUM <> 1

UPDATE V SET
	V.Link_IVF = ISNULL(T.IVF,V.Link_IVF),
	V.LINK_PROG = ISNULL(T.PROG,V.LINK_PROG),
	V.LINK_SGU =ISNULL( T.SGU,V.LINK_SGU)
OUTPUT
	'U', INSERTED.LINK_KBK INTO #PROTOKOL (OP, LINK)	
FROM
	#DICT_IVF T
	INNER JOIN dbo.KL_KBK K ON K.CODE = T.KBK
	INNER JOIN [dbo].[KL_KBK_IVF] V ON V.LINK_KBK = K.LINK
WHERE
	K.[TYPE] >=3
	AND
	ISNULL(V.Link_IVF,0) <> ISNULL(T.IVF,0)
	AND
	ISNULL(V.LINK_PROG,0) <> ISNULL(T.PROG,0)
	AND
	ISNULL(V.LINK_SGU,0) <> ISNULL(T.SGU,0)

INSERT INTO dbo.[KL_KBK_IVF] (LINK_KBK, Link_IVF, LINK_PROG, LINK_SGU)
OUTPUT
	'U', INSERTED.LINK_KBK INTO #PROTOKOL (OP, LINK)
SELECT
	K.LINK, T.IVF, T.PROG, T.SGU
FROM
	#DICT_IVF T
	INNER JOIN dbo.KL_KBK K ON K.CODE = T.KBK	
WHERE
	K.[TYPE] >= 3
	AND
	NOT EXISTS (SELECT * FROM [dbo].[KL_KBK_IVF] V WHERE V.LINK_KBK = K.LINK)


----  
UPDATE dbo.SYNCH_SMETA_SMART_TAB SET 
	COMENT = 
		(SELECT ': ' + CONVERT(VARCHAR(5),COUNT(DISTINCT A.LINK)) FROM #PROTOKOL A WHERE A.OP = 'A') 
		+ '; ' + (SELECT ': ' + CONVERT(VARCHAR(5),COUNT(DISTINCT A.LINK)) FROM #PROTOKOL A WHERE A.OP = 'U') 
	,[STATUS] = 1
WHERE LINK = @LINK_JOURN_TAB

IF @@TRANCOUNT > @varKStrancount
	COMMIT TRAN

END


GO


GRANT EXECUTE ON dbo.[SYNCH_BI_DICTION_KBK] TO PUBLIC

GO

GO
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[SYNCH_DICTIONARY_SUBDIVISION]') AND OBJECTPROPERTY(id,N'IsProcedure') = 1)
DROP PROCEDURE dbo.[SYNCH_DICTIONARY_SUBDIVISION]

GO

CREATE  PROCEDURE [dbo].[SYNCH_DICTIONARY_SUBDIVISION] @DB NVARCHAR(254), @LINK_JOURN_TAB INT
/*
     -
SELECT TOP 1 VALUE FROM dbo.S_OPTIONS WHERE [OBJECT] = (SELECT LINK FROM dbo.S_OBJECTS WHERE CODE = 'SAL_OPT_SERVER_NAME') AND SID IS NULL 
SELECT TOP 1 VALUE FROM dbo.S_OPTIONS WHERE [OBJECT] = (SELECT LINK FROM dbo.S_OBJECTS WHERE CODE = 'SAL_OPT_BASE_NAME') AND SID IS NULL 


declare @p2 varchar(8000)
set @p2=''
declare @p3 float
set @p3=0
exec SYNCH_SMETA_SMART 38,@p2 output,@p3 output
select @p2, @p3


SELECT * FROM [SYNCH_DICTIONARY_POST] WHERE LINK = 125
*/
AS
BEGIN

DECLARE @varKStrancount	int
DECLARE @err INT
DECLARE @SQL NVARCHAR(4000)
DECLARE @ERR_MSG VARCHAR(256)
DECLARE @COLLATE VARCHAR(254)



SET @SQL = 
N'	
SET @COLLATE = (SELECT TOP 1 ''COLLATE '' + CAST (SERVERPROPERTY(''Collation'') AS VARCHAR(100)) FROM ' + @DB + 'dbo.DEPARTMENTS_DATE)
'	
EXEC SP_EXECUTESQL @SQL, N'@COLLATE VARCHAR(254) OUTPUT', @COLLATE = @COLLATE OUTPUT


--   -
CREATE TABLE #DEPARTMENTS_DATE (
	[CODE] varchar(20),
	[INN] varchar(13),
	[KPP] varchar(9),
	[BEGINDATE] datetime,
	[ENDDATE] datetime)

SET @SQL = 
N'	
INSERT INTO #DEPARTMENTS_DATE ([CODE],[INN],[KPP],[BEGINDATE],[ENDDATE])
SELECT D.CODE, D.INN, D.KPP, DD.[BEGINDATE], DD.[ENDDATE]
FROM 
	' + @DB + 'dbo.DEPARTMENTS_DATE DD
	INNER JOIN ' + @DB + 'dbo.DEPARTMENTS D ON D.LINK = DD.DEP_LINK
WHERE
	ISNULL(D.INN ' + @COLLATE + ','''') <> ''''
	AND
	ISNULL(D.KPP ' + @COLLATE + ','''') <> ''''
	AND
	ISNULL(D.CODE ' + @COLLATE + ','''') <> ''''	
'	

EXEC SP_EXECUTESQL @SQL


--     -
SET @ERR_MSG = 
	SUBSTRING((
			SELECT ',' + LTRIM(RTRIM(CODE)) + '/' + LTRIM(RTRIM(INN)) + '/' + LTRIM(RTRIM(KPP))
				FROM #DEPARTMENTS_DATE
				GROUP BY CODE, INN, KPP
				HAVING COUNT(*) > 1
				ORDER BY ',' + LTRIM(RTRIM(CODE)) + '/' + LTRIM(RTRIM(INN)) + '/' + LTRIM(RTRIM(KPP))
			FOR XML PATH('')
		), 2, 3000)

IF @ERR_MSG IS NOT NULL
BEGIN
	UPDATE dbo.SYNCH_SMETA_SMART_TAB SET 
		COMENT = LEFT(' -    //: ' + @ERR_MSG,256)
		,[STATUS] = 3
	WHERE LINK = @LINK_JOURN_TAB
	
	RETURN 101
END

------------------
DECLARE @PERIOD DATETIME
SET @PERIOD = 
	(SELECT TOP 1 PERIOD
	FROM 
		[dbo].[SYNCH_SMETA_SMART_JOURN] J
		INNER JOIN [dbo].[SYNCH_SMETA_SMART_TAB] T ON T.[LINK_UP] = J.[LINK]
	WHERE
		T.LINK = @LINK_JOURN_TAB)



---------------------
DECLARE @OBJECT_CODE VARCHAR(254)
SET @OBJECT_CODE = 
(
	SELECT TOP 1 B.CODE
	FROM
		dbo.SYNCH_SMETA_SMART_TAB A
		INNER JOIN dbo.[SYNCH_SMETA_SMART_OPT2] B ON A.LINK_OPT2 = B.LINK
	WHERE
		A.LINK = @LINK_JOURN_TAB
)	

IF @OBJECT_CODE IS NULL
BEGIN
	UPDATE dbo.SYNCH_SMETA_SMART_TAB SET 
		COMENT = LEFT('       .',256)
		,[STATUS] = 3
	WHERE LINK = @LINK_JOURN_TAB
	
	RETURN 1
END
---------------------
DECLARE @iOBJECT INT
SET @SQL = 
N'	
SELECT @iOBJECT = LINK FROM ' + @DB + 'dbo.S_OBJECTS so WHERE so.CODE ' + @COLLATE + ' = ''' + @OBJECT_CODE + '''
'	
EXEC SP_EXECUTESQL @SQL, N'@iOBJECT INT OUTPUT', @iOBJECT = @iOBJECT OUTPUT

------------------
DECLARE @LINK_DOCUMENTS_SALARY INT
SET @LINK_DOCUMENTS_SALARY = (SELECT TOP 1 LINK FROM dbo.S_OBJECTS WHERE CODE = @OBJECT_CODE)

IF NOT EXISTS(SELECT 1 FROM sys.columns WHERE NAME = N'GUID' AND [OBJECT_ID] = OBJECT_ID(N'[dbo].[SUBDIV_HEAD]'))
BEGIN
	ALTER TABLE [dbo].[SUBDIV_HEAD] ADD [GUID] UNIQUEIDENTIFIER NULL
END


------------------
CREATE TABLE #SUBDIV_HEAD (DEP INT, LINK INT,[GUID] UNIQUEIDENTIFIER, NEW_LINK INT)
SET @SQL =
N'	
INSERT INTO #SUBDIV_HEAD (DEP , LINK,[GUID], NEW_LINK)
SELECT H.DEP_LINK, H.LINK, [GUID] = ISNULL(H.[GUID],NEWID()) ,  null
FROM
	dbo.SUBDIV_HEAD H
WHERE
	EXISTS (SELECT * FROM dbo.SUBDIV S WHERE S.LINK_UP = H.LINK)
'	
EXEC SP_EXECUTESQL @SQL, N'@LINK_DOCUMENTS_SALARY INT, @PERIOD DATETIME', @LINK_DOCUMENTS_SALARY=@LINK_DOCUMENTS_SALARY, @PERIOD=@PERIOD


---     
CREATE TABLE #SUBDIV ([LINK] INT,[link_up] INT, [CODE] VARCHAR(10), [NAME] VARCHAR(8000), LINK_SELF INT, ORDERS INT,LIM INT , 
					   DATE_BEGIN  DATETIME , DATE_END DATETIME, OBOSOB TINYINT , O_OKATO VARCHAR(14) , O_KPP VARCHAR(9) ,O_OKTMO VARCHAR(11))
SET @SQL = 
N'	
INSERT INTO #SUBDIV ([LINK],[link_up], [CODE], [NAME],LINK_SELF,ORDERS,LIM ,  DATE_BEGIN , DATE_END , OBOSOB , O_OKATO , O_KPP , O_OKTMO )
SELECT S.LINK,S.LINK_UP, S.CODE,S.NAME,S.LINK_SELF,ORDERS,LIM ,  DATE_BEGIN , DATE_END , OBOSOB , O_OKATO , O_KPP , O_OKTMO  
FROM
	dbo.SUBDIV S
WHERE link in (	SELECT  max(LINK) AS link  FROM dbo.SUBDIV GROUP BY NAME,LINK_SELF )	
'	
EXEC SP_EXECUTESQL @SQL, N'@LINK_DOCUMENTS_SALARY INT, @PERIOD DATETIME', @LINK_DOCUMENTS_SALARY=@LINK_DOCUMENTS_SALARY, @PERIOD=@PERIOD
---

--     -
SET @ERR_MSG = NULL
SET @ERR_MSG =
	SUBSTRING((
				SELECT ',' + LTRIM(RTRIM(D.CODE)) + '/' + LTRIM(RTRIM(D.INN)) + '/' + LTRIM(RTRIM(D.KPP))
				FROM
					dbo.DEPARTMENTS D
					INNER JOIN #SUBDIV_HEAD H ON D.LINK = H.DEP
				WHERE
					NOT EXISTS (SELECT * FROM #DEPARTMENTS_DATE DD WHERE DD.CODE = D.CODE AND DD.INN = D.INN AND DD.KPP = D.KPP)
				GROUP BY D.CODE, D.INN, D.KPP
				ORDER BY ',' + LTRIM(RTRIM(D.CODE)) + '/' + LTRIM(RTRIM(D.INN)) + '/' + LTRIM(RTRIM(D.KPP))	
			FOR XML PATH('')
		), 2, 3000)
	
	
IF @ERR_MSG IS NOT NULL
BEGIN
	UPDATE dbo.SYNCH_SMETA_SMART_TAB SET 
		COMENT = LEFT(' -  . //: ' + @ERR_MSG,256)
		,[STATUS] = 3
	WHERE LINK = @LINK_JOURN_TAB
	
	RETURN 102
END

----

CREATE TABLE #DEPARTMENTS_SMETA_KS (LINK1 INT, LINK2 INT, DEP INT)

SET @SQL = 
N'
INSERT INTO #DEPARTMENTS_SMETA_KS (LINK1, LINK2, DEP)
SELECT D1.LINK, D2.LINK, D1.LINK
FROM 
	dbo.DEPARTMENTS D1 
	INNER JOIN ' + @DB + 'dbo.DEPARTMENTS D2 ON D2.CODE ' + @COLLATE + '=D1.CODE AND D2.INN ' + @COLLATE + '=D1.INN AND D2.KPP ' + @COLLATE + '=D1.KPP 
WHERE
	(D1.TYPE = 4 OR D1.ZB =1)
	AND
	EXISTS (SELECT * FROM #SUBDIV_HEAD T WHERE D1.LINK = T.DEP) 
	AND
	EXISTS (SELECT * FROM ' + @DB + 'dbo.DEPARTMENTS_DATE DD2 WHERE DD2.DEP_LINK = D2.LINK) 	
	AND
	EXISTS (SELECT * FROM dbo.DEPARTMENTS_OBJECT DD1 WHERE DD1.DEPARTMENT = D1.LINK) 		
'
EXEC SP_EXECUTESQL @SQL

---,            
DECLARE @LOGIN VARCHAR(254)

SET @LOGIN = (SELECT TOP 1 VALUE FROM dbo.S_OPTIONS WHERE [SID] IS NULL AND ISNULL(VALUE,'') <> ''
						AND [OBJECT] = (SELECT LINK FROM dbo.S_OBJECTS WHERE CODE = 'SAL_OPT_USER_NAME'))

SET @SQL = 
N'
SET @RES = 0
IF EXISTS (SELECT * FROM 
			' + @DB + 'dbo.DEPARTMENTS_OBJECT A 
			INNER JOIN ' + @DB + 'dbo.S_USERS SU ON SU.UID = A.[USER_ID]  
			INNER JOIN ' + @DB + 'dbo.DEPARTMENTS3 D ON D.LINK = A.DEPARTMENT 
		WHERE 
			SU.LOGINAME  = @LOGIN )	

	SET @RES = 1
'
DECLARE @RES TINYINT
EXEC SP_EXECUTESQL @SQL, N'@RES TINYINT OUTPUT, @LOGIN VARCHAR(254)', @RES = @RES OUTPUT, @LOGIN = @LOGIN


IF @RES = 0
BEGIN
	UPDATE dbo.SYNCH_SMETA_SMART_TAB SET 
		COMENT = LEFT('      -   "' + @LOGIN + '"  .',256)
		,[STATUS] = 3
	WHERE LINK = @LINK_JOURN_TAB
	
	RETURN 103
END



----------
SET @ERR_MSG = NULL
DECLARE @STR NVARCHAR(800)
DECLARE @STR1 NVARCHAR(800)
SET @STR = 
N' 
		alter table dbo.SUBDIV_HEAD add [GUID] UNIQUEIDENTIFIER NULL
	'
SET @SQL = 
N' IF NOT EXISTS(SELECT  1 FROM '+@DB+'sys.columns a 
				INNER JOIN '+@DB+'sys.objects b ON b.[OBJECT_ID] = a.[object_ID] 
					WHERE a.NAME  = N''GUID'' 
					AND b.name  = N''SUBDIV_HEAD'' )
  BEGIN 
	exec  '+@DB+'dbo.sp_executesql N'''+@STR+''' 
  END
'	
EXEC SP_EXECUTESQL @SQL




--   GUID
SET @ERR_MSG = NULL
SET @SQL = 
N'
	UPDATE H
	SET [NEW_LINK] = H2.[LINK]
	FROM #subdiv_head H
	JOIN '+@DB+'dbo.[SUBDIV_HEAD] H2 ON H2.[GUID] = H.[GUID]
	WHERE H.[GUID] IS NOT NULL
'	
EXEC SP_EXECUTESQL @SQL



SET @ERR_MSG = NULL
SET @SQL = 
N'

	--     
	DECLARE @Date datetime
	SET @date = GETDATE()
	
	--     
	UPDATE H
	SET [NEW_LINK] = H2.[LINK]
	FROM #subdiv_head H
	JOIN #subdiv S ON H.[LINK] = S.[LINK_UP]
	join #DEPARTMENTS_SMETA_KS  d on  d.link1 = h.dep
	JOIN '+@DB+'dbo.[SUBDIV] S2 ON (@date BETWEEN S.[DATE_BEGIN] AND ISNULL(S.[DATE_END], CONVERT(DATETIME, ''21000101'', 112)) AND @date BETWEEN S2.[DATE_BEGIN] AND ISNULL(S2.[DATE_END], CONVERT(DATETIME, ''21000101'', 112))
								OR S2.[DATE_BEGIN] = S.[DATE_BEGIN]  AND (S2.[DATE_END]= S.[DATE_END] OR S.[DATE_END] IS NULL AND S2.[DATE_END] IS NULL))
							AND S2.[CODE] ' + @COLLATE + '=S.[CODE] AND S2.[NAME] ' + @COLLATE + '=S.[NAME]
	JOIN '+@DB+'dbo.[SUBDIV_HEAD] H2 ON S2.[LINK_UP] = H2.[LINK] AND H2.[DEP_LINK] =d.[LINK2]
	WHERE H.[NEW_LINK] IS NULL AND NOT EXISTS(SELECT 1 FROM #subdiv_head sh WHERE H2.[LINK]=sh.[NEW_LINK])
	
	--   
	UPDATE H
	SET [NEW_LINK] = H2.[LINK]
	FROM #subdiv_head H
	JOIN #subdiv S ON H.[LINK] = S.[LINK_UP]
	join #DEPARTMENTS_SMETA_KS  d on  d.link1 = h.dep
	JOIN '+@DB+'dbo.[SUBDIV] S2 ON (@date BETWEEN S.[DATE_BEGIN] AND ISNULL(S.[DATE_END], CONVERT(DATETIME, ''21000101'', 112)) AND @date BETWEEN S2.[DATE_BEGIN]  AND ISNULL(S2.[DATE_END], CONVERT(DATETIME, ''21000101'', 112))
								OR S2.[DATE_BEGIN]=S.[DATE_BEGIN] AND (S2.[DATE_END]=S.[DATE_END] OR S.[DATE_END] IS NULL AND S2.[DATE_END]  IS NULL))
							AND S2.[NAME] ' + @COLLATE + '=S.[NAME]
	JOIN '+@DB+'dbo.[SUBDIV_HEAD] H2 ON S2.[LINK_UP]  = H2.[LINK]  AND  H2.[DEP_LINK] =d.[LINK2]
	WHERE H.[NEW_LINK] IS NULL AND NOT EXISTS(SELECT 1 FROM #subdiv_head sh WHERE H2.[LINK] = sh.[NEW_LINK])

	--   
	UPDATE H
	SET [NEW_LINK] = H2.[LINK]
	FROM #subdiv_head H
	JOIN #subdiv S ON H.[LINK] = S.[LINK_UP]
	join #DEPARTMENTS_SMETA_KS  d on  d.link1 = h.dep
	JOIN '+@DB+'dbo.[SUBDIV] S2 ON (@date BETWEEN S.[DATE_BEGIN] AND ISNULL(S.[DATE_END], CONVERT(DATETIME, ''21000101'', 112)) AND @date BETWEEN S2.[DATE_BEGIN]  AND ISNULL(S2.[DATE_END] , CONVERT(DATETIME, ''21000101'', 112))
								OR S2.[DATE_BEGIN] =S.[DATE_BEGIN] AND (S2.[DATE_END] =S.[DATE_END] OR S.[DATE_END] IS NULL AND S2.[DATE_END]  IS NULL))
							AND S2.[CODE] ' + @COLLATE + '=S.[CODE]
	JOIN '+@DB+'dbo.[SUBDIV_HEAD] H2 ON H2.[LINK] =S2.[LINK_UP] AND H2.[DEP_LINK] =d.[LINK2]
	WHERE H.[NEW_LINK] IS NULL AND NOT EXISTS(SELECT 1 FROM #subdiv_head sh WHERE H2.[LINK] =sh.[NEW_LINK])	
	
'	
EXEC SP_EXECUTESQL @SQL
	


SET @ERR_MSG = NULL
SET @SQL = 
N'

--      
   DELETE S
   FROM '+@DB+'dbo.[SUBDIV] S
   JOIN #subdiv_head H ON S.[LINK_UP] = H.[NEW_LINK]

--  GUID    
   UPDATE H
   SET [GUID] = T.[GUID]
   FROM '+@DB+'dbo.[SUBDIV_HEAD] H
   JOIN #subdiv_head T ON H.[LINK] = T.[NEW_LINK]
   WHERE T.[GUID] IS NOT NULL AND H.[GUID]  IS NULL
   
--  GUID   -      (      )
   UPDATE H
   SET [GUID] = T.[GUID]
   FROM dbo.[SUBDIV_HEAD] H
   JOIN #subdiv_head T ON H.[LINK] = T.[LINK]
   WHERE T.[GUID] IS NOT NULL AND H.[GUID] IS NULL	

'	
EXEC SP_EXECUTESQL @SQL


--------------------------------------
-----
CREATE TABLE #PROTOKOL (OP VARCHAR(1), LINK INT, NEW_LINK INT )

CREATE TABLE #EXEC (text varchar(8000), id int identity(1,1))


DECLARE @srv VARCHAR(20) ,
		@db_n VARCHAR(20) 
SET @srv = SUBSTRING(@db, 1, CHARINDEX('.',@db)-1 )
SET @db_n = SUBSTRING(@db, len(@srv)+2, len(@db)-len(@srv) )
	
	

	---   SUBDIV_HEAD    ,      
	SET @SQL = 
	N'
		CREATE table #REL_SUB (link int)
		INSERT INTO #REL_SUB
		'+ CASE WHEN LTRIM(RTRIM(@db_n)) = '' THEN ' SELECT link_table FROM '+ @DB +'dbo.RELATIONS_SUBDIV_HEAD(NULL, DEFAULT) WHERE [TYPE] = 1  
				and ([table_name]  != ''SUBDIV_HEAD'' or [table_name]  != ''SUBDIV'') and str_link  is not null
		' ELSE ' EXEC( ''SELECT link_table FROM '+ @db_n +'dbo.RELATIONS_SUBDIV_HEAD(NULL, DEFAULT) WHERE [TYPE] = 1  
				and ([table_name]  != ''''SUBDIV_HEAD'''' or [table_name]  != ''''SUBDIV'''') and str_link  is not null'' ) AT ' +@srv+' 
		' END + ' 
		

		delete from '+ @DB +'dbo.[SUBDIV_HEAD]
				where link  not in (select new_link from #subdiv_head)
				and link  not in (select link from #REL_SUB)	
		drop table #REL_SUB
	 
	'	

	EXEC SP_EXECUTESQL @SQL			



---     dbo.[SUBDIV_HEAD]             
IF (EXISTS(SELECT 1 FROM #subdiv_head WHERE [NEW_LINK] IS NULL))
BEGIN
	SET @ERR_MSG = NULL
	
	SET @STR = 
	N' 
			alter table dbo.[SUBDIV_HEAD] DROP COLUMN [LINK_OLD]
		'
	SET @STR1 = 
	N' 
			alter table dbo.[SUBDIV_HEAD] ADD [LINK_OLD] INT NULL
		'	
	SET @SQL = 
	N' IF EXISTS(SELECT  1 FROM '+@DB+'sys.columns a 
					INNER JOIN '+@DB+'sys.objects b ON b.[OBJECT_ID] ' + @COLLATE + ' = a.[object_ID] ' + @COLLATE + '
						WHERE a.NAME ' + @COLLATE + ' = N''LINK_OLD'' 
						AND b.name ' + @COLLATE + ' = N''SUBDIV_HEAD'' )
		  BEGIN 
			exec  '+@DB+'dbo.sp_executesql N'''+@STR+''' 
		  END
		  exec  '+@DB+'dbo.sp_executesql N'''+@STR1+''' 
		  
	'	
	EXEC SP_EXECUTESQL @SQL


	SET @ERR_MSG = NULL
	SET @SQL = 
	N'
				
			--       
				INSERT '+ @DB +'dbo.[SUBDIV_HEAD]([DEP_LINK],[GUID],[LINK_OLD])

				SELECT d.[link2],h.[GUID], h.[LINK]
				FROM #subdiv_head h
				inner join #DEPARTMENTS_SMETA_KS  d on  d.link1 = h.dep
				WHERE [NEW_LINK] IS NULL

				INSERT #PROTOKOL (OP, LINK, NEW_LINK)
				SELECT
					''A'',
					link =a.LINK_OLD, 
					NEW_LINK = a.link
				FROM #subdiv_head h
				inner join #DEPARTMENTS_SMETA_KS  d on  d.link1 = h.dep
				inner join '+ @DB +'dbo.[SUBDIV_HEAD] a on a.[GUID] ' + @COLLATE + ' = h.[GUID] and a.link_old ' + @COLLATE + ' = h.link
				WHERE h.[NEW_LINK] IS NULL	
				
				
				UPDATE H
				SET [NEW_LINK] = L.[NEW_LINK]
				FROM #subdiv_head H
				JOIN #PROTOKOL L ON H.[LINK] = L.[LINK]
				
				
				--select * from '+ @DB +'dbo.[SUBDIV_HEAD]
				--select * from  #subdiv_head
				
	'	
	EXEC SP_EXECUTESQL @SQL



	
	SET @STR = 
	N' 
			alter table dbo.[SUBDIV_HEAD] DROP COLUMN [LINK_OLD]
		'
	SET @SQL = 
	N' IF EXISTS(SELECT  1 FROM '+@DB+'sys.columns a 
					INNER JOIN '+@DB+'sys.objects b ON b.[OBJECT_ID] ' + @COLLATE + ' = a.[object_ID] ' + @COLLATE + '
						WHERE a.NAME ' + @COLLATE + ' = N''LINK_OLD'' 
						AND b.name ' + @COLLATE + ' = N''SUBDIV_HEAD'' )
		  BEGIN 
			exec  '+@DB+'dbo.sp_executesql N'''+@STR+''' 
		  END
		  
	'	
	EXEC SP_EXECUTESQL @SQL

	
END 

INSERT INTO #EXEC ([text]) SELECT
'
     

		--   
		INSERT '+@DB+'dbo.[SUBDIV]([LINK_UP],[CODE],[NAME],[LINK_SELF],[ORDERS],[LIM],[DATE_BEGIN],[DATE_END],[OBOSOB],[O_OKATO],[O_KPP])
		SELECT
			 H.[NEW_LINK]
			,S.[CODE]
			,S.[NAME]
			,H2.[NEW_LINK]
			,S.[ORDERS]
			,S.[LIM]
			,S.[DATE_BEGIN]
			,S.[DATE_END]
			,S.[OBOSOB]
			,S.[O_OKATO]
			,S.[O_KPP]
		FROM #subdiv_head H
		JOIN #subdiv S ON H.[LINK] = S.[LINK_UP]
		LEFT JOIN #subdiv_head H2 ON S.[LINK_SELF] = H2.[LINK] 
		where H.[NEW_LINK] is not null

'

IF EXISTS (SELECT text FROM #EXEC)
	EXEC @err = dbo.ssp_execresultset 'select text from #EXEC order by id'
	
--SET @varKStrancount = @@TRANCOUNT
--SET IMPLICIT_TRANSACTIONS ON
--BEGIN TRAN
--COMMIT TRAN
----  

UPDATE dbo.SYNCH_SMETA_SMART_TAB SET 
	COMENT = 
		(SELECT ': ' + CONVERT(VARCHAR(5),COUNT(*)) FROM #PROTOKOL WHERE OP = 'A') 
		+ '; ' + (SELECT ': ' + CONVERT(VARCHAR(5),COUNT(*)) FROM #PROTOKOL WHERE OP = 'U') 
	,[STATUS] = 1
WHERE LINK = @LINK_JOURN_TAB


END



GO


GRANT EXECUTE ON dbo.[SYNCH_DICTIONARY_SUBDIVISION] TO PUBLIC

GO



GO
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[SYNCH_KU_EMPL_PLACING]') AND OBJECTPROPERTY(id,N'IsProcedure') = 1)
DROP PROCEDURE dbo.[SYNCH_KU_EMPL_PLACING]

GO

CREATE  PROCEDURE [dbo].[SYNCH_KU_EMPL_PLACING] @DB NVARCHAR(254), @LINK_JOURN_TAB INT
/*
     -
SELECT TOP 1 VALUE FROM dbo.S_OPTIONS WHERE [OBJECT] = (SELECT LINK FROM dbo.S_OBJECTS WHERE CODE = 'SAL_OPT_SERVER_NAME') AND SID IS NULL 
SELECT TOP 1 VALUE FROM dbo.S_OPTIONS WHERE [OBJECT] = (SELECT LINK FROM dbo.S_OBJECTS WHERE CODE = 'SAL_OPT_BASE_NAME') AND SID IS NULL 


declare @p2 varchar(8000)
set @p2=''
declare @p3 float
set @p3=0
exec SYNCH_SMETA_SMART 7,@p2 output,@p3 output
select @p2, @p3


SELECT * FROM [SYNCH_DICTIONARY_POST] WHERE LINK = 125
*/
AS
BEGIN

DECLARE @varKStrancount	int
DECLARE @err INT
DECLARE @SQL NVARCHAR(4000)
DECLARE @ERR_MSG VARCHAR(256)
DECLARE @COLLATE VARCHAR(254)
DECLARE @STR NVARCHAR(800)
DECLARE @STR1 NVARCHAR(800)

SET @SQL = 
N'	
SET @COLLATE = (SELECT TOP 1 ''COLLATE '' + CAST (SERVERPROPERTY(''Collation'') AS VARCHAR(100)) FROM ' + @DB + 'dbo.DEPARTMENTS_DATE)
'	
EXEC SP_EXECUTESQL @SQL, N'@COLLATE VARCHAR(254) OUTPUT', @COLLATE = @COLLATE OUTPUT


--   -
CREATE TABLE #DEPARTMENTS_DATE (
	[CODE] varchar(20),
	[INN] varchar(13),
	[KPP] varchar(9),
	[BEGINDATE] datetime,
	[ENDDATE] datetime)

SET @SQL = 
N'	
INSERT INTO #DEPARTMENTS_DATE ([CODE],[INN],[KPP],[BEGINDATE],[ENDDATE])
SELECT D.CODE, D.INN, D.KPP, DD.[BEGINDATE], DD.[ENDDATE]
FROM 
	' + @DB + 'dbo.DEPARTMENTS_DATE DD
	INNER JOIN ' + @DB + 'dbo.DEPARTMENTS D ON D.LINK = DD.DEP_LINK
WHERE
	ISNULL(D.INN ' + @COLLATE + ','''') <> ''''
	AND
	ISNULL(D.KPP ' + @COLLATE + ','''') <> ''''
	AND
	ISNULL(D.CODE ' + @COLLATE + ','''') <> ''''	
'	

EXEC SP_EXECUTESQL @SQL

--     -
SET @ERR_MSG = 
	SUBSTRING((
			SELECT ',' + LTRIM(RTRIM(CODE)) + '/' + LTRIM(RTRIM(INN)) + '/' + LTRIM(RTRIM(KPP))
				FROM #DEPARTMENTS_DATE
				GROUP BY CODE, INN, KPP
				HAVING COUNT(*) > 1
				ORDER BY ',' + LTRIM(RTRIM(CODE)) + '/' + LTRIM(RTRIM(INN)) + '/' + LTRIM(RTRIM(KPP))
			FOR XML PATH('')
		), 2, 3000)

IF @ERR_MSG IS NOT NULL
BEGIN
	UPDATE dbo.SYNCH_SMETA_SMART_TAB SET 
		COMENT = LEFT(' -    //: ' + @ERR_MSG,256)
		,[STATUS] = 3
	WHERE LINK = @LINK_JOURN_TAB
	
	RETURN 101
END

------------------
DECLARE @PERIOD DATETIME
SET @PERIOD = 
	(SELECT TOP 1 PERIOD
	FROM 
		[dbo].[SYNCH_SMETA_SMART_JOURN] J
		INNER JOIN [dbo].[SYNCH_SMETA_SMART_TAB] T ON T.[LINK_UP] = J.[LINK]
	WHERE
		T.LINK = @LINK_JOURN_TAB)



---------------------
DECLARE @OBJECT_CODE VARCHAR(254)
SET @OBJECT_CODE = 
(
	SELECT TOP 1 B.CODE
	FROM
		dbo.SYNCH_SMETA_SMART_TAB A
		INNER JOIN dbo.[SYNCH_SMETA_SMART_OPT2] B ON A.LINK_OPT2 = B.LINK
	WHERE
		A.LINK = @LINK_JOURN_TAB
)	

IF @OBJECT_CODE IS NULL
BEGIN
	UPDATE dbo.SYNCH_SMETA_SMART_TAB SET 
		COMENT = LEFT('       .',256)
		,[STATUS] = 3
	WHERE LINK = @LINK_JOURN_TAB
	
	RETURN 1
END
---------------------
DECLARE @iOBJECT INT
SET @SQL = 
N'	
SELECT @iOBJECT = LINK FROM ' + @DB + 'dbo.S_OBJECTS so WHERE so.CODE ' + @COLLATE + ' = ''' + @OBJECT_CODE + '''
'	
EXEC SP_EXECUTESQL @SQL, N'@iOBJECT INT OUTPUT', @iOBJECT = @iOBJECT OUTPUT

------------------
DECLARE @LINK_DOCUMENTS_SALARY INT
SET @LINK_DOCUMENTS_SALARY = (SELECT TOP 1 LINK FROM dbo.S_OBJECTS WHERE CODE = @OBJECT_CODE)


---  POST    
IF OBJECT_ID('tempdb..#POST') IS NOT NULL DROP TABLE #POST
CREATE TABLE #POST ([LINK] INT, [CODE] VARCHAR(10), [NAME] VARCHAR(8000), NUM INT , LINK_NEW INT)
SET @SQL = 
N'	
INSERT INTO #POST ([LINK], [CODE], [NAME] , NUM )
SELECT P.LINK, right(ltrim(rtrim(ISNULL(p.CODE,''''))),6),P.NAME , NUM = ROW_NUMBER() OVER (PARTITION BY [NAME] ,  [CODE]  ORDER BY [NAME] )
FROM
	dbo.POST P
'	
EXEC SP_EXECUTESQL @SQL, N'@LINK_DOCUMENTS_SALARY INT, @PERIOD DATETIME', @LINK_DOCUMENTS_SALARY=@LINK_DOCUMENTS_SALARY, @PERIOD=@PERIOD
---
----------

--      
SET @ERR_MSG = NULL
SET @SQL = 
N'

UPDATE P 
SET LINK_NEW = p2.LINK 
FROM 
	#POST as p
	left join  ' + @DB + 'dbo.POST p2 on (p2.name ' + @COLLATE + ' = p.name) and right(ltrim(rtrim(ISNULL(p2.CODE ' + @COLLATE + ',''''))),6) = right(ltrim(rtrim(ISNULL(p.CODE,''''))),6)
WHERE 
 p.num = 1

 
'	
EXEC SP_EXECUTESQL @SQL


--    
SET @ERR_MSG = NULL
SET @SQL = 
N'

Delete from #POST 
WHERE 
 LINK_NEW is null
'	
EXEC SP_EXECUTESQL @SQL
 

---------- C  --------
IF OBJECT_ID('tempdb..#SUBDIV_HEAD') IS NOT NULL DROP TABLE #SUBDIV_HEAD
CREATE TABLE #SUBDIV_HEAD (DEP INT, LINK INT,[GUID] UNIQUEIDENTIFIER, NEW_LINK INT)
SET @SQL =
N'	
INSERT INTO #SUBDIV_HEAD (DEP , LINK,[GUID], NEW_LINK)
SELECT H.DEP_LINK, H.LINK, [GUID] = ISNULL(H.[GUID],NEWID()) ,  null
FROM
	dbo.SUBDIV_HEAD H
WHERE
	EXISTS (SELECT * FROM dbo.SUBDIV S WHERE S.LINK_UP = H.LINK)
'	
EXEC SP_EXECUTESQL @SQL, N'@LINK_DOCUMENTS_SALARY INT, @PERIOD DATETIME', @LINK_DOCUMENTS_SALARY=@LINK_DOCUMENTS_SALARY, @PERIOD=@PERIOD



---     
IF OBJECT_ID('tempdb..#SUBDIV') IS NOT NULL DROP TABLE #SUBDIV
CREATE TABLE #SUBDIV ([LINK] INT,[link_up] INT, [CODE] VARCHAR(10), [NAME] VARCHAR(8000), LINK_SELF INT, ORDERS INT,LIM INT , 
					   DATE_BEGIN  DATETIME , DATE_END DATETIME, OBOSOB TINYINT , O_OKATO VARCHAR(14) , O_KPP VARCHAR(9) ,O_OKTMO VARCHAR(11))
SET @SQL = 
N'	
INSERT INTO #SUBDIV ([LINK],[link_up], [CODE], [NAME],LINK_SELF,ORDERS,LIM ,  DATE_BEGIN , DATE_END , OBOSOB , O_OKATO , O_KPP , O_OKTMO )
SELECT S.LINK,S.LINK_UP, S.CODE,S.NAME,S.LINK_SELF,ORDERS,LIM ,  DATE_BEGIN , DATE_END , OBOSOB , O_OKATO , O_KPP , O_OKTMO  
FROM
	dbo.SUBDIV S
'	
EXEC SP_EXECUTESQL @SQL, N'@LINK_DOCUMENTS_SALARY INT, @PERIOD DATETIME', @LINK_DOCUMENTS_SALARY=@LINK_DOCUMENTS_SALARY, @PERIOD=@PERIOD
---

--     -
SET @ERR_MSG = NULL
SET @ERR_MSG =
	SUBSTRING((
				SELECT ',' + LTRIM(RTRIM(D.CODE)) + '/' + LTRIM(RTRIM(D.INN)) + '/' + LTRIM(RTRIM(D.KPP))
				FROM
					dbo.DEPARTMENTS D
					INNER JOIN #SUBDIV_HEAD H ON D.LINK = H.DEP
				WHERE
					NOT EXISTS (SELECT * FROM #DEPARTMENTS_DATE DD WHERE DD.CODE = D.CODE AND DD.INN = D.INN AND DD.KPP = D.KPP)
				GROUP BY D.CODE, D.INN, D.KPP
				ORDER BY ',' + LTRIM(RTRIM(D.CODE)) + '/' + LTRIM(RTRIM(D.INN)) + '/' + LTRIM(RTRIM(D.KPP))	
			FOR XML PATH('')
		), 2, 3000)
	
	
IF @ERR_MSG IS NOT NULL
BEGIN
	UPDATE dbo.SYNCH_SMETA_SMART_TAB SET 
		COMENT = LEFT(' -  . //: ' + @ERR_MSG,256)
		,[STATUS] = 3
	WHERE LINK = @LINK_JOURN_TAB
	
	RETURN 102
END



----

CREATE TABLE #DEPARTMENTS_SMETA_KS (LINK1 INT, LINK2 INT, DEP INT)

SET @SQL = 
N'
INSERT INTO #DEPARTMENTS_SMETA_KS (LINK1, LINK2, DEP)
SELECT D1.LINK, D2.LINK, D1.LINK
FROM 
	dbo.DEPARTMENTS D1 
	INNER JOIN ' + @DB + 'dbo.DEPARTMENTS D2 ON D2.CODE ' + @COLLATE + ' = D1.CODE  AND D2.INN ' + @COLLATE + ' = D1.INN  AND D2.KPP ' + @COLLATE + ' = D1.KPP  
WHERE
	(D1.TYPE = 4 OR D1.ZB =1)
	AND
	EXISTS (SELECT * FROM #SUBDIV_HEAD T WHERE D1.LINK = T.DEP) 
	AND
	EXISTS (SELECT * FROM ' + @DB + 'dbo.DEPARTMENTS_DATE DD2 WHERE DD2.DEP_LINK = D2.LINK) 	
	AND
	EXISTS (SELECT * FROM dbo.DEPARTMENTS_OBJECT DD1 WHERE DD1.DEPARTMENT = D1.LINK) 		


'
EXEC SP_EXECUTESQL @SQL


---,            
DECLARE @LOGIN VARCHAR(254)

SET @LOGIN = (SELECT TOP 1 VALUE FROM dbo.S_OPTIONS WHERE [SID] IS NULL AND ISNULL(VALUE,'') <> ''
						AND [OBJECT] = (SELECT LINK FROM dbo.S_OBJECTS WHERE CODE = 'SAL_OPT_USER_NAME'))

SET @SQL = 
N'
SET @RES = 0
IF EXISTS (SELECT * FROM 
			' + @DB + 'dbo.DEPARTMENTS_OBJECT A 
			INNER JOIN ' + @DB + 'dbo.S_USERS SU ON SU.UID = A.[USER_ID] 
			INNER JOIN ' + @DB + 'dbo.DEPARTMENTS3 D ON D.LINK = A.DEPARTMENT
		WHERE 
			SU.LOGINAME = @LOGIN )	

	SET @RES = 1
'
DECLARE @RES TINYINT
EXEC SP_EXECUTESQL @SQL, N'@RES TINYINT OUTPUT, @LOGIN VARCHAR(254)', @RES = @RES OUTPUT, @LOGIN = @LOGIN



IF @RES = 0
BEGIN
	UPDATE dbo.SYNCH_SMETA_SMART_TAB SET 
		COMENT = LEFT('      -   "' + @LOGIN + '"  .',256)
		,[STATUS] = 3
	WHERE LINK = @LINK_JOURN_TAB
	
	RETURN 103
END


----------

--   GUID
SET @ERR_MSG = NULL
SET @SQL = 
N'
	UPDATE H
	SET [NEW_LINK] = H2.[LINK]
	FROM #subdiv_head H
	JOIN '+@DB+'dbo.[SUBDIV_HEAD] H2 ON H2.[GUID]  = H.[GUID]
	WHERE H.[GUID] IS NOT NULL
'	
EXEC SP_EXECUTESQL @SQL


SET @ERR_MSG = NULL
SET @SQL = 
N'

	--     
	DECLARE @Date datetime
	SET @date = GETDATE()
	
	--     
	UPDATE H
	SET [NEW_LINK] = H2.[LINK]
	FROM #subdiv_head H
	JOIN #subdiv S ON H.[LINK] = S.[LINK_UP]
	join #DEPARTMENTS_SMETA_KS  d on  d.link1 = h.dep
	JOIN '+@DB+'dbo.[SUBDIV] S2 ON (@date BETWEEN S.[DATE_BEGIN] AND ISNULL(S.[DATE_END], CONVERT(DATETIME, ''21000101'', 112)) AND @date BETWEEN S2.[DATE_BEGIN]  AND ISNULL(S2.[DATE_END], CONVERT(DATETIME, ''21000101'', 112))
								OR S2.[DATE_BEGIN] = S.[DATE_BEGIN]  AND (S2.[DATE_END]  = S.[DATE_END] OR S.[DATE_END] IS NULL AND S2.[DATE_END]  IS NULL))
							AND S2.[CODE] ' + @COLLATE + ' = S.[CODE]  AND S2.[NAME] ' + @COLLATE + ' = S.[NAME] 
	JOIN '+@DB+'dbo.[SUBDIV_HEAD] H2 ON S2.[LINK_UP] = H2.[LINK] AND H2.[DEP_LINK]  = d.[LINK2] 
	WHERE H.[NEW_LINK] IS NULL AND NOT EXISTS(SELECT 1 FROM #subdiv_head sh WHERE H2.[LINK]  = sh.[NEW_LINK] )
	
	--   
	UPDATE H
	SET [NEW_LINK] = H2.[LINK]
	FROM #subdiv_head H
	JOIN #subdiv S ON H.[LINK] = S.[LINK_UP]
	join #DEPARTMENTS_SMETA_KS  d on  d.link1 = h.dep
	JOIN '+@DB+'dbo.[SUBDIV] S2 ON (@date BETWEEN S.[DATE_BEGIN] AND ISNULL(S.[DATE_END], CONVERT(DATETIME, ''21000101'', 112)) AND @date BETWEEN S2.[DATE_BEGIN]  AND ISNULL(S2.[DATE_END] , CONVERT(DATETIME, ''21000101'', 112))
								OR S2.[DATE_BEGIN]  = S.[DATE_BEGIN]  AND ( S2.[DATE_END]  = S.[DATE_END] OR S.[DATE_END] IS NULL AND S2.[DATE_END] IS NULL))
							AND S2.[NAME] ' + @COLLATE + ' = S.[NAME]
	JOIN '+@DB+'dbo.[SUBDIV_HEAD] H2 ON S2.[LINK_UP] = H2.[LINK]  AND  H2.[DEP_LINK]  = d.[LINK2] 
	WHERE H.[NEW_LINK] IS NULL AND NOT EXISTS(SELECT 1 FROM #subdiv_head sh WHERE H2.[LINK]  = sh.[NEW_LINK])

	--   
	UPDATE H
	SET [NEW_LINK] = H2.[LINK]
	FROM #subdiv_head H
	JOIN #subdiv S ON H.[LINK] = S.[LINK_UP]
	join #DEPARTMENTS_SMETA_KS  d on  d.link1 = h.dep
	JOIN '+@DB+'dbo.[SUBDIV] S2 ON (@date BETWEEN S.[DATE_BEGIN] AND ISNULL(S.[DATE_END], CONVERT(DATETIME, ''21000101'', 112)) AND @date BETWEEN S2.[DATE_BEGIN]  AND ISNULL(S2.[DATE_END] , CONVERT(DATETIME, ''21000101'', 112))
								OR S2.[DATE_BEGIN]  = S.[DATE_BEGIN] AND (S2.[DATE_END]  = S.[DATE_END] OR S.[DATE_END] IS NULL AND S2.[DATE_END]  IS NULL))
							AND S2.[CODE] ' + @COLLATE + ' = S.[CODE] 
	JOIN '+@DB+'dbo.[SUBDIV_HEAD] H2 ON S2.[LINK_UP]= H2.[LINK] AND H2.[DEP_LINK]  = d.[LINK2]
	WHERE H.[NEW_LINK] IS NULL AND NOT EXISTS(SELECT 1 FROM #subdiv_head sh WHERE H2.[LINK]  = sh.[NEW_LINK])	
	
'	
EXEC SP_EXECUTESQL @SQL




---------------------------------- 
----    --
----------------------------------
IF NOT EXISTS(SELECT 1 FROM sys.columns WHERE NAME = N'GUID' AND [OBJECT_ID] = OBJECT_ID(N'[dbo].[PERSON]'))
   BEGIN
		ALTER TABLE [dbo].[PERSON] ADD [GUID] UNIQUEIDENTIFIER NULL
   END

SET @ERR_MSG = NULL
SET @STR = 
N' 
		alter table dbo.person add [GUID] UNIQUEIDENTIFIER NULL
	'
SET @SQL = 
N' IF NOT EXISTS(SELECT  1 FROM '+@DB+'sys.columns a 
				INNER JOIN '+@DB+'sys.objects b ON b.[OBJECT_ID] = a.[object_ID] 
					WHERE a.NAME = N''GUID'' 
					AND b.name = N''person'' )
  BEGIN 
	exec  '+@DB+'dbo.sp_executesql N'''+@STR+''' 
  END
'	
EXEC SP_EXECUTESQL @SQL



IF OBJECT_ID('tempdb..#person') IS NOT NULL DROP TABLE #person
CREATE TABLE #person ([LINK] INT, [FM] VARCHAR(100),[IM] VARCHAR(100), [OT] VARCHAR(100), [DOC_LINK] INT, [DOC_CODE] VARCHAR(2), [DOC_NUM] VARCHAR(20), [DOC_WHOM] VARCHAR(254), [DOC_DATE] DATETIME, [SNILS] VARCHAR(11), [INN] VARCHAR(12), [KLADR_LINK] INT, [KLADR_CODE_REAL] VARCHAR(19), [HOUSE_REAL] VARCHAR(10), [CORP_REAL] VARCHAR(5), [FLAT_REAL] VARCHAR(5), [ADR_OFIC_LINK] INT, [KLADR_CODE_OFIC] VARCHAR(19), [HOUSE_OFIC] VARCHAR(10), [DRIVER_DOC_NUM] VARCHAR(12), [DRIVER_KLASS] TINYINT, [GUID] UNIQUEIDENTIFIER, [LINK_NEW] INT)

SET @ERR_MSG = NULL
SET @SQL = 
N'
INSERT #person ([LINK],[FM],[IM],[OT],[DOC_CODE],[DOC_NUM],[DOC_WHOM],[DOC_DATE],[SNILS],[INN],[KLADR_CODE_REAL],[HOUSE_REAL],[CORP_REAL],[FLAT_REAL],[KLADR_CODE_OFIC],[HOUSE_OFIC],[DRIVER_DOC_NUM],[DRIVER_KLASS],[GUID])
SELECT [LINK],
	   [FM],
	   [IM],
	   [OT],
	   [DOC_CODE]= (SELECT TOP 1 code FROM dbo.face_document WHERE LINK = p.DOC_LINK),
	   [DOC_NUM],
	   [DOC_WHOM],
	   [DOC_DATE],
	   [SNILS] = left(ltrim(rtrim(p.INSUR_NUM)),11),
	   [INN],
	   [KLADR_CODE_REAL] = (select top 1 code from dbo.[KLADR] WHERE [LINK] = P.[ADR_REAL_LINK] ),
	   [HOUSE_REAL],
	   [CORP_REAL],
	   [FLAT_REAL],
	   [KLADR_CODE_OFIC] = (select top 1 code from dbo.[KLADR] WHERE [LINK] = p.[ADR_OFIC_LINK] ),
	   [HOUSE_OFIC],
	   [DRIVER_DOC_NUM],
	   [DRIVER_KLASS],
	   [GUID]  =  ISNULL([GUID],NEWID())
FROM dbo.person AS p
'	
EXEC SP_EXECUTESQL @SQL




SET @ERR_MSG = NULL
SET @SQL = 
N'
	--   GUID
	UPDATE T
	SET [LINK_NEW] = P.[LINK]
	FROM #person T
	JOIN '+@DB+'dbo.[PERSON] P ON P.[GUID]  = T.[GUID]
	join #DEPARTMENTS_SMETA_KS d on  p.link_dep = d.[LINK2] 
	WHERE T.[GUID] IS NOT NULL

	--   
	UPDATE T
	SET [LINK_NEW] = P.[LINK]
	FROM #person T
	JOIN '+@db+'dbo.[PERSON] P ON P.[INN] ' + @COLLATE + ' = T.[INN]
	join #DEPARTMENTS_SMETA_KS d on  p.link_dep = d.[LINK2]
	WHERE T.[LINK_NEW] IS NULL AND P.[INN] ' + @COLLATE + ' <> ''''

	--    
	UPDATE T
	SET [LINK_NEW] = P.[LINK]
	FROM #person T
	JOIN '+@db+'dbo.[PERSON] P ON REPLACE(REPLACE(P.[DOC_NUM] ' + @COLLATE + ', ''-'', ''''), '' '', '''') = REPLACE(REPLACE(T.[DOC_NUM], ''-'', ''''), '' '', '''')
	join #DEPARTMENTS_SMETA_KS d on  p.link_dep = d.[LINK2]
	WHERE T.[LINK_NEW] IS NULL AND REPLACE(REPLACE(P.[DOC_NUM] ' + @COLLATE + ', ''-'', ''''), '' '', '''') <> ''''
	
	--   
	UPDATE T
	SET [LINK_NEW] = P.[LINK]
	FROM #person T
	JOIN '+@db+'dbo.[PERSON] P ON LTRIM(RTRIM(P.[FM] ' + @COLLATE + ')) = T.[FM] AND LTRIM(RTRIM(P.[IM] ' + @COLLATE + '))= T.[IM] AND LTRIM(RTRIM(P.[OT] ' + @COLLATE + ')) = T.[OT]
	join #DEPARTMENTS_SMETA_KS d on  p.link_dep = d.[LINK2] 
	WHERE T.[LINK_NEW] IS NULL AND P.[FM] ' + @COLLATE + ' <> '''' AND P.[IM] ' + @COLLATE + ' <> ''''

	--   
	UPDATE T
	SET  [DOC_LINK] = D.[LINK]
		,[KLADR_LINK] = ISNULL(K1.[LINK], 0)
		,[ADR_OFIC_LINK] = ISNULL(K2.[LINK], 0)
	FROM #person T
	LEFT JOIN '+@db+'dbo.[FACE_DOCUMENT] D ON D.[CODE] ' + @COLLATE + ' =T.[DOC_CODE]
	LEFT JOIN '+@db+'dbo.[KLADR] K1 ON K1.[CODE] ' + @COLLATE + ' =T.[KLADR_CODE_REAL]
	LEFT JOIN '+@db+'dbo.[KLADR] K2 ON K2.[CODE] ' + @COLLATE + ' =T.[KLADR_CODE_OFIC]
	
	--  GUID
	UPDATE P
	SET [GUID] = T.[GUID]
	FROM dbo.[PERSON] P
	JOIN #person T ON P.[LINK] = T.[LINK]
	WHERE T.[GUID] IS NOT NULL AND P.[GUID] IS NULL

	--  GUID
	UPDATE P
	SET [GUID] = T.[GUID]
	FROM '+@db+'dbo.[PERSON] P
	JOIN #person T ON P.[LINK] = T.[LINK_NEW]
	WHERE T.[GUID] IS NOT NULL AND P.[GUID]  IS NULL
'	
EXEC SP_EXECUTESQL @SQL



SET @ERR_MSG = NULL
SET @SQL = 
N'
			--   
			UPDATE P
			SET  [FM] = T.[FM]
				,[IM] = T.[IM]
				,[OT] = T.[OT]
				,[DOC_LINK] = T.[DOC_LINK]
				,[DOC_NUM] = T.[DOC_NUM]
				,[DOC_WHOM] = T.[DOC_WHOM]
				,[DOC_DATE] = T.[DOC_DATE]
				,[SNILS] = T.[SNILS]
				,[INN] = T.[INN]
				,[KLADR_LINK] = T.[KLADR_LINK]
				,[HOUSE] = LEFT(T.[HOUSE_REAL], 8)
				,[CORP] = T.[CORP_REAL]
				,[FLAT] = LEFT(T.[FLAT_REAL], 4)
				,[ADR_OFIC_LINK] = T.[ADR_OFIC_LINK]
				,[HOUSE_OFIC] = T.[HOUSE_OFIC]
				,[DRIVER_DOC_NUMBER] = LEFT(T.[DRIVER_DOC_NUM], 10)
				,[DRIVER_CLASS] = T.[DRIVER_KLASS]
			FROM '+@db+'[dbo].[PERSON] P
			JOIN #person T ON P.[LINK] = T.[LINK_NEW]
			WHERE T.[LINK_NEW] IS NOT NULL

'	

EXEC SP_EXECUTESQL @SQL


SET @ERR_MSG = NULL
SET @STR = 
N' 
		alter table dbo.person DROP COLUMN [LINK_OLD]
	'
SET @STR1 = 
N' 
		alter table dbo.person ADD [LINK_OLD] INT NULL
	'	
SET @SQL = 
N' IF EXISTS(SELECT  1 FROM '+@DB+'sys.columns a 
				INNER JOIN '+@DB+'sys.objects b ON b.[OBJECT_ID]  = a.[object_ID] 
					WHERE a.NAME  = N''LINK_OLD'' 
					AND b.name = N''person'' )
	  BEGIN 
		exec  '+@DB+'dbo.sp_executesql N'''+@STR+''' 
	  END
	  exec  '+@DB+'dbo.sp_executesql N'''+@STR1+''' 
	  
'	
EXEC SP_EXECUTESQL @SQL
 

IF OBJECT_ID('tempdb..#tabLink') IS NOT NULL DROP TABLE #tabLink
CREATE TABLE #tabLink ([LINK_OLD] INT,[LINK_NEW] INT)


SET @ERR_MSG = NULL
SET @SQL = 
N'
		--   
			INSERT '+@DB+'dbo.[PERSON]([FM],[IM],[OT],[DOC_LINK],[DOC_NUM],[DOC_WHOM],[DOC_DATE],[INN],[KLADR_LINK],[HOUSE],[CORP],[FLAT],[ADR_OFIC_LINK],[HOUSE_OFIC],[LINK_DEP],[DRIVER_DOC_NUMBER],[DRIVER_CLASS],[SNILS],[GUID],[LINK_OLD])
			SELECT
				 [FM]
				,[IM]
				,[OT]
				,[DOC_LINK]
				,[DOC_NUM]
				,[DOC_WHOM]
				,[DOC_DATE]
				,[INN]
				,[KLADR_LINK]
				,LEFT([HOUSE_REAL], 8)
				,[CORP_REAL]
				,LEFT([FLAT_REAL], 4)
				,[ADR_OFIC_LINK]
				,[HOUSE_OFIC]
				,LINK_DEP = (select top 1 link2 from  #DEPARTMENTS_SMETA_KS )
				,LEFT([DRIVER_DOC_NUM], 10)
				,[DRIVER_KLASS]
				,[SNILS]
				,[GUID]
				,[LINK]
			FROM #person  p 
			WHERE [LINK_NEW] IS NULL

			INSERT #tabLink([LINK_OLD],[LINK_NEW])
			SELECT
				LINK_OLD =b.LINK_OLD, 
				LINK_NEW = b.link
			FROM #person a
			inner join '+@DB+'dbo.[PERSON] b on b.[GUID] = a.[GUID] and b.link_old = a.link
			WHERE a.[LINK_NEW] IS NULL	
			
			
			UPDATE H
			SET [LINK_NEW] = L.[LINK_NEW]
			FROM #person H
			JOIN #tabLink L ON H.[LINK] = L.[LINK_OLD]

'
EXEC SP_EXECUTESQL @SQL

DECLARE @srv VARCHAR(20) ,
		@db_n VARCHAR(20) 
SET @srv = SUBSTRING(@db, 1, CHARINDEX('.',@db)-1 )
SET @db_n = SUBSTRING(@db, len(@srv)+2, len(@db)-len(@srv) )

	---   PERSON    ,      
	SET @SQL = 
	N'
		CREATE table #REL_PERS (link int)
		INSERT INTO #REL_PERS
		'+ CASE WHEN LTRIM(RTRIM(@db_n)) = '' THEN ' SELECT link_table FROM '+ @DB +'dbo.RELATIONS_PERSON(NULL, DEFAULT) WHERE [TYPE] = 1  
				 and str_link is not null
		' ELSE ' EXEC( ''SELECT link_table FROM '+ @db_n +'dbo.RELATIONS_PERSON(NULL, DEFAULT) WHERE [TYPE] = 1  
				 and str_link is not null'' ) AT ' +@srv+' 
		' END + '
		delete from '+ @DB +'dbo.[PERSON]
				where link  not in (select LINK_NEW from #person)
				and link not in (select link from #REL_PERS)	

		drop table #REL_PERS
		  
	'	
	EXEC SP_EXECUTESQL @SQL		


SET @ERR_MSG = NULL
SET @STR = 
N' 
		alter table dbo.person DROP COLUMN [LINK_OLD]
	'
SET @SQL = 
N' IF EXISTS(SELECT  1 FROM '+@DB+'sys.columns a 
				INNER JOIN '+@DB+'sys.objects b ON b.[OBJECT_ID] = a.[object_ID] 
					WHERE a.NAME ' + @COLLATE + ' = N''LINK_OLD'' 
					AND b.name ' + @COLLATE + ' = N''person'' )
	  BEGIN 
		exec  '+@DB+'dbo.sp_executesql N'''+@STR+''' 
	  END
	  
'	
EXEC SP_EXECUTESQL @SQL


SET @ERR_MSG = NULL
SET @SQL = 
N'
			UPDATE P
			SET [LINK_NEW] = L.[LINK_NEW]
			FROM #person P
			JOIN #tabLink L ON P.[LINK] = L.[LINK_OLD]
'
EXEC SP_EXECUTESQL @SQL

------------------------------
-------------------------------


IF NOT EXISTS(SELECT 1 FROM sys.columns WHERE NAME = N'GUID' AND [OBJECT_ID] = OBJECT_ID(N'[dbo].[EMPL]'))
BEGIN
	ALTER TABLE [dbo].[EMPL] ADD [GUID] UNIQUEIDENTIFIER NULL
END


SET @ERR_MSG = NULL
SET @STR = 
N' 
		alter table [dbo].[EMPL] add [GUID] UNIQUEIDENTIFIER NULL
	'
SET @SQL = 
N' IF NOT EXISTS(SELECT  1 FROM '+@DB+'sys.columns a 
				INNER JOIN '+@DB+'sys.objects b ON b.[OBJECT_ID]  = a.[object_ID] 
					WHERE a.NAME ' + @COLLATE + ' = N''GUID'' 
					AND b.name ' + @COLLATE + ' = N''EMPL'' )
  BEGIN 
	exec  '+@DB+'dbo.sp_executesql N'''+@STR+''' 
  END
'	
EXEC SP_EXECUTESQL @SQL



IF OBJECT_ID('tempdb..#empl') IS NOT NULL DROP TABLE #empl
CREATE TABLE #empl([LINK] INT, [PERS_LINK] INT, [DEP_LINK] INT, [TAB] VARCHAR(10), [GUID] UNIQUEIDENTIFIER, [LINK_NEW] INT, [DEP_LINK_NEW] INT)

IF OBJECT_ID('tempdb..#emplPost') IS NOT NULL DROP TABLE #emplPost
CREATE TABLE #emplPost([EMPL_LINK] INT, [SUBDIV_LINK] INT, [POST_LINK] INT, [POST_NAME] VARCHAR(254), [DATE_BEGIN] DATETIME, [DATE_END] DATETIME , N int)

SET @ERR_MSG = NULL
SET @SQL = 
N' 
INSERT #empl([LINK],[PERS_LINK],[DEP_LINK],[TAB],[GUID])
select E.[LINK],E.[PERS_LINK],E.[DEP_LINK],E.[TAB],[GUID] = ISNULL(E.GUID,NEWID())
from dbo.EMPL  E
INNER JOIN KU_EMPL_PLACING KU ON KU.LINK = E.LINK AND  KU.SACK <> 1

		--       
;WITH T ([EMPL_LINK],[SUBDIV_LINK],[POST_LINK],[POST_NAME],[DATE_BEGIN],[DATE_END],[N]) AS
(
	SELECT
		 E.[LINK]
		,S.[SUBDIV_LINK]
		,S.[POST_LINK]
		,p.[NAME]
		,(CASE WHEN ROW_NUMBER() OVER(PARTITION BY E.[LINK],M.[STAFF_LINK] ORDER BY MIN(S.[DATE_BEGIN])) > 1 THEN MIN(S.[DATE_BEGIN]) ELSE MIN(M.[DATE_BEGIN]) END) as [DATE_BEGIN]
		,MAX(D.[DIS_DATE]) as [DATE_END]
		,ROW_NUMBER() OVER(PARTITION BY E.[LINK] ORDER BY MIN(S.[DATE_BEGIN]) DESC)
	
	FROM #empl E 
	JOIN dbo.SA_ITEM_MOVE M ON E.[LINK] = M.[EMPL_LINK] AND M.[NEW_FACE] IN(0,1,2) AND M.[ACTIVE] = 1
	LEFT JOIN dbo.ITEM_DIS_FACE D ON E.[LINK] = D.[EMPL_LINK] AND D.[ACTIVE] = 1
	JOIN dbo.STAFF S ON M.[STAFF_LINK] = S.[LINK_UP] AND S.[DATE_END] > M.[DATE_BEGIN] AND M.[DATE_END3] > S.[DATE_BEGIN] AND (D.[DIS_DATE] IS NULL OR S.[DATE_BEGIN] < D.[DIS_DATE])
	join dbo.post p on p.link = S.[POST_LINK] 
	GROUP BY E.[LINK],M.[STAFF_LINK],S.[SUBDIV_LINK],S.[POST_LINK], p.name
)
INSERT #emplPost([EMPL_LINK],[SUBDIV_LINK],[POST_LINK],[POST_NAME],[DATE_BEGIN],[DATE_END])
SELECT
	 T1.[EMPL_LINK]
	,T1.[SUBDIV_LINK]
	,T1.[POST_LINK]
	,t1.[POST_NAME]
	,T1.[DATE_BEGIN]
	,CASE WHEN T1.[N] = 1 THEN T1.[DATE_END] ELSE DATEADD(dd, -1, T2.[DATE_BEGIN]) END [DATE_END]
FROM T T1
LEFT JOIN T T2 ON T1.[EMPL_LINK] = T2.[EMPL_LINK] AND T1.[N] = (T2.[N] + 1)
ORDER BY T1.[EMPL_LINK],T1.[DATE_BEGIN]

'	
EXEC SP_EXECUTESQL @SQL

SET @ERR_MSG = NULL
SET @SQL = 
N'
	
		UPDATE E
		SET [DEP_LINK_NEW] = D.[LINK2]
		FROM #empl E
		JOIN #DEPARTMENTS_SMETA_KS D ON E.[DEP_LINK] = D.[LINK1]

		--   GUID
		UPDATE T
		SET [LINK_NEW] = E.[LINK]
		FROM #empl T
		JOIN '+@DB+'dbo.[EMPL] E ON E.[GUID] = T.[GUID]
		WHERE T.[GUID] IS NOT NULL 
		and ltrim(rtrim(e.tab ' + @COLLATE + ')) = ltrim(rtrim(t.tab))

		--      GUID
		UPDATE E
		SET [TAB] = T.[TAB], [PERS_LINK] = T.[PERS_LINK]
		FROM '+@DB+'dbo.[EMPL] E
		JOIN #empl T ON E.[LINK] = T.[LINK_NEW]
		
		--      
		--          
		UPDATE T
		SET [LINK_NEW] = T2.[LINK]
		FROM #empl T
		INNER JOIN DBO.KU_EMPL_PLACING KU ON T.LINK = ku.LINK  
		LEFT JOIN (SELECT LINK, DEP_LINK, TAB, FIO, NUM = ROW_NUMBER() OVER (PARTITION BY DEP_LINK, TAB, FIO ORDER BY LINK) FROM '+@DB+'dbo.v_empl) T2 ON 
		T.[DEP_LINK_NEW] = T2.[DEP_LINK]
		--left JOIN '+@DB+'dbo.[EMPL] E ON T.[DEP_LINK_NEW] = E.[DEP_LINK] AND T.[TAB] = E.[TAB]
		WHERE  T2.NUM = 1 AND T2.[TAB] ' + @COLLATE + ' = T.[TAB] AND t2.fio ' + @COLLATE + ' = ku.fio AND T.[LINK_NEW] IS NULL AND T.[TAB] IS NOT NULL AND T.[TAB] <> ''''
	
	
		--    
		UPDATE T
		SET [LINK_NEW] = E.[LINK]
		FROM #empl T
		JOIN #person P ON T.[PERS_LINK] = P.[LINK]
		JOIN '+@DB+'dbo.[EMPL] E ON E.[DEP_LINK]  = T.[DEP_LINK_NEW]  AND E.[PERS_LINK] = P.[LINK_NEW] 
		WHERE T.[LINK_NEW] IS NULL and E.[TAB] ' + @COLLATE + ' = T.[TAB]


'	
EXEC SP_EXECUTESQL @SQL


SET @ERR_MSG = NULL
SET @SQL = 
N'


		update ep
		set post_link = (select top 1 link from #post where num = 1 and name = ep.post_name)
		from #emplPost ep where not exists( select * from #post where link = ep.post_link)

		DELETE E
		FROM #empl E
		JOIN #emplPost P ON E.[LINK] = P.[EMPL_LINK]
		LEFT JOIN #subdiv_head S ON P.[SUBDIV_LINK] = S.[LINK]
		LEFT JOIN #Post D ON P.[POST_LINK] = D.[LINK]
		WHERE S.[NEW_link] IS NULL OR D.[LINK_NEW] IS NULL

		--   
		DELETE E
		FROM '+@DB+'dbo.[EMPL_POST] E
		JOIN #empl T ON E.[LINK_UP] = T.[LINK_NEW]


'	
EXEC SP_EXECUTESQL @SQL


	---   EMPL    ,      
	SET @SQL = 
	N'
		CREATE table #REL_EMPL (link int)
		INSERT INTO #REL_EMPL
		'+ CASE WHEN LTRIM(RTRIM(@db_n)) = '' THEN ' SELECT link_table FROM '+ @DB +'dbo.RELATIONS_EMPL(NULL, DEFAULT) WHERE [TYPE] = 1  
				 and str_link is not null
		' ELSE 'EXEC(''SELECT link_table FROM '+ @db_n +'dbo.RELATIONS_EMPL(NULL, DEFAULT) WHERE [TYPE] = 1  
				 and str_link is not null '') AT ' +@srv+' 
		' END + '
		delete from '+ @DB +'dbo.[EMPL]
				where link not in (select LINK from #EMPL)
				and link not in (select link from #REL_EMPL)	

		drop table #REL_EMPL
		  
	'	

	
	EXEC SP_EXECUTESQL @SQL	

--------------------------------------
-----
CREATE TABLE #PROTOKOL (OP VARCHAR(1), LINK INT, NEW_LINK INT )

CREATE TABLE #EXEC (text varchar(8000), id int identity(1,1))

SET @ERR_MSG = NULL
SET @STR = 
N' 
		alter table [dbo].[EMPL] DROP COLUMN [LINK_OLD]
	'
SET @STR1 = 
N' 
		alter table [dbo].[EMPL]  ADD [LINK_OLD] INT NULL
	'	
SET @SQL = 
N' IF EXISTS(SELECT  1 FROM '+@DB+'sys.columns a 
				INNER JOIN '+@DB+'sys.objects b ON b.[OBJECT_ID] = a.[object_ID] 
					WHERE a.NAME ' + @COLLATE + ' = N''LINK_OLD'' 
					AND b.name ' + @COLLATE + ' = N''EMPL'' )
  BEGIN 
	exec  '+@DB+'dbo.sp_executesql N'''+@STR+''' 
  END
  exec  '+@DB+'dbo.sp_executesql N'''+@STR1+''' 
'	
EXEC SP_EXECUTESQL @SQL


SET @ERR_MSG = NULL
SET @SQL = 
	N'
				
		--       
		INSERT '+@DB+'dbo.[EMPL]([PERS_LINK],[TAB],[DEP_LINK],[PHONE_S],[PHONE_M],[EMAIL],[FIO],[COMMENT],[GUID], link_old)
		SELECT DISTINCT
			 P.[LINK_NEW]
			,E.[TAB]
			,E.[DEP_LINK_NEW]
			,''''
			,''''
			,''''
			,''''
			,''''
			,E.[GUID]
			,E.link
		FROM #empl E
		JOIN #person P ON E.[PERS_LINK] = P.[LINK]
		WHERE E.[LINK_NEW] IS NULL AND E.[DEP_LINK_NEW] IS NOT NULL AND P.[LINK_NEW] IS NOT NULL
		order by P.[LINK_NEW],E.[TAB],E.[DEP_LINK_NEW],E.[GUID],E.link

		INSERT #PROTOKOL (OP, LINK, NEW_LINK)
		SELECT
			''A'',
			link =e1.LINK_OLD , 
			NEW_LINK = e1.link 
		FROM #empl e
		--INNER JOIN #person P ON E.[PERS_LINK] = P.[LINK]
		inner join '+@DB+'dbo.[EMPL] e1 on e1.[GUID]  = e.[GUID] and e1.link_old  = e.link
		WHERE e.[LINK_NEW] IS NULL	
				
		--select * from #PROTOKOL
		UPDATE E
		SET [LINK_NEW] = L.[NEW_LINK]
		FROM #empl E
		JOIN #PROTOKOL L ON E.[LINK] = L.[LINK]



'	
EXEC SP_EXECUTESQL @SQL



SET @ERR_MSG = NULL
SET @STR = 
N' 
		alter table [dbo].[EMPL] DROP COLUMN [LINK_OLD]
	'

SET @SQL = 
N' IF EXISTS(SELECT  1 FROM '+@DB+'sys.columns a 
				INNER JOIN '+@DB+'sys.objects b ON b.[OBJECT_ID] = a.[object_ID] 
					WHERE a.NAME ' + @COLLATE + ' = N''LINK_OLD'' 
					AND b.name ' + @COLLATE + ' = N''EMPL'' )
  BEGIN 
	exec  '+@DB+'dbo.sp_executesql N'''+@STR+''' 
  END

'	
EXEC SP_EXECUTESQL @SQL


	
INSERT INTO #EXEC ([text]) SELECT
	'

		--   
		INSERT '+@DB+'dbo.[EMPL_POST]([LINK_UP],[POST_LINK],[SUBDIV_LINK],[DATE_BEG],[DATE_END])
		SELECT DISTINCT
			 E.[LINK_NEW]
			,P.[LINK_NEW]
			,S.[NEW_link]
			,EP.[DATE_BEGIN]
			,EP.[DATE_END]
		FROM #empl E
		JOIN #emplPost EP ON E.[LINK] = EP.[EMPL_LINK]
		JOIN #Post P ON EP.[POST_LINK] = P.[LINK]
		JOIN #subdiv_head S ON EP.[SUBDIV_LINK] = S.[LINK]
		WHERE E.[LINK_NEW] IS NOT NULL AND P.[LINK_NEW] IS NOT NULL AND S.[NEW_link] IS NOT NULL
		ORDER BY  E.[LINK_NEW] ,P.[LINK_NEW] ,S.[NEW_link] 	,EP.[DATE_BEGIN] ,EP.[DATE_END]
	'	
IF EXISTS (SELECT text FROM #EXEC)
EXEC @err = dbo.ssp_execresultset 'select text from #EXEC order by id'


--SET @varKStrancount = @@TRANCOUNT
--SET IMPLICIT_TRANSACTIONS ON
--BEGIN TRAN
--COMMIT TRAN

----  
UPDATE dbo.SYNCH_SMETA_SMART_TAB SET 
	COMENT = 
		(SELECT ': ' + CONVERT(VARCHAR(5),COUNT(*)) FROM #PROTOKOL WHERE OP = 'A') 
		+ '; ' + (SELECT ': ' + CONVERT(VARCHAR(5),COUNT(*)) FROM #PROTOKOL WHERE OP = 'U') 
	,[STATUS] = 1
WHERE LINK = @LINK_JOURN_TAB

END



GO


GRANT EXECUTE ON dbo.[SYNCH_KU_EMPL_PLACING] TO PUBLIC

GO



GO
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[SA_SZVM_EXPORT_v2_56]') AND OBJECTPROPERTY(id,N'IsProcedure') = 1)
DROP PROCEDURE dbo.[SA_SZVM_EXPORT_v2_56]

GO

/*EXEC dbo.BK_SELECT_EXPORT_FORMAT 2486*/
/*exec [dbo].[SA_SZVM_EXPORT_v2_40]       42451*/
CREATE      PROCEDURE [dbo].SA_SZVM_EXPORT_v2_56 ( @Link int /*  */ )
AS

CREATE TABLE #OUTPUT (ID int identity(1,1), F_NAME VARCHAR(254), OUT_TEXT TEXT)

SET NOCOUNT  ON

-- 
CREATE TABLE #TASK_PROP (ID int identity(1,1), VAL VARCHAR (254))


INSERT INTO #TASK_PROP (VAL) exec dbo.X_GET_PROP_CLIENT 'PROJECT','VERSION_MAJOR',1
INSERT INTO #TASK_PROP (VAL) exec dbo.X_GET_PROP_CLIENT 'PROJECT','VERSION_MINOR',1
INSERT INTO #TASK_PROP (VAL) exec dbo.X_GET_PROP_CLIENT 'PROJECT','VERSION_FIX',1

declare @NAME_PROG varchar(254), @VERS_PROG VARCHAR(254)
Select @NAME_PROG = UPPER(RTRIM(LTRIM([NAME]))),
	@VERS_PROG = (SELECT RTRIM(LTRIM(VAL)) FROM #TASK_PROP WHERE [ID] = 1) +'.'
	+ (SELECT REPLACE(STR(RTRIM(LTRIM(VAL)),2),' ','0') FROM #TASK_PROP WHERE [ID] = 2)+ '.'
	+ (SELECT REPLACE(STR(RTRIM(LTRIM(VAL)),2),' ','0') FROM #TASK_PROP WHERE [ID] = 3)
from dbo.DICTIONARY_TASK where CODE = 'SALARY'
--------------------------------------------


DECLARE @LINK_DEP INT, @YEAR INT, @Version TINYINT, @Period_Number TINYINT, @LINK_FORM INT,
		@Begin_Date DATETIME, @End_Date DATETIME, @modify_date DATETIME
SELECT
	@LINK_DEP = LINK_ORGANIZATION,
	@YEAR = YEAR(Begin_Date),
	@Version = [Version],
	@Period_Number = Period_Number,
	@LINK_FORM = LINK_FORM,
	@Begin_Date = dbo.DateBeginOfYear(Begin_Date),
	@End_Date = Begin_Date,
	@modify_date = modify_date
FROM dbo.REPORT_SAVED_FORMS
WHERE LINK_SAVED_FORM = @link


DECLARE
	@first_month_of_quarter TINYINT,
	@second_month_of_quarter TINYINT,
	@third_month_of_quarter TINYINT

IF @Period_Number = 1
	SELECT @first_month_of_quarter = 1, @second_month_of_quarter = 2, @third_month_of_quarter = 3
IF @Period_Number = 2
	SELECT @first_month_of_quarter = 4, @second_month_of_quarter = 5, @third_month_of_quarter = 6
IF @Period_Number = 3
	SELECT @first_month_of_quarter = 7, @second_month_of_quarter = 8, @third_month_of_quarter = 9
IF @Period_Number = 4
	SELECT @first_month_of_quarter = 10, @second_month_of_quarter = 11, @third_month_of_quarter = 12

SELECT  @first_month_of_quarter = ISNULL(@first_month_of_quarter,1), @second_month_of_quarter = ISNULL(@second_month_of_quarter,2), @third_month_of_quarter = ISNULL(@third_month_of_quarter,3)


SELECT top 1
	DD1.OKPO AS OKPO1,
	DD1.INN AS INN1, DD1.KPP AS KPP1,
	FULL_NAME = UPPER(DD1.FULL_NAME),
	UPPER(DD1.NAME) AS ORGNAME,
	DD2.NALOG AS IMNS_SONO, DD2.NAME AS IMNS_NAME,
	DD2.NALOG AS SONO,
	DD1.OGRN AS OGRN1,
	LTRIM(RTRIM(dbo.GetAddressBykladr(DD1.REF_LINK_A)))
		+ CASE WHEN ISNULL(DD1.HOUSE, '') = '' THEN '' ELSE  ' ' + LTRIM(RTRIM(DD1.HOUSE)) END
		+ CASE WHEN ISNULL(DD1.FLAT, '') = '' THEN '' ELSE ' - ' + LTRIM(RTRIM(DD1.FLAT)) END
	AS ADDR_STR,
	CAST(NULL AS DATETIME) AS DATE_END,
	UPPER(RTRIM(CHIEF.FM) + ' ' + LEFT(CHIEF.IM, 1) + '. ' + LEFT(CHIEF.OT,1) + '.') AS CHIEF_FIO,
	CHIEF.FM as CHIEF_FM,
	CHIEF.IM as CHIEF_IM,
	CHIEF.OT as CHIEF_OT,
	RTRIM(CHIEF.PHONE) AS CH_PHONE,
	UPPER(RTRIM(GLBUH.FM) + ' ' + LEFT(GLBUH.IM, 1) + '. ' + LEFT(GLBUH.OT,1) + '.') AS GLBUH_FIO,
	RTRIM(GLBUH.PHONE) AS GL_PHONE,
	DD1.OGRN,
	DD1.OKATO,
	DD1.OKTMO,
	DD1.OKVED,
	DD1.OKPO,
	DD1.FSS_REG_NUM, --  ()  
	DD1.FSS_KOD_P, --  - ,    ,     ,       ;	
	DD1.FSS_KOD_DOP, --      
	DD1.OKOPF, ---    - ;
	DD1.OKFS, ---     ;
	PFNUMBER = ltrim(rtrim(DD1.PFNUMBER)),
	DA.PINDEX, REGION = UPPER(DA.REGION), DA.REGCODE, RAION = UPPER(DA.RAION), GOROD = UPPER(DA.GOROD),
	NASEL = UPPER(DA.NASEL), STREET = UPPER(DA.STREET), DA.HOUSE, DA.KORP, DA.FLAT,
	TFOMS_RNUM = DD1.TFOMS_REG_NUM,
	TFOMS_KT = DD1.TFOMS_KT,
	TaxType = DD1.FSS_KP_PC1,
	TaxType2 = DD1.FSS_KP_PC2,
	TaxType3 = DD1.FSS_KP_PC3
INTO #DEP_DATA	
FROM DICTIONARY_DEPARTMENT DD1
	LEFT OUTER JOIN DICTIONARY_DEPARTMENT DD2 ON DD1.IMNS_LINK = DD2.LINK
	LEFT OUTER JOIN dbo.GetOtvFaceData(@LINK_DEP, '') chief on chief.link_dep = dd1.link
	LEFT OUTER JOIN dbo.GetOtvFaceData(@LINK_DEP, ' ') GLBUH ON GLBUH.link_dep = dd1.link
	LEFT JOIN DBO.DEP_ADRESS(@LINK_DEP) DA ON 1=1
WHERE DD1.LINK = @LINK_DEP

/*exec [dbo].[SA_SZVM_EXPORT_v2_52]        3189*/

DECLARE @TYPE_FORM VARCHAR(5), @NumDot INT
SELECT @TYPE_FORM = ISNULL(dbo.RN_GET_ATR_VALUE(@LINK, 'RB_VIEW_ATR_TYPE_KORR'),'')
--SET @NumDot = CASE WHEN ISNUMERIC(@NumDotC) =1 THEN CONVERT(INT,@NumDotC) ELSE 0 END

DECLARE @Cur0 CURSOR, @TAB_NUM TINYINT, @TAB_NAME VARCHAR(254), @Cur CURSOR, @Cur1 CURSOR, @NUM INT, @BLOK_NAME VARCHAR(254), @RAZDEL_NUM TINYINT, @RAZDEL_NAME VARCHAR(254)

DECLARE @lcFNAME varchar(254),
		@lcFidNAME VARCHAR(254),
        @GUID UNIQUEIDENTIFIER
SET @GUID = NEWID()


SELECT @lcFNAME ='_'+ PFNUMBER + '_'+LEFT(REPLACE(PFNUMBER,'-',''),6)+'_-_' + CONVERT(VARCHAR(8),ltrim(rtrim(replace(convert(varchar(10),@modify_date,102),'.',''))))  + '_'+ltrim(rtrim(@GUID))+'.XML' FROM #DEP_DATA
SELECT @lcFidNAME ='_'+ PFNUMBER + '_'+LEFT(REPLACE(PFNUMBER,'-',''),6)+'_-_' + CONVERT(VARCHAR(8),ltrim(rtrim(replace(convert(varchar(10),@modify_date,102),'.',''))))  + '_'+ltrim(rtrim(@GUID))+'' FROM #DEP_DATA

--SELECT convert(varchar(10),@modify_date,104)



INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
SELECT @lcFNAME, 'UTF-8' -- 
UNION ALL SELECT @lcFNAME, SPACE(0) + '<?xml version="1.0" encoding="UTF-8"?>'
UNION ALL SELECT @lcFNAME, SPACE(0) + '< xmlns="http://.//-/2017-01-01" xmlns:="http://.//2014-01-01" xmlns:="http://./" xmlns:2="http://.//2017-01-01">'
UNION ALL SELECT @lcFNAME, SPACE(1) + '<->'



/**  **/
	UNION ALL SELECT @lcFNAME, SPACE(2) + '<>1</>'
	UNION ALL SELECT @lcFNAME, SPACE(2) + '<>'

		UNION ALL SELECT @lcFNAME, SPACE(3) + '<>'+RTRIM(LTRIM(PFNUMBER))+'</>' FROM #DEP_DATA
		UNION ALL SELECT @lcFNAME, SPACE(3) + '<>'+RTRIM(LTRIM(ORGNAME))+'</>' FROM #DEP_DATA
		UNION ALL SELECT @lcFNAME, SPACE(3) + '<>'+RTRIM(LTRIM(COALESCE(INN1,'')))+'</>' FROM #DEP_DATA
		UNION ALL SELECT @lcFNAME, SPACE(3) + '<>'+RTRIM(LTRIM(KPP1))+'</>' FROM #DEP_DATA
	UNION ALL SELECT @lcFNAME, SPACE(2) + '</>'
	UNION ALL SELECT @lcFNAME, SPACE(2) + '<>'
		UNION ALL SELECT @lcFNAME, SPACE(3) + '<>'+RTRIM(LTRIM(CONVERT(char(2),month(@End_Date))))+'</>' 
		UNION ALL SELECT @lcFNAME, SPACE(3) + '<>'+CONVERT(VARCHAR(4),@YEAR)+'</>'
	UNION ALL SELECT @lcFNAME, SPACE(2) + '</>'
	
--  /**  I **/



CREATE TABLE #TAB_1 (NUM_PP  INT identity(1,1) , FIO VARCHAR(254),FM VARCHAR(100), IM VARCHAR(100) , OT VARCHAR(100),  INSUR_NUM VARCHAR(15), INN VARCHAR(12))

CREATE TABLE #TEMP_1 (ROW_CODE VARCHAR(10), COL INT, SUMMA NUMERIC(18,2), STR_VAL VARCHAR(254))
INSERT INTO #TEMP_1  (ROW_CODE, COL, SUMMA, STR_VAL)
SELECT ROW_CODE, COL, SUMMA2, STR_VAL FROM DBO.SA_SAVED_REPORT_VIEW (@link, 1, DEFAULT, DEFAULT) T ORDER BY T.COL , t.ROW_CODE


INSERT INTO #TAB_1 ( FIO, FM, IM, OT, INSUR_NUM, INN)
SELECT DISTINCT
	--NUM_PP = (SELECT TOP 1 ROW_CODE FROM #TEMP_1 T WHERE T.COL = 2 AND T.ROW_CODE = T1.ROW_CODE),
	FIO = (SELECT TOP 1 STR_VAL FROM #TEMP_1 T WHERE T.COL = 2 AND T.ROW_CODE = T1.ROW_CODE),
	FM = (SELECT TOP 1 left(STR_VAL, PATINDEX ( '% %' , STR_VAL)) FROM #TEMP_1 T WHERE T.COL = 2 AND T.ROW_CODE = T1.ROW_CODE),
	IM = (SELECT TOP 1 SUBSTRING(STR_VAL,PATINDEX ( '% %' ,STR_VAL)+1,PATINDEX ( '% %' ,SUBSTRING(STR_VAL,PATINDEX ( '% %' ,STR_VAL)+1,LEN(STR_VAL)-PATINDEX ( '% %' ,STR_VAL)+1)))  FROM #TEMP_1 T WHERE T.COL = 2 AND T.ROW_CODE = T1.ROW_CODE),
	OT = (SELECT TOP 1 SUBSTRING(SUBSTRING(STR_VAL,PATINDEX ( '% %' ,STR_VAL)+1,LEN(STR_VAL)-PATINDEX ( '% %' ,STR_VAL)+1), PATINDEX('% %', SUBSTRING(STR_VAL,PATINDEX ( '% %' ,STR_VAL)+1,LEN(STR_VAL)-PATINDEX ( '% %' ,STR_VAL)+1)), LEN(SUBSTRING(STR_VAL,PATINDEX ( '% %' ,STR_VAL)+1,LEN(STR_VAL)-PATINDEX ( '% %' ,STR_VAL)+1))) FROM #TEMP_1 T WHERE T.COL = 2 AND T.ROW_CODE = T1.ROW_CODE),
	INSUR_NUM = (SELECT TOP 1 STR_VAL FROM #TEMP_1 T WHERE T.COL = 3 AND T.ROW_CODE = T1.ROW_CODE),
	INN = (SELECT TOP 1 STR_VAL FROM #TEMP_1 T WHERE T.COL = 4 AND T.ROW_CODE = T1.ROW_CODE)
FROM
	#TEMP_1 T1 


DECLARE  @DEP_LINK1 INT , @ID1 INT /* */ , @nYear int, @nMonth int
set @ID1 = 0
--SET @nYear = year(@dDate1)
--set @nMonth = month(@dDate1)


	INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
	SELECT @lcFNAME, SPACE(2) + '<>' 

SET @Cur1 = CURSOR FORWARD_ONLY
FOR select NUM_PP from #TAB_1  ORDER BY NUM_PP
	
OPEN @Cur1
FETCH NEXT FROM @Cur1 INTO @ID1

	WHILE (@@fetch_status <> -1)
	BEGIN
		IF (@@fetch_status <> -2)
		BEGIN
			INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
			SELECT @lcFNAME,SPACE(3) + '< ="'+RTRIM(LTRIM(STR(@ID1)))+'">' + CHAR(13) + CHAR(10)
								+ SPACE(4) + '<>' + CHAR(13) + CHAR(10)
									+ SPACE(5) + '<:>'+ RTRIM(LTRIM(COALESCE(FM,''))) +'</:>' + CHAR(13) + CHAR(10)
									+ SPACE(5) + '<:>'+RTRIM(LTRIM(COALESCE(IM,'')))+'</:>' + CHAR(13) + CHAR(10)
									+ SPACE(5) + '<:>'+ RTRIM(LTRIM(COALESCE(OT,''))) +'</:>' + CHAR(13) + CHAR(10)
								+ SPACE(4) + '</>' + CHAR(13) + CHAR(10)
								+ SPACE(4) + '<>'+ RTRIM(LTRIM(COALESCE(INSUR_NUM,''))) +'</>' + CHAR(13) + CHAR(10)
								+ SPACE(4) + (CASE WHEN COALESCE(INN,'') = '' THEN  '' 
										 WHEN len(COALESCE(INN,'')) <> 12  THEN    '' 
										 else '<>'+RTRIM(LTRIM(INN))+'</>' END )	 + CHAR(13) + CHAR(10)
						 + SPACE(3) + '</>'  
				FROM
					#TAB_1
				WHERE 
					NUM_PP = @ID1 
	
		END
		
		FETCH NEXT FROM @Cur1 INTO @ID1



	END

	CLOSE @Cur1
	DEALLOCATE @Cur1
	--exec [dbo].[SA_SZVM_EXPORT_v2_52]       42451

	INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(2) + '</>'
	INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(2) + '<>'+CONVERT(VARCHAR(10),ltrim(rtrim(replace(convert(varchar(10),@modify_date,126),'.',''))))+'</>'
	INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(1) + '</->'
	INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
	SELECT @lcFNAME, SPACE(1) + '<>'
	INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
	SELECT @lcFNAME, SPACE(2) + '<:GUID>'+RTRIM(LTRIM(COALESCE(@GUID,'')))+'</:GUID>' + CHAR(13) + CHAR(10)
				   + SPACE(2) + '<:>'+CONVERT(VARCHAR(25),ltrim(rtrim(replace(convert(varchar(19),GETDATE(),126 ),'.','')+'+03:00')))+'</:>' + CHAR(13) + CHAR(10)
				   + SPACE(2) + '<2:>'+ @NAME_PROG +' ' + @VERS_PROG +'</2:>' + CHAR(13) + CHAR(10)
	INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
	SELECT @lcFNAME, SPACE(1) + '</>'

	INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(0) + '</>'



SET NOCOUNT OFF


select * from #OUTPUT order by [ID]











GO


GRANT EXECUTE ON dbo.[SA_SZVM_EXPORT_v2_56] TO PUBLIC

GO



GO
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[SA_EMPL_INCOM_VKR]') AND OBJECTPROPERTY(id,N'IsProcedure') = 1)
DROP PROCEDURE dbo.[SA_EMPL_INCOM_VKR]

GO

CREATE  PROCEDURE dbo.SA_EMPL_INCOM_VKR

	@varKSnMode	smallint	= 0, 
	@varKSnMonth 	int		= 0,
	@varKSnYear	int		= 0,
	@DEP_LINK INT = NULL,
	@REF_PAY INT = NULL
AS

/*
&&        
&& nMode	smallint,  0 -   , 1 -      
&& nMONTH	int,
&& nYEAR	int
*/

IF @DEP_LINK IS NULL
	exec dbo.xd_whats_zb @DEP_LINK output


DECLARE @RESIDENT TINYINT

IF EXISTS (SELECT * FROM dbo.PAYS WHERE LINK = @REF_PAY AND WAY_CALC = 5)
	SET @RESIDENT = 1
ELSE
	IF EXISTS (SELECT * FROM dbo.PAYS WHERE LINK = @REF_PAY AND WAY_CALC = 4)
		SET @RESIDENT = 2
	ELSE
		SET @RESIDENT = NULL	

declare @date datetime
if coalesce(@varKSnMonth,0) = 0 or Coalesce(@varKSnYear,0) = 0
	set @date = dbo.salarycalcperiod()
else
	set @date = dbo.DateEndOfMonth(dbo.ConvertDMY2Date(1,@varKSnMonth,@varKSnYear))

select distinct 
	LINK= e.PERS_LINK,
	LINK_EMPL= e.link,
	TAB_NUM= e.tab,
	[NAME_EMPL]= LTRIM(RTRIM(e.FM)) + ' ' + SUBSTRING(LTRIM(RTRIM(e.IM)),1,1) + '.' + SUBSTRING(LTRIM(RTRIM(e.OT)),1,1),
	sj.LINK_VKR, SJ.NAME_VKR,
	sj.link_ekr, SJ.NAME_EKR,
	[Status]= e.status_empl		
from
	dbo.sd_empl_fn(default,@date,DEFAULT,@DEP_LINK) e
	INNER JOIN dbo.SCJ_NDFL_R SJ ON SJ.LINK_EMPL = e.link 
where
	(@RESIDENT IS NULL OR @RESIDENT = 2 AND E.RESIDENT = 2 OR @RESIDENT = 1 AND E.RESIDENT <> 2)
	and year_begin = str(@varKSnYear) 
	and (
		(month_begin <= @varKSnMonth and @varKSnMode = 1) 
		or 
		(month_begin = @varKSnMonth and @varKSnMode = 0)
	)
	AND E.DEP_LINK = @DEP_LINK
ORDER BY
	NAME_EMPL, SJ.NAME_VKR, SJ.NAME_EKR



GO


GRANT EXECUTE ON dbo.[SA_EMPL_INCOM_VKR] TO PUBLIC

GO



GO
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[RN_PRINT_RPSV_2017]') AND OBJECTPROPERTY(id,N'IsProcedure') = 1)
DROP PROCEDURE dbo.[RN_PRINT_RPSV_2017]

GO

/*
  (Keysystems), 2014
*/

CREATE PROCEDURE dbo.[RN_PRINT_RPSV_2017]
	@namesTables varchar(8000),        --      ,   
									--    select,  select   c_data2
									--  ,  !
	@LSF int
AS
/*
*/

	create table #all (COL1 varchar(8000), COL2 varchar(8000), COL3 float, COL4 float, COL5 float, COL6 varchar(8000),  CODE varchar(50), DEL bit, ITOG int, orders int IDENTITY(1,1))
	declare @table varchar(100), @RunStr varchar(8000),@table1 varchar(100),@table2 varchar(100),@table3 varchar(100) ,@table4 varchar(100),@table5 varchar(100),@table6 varchar(100), 
	@table7 varchar(100),@table8 varchar(100),@table9 varchar(100) ,@table10 varchar(100),@table11 varchar(100),@table12 varchar(100), 
	@table13 varchar(100),@table14 varchar(100),@table15 varchar(100) ,@table16 varchar(100),@table17 varchar(100),@table18 varchar(100), 
	@table19 varchar(100),@table20 varchar(100),@table21 varchar(100) --,@table22 varchar(100) , @table23 varchar(100)  


	
	exec dbo.RO_FORMULA_FUNCTIONS 1, @namesTables output, @table1 output, ','



	exec dbo.RO_FORMULA_FUNCTIONS 1, @namesTables output, @table2 output, ','


	exec dbo.RO_FORMULA_FUNCTIONS 1, @namesTables output, @table3 output, ','
	--set @RunStr = 'DELETE A 
	--               FROM  ' + @table3 +' A 
	--               WHERE EXISTS(SELECT * FROM '+@table3 +' B WHERE SUBSTRING(A.CODE,18,9) = SUBSTRING(B.CODE,18,9) AND SUBSTRING(B.CODE,1,17) <> ''00000000000000000'')  
	--               AND SUBSTRING(A.CODE,1,17) = ''00000000000000000'''  
 --  PRINT @RunStr
	--execute(@RunStr)

--	set @RunStr = 'SELECT * FROM ' + @table3 
--	execute(@RunStr)

--	set @RunStr = 'drop table ' + @table3
--	execute(@RunStr)

	exec dbo.RO_FORMULA_FUNCTIONS 1, @namesTables output, @table4 output, ','
	exec dbo.RO_FORMULA_FUNCTIONS 1, @namesTables output, @table5 output, ','
	exec dbo.RO_FORMULA_FUNCTIONS 1, @namesTables output, @table6 output, ','
	exec dbo.RO_FORMULA_FUNCTIONS 1, @namesTables output, @table7 output, ','
	exec dbo.RO_FORMULA_FUNCTIONS 1, @namesTables output, @table8 output, ','
	exec dbo.RO_FORMULA_FUNCTIONS 1, @namesTables output, @table9 output, ','
	exec dbo.RO_FORMULA_FUNCTIONS 1, @namesTables output, @table10 output, ','
	exec dbo.RO_FORMULA_FUNCTIONS 1, @namesTables output, @table11 output, ','
	exec dbo.RO_FORMULA_FUNCTIONS 1, @namesTables output, @table12 output, ','
	exec dbo.RO_FORMULA_FUNCTIONS 1, @namesTables output, @table13 output, ','
	exec dbo.RO_FORMULA_FUNCTIONS 1, @namesTables output, @table14 output, ','
	exec dbo.RO_FORMULA_FUNCTIONS 1, @namesTables output, @table15 output, ','
	exec dbo.RO_FORMULA_FUNCTIONS 1, @namesTables output, @table16 output, ','
	exec dbo.RO_FORMULA_FUNCTIONS 1, @namesTables output, @table17 output, ','
	exec dbo.RO_FORMULA_FUNCTIONS 1, @namesTables output, @table18 output, ','
	exec dbo.RO_FORMULA_FUNCTIONS 1, @namesTables output, @table19 output, ','
	exec dbo.RO_FORMULA_FUNCTIONS 1, @namesTables output, @table20 output, ','
	exec dbo.RO_FORMULA_FUNCTIONS 1, @namesTables output, @table21 output, ','

set @RunStr = 'SELECT * FROM ' + @table1 +' ' 
execute(@RunStr)

set @RunStr = 'SELECT * FROM ' + @table2 +' ' 
execute(@RunStr)

set @RunStr = 'SELECT * FROM ' + @table3 +' ' 
execute(@RunStr)
set @RunStr = 'SELECT * FROM ' + @table4 +' ' 
execute(@RunStr)

set @RunStr = 'SELECT * FROM ' + @table5 +' ' 
execute(@RunStr)
set @RunStr = 'SELECT * FROM ' + @table6 +' ' 
execute(@RunStr)

set @RunStr = 'SELECT * FROM ' + @table7 +' ' 
execute(@RunStr)
set @RunStr = 'SELECT * FROM ' + @table8 +' ' 
execute(@RunStr)

set @RunStr = 'SELECT * FROM ' + @table9 +' ' 
execute(@RunStr)
set @RunStr = 'SELECT * FROM ' + @table10 +' ' 
execute(@RunStr)

set @RunStr = 'SELECT * FROM ' + @table11 +' ' 
execute(@RunStr)


set @RunStr = 'SELECT * FROM ' + @table12 +' ' 
execute(@RunStr)
set @RunStr = 'SELECT * FROM ' + @table13 +' ' 
execute(@RunStr)

set @RunStr = 'SELECT * FROM ' + @table14 +' ' 
execute(@RunStr)
set @RunStr = 'SELECT * FROM ' + @table15 +' ' 
execute(@RunStr)

set @RunStr = 'SELECT * FROM ' + @table16 +' ' 
execute(@RunStr)
set @RunStr = 'SELECT * FROM ' + @table17 +' ' 
execute(@RunStr)
set @RunStr = 'SELECT * FROM ' + @table18 +' ' 
execute(@RunStr)

set @RunStr = 'SELECT * FROM ' + @table19 +' ' 
execute(@RunStr)
set @RunStr = 'SELECT * FROM ' + @table20 +' ' 
execute(@RunStr)

set @RunStr = 'SELECT UPD,del,link_saved_form,link_row,orders,Calc_orders,Print_Null,
				code,col1,col2,col3,col4,col5,col6,col7,col8,col9,
				col10 = (SELECT TOP 1 CASE WHEN LEN(''''+ col10 + '','' + col11+ '','' +col12+ '','' +col13+ '','' +col14+ '','' +col15+ '','' +col16+ '',''+col17+'','') >10 
													THEN ''''+ col10 + '','' + col11+ '','' +col12+ '','' +col13+ '','' +col14+ '','' +col15+ '','' +col16+ '',''+col17+'',''
													ELSE '' '' END FROM ' + @table21 +'  where COL7 = a.COL7 and COL3=''700'')  ,
				col18 = (SELECT TOP 1 CASE WHEN LEN( ''''+ col18+ '','' +col19+ '','' +col20+ '','' +col21+ '','' +col22+ '','' +col23+ '','' +col24+ '','' +col25+'','' ) >10 
													THEN ''''+ col18+ '','' +col19+ '','' +col20+ '','' +col21+ '','' +col22+ '','' +col23+ '','' +col24+ '','' +col25+'','' 
													ELSE '' '' END FROM ' + @table21+'  where COL7 = a.COL7 and COL3=''700''),
				col26 = (SELECT TOP 1 CASE WHEN LEN(''''+col26+ '','' +col27+ '','' +col28+ '','' +col29+ '','' +col30+ '','' +col31+ '','' +col32+ '','' +col33+'','') >10 
													THEN ''''+col26+ '','' +col27+ '','' +col28+ '','' +col29+ '','' +col30+ '','' +col31+ '','' +col32+ '','' +col33+'',''					
													ELSE '' '' END  FROM ' + @table21 +'  where COL7 = a.COL7 and COL3=''700''),
				col34 = (SELECT TOP 1 CASE WHEN LEN(''''+col34+ '','' +col35+ '','' +col36+ '','' +col37+ '','' +col38+ '','' +col39+ '','' +col40+ '','' +col41+'','') >10 
													THEN ''''+col34+ '','' +col35+ '','' +col36+ '','' +col37+ '','' +col38+ '','' +col39+ '','' +col40+ '','' +col41+'',''
													ELSE '' '' END FROM ' + @table21 +'  where COL7 = a.COL7 and COL3=''700''),
				col42,col43,col44,
				col45 = (SELECT TOP 1 CASE WHEN LEN(''''+col45+ '''') >10 
													THEN ''''+col45+ ''''	ELSE '' '' END FROM ' + @table21 +'  where COL7 = a.COL7 and COL3=''700''),
				col46 = (SELECT TOP 1 CASE WHEN LEN(''''+col46+ '''') >10 
													THEN ''''+col46+ ''''	ELSE '' '' END FROM ' + @table21 +'  where COL7 = a.COL7 and COL3=''700'')								
				
               FROM ' + @table21 +' a ' 

execute(@RunStr)

--set @RunStr = 'SELECT * FROM ' + @table22 +' ' 
--execute(@RunStr)


/*exec dbo.RO_FORMULA_FUNCTIONS 1, @namesTables output, @table output, ','
set @RunStr = 'SELECT * FROM ' + @table 
PRINT @RunStr
execute(@RunStr)

set @RunStr = 'drop table ' + @table
execute(@RunStr)
*/



GO


GRANT EXECUTE ON dbo.[RN_PRINT_RPSV_2017] TO PUBLIC

GO




GO
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[RSS_RPSV_FNS_SELECT]') AND OBJECTPROPERTY(id,N'IsProcedure') = 1)
DROP PROCEDURE dbo.[RSS_RPSV_FNS_SELECT]

GO

CREATE	procedure [dbo].RSS_RPSV_FNS_SELECT
	@res float output, @varcStr varchar(250), @vardBegin datetime = '20160101', @vardEnd datetime = '20161231', @variCol int, @variRow int, @variLSF int
AS

DECLARE 
	@NAME VARCHAR(100), 
	@SQL VARCHAR(8000),
	@cSubStr1 varchar(250),
	@col int, 
	@cStr varchar(250)
	
SET @NAME = (SELECT MAX(ID) FROM BUFFER WHERE LINK = -116 AND SID = SUSER_SID())
CREATE  TABLE #TMP ( val NUMERIC(20,2) )

set @cStr = @varcStr
set @res = 0
exec dbo.RO_FORMULA_FUNCTIONS 1, @cStr output, @cSubStr1 output, ','
if LEN(@cStr) = 0
begin
	set @cStr = @cSubStr1
	set @cSubStr1 = ''
end
if @cStr = ''
	return 0
set @col = CONVERT(int, @cStr)

IF @col IN (1,2,3,4,5,6,7) BEGIN
	SET @SQL = '
		INSERT INTO #TMP
		SELECT c' +  ltrim(rtrim(convert(char(2),@col))) + '
		FROM ' + @NAME + ' 
		WHERE CODE_STR=''' + LTRIM(RTRIM(@cSubStr1)) + ''''
	EXEC (@SQL)

END	

	SET @res = coalesce((SELECT val FROM #TMP),0)

	DROP TABLE #TMP






GO


GRANT EXECUTE ON dbo.[RSS_RPSV_FNS_SELECT] TO PUBLIC

GO


-- --


GO
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[DICT_ORDER_CHIN]') AND OBJECTPROPERTY(id, N'IsView') = 1)
DROP VIEW dbo.[DICT_ORDER_CHIN]

GO


/*
  (Keysystems), 2005
*/
CREATE VIEW [dbo].DICT_ORDER_CHIN
AS
SELECT
	O.LINK,
	O.[type],
	O.number,
	O.[date],
	O.FIO,
	O.short_comm, 
	O.comment, 
	O.[status], 
	O.dep_link, 
	O.obj_code, 
	O.TYPE_TXT,
	O.STATUS_TXT,
	im.EMPL_LINK,
	CHIN_NAME = left(d.NAME,100),
	im.DATE_BEGIN,
	ATT_KOM_NAME = left(ak.NAME,100)
FROM  dbo.item_move im   
	INNER JOIN dbo.ORDERS_reestr o 	ON  im.ORDER_LINK= o.link AND  o.obj_code = 'CHIN_CONFERM'
	left JOIN dbo.dictionary_chin d ON d.link = im.REF_EC
	left JOIN ATTESTAT_KOMISSION ak ON ak.LINK = im.REF_ATT 

GO


GRANT SELECT ON dbo.[DICT_ORDER_CHIN] TO PUBLIC

GO


-- --


GO
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[SA_RPSV_17_FNS_PREPARE_RESIDENT]') AND OBJECTPROPERTY(id,N'IsProcedure') = 1)
DROP PROCEDURE dbo.[SA_RPSV_17_FNS_PREPARE_RESIDENT]

GO
CREATE PROCEDURE dbo.SA_RPSV_17_FNS_PREPARE_RESIDENT @LSF INT
AS

DECLARE 
	@START_DATE DATETIME, @END_DATE DATETIME, @DEP_LINK INT, @BYearDate DATETIME,
	@nYEAR INT, @nMONTH1 INT, @nMONTH2 INT, @nMONTH3 INT

SELECT
	@DEP_LINK = Link_Organization,
	@START_DATE = BEGIN_DATE
FROM
	report_saved_forms 
WHERE
	link_saved_form = @LSF

SET @BYearDate = dbo.DateBeginOfYear (@START_DATE)



SELECT 
	@nYEAR = YEAR(@START_DATE),
	@nMONTH1 = MONTH(@START_DATE)-2,
	@nMONTH2 = MONTH(@START_DATE)-1,
	@nMONTH3 = MONTH(@START_DATE)

DECLARE @varKSname VARCHAR(100), @varKSSQL VARCHAR(8000)
SET @varKSname = (SELECT ID FROM BUFFER WHERE LINK = -117 AND SID = SUSER_SID() )

CREATE TABLE #RAZD1p9 (LINK INT,COL2 VARCHAR(100),COL3 VARCHAR(100),COL4 VARCHAR(100),COL5 VARCHAR(12), COL6 VARCHAR(14), 
					   COL7 VARCHAR(100), COL8 NUMERIC(18,2), COL9 NUMERIC(18,2), COL10 NUMERIC(18,2), COL11 NUMERIC(18,2))

SET @varKSSQL = '
	INSERT INTO #RAZD1p9 (LINK,COL2,COL3,COL4,COL5,COL6,COL7,COL8,COL9,COL10,COL11)
	SELECT
		I.LINK,  
		LEFT(LTRIM(RTRIM(P.FM)) ,100),
		LEFT(LTRIM(RTRIM(P.IM)) ,100) , 
		left(LTRIM(RTRIM(P.OT)) ,100) , 
		LEFT(LTRIM(RTRIM(P.INN)),12), 
		LEFT(LTRIM(RTRIM(P.INSUR_NUM)),15),  
		LEFT(LTRIM(RTRIM(N.NAME)),100),
		COL8= i.COL2,
		COL9= i.COL3,
		COL10= i.COL4,
		COL11= i.COL5
	FROM ' + @varKSname + ' I
		INNER JOIN dbo.PERSON P ON P.LINK = I.LINK
		left join dbo.CITIZENSHIP n on n.link = p.CITIZ_LINK
	ORDER BY
		P.FM, P.IM, P.OT'

EXEC (@varKSSQL)

SELECT 
	CODE = CONVERT(VARCHAR(4),RANK() OVER (ORDER BY COL2)),
	COL1 = CONVERT(VARCHAR(4),RANK() OVER (ORDER BY COL2)),
	COL2,
	COL3,
	COL4,
	COL5,
	COL6,
	COL7,
	COL8,
	COL9,
	COL10,
	COL11
FROM
	#RAZD1p9  E
ORDER BY
	COL2

DROP TABLE #RAZD1p9
	

RETURN 0



GO


GRANT EXECUTE ON dbo.[SA_RPSV_17_FNS_PREPARE_RESIDENT] TO PUBLIC

GO


-- --


GO
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[SA_SVOD_TLIST]') AND OBJECTPROPERTY(id,N'IsProcedure') = 1)
DROP PROCEDURE dbo.[SA_SVOD_TLIST]

GO

CREATE  PROC [dbo].[SA_SVOD_TLIST] (
	@PERIODBEGIN DATETIME, @PERIODEND DATETIME, /*  */
	@VNS TINYINT = 1 /*    */,
	@NCOMBO1 TINYINT = 1 /*   */,
	@NCOMBO3 INT	/*  1 */,
	@NCOMBO4 INT	/*  2 */,
	@NCOMBO5 INT	/*  3 */,
	--
	@CVAL1 CHAR(1), @NOTBORLINK1 INT	/*   */,
	@CVAL2 CHAR(1), @NOTBORLINK2 INT	/*   */,
	@CVAL3 CHAR(1), @NOTBORLINK3 INT	/*   */,
	@CVAL4 CHAR(1), @NOTBORLINK4 INT	/*    */,
	@CVAL5 CHAR(1), @NOTBORLINK5 INT 	/*    */,
	@CVAL6 CHAR(1), @NOTBORLINK6 INT 	/*    */,
	@CVAL7 CHAR(1), @NOTBORLINK7 INT	/*    */,
	@CVAL8 CHAR(1), @NOTBORLINK8 INT	/*    */,
	@CVAL9 CHAR(1), @NOTBORLINK9 INT	/*     */
	) AS

SET NOCOUNT ON

DECLARE @DEP_LINK INT
SELECT @DEP_LINK = DBO.GETCBDEPLINK()

----------------------------------------------
CREATE TABLE #STO_TAR_EMPL (LINK INT, LINK_EMPL INT, FIO VARCHAR(254), TAB VARCHAR(10), PERS_LINK INT, DATE_BEGIN DATETIME,
	DATE_END DATETIME, LINK_POST INT, POST_NAME VARCHAR(254), INST_CHIEF_ACC TINYINT, LINK_KATEG INT, KATEG_NAME VARCHAR(254),
	RAZR_BASE VARCHAR(10), INC_ETS1 TINYINT, INC_ETS1_NAME  VARCHAR(254), INC_ETS1_VALUE TINYINT, INC_ETS2 TINYINT, INC_ETS2_NAME VARCHAR(254),
	INC_ETS2_VALUE TINYINT, INC_ETS3 TINYINT, INC_ETS3_NAME VARCHAR(254), INC_ETS3_VALUE TINYINT, RAZR VARCHAR(10), IRAZR INT,
	DEP_LINK INT, NUM_STAKE NUMERIC(18,2), LINK_KBK  INT, SUBDIV_HEAD INT, SUBDIV_NAME  VARCHAR(254),[STATUS] TINYINT, LINK_TYPE INT, CODE_TYPE VARCHAR(4))

INSERT INTO #STO_TAR_EMPL ( LINK, LINK_EMPL, FIO, TAB, PERS_LINK, DATE_BEGIN, 
	DATE_END, LINK_POST, POST_NAME, INST_CHIEF_ACC, LINK_KATEG, KATEG_NAME,
	RAZR_BASE, INC_ETS1, INC_ETS1_NAME, INC_ETS1_VALUE, INC_ETS2, INC_ETS2_NAME, 
	INC_ETS2_VALUE, INC_ETS3, INC_ETS3_NAME, INC_ETS3_VALUE, RAZR, IRAZR,
	DEP_LINK, NUM_STAKE, LINK_KBK, SUBDIV_HEAD, SUBDIV_NAME, [STATUS], LINK_TYPE, CODE_TYPE)

SELECT 	LINK, LINK_EMPL, FIO, TAB, PERS_LINK, DATE_BEGIN, 
	DATE_END, LINK_POST, POST_NAME, INST_CHIEF_ACC, LINK_KATEG, KATEG_NAME,
	CONVERT(VARCHAR(10),RAZR_BASE), INC_ETS1, INC_ETS1_NAME, INC_ETS1_VALUE, INC_ETS2, INC_ETS2_NAME, 
	INC_ETS2_VALUE, INC_ETS3, INC_ETS3_NAME, INC_ETS3_VALUE, CONVERT(VARCHAR(10),RAZR), RAZR,
	DEP_LINK, T.NUM_STAKE, LINK_KBK, SUBDIV_HEAD, SUBDIV_NAME, COALESCE([STATUS],1), T.LINK_TYPE, T.CODE_TYPE
FROM 
	DBO.SA_EMPLS_W_FN(DEFAULT, @PERIODBEGIN, DEFAULT, @DEP_LINK) T
	LEFT JOIN DBO.EMPL_STATUS(@PERIODBEGIN) S ON S.EMPL_LINK = LINK_EMPL
WHERE
	DEP_LINK = @DEP_LINK
	--   ,  ,   
	AND (@VNS = 1 AND COALESCE([STATUS],1) <> 3 OR @VNS = 2 OR @VNS = 3 AND COALESCE([STATUS],1) = 3 ) 
	--  , ,  
	AND @NCOMBO1 <= 2 
	AND @PERIODBEGIN BETWEEN T.DATE_BEGIN AND COALESCE(T.DATE_END, @PERIODBEGIN)
 	AND (	-- 
		@CVAL1 <> '' AND SUBDIV_HEAD IN (SELECT RECORD FROM DBO.OBJECT_VAR_SUBDIV_HEAD WHERE LINK_UP = @NOTBORLINK1)
		OR
		@CVAL1 = '' )
 	AND (	-- 
		@CVAL2 <> '' AND LINK_EMPL IN (SELECT RECORD FROM DBO.OBJECT_VAR_EMPL WHERE LINK_UP = @NOTBORLINK2)
		OR
		@CVAL2 = '' )
 	AND (	-- 
		@CVAL3 <> '' AND LINK_POST IN (SELECT RECORD FROM DBO.OBJECT_VAR_POST WHERE LINK_UP = @NOTBORLINK3)
		OR
		@CVAL3 = '' )
 	AND (	--  
		@CVAL4 <> '' AND LINK_KATEG IN (SELECT RECORD FROM DBO.OBJECT_VAR_KATEG WHERE LINK_UP = @NOTBORLINK4)
		OR
		@CVAL4 = '' )
 	AND (	--   
		@CVAL9 <> '' AND
			( 
			INC_ETS1 IN (SELECT RECORD FROM DBO.OBJECT_VAR_STS_REASONS_INC_SCALE WHERE LINK_UP = @NOTBORLINK9)
			OR
			INC_ETS2 IN (SELECT RECORD FROM DBO.OBJECT_VAR_STS_REASONS_INC_SCALE WHERE LINK_UP = @NOTBORLINK9)
			OR
			INC_ETS3 IN (SELECT RECORD FROM DBO.OBJECT_VAR_STS_REASONS_INC_SCALE WHERE LINK_UP = @NOTBORLINK9)
			)
		OR
		@CVAL9 = '' )

----  
INSERT INTO #STO_TAR_EMPL ( LINK, LINK_EMPL, FIO, TAB, PERS_LINK, DATE_BEGIN, 
	DATE_END, LINK_POST, POST_NAME, INST_CHIEF_ACC, LINK_KATEG, KATEG_NAME,
	RAZR_BASE, INC_ETS1, INC_ETS1_NAME, INC_ETS1_VALUE, INC_ETS2, INC_ETS2_NAME, INC_ETS2_VALUE, 
	INC_ETS3, INC_ETS3_NAME, INC_ETS3_VALUE, RAZR, IRAZR, 
	DEP_LINK, NUM_STAKE, LINK_KBK, SUBDIV_HEAD, SUBDIV_NAME, [STATUS])
SELECT 
	LINK, 0, '', '', 0, DATE_BEGIN, 
	DATE_END, POST_LINK, POST_NAME, 2, KAT_LINK, KAT_NAME,
	CONVERT(VARCHAR(10),COALESCE(ETS_RAZR,0)) + CASE WHEN COALESCE(ETS_RAZR2,0) > 0 THEN '..' + CONVERT(VARCHAR(10),ETS_RAZR2) ELSE '' END, NULL, '', 0, NULL, '', 0,
	NULL, '', 0, CONVERT(VARCHAR(10),COALESCE(ETS_RAZR,0)) + CASE WHEN COALESCE(ETS_RAZR2,0) > 0 THEN '..' + CONVERT(VARCHAR(10),ETS_RAZR2) ELSE '' END, ETS_RAZR,
	DEP_LINK, FREE_STAKES, LINK_KBK, SUBDIV_LINK, SUBDIV_NAME, 0
FROM 
	DBO.DICTIONARY_STAFF_FN(@PERIODBEGIN) 
WHERE 
	DELETED = 0 AND FREE_STAKES > 0
	AND @NCOMBO1 >= 2 --  , ,  
 	AND (	--  
		@CVAL1 <> '' AND SUBDIV_LINK IN (SELECT RECORD FROM DBO.OBJECT_VAR_SUBDIV_HEAD WHERE LINK_UP = @NOTBORLINK1)
		OR
		@CVAL1 = '' )
 	AND (	-- 
		@CVAL3 <> '' AND POST_LINK IN (SELECT RECORD FROM DBO.OBJECT_VAR_POST WHERE LINK_UP = @NOTBORLINK3)
		OR
		@CVAL3 = '' )
 	AND (	--  
		@CVAL4 <> '' AND KAT_LINK IN (SELECT RECORD FROM DBO.OBJECT_VAR_KATEG WHERE LINK_UP = @NOTBORLINK4)
		OR
		@CVAL4 = '' )
 	AND (	--  
		@CVAL7 <> '' AND LINK_KBK IN (SELECT	RECORD FROM DBO.OBJECT_VAR_SAL_SFIN WHERE LINK_UP = @NOTBORLINK7)
		OR
		@CVAL7 = '' )

-------------------------------------------
DECLARE @BUFF_ID VARCHAR(20)
EXEC X_GET_TABLE_NAME @BUFF_ID OUTPUT
	
INSERT INTO DBO.BUFFER (ID, LINK)
SELECT DISTINCT @BUFF_ID, LINK_EMPL
	FROM #STO_TAR_EMPL

----------------------------------------------
CREATE TABLE #ALL_PAYS_TAR_EMPL ( LINK_EMPL INT, LINK_TAR_EMPL INT, LINK_LES INT, LINK_PAY INT, PERC NUMERIC(18,2), SUMMA NUMERIC(18,2), LINK_KBK INT, WAY_CALC INT, LINK_ETS INT)	
INSERT INTO #ALL_PAYS_TAR_EMPL ( LINK_EMPL, LINK_TAR_EMPL, LINK_LES, LINK_PAY, PERC, SUMMA, LINK_KBK, WAY_CALC, LINK_ETS)
SELECT 
	PTE.LINK_EMPL, PTE.LINK_SOVM, LINK_LES = NULL, PTE.LINK_PAY, PTE.PERC,  SUM(PTE.SUMMA),  PTE.LINK_KBK, P.WAY_CALC, P.LINK_ETS
FROM 
	DBO.SA_ALL_PAYS_ALL0(DEFAULT, @PERIODBEGIN, @BUFF_ID, @DEP_LINK, DEFAULT) PTE
	INNER JOIN  DBO.PAYS P ON PTE.LINK_PAY = P.LINK
WHERE
 	(	--  
	@CVAL7 <> '' AND PTE.LINK_KBK IN (SELECT RECORD FROM DBO.OBJECT_VAR_SAL_SFIN WHERE LINK_UP = @NOTBORLINK7)
	OR
	@CVAL7 = '' )
	AND
 	(	--  
	@CVAL8 <> '' AND PTE.LINK_PAY IN (SELECT RECORD FROM [DBO].[OBJECT_VAR_PAYS] WHERE LINK_UP = @NOTBORLINK8)
	OR
	@CVAL8 = '' )
GROUP BY 
	PTE.LINK_EMPL, PTE.LINK_SOVM, PTE.LINK_PAY, PTE.PERC,  PTE.LINK_KBK, P.WAY_CALC, P.LINK_ETS

----  
INSERT INTO #ALL_PAYS_TAR_EMPL ( LINK_EMPL, LINK_TAR_EMPL, LINK_LES, LINK_PAY, PERC, SUMMA, LINK_KBK, WAY_CALC, LINK_ETS)
SELECT 
	0, PTE.LINK_STAFF, LINK_LES = NULL, PTE.LINK_PAY, PTE.PERC,  SUM(PTE.SUMMA * FREE_STAKES),  S.LINK_KBK, P.WAY_CALC, P.LINK_ETS
FROM 
	DBO.DICTIONARY_STAFF_FN(@PERIODBEGIN) S
	INNER JOIN  DBO.SA_ALL_PAYS_STAFF_DATE(0, @PERIODBEGIN) PTE ON S.LINK = PTE.LINK_STAFF
	INNER JOIN  DBO.PAYS P ON PTE.LINK_PAY = P.LINK
WHERE
	@NCOMBO1 >= 2 --  , ,  
 	AND (	--  
	@CVAL7 <> '' AND S.LINK_KBK IN (SELECT	RECORD FROM DBO.OBJECT_VAR_SAL_SFIN WHERE LINK_UP = @NOTBORLINK7)
	OR
	@CVAL7 = '' )
	AND
 	(	--  
	@CVAL8 <> '' AND PTE.LINK_PAY IN (SELECT RECORD FROM [DBO].[OBJECT_VAR_PAYS] WHERE LINK_UP = @NOTBORLINK8)
	OR
	@CVAL8 = '' )
GROUP BY 
	PTE.LINK_STAFF, PTE.LINK_PAY, PTE.PERC, S.LINK_KBK, P.WAY_CALC, P.LINK_ETS

--  
CREATE TABLE #STAGE (LINK_TAREMPL INT, LINK_EMPL INT, LINK_KATEG INT, STAGE VARCHAR(20), STAGE_G INT, STAGE_M INT, PERC NUMERIC(18,2), EXPIR_LINK INT, MAX_PERC NUMERIC(18,2))
INSERT INTO #STAGE (LINK_TAREMPL, LINK_EMPL, LINK_KATEG, STAGE, STAGE_G, STAGE_M, PERC, EXPIR_LINK, MAX_PERC)
SELECT DISTINCT 
	ST.LINK_TAREMPL, ST.LINK_EMPL, ST.LINK_KATEG, 
	STAGE = CONVERT(VARCHAR(5),CONVERT(INT,ST.STAGE)) + '.' + CONVERT(VARCHAR(10),CONVERT(INT,ROUND((ST.STAGE - CONVERT(INT,ST.STAGE)) * 12, 0))) + '.', 
	STAGE_G = CONVERT(INT,ST.STAGE), 
	STAGE_M = CONVERT(INT,ROUND((ST.STAGE - CONVERT(INT,ST.STAGE)) * 12, 0)),
	ST.PERC, ST.EXPIR_LINK, ST.MAX_PERC 
FROM 
	DBO.SA_TAREMPL_PERCADDSTAGE(@PERIODBEGIN, DEFAULT, DEFAULT, @BUFF_ID, @DEP_LINK, DEFAULT) ST 
	LEFT JOIN DBO.STO_ADD_PAYMENT AP ON AP.MODE = 2 AND ST.LINK_TAREMPL = AP.LINK_TAR_EMPL AND ST.LINK_EMPL = AP.LINK_EMPL 
WHERE
	MAX_PERC > 0
	AND
	(ST.PERC = ST.MAX_PERC AND AP.LINK_EXPIR IS NULL OR ST.EXPIR_LINK = AP.LINK_EXPIR)
ORDER BY 
	LINK_TAREMPL

---
DELETE FROM DBO.BUFFER WHERE ID = @BUFF_ID


-- 
SELECT 
	LINK_EMPL = ST.LINK_EMPL,
	LINK_TAR_EMPL = ST.LINK_TAREMPL,
	DATE_NEW_AP_STAZH = DBO.SA_TAREMPL_GETDATECHANGEPERCSTAZH(ST.LINK_EMPL,@PERIODBEGIN, @PERIODEND, ST.EXPIR_LINK),
	ST.EXPIR_LINK
INTO 
	#ST_INFO
FROM 
	#STO_TAR_EMPL T
	LEFT JOIN #STAGE ST ON ST.LINK_TAREMPL = T.LINK AND ST.LINK_EMPL = T.LINK_EMPL

--
SELECT  
	I.LINK_EMPL,
	I.LINK_TAR_EMPL,
	DATE_NEW_AP_STAZH,
	NEW_CALC_PERC = DBO.SA_TAREMPL_GETPERCADDSTAGE(I.LINK_EMPL, I.LINK_TAR_EMPL, DATE_NEW_AP_STAZH,EXPIR_LINK, @DEP_LINK)
INTO 
	#ST_INFO2
FROM 
	#ST_INFO I
WHERE	
	I.DATE_NEW_AP_STAZH IS NOT NULL



----------------------------------------------
SELECT DISTINCT

	LINK_EMPL= TE.LINK_EMPL,
	LINK_SOVM= TE.LINK,
	TAB,
	FIO = COALESCE((RTRIM(LTRIM(PERS.FM)) + ' ' + RTRIM(LTRIM(IM)) + ' ' + RTRIM(LTRIM(OT))),''),
	SUBDIV = RTRIM(LTRIM(TE.SUBDIV_NAME)),
	KATEG = RTRIM(LTRIM(TE.KATEG_NAME)),
	POST = (RTRIM(LTRIM(TE.POST_NAME))),
	DATE_BEGIN = CASE WHEN TE.DATE_BEGIN IS NOT NULL THEN CONVERT(VARCHAR(10), TE.DATE_BEGIN, 104) ELSE '' END,
	DATE_END = CASE WHEN TE.DATE_END IS NOT NULL OR YEAR(TE.DATE_END) < 2099 THEN CONVERT(VARCHAR(10), TE.DATE_END, 104) ELSE '' END,
	ATTEST = COALESCE(
		(SELECT TOP 1 CONVERT(VARCHAR(10),KC.LINK) + ',' + LTRIM(RTRIM(COALESCE(KC.[CODE],''))) 
			+ ',' + CONVERT(VARCHAR(10),S.LINK) + ',' + LTRIM(RTRIM(COALESCE(S.[NAME],''))) 
			+ CASE WHEN [DATE] IS NOT NULL THEN ',' + CONVERT(VARCHAR(10), [DATE], 104) ELSE '' END 
			FROM DBO.EMPL_ATTEST EA LEFT JOIN DBO.PROFESSIONAL_SKILL S ON S.LINK = EA.LINK_SKILL
					LEFT JOIN DBO.KV_CATEGORY KC ON KC.LINK = EA.LINK_KV_CATEG
			WHERE EMPL_LINK = TE.LINK_EMPL AND @PERIODEND BETWEEN DATE_BEGIN AND COALESCE(DATE_END,@PERIODEND))
		,''),

	RAZR_BASE = COALESCE((RAZR_BASE),''),

	INC_ETS1, 
	ETS1_NAME = COALESCE((INC_ETS1_NAME),''),
	ETS1_VAL = COALESCE((INC_ETS1_VALUE),0),
	
	INC_ETS2, 
	ETS2_NAME = COALESCE((INC_ETS2_NAME),''),
	ETS1_VA2 = COALESCE((INC_ETS2_VALUE),0),

	INC_ETS3, 
	ETS3_NAME = COALESCE((INC_ETS3_NAME),''),
	ETS1_VA3 = COALESCE((INC_ETS3_VALUE),0),

	RAZR = COALESCE((TE.RAZR),''),
	IRAZR,

	STAKE= TE.NUM_STAKE,

	STAGE_G, STAGE_M,
	ST_PERC = COALESCE(ST.MAX_PERC,0),
	ST_DATE = CASE WHEN STI.DATE_NEW_AP_STAZH IS NOT NULL THEN CONVERT(VARCHAR(10), STI.DATE_NEW_AP_STAZH, 104) ELSE '' END,
	ST_NPERC = COALESCE(STI.NEW_CALC_PERC,0),

	STATUS = CASE WHEN [STATUS] = 0 THEN '' ELSE
			CASE WHEN [STATUS] = 1 AND TE.LINK = 0 THEN '..' ELSE (CASE WHEN [STATUS] = 3 THEN '..' ELSE '-' END) END
		END,
	
	SFIN.LINK_KBK
INTO #EMPL
FROM	
	#STO_TAR_EMPL AS TE
	LEFT JOIN DBO.PERSON AS PERS ON TE.PERS_LINK = PERS.LINK
	LEFT JOIN ( --    
		SELECT DISTINCT PTE.LINK_EMPL, LINK_SOVM = PTE.LINK_TAR_EMPL, LINK_KBK, LINK_ETS
		FROM #ALL_PAYS_TAR_EMPL AS PTE ) AS SFIN ON SFIN.LINK_EMPL = TE.LINK_EMPL AND SFIN.LINK_SOVM = TE.LINK
	LEFT JOIN #STAGE ST ON ST.LINK_EMPL = TE.LINK_EMPL AND ST.LINK_TAREMPL = TE.LINK
	LEFT JOIN #ST_INFO2 STI ON STI.LINK_EMPL = TE.LINK_EMPL AND STI.LINK_TAR_EMPL = TE.LINK

----
SELECT E.LINK_EMPL, E.LINK_SOVM, 
	RAZR18M = --    18 
		CONVERT(NUMERIC(18,2),
		(CASE WHEN COALESCE((E.IRAZR),0) > 18 AND SUM(O.SUMMA) > 0
			THEN 1 - COALESCE( ETS18.SUMMA,0) / SUM(O.SUMMA)
		ELSE 0 END))
INTO
	#R18
FROM
	#EMPL E
	INNER JOIN #ALL_PAYS_TAR_EMPL AS O ON E.LINK_EMPL = O.LINK_EMPL AND E.LINK_SOVM = O.LINK_TAR_EMPL AND E.LINK_KBK = O.LINK_KBK
	INNER JOIN DBO.WAY_CALC W ON W.TYPE = 1 AND COALESCE(W.OKLAD,1) = 1 AND W.CODE = O.WAY_CALC
	LEFT JOIN DBO.SA_ETS_ACTUAL(@PERIODBEGIN) AS ETS18 ON ETS18.LINK = O.LINK_ETS AND ETS18.RAZR = 18
GROUP BY
	E.LINK_EMPL, E.LINK_SOVM, E.IRAZR, ETS18.SUMMA

----- 
SELECT 
	PTE.LINK_EMPL, PTE.LINK_TAR_EMPL, LINK_KBK, SUMMA = SUM(PTE.SUMMA)
INTO #OKLAD
FROM  
	#ALL_PAYS_TAR_EMPL AS PTE 
	INNER JOIN DBO.WAY_CALC W ON W.TYPE = 1 AND COALESCE(W.OKLAD,1) = 1 AND W.CODE = PTE.WAY_CALC
GROUP BY
	PTE.LINK_EMPL, PTE.LINK_TAR_EMPL, LINK_KBK

---- 
SELECT 
	LINK_EMPL,  LINK_TAR_EMPL, CP = P.CODE, NP = P.[NAME], LINK_KBK, PERC, S = SUM(SUMMA)
INTO 
	#RES
FROM
	#ALL_PAYS_TAR_EMPL PTE 
	INNER JOIN  DBO.PAYS P ON PTE.LINK_PAY = P.LINK
GROUP BY
	LINK_EMPL,  LINK_TAR_EMPL, P.CODE, P.[NAME], LINK_KBK, PERC
ORDER BY
	LINK_EMPL,  LINK_TAR_EMPL, P.CODE

----  
SELECT 
	LINK_EMPL,  LINK_TAR_EMPL, LINK_KBK, ITOGO = SUM(SUMMA)
INTO 
	#ITOGO--
FROM
	#ALL_PAYS_TAR_EMPL PTE 
GROUP BY
	LINK_EMPL,  LINK_TAR_EMPL, LINK_KBK
ORDER BY
	LINK_EMPL,  LINK_TAR_EMPL


DECLARE @VARKSCNT_N INT
SELECT @VARKSCNT_N = COUNT(DISTINCT CP) FROM #RES 

---     
DECLARE @VARKSTABLE_N VARCHAR(100),@VARKSTABLE_P VARCHAR(100)
EXEC X_GET_TABLE_NAME @VARKSTABLE_N OUTPUT

SET @VARKSTABLE_P = @VARKSTABLE_N + '1'

---   
EXEC DBO.M_CROSS_TABLE
	'LINK_EMPL,  LINK_TAR_EMPL, LINK_KBK', 
	'CP,NP', 'VARCHAR(10)#VARCHAR(254)', 
	'S', 'NUMERIC(18,2)', 'SUM(S) AS S',
	'#RES', @VARKSTABLE_N

---   
SELECT LINK_EMPL,  LINK_TAR_EMPL, CP AS CP1, LINK_KBK, PERC 
INTO #RES1 FROM #RES

EXEC DBO.M_CROSS_TABLE
	'LINK_EMPL,  LINK_TAR_EMPL, LINK_KBK', 
	'CP1', 'VARCHAR(10)', 
	'PERC', 'NUMERIC(18,2)', 'MAX(PERC) AS PERC',
	'#RES1', @VARKSTABLE_P

IF @VARKSCNT_N = 0 BEGIN
	EXEC (' ALTER TABLE ' + @VARKSTABLE_N + ' ADD CP_0 VARCHAR(10), NP_0 VARCHAR(254), S_0 NUMERIC(18,2) ')
	EXEC (' ALTER TABLE ' + @VARKSTABLE_P + ' ADD CP_0 VARCHAR(10), PERC_0 NUMERIC(18,2) ')
END


DECLARE @SQL VARCHAR(8000)

SET @SQL = 
'
SELECT E.*, 
	FIN = F.CODE,
	KV_KATEG = DBO.SA_GET_WORD_NUM(ATTEST,2,'',''),
	SKILL = DBO.SA_GET_WORD_NUM(ATTEST,4,'',''),
	DATE_ATT = DBO.SA_GET_WORD_NUM(ATTEST,5,'',''),
	R.RAZR18M, O.SUMMA, OPS.*, OPP.*, I.ITOGO --
FROM 
	#EMPL E
	INNER JOIN DBO.SAL_SFIN F ON F.LINK = E.LINK_KBK
	LEFT JOIN #R18 R ON R.LINK_EMPL = E.LINK_EMPL AND R.LINK_SOVM = E.LINK_SOVM
	LEFT JOIN #OKLAD AS O ON E.LINK_EMPL = O.LINK_EMPL AND E.LINK_SOVM = O.LINK_TAR_EMPL AND E.LINK_KBK = O.LINK_KBK
	LEFT JOIN #ITOGO AS I ON E.LINK_EMPL = I.LINK_EMPL AND E.LINK_SOVM = I.LINK_TAR_EMPL AND E.LINK_KBK = I.LINK_KBK
	LEFT JOIN ' + @VARKSTABLE_N + ' AS OPS ON E.LINK_EMPL = OPS.LINK_EMPL AND E.LINK_SOVM = OPS.LINK_TAR_EMPL AND E.LINK_KBK = OPS.LINK_KBK
	LEFT JOIN ' + @VARKSTABLE_P + ' AS OPP ON E.LINK_EMPL = OPP.LINK_EMPL AND E.LINK_SOVM = OPP.LINK_TAR_EMPL AND E.LINK_KBK = OPP.LINK_KBK
	
WHERE
	(	--  
	''' + @CVAL5 + '''<> '''' AND CONVERT(INT,DBO.SA_GET_WORD_NUM(ATTEST,1,'','')) IN (SELECT RECORD FROM DBO.OBJECT_VAR_KV_CATEGORY WHERE LINK_UP = ' + CONVERT(VARCHAR(20), @NOTBORLINK5) + ')
	OR
	''' + @CVAL5 + ''' = '''' )
	AND (	--  
	''' + @CVAL6 + ''' <> '''' AND CONVERT(INT,DBO.SA_GET_WORD_NUM(ATTEST,3,'','')) IN (SELECT RECORD FROM DBO.OBJECT_VAR_PROFESSIONAL_SKILL WHERE LINK_UP = ' + CONVERT(VARCHAR(20), @NOTBORLINK6) + ')
	OR
	''' + @CVAL6 + ''' = '''' )
ORDER BY 
'
+ --  1-
	CASE 
		WHEN @NCOMBO3 = 1 THEN 'RIGHT(REPLICATE(''0'',10) + LTRIM(RTRIM(TAB)),10)'
		WHEN @NCOMBO3 = 2 THEN 'FIO'
		WHEN @NCOMBO3 = 3 THEN 'SUBDIV'
		WHEN @NCOMBO3 = 4 THEN 'POST'
		WHEN @NCOMBO3 = 5 THEN 'KATEG'
		WHEN @NCOMBO3 = 6 THEN 'FIN'
		WHEN @NCOMBO3 = 7 THEN 'KV_KATEG'
		WHEN @NCOMBO3 = 8 THEN 'SKILL'
		WHEN @NCOMBO3 = 9 THEN 'COALESCE(IRAZR,0)'
		WHEN @NCOMBO3 = 10 THEN '(100 - COALESCE(IRAZR,0))'
	END
+ --  2-
	CASE 
	    WHEN COALESCE(@NCOMBO4,0) = 1 AND @NCOMBO3 <> 1 THEN ',RIGHT(REPLICATE(''0'',10) + LTRIM(RTRIM(TAB)),10)'
		WHEN COALESCE(@NCOMBO4,0) = 2 AND @NCOMBO3 <> 2 THEN ',FIO'
		WHEN COALESCE(@NCOMBO4,0) = 3 AND @NCOMBO3 <> 3 THEN ',SUBDIV'
		WHEN COALESCE(@NCOMBO4,0) = 4 AND @NCOMBO3 <> 4 THEN ',POST'
		WHEN COALESCE(@NCOMBO4,0) = 5 AND @NCOMBO3 <> 5 THEN ',KATEG'
		WHEN COALESCE(@NCOMBO4,0) = 6 AND @NCOMBO3 <> 6 THEN ',FIN'
		WHEN COALESCE(@NCOMBO4,0) = 7 AND @NCOMBO3 <> 7 THEN ',KV_KATEG'
		WHEN COALESCE(@NCOMBO4,0) = 8 AND @NCOMBO3 <> 8 THEN ',SKILL'
		WHEN COALESCE(@NCOMBO4,0) = 9 AND @NCOMBO3 <> 9 THEN ',COALESCE(IRAZR,0)'
		WHEN COALESCE(@NCOMBO4,0) = 10 AND @NCOMBO3 <> 10 THEN ',(100 - COALESCE(IRAZR,0))'
		ELSE ''
	END
+ --  3-
	CASE 
		WHEN COALESCE(@NCOMBO5,0) = 1 and COALESCE(@NCOMBO4,0) <> 1 AND @NCOMBO3 <> 1 THEN ',RIGHT(REPLICATE(''0'',10) + LTRIM(RTRIM(TAB)),10)'
		WHEN COALESCE(@NCOMBO5,0) = 2 and COALESCE(@NCOMBO4,0) <> 2 AND @NCOMBO3 <>2 THEN ',FIO'
		WHEN COALESCE(@NCOMBO5,0) = 3 and COALESCE(@NCOMBO4,0) <> 3 AND @NCOMBO3 <>3 THEN ',SUBDIV'
		WHEN COALESCE(@NCOMBO5,0) = 4 and COALESCE(@NCOMBO4,0) <> 4 AND @NCOMBO3 <>4 THEN ',POST'
		WHEN COALESCE(@NCOMBO5,0) = 5 and COALESCE(@NCOMBO4,0) <> 5 AND @NCOMBO3 <>5 THEN ',KATEG'
		WHEN COALESCE(@NCOMBO5,0) = 6 and COALESCE(@NCOMBO4,0) <> 6 AND @NCOMBO3 <>6 THEN ',FIN'
		WHEN COALESCE(@NCOMBO5,0) = 7 and COALESCE(@NCOMBO4,0) <> 7 AND @NCOMBO3 <>7 THEN ',KV_KATEG'
		WHEN COALESCE(@NCOMBO5,0) = 8 and COALESCE(@NCOMBO4,0) <> 8 AND @NCOMBO3 <>8 THEN ',SKILL'
		WHEN COALESCE(@NCOMBO5,0) = 9 and COALESCE(@NCOMBO4,0) <> 9 AND @NCOMBO3 <>9 THEN ',COALESCE(IRAZR,0)'
		WHEN COALESCE(@NCOMBO5,0) = 10 and COALESCE(@NCOMBO4,0) <> 10 AND @NCOMBO3 <>10 THEN ',(100 - COALESCE(IRAZR,0))'
		ELSE ''
	END


EXEC (@SQL)

SET NOCOUNT OFF


RETURN 0

GO


GRANT EXECUTE ON dbo.[SA_SVOD_TLIST] TO PUBLIC

GO


-- --


GO

IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[RI_REPORT_FORMULA_RECOGNIZE]') AND OBJECTPROPERTY(id,N'IsProcedure') = 1)
DROP PROCEDURE dbo.[RI_REPORT_FORMULA_RECOGNIZE]

GO







/*
c  (Keysystems), 2005
*/
CREATE                PROCEDURE dbo.RI_REPORT_FORMULA_RECOGNIZE
	@cCond varchar(100), @dBegin datetime output, @dEnd datetime output
AS
declare @cStr varchar(200), @cAction varchar(2), @iParamNom int, @NoEq tinyint

set @iParamNom = 1
set @cStr = REPLACE(@cCond, '', ' ') -- ..    
set @cStr = REPLACE(@cStr, '', '  ') -- ..    
set @cCond = @cStr
set @NoEq = 1
exec RO_FORMULA_FUNCTIONS 1, @cCond output, @cStr output, ' ' --get_param

if @cStr <> ''
	RETURN -1



set @cCond = REPLACE(@cCond, '{', '(')
set @cCond = REPLACE(@cCond, '}', ')')
set @cCond = REPLACE(@cCond, '', 'dbo.RI_REPORT_FORMULA_MONTH')
set @cCond = REPLACE(@cCond, '', 'dbo.RI_REPORT_FORMULA_QUART')
set @cCond = REPLACE(@cCond, '', 'dbo.RI_REPORT_FORMULA_QUARTBEGIN')
set @cCond = REPLACE(@cCond, '.1', 'dbo.RI_REPORT_FORMULA_YEARBEGIN1')
set @cCond = REPLACE(@cCond, '.', 'dbo.RI_REPORT_FORMULA_YEARBEGIN')

create table #D (value varchar(16))


exec RO_FORMULA_FUNCTIONS 1, @cCond output, @cStr output, ' ' --get_param

if LEFT(@cStr, 4) = ''
begin
	set @cStr = RIGHT(@cStr, LEN(@cSTR) - 4)
	set @cAction = LEFT(@cStr, 1)
	if @cAction='>' OR @cAction='<' OR @cAction='='
	begin
		set @cStr = RIGHT(@cStr, LEN(@cStr) - 1)
		if LEFT(@cStr,1)= '=' AND (@cAction='>' OR @cAction='<')
		begin
			set @cAction = @cAction + LEFT(@cStr,1)
			set @cStr = RIGHT(@cStr, LEN(@cStr) - 1)
		end
		if LEFT(@cStr, 1) = 'd'
		begin
			if CHARINDEX('(', @cStr) = 0
			begin

				set @cStr = @cStr + '(default, )'
				set @cStr = REPLACE(@cStr, ')', '''' + CONVERT(varchar(30), @dBegin, 112) + ''', ''' + CONVERT(varchar(30), @dEnd, 112) + ''', ' + STR(@iParamNom) + ')')
			end	
			else 
				set @cStr = REPLACE(@cStr, ')', ',''' + CONVERT(varchar(30), @dBegin, 112) + ''', ''' + CONVERT(varchar(30), @dEnd, 112) + ''', ' + STR(@iParamNom) + ')')
			--select @cStr
			execute('declare @P varchar(16) set @P = ' + @cStr + ' insert #D (value) values (@P)')
			select @dBegin = LEFT(value, 8), @dEnd = RIGHT(value, 8) from #D
		end else
		begin
			set @cStr = REPLACE(@cStr, '''', '')
			set @dBegin = CONVERT(datetime, RTRIM(@cSTR) + '.' + LTRIM(STR(YEAR(@dBegin))), 104)
		end
		if @cAction = '='
			RETURN 0
		if @cAction = '<' or @cAction = '<='
			RETURN -2
		if @cAction = '>'
			set @dBegin = @dBegin + 1
		if LEN(@cCond) < 1
			RETURN -3
		exec RO_FORMULA_FUNCTIONS 1, @cCond output, @cStr output, ' ' --get_param		
		if @cStr <> ''
			RETURN -4
		if LEN(@cCond) < 1
			RETURN -3
		exec RO_FORMULA_FUNCTIONS 1, @cCond output, @cStr output, ' ' --get_param						
		set @iParamNom = 2

		IF LEFT(@cStr,4)= '' AND ltrim(rtrim(@cAction)) = '>='
			set @iParamNom = 1

		if LEFT(@cStr, 4) <> ''
			RETURN -5
		set @cStr = RIGHT(@cStr,LEN(@cStr) - 4)
		set @cAction = LEFT(@cStr,1)
		if @cAction = '>' OR @cAction = '<' OR @cAction = '='
		begin
			set @cStr = RIGHT(@cStr, LEN(@cStr) - 1)
			if LEFT(@cStr,1)= '=' AND (@cAction='>' OR @cAction='<')
			begin
				set @cAction = @cAction + LEFT(@cStr,1)
				set @cStr = RIGHT(@cStr, LEN(@cStr) - 1) 
				set @NoEq = 0
			end
			if LEFT(@cStr, 1) = 'd'
			begin
				if CHARINDEX('(', @cStr) = 0
				begin
					set @cStr = @cStr + '(default, )'
					set @cStr = REPLACE(@cStr, ')', '''' + CONVERT(varchar(30), @dBegin, 112) + ''', ''' + CONVERT(varchar(30), @dEnd, 112) + ''', ' + STR(@iParamNom) + ')')
				
				end	
				else 
					set @cStr = REPLACE(@cStr, ')', ',''' + CONVERT(varchar(30), @dBegin, 112) + ''', ''' + CONVERT(varchar(30), @dEnd, 112) + ''', ' + STR(@iParamNom) + ')')

				execute('declare @P varchar(16) set @P = ' + @cStr + ' insert #D (value) values (@P)')
				select @dBegin = LEFT(value, 8), @dEnd = case  @NoEq when 0 then convert(datetime, RIGHT(value, 8)) else convert(datetime, RIGHT(value, 8))-1 end from #D

	 		end
			else --  
			begin
				set @cStr = REPLACE(@cStr, '''', '')
				set @dBegin = CONVERT(datetime, RTRIM(@cSTR) + '.' + LTRIM(STR(YEAR(@dBegin))), 104)
			end
			if @cAction='>' OR @cAction= '>=' OR @cAction = '='
				RETURN -6

		end
		else
			RETURN - 7
	end
	else
		RETURN -8
end


drop table #D






GO


GRANT EXECUTE ON dbo.[RI_REPORT_FORMULA_RECOGNIZE] TO PUBLIC

GO


-- --


GO
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[RSS_RPSV_17_FNS_PREPARE]') AND OBJECTPROPERTY(id,N'IsProcedure') = 1)
DROP PROCEDURE dbo.[RSS_RPSV_17_FNS_PREPARE]

GO


CREATE PROCEDURE dbo.RSS_RPSV_17_FNS_PREPARE
	@Res float output, @varcStr varchar(250), @vardBegin datetime = '20160101', @vardEnd datetime = '20161231', @variCol int, @variRow int, @variLSF int
AS

-- 


DECLARE @OUT_VAL NUMERIC(20), @START_DATE DATETIME, @END_DATE DATETIME, @DEP_LINK INT, @TFOMS_KT int

DECLARE --  
	@C3S NUMERIC(18,6), @C4S NUMERIC(18,6), @C5S NUMERIC(18,6), @C6S NUMERIC(18,6),
	@C3N NUMERIC(18,6), @C4N NUMERIC(18,6), @C5N NUMERIC(18,6), @C6N NUMERIC(18,6),
	@C3SS NUMERIC(18,6), @C4SS NUMERIC(18,6), @C5SS NUMERIC(18,6), @C6SS NUMERIC(18,6),
	@C3NS NUMERIC(18,6), @C4NS NUMERIC(18,6), @C5NS NUMERIC(18,6), @C6NS NUMERIC(18,6)	

select @DEP_LINK = Link_Organization from report_saved_forms where link_saved_form =  @variLSF


set @TFOMS_KT = (select  (case when TFOMS_KT = '' then '01' else TFOMS_KT end)  from dictionary_department where link = @DEP_LINK)

set @res = 0
SELECT @START_DATE = @vardBegin, @END_DATE = @vardEnd

DECLARE @BYearDate	datetime
SET @BYearDate = dbo.DateBeginOfYear (@START_DATE)

DECLARE @nYEAR INT, @nMONTH1 INT, @nMONTH2 INT, @nMONTH3 INT

SELECT
	@nYEAR = YEAR(@START_DATE),
	@nMONTH1 = MONTH(@START_DATE),
	@nMONTH2 = MONTH(@START_DATE)+1,
	@nMONTH3 = MONTH(@START_DATE)+2

create table #SPR_ESN ([MONTH_BASE] TINYINT, SUMMA_BASE numeric(12,2) default 0.00, DED_M numeric(12,2) default 0.00, INV_M numeric(12,2) default 0.00, SUMMA numeric(12,2) default 0.00, WAY_CALC int default 0.00, REF_PHYS_PERS int default 0, FACE_GROUP TINYINT, I TINYINT, E TINYINT, INO TINYINT, SP VARCHAR(4))


SELECT DISTINCT PERS_LINK = p.link , p.RESIDENT ,  PERSON_CZ =  CASE WHEN ltrim(rtrim(c.name)) LIKE ('%%') THEN  1 WHEN ltrim(rtrim(c.name)) LIKE ('% %') THEN  2 ELSE 0 end
INTO #PERS_INO
FROM person p
INNER JOIN  citizenship  c ON c.link = p.CITIZ_LINK  AND (ltrim(rtrim(c.name)) LIKE ('%%') OR  ltrim(rtrim(c.name)) LIKE ('% %'))



Insert InTo #SPR_ESN ([MONTH_BASE], SUMMA_BASE, DED_M, INV_M, SUMMA, WAY_CALC, REF_PHYS_PERS, FACE_GROUP, I, E, INO, SP)
Select [MONTH_BASE], SUMMA_BASE, DED_M, INV_M, SUMMA, WAY_CALC, REF_PHYS_PERS,
	( CASE WHEN P.RESIDENT = 0 THEN 3
		   WHEN YEAR(birthdate)<= 1966 THEN 1
		   WHEN YEAR(birthdate)>= 1967 THEN 2 END ) AS FACE_GROUP,
	1,---   dbo.is_invalid(REF_PHYS_PERS,dbo.DateEndOfMonth(dbo.ConvertDMY2Date(1,MONTH_BASE,@nYEAR))),
	F.ENVD,
	IN0 = CASE WHEN O.PERS_LINK IS NULL THEN 0 ELSE 1 END,
	SP = isnull(s4.code,'')
from dbo.SA_ESN_VIEW(@nYEAR, @nMONTH3, @DEP_LINK, 0) S
	inner join PERSON P on S.REF_PHYS_PERS = P.link
	inner join dbo.SAL_SFIN F on F.LINK = S.LINK_VKR
	LEFT JOIN SA_SZV4_SPR  s4 ON  s4.link = S.SPECO  AND s4.spr_code = 'SPO_USL_TRUDA'
	LEFT JOIN #PERS_INO O ON O.PERS_LINK = P.link AND o.PERSON_CZ <> 0
WHERE  WAY_CALC not in (5)

--  
INSERT INTO #SPR_ESN
	([MONTH_BASE], SUMMA_BASE, DED_M, INV_M, SUMMA, WAY_CALC, REF_PHYS_PERS, FACE_GROUP, I, E, INO)
SELECT
	MONTH(G.[DATE]) AS MONTH_BASE, GT.SUMMA_BASE, 0, 0, GT.SUMMA, GT.WAY_CALC, GT.PERS_LINK,
	( CASE WHEN P.RESIDENT = 0  THEN 3
		   WHEN YEAR(birthdate)<= 1966 THEN 1
		   WHEN YEAR(birthdate)>= 1967 THEN 2 END) AS FACE_GROUP ,
	1,---   dbo.is_invalid(GT.PERS_LINK,dbo.DateEndOfMonth(dbo.ConvertDMY2Date(1,G.[MONTH],@nYEAR))),
	F.ENVD,
	IN0 = CASE WHEN O.PERS_LINK IS NULL THEN 0 ELSE 1 END
	
FROM
	DOCUMENTS_DGH G INNER JOIN DOCUMENTS_DGH_T3 GT ON G.LINK = GT.LINK
	inner join PERSON P on GT.PERS_LINK = P.link
	inner join dbo.SAL_SFIN F on F.LINK = GT.LINK_VKR
	LEFT JOIN #PERS_INO O ON O.PERS_LINK = P.link AND o.PERSON_CZ <> 0
WHERE
	FLAG_JC = 1
	AND GT.WAY_CALC  not in (5)
	AND YEAR(G.[DATE]) = @nYEAR
	AND MONTH(G.[DATE]) <= @nMONTH3
	AND LINK_DEP = @DEP_LINK




DELETE FROM #SPR_ESN
WHERE  EXISTS (SELECT * FROM dbo.KJ_PERS_PENSION K WHERE K.PERS_LINK = REF_PHYS_PERS  and K.CHECK_SZV = 0)



CREATE TABLE #RES2(CODE_STR VARCHAR(10), C1 NUMERIC(18,2), C2 NUMERIC(18,2),  C3 NUMERIC(18,2), C4 NUMERIC(18,2), C5 NUMERIC(18,2), C6 NUMERIC(18,2), C7 NUMERIC(18,2), C8 NUMERIC(18,2))
/*
   "  ",    ,
       ()    .
*/

declare @EndYear datetime
Set @EndYear = dbo.DateEndOfYear(@START_DATE)

DECLARE @C1_PERIOD_BEG DATETIME, @C1_PERIOD_END DATETIME

SELECT @C1_PERIOD_BEG = @START_DATE,
	   @C1_PERIOD_END = @END_DATE
		
--------------
DECLARE @BDate datetime, @EndDate datetime, @EDate datetime, @NAvgCount int
SELECT @NAvgCount = COUNT(pers_link)
FROM
(
	SELECT DISTINCT E.pers_link
	FROM
		dbo.EMPL E inner join dbo.ITEM_MOVE P on E.link = P.empl_link and P.NEW_FACE = 1 AND P.ACTIVE=1
		left join dbo.ITEM_DIS_FACE U on E.link = U.empl_link AND U.ACTIVE=1
	WHERE
		P.DATE_BEGIN <= @C1_PERIOD_END
		and
		coalesce(U.DIS_DATE,'20990101') >= @C1_PERIOD_BEG
		And
		E.DEP_LINK = @DEP_LINK
	UNION
	Select DISTINCT
		DFG.link
	FROM PERSON DFG inner join SALARY_REESTR_DGH DGH on DFG.link = DGH.PERS_LINK
	WHERE
		DGH.DATE1 = (
			Select max(DATE1)  from SALARY_REESTR_DGH as DGH0
					where DGH.PERS_LINK = DGH0.PERS_LINK AND DGH0.DEP_LINK = DGH.DEP_LINK
						AND
						(
							ISNULL(DATE1, '19000101') between  @C1_PERIOD_BEG and @C1_PERIOD_END
							or ISNULL(DATE2, '20990101') between @C1_PERIOD_BEG and @C1_PERIOD_END
						)
					)
		And
		DGH.DEP_LINK = @DEP_LINK
) AS T		


--
INSERT INTO #RES2(CODE_STR, C1)
SELECT '1', ISNULL(@NAvgCount,0)



/******** **********/
SELECT @BDate = @START_DATE, @EndDate = @END_DATE
SET @EDate = dateadd(year,1,convert(varchar, YEAR(@BDate))+'0101')

/*      */
Set @NAvgCount = convert(numeric(18,0), dbo.sa_ssch_empls(@START_DATE, @END_DATE, @DEP_LINK, 0, 1, 0, DEFAULT))
--
UPDATE #RES2 SET C2 = ISNULL(@NAvgCount,0) WHERE CODE_STR = '1'
-- 2.     ,     
Declare @StBase2 table (link int)
Insert into @StBase2 (link)
select distinct link_pays from tax_ref where link_tax = (select top 1 link from pays where object = 3 and way_calc = 6)


--   
SELECT
	GT.PERS_LINK, MONTH(G.[DATE]) AS MONTH_BASE, F.ENVD, SUMMA_BASE = sum(GT.SUMMA_BASE)
INTO #DGH_FAKT_BASE
FROM
	dbo.DOCUMENTS_DGH G INNER JOIN dbo.DOCUMENTS_DGH_T3 GT ON G.LINK = GT.LINK
	INNER JOIN dbo.SAL_SFIN F on F.LINK = GT.LINK_VKR
WHERE
	FLAG_JC = 1
	AND GT.WAY_CALC  = 6
	AND YEAR(G.[DATE]) = @nYEAR
	AND MONTH(G.[DATE]) <= @nMONTH3
	AND LINK_DEP = @DEP_LINK
GROUP BY
	GT.PERS_LINK, MONTH(G.[DATE]), F.ENVD

SELECT  PERS_LINK, MONTH_BASE, SUMMA_BASE = SUM(SUMMA_BASE)
INTO #DGH_FAKT_BASE1
FROM #DGH_FAKT_BASE
GROUP BY PERS_LINK, MONTH_BASE

DECLARE @LINK_EKR213 INT
SET @LINK_EKR213 = (SELECT TOP 1 LINK FROM dbo.KOSGU WHERE CODE = '213')

DECLARE @ESN_213 INT --      213 
SET @ESN_213 = dbo.SA_GET_OPTION_BY_CODE('ESN_OPTIONS_5')

------
CREATE TABLE #CALCULATE_JURNAL (LINK_PAYS INT, PERIOD_BEGIN DATETIME, LINK_DOC INT, PERS_LINK INT, LINK_VKR INT, LINK_EKR INT, LINK_EMPL INT, SUMMA NUMERIC(18,2), WAY_CALC TINYINT , SPECO int)
INSERT INTO #CALCULATE_JURNAL (LINK_PAYS, PERIOD_BEGIN, LINK_DOC, PERS_LINK, LINK_VKR, LINK_EKR, LINK_EMPL, SUMMA,way_calc , SPECO)
SELECT CJ.LINK_PAYS, CJ.PERIOD_BEGIN, CJ.LINK_DOC, CJ.PERS_LINK, CJ.LINK_VKR, cj.LINK_EKR, CJ.LINK_EMPL, SUMMA = SUM(CJ.SUMMA), p.way_calc , SPECO
FROM dbo.CALCULATE_JURNAL CJ INNER JOIN dbo.PAYS P ON  CJ.LINK_PAYS = p.link
WHERE
	Year(period_begin) = @nYEAR
	and Month(period_begin) <= @nMONTH3
	and CJ.LINK_DEP = @DEP_LINK
GROUP BY
	cj.LINK_PAYS, cj.PERIOD_BEGIN, cj.LINK_DOC, cj.PERS_LINK, cj.LINK_VKR, cj.LINK_EKR, cj.LINK_EMPL, P.WAY_CALC,cj.SPECO


------	      
CREATE TABLE #PERS_INV (PERS_LINK INT)
--SELECT DISTINCT PERS_LINK
--INTO #PERS_INV
--FROM dbo.PERS_INVALID I
--WHERE COALESCE(I.DATE_BEGIN,@BYearDate) <= @EndYear AND COALESCE(I.DATE_END,@EndYear) >= @BYearDate


------	            
SELECT DISTINCT sd.LINK, DOP = (CASE when S.COD_POS_SPISOK is NOT NULL then 1 else 2 end) , SPO = isnull(s4.code,'')
INTO #EMPL_DT
FROM DBO.KU_EMPL_PLACING SD
	left JOIN (select * from STAFF WHERE dbo.DateEndOfMonth(dbo.ConvertDMY2Date(1,@nMONTH3,@nYEAR)) BETWEEN DATE_BEGIN AND DATE_END  ) S ON S.LINK_up = SD.STAFF_HEAD  AND dbo.DateEndOfMonth(dbo.ConvertDMY2Date(1,@nMONTH3,@nYEAR )) BETWEEN S.DATE_BEGIN AND S.DATE_END
	LEFT JOIN SA_SZV4_SPR  s4 ON  s4.link = s.COD_SPO_USL_TRUD  AND s4.spr_code = 'SPO_USL_TRUDA'
	WHERE
		(S.COD_POS_SPISOK is NOT NULL OR S.COD_POS_SPISOK2 is NOT NULL)


--  #SALARY_SUM2
CREATE TABLE #SALARY_SUM_DATA (PERS_LINK INT, PERIOD_BEGIN DATETIME, SUMMA_ALL NUMERIC(18,2), SUMMA_NO NUMERIC(18,2), SUMMA_ALL_I NUMERIC(18,2), SUMMA_NO_I NUMERIC(18,2), SUMMA_ALL_E NUMERIC(18,2), SUMMA_NO_E NUMERIC(18,2), INV TINYINT , INO TINYINT,
		SUMMA_ALL_INO NUMERIC(18,2), SUMMA_NO_INO NUMERIC(18,2)
		/*,SUMMA_ALL_D1 NUMERIC(18,2)*/, SUMMA_NO_D1 NUMERIC(18,2)/*, SUMMA_ALL_D2 NUMERIC(18,2)*/, SUMMA_NO_D2 NUMERIC(18,2),
	SUM_NO_D1_O4 NUMERIC(18,2) ,SUM_NO_D1_B34 NUMERIC(18,2) ,SUM_NO_D1_B33 NUMERIC(18,2),SUM_NO_D1_B32 NUMERIC(18,2), SUM_NO_D1_B31 NUMERIC(18,2),
		SUM_NO_D2_O4 NUMERIC(18,2) ,SUM_NO_D2_B34 NUMERIC(18,2) ,SUM_NO_D2_B33 NUMERIC(18,2),SUM_NO_D2_B32 NUMERIC(18,2), SUM_NO_D2_B31 NUMERIC(18,2)
		)
--
INSERT INTO #SALARY_SUM_DATA (PERS_LINK, PERIOD_BEGIN, SUMMA_ALL, SUMMA_NO, SUMMA_ALL_I, SUMMA_NO_I, SUMMA_ALL_E, SUMMA_NO_E, INV, INO ,
			SUMMA_ALL_INO , SUMMA_NO_INO
		/*,SUMMA_ALL_D1*/, SUMMA_NO_D1/*, SUMMA_ALL_D2*/, SUMMA_NO_D2,SUM_NO_D1_O4,SUM_NO_D1_B34,SUM_NO_D1_B33, SUM_NO_D1_B32, SUM_NO_D1_B31,
		SUM_NO_D2_O4,SUM_NO_D2_B34,SUM_NO_D2_B33, SUM_NO_D2_B32, SUM_NO_D2_B31)
select
	E.PERS_LINK,
	CJ.PERIOD_BEGIN,
	SUMMA_ALL = SUM(SUMMA),
	SUMMA_NO = SUM(CASE WHEN B.LINK IS NULL OR CJ.LINK_EKR = @LINK_EKR213 AND @ESN_213 = 0 THEN SUMMA ELSE 0 END), --     
	SUMMA_ALL_I = 0,
	SUMMA_NO_I = 0,
	SUMMA_ALL_E = SUM(CASE WHEN F.ENVD = 1 THEN SUMMA ELSE 0 END),
	SUMMA_NO_E = SUM(CASE WHEN F.ENVD = 1 AND (B.LINK IS NULL OR CJ.LINK_EKR = @LINK_EKR213 AND @ESN_213 = 0) THEN SUMMA ELSE 0 END),
	INV = CASE WHEN I.PERS_LINK IS NULL THEN 0 ELSE 1 END,
	INO = CASE WHEN O.PERS_LINK IS NULL THEN 0 ELSE 1 END,
	SUMMA_ALL_INO = 0,
	SUMMA_NO_INO = 0,
	--SUMMA_ALL_D1 = SUM(CASE WHEN CJ.way_calc = 10 then  SUMMA ELSE 0 end ),
	SUMMA_NO_D1 = SUM(CASE WHEN (B.LINK IS NULL OR CJ.LINK_EKR = @LINK_EKR213 AND @ESN_213 = 0) and ED.DOP = 1 AND isnull(SPO,'') ='' THEN SUMMA ELSE 0 END),

	----SUMMA_ALL_D2 = SUM(CASE WHEN CJ.way_calc = 11 then  SUMMA ELSE 0 end ),
	SUMMA_NO_D2 = SUM(CASE WHEN (B.LINK IS NULL OR CJ.LINK_EKR = @LINK_EKR213 AND @ESN_213 = 0) and ED.DOP = 2 and  isnull(SPO,'') ='' THEN SUMMA ELSE 0 END),
	SUM_NO_D1_O4 = SUM(CASE WHEN (B.LINK IS NULL OR CJ.LINK_EKR = @LINK_EKR213 AND @ESN_213 = 0) and CJ.LINK_EMPL = ED.link and DOP =1 AND SPO ='4'  THEN SUMMA ELSE 0 END),
	SUM_NO_D1_B34 = SUM(CASE WHEN (B.LINK IS NULL OR CJ.LINK_EKR = @LINK_EKR213 AND @ESN_213 = 0) and CJ.LINK_EMPL = ED.link and DOP =1 AND SPO ='3.4' THEN SUMMA ELSE 0 END),
	SUM_NO_D1_B33 = SUM(CASE WHEN (B.LINK IS NULL OR CJ.LINK_EKR = @LINK_EKR213 AND @ESN_213 = 0) and CJ.LINK_EMPL = ED.link and DOP =1 AND SPO ='3.3' THEN SUMMA ELSE 0 END),
	SUM_NO_D1_B32 = SUM(CASE WHEN (B.LINK IS NULL OR CJ.LINK_EKR = @LINK_EKR213 AND @ESN_213 = 0) and CJ.LINK_EMPL = ED.link and DOP =1 AND SPO ='3.2' THEN SUMMA ELSE 0 END),
	SUM_NO_D1_B31 = SUM(CASE WHEN (B.LINK IS NULL OR CJ.LINK_EKR = @LINK_EKR213 AND @ESN_213 = 0) and CJ.LINK_EMPL = ED.link and DOP =1 AND SPO ='3.1' THEN SUMMA ELSE 0 END),	
	SUM_NO_D2_O4 = SUM(CASE WHEN (B.LINK IS NULL OR CJ.LINK_EKR = @LINK_EKR213 AND @ESN_213 = 0) and CJ.LINK_EMPL = ED.link and DOP =2 AND SPO ='4' THEN SUMMA ELSE 0 END),
	SUM_NO_D2_B34 = SUM(CASE WHEN (B.LINK IS NULL OR CJ.LINK_EKR = @LINK_EKR213 AND @ESN_213 = 0) and CJ.LINK_EMPL = ED.link and DOP =2 AND SPO ='3.4' THEN SUMMA ELSE 0 END),
	SUM_NO_D2_B33 = SUM(CASE WHEN (B.LINK IS NULL OR CJ.LINK_EKR = @LINK_EKR213 AND @ESN_213 = 0) and CJ.LINK_EMPL = ED.link and DOP =2 AND SPO ='3.3' THEN SUMMA ELSE 0 END),
	SUM_NO_D2_B32 = SUM(CASE WHEN (B.LINK IS NULL OR CJ.LINK_EKR = @LINK_EKR213 AND @ESN_213 = 0) and CJ.LINK_EMPL = ED.link and DOP =2 AND SPO ='3.2' THEN SUMMA ELSE 0 END),
	SUM_NO_D2_B31 = SUM(CASE WHEN (B.LINK IS NULL OR CJ.LINK_EKR = @LINK_EKR213 AND @ESN_213 = 0) and CJ.LINK_EMPL = ED.link and DOP =2 AND SPO ='3.1' THEN SUMMA ELSE 0 END)

from
	#CALCULATE_JURNAL CJ inner join dbo.pays p on p.link = cj.LINK_PAYS
	INNER JOIN dbo.SAL_SFIN F on F.LINK = CJ.LINK_VKR
	INNER JOIN DBO.EMPL E ON E.LINK = CJ.LINK_EMPL
	LEFT JOIN @StBase2 B ON B.LINK = cj.LINK_PAYS
	LEFT JOIN #PERS_INV I ON I.PERS_LINK = E.PERS_LINK
	LEFT JOIN #PERS_INO O ON O.PERS_LINK = E.PERS_LINK AND o.PERSON_CZ <> 0
	LEFT JOIN #EMPL_DT ED ON ED.link = CJ.LINK_EMPL
where 	
	P.[OBJECT] = 1
GROUP BY
	E.PERS_LINK, I.PERS_LINK, CJ.PERIOD_BEGIN , O.pers_LINK

--
INSERT INTO #SALARY_SUM_DATA (PERS_LINK, PERIOD_BEGIN, SUMMA_ALL, SUMMA_NO, SUMMA_ALL_I, SUMMA_NO_I, SUMMA_ALL_E, SUMMA_NO_E, INV, INO,SUMMA_ALL_INO,SUMMA_NO_INO
		--,SUMMA_ALL_D1, SUMMA_NO_D1, SUMMA_ALL_D2, SUMMA_NO_D2
		)
select
	CJ.PERS_LINK,
	CJ.PERIOD_BEGIN,
	SUMMA_ALL = SUM(SUMMA),
	SUMMA_NO = SUM(SUMMA) - ISNULL((SELECT SUM(B1.SUMMA_BASE) FROM #DGH_FAKT_BASE1 B1 WHERE B1.PERS_LINK = CJ.PERS_LINK AND B1.MONTH_BASE = Month(CJ.PERIOD_BEGIN)),0), --     
	SUMMA_ALL_I = 0,
	SUMMA_NO_I = 0,
	SUMMA_ALL_E = SUM(CASE WHEN F.ENVD = 1 THEN SUMMA ELSE 0 END),
	SUMMA_NO_E = SUM(CASE WHEN F.ENVD = 1 THEN SUMMA ELSE 0 END)  - ISNULL((SELECT SUM(B.SUMMA_BASE) FROM #DGH_FAKT_BASE B WHERE B.PERS_LINK = CJ.PERS_LINK AND B.MONTH_BASE = Month(CJ.PERIOD_BEGIN) AND B.ENVD = 1),0),
	INV = CASE WHEN I.PERS_LINK IS NULL THEN 0 ELSE 1 END,
	INO = CASE WHEN O.PERS_LINK IS NULL THEN 0 ELSE 1 END,
	SUMMA_ALL_INO = 0,
	SUMMA_NO_INO = 0
	--SUMMA_ALL_D1 = SUM(CASE WHEN CJ.way_calc = 10 then  SUMMA ELSE 0 end ),
	--SUMMA_NO_D1 = 0,

	--SUMMA_ALL_D2 = SUM(CASE WHEN CJ.way_calc = 11 then  SUMMA ELSE 0 end ),
	--SUMMA_NO_D2 = 0
		
from
	#CALCULATE_JURNAL CJ inner join dbo.pays p on p.link = cj.LINK_PAYS
	INNER JOIN dbo.SAL_SFIN F on F.LINK = CJ.LINK_VKR
	INNER JOIN DBO.PERSON P1 ON P1.LINK = CJ.PERS_LINK
	--     
--	LEFT JOIN #DGH_FAKT_BASE B ON B.PERS_LINK = CJ.PERS_LINK AND B.MONTH_BASE = Month(CJ.PERIOD_BEGIN) AND B.ENVD = 1
	--   
--	LEFT JOIN #DGH_FAKT_BASE1 B1 ON B1.PERS_LINK = CJ.PERS_LINK AND B1.MONTH_BASE = Month(CJ.PERIOD_BEGIN)
	LEFT JOIN #PERS_INV I ON I.PERS_LINK = CJ.PERS_LINK
	LEFT JOIN #PERS_INO O ON O.PERS_LINK = CJ.PERS_LINK AND o.PERSON_CZ <> 0
where 	
	P.[OBJECT] = 1
GROUP BY
	CJ.PERS_LINK, I.PERS_LINK, CJ.PERIOD_BEGIN, P1.RESIDENT, p1.birthdate , O.pers_LINK


----    ,      
--UPDATE D SET
--	SUMMA_ALL_I = (CASE WHEN EXISTS (SELECT * FROM dbo.PERS_INVALID I1 WHERE I1.PERS_LINK = D.PERS_LINK AND dbo.DateEndOfMonth(PERIOD_BEGIN) BETWEEN ISNULL(I1.DATE_BEGIN,PERIOD_BEGIN) AND  ISNULL(I1.DATE_END,dbo.DateEndOfMonth(PERIOD_BEGIN))) THEN SUMMA_ALL ELSE 0 END),
--	SUMMA_NO_I = (CASE WHEN EXISTS (SELECT * FROM dbo.PERS_INVALID I1 WHERE I1.PERS_LINK = D.PERS_LINK AND dbo.DateEndOfMonth(PERIOD_BEGIN) BETWEEN ISNULL(I1.DATE_BEGIN,PERIOD_BEGIN) AND  ISNULL(I1.DATE_END,dbo.DateEndOfMonth(PERIOD_BEGIN))) THEN SUMMA_NO ELSE 0 END),
--	SUMMA_ALL_E = (CASE WHEN NOT EXISTS (SELECT * FROM dbo.PERS_INVALID I1 WHERE I1.PERS_LINK = D.PERS_LINK AND dbo.DateEndOfMonth(PERIOD_BEGIN) BETWEEN ISNULL(I1.DATE_BEGIN,PERIOD_BEGIN) AND  ISNULL(I1.DATE_END,dbo.DateEndOfMonth(PERIOD_BEGIN))) THEN SUMMA_ALL_E ELSE 0 END),
--	SUMMA_NO_E = (CASE WHEN NOT EXISTS (SELECT * FROM dbo.PERS_INVALID I1 WHERE I1.PERS_LINK = D.PERS_LINK AND dbo.DateEndOfMonth(PERIOD_BEGIN) BETWEEN ISNULL(I1.DATE_BEGIN,PERIOD_BEGIN) AND  ISNULL(I1.DATE_END,dbo.DateEndOfMonth(PERIOD_BEGIN))) THEN SUMMA_NO_E ELSE 0 END)
--FROM #SALARY_SUM_DATA D
--WHERE INV = 1 --    -  	

--    ,      
UPDATE D SET
	SUMMA_ALL_INO = (CASE when D.PERS_LINK = (SELECT top 1 i1.pers_link FROM #PERS_INO I1 WHERE I1.PERS_LINK =  D.PERS_LINK) THEN SUMMA_ALL ELSE 0 END),
	SUMMA_NO_INO = (CASE WHEN D.PERS_LINK = (SELECT top 1 i1.pers_link FROM #PERS_INO I1 WHERE I1.PERS_LINK =  D.PERS_LINK) THEN SUMMA_NO ELSE 0 END)
FROM #SALARY_SUM_DATA D
WHERE INO = 1 --  -  	

--   
SELECT MON = Month(PERIOD_BEGIN),
	SUMMA_ALL = SUM(SUMMA_ALL), SUMMA_NO = SUM(SUMMA_NO),
	SUMMA_ALL_I = SUM(SUMMA_ALL_I), SUMMA_NO_I = SUM(SUMMA_NO_I),
	SUMMA_ALL_E = SUM(SUMMA_ALL_E), SUMMA_NO_E = SUM(SUMMA_NO_E),
	SUMMA_ALL_INO = SUM(SUMMA_ALL_INO), SUMMA_NO_INO = SUM(SUMMA_NO_INO),
	SUMMA_NO_D1 = SUM(SUMMA_NO_D1), SUMMA_NO_D2 = SUM(SUMMA_NO_D2),
	SUM_NO_D1_O4  = SUM(SUM_NO_D1_O4), SUM_NO_D1_B34 = SUM(SUM_NO_D1_B34),
	SUM_NO_D1_B33 = SUM(SUM_NO_D1_B33), SUM_NO_D1_B32 = SUM(SUM_NO_D1_B32), SUM_NO_D1_B31 = SUM(SUM_NO_D1_B31),
	SUM_NO_D2_O4  = SUM(SUM_NO_D2_O4), SUM_NO_D2_B34 = SUM(SUM_NO_D2_B34),
	SUM_NO_D2_B33 = SUM(SUM_NO_D2_B33), SUM_NO_D2_B32 = SUM(SUM_NO_D2_B32), SUM_NO_D2_B31 = SUM(SUM_NO_D2_B31)
INTO #SALARY_SUM2
FROM #SALARY_SUM_DATA
GROUP BY
	Month(PERIOD_BEGIN)

--
--DROP TABLE #SALARY_SUM_DATA	

--  ר 303.09 (  )   
CREATE TABLE #REST_30309_KAU (LINK_KAU INT, REST NUMERIC(18,2))

DECLARE @Cur1 CURSOR, @LINK_ACC INT
SET @Cur1 = CURSOR FORWARD_ONLY

FOR SELECT LINK FROM dbo.S_ACCOUNTS WHERE CODE LIKE '303.09%'

OPEN @Cur1
FETCH NEXT FROM @Cur1 INTO @LINK_ACC
WHILE (@@fetch_status <> -1)
BEGIN

	IF (@@fetch_status <> -2)
	BEGIN

			INSERT INTO #REST_30309_KAU (LINK_KAU, REST)
			SELECT KAU, REST = coalesce(sum(K_SUMMA)-sum(D_SUMMA),0) FROM dbo.ARestGroupedTableByDate (@START_DATE, @LINK_ACC, DEFAULT) GROUP BY KAU

	END

	FETCH NEXT FROM @Cur1 INTO @LINK_ACC
END

CLOSE @Cur1
DEALLOCATE @Cur1

--  ר 303.10 (  )   
CREATE TABLE #REST_30310(REST NUMERIC(18,2))

DECLARE @Cur2 CURSOR
SET @Cur2 = CURSOR FORWARD_ONLY

FOR SELECT LINK FROM dbo.S_ACCOUNTS WHERE CODE LIKE '303.10%'

OPEN @Cur2
FETCH NEXT FROM @Cur2 INTO @LINK_ACC
WHILE (@@fetch_status <> -1)
BEGIN

	IF (@@fetch_status <> -2)
	BEGIN

			INSERT INTO #REST_30310 (REST)
			SELECT REST = coalesce(sum(K_SUMMA)-sum(D_SUMMA),0) FROM dbo.ARestGroupedTableByDate (@START_DATE, @LINK_ACC, DEFAULT)

	END

	FETCH NEXT FROM @Cur2 INTO @LINK_ACC
END

CLOSE @Cur2
DEALLOCATE @Cur2

--  ר 303.07 (  )   
CREATE TABLE #REST_30307(REST NUMERIC(18,2))

DECLARE @Cur3 CURSOR
SET @Cur3 = CURSOR FORWARD_ONLY

FOR SELECT LINK FROM dbo.S_ACCOUNTS WHERE CODE LIKE '303.07%'

OPEN @Cur3
FETCH NEXT FROM @Cur3 INTO @LINK_ACC
WHILE (@@fetch_status <> -1)
BEGIN

	IF (@@fetch_status <> -2)
	BEGIN

			INSERT INTO #REST_30307 (REST)
			SELECT REST = coalesce(sum(K_SUMMA)-sum(D_SUMMA),0) FROM dbo.ARestGroupedTableByDate (@START_DATE, @LINK_ACC, DEFAULT)

	END

	FETCH NEXT FROM @Cur3 INTO @LINK_ACC
END

CLOSE @Cur3
DEALLOCATE @Cur3

--          1
DECLARE @KAU_S1 INT, @KAU_S2 INT

SET @KAU_S1 = (SELECT TOP 1 LINK_KAU FROM dbo.REPORT_OPTIONS WHERE Code = 'kau_RSV1_s1')
SET @KAU_S2 = (SELECT TOP 1 LINK_KAU FROM dbo.REPORT_OPTIONS WHERE Code = 'kau_RSV1_s2')

INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6, C7, C8)
SELECT '100',
	C3 = ISNULL((SELECT SUM(REST) FROM #REST_30310),0),
	0,0,
	6 = ISNULL((SELECT SUM(REST) FROM #REST_30309_KAU WHERE LINK_KAU = @KAU_S1),0),
	7 = ISNULL((SELECT SUM(REST) FROM #REST_30309_KAU WHERE LINK_KAU = @KAU_S2),0),
	C8 = ISNULL((SELECT SUM(REST) FROM #REST_30307),0)

/* */
CREATE TABLE #PLAT (VID TINYINT, Y INT, MON TINYINT, SUMMA NUMERIC(18,2), Y_p INT, MON_p TINYINT)

	exec dbo.BufferClear 'DT'
	exec dbo.BufferClear 'KT'

	INSERT INTO BUFFER (link, id)
	select link, 'DT' from s_accounts where cSinth = '303' and cAnalit = '10' -- 290   

	INSERT INTO BUFFER (link, id)
	select link, 'KT' from s_accounts where cSinth = '304' and cAnalit = '05'

	INSERT INTO BUFFER (link, id)
	select link, 'KT' from s_accounts where cSinth = '201' and (cAnalit = '11' or cAnalit = '21' or cAnalit = '27')

	INSERT INTO #PLAT (VID, Y, MON, SUMMA,Y_P,MON_P)
	SELECT 1,
		Y = CONVERT(INT,YEAR(p.DATE_PROV)),
		MON = CONVERT(INT,MONTH(p.DATE_PROV)),
		P.SUMMA,
		Y_P = CONVERT(INT,DBO.SA_GET_WORD_NUM(PERIOD,3,'.')),
		MON_P = CONVERT(INT,DBO.SA_GET_WORD_NUM(PERIOD,2,'.'))
	from
		dbo.AProvByBufferConditionsShortDate(@BYearDate, @end_date, 'DT', 'KT') P	
		left join dbo.DOCUMENTS_PAY_ADD PA on P.link = PA.link
		left join dbo.g_prov G on G.link = P.link
		LEFT JOIN dbo.KOSGU DG ON DG.LINK = P.DT_EKR
	WHERE
		P.DEP_LINK = @DEP_LINK
		AND
		G.DEP = @DEP_LINK
		--AND
		--CONVERT(INT,DBO.SA_GET_WORD_NUM(PERIOD,2,'.')) <= @M
		--AND
		--CONVERT(INT,DBO.SA_GET_WORD_NUM(PERIOD,3,'.')) = @Y
		AND
		DG.CODE <> '290'

	exec dbo.BufferClear 'DT'
	exec dbo.BufferClear 'KT'



/* DECLARE @Res float
SET @Res = 0
exec [dbo].RSA_RSV_1_14_PFR_PREPARE @Res output, '', '20140101', '20140331', 3, 0, 2494
select @Res 	
*/


INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6, C7, C8)
SELECT '140',
	3 = ISNULL((SELECT SUM(SUMMA) FROM #PLAT WHERE Y >= @nYEAR and (Y_p >= @nYEAR OR Y_p = 0 )),0),
	4 = ISNULL((SELECT SUM(SUMMA) FROM #PLAT WHERE Y = @nYEAR AND Y <> 0 and Y_p < @nYEAR AND Y_p <> 0),0),
	 0, 0,0, 0

INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6, C7, C8)
SELECT '141',
	3 = ISNULL((SELECT SUM(SUMMA) FROM #PLAT WHERE Y >= @nYEAR  and MON = @nMONTH1  and (Y_p >= @nYEAR OR Y_p = 0 )),0),
	4 = ISNULL((SELECT SUM(SUMMA) FROM #PLAT WHERE Y = @nYEAR AND Y <> 0 AND MON = @nMONTH1 and Y_p < @nYEAR AND Y_p <> 0),0),
	 0, 0,0,0
INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6, C7, C8)
SELECT '142',
	3 = ISNULL((SELECT SUM(SUMMA) FROM #PLAT WHERE Y >= @nYEAR and MON = @nMONTH2 and (Y_p >= @nYEAR OR Y_p = 0 )),0),
	4 = ISNULL((SELECT SUM(SUMMA) FROM #PLAT WHERE Y = @nYEAR AND Y <> 0 AND MON = @nMONTH2 and Y_p < @nYEAR AND Y_p <> 0),0),
	 0, 0,0,0	
INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6, C7, C8)
SELECT '143',
	3 = ISNULL((SELECT SUM(SUMMA) FROM #PLAT WHERE Y >= @nYEAR and MON = @nMONTH3 and (Y_p >= @nYEAR OR Y_p = 0 )),0),
	4 = ISNULL((SELECT SUM(SUMMA) FROM #PLAT WHERE Y = @nYEAR AND Y <> 0 AND MON = @nMONTH3 and Y_p < @nYEAR AND Y_p <> 0),0),
	 0, 0,0,0
	
/*  (   2014)*/
CREATE TABLE #PLAT_NAK (VID TINYINT, Y INT, MON TINYINT, SUMMA NUMERIC(18,2), Y_P INT, MON_P TINYINT)

	exec dbo.BufferClear 'DT'
	exec dbo.BufferClear 'KT'

	INSERT INTO BUFFER (link, id)
	select link, 'DT' from s_accounts where cSinth = '303' and cAnalit = '11'
	
	INSERT INTO BUFFER (link, id)
	select link, 'KT' from s_accounts where cSinth = '304' and cAnalit = '05'

	INSERT INTO BUFFER (link, id)
	select link, 'KT' from s_accounts where cSinth = '201' and (cAnalit = '11' or cAnalit = '21' or cAnalit = '27')

	INSERT INTO #PLAT_NAK (VID, Y, MON, SUMMA, Y_P, MON_P)
	SELECT 1,
		Y = CONVERT(INT,YEAR(p.DATE_PROV)),
		MON = CONVERT(INT,MONTH(p.DATE_PROV)),
		P.SUMMA,
		Y_P = CONVERT(INT,DBO.SA_GET_WORD_NUM(PERIOD,3,'.')),
		MON_P = CONVERT(INT,DBO.SA_GET_WORD_NUM(PERIOD,2,'.'))
	from
		dbo.AProvByBufferConditionsShortDate(@START_DATE, @end_date, 'DT', 'KT') P	
		left join dbo.DOCUMENTS_PAY_ADD PA on P.link = PA.link
		left join dbo.g_prov G on G.link = P.link
		LEFT JOIN dbo.KOSGU DG ON DG.LINK = P.DT_EKR
	WHERE
		P.DEP_LINK = @DEP_LINK
		AND
		G.DEP = @DEP_LINK
		--AND
		--CONVERT(INT,DBO.SA_GET_WORD_NUM(PERIOD,2,'.')) <= @M
		--AND
		--CONVERT(INT,DBO.SA_GET_WORD_NUM(PERIOD,3,'.')) = @Y
		AND
		DG.CODE >= '211'
		AND DG.CODE <'290'

	exec dbo.BufferClear 'DT'
	exec dbo.BufferClear 'KT'


UPDATE #RES2
SET C5 = ISNULL((SELECT SUM(SUMMA) FROM #PLAT_NAK WHERE Y = @nYEAR AND Y <> 0 and Y_p < @nYEAR AND Y_p <> 0),0)
FROM #RES2
WHERE code_str = '140'

UPDATE #RES2
SET C5 = ISNULL((SELECT SUM(SUMMA) FROM #PLAT_NAK WHERE Y = @nYEAR AND Y <> 0 AND MON = @nMONTH1 and Y_p < @nYEAR AND Y_p <> 0),0)
FROM #RES2
WHERE code_str = '141'
UPDATE #RES2
SET C5 = ISNULL((SELECT SUM(SUMMA) FROM #PLAT_NAK WHERE Y = @nYEAR AND Y <> 0 AND MON = @nMONTH2 and Y_p < @nYEAR AND Y_p <> 0),0)
FROM #RES2
WHERE code_str = '142'
UPDATE #RES2
SET C5 = ISNULL((SELECT SUM(SUMMA) FROM #PLAT_NAK WHERE Y = @nYEAR AND Y <> 0 AND MON = @nMONTH3 and Y_p < @nYEAR AND Y_p <> 0),0)
FROM #RES2
WHERE code_str = '143'

DROP TABLE #PLAT
DROP TABLE #PLAT_NAK


-----  ,   ,     7  8    24  2009  212-
----- (       ,    ,
-----      ,        , ,
-----  ,   ,        ,
-----  ,    ,          )
-----    
/*INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6)
SELECT '202',
	
	CASE @nMONTH3
		WHEN 3 THEN
			CONVERT(numeric(18,2),0)
		WHEN 6 THEN
			CONVERT(numeric(18,2),0)
		WHEN 9 THEN
			CONVERT(numeric(18,2),0)
		WHEN 12 THEN
			CONVERT(numeric(18,2),0)
	END,	
	
	CONVERT(numeric(18,2),0),
	CONVERT(numeric(18,2),0),
	CONVERT(numeric(18,2),0)
*/
-----

--,        
DECLARE @LIMIT NUMERIC(18,2)

SELECT
	@LIMIT  = MIN(S.PREDEL)
FROM
	dbo.STAVKI_PF S INNER JOIN DBO.PAYS P ON S.LINK_PAYS = P.LINK AND P.[OBJECT] = 3 AND P.WAY_CALC = 6
WHERE
	tarif =1
	and
	[DATE] =  (SELECT TOP 1 [DATE] FROM dbo.STAVKI_PF S1 INNER JOIN DBO.PAYS P ON S1.LINK_PAYS = P.LINK AND P.[OBJECT] = 3 AND P.WAY_CALC = 6 AND [DATE] < @END_DATE
	 ORDER BY [DATE] DESC)
	AND
	S.PERCENT1 > 0
	
SET @LIMIT = ISNULL(@LIMIT,0)


--,        
DECLARE @LIMIT_OMS NUMERIC(18,2)

SELECT @LIMIT_OMS = MAX(S.PREDEL)
FROM
	dbo.STAVKI S INNER JOIN DBO.PAYS P ON S.LINK_PAYS = P.LINK AND P.[OBJECT] = 3 AND P.WAY_CALC = 3
WHERE
	[DATE] = (SELECT TOP 1 [DATE] FROM dbo.STAVKI S INNER JOIN DBO.PAYS P ON S.LINK_PAYS = P.LINK AND P.[OBJECT] = 3 AND P.WAY_CALC = 3 AND [DATE] < @END_DATE ORDER BY [DATE] DESC)
	AND
	S.PERCENT1 > 0
	
SET @LIMIT_OMS = ISNULL(@LIMIT_OMS,0)


--  ,        (%)
--   
--    2014         ,      " 1967"
DECLARE
	@PERCENT NUMERIC(18,2),
	--    2014  
	-- @PERCENT_N NUMERIC(18,2)  --
	@PERCENT_OMS NUMERIC(18,2), @IPERCENT_OMS NUMERIC(18,2)
	
SELECT
	@PERCENT = S.PERCENT3
FROM
	dbo.STAVKI_PF S INNER JOIN DBO.PAYS P ON S.LINK_PAYS = P.LINK AND P.[OBJECT] = 3 AND P.WAY_CALC = 6
WHERE
	predel = @LIMIT
	and tarif =1
	and
	[DATE] = (SELECT TOP 1 [DATE] FROM dbo.STAVKI_PF S1 INNER JOIN DBO.PAYS P ON S1.LINK_PAYS = P.LINK AND P.[OBJECT] = 3 AND P.WAY_CALC = 6 AND [DATE] < @END_DATE where 	s1.predel = @LIMIT
	 ORDER BY [DATE] DESC)
	AND
	S.PERCENT3 > 0
	
SET @PERCENT = ISNULL(@PERCENT,0)	


--
SELECT @PERCENT_OMS = S.PERCENT1
FROM
	dbo.STAVKI S INNER JOIN DBO.PAYS P ON S.LINK_PAYS = P.LINK AND P.[OBJECT] = 3 AND P.WAY_CALC = 3
WHERE
	predel = @LIMIT_OMS
	and tarif =1
	and
	[DATE] = (SELECT TOP 1 [DATE] FROM dbo.STAVKI S1 INNER JOIN DBO.PAYS P ON S1.LINK_PAYS = P.LINK AND P.[OBJECT] = 3 AND P.WAY_CALC = 3 AND [DATE] < @END_DATE where 	s1.predel = @LIMIT_OMS
	 ORDER BY [DATE] DESC)
	AND
	S.PERCENT1 > 0

--
SELECT @IPERCENT_OMS = S.PERCENT1
FROM
	dbo.STAVKI S INNER JOIN DBO.PAYS P ON S.LINK_PAYS = P.LINK AND P.[OBJECT] = 3 AND P.WAY_CALC = 3
WHERE
	predel = @LIMIT_OMS
	and tarif =3
	and
	[DATE] = (SELECT TOP 1 [DATE] FROM dbo.STAVKI S1 INNER JOIN DBO.PAYS P ON S1.LINK_PAYS = P.LINK AND P.[OBJECT] = 3 AND P.WAY_CALC = 3 AND [DATE] < @END_DATE where 	s1.predel = @LIMIT_OMS
	 ORDER BY [DATE] DESC)
	AND
	S.PERCENT1 > 0	

SET @PERCENT_OMS = ISNULL(@PERCENT_OMS,0)	
SET @IPERCENT_OMS = ISNULL(@IPERCENT_OMS,0)

--  
---  
DECLARE @IPERCENT NUMERIC(28,2)
SELECT @IPERCENT = S.PERCENT3
FROM
	dbo.STAVKI_PF S INNER JOIN DBO.PAYS P ON S.LINK_PAYS = P.LINK AND P.[OBJECT] = 3 AND P.WAY_CALC = 6
WHERE
	predel = @LIMIT
	and tarif = 3
	and
	[DATE] = (SELECT TOP 1 [DATE] FROM dbo.STAVKI_PF S1 INNER JOIN DBO.PAYS P ON S1.LINK_PAYS = P.LINK AND P.[OBJECT] = 3 AND P.WAY_CALC = 6 AND [DATE] < @END_DATE where 	s1.predel = @LIMIT
	 ORDER BY [DATE] DESC)
	AND
	S.PERCENT1 > 0
SET @IPERCENT = ISNULL(@IPERCENT,0)

	
---     2014  
/*   */
-----

SELECT MON = 1, REF_PHYS_PERS, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M)) > @LIMIT THEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) - @LIMIT ELSE 0 END INTO #SPR_ESN1 FROM #SPR_ESN WHERE WAY_CALC = 6 AND MONTH_BASE <= 1 AND @nMONTH3 >= 3 AND I = 1  GROUP BY REF_PHYS_PERS
INSERT INTO #SPR_ESN1 SELECT MON = 2, REF_PHYS_PERS, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M)) > @LIMIT THEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) - @LIMIT ELSE 0 END FROM #SPR_ESN WHERE WAY_CALC = 6 AND  MONTH_BASE <= 2 AND @nMONTH3 >= 3 AND I = 1  GROUP BY REF_PHYS_PERS
INSERT INTO #SPR_ESN1 SELECT MON = 3, REF_PHYS_PERS, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M)) > @LIMIT THEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) - @LIMIT ELSE 0 END FROM #SPR_ESN WHERE WAY_CALC = 6 AND  MONTH_BASE <= 3 AND @nMONTH3 >= 3 AND I = 1  GROUP BY REF_PHYS_PERS
INSERT INTO #SPR_ESN1 SELECT MON = 4, REF_PHYS_PERS, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M)) > @LIMIT THEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) - @LIMIT ELSE 0 END FROM #SPR_ESN WHERE WAY_CALC = 6 AND  MONTH_BASE <= 4 AND @nMONTH3 >= 6 AND I = 1  GROUP BY REF_PHYS_PERS
INSERT INTO #SPR_ESN1 SELECT MON = 5, REF_PHYS_PERS, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M)) > @LIMIT THEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) - @LIMIT ELSE 0 END FROM #SPR_ESN WHERE WAY_CALC = 6 AND  MONTH_BASE <= 5 AND @nMONTH3 >= 6 AND I = 1  GROUP BY REF_PHYS_PERS
INSERT INTO #SPR_ESN1 SELECT MON = 6, REF_PHYS_PERS, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M)) > @LIMIT THEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) - @LIMIT ELSE 0 END FROM #SPR_ESN WHERE WAY_CALC = 6 AND  MONTH_BASE <= 6 AND @nMONTH3 >= 6 AND I = 1  GROUP BY REF_PHYS_PERS
INSERT INTO #SPR_ESN1 SELECT MON = 7, REF_PHYS_PERS, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M)) > @LIMIT THEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) - @LIMIT ELSE 0 END FROM #SPR_ESN WHERE WAY_CALC = 6 AND  MONTH_BASE <= 7 AND @nMONTH3 >= 9 AND I = 1  GROUP BY REF_PHYS_PERS
INSERT INTO #SPR_ESN1 SELECT MON = 8, REF_PHYS_PERS, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M)) > @LIMIT THEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) - @LIMIT ELSE 0 END FROM #SPR_ESN WHERE WAY_CALC = 6 AND  MONTH_BASE <= 8 AND @nMONTH3 >= 9 AND I = 1  GROUP BY REF_PHYS_PERS
INSERT INTO #SPR_ESN1 SELECT MON = 9, REF_PHYS_PERS, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M)) > @LIMIT THEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) - @LIMIT ELSE 0 END FROM #SPR_ESN WHERE WAY_CALC = 6 AND  MONTH_BASE <= 9 AND @nMONTH3 >= 9 AND I = 1  GROUP BY REF_PHYS_PERS
INSERT INTO #SPR_ESN1 SELECT MON = 10, REF_PHYS_PERS, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M)) > @LIMIT THEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) - @LIMIT ELSE 0 END FROM #SPR_ESN WHERE WAY_CALC = 6 AND  MONTH_BASE <= 10 AND @nMONTH3 >= 12 AND I = 1  GROUP BY REF_PHYS_PERS
INSERT INTO #SPR_ESN1 SELECT MON = 11, REF_PHYS_PERS, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M)) > @LIMIT THEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) - @LIMIT ELSE 0 END FROM #SPR_ESN WHERE WAY_CALC = 6 AND  MONTH_BASE <= 11 AND @nMONTH3 >= 12 AND I = 1  GROUP BY REF_PHYS_PERS
INSERT INTO #SPR_ESN1 SELECT MON = 12, REF_PHYS_PERS, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M)) > @LIMIT THEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) - @LIMIT ELSE 0 END FROM #SPR_ESN WHERE WAY_CALC = 6 AND  MONTH_BASE <= 12 AND @nMONTH3 >= 12 AND I = 1  GROUP BY REF_PHYS_PERS

SELECT DISTINCT T.REF_PHYS_PERS, M.M, SUMMA = ISNULL(T1.SUMMA,0) - ISNULL(T2.SUMMA,0)
INTO #SPR_ESN2
FROM
	#SPR_ESN1 T INNER JOIN dbo.months_ex(@BYearDate, @END_DATE) M ON 1=1
	LEFT JOIN #SPR_ESN1 T1 ON T1.REF_PHYS_PERS = T.REF_PHYS_PERS AND T1.MON = M.M
	LEFT JOIN #SPR_ESN1 T2 ON T2.REF_PHYS_PERS = T.REF_PHYS_PERS AND T2.MON = M.M - 1
--WHERE
--	(ISNULL(T1.SUMMA,0) - ISNULL(T2.SUMMA,0)) > 0


-- 11.1_1.2 
--   ,  (.) - 010  -      020 + 021
   	
-- 11.1_1.2
--   ,            (.) - 020
INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6)
SELECT '0110020',
	CASE WHEN @nMONTH3 > 3 THEN
		ISNULL(
			(SELECT MAX(CNT)
			FROM
				(SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 AND  WAY_CALC = 6 AND I = 1 and MONTH_BASE = 1 AND MONTH_BASE <= @nMONTH3
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 and WAY_CALC = 6 AND I = 1 and MONTH_BASE = 2 AND MONTH_BASE <= @nMONTH3
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 AND  WAY_CALC = 6 AND I = 1 and MONTH_BASE = 3 AND MONTH_BASE <= @nMONTH3
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 AND  WAY_CALC = 6 AND I = 1 and MONTH_BASE = 4 AND MONTH_BASE <= @nMONTH3
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 AND  WAY_CALC = 6 AND I = 1 and MONTH_BASE = 5 AND MONTH_BASE <= @nMONTH3
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 AND  WAY_CALC = 6 AND I = 1 and MONTH_BASE = 6 AND MONTH_BASE <= @nMONTH3
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 AND  WAY_CALC = 6 AND I = 1 and MONTH_BASE = 7 AND MONTH_BASE <= @nMONTH3
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 AND  WAY_CALC = 6 AND I = 1 and MONTH_BASE = 8 AND MONTH_BASE <= @nMONTH3
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 AND  WAY_CALC = 6 AND I = 1 and MONTH_BASE = 9 AND MONTH_BASE <= @nMONTH3
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 AND  WAY_CALC = 6 AND I = 1 and MONTH_BASE = 10 AND MONTH_BASE <= @nMONTH3
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 AND  WAY_CALC = 6 AND I = 1 and MONTH_BASE = 11 AND MONTH_BASE <= @nMONTH3
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 AND  WAY_CALC = 6 AND I = 1 and MONTH_BASE = 12 AND MONTH_BASE <= @nMONTH3) T
			),0)
	ELSE
		ISNULL(
			(SELECT MAX(CNT)
			FROM
				(SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0  AND  WAY_CALC = 6 AND I = 1 and MONTH_BASE = @nMONTH1
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 AND  WAY_CALC = 6 AND I = 1 and MONTH_BASE = @nMONTH2
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 AND  WAY_CALC = 6 AND I = 1 and MONTH_BASE = @nMONTH3) T
			),0)
	END,	
	ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 AND  WAY_CALC = 6 AND I = 1 and MONTH_BASE = @nMONTH1) ,0) ,
	ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 AND  WAY_CALC = 6 AND I = 1 and MONTH_BASE = @nMONTH2) ,0) ,
	ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 AND  WAY_CALC = 6 AND I = 1 and MONTH_BASE = @nMONTH3) ,0) 		


--     ,             (.) - 021
INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6)
SELECT '0110021',
	CASE WHEN @nMONTH3 > 3 THEN
		ISNULL(
			(SELECT MAX(CNT)
			FROM
				(SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN2 where summa != 0 and M = 1 AND M <= @nMONTH3
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN2 where summa != 0 and  M = 2 AND M <= @nMONTH3
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN2 where summa != 0 and  M = 3 AND M <= @nMONTH3
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN2 where summa != 0 and  M = 4 AND M <= @nMONTH3
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN2 where summa != 0 and  M = 5 AND M <= @nMONTH3
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN2 where summa != 0 and  M = 6 AND M <= @nMONTH3
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN2 where summa != 0 and  M = 7 AND M <= @nMONTH3
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN2 where summa != 0 and  M = 8 AND M <= @nMONTH3
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN2 where summa != 0 and  M = 9 AND M <= @nMONTH3
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN2 where summa != 0 and  M = 10 AND M <= @nMONTH3
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN2 where summa != 0 and  M = 11 AND M <= @nMONTH3
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN2 where summa != 0 and  M = 12 AND M <= @nMONTH3) T
			),0)
	ELSE
		ISNULL(
			(SELECT MAX(CNT)
			FROM
				(SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN2 where summa != 0 and  M = @nMONTH1
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN2 where summa != 0 and  M = @nMONTH2
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN2 where summa != 0 and  M = @nMONTH3) T
			),0)
	END,	
	ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN2 where summa != 0 and  M = @nMONTH1) ,0) ,
	ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN2 where summa != 0 and  M = @nMONTH2) ,0) ,
	ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN2 where summa != 0 and  M = @nMONTH3) ,0) 	

-- 11.1_1.2
--    ,        - 030
--      ,    
INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6)
SELECT '0110030',
			
			CASE @nMONTH3
				WHEN 3 THEN
					 Convert(numeric(18,2),SUM(CASE WHEN MON = 1 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E ELSE 0 END))
					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 2 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E ELSE 0 END))
					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 3 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E ELSE 0 END))			
				WHEN 6 THEN
					 Convert(numeric(18,2),SUM(CASE WHEN MON = 1 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E ELSE 0 END))
					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 2 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E ELSE 0 END))
					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 3 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E ELSE 0 END))				
					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 4 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E ELSE 0 END))
					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 5 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E ELSE 0 END))
					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 6 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E ELSE 0 END))
				WHEN 9 THEN
					 Convert(numeric(18,2),SUM(CASE WHEN MON = 1 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E ELSE 0 END))
					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 2 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E ELSE 0 END))
					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 3 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E ELSE 0 END))				
					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 4 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E ELSE 0 END))
					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 5 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E ELSE 0 END))
					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 6 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E ELSE 0 END))				
					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 7 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E ELSE 0 END))
					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 8 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E ELSE 0 END))
					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 9 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E ELSE 0 END))
				WHEN 12 THEN
					 Convert(numeric(18,2),SUM(CASE WHEN MON = 1 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E ELSE 0 END))
					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 2 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E ELSE 0 END))
					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 3 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E ELSE 0 END))				
					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 4 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E ELSE 0 END))
					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 5 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E ELSE 0 END))
					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 6 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E ELSE 0 END))				
					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 7 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E ELSE 0 END))
					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 8 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E ELSE 0 END))
					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 9 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E ELSE 0 END))				
					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 10 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E ELSE 0 END))
					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 11 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E ELSE 0 END))
					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 12 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E ELSE 0 END))	 					 	 					 			 					
			END,			
			
			 Convert(numeric(18,2),SUM(CASE WHEN MON = @nMONTH1 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E ELSE 0 END)),
			 Convert(numeric(18,2),SUM(CASE WHEN MON = @nMONTH2 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E ELSE 0 END)),
			 Convert(numeric(18,2),SUM(CASE WHEN MON = @nMONTH3 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E ELSE 0 END))
FROM #SALARY_SUM2		


-- 11.1_1.2
--,       - 040
INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6)
SELECT '0110040',
	
	CASE @nMONTH3
		WHEN 3 THEN
			CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND I = 1 AND MONTH_BASE = 1) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E) FROM #SALARY_SUM2 WHERE MON = 1) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND I = 1 AND MONTH_BASE = 2) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E) FROM #SALARY_SUM2 WHERE MON = 2),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND I = 1 AND MONTH_BASE = 3) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E) FROM #SALARY_SUM2 WHERE MON = 3),0))
		WHEN 6 THEN
			CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND I = 1 AND MONTH_BASE = 1) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E) FROM #SALARY_SUM2 WHERE MON = 1),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND I = 1 AND MONTH_BASE = 2) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E) FROM #SALARY_SUM2 WHERE MON = 2),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND I = 1 AND MONTH_BASE = 3) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E) FROM #SALARY_SUM2 WHERE MON = 3),0))		
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND I = 1 AND MONTH_BASE = 4) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E) FROM #SALARY_SUM2 WHERE MON = 4),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND I = 1 AND MONTH_BASE = 5) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E) FROM #SALARY_SUM2 WHERE MON = 5),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND I = 1 AND MONTH_BASE = 6) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E) FROM #SALARY_SUM2 WHERE MON = 6),0))			
		WHEN 9 THEN
			CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND I = 1 AND MONTH_BASE = 1) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E) FROM #SALARY_SUM2 WHERE MON = 1),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND I = 1 AND MONTH_BASE = 2) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E) FROM #SALARY_SUM2 WHERE MON = 2),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND I = 1 AND MONTH_BASE = 3) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E) FROM #SALARY_SUM2 WHERE MON = 3),0))		
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND I = 1 AND MONTH_BASE = 4) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E) FROM #SALARY_SUM2 WHERE MON = 4),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND I = 1 AND MONTH_BASE = 5) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E) FROM #SALARY_SUM2 WHERE MON = 5),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND I = 1 AND MONTH_BASE = 6) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E) FROM #SALARY_SUM2 WHERE MON = 6),0))					
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND I = 1 AND MONTH_BASE = 7) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E) FROM #SALARY_SUM2 WHERE MON = 7),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND I = 1 AND MONTH_BASE = 8) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E) FROM #SALARY_SUM2 WHERE MON = 8),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND I = 1 AND MONTH_BASE = 9) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E) FROM #SALARY_SUM2 WHERE MON = 9),0))			
		WHEN 12 THEN
			CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND I = 1 AND MONTH_BASE = 1) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E) FROM #SALARY_SUM2 WHERE MON = 1),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND I = 1 AND MONTH_BASE = 2) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E) FROM #SALARY_SUM2 WHERE MON = 2),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND I = 1 AND MONTH_BASE = 3) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E) FROM #SALARY_SUM2 WHERE MON = 3),0))		
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND I = 1 AND MONTH_BASE = 4) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E) FROM #SALARY_SUM2 WHERE MON = 4),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND I = 1 AND MONTH_BASE = 5) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E) FROM #SALARY_SUM2 WHERE MON = 5),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND I = 1 AND MONTH_BASE = 6) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E) FROM #SALARY_SUM2 WHERE MON = 6),0))					
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND I = 1 AND MONTH_BASE = 7) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E) FROM #SALARY_SUM2 WHERE MON = 7),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND I = 1 AND MONTH_BASE = 8) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E) FROM #SALARY_SUM2 WHERE MON = 8),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND I = 1 AND MONTH_BASE = 9) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E) FROM #SALARY_SUM2 WHERE MON = 9),0))					
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND I = 1 AND MONTH_BASE = 10) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E) FROM #SALARY_SUM2 WHERE MON = 10),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND I = 1 AND MONTH_BASE = 11) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E) FROM #SALARY_SUM2 WHERE MON = 11),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND I = 1 AND MONTH_BASE = 12) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E) FROM #SALARY_SUM2 WHERE MON = 12),0))			
	END,	
	
	CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND I = 1 AND MONTH_BASE = @nMONTH1) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E) FROM #SALARY_SUM2 WHERE MON = @nMONTH1),0)),
	CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND I = 1 AND MONTH_BASE = @nMONTH2) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E) FROM #SALARY_SUM2 WHERE MON = @nMONTH2),0)),
	CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND I = 1 AND MONTH_BASE = @nMONTH3) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E) FROM #SALARY_SUM2 WHERE MON = @nMONTH3),0))


-- 11.1_1.2
-- ,     
--   :      
--                - 051
INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6)
SELECT '0110051',

	CASE @nMONTH3
		WHEN 3 THEN
			CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2 WHERE M = 1) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2 WHERE M = 2) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2 WHERE M = 3) ,0))	
		WHEN 6 THEN
			CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2 WHERE M = 1) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2 WHERE M = 2) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2 WHERE M = 3) ,0))			
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2 WHERE M = 4) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2 WHERE M = 5) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2 WHERE M = 6) ,0))	
		WHEN 9 THEN
			CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2 WHERE M = 1) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2 WHERE M = 2) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2 WHERE M = 3) ,0))			
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2 WHERE M = 4) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2 WHERE M = 5) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2 WHERE M = 6) ,0))	
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2 WHERE M = 7) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2 WHERE M = 8) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2 WHERE M = 9) ,0))	
		WHEN 12 THEN
			CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2 WHERE M = 1) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2 WHERE M = 2) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2 WHERE M = 3) ,0))			
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2 WHERE M = 4) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2 WHERE M = 5) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2 WHERE M = 6) ,0))	
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2 WHERE M = 7) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2 WHERE M = 8) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2 WHERE M = 9) ,0))			
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2 WHERE M = 10) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2 WHERE M = 11) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2 WHERE M = 12) ,0))										
	END,	
	
	CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2 WHERE M = @nMONTH1) ,0)),
	CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2 WHERE M = @nMONTH2) ,0)),
	CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2 WHERE M = @nMONTH3) ,0))

	
-- 11.1_1.2
--    (.061+.062)
--  ,       
--       - 061
INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6)
SELECT '0110061',
	CASE WHEN @nMONTH3 > 3 THEN
		CONVERT(numeric(18,2),ISNULL((SELECT SUM(SUMMA) FROM #SPR_ESN WHERE WAY_CALC = 6 AND I = 1 ) ,0))
	ELSE
		CONVERT(numeric(18,2),ISNULL((SELECT SUM(SUMMA) FROM #SPR_ESN WHERE WAY_CALC = 6 AND I = 1 AND MONTH_BASE = @nMONTH1) ,0))
		+ CONVERT(numeric(18,2),ISNULL((SELECT SUM(SUMMA) FROM #SPR_ESN WHERE WAY_CALC = 6 AND I = 1 AND MONTH_BASE = @nMONTH2) ,0))
		+ CONVERT(numeric(18,2),ISNULL((SELECT SUM(SUMMA) FROM #SPR_ESN WHERE WAY_CALC = 6 AND I = 1 AND MONTH_BASE = @nMONTH3) ,0))
	END,	
	CONVERT(numeric(18,2),ISNULL((SELECT SUM(SUMMA) FROM #SPR_ESN WHERE WAY_CALC = 6 AND I = 1 AND MONTH_BASE = @nMONTH1) ,0)),
	CONVERT(numeric(18,2),ISNULL((SELECT SUM(SUMMA) FROM #SPR_ESN WHERE WAY_CALC = 6 AND I = 1 AND MONTH_BASE = @nMONTH2) ,0)),
	CONVERT(numeric(18,2),ISNULL((SELECT SUM(SUMMA) FROM #SPR_ESN WHERE WAY_CALC = 6 AND I = 1 AND MONTH_BASE = @nMONTH3) ,0))



DECLARE @PERC1 NUMERIC(28,2), @IPERC1 NUMERIC(28,2)
--  
SELECT @PERC1 = S.PERCENT1

FROM
	dbo.STAVKI_PF S INNER JOIN DBO.PAYS P ON S.LINK_PAYS = P.LINK AND P.[OBJECT] = 3 AND P.WAY_CALC = 6
WHERE
	predel > @LIMIT
	and
	tarif = 1
	and
	[DATE] = (SELECT TOP 1 [DATE] FROM dbo.STAVKI_PF S1 INNER JOIN DBO.PAYS P ON S1.LINK_PAYS = P.LINK AND P.[OBJECT] = 3 AND P.WAY_CALC = 6 AND [DATE] < @END_DATE where 	s1.predel > @LIMIT
	 ORDER BY [DATE] DESC)
	AND
	S.PERCENT1 > 0
SET @PERC1 = ISNULL(@PERC1,0)	
--  
SELECT @IPERC1 = S.PERCENT1

FROM
	dbo.STAVKI_PF S INNER JOIN DBO.PAYS P ON S.LINK_PAYS = P.LINK AND P.[OBJECT] = 3 AND P.WAY_CALC = 6
WHERE
	predel > @LIMIT
	and
	tarif = 3
	and
	[DATE] = (SELECT TOP 1 [DATE] FROM dbo.STAVKI_PF S1 INNER JOIN DBO.PAYS P ON S1.LINK_PAYS = P.LINK AND P.[OBJECT] = 3 AND P.WAY_CALC = 6 AND [DATE] < @END_DATE where 	s1.predel > @LIMIT
	 ORDER BY [DATE] DESC)
	AND
	S.PERCENT1 > 0
SET @IPERC1 = ISNULL(@IPERC1,0)	
-- 11.1_1.2
--  ,       
--       - 061
INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6)
SELECT '0110062',
	CASE WHEN @nMONTH3 > 3 THEN
		(CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2) ,0)) * @PERC1)/100
	ELSE
		((CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2 WHERE  M = @nMONTH1) ,0))
		+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2 WHERE M = @nMONTH2) ,0))
		+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2 WHERE M = @nMONTH3) ,0))) * @PERC1)/100 	
	END,	
	(CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2 WHERE M = @nMONTH1) ,0)) * @PERC1)/100,
	(CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2 WHERE M = @nMONTH2) ,0)) * @PERC1)/100,
	(CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2 WHERE M = @nMONTH3) ,0)) * @PERC1)/100	

update #RES2
	set C3 = (c3 - (select c3 from #RES2 where code_str = '0110062' )) ,
	C4 = (c4 - (select c4 from #RES2 where code_str = '0110062' )),
	C5= (c5 - (select c5 from #RES2 where code_str = '0110062' )),
	C6= (c6 - (select c6 from #RES2 where code_str = '0110062' ))
from #RES2
where code_str = '0110061'
	
-- 11.1_1.2	- 1010 - 1060
-----     

--   ,       ,
--  (.) - 1020

INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6)
SELECT '0111020',
	CASE WHEN @nMONTH3 > 3 THEN
		ISNULL(
			(SELECT MAX(CNT)
			FROM
				(SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 and WAY_CALC = 3 AND INO = 0 AND I = 1 and MONTH_BASE = 1 AND MONTH_BASE <= @nMONTH3
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 and WAY_CALC = 3 AND INO = 0 AND I = 1 and MONTH_BASE = 2 AND MONTH_BASE <= @nMONTH3
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 and WAY_CALC = 3 AND INO = 0 AND I = 1 and MONTH_BASE = 3 AND MONTH_BASE <= @nMONTH3
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 and WAY_CALC = 3 AND INO = 0 AND I = 1 and MONTH_BASE = 4 AND MONTH_BASE <= @nMONTH3
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 and WAY_CALC = 3 AND INO = 0 AND I = 1 and MONTH_BASE = 5 AND MONTH_BASE <= @nMONTH3
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 and WAY_CALC = 3 AND INO = 0 AND I = 1 and MONTH_BASE = 6 AND MONTH_BASE <= @nMONTH3
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 and WAY_CALC = 3 AND INO = 0 AND I = 1 and MONTH_BASE = 7 AND MONTH_BASE <= @nMONTH3
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 and WAY_CALC = 3 AND INO = 0 AND I = 1 and MONTH_BASE = 8 AND MONTH_BASE <= @nMONTH3
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 and WAY_CALC = 3 AND INO = 0 AND I = 1 and MONTH_BASE = 9 AND MONTH_BASE <= @nMONTH3
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 and WAY_CALC = 3 AND INO = 0 AND I = 1 and MONTH_BASE = 10 AND MONTH_BASE <= @nMONTH3
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 and WAY_CALC = 3 AND INO = 0 AND I = 1 and MONTH_BASE = 11 AND MONTH_BASE <= @nMONTH3
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 and WAY_CALC = 3 AND INO = 0  AND I = 1 and MONTH_BASE = 12 AND MONTH_BASE <= @nMONTH3) T
			),0)
	ELSE
		ISNULL(
			(SELECT MAX(CNT)
			FROM
				(SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 and WAY_CALC = 3 AND INO = 0 AND I = 1 and MONTH_BASE = @nMONTH1
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 and WAY_CALC = 3 AND INO = 0 AND I = 1 and MONTH_BASE = @nMONTH2
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 and WAY_CALC = 3 AND INO = 0 AND I = 1 and MONTH_BASE = @nMONTH3) T
			),0)
	END,	
	ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 and WAY_CALC = 3 AND INO = 0 AND I = 1 and MONTH_BASE = @nMONTH1) ,0) ,
	ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 and WAY_CALC = 3 AND INO = 0 AND I = 1 and MONTH_BASE = @nMONTH2) ,0) ,
	ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 and WAY_CALC = 3 AND INO = 0 AND I = 1 and MONTH_BASE = @nMONTH3) ,0) 

-- 11.1_1.2
--    ,       - 1030
INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6)
SELECT '0111030',
			CASE @nMONTH3
				WHEN 3 THEN
					 Convert(numeric(18,2),SUM(CASE WHEN MON = 1 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E - SUMMA_ALL_INO ELSE 0 END))
					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 2 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E - SUMMA_ALL_INO ELSE 0 END))
					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 3 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E - SUMMA_ALL_INO ELSE 0 END))			
				WHEN 6 THEN
					 Convert(numeric(18,2),SUM(CASE WHEN MON = 1 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E - SUMMA_ALL_INO ELSE 0 END))
					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 2 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E - SUMMA_ALL_INO ELSE 0 END))
					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 3 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E - SUMMA_ALL_INO ELSE 0 END))				
					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 4 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E - SUMMA_ALL_INO ELSE 0 END))
					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 5 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E - SUMMA_ALL_INO ELSE 0 END))
					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 6 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E - SUMMA_ALL_INO ELSE 0 END))
				WHEN 9 THEN
					 Convert(numeric(18,2),SUM(CASE WHEN MON = 1 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E - SUMMA_ALL_INO ELSE 0 END))
					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 2 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E - SUMMA_ALL_INO ELSE 0 END))
					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 3 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E - SUMMA_ALL_INO ELSE 0 END))				
					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 4 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E - SUMMA_ALL_INO ELSE 0 END))
					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 5 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E - SUMMA_ALL_INO ELSE 0 END))
					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 6 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E - SUMMA_ALL_INO ELSE 0 END))				
					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 7 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E - SUMMA_ALL_INO ELSE 0 END))
					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 8 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E - SUMMA_ALL_INO ELSE 0 END))
					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 9 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E - SUMMA_ALL_INO ELSE 0 END))
				WHEN 12 THEN
					 Convert(numeric(18,2),SUM(CASE WHEN MON = 1 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E - SUMMA_ALL_INO ELSE 0 END))
					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 2 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E - SUMMA_ALL_INO ELSE 0 END))
					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 3 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E - SUMMA_ALL_INO ELSE 0 END))				
					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 4 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E - SUMMA_ALL_INO ELSE 0 END))
					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 5 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E - SUMMA_ALL_INO ELSE 0 END))
					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 6 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E - SUMMA_ALL_INO ELSE 0 END))				
					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 7 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E - SUMMA_ALL_INO ELSE 0 END))
					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 8 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E - SUMMA_ALL_INO ELSE 0 END))
					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 9 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E - SUMMA_ALL_INO ELSE 0 END))				
					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 10 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E - SUMMA_ALL_INO ELSE 0 END))
					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 11 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E - SUMMA_ALL_INO ELSE 0 END))
					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 12 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E - SUMMA_ALL_INO ELSE 0 END))	 					 	 					 			 					
			END,			
			
			 Convert(numeric(18,2),SUM(CASE WHEN MON = @nMONTH1 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E - SUMMA_ALL_INO ELSE 0 END)),
			 Convert(numeric(18,2),SUM(CASE WHEN MON = @nMONTH2 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E - SUMMA_ALL_INO ELSE 0 END)),
			 Convert(numeric(18,2),SUM(CASE WHEN MON = @nMONTH3 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E - SUMMA_ALL_INO ELSE 0 END))
FROM #SALARY_SUM2		
-- 11.1_1.2
--,       - 1040
INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6)
SELECT '0111040',
	
	CASE @nMONTH3
		WHEN 3 THEN
			CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 3 AND I = 1 AND INO = 0 AND MONTH_BASE = 1) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E/*- SUMMA_NO_INO*/) FROM #SALARY_SUM2 WHERE MON = 1),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 3 AND I = 1 AND INO = 0 AND MONTH_BASE = 2) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E/*- SUMMA_NO_INO*/) FROM #SALARY_SUM2 WHERE MON = 2),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 3 AND I = 1 AND INO = 0 AND MONTH_BASE = 3) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E/*- SUMMA_NO_INO*/) FROM #SALARY_SUM2 WHERE MON = 3),0))
		WHEN 6 THEN
			CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 3 AND I = 1 AND INO = 0 AND MONTH_BASE = 1) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E/*- SUMMA_NO_INO*/) FROM #SALARY_SUM2 WHERE MON = 1),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 3 AND I = 1 AND INO = 0 AND MONTH_BASE = 2) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E/*- SUMMA_NO_INO*/) FROM #SALARY_SUM2 WHERE MON = 2),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 3 AND I = 1 AND INO = 0 AND MONTH_BASE = 3) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E/*- SUMMA_NO_INO*/) FROM #SALARY_SUM2 WHERE MON = 3),0))		
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 3 AND I = 1 AND INO = 0 AND MONTH_BASE = 4) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E/*- SUMMA_NO_INO*/) FROM #SALARY_SUM2 WHERE MON = 4),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 3 AND I = 1 AND INO = 0 AND MONTH_BASE = 5) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E/*- SUMMA_NO_INO*/) FROM #SALARY_SUM2 WHERE MON = 5),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 3 AND I = 1 AND INO = 0 AND MONTH_BASE = 6) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E/*- SUMMA_NO_INO*/) FROM #SALARY_SUM2 WHERE MON = 6),0))			
		WHEN 9 THEN
			CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 3 AND I = 1 AND INO = 0 AND MONTH_BASE = 1) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E/*- SUMMA_NO_INO*/) FROM #SALARY_SUM2 WHERE MON = 1),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 3 AND I = 1 AND INO = 0 AND MONTH_BASE = 2) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E/*- SUMMA_NO_INO*/) FROM #SALARY_SUM2 WHERE MON = 2),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 3 AND I = 1 AND INO = 0 AND MONTH_BASE = 3) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E/*- SUMMA_NO_INO*/) FROM #SALARY_SUM2 WHERE MON = 3),0))		
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 3 AND I = 1 AND INO = 0 AND MONTH_BASE = 4) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E/*- SUMMA_NO_INO*/) FROM #SALARY_SUM2 WHERE MON = 4),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 3 AND I = 1 AND INO = 0 AND MONTH_BASE = 5) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E/*- SUMMA_NO_INO*/) FROM #SALARY_SUM2 WHERE MON = 5),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 3 AND I = 1 AND INO = 0 AND MONTH_BASE = 6) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E/*- SUMMA_NO_INO*/) FROM #SALARY_SUM2 WHERE MON = 6),0))					
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 3 AND I = 1 AND INO = 0 AND MONTH_BASE = 7) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E/*- SUMMA_NO_INO*/) FROM #SALARY_SUM2 WHERE MON = 7),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 3 AND I = 1 AND INO = 0 AND MONTH_BASE = 8) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E/*- SUMMA_NO_INO*/) FROM #SALARY_SUM2 WHERE MON = 8),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 3 AND I = 1 AND INO = 0 AND MONTH_BASE = 9) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E/*- SUMMA_NO_INO*/) FROM #SALARY_SUM2 WHERE MON = 9),0))			
		WHEN 12 THEN
			CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 3 AND I = 1 AND INO = 0 AND MONTH_BASE = 1) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E/*- SUMMA_NO_INO*/) FROM #SALARY_SUM2 WHERE MON = 1),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 3 AND I = 1 AND INO = 0 AND MONTH_BASE = 2) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E/*- SUMMA_NO_INO*/) FROM #SALARY_SUM2 WHERE MON = 2),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 3 AND I = 1 AND INO = 0 AND MONTH_BASE = 3) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E/*- SUMMA_NO_INO*/) FROM #SALARY_SUM2 WHERE MON = 3),0))		
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 3 AND I = 1 AND INO = 0 AND MONTH_BASE = 4) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E/*- SUMMA_NO_INO*/) FROM #SALARY_SUM2 WHERE MON = 4),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 3 AND I = 1 AND INO = 0 AND MONTH_BASE = 5) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E/*- SUMMA_NO_INO*/) FROM #SALARY_SUM2 WHERE MON = 5),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 3 AND I = 1 AND INO = 0 AND MONTH_BASE = 6) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E/*- SUMMA_NO_INO*/) FROM #SALARY_SUM2 WHERE MON = 6),0))					
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 3 AND I = 1 AND INO = 0 AND MONTH_BASE = 7) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E/*- SUMMA_NO_INO*/) FROM #SALARY_SUM2 WHERE MON = 7),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 3 AND I = 1 AND INO = 0 AND MONTH_BASE = 8) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E/*- SUMMA_NO_INO*/) FROM #SALARY_SUM2 WHERE MON = 8),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 3 AND I = 1 AND INO = 0 AND MONTH_BASE = 9) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E/*- SUMMA_NO_INO*/) FROM #SALARY_SUM2 WHERE MON = 9),0))					
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 3 AND I = 1 AND INO = 0 AND MONTH_BASE = 10) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E/*- SUMMA_NO_INO*/) FROM #SALARY_SUM2 WHERE MON = 10),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 3 AND I = 1 AND INO = 0 AND MONTH_BASE = 11) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E/*- SUMMA_NO_INO*/) FROM #SALARY_SUM2 WHERE MON = 11),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 3 AND I = 1 AND INO = 0 AND MONTH_BASE = 12) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E/*- SUMMA_NO_INO*/) FROM #SALARY_SUM2 WHERE MON = 12),0))			
	END,	
	
	CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 3 AND I = 1 AND INO = 0 AND MONTH_BASE = @nMONTH1) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E/*- SUMMA_NO_INO*/) FROM #SALARY_SUM2 WHERE MON = @nMONTH1),0)),
	CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 3 AND I = 1 AND INO = 0 AND MONTH_BASE = @nMONTH2) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E/*- SUMMA_NO_INO*/) FROM #SALARY_SUM2 WHERE MON = @nMONTH2),0)),
	CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 3 AND I = 1 AND INO = 0 AND MONTH_BASE = @nMONTH3) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E/*- SUMMA_NO_INO*/) FROM #SALARY_SUM2 WHERE MON = @nMONTH3),0))



SELECT MON = 1, REF_PHYS_PERS, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M)) > @LIMIT_OMS THEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) - @LIMIT_OMS ELSE 0 END INTO #SPR_ESN1M FROM #SPR_ESN WHERE WAY_CALC = 3 AND I = 1 AND INO = 0 AND MONTH_BASE <= 1 AND @nMONTH3 >= 3 GROUP BY REF_PHYS_PERS
INSERT INTO #SPR_ESN1M SELECT MON = 2, REF_PHYS_PERS, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M)) > @LIMIT_OMS THEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) - @LIMIT_OMS ELSE 0 END FROM #SPR_ESN WHERE WAY_CALC = 3 AND I = 1 AND INO = 0 AND  MONTH_BASE <= 2 AND @nMONTH3 >= 3 GROUP BY REF_PHYS_PERS
INSERT INTO #SPR_ESN1M SELECT MON = 3, REF_PHYS_PERS, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M)) > @LIMIT_OMS THEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) - @LIMIT_OMS ELSE 0 END FROM #SPR_ESN WHERE WAY_CALC = 3 AND I = 1 AND INO = 0 AND  MONTH_BASE <= 3 AND @nMONTH3 >= 3 GROUP BY REF_PHYS_PERS
INSERT INTO #SPR_ESN1M SELECT MON = 4, REF_PHYS_PERS, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M)) > @LIMIT_OMS THEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) - @LIMIT_OMS ELSE 0 END FROM #SPR_ESN WHERE WAY_CALC = 3 AND I = 1 AND INO = 0 AND  MONTH_BASE <= 4 AND @nMONTH3 >= 6 GROUP BY REF_PHYS_PERS
INSERT INTO #SPR_ESN1M SELECT MON = 5, REF_PHYS_PERS, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M)) > @LIMIT_OMS THEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) - @LIMIT_OMS ELSE 0 END FROM #SPR_ESN WHERE WAY_CALC = 3 AND I = 1 AND INO = 0 AND  MONTH_BASE <= 5 AND @nMONTH3 >= 6 GROUP BY REF_PHYS_PERS
INSERT INTO #SPR_ESN1M SELECT MON = 6, REF_PHYS_PERS, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M)) > @LIMIT_OMS THEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) - @LIMIT_OMS ELSE 0 END FROM #SPR_ESN WHERE WAY_CALC = 3 AND I = 1 AND INO = 0 AND  MONTH_BASE <= 6 AND @nMONTH3 >= 6 GROUP BY REF_PHYS_PERS
INSERT INTO #SPR_ESN1M SELECT MON = 7, REF_PHYS_PERS, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M)) > @LIMIT_OMS THEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) - @LIMIT_OMS ELSE 0 END FROM #SPR_ESN WHERE WAY_CALC = 3 AND I = 1 AND INO = 0 AND  MONTH_BASE <= 7 AND @nMONTH3 >= 9 GROUP BY REF_PHYS_PERS
INSERT INTO #SPR_ESN1M SELECT MON = 8, REF_PHYS_PERS, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M)) > @LIMIT_OMS THEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) - @LIMIT_OMS ELSE 0 END FROM #SPR_ESN WHERE WAY_CALC = 3 AND I = 1 AND INO = 0 AND  MONTH_BASE <= 8 AND @nMONTH3 >= 9 GROUP BY REF_PHYS_PERS
INSERT INTO #SPR_ESN1M SELECT MON = 9, REF_PHYS_PERS, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M)) > @LIMIT_OMS THEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) - @LIMIT_OMS ELSE 0 END FROM #SPR_ESN WHERE WAY_CALC = 3 AND I = 1 AND INO = 0 AND  MONTH_BASE <= 9 AND @nMONTH3 >= 9 GROUP BY REF_PHYS_PERS
INSERT INTO #SPR_ESN1M SELECT MON = 10, REF_PHYS_PERS, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M)) > @LIMIT_OMS THEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) - @LIMIT_OMS ELSE 0 END FROM #SPR_ESN WHERE WAY_CALC = 3 AND I = 1 AND INO = 0 AND  MONTH_BASE <= 10 AND @nMONTH3 >= 12 GROUP BY REF_PHYS_PERS
INSERT INTO #SPR_ESN1M SELECT MON = 11, REF_PHYS_PERS, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M)) > @LIMIT_OMS THEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) - @LIMIT_OMS ELSE 0 END FROM #SPR_ESN WHERE WAY_CALC = 3 AND I = 1 AND INO = 0 AND  MONTH_BASE <= 11 AND @nMONTH3 >= 12 GROUP BY REF_PHYS_PERS
INSERT INTO #SPR_ESN1M SELECT MON = 12, REF_PHYS_PERS, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M)) > @LIMIT_OMS THEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) - @LIMIT_OMS ELSE 0 END FROM #SPR_ESN WHERE WAY_CALC = 3 AND I = 1 AND INO = 0 AND  MONTH_BASE <= 12 AND @nMONTH3 >= 12 GROUP BY REF_PHYS_PERS

SELECT DISTINCT T.REF_PHYS_PERS, M.M, SUMMA = ISNULL(T1.SUMMA,0) - ISNULL(T2.SUMMA,0)
INTO #SPR_ESN2M
FROM
	#SPR_ESN1M T INNER JOIN dbo.months_ex(@BYearDate, @END_DATE) M ON 1=1
	LEFT JOIN #SPR_ESN1M T1 ON T1.REF_PHYS_PERS = T.REF_PHYS_PERS AND T1.MON = M.M
	LEFT JOIN #SPR_ESN1M T2 ON T2.REF_PHYS_PERS = T.REF_PHYS_PERS AND T2.MON = M.M - 1

	

/*---  ,        
INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6)
SELECT '213',

	CASE @nMONTH3
		WHEN 3 THEN
			CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2M WHERE M = 1) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2M WHERE M = 2) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2M WHERE M = 3) ,0))	
		WHEN 6 THEN
			CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2M WHERE M = 1) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2M WHERE M = 2) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2M WHERE M = 3) ,0))			
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2M WHERE M = 4) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2M WHERE M = 5) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2M WHERE M = 6) ,0))	
		WHEN 9 THEN
			CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2M WHERE M = 1) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2M WHERE M = 2) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2M WHERE M = 3) ,0))			
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2M WHERE M = 4) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2M WHERE M = 5) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2M WHERE M = 6) ,0))	
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2M WHERE M = 7) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2M WHERE M = 8) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2M WHERE M = 9) ,0))	
		WHEN 12 THEN
			CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2M WHERE M = 1) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2M WHERE M = 2) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2M WHERE M = 3) ,0))			
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2M WHERE M = 4) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2M WHERE M = 5) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2M WHERE M = 6) ,0))	
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2M WHERE M = 7) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2M WHERE M = 8) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2M WHERE M = 9) ,0))			
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2M WHERE M = 10) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2M WHERE M = 11) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2M WHERE M = 12) ,0))										
	END,	
	
	CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2M WHERE M = @nMONTH1) ,0)),
	CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2M WHERE M = @nMONTH2) ,0)),
	CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2M WHERE M = @nMONTH3) ,0))
*/


-- 11.1_1.2
--        - 1060
INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6)
SELECT '0111060',
	CASE WHEN @nMONTH3 > 3 THEN
		CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN WHERE WAY_CALC = 3  AND INO = 0 AND I = 1) ,0))
	ELSE
		CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN WHERE WAY_CALC = 3 AND INO = 0 AND I = 1 AND MONTH_BASE = @nMONTH1) ,0))
		+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN WHERE WAY_CALC = 3 AND INO = 0 AND I = 1 AND MONTH_BASE = @nMONTH2) ,0))
		+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN WHERE WAY_CALC = 3 AND INO = 0 AND I = 1 AND MONTH_BASE = @nMONTH3) ,0))	
	END,	
	CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN WHERE WAY_CALC = 3 AND INO = 0 AND I = 1 AND MONTH_BASE = @nMONTH1) ,0)),
	CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN WHERE WAY_CALC = 3 AND INO = 0 AND I = 1 AND MONTH_BASE = @nMONTH2) ,0)),
	CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN WHERE WAY_CALC = 3 AND INO = 0 AND I = 1 AND MONTH_BASE = @nMONTH3) ,0))	



--    
/*
--   
 1.           -1       .
 2.        ,   .
 3.        ,   .
    ,      ,    .
*/
DECLARE @SALARY_OPTIONS_OPT6_1 INT
SET @SALARY_OPTIONS_OPT6_1 =  dbo.SA_GET_OPTION_BY_CODE('SALARY_OPTIONS_OPT6_1')

------------------------------------------------------------------------------------
-----    2014 
	IF ISNULL(@PERCENT,0) > 0
	BEGIN
		--    	
		SELECT
			@C3S = CONVERT(NUMERIC(18,2),
				(
					CONVERT(NUMERIC(18,6), SUM( -- 204 =
						(CASE WHEN CODE_STR = '0110030' THEN C3 ELSE 0 END)
						-(CASE WHEN CODE_STR = '0110040' THEN C3 ELSE 0 END)
						-(CASE WHEN CODE_STR = '0110051' THEN C3 ELSE 0 END)
					)) * @PERCENT/100
					- CONVERT(NUMERIC(18,6), (SELECT SUM(C3) FROM #RES2 WHERE CODE_STR = '0110061'))
				) / (@PERCENT/100)	
			),

			@C3SS = CONVERT(NUMERIC(18,2),
				(
					CONVERT(NUMERIC(18,6), SUM( -- 204 =
						(CASE WHEN CODE_STR = '0110030' THEN C3 ELSE 0 END)
						-(CASE WHEN CODE_STR = '0110040' THEN C3 ELSE 0 END)
						-(CASE WHEN CODE_STR = '0110051' THEN C3 ELSE 0 END)
					)) * @PERCENT/100
				)
			),

			@C4S = CONVERT(NUMERIC(18,2),
				(
					CONVERT(NUMERIC(18,6), SUM( -- 204 =
						(CASE WHEN CODE_STR = '0110030' THEN C4 ELSE 0 END)
						-(CASE WHEN CODE_STR = '0110040' THEN C4 ELSE 0 END)
						-(CASE WHEN CODE_STR = '0110051' THEN C4 ELSE 0 END)
					)) * @PERCENT/100
					- CONVERT(NUMERIC(18,6),(SELECT SUM(C4) FROM #RES2 WHERE CODE_STR = '0110061'))
				) / (@PERCENT/100)	
			),

			@C4SS = CONVERT(NUMERIC(18,2),
				(
					CONVERT(NUMERIC(18,6), SUM( -- 204 =
						(CASE WHEN CODE_STR = '0110030' THEN C4 ELSE 0 END)
						-(CASE WHEN CODE_STR = '0110040' THEN C4 ELSE 0 END)
						-(CASE WHEN CODE_STR = '0110051' THEN C4 ELSE 0 END)
					)) * @PERCENT/100
				)
			),			
			
			@C5S = CONVERT(NUMERIC(18,2),
				(
					CONVERT(NUMERIC(18,6), SUM( -- 204 =
						(CASE WHEN CODE_STR = '0110030' THEN C5 ELSE 0 END)
						-(CASE WHEN CODE_STR = '0110040' THEN C5 ELSE 0 END)
						-(CASE WHEN CODE_STR = '0110051' THEN C5 ELSE 0 END)
					)) * @PERCENT/100
					- CONVERT(NUMERIC(18,6),(SELECT SUM(C5) FROM #RES2 WHERE CODE_STR = '0110061'))
				) / (@PERCENT/100)	
			),		

			@C5SS = CONVERT(NUMERIC(18,2),
				(
					CONVERT(NUMERIC(18,6), SUM( -- 204 =
						(CASE WHEN CODE_STR = '0110030' THEN C5 ELSE 0 END)
						-(CASE WHEN CODE_STR = '0110040' THEN C5 ELSE 0 END)
						-(CASE WHEN CODE_STR = '0110051' THEN C5 ELSE 0 END)
					)) * @PERCENT/100
				)
			),					

			@C6S = CONVERT(NUMERIC(18,2),
				(
					CONVERT(NUMERIC(18,6), SUM( -- 204 =
						(CASE WHEN CODE_STR = '0110030' THEN C6 ELSE 0 END)
						-(CASE WHEN CODE_STR = '0110040' THEN C6 ELSE 0 END)
						-(CASE WHEN CODE_STR = '0110051' THEN C6 ELSE 0 END)
					)) * @PERCENT/100
					- CONVERT(NUMERIC(18,6), (SELECT SUM(C6) FROM #RES2 WHERE CODE_STR = '0110061'))
				) / (@PERCENT/100)						
			),

			@C6SS = CONVERT(NUMERIC(18,2),
				(
					CONVERT(NUMERIC(18,6), SUM( -- 204 =
						(CASE WHEN CODE_STR = '0110030' THEN C6 ELSE 0 END)
						-(CASE WHEN CODE_STR = '0110040' THEN C6 ELSE 0 END)
						-(CASE WHEN CODE_STR = '0110051' THEN C6 ELSE 0 END)
					)) * @PERCENT/100
				)
			)	
			
		FROM #RES2
		WHERE
			CODE_STR IN ('0110030', '0110040', '0110051')
		IF @SALARY_OPTIONS_OPT6_1 = 1
		BEGIN
			UPDATE #RES2
			SET
				C3 = CASE WHEN @nMONTH3 = 3 THEN ISNULL(@C4SS,0) + ISNULL(@C5SS,0) + ISNULL(@C6SS,0)
						ELSE ISNULL(@C3SS,0)
					END,			
				C4 = ISNULL(@C4SS,0),
				C5 = ISNULL(@C5SS,0),
				C6 = ISNULL(@C6SS,0)
			WHERE
				CODE_STR = '0110061'
			
		END

------------------------------------------------------------------------------------
		--     
		
		--   

		
		IF @SALARY_OPTIONS_OPT6_1 = 3
		BEGIN
			UPDATE #RES2
			SET
				C3 = C3 + ISNULL(@C3S,0),
				C4 = C4 + ISNULL(@C4S,0),
				C5 = C5 + ISNULL(@C5S,0),
				C6 = C6 + ISNULL(@C6S,0)			
			WHERE
				CODE_STR = '0110040'
		END		
	
	END	

---    2014 
	--IF @SALARY_OPTIONS_OPT6_1 = 1
	--BEGIN
	--		UPDATE #RES2
	--		SET
	--			C3 = CASE WHEN @nMONTH3 = 3 THEN ISNULL(@C4NS,0) + ISNULL(@C5NS,0) + ISNULL(@C6NS,0) ELSE ISNULL(@C3NS,0) END,
	--			C4 = ISNULL(@C4NS,0),
	--			C5 = ISNULL(@C5NS,0),
	--			C6 = ISNULL(@C6NS,0)
	--		WHERE
	--			CODE_STR = '251'
	--END


	--IF @SALARY_OPTIONS_OPT6_1 = 3
	--BEGIN
	--	UPDATE #RES2
	--	SET
	--		C3 = C3 + ISNULL(@C3N,0),
	--		C4 = C4 + ISNULL(@C4N,0),
	--		C5 = C5 + ISNULL(@C5N,0),
	--		C6 = C6 + ISNULL(@C6N,0)			
	--	WHERE
	--		CODE_STR = '212'
	--END		

--END		
---SELECT * FROM #RES2 WHERE CODE_STR IN('210','211','212','213','214')

IF ISNULL(@PERCENT_OMS,0) > 0
BEGIN
	--   	
	SELECT
		@C3N = CONVERT(NUMERIC(18,2),
			(
				SUM( -- 1060 =
					(CASE WHEN CODE_STR = '0111030' THEN C3 ELSE 0 END)
					-(CASE WHEN CODE_STR = '0111040' THEN C3 ELSE 0 END)
				) * @PERCENT_OMS/100
				- (SELECT SUM(C3) FROM #RES2 WHERE CODE_STR = '0111060')
			) / (@PERCENT_OMS/100)
		),
		@C3NS = CONVERT(NUMERIC(18,2),
			(
				SUM( -- 1060 =
					(CASE WHEN CODE_STR = '0111030' THEN C3 ELSE 0 END)
					-(CASE WHEN CODE_STR = '0111040' THEN C3 ELSE 0 END)
				) * @PERCENT_OMS/100
			)
		),
		@C4N = CONVERT(NUMERIC(18,2),
			(
				SUM( -- 1060 =
					(CASE WHEN CODE_STR = '0111030' THEN C4 ELSE 0 END)
					-(CASE WHEN CODE_STR = '0111040' THEN C4 ELSE 0 END)
				) * @PERCENT_OMS/100
				- (SELECT SUM(C4) FROM #RES2 WHERE CODE_STR = '0111060')
			) / (@PERCENT_OMS/100)
		),
		@C4NS = CONVERT(NUMERIC(18,2),
			(
				SUM( -- 1060 =
					(CASE WHEN CODE_STR = '0111030' THEN C4 ELSE 0 END)
					-(CASE WHEN CODE_STR = '0111040' THEN C4 ELSE 0 END)
				) * @PERCENT_OMS/100
			)
		),
		@C5N = CONVERT(NUMERIC(18,2),
			(
				SUM( -- 1060 =
					(CASE WHEN CODE_STR = '0111030' THEN C5 ELSE 0 END)
					-(CASE WHEN CODE_STR = '0111040' THEN C5 ELSE 0 END)
				) * @PERCENT_OMS/100
				- (SELECT SUM(C5) FROM #RES2 WHERE CODE_STR = '0111060')
			) / (@PERCENT_OMS/100)
		),
		@C5NS = CONVERT(NUMERIC(18,2),
			(
				SUM( -- 1060 =
					(CASE WHEN CODE_STR = '0111030' THEN C5 ELSE 0 END)
					-(CASE WHEN CODE_STR = '0111040' THEN C5 ELSE 0 END)
				) * @PERCENT_OMS/100
			)
		),		
		@C6N = CONVERT(NUMERIC(18,2),
			(
				SUM( -- 1060 =
					(CASE WHEN CODE_STR = '0111030' THEN C6 ELSE 0 END)
					-(CASE WHEN CODE_STR = '0111040' THEN C6 ELSE 0 END)
				) * @PERCENT_OMS/100
				- (SELECT SUM(C6) FROM #RES2 WHERE CODE_STR = '0111060')
			) / (@PERCENT_OMS/100)
		),
		@C6NS = CONVERT(NUMERIC(18,2),
			(
				SUM( -- 1060 =
					(CASE WHEN CODE_STR = '0111030' THEN C6 ELSE 0 END)
					-(CASE WHEN CODE_STR = '0111040' THEN C6 ELSE 0 END)
				) * @PERCENT_OMS/100
			)
		)					
	FROM #RES2
	WHERE
		CODE_STR IN ('0111030', '0111040')

	IF @SALARY_OPTIONS_OPT6_1 = 1
	BEGIN
		UPDATE #RES2
		SET
			C3 = CASE WHEN @nMONTH3 = 3 THEN ISNULL(@C4NS,0) + ISNULL(@C5NS,0) + ISNULL(@C6NS,0) ELSE ISNULL(@C3NS,0) END,
			C4 = ISNULL(@C4NS,0),
			C5 = ISNULL(@C5NS,0),
			C6 = ISNULL(@C6NS,0)
		WHERE
			CODE_STR = '0111060'
		
	END

--	SELECT @C3N , @C4N, @C5N , @C6N
	--     
	IF @SALARY_OPTIONS_OPT6_1 = 3
	BEGIN
		UPDATE #RES2
		SET
			C3 = CASE WHEN ( select C3 from #RES2 where code_str = '0111030') < ( C3 + ISNULL(@C3N,0)) THEN ( select C3 from #RES2 where code_str = '0111030') ELSE ( C3 + ISNULL(@C3N,0)) END ,
			C4 = CASE WHEN ( select C4 from #RES2 where code_str = '0111030') < ( C4 + ISNULL(@C5N,0)) THEN ( select C4 from #RES2 where code_str = '0111030') ELSE ( C4 + ISNULL(@C4N,0)) END ,
			C5 = CASE WHEN ( select C5 from #RES2 where code_str = '0111030') < ( C5 + ISNULL(@C5N,0)) THEN ( select C5 from #RES2 where code_str = '0111030') ELSE ( C5 + ISNULL(@C5N,0)) END  ,
			C6 =  CASE WHEN ( select C6 from #RES2 where code_str = '0111030') < ( C6 + ISNULL(@C6N,0)) THEN ( select C6 from #RES2 where code_str = '0111030') ELSE ( C6 + ISNULL(@C6N,0)) END			
		WHERE
			CODE_STR = '0111040'
	END		
END		



---------------
/******** 1.3.1          
       ,    1  2 428  
                                     
**********/
--1131
---   ,       
--        (.)   010
INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6)
SELECT '0130010',

	CASE @nMONTH3
		WHEN 3 THEN
			ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 10 and SP = ''	 and  MONTH_BASE <= 3 ) ,0)
		WHEN 6 THEN
			ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 10 and SP = ''	 and  MONTH_BASE <= 6 ) ,0)		
		WHEN 9 THEN
			ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 10  and SP = ''	and  MONTH_BASE <= 9 ) ,0)		
		WHEN 12 THEN
			ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 10  and SP = ''	and  MONTH_BASE <= 12 ) ,0)		
	END,

	ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 10  and SP = ''	and  MONTH_BASE = @nMONTH1) ,0) ,
	ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 10  and SP = ''	and  MONTH_BASE = @nMONTH2) ,0) ,
	ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 10  and SP = ''	and  MONTH_BASE = @nMONTH3) ,0)

--1131
---    ,      .1  - 020
INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6)
SELECT '0130020',
			CASE @nMONTH3
				WHEN 3 THEN
					 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 3 THEN SUMMA_BASE ELSE 0 END) + ISNULL( (SELECT SUM(SUMMA_NO_D1) FROM #SALARY_SUM2 WHERE MON <= 3 ),0) )
				WHEN 6 THEN
					Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 6 THEN SUMMA_BASE ELSE 0 END) + ISNULL( (SELECT SUM(SUMMA_NO_D1) FROM #SALARY_SUM2 WHERE MON <= 6 ),0))
				WHEN 9 THEN
					Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 9 THEN SUMMA_BASE ELSE 0 END) + ISNULL( (SELECT SUM(SUMMA_NO_D1) FROM #SALARY_SUM2 WHERE MON <= 9 ),0))
				WHEN 12 THEN
					Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 12 THEN SUMMA_BASE ELSE 0 END)  + ISNULL( (SELECT SUM(SUMMA_NO_D1) FROM #SALARY_SUM2 WHERE MON <= 12 ),0))
			END,			
			
			 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH1 THEN SUMMA_BASE ELSE 0 END) + ISNULL( (SELECT SUM(SUMMA_NO_D1) FROM #SALARY_SUM2 WHERE MON = @nMONTH1 ),0)),
			 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH2 THEN SUMMA_BASE ELSE 0 END) + ISNULL( (SELECT SUM(SUMMA_NO_D1) FROM #SALARY_SUM2 WHERE MON = @nMONTH2 ),0)),
			 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH3 THEN SUMMA_BASE ELSE 0 END) + ISNULL( (SELECT SUM(SUMMA_NO_D1) FROM #SALARY_SUM2 WHERE MON = @nMONTH3 ),0))
			
FROM #SPR_ESN
WHERE WAY_CALC = 10	 and SP = ''	

--1131
--,      .1 - 030
INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6)
SELECT '0130030',
	
	CASE @nMONTH3
		WHEN 3 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 3 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUMMA_NO_D1) FROM #SALARY_SUM2 WHERE MON <= 3 ),0))
		WHEN 6 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 6 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUMMA_NO_D1) FROM #SALARY_SUM2 WHERE MON <= 6 ),0))
		WHEN 9 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 9 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUMMA_NO_D1) FROM #SALARY_SUM2 WHERE MON <= 9 ),0))
		WHEN 12 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 12 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUMMA_NO_D1) FROM #SALARY_SUM2 WHERE MON <= 12 ),0))
	END,	
	
	 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH1 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUMMA_NO_D1) FROM #SALARY_SUM2 WHERE MON = @nMONTH1 ),0)),
	 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH2 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUMMA_NO_D1) FROM #SALARY_SUM2 WHERE MON = @nMONTH2 ),0)),
	 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH3 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUMMA_NO_D1) FROM #SALARY_SUM2 WHERE MON = @nMONTH3 ),0))

FROM #SPR_ESN
WHERE WAY_CALC = 10	 and SP = ''	


--1131
---       .1 - 050
---*
INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6)
SELECT
	'0130050',
	CASE @nMONTH3
		WHEN 3 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 3 THEN SUMMA ELSE 0 END))
		WHEN 6 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 6 THEN SUMMA ELSE 0 END))
		WHEN 9 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 9 THEN SUMMA ELSE 0 END))
		WHEN 12 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 12 THEN SUMMA ELSE 0 END))
	END,	
	
	 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH1 THEN SUMMA ELSE 0 END)),
	 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH2 THEN SUMMA ELSE 0 END)),
	 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH3 THEN SUMMA ELSE 0 END))

FROM #SPR_ESN
WHERE WAY_CALC = 10 and SP = ''	



/********--1131**********/
/*******  2 *********/

---   ,       
--        (.) .2 -  1010
INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6)
SELECT '0131010',

	CASE @nMONTH3
		WHEN 3 THEN
			ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 11 and SP = ''	 and  MONTH_BASE <= 3 ) ,0)
		WHEN 6 THEN
			ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 11 and SP = ''	and  MONTH_BASE <= 6 ) ,0)		
		WHEN 9 THEN
			ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 11 and SP = ''	and  MONTH_BASE <= 9 ) ,0)		
		WHEN 12 THEN
			ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 11 and SP = ''	and  MONTH_BASE <= 12 ) ,0)		
	END,

	ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 11 and SP = ''	and  MONTH_BASE = @nMONTH1) ,0),
	ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 11 and SP = ''	and  MONTH_BASE = @nMONTH2) ,0),
	ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 11 and SP = ''	and  MONTH_BASE = @nMONTH3) ,0)

--1131
---     ,      .2  -  1020
INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6)
SELECT '0131020',
			CASE @nMONTH3
				WHEN 3 THEN
					 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 3 THEN SUMMA_BASE ELSE 0 END)+ ISNULL( (SELECT SUM(SUMMA_NO_D2) FROM #SALARY_SUM2 WHERE MON <= 3 ),0))
				WHEN 6 THEN
					Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 6 THEN SUMMA_BASE ELSE 0 END)+ ISNULL( (SELECT SUM(SUMMA_NO_D2) FROM #SALARY_SUM2 WHERE MON <= 6 ),0))
				WHEN 9 THEN
					Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 9 THEN SUMMA_BASE ELSE 0 END)+ ISNULL( (SELECT SUM(SUMMA_NO_D2) FROM #SALARY_SUM2 WHERE MON <= 9 ),0))
				WHEN 12 THEN
					Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 12 THEN SUMMA_BASE ELSE 0 END)+ ISNULL( (SELECT SUM(SUMMA_NO_D2) FROM #SALARY_SUM2 WHERE MON <= 12 ),0))
			END,			
			
			 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH1 THEN SUMMA_BASE ELSE 0 END)+ ISNULL( (SELECT SUM(SUMMA_NO_D2) FROM #SALARY_SUM2 WHERE MON = @nMONTH1 ),0)),
			 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH2 THEN SUMMA_BASE ELSE 0 END)+ ISNULL( (SELECT SUM(SUMMA_NO_D2) FROM #SALARY_SUM2 WHERE MON = @nMONTH2 ),0)),
			 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH3 THEN SUMMA_BASE ELSE 0 END)+ ISNULL( (SELECT SUM(SUMMA_NO_D2) FROM #SALARY_SUM2 WHERE MON = @nMONTH3 ),0))
			
FROM #SPR_ESN
WHERE WAY_CALC = 11	 and SP = ''		
--1131
--,      .2   - 1030
INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6)
SELECT '0131030',
	
	CASE @nMONTH3
		WHEN 3 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 3 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUMMA_NO_D2) FROM #SALARY_SUM2 WHERE MON <= 3 ),0))
		WHEN 6 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 6 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUMMA_NO_D2) FROM #SALARY_SUM2 WHERE MON <= 6 ),0))
		WHEN 9 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 9 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUMMA_NO_D2) FROM #SALARY_SUM2 WHERE MON <= 9 ),0))
		WHEN 12 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 12 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUMMA_NO_D2) FROM #SALARY_SUM2 WHERE MON <= 12 ),0))
	END,	
	
	 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH1 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUMMA_NO_D2) FROM #SALARY_SUM2 WHERE MON = @nMONTH1 ),0)),
	 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH2 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUMMA_NO_D2) FROM #SALARY_SUM2 WHERE MON = @nMONTH2 ),0)),
	 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH3 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUMMA_NO_D2) FROM #SALARY_SUM2 WHERE MON = @nMONTH3 ),0))

FROM #SPR_ESN
WHERE WAY_CALC = 11	 and SP = ''	

--1131
---       .2  - 1050
INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6)
SELECT
	'0131050',
	CASE @nMONTH3
		WHEN 3 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 3 THEN SUMMA ELSE 0 END))
		WHEN 6 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 6 THEN SUMMA ELSE 0 END))
		WHEN 9 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 9 THEN SUMMA ELSE 0 END))
		WHEN 12 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 12 THEN SUMMA ELSE 0 END))
	END,	
	
	 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH1 THEN SUMMA ELSE 0 END)),
	 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH2 THEN SUMMA ELSE 0 END)),
	 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH3 THEN SUMMA ELSE 0 END))

FROM #SPR_ESN
WHERE WAY_CALC = 11 and SP = ''	



/******** 1.3.2         
*         ,  
*   3  428    ***********/
--1132_1

/********         1**********/
/*******    - ,    - 4  *****/

--- 4   ,       
--        (.) - 1010
INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6)
SELECT '013211010',

	CASE @nMONTH3
		WHEN 3 THEN
			ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 10 AND SP = '4' and  MONTH_BASE <= 3 ) ,0)
		WHEN 6 THEN
			ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 10 AND SP = '4' and  MONTH_BASE <= 6 ) ,0)		
		WHEN 9 THEN
			ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 10 AND SP = '4' and  MONTH_BASE <= 9 ) ,0)		
		WHEN 12 THEN
			ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 10 AND SP = '4' and  MONTH_BASE <= 12 ) ,0)		
	END,

	ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 10 AND SP = '4' and  MONTH_BASE = @nMONTH1) ,0) ,
	ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 10 AND SP = '4' and  MONTH_BASE = @nMONTH2) ,0) ,
	ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 10 AND SP = '4' and  MONTH_BASE = @nMONTH3) ,0)

---4     ,      - 1020

INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6)
SELECT '013211020',
			CASE @nMONTH3
				WHEN 3 THEN
					 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 3 THEN SUMMA_BASE ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D1_O4) FROM #SALARY_SUM2 WHERE MON <= 3 ),0))
				WHEN 6 THEN
					Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 6 THEN SUMMA_BASE ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D1_O4) FROM #SALARY_SUM2 WHERE MON <= 6),0))
				WHEN 9 THEN
					Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 9 THEN SUMMA_BASE ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D1_O4) FROM #SALARY_SUM2 WHERE MON <= 9 ),0))
				WHEN 12 THEN
					Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 12 THEN SUMMA_BASE ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D1_O4) FROM #SALARY_SUM2 WHERE MON <= 12 ),0))
			END,			
			
			 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH1 THEN SUMMA_BASE ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D1_O4) FROM #SALARY_SUM2 WHERE MON = @nMONTH1 ),0)),
			 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH2 THEN SUMMA_BASE ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D1_O4) FROM #SALARY_SUM2 WHERE MON = @nMONTH2 ),0)),
			 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH3 THEN SUMMA_BASE ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D1_O4) FROM #SALARY_SUM2 WHERE MON = @nMONTH3),0))
			
FROM #SPR_ESN
WHERE WAY_CALC = 10	AND SP = '4'	


--4 ,       - 1030
INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6)
SELECT '013211030',
	
	CASE @nMONTH3
		WHEN 3 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 3 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D1_O4) FROM #SALARY_SUM2 WHERE MON <= 3 ),0))
		WHEN 6 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 6 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D1_O4) FROM #SALARY_SUM2 WHERE MON <= 6 ),0))
		WHEN 9 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 9 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D1_O4) FROM #SALARY_SUM2 WHERE MON <= 9 ),0))
		WHEN 12 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 12 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D1_O4) FROM #SALARY_SUM2 WHERE MON <= 12 ),0))
	END,	
	
	 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH1 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D1_O4) FROM #SALARY_SUM2 WHERE MON = @nMONTH1 ),0)),
	 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH2 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D1_O4) FROM #SALARY_SUM2 WHERE MON = @nMONTH2 ),0)),
	 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH3 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D1_O4) FROM #SALARY_SUM2 WHERE MON = @nMONTH3 ),0))

FROM #SPR_ESN
WHERE WAY_CALC = 10	AND SP = '4'

---***4        - 1050
INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6)
SELECT
	'013211050',
	CASE @nMONTH3
		WHEN 3 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 3 THEN SUMMA ELSE 0 END))
		WHEN 6 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 6 THEN SUMMA ELSE 0 END))
		WHEN 9 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 9 THEN SUMMA ELSE 0 END))
		WHEN 12 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 12 THEN SUMMA ELSE 0 END))
	END,	
	
	 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH1 THEN SUMMA ELSE 0 END)),
	 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH2 THEN SUMMA ELSE 0 END)),
	 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH3 THEN SUMMA ELSE 0 END))

FROM #SPR_ESN
WHERE WAY_CALC = 10 AND SP = '4'

/********         1**********/
/*******    - ,    - 3.4  *****/

--- ***3.4   ,             (.) - 2010
INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6)
SELECT '013212010',

	CASE @nMONTH3
		WHEN 3 THEN
			ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 10	 AND SP = '3.4' and  MONTH_BASE <= 3 ) ,0)
		WHEN 6 THEN
			ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 10	 AND SP = '3.4' and  MONTH_BASE <= 6 ) ,0)		
		WHEN 9 THEN
			ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 10	 AND SP = '3.4' and  MONTH_BASE <= 9 ) ,0)		
		WHEN 12 THEN
			ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 10	 AND SP = '3.4' and  MONTH_BASE <= 12 ) ,0)		
	END,

	ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 10	 AND SP = '3.4' and  MONTH_BASE = @nMONTH1) ,0),
	ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 10	 AND SP = '3.4' and  MONTH_BASE = @nMONTH2) ,0),
	ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 10	 AND SP = '3.4' and  MONTH_BASE = @nMONTH3) ,0)



--- 3.4     ,      - 2020
INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6)
SELECT '013212020',
			CASE @nMONTH3
				WHEN 3 THEN
					 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 3 THEN SUMMA_BASE ELSE 0 END)+ ISNULL( (SELECT SUM(SUM_NO_D1_B34) FROM #SALARY_SUM2 WHERE MON <= 3 ),0))
				WHEN 6 THEN
					Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 6 THEN SUMMA_BASE ELSE 0 END)+ ISNULL( (SELECT SUM(SUM_NO_D1_B34) FROM #SALARY_SUM2 WHERE MON <= 6 ),0))
				WHEN 9 THEN
					Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 9 THEN SUMMA_BASE ELSE 0 END)+ ISNULL( (SELECT SUM(SUM_NO_D1_B34) FROM #SALARY_SUM2 WHERE MON <= 9 ),0))
				WHEN 12 THEN
					Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 12 THEN SUMMA_BASE ELSE 0 END)+ ISNULL( (SELECT SUM(SUM_NO_D1_B34) FROM #SALARY_SUM2 WHERE MON <= 12 ),0))
			END,			
			
			 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH1 THEN SUMMA_BASE ELSE 0 END)+ ISNULL( (SELECT SUM(SUM_NO_D1_B34) FROM #SALARY_SUM2 WHERE MON = @nMONTH1 ),0)),
			 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH2 THEN SUMMA_BASE ELSE 0 END)+ ISNULL( (SELECT SUM(SUM_NO_D1_B34) FROM #SALARY_SUM2 WHERE MON = @nMONTH2 ),0)),
			 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH3 THEN SUMMA_BASE ELSE 0 END)+ ISNULL( (SELECT SUM(SUM_NO_D1_B34) FROM #SALARY_SUM2 WHERE MON = @nMONTH3 ),0))
			
FROM #SPR_ESN
WHERE WAY_CALC = 10	 AND SP = '3.4'	

--- 3.4 ,       - 2030
INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6)
SELECT '013212030',
	
	CASE @nMONTH3
		WHEN 3 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 3 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D1_B34) FROM #SALARY_SUM2 WHERE MON <= 3 ),0))
		WHEN 6 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 6 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D1_B34) FROM #SALARY_SUM2 WHERE MON <= 6 ),0))
		WHEN 9 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 9 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D1_B34) FROM #SALARY_SUM2 WHERE MON <= 9 ),0))
		WHEN 12 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 12 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D1_B34) FROM #SALARY_SUM2 WHERE MON <= 12 ),0))
	END,	
	
	 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH1 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D1_B34) FROM #SALARY_SUM2 WHERE MON = @nMONTH1 ),0)),
	 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH2 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D1_B34) FROM #SALARY_SUM2 WHERE MON = @nMONTH2 ),0)),
	 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH3 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D1_B34) FROM #SALARY_SUM2 WHERE MON = @nMONTH3 ),0))

FROM #SPR_ESN
WHERE WAY_CALC = 10	 AND SP = '3.4'	

---3.4        - 2050
INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6)
SELECT
	'013212050',
	CASE @nMONTH3
		WHEN 3 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 3 THEN SUMMA ELSE 0 END))
		WHEN 6 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 6 THEN SUMMA ELSE 0 END))
		WHEN 9 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 9 THEN SUMMA ELSE 0 END))
		WHEN 12 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 12 THEN SUMMA ELSE 0 END))
	END,	
	
	 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH1 THEN SUMMA ELSE 0 END)),
	 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH2 THEN SUMMA ELSE 0 END)),
	 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH3 THEN SUMMA ELSE 0 END))

FROM #SPR_ESN
WHERE WAY_CALC = 10	 AND SP = '3.4'


/********         1**********/
/*******   - ,    - 3.3  ******/

---3.3   ,             (.) - 3010
INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6)
SELECT '013213010',

	CASE @nMONTH3
		WHEN 3 THEN
			ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 10 AND SP = '3.3' and  MONTH_BASE <= 3 ) ,0)
		WHEN 6 THEN
			ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 10 AND SP = '3.3' and  MONTH_BASE <= 6 ) ,0)		
		WHEN 9 THEN
			ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 10 AND SP = '3.3' and  MONTH_BASE <= 9 ) ,0)		
		WHEN 12 THEN
			ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 10 AND SP = '3.3' and  MONTH_BASE <= 12 ) ,0)		
	END,

	ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 10 AND SP = '3.3' and  MONTH_BASE = @nMONTH1) ,0) ,
	ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 10 AND SP = '3.3' and  MONTH_BASE = @nMONTH2) ,0) ,
	ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 10 AND SP = '3.3' and  MONTH_BASE = @nMONTH3) ,0)



--- 3.3     ,       - 3020

INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6)
SELECT '013213020',
			CASE @nMONTH3
				WHEN 3 THEN
					 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 3 THEN SUMMA_BASE ELSE 0 END)+ ISNULL( (SELECT SUM(SUM_NO_D1_B33) FROM #SALARY_SUM2 WHERE MON <= 3 ),0))
				WHEN 6 THEN
					Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 6 THEN SUMMA_BASE ELSE 0 END)+ ISNULL( (SELECT SUM(SUM_NO_D1_B33) FROM #SALARY_SUM2 WHERE MON <= 6 ),0))
				WHEN 9 THEN
					Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 9 THEN SUMMA_BASE ELSE 0 END)+ ISNULL( (SELECT SUM(SUM_NO_D1_B33) FROM #SALARY_SUM2 WHERE MON <= 9 ),0))
				WHEN 12 THEN
					Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 12 THEN SUMMA_BASE ELSE 0 END)+ ISNULL( (SELECT SUM(SUM_NO_D1_B33) FROM #SALARY_SUM2 WHERE MON <= 12 ),0))
			END,			
			
			 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH1 THEN SUMMA_BASE ELSE 0 END)+ ISNULL( (SELECT SUM(SUM_NO_D1_B33) FROM #SALARY_SUM2 WHERE MON = @nMONTH1 ),0)),
			 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH2 THEN SUMMA_BASE ELSE 0 END)+ ISNULL( (SELECT SUM(SUM_NO_D1_B33) FROM #SALARY_SUM2 WHERE MON = @nMONTH2 ),0)),
			 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH3 THEN SUMMA_BASE ELSE 0 END)+ ISNULL( (SELECT SUM(SUM_NO_D1_B33) FROM #SALARY_SUM2 WHERE MON = @nMONTH3 ),0))
			
FROM #SPR_ESN
WHERE WAY_CALC = 10	AND SP = '3.3'	

--3.3 ,      - 3030
INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6)
SELECT '013213030',
	
	CASE @nMONTH3
		WHEN 3 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 3 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D1_B33) FROM #SALARY_SUM2 WHERE MON <= 3 ),0))
		WHEN 6 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 6 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D1_B33) FROM #SALARY_SUM2 WHERE MON <= 6 ),0))
		WHEN 9 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 9 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D1_B33) FROM #SALARY_SUM2 WHERE MON <= 9 ),0))
		WHEN 12 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 12 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D1_B33) FROM #SALARY_SUM2 WHERE MON <= 12 ),0))
	END,	
	
	 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH1 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D1_B33) FROM #SALARY_SUM2 WHERE MON = @nMONTH1 ),0)),
	 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH2 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D1_B33) FROM #SALARY_SUM2 WHERE MON = @nMONTH2 ),0)),
	 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH3 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D1_B33) FROM #SALARY_SUM2 WHERE MON = @nMONTH3 ),0))

FROM #SPR_ESN
WHERE WAY_CALC = 10	AND SP = '3.3'


---*3.3        - 3050
INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6)
SELECT
	'013213050',
	CASE @nMONTH3
		WHEN 3 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 3 THEN SUMMA ELSE 0 END))
		WHEN 6 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 6 THEN SUMMA ELSE 0 END))
		WHEN 9 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 9 THEN SUMMA ELSE 0 END))
		WHEN 12 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 12 THEN SUMMA ELSE 0 END))
	END,	
	
	 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH1 THEN SUMMA ELSE 0 END)),
	 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH2 THEN SUMMA ELSE 0 END)),
	 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH3 THEN SUMMA ELSE 0 END))

FROM #SPR_ESN
WHERE WAY_CALC = 10 AND SP = '3.3'


/********         1**********/
/*******   - ,    - 3.2 *****/
--- 3.2   ,             (.) - 4010
INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6)
SELECT '013214010',

	CASE @nMONTH3
		WHEN 3 THEN
			ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 10	 AND SP = '3.2' and  MONTH_BASE <= 3 ) ,0)
		WHEN 6 THEN
			ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 10	 AND SP = '3.2' and  MONTH_BASE <= 6 ) ,0)		
		WHEN 9 THEN
			ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 10	 AND SP = '3.2' and  MONTH_BASE <= 9 ) ,0)		
		WHEN 12 THEN
			ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 10	 AND SP = '3.2' and  MONTH_BASE <= 12 ) ,0)		
	END,

	ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 10	 AND SP = '3.2' and  MONTH_BASE = @nMONTH1) ,0),
	ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 10	 AND SP = '3.2' and  MONTH_BASE = @nMONTH2) ,0),
	ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 10	 AND SP = '3.2' and  MONTH_BASE = @nMONTH3) ,0)



--- 3.2     ,      - 4020
INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6)
SELECT '013214020',
			CASE @nMONTH3
				WHEN 3 THEN
					 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 3 THEN SUMMA_BASE ELSE 0 END)+ ISNULL( (SELECT SUM(SUM_NO_D1_B32) FROM #SALARY_SUM2 WHERE MON <= 3 ),0))
				WHEN 6 THEN
					Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 6 THEN SUMMA_BASE ELSE 0 END)+ ISNULL( (SELECT SUM(SUM_NO_D1_B32) FROM #SALARY_SUM2 WHERE MON <= 6 ),0))
				WHEN 9 THEN
					Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 9 THEN SUMMA_BASE ELSE 0 END)+ ISNULL( (SELECT SUM(SUM_NO_D1_B32) FROM #SALARY_SUM2 WHERE MON <= 9 ),0))
				WHEN 12 THEN
					Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 12 THEN SUMMA_BASE ELSE 0 END)+ ISNULL( (SELECT SUM(SUM_NO_D1_B32) FROM #SALARY_SUM2 WHERE MON <= 12 ),0))
			END,			
			
			 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH1 THEN SUMMA_BASE ELSE 0 END)+ ISNULL( (SELECT SUM(SUM_NO_D1_B32) FROM #SALARY_SUM2 WHERE MON = @nMONTH1 ),0)),
			 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH2 THEN SUMMA_BASE ELSE 0 END)+ ISNULL( (SELECT SUM(SUM_NO_D1_B32) FROM #SALARY_SUM2 WHERE MON = @nMONTH2 ),0)),
			 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH3 THEN SUMMA_BASE ELSE 0 END)+ ISNULL( (SELECT SUM(SUM_NO_D1_B32) FROM #SALARY_SUM2 WHERE MON = @nMONTH3 ),0))
			
FROM #SPR_ESN
WHERE WAY_CALC = 10	 AND SP = '3.2'	

--3.2 ,       - 4030
INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6)
SELECT '013214030',
	
	CASE @nMONTH3
		WHEN 3 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 3 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D1_B32) FROM #SALARY_SUM2 WHERE MON <= 3 ),0))
		WHEN 6 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 6 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D1_B32) FROM #SALARY_SUM2 WHERE MON <= 6 ),0))
		WHEN 9 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 9 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D1_B32) FROM #SALARY_SUM2 WHERE MON <= 9 ),0))
		WHEN 12 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 12 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D1_B32) FROM #SALARY_SUM2 WHERE MON <= 12 ),0))
	END,	
	
	 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH1 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D1_B32) FROM #SALARY_SUM2 WHERE MON = @nMONTH1 ),0)),
	 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH2 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D1_B32) FROM #SALARY_SUM2 WHERE MON = @nMONTH2 ),0)),
	 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH3 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D1_B32) FROM #SALARY_SUM2 WHERE MON = @nMONTH3 ),0))

FROM #SPR_ESN
WHERE WAY_CALC = 10	 AND SP = '3.2'	

---*3.2        - 4050
INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6)
SELECT
	'013214050',
	CASE @nMONTH3
		WHEN 3 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 3 THEN SUMMA ELSE 0 END))
		WHEN 6 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 6 THEN SUMMA ELSE 0 END))
		WHEN 9 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 9 THEN SUMMA ELSE 0 END))
		WHEN 12 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 12 THEN SUMMA ELSE 0 END))
	END,	
	
	 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH1 THEN SUMMA ELSE 0 END)),
	 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH2 THEN SUMMA ELSE 0 END)),
	 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH3 THEN SUMMA ELSE 0 END))

FROM #SPR_ESN
WHERE WAY_CALC = 10	 AND SP = '3.2'


/*******    - ,    - 3.1 *****/
-- 3.1   ,             (.) - 5010
INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6)
SELECT '013215010',

	CASE @nMONTH3
		WHEN 3 THEN
			ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 10	 AND SP = '3.1' and  MONTH_BASE <= 3 ) ,0)
		WHEN 6 THEN
			ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 10	 AND SP = '3.1' and  MONTH_BASE <= 6 ) ,0)		
		WHEN 9 THEN
			ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 10	 AND SP = '3.1' and  MONTH_BASE <= 9 ) ,0)		
		WHEN 12 THEN
			ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 10	 AND SP = '3.1' and  MONTH_BASE <= 12 ) ,0)		
	END,

	ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 10	 AND SP = '3.1' and  MONTH_BASE = @nMONTH1) ,0),
	ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 10	 AND SP = '3.1' and  MONTH_BASE = @nMONTH2) ,0),
	ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 10	 AND SP = '3.1' and  MONTH_BASE = @nMONTH3) ,0)



--- 3.1     ,      - 5020
INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6)
SELECT '013215020',
			CASE @nMONTH3
				WHEN 3 THEN
					 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 3 THEN SUMMA_BASE ELSE 0 END)+ ISNULL( (SELECT SUM(SUM_NO_D1_B31) FROM #SALARY_SUM2 WHERE MON <= 3 ),0))
				WHEN 6 THEN
					Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 6 THEN SUMMA_BASE ELSE 0 END)+ ISNULL( (SELECT SUM(SUM_NO_D1_B31) FROM #SALARY_SUM2 WHERE MON <= 6 ),0))
				WHEN 9 THEN
					Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 9 THEN SUMMA_BASE ELSE 0 END)+ ISNULL( (SELECT SUM(SUM_NO_D1_B31) FROM #SALARY_SUM2 WHERE MON <= 9 ),0))
				WHEN 12 THEN
					Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 12 THEN SUMMA_BASE ELSE 0 END)+ ISNULL( (SELECT SUM(SUM_NO_D1_B31) FROM #SALARY_SUM2 WHERE MON <= 12 ),0))
			END,			
			
			 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH1 THEN SUMMA_BASE ELSE 0 END)+ ISNULL( (SELECT SUM(SUM_NO_D1_B31) FROM #SALARY_SUM2 WHERE MON = @nMONTH1 ),0)),
			 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH2 THEN SUMMA_BASE ELSE 0 END)+ ISNULL( (SELECT SUM(SUM_NO_D1_B31) FROM #SALARY_SUM2 WHERE MON = @nMONTH2 ),0)),
			 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH3 THEN SUMMA_BASE ELSE 0 END)+ ISNULL( (SELECT SUM(SUM_NO_D1_B31) FROM #SALARY_SUM2 WHERE MON = @nMONTH3 ),0))
			
FROM #SPR_ESN
WHERE WAY_CALC = 10	 AND SP = '3.1'	

--3.1 ,       - 5030
INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6)
SELECT '013215030',
	
	CASE @nMONTH3
		WHEN 3 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 3 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D1_B31) FROM #SALARY_SUM2 WHERE MON <= 3 ),0))
		WHEN 6 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 6 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D1_B31) FROM #SALARY_SUM2 WHERE MON <= 6 ),0))
		WHEN 9 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 9 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D1_B31) FROM #SALARY_SUM2 WHERE MON <= 9 ),0))
		WHEN 12 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 12 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D1_B31) FROM #SALARY_SUM2 WHERE MON <= 12 ),0))
	END,	
	
	 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH1 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D1_B31) FROM #SALARY_SUM2 WHERE MON = @nMONTH1 ),0)),
	 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH2 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D1_B31) FROM #SALARY_SUM2 WHERE MON = @nMONTH2 ),0)),
	 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH3 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D1_B31) FROM #SALARY_SUM2 WHERE MON = @nMONTH3 ),0))

FROM #SPR_ESN
WHERE WAY_CALC = 10	 AND SP = '3.1'	


---*3.1        - 5050
INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6)
SELECT
	'013215050',
	CASE @nMONTH3
		WHEN 3 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 3 THEN SUMMA ELSE 0 END))
		WHEN 6 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 6 THEN SUMMA ELSE 0 END))
		WHEN 9 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 9 THEN SUMMA ELSE 0 END))
		WHEN 12 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 12 THEN SUMMA ELSE 0 END))
	END,	
	
	 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH1 THEN SUMMA ELSE 0 END)),
	 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH2 THEN SUMMA ELSE 0 END)),
	 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH3 THEN SUMMA ELSE 0 END))

FROM #SPR_ESN
WHERE WAY_CALC = 10	 AND SP = '3.1'



/********         2**********/
/******** 1.3.2         
*                ,  
*          3  428    ***********/
/*******    - ,    - 4  ******/

--- 4   ,             (.) - 1010
INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6)
SELECT '013221010',

	CASE @nMONTH3
		WHEN 3 THEN
			ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 11 AND SP = '4' and  MONTH_BASE <= 3 ) ,0)
		WHEN 6 THEN
			ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 11 AND SP = '4' and  MONTH_BASE <= 6 ) ,0)		
		WHEN 9 THEN
			ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 11 AND SP = '4' and  MONTH_BASE <= 9 ) ,0)		
		WHEN 12 THEN
			ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 11 AND SP = '4' and  MONTH_BASE <= 12 ) ,0)		
	END,

	ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 11 AND SP = '4' and  MONTH_BASE = @nMONTH1) ,0) ,
	ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 11 AND SP = '4' and  MONTH_BASE = @nMONTH2) ,0) ,
	ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 11 AND SP = '4' and  MONTH_BASE = @nMONTH3) ,0)


--- 4     ,      - 1020

INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6)
SELECT '013221020',
			CASE @nMONTH3
				WHEN 3 THEN
					 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 3 THEN SUMMA_BASE ELSE 0 END)+ ISNULL( (SELECT SUM(SUM_NO_D2_O4) FROM #SALARY_SUM2 WHERE MON <= 3 ),0))
				WHEN 6 THEN
					Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 6 THEN SUMMA_BASE ELSE 0 END)+ ISNULL( (SELECT SUM(SUM_NO_D2_O4) FROM #SALARY_SUM2 WHERE MON <= 6 ),0))
				WHEN 9 THEN
					Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 9 THEN SUMMA_BASE ELSE 0 END)+ ISNULL( (SELECT SUM(SUM_NO_D2_O4) FROM #SALARY_SUM2 WHERE MON <= 9 ),0))
				WHEN 12 THEN
					Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 12 THEN SUMMA_BASE ELSE 0 END)+ ISNULL( (SELECT SUM(SUM_NO_D2_O4) FROM #SALARY_SUM2 WHERE MON <= 12 ),0))
			END,			
			
			 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH1 THEN SUMMA_BASE ELSE 0 END)+ ISNULL( (SELECT SUM(SUM_NO_D2_O4) FROM #SALARY_SUM2 WHERE MON = @nMONTH1 ),0)),
			 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH2 THEN SUMMA_BASE ELSE 0 END)+ ISNULL( (SELECT SUM(SUM_NO_D2_O4) FROM #SALARY_SUM2 WHERE MON = @nMONTH2 ),0)),
			 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH3 THEN SUMMA_BASE ELSE 0 END)+ ISNULL( (SELECT SUM(SUM_NO_D2_O4) FROM #SALARY_SUM2 WHERE MON = @nMONTH3 ),0))
			
FROM #SPR_ESN
WHERE WAY_CALC = 11	AND SP = '4'	



--4 ,       - 1030
INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6)
SELECT '013221030',
	
	CASE @nMONTH3
		WHEN 3 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 3 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D2_O4) FROM #SALARY_SUM2 WHERE MON <= 3 ),0))
		WHEN 6 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 6 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D2_O4) FROM #SALARY_SUM2 WHERE MON <= 6 ),0))
		WHEN 9 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 9 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D2_O4) FROM #SALARY_SUM2 WHERE MON <= 9 ),0))
		WHEN 12 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 12 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D2_O4) FROM #SALARY_SUM2 WHERE MON <= 12 ),0))
	END,	
	
	 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH1 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D2_O4) FROM #SALARY_SUM2 WHERE MON = @nMONTH1 ),0)),
	 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH2 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D2_O4) FROM #SALARY_SUM2 WHERE MON = @nMONTH2 ),0)),
	 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH3 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D2_O4) FROM #SALARY_SUM2 WHERE MON = @nMONTH3 ),0))

FROM #SPR_ESN
WHERE WAY_CALC = 11	AND SP = '4'


---4        - 1050
INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6)
SELECT
	'013221050',
	CASE @nMONTH3
		WHEN 3 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 3 THEN SUMMA ELSE 0 END))
		WHEN 6 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 6 THEN SUMMA ELSE 0 END))
		WHEN 9 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 9 THEN SUMMA ELSE 0 END))
		WHEN 12 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 12 THEN SUMMA ELSE 0 END))
	END,	
	
	 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH1 THEN SUMMA ELSE 0 END)),
	 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH2 THEN SUMMA ELSE 0 END)),
	 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH3 THEN SUMMA ELSE 0 END))

FROM #SPR_ESN
WHERE WAY_CALC = 11 AND SP = '4'



/********         2**********/
/*******    - ,    - 3.4  *****/

--- 3.4   ,             (.)  -  2010
INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6)
SELECT '013222010',

	CASE @nMONTH3
		WHEN 3 THEN
			ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 11	 AND SP = '3.4' and  MONTH_BASE <= 3 ) ,0)
		WHEN 6 THEN
			ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 11	 AND SP = '3.4' and  MONTH_BASE <= 6 ) ,0)		
		WHEN 9 THEN
			ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 11	 AND SP = '3.4' and  MONTH_BASE <= 9 ) ,0)		
		WHEN 12 THEN
			ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 11	 AND SP = '3.4' and  MONTH_BASE <= 12 ) ,0)		
	END,

	ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 11	 AND SP = '3.4' and  MONTH_BASE = @nMONTH1) ,0),
	ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 11	 AND SP = '3.4' and  MONTH_BASE = @nMONTH2) ,0),
	ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 11	 AND SP = '3.4' and  MONTH_BASE = @nMONTH3) ,0)



--- 3.4     ,      - 2020
INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6)
SELECT '013222020',
			CASE @nMONTH3
				WHEN 3 THEN
					 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 3 THEN SUMMA_BASE ELSE 0 END)+ ISNULL( (SELECT SUM(SUM_NO_D2_B34) FROM #SALARY_SUM2 WHERE MON <= 3 ),0))
				WHEN 6 THEN
					Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 6 THEN SUMMA_BASE ELSE 0 END)+ ISNULL( (SELECT SUM(SUM_NO_D2_B34) FROM #SALARY_SUM2 WHERE MON <= 6 ),0))
				WHEN 9 THEN
					Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 9 THEN SUMMA_BASE ELSE 0 END)+ ISNULL( (SELECT SUM(SUM_NO_D2_B34) FROM #SALARY_SUM2 WHERE MON <= 9 ),0))
				WHEN 12 THEN
					Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 12 THEN SUMMA_BASE ELSE 0 END)+ ISNULL( (SELECT SUM(SUM_NO_D2_B34) FROM #SALARY_SUM2 WHERE MON <= 12 ),0))
			END,			
			
			 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH1 THEN SUMMA_BASE ELSE 0 END)+ ISNULL( (SELECT SUM(SUM_NO_D2_B34) FROM #SALARY_SUM2 WHERE MON = @nMONTH1 ),0)),
			 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH2 THEN SUMMA_BASE ELSE 0 END)+ ISNULL( (SELECT SUM(SUM_NO_D2_B34) FROM #SALARY_SUM2 WHERE MON = @nMONTH2 ),0)),
			 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH3 THEN SUMMA_BASE ELSE 0 END)+ ISNULL( (SELECT SUM(SUM_NO_D2_B34) FROM #SALARY_SUM2 WHERE MON = @nMONTH3 ),0))
			
FROM #SPR_ESN
WHERE WAY_CALC = 11	 AND SP = '3.4'	

--3.4 ,      - 2030
INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6)
SELECT '013222030',
	
	CASE @nMONTH3
		WHEN 3 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 3 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D2_B34) FROM #SALARY_SUM2 WHERE MON <= 3 ),0))
		WHEN 6 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 6 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D2_B34) FROM #SALARY_SUM2 WHERE MON <= 6 ),0))
		WHEN 9 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 9 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D2_B34) FROM #SALARY_SUM2 WHERE MON <= 9 ),0))
		WHEN 12 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 12 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D2_B34) FROM #SALARY_SUM2 WHERE MON <= 12 ),0))
	END,	
	
	 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH1 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D2_B34) FROM #SALARY_SUM2 WHERE MON = @nMONTH1 ),0)),
	 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH2 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D2_B34) FROM #SALARY_SUM2 WHERE MON = @nMONTH2 ),0)),
	 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH3 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D2_B34) FROM #SALARY_SUM2 WHERE MON = @nMONTH3 ),0))

FROM #SPR_ESN
WHERE WAY_CALC = 11	 AND SP = '3.4'	



---*3.4      ,  - 2050
INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6)
SELECT
	'013222050',
	CASE @nMONTH3
		WHEN 3 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 3 THEN SUMMA ELSE 0 END))
		WHEN 6 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 6 THEN SUMMA ELSE 0 END))
		WHEN 9 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 9 THEN SUMMA ELSE 0 END))
		WHEN 12 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 12 THEN SUMMA ELSE 0 END))
	END,	
	
	 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH1 THEN SUMMA ELSE 0 END)),
	 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH2 THEN SUMMA ELSE 0 END)),
	 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH3 THEN SUMMA ELSE 0 END))

FROM #SPR_ESN
WHERE WAY_CALC = 11	 AND SP = '3.4'



/*******   - ,    - 3.3  ******/

--3.3   ,             (.) - 3010
INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6)
SELECT '013223010',

	CASE @nMONTH3
		WHEN 3 THEN
			ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 11 AND SP = '3.3' and  MONTH_BASE <= 3 ) ,0)
		WHEN 6 THEN
			ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 11 AND SP = '3.3' and  MONTH_BASE <= 6 ) ,0)		
		WHEN 9 THEN
			ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 11 AND SP = '3.3' and  MONTH_BASE <= 9 ) ,0)		
		WHEN 12 THEN
			ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 11 AND SP = '3.3' and  MONTH_BASE <= 12 ) ,0)		
	END,

	ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 11 AND SP = '3.3' and  MONTH_BASE = @nMONTH1) ,0) ,
	ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 11 AND SP = '3.3' and  MONTH_BASE = @nMONTH2) ,0) ,
	ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 11 AND SP = '3.3' and  MONTH_BASE = @nMONTH3) ,0)

-- 3.3     ,      - 3020

INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6)
SELECT '013223020',
			CASE @nMONTH3
				WHEN 3 THEN
					 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 3 THEN SUMMA_BASE ELSE 0 END)+ ISNULL( (SELECT SUM(SUM_NO_D2_B33) FROM #SALARY_SUM2 WHERE MON <= 3 ),0))
				WHEN 6 THEN
					Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 6 THEN SUMMA_BASE ELSE 0 END)+ ISNULL( (SELECT SUM(SUM_NO_D2_B33) FROM #SALARY_SUM2 WHERE MON <= 6 ),0))
				WHEN 9 THEN
					Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 9 THEN SUMMA_BASE ELSE 0 END)+ ISNULL( (SELECT SUM(SUM_NO_D2_B33) FROM #SALARY_SUM2 WHERE MON <= 9 ),0))
				WHEN 12 THEN
					Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 12 THEN SUMMA_BASE ELSE 0 END)+ ISNULL( (SELECT SUM(SUM_NO_D2_B33) FROM #SALARY_SUM2 WHERE MON <= 12 ),0))
			END,			
			
			 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH1 THEN SUMMA_BASE ELSE 0 END)+ ISNULL( (SELECT SUM(SUM_NO_D2_B33) FROM #SALARY_SUM2 WHERE MON = @nMONTH1 ),0)),
			 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH2 THEN SUMMA_BASE ELSE 0 END)+ ISNULL( (SELECT SUM(SUM_NO_D2_B33) FROM #SALARY_SUM2 WHERE MON = @nMONTH2 ),0)),
			 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH3 THEN SUMMA_BASE ELSE 0 END)+ ISNULL( (SELECT SUM(SUM_NO_D2_B33) FROM #SALARY_SUM2 WHERE MON = @nMONTH3 ),0))
			
FROM #SPR_ESN
WHERE WAY_CALC = 11	AND SP = '3.3'	

--3.3 ,      - 3030 
INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6)
SELECT '013223030',
	
	CASE @nMONTH3
		WHEN 3 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 3 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D2_B33) FROM #SALARY_SUM2 WHERE MON <= 3 ),0))
		WHEN 6 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 6 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D2_B33) FROM #SALARY_SUM2 WHERE MON <= 6 ),0))
		WHEN 9 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 9 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D2_B33) FROM #SALARY_SUM2 WHERE MON <= 9 ),0))
		WHEN 12 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 12 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D2_B33) FROM #SALARY_SUM2 WHERE MON <= 12 ),0))
	END,	
	
	 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH1 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D2_B33) FROM #SALARY_SUM2 WHERE MON = @nMONTH1 ),0)),
	 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH2 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D2_B33) FROM #SALARY_SUM2 WHERE MON = @nMONTH2 ),0)),
	 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH3 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D2_B33) FROM #SALARY_SUM2 WHERE MON = @nMONTH3 ),0))

FROM #SPR_ESN
WHERE WAY_CALC = 10	AND SP = '3.3'

---*3.3        - 3050
INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6)
SELECT
	'013223050',
	CASE @nMONTH3
		WHEN 3 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 3 THEN SUMMA ELSE 0 END))
		WHEN 6 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 6 THEN SUMMA ELSE 0 END))
		WHEN 9 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 9 THEN SUMMA ELSE 0 END))
		WHEN 12 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 12 THEN SUMMA ELSE 0 END))
	END,	
	
	 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH1 THEN SUMMA ELSE 0 END)),
	 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH2 THEN SUMMA ELSE 0 END)),
	 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH3 THEN SUMMA ELSE 0 END))

FROM #SPR_ESN
WHERE WAY_CALC = 11 AND SP = '3.3'



/********         2**********/
/*******   - ,    - 3.2 *****/

--- 3.2   ,             (.) - 4010
INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6)
SELECT '013224010',

	CASE @nMONTH3
		WHEN 3 THEN
			ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 11	 AND SP = '3.2' and  MONTH_BASE <= 3 ) ,0)
		WHEN 6 THEN
			ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 11	 AND SP = '3.2' and  MONTH_BASE <= 6 ) ,0)		
		WHEN 9 THEN
			ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 11	 AND SP = '3.2' and  MONTH_BASE <= 9 ) ,0)		
		WHEN 12 THEN
			ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 11	 AND SP = '3.2' and  MONTH_BASE <= 12 ) ,0)		
	END,

	ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 11 AND SP = '3.2' and  MONTH_BASE = @nMONTH1) ,0),
	ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 11 AND SP = '3.2' and  MONTH_BASE = @nMONTH2) ,0),
	ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 11 AND SP = '3.2' and  MONTH_BASE = @nMONTH3) ,0)


--- 3.2     ,      - 4020
INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6)
SELECT '013224020',
			CASE @nMONTH3
				WHEN 3 THEN
					 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 3 THEN SUMMA_BASE ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D2_B32) FROM #SALARY_SUM2 WHERE MON <= 3 ),0))
				WHEN 6 THEN
					Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 6 THEN SUMMA_BASE ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D2_B32) FROM #SALARY_SUM2 WHERE MON <= 6 ),0))
				WHEN 9 THEN
					Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 9 THEN SUMMA_BASE ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D2_B32) FROM #SALARY_SUM2 WHERE MON <= 9 ),0))
				WHEN 12 THEN
					Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 12 THEN SUMMA_BASE ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D2_B32) FROM #SALARY_SUM2 WHERE MON <= 12 ),0))
			END,			
			
			 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH1 THEN SUMMA_BASE ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D2_B32) FROM #SALARY_SUM2 WHERE MON = @nMONTH1 ),0)),
			 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH2 THEN SUMMA_BASE ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D2_B32) FROM #SALARY_SUM2 WHERE MON = @nMONTH2 ),0)),
			 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH3 THEN SUMMA_BASE ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D2_B32) FROM #SALARY_SUM2 WHERE MON = @nMONTH3 ),0))
			
FROM #SPR_ESN
WHERE WAY_CALC = 11	 AND SP = '3.2'	

--3.2 ,      - 4030
INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6)
SELECT '013224030',
	
	CASE @nMONTH3
		WHEN 3 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 3 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D2_B32) FROM #SALARY_SUM2 WHERE MON <= 3 ),0))
		WHEN 6 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 6 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D2_B32) FROM #SALARY_SUM2 WHERE MON <= 6 ),0))
		WHEN 9 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 9 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D2_B32) FROM #SALARY_SUM2 WHERE MON <= 9 ),0))
		WHEN 12 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 12 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D2_B32) FROM #SALARY_SUM2 WHERE MON <= 12 ),0))
	END,	
	
	 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH1 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D2_B32) FROM #SALARY_SUM2 WHERE MON = @nMONTH1 ),0)),
	 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH2 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D2_B32) FROM #SALARY_SUM2 WHERE MON = @nMONTH2 ),0)),
	 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH3 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D2_B32) FROM #SALARY_SUM2 WHERE MON = @nMONTH3 ),0))

FROM #SPR_ESN
WHERE WAY_CALC = 11	 AND SP = '3.2'	


---**3.2        - 4050
INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6)
SELECT
	'013224050',
	CASE @nMONTH3
		WHEN 3 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 3 THEN SUMMA ELSE 0 END))
		WHEN 6 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 6 THEN SUMMA ELSE 0 END))
		WHEN 9 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 9 THEN SUMMA ELSE 0 END))
		WHEN 12 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 12 THEN SUMMA ELSE 0 END))
	END,	
	
	 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH1 THEN SUMMA ELSE 0 END)),
	 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH2 THEN SUMMA ELSE 0 END)),
	 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH3 THEN SUMMA ELSE 0 END))

FROM #SPR_ESN
WHERE WAY_CALC = 11	 AND SP = '3.2'


/******* 2.4****    - ,    - 3.1 *****/
-- 3.1   ,             (.) - 5010
INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6)
SELECT '013225010',

	CASE @nMONTH3
		WHEN 3 THEN
			ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 11	 AND SP = '3.1' and  MONTH_BASE <= 3 ) ,0)
		WHEN 6 THEN
			ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 11	 AND SP = '3.1' and  MONTH_BASE <= 6 ) ,0)		
		WHEN 9 THEN
			ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 11	 AND SP = '3.1' and  MONTH_BASE <= 9 ) ,0)		
		WHEN 12 THEN
			ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 11	 AND SP = '3.1' and  MONTH_BASE <= 12 ) ,0)		
	END,

	ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 11	 AND SP = '3.1' and  MONTH_BASE = @nMONTH1) ,0),
	ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 11	 AND SP = '3.1' and  MONTH_BASE = @nMONTH2) ,0),
	ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 11	 AND SP = '3.1' and  MONTH_BASE = @nMONTH3) ,0)


--- 3.1     ,      - 5020
INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6)
SELECT '013225020',
			CASE @nMONTH3
				WHEN 3 THEN
					 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 3 THEN SUMMA_BASE ELSE 0 END)+ ISNULL( (SELECT SUM(SUM_NO_D2_B31) FROM #SALARY_SUM2 WHERE MON <= 3 ),0))
				WHEN 6 THEN
					Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 6 THEN SUMMA_BASE ELSE 0 END)+ ISNULL( (SELECT SUM(SUM_NO_D2_B31) FROM #SALARY_SUM2 WHERE MON <= 6 ),0))
				WHEN 9 THEN
					Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 9 THEN SUMMA_BASE ELSE 0 END)+ ISNULL( (SELECT SUM(SUM_NO_D2_B31) FROM #SALARY_SUM2 WHERE MON <= 9 ),0))
				WHEN 12 THEN
					Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 12 THEN SUMMA_BASE ELSE 0 END)+ ISNULL( (SELECT SUM(SUM_NO_D2_B31) FROM #SALARY_SUM2 WHERE MON <= 12 ),0))
			END,			
			
			 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH1 THEN SUMMA_BASE ELSE 0 END)+ ISNULL( (SELECT SUM(SUM_NO_D2_B31) FROM #SALARY_SUM2 WHERE MON = @nMONTH1 ),0)),
			 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH2 THEN SUMMA_BASE ELSE 0 END)+ ISNULL( (SELECT SUM(SUM_NO_D2_B31) FROM #SALARY_SUM2 WHERE MON = @nMONTH2 ),0)),
			 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH3 THEN SUMMA_BASE ELSE 0 END)+ ISNULL( (SELECT SUM(SUM_NO_D2_B31) FROM #SALARY_SUM2 WHERE MON = @nMONTH3),0))
			
FROM #SPR_ESN
WHERE WAY_CALC = 11	 AND SP = '3.1'	

--3.1 ,      5030
INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6)
SELECT '013225030',
	
	CASE @nMONTH3
		WHEN 3 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 3 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D2_B31) FROM #SALARY_SUM2 WHERE MON <= 3 ),0))
		WHEN 6 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 6 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D2_B31) FROM #SALARY_SUM2 WHERE MON <= 6 ),0))
		WHEN 9 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 9 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D2_B31) FROM #SALARY_SUM2 WHERE MON <= 9 ),0))
		WHEN 12 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 12 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D2_B31) FROM #SALARY_SUM2 WHERE MON <= 12 ),0))
	END,	
	
	 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH1 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D2_B31) FROM #SALARY_SUM2 WHERE MON = @nMONTH1 ),0)),
	 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH2 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D2_B31) FROM #SALARY_SUM2 WHERE MON = @nMONTH2 ),0)),
	 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH3 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D2_B31) FROM #SALARY_SUM2 WHERE MON = @nMONTH3 ),0))

FROM #SPR_ESN
WHERE WAY_CALC = 11	 AND SP = '3.1'	


---*3.1        - 5050
INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6)
SELECT
	'013225050',
	CASE @nMONTH3
		WHEN 3 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 3 THEN SUMMA ELSE 0 END))
		WHEN 6 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 6 THEN SUMMA ELSE 0 END))
		WHEN 9 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 9 THEN SUMMA ELSE 0 END))
		WHEN 12 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 12 THEN SUMMA ELSE 0 END))
	END,	
	
	 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH1 THEN SUMMA ELSE 0 END)),
	 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH2 THEN SUMMA ELSE 0 END)),
	 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH3 THEN SUMMA ELSE 0 END))

FROM #SPR_ESN
WHERE WAY_CALC = 11	 AND SP = '3.1'

--select * from #RES2
--------------------------------------------------------------------------
---***  2       
---***     
---***        1
---***  4 
--------------------------------------------------------------------------
----              
SELECT P.F4FSS, E.[STATUS], RESIDENT = (CASE c.CODE WHEN '1' then 2 when '2' then 2 ELSE 1 end), 
		 CNT_EMPL = COUNT(DISTINCT J.LINK_EMPL), CNT = COUNT( J.LINK_EMPL),SUMMA = SUM(SUMMA), CNT_DAYS = SUM([DAYS]) ,month_base = month(j.period_end)
INTO #ATR_4FSS
FROM 
	dbo.ATRIBUT_F4FSS A
	INNER JOIN dbo.PAYS P ON A.LINK = P.F4FSS
	INNER JOIN dbo.CALCULATE_JURNAL J ON P.LINK = J.LINK_PAYS
	INNER JOIN DBO.SA_EMPLS_INFO(@END_DATE, DEFAULT) E ON E.EMPL_LINK = J.LINK_EMPL 	
	INNER JOIN dbo.sd_empl se ON  sE.LINK = E.EMPL_LINK 
	INNER JOIN dbo.PERSON pe ON pe.LINK=se.PERS_LINK
	INNER JOIN dbo.CITIZENSHIP c ON c.LINK = pe.CITIZ_LINK
WHERE
	Year(period_begin) = @nYEAR and Month(period_begin) <= @nMONTH3
	and J.LINK_DEP = @DEP_LINK
	and P.[OBJECT] = 1	
	and P.F4FSS > 1
	AND J.LINK_EKR = (SELECT LINK FROM KOSGU WHERE CODE = '213')	
GROUP BY 	
	P.F4FSS, E.[STATUS],c.CODE ,  month(j.period_end)


----    
SELECT P.F4FSS, E.[STATUS], RESIDENT = (CASE c.CODE WHEN '1' then 2 when '2' then 2 ELSE 1 end) , CNT_EMPL = COUNT(DISTINCT J.LINK_EMPL), CNT = COUNT( J.LINK_EMPL),SUMMA = SUM(SUMMA), CNT_DAYS = SUM([DAYS])
INTO #ATR_4FSS_all
FROM 
	dbo.ATRIBUT_F4FSS A
	INNER JOIN dbo.PAYS P ON A.LINK = P.F4FSS
	INNER JOIN dbo.CALCULATE_JURNAL J ON P.LINK = J.LINK_PAYS
	INNER JOIN DBO.SA_EMPLS_INFO(@END_DATE, DEFAULT) E ON E.EMPL_LINK = J.LINK_EMPL 	
	INNER JOIN dbo.sd_empl se ON  sE.LINK = E.EMPL_LINK 
	INNER JOIN dbo.PERSON pe ON pe.LINK=se.PERS_LINK
	INNER JOIN dbo.CITIZENSHIP c ON c.LINK = pe.CITIZ_LINK
WHERE
	Year(period_begin) = @nYEAR and Month(period_begin) <= @nMONTH3
	and J.LINK_DEP = @DEP_LINK
	and P.[OBJECT] = 1	
	and P.F4FSS > 1
	AND J.LINK_EKR = (SELECT LINK FROM KOSGU WHERE CODE = '213')	
GROUP BY 	
	P.F4FSS, E.[STATUS],c.CODE 

/**/

---  
Declare @StBase3 table (link int)
Insert into @StBase3 (link)
select distinct link_pays from tax_ref where link_tax = (select top 1 link from pays where object = 3 and way_calc = 2)


--   
SELECT GT.PERS_LINK, MONTH(G.[DATE]) AS MONTH_BASE, SUMMA_BASE = sum(GT.SUMMA_BASE) , resident  = (CASE c.CODE WHEN '1' then 2 when '2' then 2 ELSE 1 end) 
INTO #DGH_FAKT_BASE_FSS
FROM 
	dbo.DOCUMENTS_DGH G INNER JOIN dbo.DOCUMENTS_DGH_T3 GT ON G.LINK = GT.LINK
	inner join dbo.person p on p.link = GT.PERS_LINK
	left join CITIZENSHIP c ON c.LINK= p.CITIZ_LINK
WHERE 
	FLAG_JC = 1
	AND GT.WAY_CALC  = 2
	AND YEAR(G.[DATE]) = @nYEAR
	AND MONTH(G.[DATE]) <= @nMONTH3 
GROUP BY GT.PERS_LINK, MONTH(G.[DATE]), c.code

CREATE TABLE #DGH_CJ (PERS_LINK INT, PERIOD_BEGIN DATETIME, SUMMA NUMERIC(18,6), RESIDENT int )
INSERT INTO #DGH_CJ (PERS_LINK, PERIOD_BEGIN, SUMMA, resident)
SELECT PERS_LINK, PERIOD_BEGIN, SUM(SUMMA), (CASE c.CODE WHEN '1' then 2 when '2' then 2 ELSE 1 end)   
FROM dbo.CALCULATE_JURNAL CJ
	inner JOIN DBO.PERSON P1 ON P1.LINK = CJ.PERS_LINK
	INNER JOIN DBO.PAYS P ON P.LINK = CJ.LINK_PAYS
	left join CITIZENSHIP c ON c.LINK= P1.CITIZ_LINK
WHERE
	yEAR(CJ.period_begin) = @nYEAR
	AND CJ.LINK_DEP = @DEP_LINK
	AND P.[OBJECT] = 1
GROUP BY
	PERS_LINK, PERIOD_BEGIN, c.CODE


---------
SELECT MON, SUMMA_ALL = SUM(SUMMA_ALL), SUMMA_NO = SUM(SUMMA_NO)
INTO #SALARY_SUM2_FSS
FROM 
(
select 
	MON = Month(CJ.PERIOD_BEGIN),
	SUMMA_ALL = SUM(SUMMA),
	SUMMA_NO = SUM(CASE WHEN B.LINK IS NULL OR CJ.LINK_EKR = @LINK_EKR213 AND @ESN_213 = 0 THEN SUMMA ELSE 0 END) --     
from 
	dbo.CALCULATE_JURNAL CJ inner join dbo.pays p on p.link = cj.LINK_PAYS
	INNER JOIN DBO.EMPL E ON E.LINK = CJ.LINK_EMPL
	LEFT JOIN @StBase3 B ON B.LINK = cj.LINK_PAYS
where 	
	Year(CJ.period_begin) = @nYEAR and Month(CJ.period_begin) <= @nMONTH3 
	and CJ.LINK_DEP = @DEP_LINK
	and P.[OBJECT] = 1
GROUP BY
	Month(CJ.PERIOD_BEGIN)
UNION ALL	
select 
	MON = Month(CJ.PERIOD_BEGIN),
	SUMMA_ALL = SUM(SUMMA),
	SUMMA_NO = SUM(SUMMA - ISNULL(B.SUMMA_BASE,0)) --     
from 
	#DGH_CJ CJ
	LEFT JOIN #DGH_FAKT_BASE_FSS B ON B.PERS_LINK = CJ.PERS_LINK AND B.MONTH_BASE = Month(CJ.PERIOD_BEGIN)
where 	
	Month(CJ.period_begin) <= @nMONTH3 
GROUP BY
	Month(CJ.PERIOD_BEGIN)
) AS T
GROUP BY 
	MON



/********** 
*  12 -  2       
*      
*         1
**********/
---   ,  (.)   2  -   1010
INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6)
SELECT
	'021010',
	CASE @nMONTH3
		WHEN 3 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 3 THEN cnt_empl ELSE 0 END))
		WHEN 6 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 6 THEN cnt_empl ELSE 0 END))
		WHEN 9 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 9 THEN cnt_empl ELSE 0 END))
		WHEN 12 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 12 THEN cnt_empl ELSE 0 END))
	END,	
	 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH1 THEN cnt_empl ELSE 0 END)),
	 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH2 THEN cnt_empl ELSE 0 END)),
	 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH3 THEN cnt_empl ELSE 0 END))
FROM #ATR_4FSS



--12 2     ,      -  2  -   1020
INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6)
SELECT
	'021020',
	CASE @nMONTH3
		WHEN 3 THEN
			( select Convert(numeric(18,2),SUM(SUMMA_ALL)) FROM #SALARY_SUM2_FSS WHERE mon <=3  )
		WHEN 6 THEN
			( select Convert(numeric(18,2),SUM(SUMMA_ALL)) FROM #SALARY_SUM2_FSS WHERE mon <=6  )
		WHEN 9 THEN
			( select Convert(numeric(18,2),SUM(SUMMA_ALL)) FROM #SALARY_SUM2_FSS WHERE mon <=9  )
		WHEN 12 THEN
			( select Convert(numeric(18,2),SUM(SUMMA_ALL)) FROM #SALARY_SUM2_FSS WHERE mon <=12  )
	END,	
	( select Convert(numeric(18,2),SUM(SUMMA_ALL)) FROM #SALARY_SUM2_FSS WHERE mon =@nMONTH1  ),
	( select Convert(numeric(18,2),SUM(SUMMA_ALL)) FROM #SALARY_SUM2_FSS WHERE mon =@nMONTH2  ),
	( select Convert(numeric(18,2),SUM(SUMMA_ALL)) FROM #SALARY_SUM2_FSS WHERE mon =@nMONTH3  )

--12 2 ,      -   1030
INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6)
SELECT
	'021030',
	CASE @nMONTH3
		WHEN 3 THEN
			ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE MONTH_BASE <=3 AND way_calc = 2) ,0) + ISNULL( (SELECT SUM(SUMMA_NO) FROM #SALARY_SUM2_FSS WHERE MON <=3),0)
		WHEN 6 THEN
			ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE MONTH_BASE <=6 AND way_calc = 2) ,0) + ISNULL( (SELECT SUM(SUMMA_NO) FROM #SALARY_SUM2_FSS WHERE MON <=6),0)
		WHEN 9 THEN
			ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE MONTH_BASE <=9 AND way_calc = 2) ,0) + ISNULL( (SELECT SUM(SUMMA_NO) FROM #SALARY_SUM2_FSS WHERE MON <=9),0)
		WHEN 12 THEN
			ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE MONTH_BASE <=12 AND way_calc = 2) ,0) + ISNULL( (SELECT SUM(SUMMA_NO) FROM #SALARY_SUM2_FSS WHERE MON <=12),0)
	END , 
	ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN  WHERE MONTH_BASE = @nMONTH1 AND way_calc = 2) ,0) + ISNULL( (SELECT SUM(SUMMA_NO) FROM #SALARY_SUM2_FSS WHERE MON = @nMONTH1),0),
	ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN  WHERE MONTH_BASE = @nMONTH2 AND way_calc = 2) ,0) + ISNULL( (SELECT SUM(SUMMA_NO) FROM #SALARY_SUM2_FSS WHERE MON = @nMONTH2),0),
	ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN  WHERE MONTH_BASE = @nMONTH3 AND way_calc = 2) ,0) + ISNULL( (SELECT SUM(SUMMA_NO) FROM #SALARY_SUM2_FSS WHERE MON = @nMONTH3),0)



-----      
DECLARE @LIMIT_FSS NUMERIC(18,2)

SELECT @LIMIT_FSS = MAX(S.PREDEL)
FROM 
	dbo.STAVKI S INNER JOIN DBO.PAYS P ON S.LINK_PAYS = P.LINK AND P.OBJECT = 3 AND P.WAY_CALC = 2
WHERE 
	DATE = (SELECT TOP 1 [DATE] FROM dbo.STAVKI S INNER JOIN DBO.PAYS P ON S.LINK_PAYS = P.LINK AND P.OBJECT = 3 AND P.WAY_CALC = 2 AND DATE < @END_DATE ORDER BY [DATE] DESC) 
	AND
	S.PERCENT1 > 0

SET @LIMIT_FSS = ISNULL(@LIMIT_FSS,0)

--  ,        (%)
DECLARE 
	@PERCENT_FSS NUMERIC(18,2)

--  	
SELECT @PERCENT_FSS = S.PERCENT1
FROM 
	dbo.STAVKI S INNER JOIN DBO.PAYS P ON S.LINK_PAYS = P.LINK AND P.OBJECT = 3 AND P.WAY_CALC = 2
WHERE 
	predel = @LIMIT_FSS
	and tarif =1
	and 
	DATE = (SELECT TOP 1 [DATE] FROM dbo.STAVKI S INNER JOIN DBO.PAYS P ON S.LINK_PAYS = P.LINK AND P.OBJECT = 3 AND P.WAY_CALC = 2 AND DATE < @END_DATE ORDER BY [DATE] DESC) 
	AND
	S.PERCENT1 > 0

SET @PERCENT_FSS = ISNULL(@PERCENT_FSS,0)


SELECT MON = 1, REF_PHYS_PERS, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) > @LIMIT_FSS THEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) - @LIMIT_FSS ELSE 0 END INTO #SPR_ESN1_FSS FROM #SPR_ESN WHERE MONTH_BASE <= 1 AND @nMONTH3 >= 3 AND WAY_CALC = 2 GROUP BY REF_PHYS_PERS
INSERT INTO #SPR_ESN1_FSS SELECT MON = 2, REF_PHYS_PERS, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) > @LIMIT_FSS THEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) - @LIMIT_FSS ELSE 0 END FROM #SPR_ESN WHERE MONTH_BASE <= 2 AND @nMONTH3 >= 3 AND WAY_CALC = 2 GROUP BY REF_PHYS_PERS
INSERT INTO #SPR_ESN1_FSS SELECT MON = 3, REF_PHYS_PERS, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) > @LIMIT_FSS THEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) - @LIMIT_FSS ELSE 0 END FROM #SPR_ESN WHERE MONTH_BASE <= 3 AND @nMONTH3 >= 3 AND WAY_CALC = 2 GROUP BY REF_PHYS_PERS
INSERT INTO #SPR_ESN1_FSS SELECT MON = 4, REF_PHYS_PERS, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) > @LIMIT_FSS THEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) - @LIMIT_FSS ELSE 0 END FROM #SPR_ESN WHERE MONTH_BASE <= 4 AND @nMONTH3 >= 6 AND WAY_CALC = 2 GROUP BY REF_PHYS_PERS
INSERT INTO #SPR_ESN1_FSS SELECT MON = 5, REF_PHYS_PERS, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) > @LIMIT_FSS THEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) - @LIMIT_FSS ELSE 0 END FROM #SPR_ESN WHERE MONTH_BASE <= 5 AND @nMONTH3 >= 6 AND WAY_CALC = 2 GROUP BY REF_PHYS_PERS
INSERT INTO #SPR_ESN1_FSS SELECT MON = 6, REF_PHYS_PERS, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) > @LIMIT_FSS THEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) - @LIMIT_FSS ELSE 0 END FROM #SPR_ESN WHERE MONTH_BASE <= 6 AND @nMONTH3 >= 6 AND WAY_CALC = 2 GROUP BY REF_PHYS_PERS
INSERT INTO #SPR_ESN1_FSS SELECT MON = 7, REF_PHYS_PERS, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) > @LIMIT_FSS THEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) - @LIMIT_FSS ELSE 0 END FROM #SPR_ESN WHERE MONTH_BASE <= 7 AND @nMONTH3 >= 9 AND WAY_CALC = 2 GROUP BY REF_PHYS_PERS
INSERT INTO #SPR_ESN1_FSS SELECT MON = 8, REF_PHYS_PERS, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) > @LIMIT_FSS THEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) - @LIMIT_FSS ELSE 0 END FROM #SPR_ESN WHERE MONTH_BASE <= 8 AND @nMONTH3 >= 9 AND WAY_CALC = 2 GROUP BY REF_PHYS_PERS
INSERT INTO #SPR_ESN1_FSS SELECT MON = 9, REF_PHYS_PERS, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) > @LIMIT_FSS THEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) - @LIMIT_FSS ELSE 0 END FROM #SPR_ESN WHERE MONTH_BASE <= 9 AND @nMONTH3 >= 9 AND WAY_CALC = 2 GROUP BY REF_PHYS_PERS
INSERT INTO #SPR_ESN1_FSS SELECT MON = 10, REF_PHYS_PERS, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) > @LIMIT_FSS THEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) - @LIMIT_FSS ELSE 0 END FROM #SPR_ESN WHERE MONTH_BASE <= 10 AND @nMONTH3 >= 12 AND WAY_CALC = 2 GROUP BY REF_PHYS_PERS
INSERT INTO #SPR_ESN1_FSS SELECT MON = 11, REF_PHYS_PERS, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) > @LIMIT_FSS THEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) - @LIMIT_FSS ELSE 0 END FROM #SPR_ESN WHERE MONTH_BASE <= 11 AND @nMONTH3 >= 12 AND WAY_CALC = 2 GROUP BY REF_PHYS_PERS
INSERT INTO #SPR_ESN1_FSS SELECT MON = 12, REF_PHYS_PERS, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) > @LIMIT_FSS THEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) - @LIMIT_FSS ELSE 0 END FROM #SPR_ESN WHERE MONTH_BASE <= 12 AND @nMONTH3 >= 12 AND WAY_CALC = 2 GROUP BY REF_PHYS_PERS

SELECT DISTINCT T.REF_PHYS_PERS, M.M, SUMMA = ISNULL(T1.SUMMA,0) - ISNULL(T2.SUMMA,0)
INTO #SPR_ESN2_FSS
FROM 
	#SPR_ESN1_FSS T INNER JOIN dbo.months_ex(@BYearDate, @END_DATE) M ON 1=1
	LEFT JOIN #SPR_ESN1_FSS T1 ON T1.REF_PHYS_PERS = T.REF_PHYS_PERS AND T1.MON = M.M
	LEFT JOIN #SPR_ESN1_FSS T2 ON T2.REF_PHYS_PERS = T.REF_PHYS_PERS AND T2.MON = M.M - 1

--12 2 ,         -   1040
--,        ,     . 8    24 
INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6)
SELECT
	'021040',
	ISNULL((SELECT SUM(SUMMA) FROM #SPR_ESN2_FSS WHERE M <=@nMONTH3),0), 
	ISNULL((SELECT SUM(SUMMA) FROM #SPR_ESN2_FSS WHERE M =@nMONTH1),0),
	ISNULL((SELECT SUM(SUMMA) FROM #SPR_ESN2_FSS WHERE M =@nMONTH2),0),
	ISNULL((SELECT SUM(SUMMA) FROM #SPR_ESN2_FSS WHERE M =@nMONTH3),0)
-----<<<<<<<<<<<<<<<<<<<

--12 2     ,         , 
--   ,  ,   - 
--   -    1054

SELECT MON = 1, REF_PHYS_PERS, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) > @LIMIT_FSS THEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) - @LIMIT_FSS ELSE 0 END INTO #SPR_ESN1Res_FSS FROM #SPR_ESN WHERE INO = 1 AND MONTH_BASE <= 1 AND @nMONTH3 >= 3 AND WAY_CALC = 2 GROUP BY REF_PHYS_PERS
INSERT INTO #SPR_ESN1Res_FSS SELECT MON = 2, REF_PHYS_PERS, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) > @LIMIT_FSS THEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) - @LIMIT_FSS ELSE 0 END FROM #SPR_ESN WHERE INO = 1 AND MONTH_BASE <= 2 AND @nMONTH3 >= 3 AND WAY_CALC = 2 GROUP BY REF_PHYS_PERS
INSERT INTO #SPR_ESN1Res_FSS SELECT MON = 3, REF_PHYS_PERS, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) > @LIMIT_FSS THEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) - @LIMIT_FSS ELSE 0 END FROM #SPR_ESN WHERE INO = 1 AND MONTH_BASE <= 3 AND @nMONTH3 >= 3 AND WAY_CALC = 2 GROUP BY REF_PHYS_PERS
INSERT INTO #SPR_ESN1Res_FSS SELECT MON = 4, REF_PHYS_PERS, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) > @LIMIT_FSS THEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) - @LIMIT_FSS ELSE 0 END FROM #SPR_ESN WHERE INO = 1 AND MONTH_BASE <= 4 AND @nMONTH3 >= 6 AND WAY_CALC = 2 GROUP BY REF_PHYS_PERS
INSERT INTO #SPR_ESN1Res_FSS SELECT MON = 5, REF_PHYS_PERS, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) > @LIMIT_FSS THEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) - @LIMIT_FSS ELSE 0 END FROM #SPR_ESN WHERE INO = 1 AND MONTH_BASE <= 5 AND @nMONTH3 >= 6 AND WAY_CALC = 2 GROUP BY REF_PHYS_PERS
INSERT INTO #SPR_ESN1Res_FSS SELECT MON = 6, REF_PHYS_PERS, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) > @LIMIT_FSS THEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) - @LIMIT_FSS ELSE 0 END FROM #SPR_ESN WHERE INO = 1 AND MONTH_BASE <= 6 AND @nMONTH3 >= 6 AND WAY_CALC = 2 GROUP BY REF_PHYS_PERS
INSERT INTO #SPR_ESN1Res_FSS SELECT MON = 7, REF_PHYS_PERS, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) > @LIMIT_FSS THEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) - @LIMIT_FSS ELSE 0 END FROM #SPR_ESN WHERE INO = 1 AND MONTH_BASE <= 7 AND @nMONTH3 >= 9 AND WAY_CALC = 2 GROUP BY REF_PHYS_PERS
INSERT INTO #SPR_ESN1Res_FSS SELECT MON = 8, REF_PHYS_PERS, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) > @LIMIT_FSS THEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) - @LIMIT_FSS ELSE 0 END FROM #SPR_ESN WHERE INO = 1 AND MONTH_BASE <= 8 AND @nMONTH3 >= 9 AND WAY_CALC = 2 GROUP BY REF_PHYS_PERS
INSERT INTO #SPR_ESN1Res_FSS SELECT MON = 9, REF_PHYS_PERS, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) > @LIMIT_FSS THEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) - @LIMIT_FSS ELSE 0 END FROM #SPR_ESN WHERE INO = 1 AND MONTH_BASE <= 9 AND @nMONTH3 >= 9 AND WAY_CALC = 2 GROUP BY REF_PHYS_PERS
INSERT INTO #SPR_ESN1Res_FSS SELECT MON = 10, REF_PHYS_PERS, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) > @LIMIT_FSS THEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) - @LIMIT_FSS ELSE 0 END FROM #SPR_ESN WHERE INO = 1 AND MONTH_BASE <= 10 AND @nMONTH3 >= 12 AND WAY_CALC = 2 GROUP BY REF_PHYS_PERS
INSERT INTO #SPR_ESN1Res_FSS SELECT MON = 11, REF_PHYS_PERS, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) > @LIMIT_FSS THEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) - @LIMIT_FSS ELSE 0 END FROM #SPR_ESN WHERE INO = 1 AND MONTH_BASE <= 11 AND @nMONTH3 >= 12 AND WAY_CALC = 2 GROUP BY REF_PHYS_PERS
INSERT INTO #SPR_ESN1Res_FSS SELECT MON = 12, REF_PHYS_PERS, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) > @LIMIT_FSS THEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) - @LIMIT_FSS ELSE 0 END FROM #SPR_ESN WHERE INO = 1 AND MONTH_BASE <= 12 AND @nMONTH3 >= 12 AND WAY_CALC = 2 GROUP BY REF_PHYS_PERS

SELECT DISTINCT T.REF_PHYS_PERS, M.M, SUMMA = ISNULL(T1.SUMMA,0) - ISNULL(T2.SUMMA,0)
INTO #SPR_ESN2Res_FSS
FROM 
	#SPR_ESN1Res_FSS T INNER JOIN dbo.months_ex(@BYearDate, @END_DATE) M ON 1=1
	LEFT JOIN #SPR_ESN1Res_FSS T1 ON T1.REF_PHYS_PERS = T.REF_PHYS_PERS AND T1.MON = M.M
	LEFT JOIN #SPR_ESN1Res_FSS T2 ON T2.REF_PHYS_PERS = T.REF_PHYS_PERS AND T2.MON = M.M - 1

--12 2 ,         -   1040
--,        ,     . 8    24 
INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6)
SELECT
	'021054',
	ISNULL( (SELECT SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M) FROM #SPR_ESN WHERE INO = 1 AND way_calc = 2) ,0) - ISNULL((SELECT SUM(SUMMA) FROM #SPR_ESN2Res_FSS WHERE M <= @nMONTH3),0),
	ISNULL( (SELECT SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M) FROM #SPR_ESN  WHERE INO = 1 AND MONTH_BASE = @nMONTH1) ,0) - ISNULL((SELECT SUM(SUMMA) FROM #SPR_ESN2Res_FSS WHERE M = @nMONTH1),0),
	ISNULL( (SELECT SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M) FROM #SPR_ESN  WHERE INO = 1 AND MONTH_BASE = @nMONTH2) ,0) - ISNULL((SELECT SUM(SUMMA) FROM #SPR_ESN2Res_FSS WHERE M = @nMONTH2),0),
	ISNULL( (SELECT SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M) FROM #SPR_ESN  WHERE INO = 1 AND MONTH_BASE = @nMONTH3) ,0) - ISNULL((SELECT SUM(SUMMA) FROM #SPR_ESN2Res_FSS WHERE M = @nMONTH3),0)



---12     - 1060


INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6)
SELECT '021060',
  (select ISNULL(SUM(SUMMA),0)  FROM #SPR_ESN WHERE MONTH_BASE <= @nMONTH3 AND way_calc = 2),
  (SELECT ISNULL(SUM(SUMMA),0)  FROM #SPR_ESN WHERE MONTH_BASE = @nMONTH1 AND way_calc = 2) ,
  (SELECT ISNULL(SUM(SUMMA),0)  FROM #SPR_ESN WHERE MONTH_BASE = @nMONTH2 AND way_calc = 2) ,
  (SELECT ISNULL(SUM(SUMMA),0)  FROM #SPR_ESN WHERE MONTH_BASE = @nMONTH3 AND way_calc = 2) 


-- 12       - 1070 
--("_.303.02","_.302.13"," >='01.01'  <")
--("_.303.02","_.302.13"," =(1)")
--("_.303.02","_.302.13"," =(2)")
--("_.303.02","_.302.13"," =(3)")
-- 12        - 1080
--("_.304.05:_.201.11:_.201.21:_.201.27","_.303.02"," >='01.01'  <=(3)")
--("_.304.05:_.201.11:_.201.21:_.201.27","_.303.02"," =(1)")
--("_.304.05:_.201.11:_.201.21:_.201.27","_.303.02"," =(2)")
--("_.304.05:_.201.11:_.201.21:_.201.27","_.303.02"," =(3)")
-- 12    ,   (       ) -  1090
-- 1090 = 1070 - 1080
--    
/*
--   
 1.           4-       . 
 2.        ,   . 
 3.        ,   . 
    ,      ,    .
*/
DECLARE @SALARY_OPTIONS_OPT5_1 INT 
SET @SALARY_OPTIONS_OPT5_1 = dbo.SA_GET_OPTION_BY_CODE('SALARY_OPTIONS_OPT5_1')

--------------------------------------------------------

IF ISNULL(@PERCENT_FSS,0) > 0
BEGIN

	--    	
	SELECT 
		@C3N = CONVERT(NUMERIC(18,2), 
			(
				SUM( 
					(CASE WHEN CODE_STR = '021020' THEN C3  ELSE 0 END)
					-(CASE WHEN CODE_STR = '021030' THEN C3  ELSE 0 END)
					-(CASE WHEN CODE_STR = '021040' THEN C3  ELSE 0 END)
				) * @PERCENT_FSS/100
				- (SELECT C3 FROM #RES2 WHERE CODE_STR in ('021060'))
			) / @PERCENT_FSS/100
		),
		@C3NS = CONVERT(NUMERIC(18,2),
			(
				SUM( -- 4 (030403)  = 
					(CASE WHEN CODE_STR = '021020' THEN C3  ELSE 0 END) 
					-(CASE WHEN CODE_STR = '021030' THEN C3  ELSE 0 END)
					-(CASE WHEN CODE_STR = '021040' THEN C3  ELSE 0 END)
					-(CASE WHEN CODE_STR = '021054' THEN C3  ELSE 0 END) --     
				) * @PERCENT_FSS/100
				+
				SUM( -- 4 (030403)  = 
					(CASE WHEN CODE_STR = '021054' THEN C3  ELSE 0 END)  --   
				) * 1.8/100			
			)
		),		
		@C4N = CONVERT(NUMERIC(18,2), 
			(
				SUM( -- 4 (030404)  = 
					(CASE WHEN CODE_STR = '021020' THEN C4  ELSE 0 END)
					-(CASE WHEN CODE_STR = '021030' THEN C4  ELSE 0 END)
					-(CASE WHEN CODE_STR = '021040' THEN C4  ELSE 0 END)
				) * @PERCENT_FSS/100
				- (SELECT SUM(C4) FROM #RES2 WHERE CODE_STR = '021060')
			) / @PERCENT_FSS/100	
		),
		@C4NS = CONVERT(NUMERIC(18,2), 
			(
				SUM( -- 4 (030404)  = 
					(CASE WHEN CODE_STR = '021020' THEN C4 ELSE 0 END)
					-(CASE WHEN CODE_STR = '021030' THEN C4 ELSE 0 END)
					-(CASE WHEN CODE_STR = '021040' THEN C4 ELSE 0 END)
					-(CASE WHEN CODE_STR = '021054' THEN C4 ELSE 0 END) --     		
				) * @PERCENT_FSS/100
				+ SUM( -- 4 (030403)  = 
					(CASE WHEN CODE_STR = '021054' THEN C4  ELSE 0 END) --   
				) * 1.8/100		
			)
		),		
		@C5N = CONVERT(NUMERIC(18,2),
			(
				SUM( -- 4 (030405)  = 
					(CASE WHEN CODE_STR = '021020' THEN C5 ELSE 0 END)
					-(CASE WHEN CODE_STR = '021030' THEN C5 ELSE 0 END)
					-(CASE WHEN CODE_STR = '021040' THEN C5 ELSE 0 END)
				) * @PERCENT_FSS/100
				- (SELECT SUM(C5) FROM #RES2 WHERE CODE_STR = '021060')
			) / @PERCENT_FSS/100			
		),
		@C5NS = CONVERT(NUMERIC(18,2),
			(
				SUM( -- 4 (030405)  = 
					(CASE WHEN CODE_STR = '021020' THEN C5 ELSE 0 END)
					-(CASE WHEN CODE_STR = '021030' THEN C5 ELSE 0 END)
					-(CASE WHEN CODE_STR = '021040' THEN C5 ELSE 0 END)
					-(CASE WHEN CODE_STR = '021054' THEN C5 ELSE 0 END) --     				
				) * @PERCENT_FSS/100
				+ SUM( -- 4 (030404)  = 
					(CASE WHEN CODE_STR = '021054' THEN C5  ELSE 0 END) --   
				) * 1.8/100			
			)
		),		
		@C6N = CONVERT(NUMERIC(18,2),
			(
				SUM( -- 4 (030405)  = 
					(CASE WHEN CODE_STR = '021020' THEN C6 ELSE 0 END)
					-(CASE WHEN CODE_STR = '021030' THEN C6 ELSE 0 END)
					-(CASE WHEN CODE_STR = '021040' THEN C6 ELSE 0 END)
				) * @PERCENT_FSS/100
				- (SELECT SUM(C5) FROM #RES2 WHERE CODE_STR = '021060')
			) / @PERCENT_FSS/100							
		),
		@C6NS = CONVERT(NUMERIC(18,2),
			(
				SUM( -- 4 (030405)  = 
					(CASE WHEN CODE_STR = '021020' THEN C6 ELSE 0 END)
					-(CASE WHEN CODE_STR = '021030' THEN C6 ELSE 0 END)
					-(CASE WHEN CODE_STR = '021040' THEN C6 ELSE 0 END)
					-(CASE WHEN CODE_STR = '021054' THEN C6 ELSE 0 END) --     					
				) * @PERCENT_FSS/100
				+ SUM( -- 4 (030404)  = 
					(CASE WHEN CODE_STR = '021054' THEN C6  ELSE 0 END) --     	
				) * 1.8/100				
			)
		)		
	FROM #RES2
	WHERE
		CODE_STR IN ('021020', '021030', '021040', '021054','021060')

	IF @SALARY_OPTIONS_OPT5_1 = 1
	BEGIN
		-- . 1 
		UPDATE #RES2
		SET C4 = ISNULL(@C4NS,0),
			C5 = ISNULL(@C5NS,0),
			C6 = ISNULL(@C6NS,0)				 
		WHERE 
			CODE_STR = '021060'
		
	END

	IF @SALARY_OPTIONS_OPT5_1 = 3
	BEGIN
	
		UPDATE #RES2
		SET C3 = C3 + ISNULL(@C3N,0),
			C4 = C4 + ISNULL(@C4N,0),
			C5 = C5 + ISNULL(@C5N,0),
			C6 = C6 + ISNULL(@C6N,0)	 
		WHERE 
			CODE_STR = '021030'
	
	END

end

---------------------------------------------------------------------
/********* 13  3       
*          , 
*        
*   1  *************************************/
---------------------------------------------------------------------
DECLARE 
	@P0300103 INT, -- 
	@P0300104 NUMERIC(18,2),  --   
	@P0300105 NUMERIC(18,2), --     

	@P0300113 INT, --    
	@P0300114 NUMERIC(18,2),  --     
	@P0300115 NUMERIC(18,2), --        
	
	@P0300203 INT, --    
	@P0300204 NUMERIC(18,2),  --    
	@P0300205 NUMERIC(18,2), --      
	
	@P0300213 INT, --        
	@P0300214 NUMERIC(18,2),  --       
	@P0300215 NUMERIC(18,2),  --         
	
	@P0300303 INT, --     
	@P0300304 NUMERIC(18,2),  --     
	@P0300305 NUMERIC(18,2), --       

	@P0300313 INT, --         
	@P0300314 NUMERIC(18,2),  --        
	@P0300315 NUMERIC(18,2),  --          

	--            
	@P0300613 INT, -- 
	@P0300614 NUMERIC(18,2),  --   
	@P0300615 NUMERIC(18,2), --  

	--              
	@P0300623 INT, -- 
	@P0300624 NUMERIC(18,2),  --   
	@P0300625 NUMERIC(18,2) --  

---	
SELECT 
	@P0300103 = COUNT(DISTINCT (CASE WHEN COALESCE(A.DEKRET,0) = 1 or  (CASE c.CODE WHEN '1' then 2 when '2' then 2 ELSE 1 end) <> 2 THEN NULL ELSE A.LINK END) ),
	@P0300113 = COUNT( DISTINCT CASE WHEN STATUS_EMPL = 3 AND COALESCE(A.DEKRET,0) = 0 AND (CASE c.CODE WHEN '1' then 2 when '2' then 2 ELSE 1 end) = 2 THEN A.LINK ELSE NULL END), 
	@P0300203 = COUNT(DISTINCT (CASE WHEN (CASE c.CODE WHEN '1' then 2 when '2' then 2 ELSE 1 end) <> 2 THEN A.LINK ELSE NULL END) ), 
	@P0300213 = COUNT( DISTINCT CASE WHEN STATUS_EMPL = 3 AND COALESCE(A.DEKRET,0) = 0 AND (CASE c.CODE WHEN '1' then 2 when '2' then 2 ELSE 1 end) <> 2 THEN A.LINK ELSE NULL END), 
	@P0300303 = COUNT(DISTINCT (CASE WHEN COALESCE(A.DEKRET,0) = 1 THEN A.LINK ELSE NULL END) ), 
	@P0300313 = COUNT( DISTINCT CASE WHEN STATUS_EMPL = 3 AND COALESCE(A.DEKRET,0) = 1 THEN A.LINK ELSE NULL END) 
FROM 
	DBO.DOCUMENTS_ADD_ARCHE A INNER JOIN dbo.SD_EMPL E ON A.REF_EMPL = E.LINK
	INNER JOIN DBO.SDOC_ADIS_TABLE1 T ON T.LINK_UP = A.LINK AND T.PAYER = 0
	inner join dbo.DIS d on d.link = a.ref_arhe 
	left  JOIN dbo.person P ON p.LINK = e.PERS_LINK
	left  JOIN dbo.CITIZENSHIP c ON c.LINK = p.CITIZ_LINK 
WHERE 
	A.LINK_DEP = @DEP_LINK 
	AND A.FLAG_JC = 1 --
	AND YEAR(A.[DATE]) = YEAR(@BYearDate) --   
	AND MONTH(A.[DATE]) <= MONTH(@END_DATE) --   
	and isnull(D.REF_DOC,0) = 0


---	
SELECT 
	---    (        )
	@P0300104 = SUM( (CASE WHEN COALESCE(A.DEKRET,0) = 1 THEN 0 ELSE 1 END) * (CASE WHEN (CASE c.CODE WHEN '1' then 2 when '2' then 2 ELSE 1 end) =2  THEN 1 ELSE 0 END) * ISNULL(A.FSS_DAYS,0)), --(DATEDIFF(DAY,T.DATE1,T.DATE2)+1) ),	
	@P0300114 = SUM( (CASE WHEN STATUS_EMPL = 3 THEN 1 ELSE 0 END) * (CASE WHEN COALESCE(A.DEKRET,0) = 1 THEN 0 ELSE 1 END) * (CASE WHEN (CASE c.CODE WHEN '1' then 2 when '2' then 2 ELSE 1 end) =2  THEN 1 ELSE 0 END)  * ISNULL(A.FSS_DAYS,0)),--* (DATEDIFF(DAY,T.DATE1,T.DATE2)+1) ),	

	--      ,    ,     
	@P0300204 = SUM(  (CASE WHEN COALESCE(A.DEKRET,0) = 1 THEN 0 ELSE 1 END) * (CASE WHEN (CASE c.CODE WHEN '1' then 2 when '2' then 2 ELSE 1 end) =2  THEN 0 ELSE 1 END)  * ISNULL(A.FSS_DAYS,0)),--* (DATEDIFF(DAY,T.DATE1,T.DATE2)+1) ),	
	--      ,    ,     
	@P0300214 = SUM( (CASE WHEN STATUS_EMPL = 3 THEN 1 ELSE 0 END) * (CASE WHEN COALESCE(A.DEKRET,0) = 1 THEN 0 ELSE 1 END) * (CASE WHEN (CASE c.CODE WHEN '1' then 2 when '2' then 2 ELSE 1 end) =2  THEN 0 ELSE 1 END) * ISNULL(A.FSS_DAYS,0)),--* (DATEDIFF(DAY,T.DATE1, T.DATE2)+1) )	

	--       ,    ,     
	@P0300304 = SUM(  COALESCE(A.DEKRET,0)  * ISNULL(A.FSS_DAYS,0)),--* (DATEDIFF(DAY,T.DATE1,T.DATE2)+1) ),	
	--       ,    ,     
	@P0300314 = SUM( (CASE WHEN STATUS_EMPL = 3  AND COALESCE(A.DEKRET,0) = 1 THEN 1 ELSE 0 END)  * ISNULL(A.FSS_DAYS,0))--* (DATEDIFF(DAY,T.DATE1, T.DATE2)+1) )	
FROM 
	DBO.DOCUMENTS_ADD_ARCHE A INNER JOIN dbo.SD_EMPL E ON A.REF_EMPL = E.LINK 
		INNER JOIN dbo.person P ON p.LINK = e.PERS_LINK
	left JOIN dbo.CITIZENSHIP c ON c.LINK = p.CITIZ_LINK 
WHERE 
	LINK_DEP = @DEP_LINK 
	AND FLAG_JC = 1 --
	AND YEAR(DATE) = YEAR(@BYearDate) --   
	AND MONTH(DATE) <= MONTH(@END_DATE) --   


--     (  ,     
--      ,     ,  , 
--    -    )       010

INSERT INTO #RES2(CODE_STR, C3, C4, C5) ----=. 03,  0010
SELECT '030010',
	@P0300103, 
	@P0300104,
	ISNULL((SELECT SUM(SUMMA) FROM #ATR_4FSS WHERE F4FSS = 2  AND  RESIDENT = 2 ),0)  -- @P0300105
	
--           011
INSERT INTO #RES2(CODE_STR, C3, C4, C5) ----=. 03,  0011
SELECT '030011', 
	@P0300113, 
	@P0300114,
	ISNULL((SELECT SUM(SUMMA) FROM #ATR_4FSS WHERE F4FSS = 2 AND [STATUS] = 3 AND  RESIDENT = 2),0) -- @P0300115

--           ,     ,  ,    -            020
INSERT INTO #RES2(CODE_STR, C3, C4, C5) ----=. 03,  0020
SELECT '030020', 
	@P0300203, 
	@P0300204,
	ISNULL((SELECT SUM(SUMMA) FROM #ATR_4FSS WHERE F4FSS = 2 AND RESIDENT <>2),0)--@P0300205, 

--           021
INSERT INTO #RES2(CODE_STR, C3, C4, C5) --=. 03,  0021 
SELECT '030021', 
	@P0300213, 
	@P0300214,
	ISNULL((SELECT SUM(SUMMA) FROM #ATR_4FSS WHERE F4FSS = 2 AND [STATUS] = 3 AND RESIDENT <>2),0)--@P0300215, 

--           030
INSERT INTO #RES2(CODE_STR, C3, C4, C5) --=. 03,  0030
SELECT '030030', 
	@P0300303, 
	@P0300304,
	ISNULL((SELECT SUM(SUMMA) FROM #ATR_4FSS WHERE F4FSS = 3),0)--@P0300305, 

--           031
INSERT INTO #RES2(CODE_STR, C3, C4, C5) --=. 03,  0031
SELECT '030031', 
	@P0300313, 
	@P0300314,
	ISNULL((SELECT SUM(SUMMA) FROM #ATR_4FSS WHERE F4FSS = 3 AND [STATUS] = 3),0)--@P0300315, 

--   ,                  040
INSERT INTO #RES2(CODE_STR, C3, C4, C5)
SELECT '030040',
	ISNULL((SELECT SUM(CNT_EMPL) FROM #ATR_4FSS_ALL WHERE F4FSS = 4),0)	,
	ISNULL((SELECT SUM(CNT) FROM #ATR_4FSS_ALL WHERE F4FSS = 4),0),	
	ISNULL((SELECT SUM(SUMMA) FROM #ATR_4FSS_ALL WHERE F4FSS = 4),0)


--              050
INSERT INTO #RES2(CODE_STR, C3, C4, C5)
SELECT '030050', 
	ISNULL((SELECT SUM(CNT_EMPL) FROM #ATR_4FSS_ALL WHERE F4FSS = 5),0)	,
	ISNULL((SELECT SUM(CNT) FROM #ATR_4FSS_ALL WHERE F4FSS = 5),0),	
	ISNULL((SELECT SUM(SUMMA) FROM #ATR_4FSS_ALL WHERE F4FSS = 5),0)
	
--             060
--   061 + 062 
--   :              061
INSERT INTO #RES2(CODE_STR, C3, C4, C5)
SELECT '030061',
	ISNULL((SELECT SUM(CNT_EMPL) FROM #ATR_4FSS_ALL WHERE F4FSS = 6),0)	, 
	ISNULL((SELECT SUM(CNT) FROM #ATR_4FSS_ALL WHERE F4FSS = 6),0),	
	ISNULL((SELECT SUM(SUMMA) FROM #ATR_4FSS_ALL WHERE F4FSS = 6),0)

--              062
INSERT INTO #RES2(CODE_STR, C3, C4, C5)
SELECT '030062',
	ISNULL((SELECT SUM(CNT_EMPL) FROM #ATR_4FSS_ALL WHERE F4FSS = 7),0)	,
	ISNULL((SELECT SUM(CNT) FROM #ATR_4FSS_ALL WHERE F4FSS = 7),0),	
	ISNULL((SELECT SUM(SUMMA) FROM #ATR_4FSS_ALL WHERE F4FSS = 7),0)

--        -        070
INSERT INTO #RES2(CODE_STR, C3, C4, C5)
SELECT '030070', 
	ISNULL((SELECT SUM(CNT_EMPL) FROM #ATR_4FSS WHERE F4FSS = 8),0)	,
	ISNULL((SELECT SUM(CNT_DAYS) FROM #ATR_4FSS WHERE F4FSS = 8),0),	
	ISNULL((SELECT SUM(SUMMA) FROM #ATR_4FSS WHERE F4FSS = 8),0)
--  ,          -        080
INSERT INTO #RES2(CODE_STR, C3, C4, C5)
SELECT '030080', 0 , 0, 0 
--                  090
INSERT INTO #RES2(CODE_STR, C3, C4, C5)
SELECT '030090', 
	ISNULL((SELECT SUM(CNT_EMPL) FROM #ATR_4FSS WHERE F4FSS = 9),0)	,	
	ISNULL((SELECT SUM(CNT_DAYS) FROM #ATR_4FSS WHERE F4FSS = 9),0),	
	ISNULL((SELECT SUM(SUMMA) FROM #ATR_4FSS WHERE F4FSS = 9),0)

--         100

-- :            110
INSERT INTO #RES2(CODE_STR, C3, C4, C5)
SELECT '030110', 0,0,0
----------------------------------------------------------------------
/********************************************************************/
----------------------------------------------------------------------

/***************   -  ******************************** */

/***********************************************************************************************************/
----  1  9 
/************************************************************************************************************/

---   
CREATE TABLE #RAZD1P9 (LINK INT, COL2 NUMERIC(18,2), COL3 NUMERIC(18,2), COL4 NUMERIC(18,2), COL5 NUMERIC(18,2))
INSERT INTO #RAZD1P9 (LINK,COL2,COL3,COL4,COL5)
SELECT DISTINCT 
	LINK = PERS_link , 
	COL2 = CASE @nMONTH3
				WHEN 3 THEN
					 Convert(numeric(18,2),SUM(CASE WHEN MONTH(period_begin) = 1 THEN SUMMA_ALL_INO ELSE 0 END))
					 + Convert(numeric(18,2),SUM(CASE WHEN MONTH(period_begin) = 2 THEN SUMMA_ALL_INO ELSE 0 END))
					 + Convert(numeric(18,2),SUM(CASE WHEN MONTH(period_begin) = 3 THEN SUMMA_ALL_INO ELSE 0 END))			
				WHEN 6 THEN
					 Convert(numeric(18,2),SUM(CASE WHEN MONTH(period_begin) = 1 THEN SUMMA_ALL_INO ELSE 0 END))
					 + Convert(numeric(18,2),SUM(CASE WHEN MONTH(period_begin) = 2 THEN SUMMA_ALL_INO ELSE 0 END))
					 + Convert(numeric(18,2),SUM(CASE WHEN MONTH(period_begin) = 3 THEN SUMMA_ALL_INO ELSE 0 END))				
					 + Convert(numeric(18,2),SUM(CASE WHEN MONTH(period_begin) = 4 THEN SUMMA_ALL_INO ELSE 0 END))
					 + Convert(numeric(18,2),SUM(CASE WHEN MONTH(period_begin) = 5 THEN SUMMA_ALL_INO ELSE 0 END))
					 + Convert(numeric(18,2),SUM(CASE WHEN MONTH(period_begin) = 6 THEN SUMMA_ALL_INO ELSE 0 END))
				WHEN 9 THEN
					 Convert(numeric(18,2),SUM(CASE WHEN MONTH(period_begin) = 1 THEN SUMMA_ALL_INO ELSE 0 END))
					 + Convert(numeric(18,2),SUM(CASE WHEN MONTH(period_begin) = 2 THEN SUMMA_ALL_INO ELSE 0 END))
					 + Convert(numeric(18,2),SUM(CASE WHEN MONTH(period_begin) = 3 THEN SUMMA_ALL_INO ELSE 0 END))				
					 + Convert(numeric(18,2),SUM(CASE WHEN MONTH(period_begin) = 4 THEN SUMMA_ALL_INO ELSE 0 END))
					 + Convert(numeric(18,2),SUM(CASE WHEN MONTH(period_begin) = 5 THEN SUMMA_ALL_INO ELSE 0 END))
					 + Convert(numeric(18,2),SUM(CASE WHEN MONTH(period_begin) = 6 THEN SUMMA_ALL_INO ELSE 0 END))				
					 + Convert(numeric(18,2),SUM(CASE WHEN MONTH(period_begin) = 7 THEN SUMMA_ALL_INO ELSE 0 END))
					 + Convert(numeric(18,2),SUM(CASE WHEN MONTH(period_begin) = 8 THEN SUMMA_ALL_INO ELSE 0 END))
					 + Convert(numeric(18,2),SUM(CASE WHEN MONTH(period_begin) = 9 THEN SUMMA_ALL_INO ELSE 0 END))
				WHEN 12 THEN
					 Convert(numeric(18,2),SUM(CASE WHEN MONTH(period_begin) = 1 THEN SUMMA_ALL_INO ELSE 0 END))
					 + Convert(numeric(18,2),SUM(CASE WHEN MONTH(period_begin) = 2 THEN SUMMA_ALL_INO ELSE 0 END))
					 + Convert(numeric(18,2),SUM(CASE WHEN MONTH(period_begin) = 3 THEN SUMMA_ALL_INO ELSE 0 END))				
					 + Convert(numeric(18,2),SUM(CASE WHEN MONTH(period_begin) = 4 THEN SUMMA_ALL_INO ELSE 0 END))
					 + Convert(numeric(18,2),SUM(CASE WHEN MONTH(period_begin) = 5 THEN SUMMA_ALL_INO ELSE 0 END))
					 + Convert(numeric(18,2),SUM(CASE WHEN MONTH(period_begin) = 6 THEN SUMMA_ALL_INO ELSE 0 END))				
					 + Convert(numeric(18,2),SUM(CASE WHEN MONTH(period_begin) = 7 THEN SUMMA_ALL_INO ELSE 0 END))
					 + Convert(numeric(18,2),SUM(CASE WHEN MONTH(period_begin) = 8 THEN SUMMA_ALL_INO ELSE 0 END))
					 + Convert(numeric(18,2),SUM(CASE WHEN MONTH(period_begin) = 9 THEN SUMMA_ALL_INO ELSE 0 END))				
					 + Convert(numeric(18,2),SUM(CASE WHEN MONTH(period_begin) = 10 THEN SUMMA_ALL_INO ELSE 0 END))
					 + Convert(numeric(18,2),SUM(CASE WHEN MONTH(period_begin) = 11 THEN SUMMA_ALL_INO ELSE 0 END))
					 + Convert(numeric(18,2),SUM(CASE WHEN MONTH(period_begin) = 12 THEN SUMMA_ALL_INO ELSE 0 END))	 					 	 					 			 					
			END,			
			
		COL3 =	 Convert(numeric(18,2),SUM(CASE WHEN MONTH(period_begin) = @nMONTH1 THEN SUMMA_ALL_INO ELSE 0 END)),
		COL4 =	 Convert(numeric(18,2),SUM(CASE WHEN MONTH(period_begin) = @nMONTH2 THEN SUMMA_ALL_INO ELSE 0 END)),
		COL5 =	 Convert(numeric(18,2),SUM(CASE WHEN MONTH(period_begin) = @nMONTH3 THEN SUMMA_ALL_INO ELSE 0 END))
FROM 
	#SALARY_SUM_DATA	
WHERE  INO = 0
GROUP BY PERS_link 


DROP TABLE #SALARY_SUM_DATA	


DECLARE @Table_Razd1p9 VARCHAR(100)
EXEC dbo.X_GET_TABLE_NAME @Table_Razd1p9 OUTPUT
EXEC ('select * INTO ' + @Table_Razd1p9 + ' from #RAZD1p9')
EXEC dbo.BufferPush -117, @Table_Razd1p9

/*
declare @Res float
 exec RSS_RPSV_17_FNS_PREPARE @Res output , '' , '20160101' , '20161231', 1 , 1, 3223

select  @Res 
 

*/
/*
---------------
/******** **********/

DECLARE @Date1M datetime, @Date2M datetime, @Date3M datetime

SELECT @BDate = @START_DATE, @EndDate = @END_DATE
SET @EDate = dateadd(year,1,convert(varchar, YEAR(@BDate))+'0101')

if @nMONTH3 =3
begin
	SET @Date1M = dateadd(year,0,convert(varchar, YEAR(@BDate))+'0101')
	SET @Date2M = dateadd(year,0,convert(varchar, YEAR(@BDate))+'0201')
	SET @Date3M = dateadd(year,0,convert(varchar, YEAR(@BDate))+'0301')
end
if @nMONTH3 =6
begin
	SET @Date1M = dateadd(year,0,convert(varchar, YEAR(@BDate))+'0401')
	SET @Date2M = dateadd(year,0,convert(varchar, YEAR(@BDate))+'0501')
	SET @Date3M = dateadd(year,0,convert(varchar, YEAR(@BDate))+'0601')
end
if @nMONTH3 =9
begin
	SET @Date1M = dateadd(year,0,convert(varchar, YEAR(@BDate))+'0701')
	SET @Date2M = dateadd(year,0,convert(varchar, YEAR(@BDate))+'0801')
	SET @Date3M = dateadd(year,0,convert(varchar, YEAR(@BDate))+'0901')
end
if @nMONTH3 =12
begin
	SET @Date1M = dateadd(year,0,convert(varchar, YEAR(@BDate))+'1001')
	SET @Date2M = dateadd(year,0,convert(varchar, YEAR(@BDate))+'1101')
	SET @Date3M = dateadd(year,0,convert(varchar, YEAR(@BDate))+'1201')
end

/*            ,   3.1 -3.2   */
/*    */
Set @NAvgCount = convert(numeric(18,0), dbo.sa_ssch_empls(@START_DATE, @END_DATE, @DEP_LINK, 0, 1, 0, DEFAULT))

/*INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6)
SELECT '331',@NAvgCount,
			convert(numeric(18,0), dbo.sa_ssch_empls(@Date1M, @Date2M, @DEP_LINK, 0, 1, 0, DEFAULT)),
			convert(numeric(18,0), dbo.sa_ssch_empls(@Date2M, @Date3M, @DEP_LINK, 0, 1, 0, DEFAULT)),
			convert(numeric(18,0), dbo.sa_ssch_empls(@Date3M, @END_DATE, @DEP_LINK, 0, 1, 0, DEFAULT))	

/*     */
Set @NAvgCount = convert(numeric(18,0), dbo.sa_ssch_empls(@START_DATE, @END_DATE, @DEP_LINK, 0, 1, 1, DEFAULT))

INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6)
SELECT '332',@NAvgCount,
			convert(numeric(18,0), dbo.sa_ssch_empls(@Date1M, @Date2M, @DEP_LINK, 0, 1, 1, DEFAULT)),
			convert(numeric(18,0), dbo.sa_ssch_empls(@Date2M, @Date3M, @DEP_LINK, 0, 1, 1, DEFAULT)),
			convert(numeric(18,0), dbo.sa_ssch_empls(@Date3M, @END_DATE, @DEP_LINK, 0, 1, 1, DEFAULT))	

*/
*/
/*  -      */
DECLARE @Table_Razd1 VARCHAR(100)
EXEC dbo.X_GET_TABLE_NAME @Table_Razd1 OUTPUT
EXEC ('select * INTO ' + @Table_Razd1 + ' from #RES2 order by code_str')
EXEC dbo.BufferClear
EXEC dbo.BufferPush -116, @Table_Razd1

DROP TABLE #RES2
















GO


GRANT EXECUTE ON dbo.[RSS_RPSV_17_FNS_PREPARE] TO PUBLIC

GO



GO
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[I_REPORT_FORMULA_P4_PREPARE]') AND OBJECTPROPERTY(id,N'IsProcedure') = 1)
DROP PROCEDURE dbo.[I_REPORT_FORMULA_P4_PREPARE]

GO

CREATE PROCEDURE DBO.I_REPORT_FORMULA_P4_PREPARE
	@OUT_VAL 	VARCHAR(20) OUTPUT,
	@BDATE		DATETIME,
	@ENDDATE	DATETIME,
	@DEP_LINK	INT,
	@VARILSF	INT
AS BEGIN
	DECLARE @PEOPLE_COUNT VARCHAR(100)
	EXEC DBO.X_GET_TABLE_NAME @PEOPLE_COUNT OUTPUT
	EXEC DBO.I_REPORT_FORMULA_ERASE_TABLES 0

DECLARE @FILTER_SUBDIV_NAME VARCHAR(254), @FILTER_SUBDIV_LINK INT
DECLARE @SUBDIV TABLE (LINK INT)

SET @FILTER_SUBDIV_NAME = (SELECT DBO.RN_GET_ATR_VALUE(@VARILSF, 'REPORTS_FILTER_SUBDIV'))

IF @FILTER_SUBDIV_NAME IS NOT NULL
	SET @FILTER_SUBDIV_LINK = 
		( SELECT TOP 1 LINK FROM DBO.REPORT_KBK 
		WHERE ('' + CONVERT(VARCHAR(3),PROPERTY) + ' - ' + NAME) = @FILTER_SUBDIV_NAME
			AND CODE_FORM='FILTER_NABOR' AND CODE='REPORTS_FILTER_SUBDIV')

DECLARE @BUFFER_SUBDIV VARCHAR(20)

IF @FILTER_SUBDIV_LINK IS NOT NULL 
BEGIN

	EXEC DBO.GETRANDSTR 20, @BUFFER_SUBDIV OUT

	INSERT INTO @SUBDIV (LINK) 
	SELECT LINK FROM DBO.RN_VIEW_FILTER WHERE LINK_SELF = @FILTER_SUBDIV_LINK

END

/**********************************************************************************************************************/
/******** **********/
DECLARE @D1	DATETIME,
	@D2	DATETIME,
	@DBYEAR DATETIME

/*    ,      .  */
SET @D1 = DBO.DATEBEGINOFMONTH (@ENDDATE) 
SET @D2 = DATEADD(MONTH,1,@D1)-1
SET @DBYEAR = DBO.DATEBEGINOFYEAR(@BDATE)

DECLARE @SALARY_OPTIONS_OPT7_1 INT 
SET @SALARY_OPTIONS_OPT7_1 =  dbo.SA_GET_OPTION_BY_CODE('SALARY_OPTIONS_OPT7_1')

DECLARE @NAME VARCHAR(100)

INSERT INTO DBO.BUFFER (ID, LINK)
SELECT @BUFFER_SUBDIV, LINK FROM @SUBDIV WHERE @BUFFER_SUBDIV IS NOT NULL

DECLARE @CNT INT
SET @CNT = CONVERT(NUMERIC(18,1), DBO.SA_SCH_EMPLS(@D2, @DEP_LINK, 0, 0, 0, @BUFFER_SUBDIV))


/***   ***/
/*    (/) */
CREATE  TABLE #P4_PART1(COL	INT, VAL NUMERIC(18,1), VAL_STR VARCHAR(20))

INSERT INTO #P4_PART1 (COL, VAL_STR)
SELECT TOP 1 1 AS COL, OKVED FROM dbo.DEPARTMENTS WHERE LINK = @DEP_LINK


/*  .  */
IF @CNT > 15 
	INSERT INTO #P4_PART1 (COL, VAL) SELECT 2, CONVERT(NUMERIC(18,1), DBO.SA_SSCH_EMPLS(@D1, @D2, @DEP_LINK, 0, 1, 0, @BUFFER_SUBDIV))
ELSE	
	INSERT INTO #P4_PART1 (COL, VAL) SELECT 2, CONVERT(NUMERIC(18,1), DBO.SA_SSCH_EMPLS(@DBYEAR, @D2, @DEP_LINK, 0, 1, 0, @BUFFER_SUBDIV))

/*  .  */
IF @CNT > 15 
	INSERT INTO #P4_PART1 (COL, VAL) SELECT 3, CONVERT(NUMERIC(18,1), DBO.SA_SSCH_EMPLS(@D1, @D2, @DEP_LINK, 0, 3, 0, @BUFFER_SUBDIV))
ELSE
	INSERT INTO #P4_PART1 (COL, VAL) SELECT 3, CONVERT(NUMERIC(18,1), DBO.SA_SSCH_EMPLS(@DBYEAR, @D2, @DEP_LINK, 0, 3, 0, @BUFFER_SUBDIV))


if @SALARY_OPTIONS_OPT7_1 = 1 
begin 
	update  p 
		set val = CEILING(p.val)  
	from #P4_PART1 p where p.col in (2)
end 

if @SALARY_OPTIONS_OPT7_1 = 2 
begin 
	update  p 
		set val = CEILING(p.val)  
	from #P4_PART1 p where p.col in (2,3)
end 


		
DELETE FROM DBO.BUFFER WHERE ID = @BUFFER_SUBDIV AND @BUFFER_SUBDIV IS NOT NULL	

CREATE TABLE #EMPL (LINK INT, PERS_LINK INT, DEP_LINK INT, [STATUS] TINYINT, PERIOD_BEG DATETIME, PERIOD_END DATETIME)
INSERT INTO #EMPL
SELECT 
	EMPL_LINK, PERS_LINK, DEP_LINK, [STATUS], PERIOD_BEG, PERIOD_END 
FROM 
	DBO.SA_EMPLS_INFO_PERIOD(@D1, @D2, DEFAULT, @DEP_LINK)
WHERE 
	(
	@BUFFER_SUBDIV IS NULL 
		OR 
	@BUFFER_SUBDIV IS NOT NULL AND SUBDIV_LINK IN (SELECT LINK FROM @SUBDIV)
	)
ORDER BY 
	DEP_LINK, EMPL_LINK

CREATE TABLE #EMPL1 (LINK INT, PERS_LINK INT, DEP_LINK INT, [STATUS] TINYINT, PERIOD_BEG DATETIME, PERIOD_END DATETIME)
INSERT INTO #EMPL1
SELECT 
	EMPL_LINK, PERS_LINK, DEP_LINK, [STATUS], PERIOD_BEG, PERIOD_END 
FROM 
	DBO.SA_EMPLS_INFO_PERIOD(@BDATE, @D2, DEFAULT, @DEP_LINK)
WHERE 
	(
	@BUFFER_SUBDIV IS NULL 
		OR 
	@BUFFER_SUBDIV IS NOT NULL AND SUBDIV_LINK IN (SELECT LINK FROM @SUBDIV)
	)
ORDER BY 
	DEP_LINK, EMPL_LINK

--    ,  ,      ,     
UPDATE E
SET E.PERIOD_END = @D2
FROM 
	#EMPL E
	INNER JOIN (SELECT LINK, MAX_PERIOD_END = MAX(PERIOD_END) FROM  #EMPL E1 GROUP BY LINK HAVING COUNT(*) > 1) A 
		ON E.LINK = A.LINK AND E.PERIOD_END = A.MAX_PERIOD_END
WHERE
	A.MAX_PERIOD_END < @D2

--    ,  ,      ,     
UPDATE E
SET E.PERIOD_END = @D2
FROM 
	#EMPL1 E
	INNER JOIN (SELECT LINK, MAX_PERIOD_END = MAX(PERIOD_END) FROM  #EMPL1 E1 GROUP BY LINK HAVING COUNT(*) > 1) A 
		ON E.LINK = A.LINK AND E.PERIOD_END = A.MAX_PERIOD_END
WHERE
	A.MAX_PERIOD_END < @D2		

/*  */
DECLARE @M NUMERIC(18,2) 

IF @CNT > 15
	SELECT -- 
		@M=SUM(CASE 
			WHEN DGH.DATE1<=@D1 AND COALESCE(DGH.DATE2,@D2)>=@D2 THEN DATEDIFF(DAY,@D1,@D2)		--   
			WHEN DGH.DATE1<=@D1 AND COALESCE(DGH.DATE2,@D2)<@D2  AND DGH.DATE2>@D1 THEN DATEDIFF(DAY,@D1,DGH.DATE2)+1	--    
			WHEN DGH.DATE1>@D1  AND COALESCE(DGH.DATE2,@D2)>=@D2 AND DGH.DATE1<@D2 THEN DATEDIFF(DAY,DGH.DATE1,@D2) 		--    
			WHEN DGH.DATE1>@D1  AND COALESCE(DGH.DATE2,@D2)<@D2  AND DGH.DATE1<@D2 THEN DATEDIFF(DAY,DGH.DATE1,DGH.DATE2)+1	--      
			 ELSE 0
		END)
	FROM 
		dbo.REESTR_DGH DGH
	WHERE
			DEP_LINK = @DEP_LINK 
		AND
			DGH.DATE1 <= @D2 AND DGH.DATE2 >= @D1
		AND
		NOT EXISTS (
			SELECT E.PERS_LINK FROM DBO.SD_EMPL_FN(DEFAULT,@D2,DEFAULT,@DEP_LINK) E
			WHERE DGH.PERS_LINK = E.PERS_LINK AND DGH.DATE1 <= ISNULL(E.DATE_END,ISNULL(DGH.DATE2,@D2)) AND ISNULL(DGH.DATE2,@D2) >= E.DATE_BEGIN 
			)
ELSE
	SELECT --  
		@M=SUM(CASE 
			WHEN DGH.DATE1<=@DBYEAR AND COALESCE(DGH.DATE2,@D2)>=@D2 THEN DATEDIFF(DAY,@DBYEAR,@D2)		--   
			WHEN DGH.DATE1<=@DBYEAR AND COALESCE(DGH.DATE2,@D2)<@D2  AND DGH.DATE2>@DBYEAR THEN DATEDIFF(DAY,@DBYEAR,DGH.DATE2)+1	--    
			WHEN DGH.DATE1>@DBYEAR  AND COALESCE(DGH.DATE2,@D2)>=@D2 AND DGH.DATE1<@D2 THEN DATEDIFF(DAY,DGH.DATE1,@D2) 		--    
			WHEN DGH.DATE1>@DBYEAR  AND COALESCE(DGH.DATE2,@D2)<@D2  AND DGH.DATE1<@D2 THEN DATEDIFF(DAY,DGH.DATE1,DGH.DATE2)+1	--      
			 ELSE 0
		END)
	FROM 
		dbo.REESTR_DGH DGH
	WHERE
			DEP_LINK = @DEP_LINK 
		AND
			DGH.DATE1 <= @D2 AND DGH.DATE2 >= @DBYEAR
		AND
		NOT EXISTS (
			SELECT E.PERS_LINK FROM DBO.SD_EMPL_FN(DEFAULT,@D2,DEFAULT,@DEP_LINK) E
			WHERE DGH.PERS_LINK = E.PERS_LINK AND DGH.DATE1 <= ISNULL(E.DATE_END,ISNULL(DGH.DATE2,@D2)) AND ISNULL(DGH.DATE2,@D2) >= E.DATE_BEGIN 
			)				

DECLARE	@NDAYSFEBR	INT
IF @CNT > 15
	SET @NDAYSFEBR = DAY(DBO.DATEENDOFMONTH(@D1))
ELSE
	SET @NDAYSFEBR = ISNULL((SELECT SUM(DAY(DBO.DATEENDOFMONTH(DATE_BEGIN))) FROM dbo.MONTHS_EX(@DBYEAR, @D2)),99999999)

INSERT INTO #P4_PART1 (COL, VAL)
SELECT 4 AS COL, @M/@NDAYSFEBR

if @SALARY_OPTIONS_OPT7_1 = 1 
begin 
	update  p 
		set val = ROUND(p.val,0) 
	from #P4_PART1 p where p.col = 4
end 

if @SALARY_OPTIONS_OPT7_1 = 2 
begin 
	update  p 
		set val = CEILING(p.val)  
	from #P4_PART1 p where p.col =4
end 


/*
declare @a float 
set @a = '' 
 exec I_REPORT_FORMULA_P4_PREPARE @a output, '20130101' , '20131231' ,74578 ,  39348 
 */
----  (  2,3,4)
--INSERT INTO #P4_PART1
--SELECT 1 AS COL, SUM(VAL) FROM #P4_PART1 WHERE COL > 1

/* - .  */
DECLARE @ISMINUTES TINYINT
SET @ISMINUTES = DBO.SA_GET_OPTION_BY_CODE('TABEL_OPT10') --     

/*  -      */
INSERT INTO #P4_PART1 (COL, VAL)
SELECT [STATUS],  CASE WHEN  datediff(MONTH,@BDATE,@ENDDATE) NOT IN  (3,6,9,12) THEN 0 else  DBO.MINUTES_TO_NUM(SUM(DBO.NUM_TO_MINUTES([HOURS],@ISMINUTES)),@ISMINUTES) end
FROM
(
	SELECT 
		[STATUS] = (CASE WHEN F.[STATUS] <> 3 THEN 5 ELSE 6 END),
		[HOURS] = DBO.SA_GET_EMPL_WH(LINK, DEFAULT,DEFAULT,PERIOD_BEG,PERIOD_END,DEFAULT,DEFAULT) 
	FROM 
		#EMPL1 F
) A
GROUP BY [STATUS]


--        ,       
delete FROM 
	#EMPL1 
WHERE
	LINK in (SELECT LINK FROM  #EMPL1 E1 GROUP BY LINK HAVING COUNT(*) > 1 ) 
	AND PERIOD_END not in (SELECT min(PERIOD_END) FROM  #EMPL1 E1 GROUP BY LINK HAVING COUNT(*) > 1 /*and  min(PERIOD_END) = @D2*/ ) 

/*   / */
CREATE  TABLE #P4_S_J_C (SUMMA NUMERIC(20,1), STAT_OTCHET TINYINT, DEP_TYPE TINYINT, COL TINYINT, PERIOD_END DATETIME)

DECLARE @LINKEKR213 INT
SELECT @LINKEKR213 = LINK FROM DBO.DICTIONARY_ITEM WHERE CODE = '213'



CREATE TABLE #CJ (PERS_LINK INT, LINK_EMPL INT, LINK_PAYS INT, PERIOD_END DATETIME, SUMMA NUMERIC(18,2), STAT_OTCHET TINYINT, WAY_CALC TINYINT, DEP_TYPE TINYINT)

INSERT INTO #CJ (PERS_LINK, LINK_EMPL, LINK_PAYS, PERIOD_END, SUMMA, STAT_OTCHET, WAY_CALC, DEP_TYPE)
SELECT 
	PERS_LINK, LINK_EMPL, LINK_PAYS, 
	JC.PERIOD_BEGIN , 
	SUMMA, STAT_OTCHET, WAY_CALC,
	CASE WHEN PERS_LINK IS NULL THEN 0 ELSE 5 END /* 5 -   */
FROM
	DBO.CALCULATE_JURNAL JC 
	INNER JOIN DBO.PAYS P ON JC.LINK_PAYS = P.LINK 
WHERE
	P.[OBJECT] = 1 /*   */
	AND (P.WAY_CALC <> 15 AND YEAR(JC.PERIOD_BEGIN)=  YEAR(@D1) AND MONTH(JC.PERIOD_BEGIN) <= MONTH(@D1)
 		OR P.WAY_CALC = 15 AND YEAR(JC.PERIOD_BEGIN)=  YEAR(@D1) AND MONTH(JC.PERIOD_BEGIN) <= MONTH(@D1))	
	AND P.STAT_OTCHET <> 3
	AND JC.LINK_DEP = @DEP_LINK

-----------  ,        
UPDATE J
SET LINK_EMPL = E.LINK, DEP_TYPE = 0
FROM #CJ J INNER JOIN #EMPL E ON E.PERS_LINK = J.PERS_LINK AND J.[PERIOD_END] BETWEEN E.PERIOD_BEG AND E.PERIOD_END
		

------------
INSERT INTO #P4_S_J_C 
SELECT SUMMA, STAT_OTCHET, DEP_TYPE, COALESCE(F.COL,0), J.[PERIOD_END]
FROM #CJ J INNER JOIN (SELECT LINK, (CASE WHEN STATUS=3 THEN 9 ELSE 8 END) AS COL, PERIOD_BEG, PERIOD_END FROM #EMPL1) F 
		ON J.LINK_EMPL = F.LINK AND YEAR(J.[PERIOD_END]) * 100 + MONTH(J.[PERIOD_END]) 
				BETWEEN YEAR(F.PERIOD_BEG) * 100 + MONTH(F.PERIOD_BEG) AND YEAR(F.PERIOD_END) * 100 + MONTH(F.PERIOD_END)

------------		
INSERT INTO #P4_S_J_C
SELECT SUMMA, STAT_OTCHET, DEP_TYPE, 0, PERIOD_END
FROM #CJ WHERE LINK_EMPL IS NULL


	/* COL8! */
	INSERT INTO #P4_PART1 (COL, VAL)
		SELECT 8, SUM(SUMMA)/1000 FROM #P4_S_J_C
		WHERE COL=8 AND STAT_OTCHET=1 AND DEP_TYPE<>5
			AND  
			(	@CNT <= 15 AND MONTH(PERIOD_END) <= MONTH(@ENDDATE)
				OR
				@CNT > 15 AND MONTH(PERIOD_END) = MONTH(@ENDDATE)
			)

	/* COL9! */
	INSERT INTO #P4_PART1 (COL, VAL)
		SELECT 9, SUM(SUMMA)/1000 FROM #P4_S_J_C
		WHERE COL=9 AND STAT_OTCHET=1 AND DEP_TYPE<>5
			AND 
			(	@CNT <= 15 AND MONTH(PERIOD_END) <= MONTH(@ENDDATE)
				OR
				@CNT > 15 AND MONTH(PERIOD_END) = MONTH(@ENDDATE)
			)

	/* COL10! */
	INSERT INTO #P4_PART1 (COL, VAL)
		SELECT 10, SUM(SUMMA)/1000 FROM #P4_S_J_C
		WHERE STAT_OTCHET=1 AND DEP_TYPE=5
			AND 
			(	@CNT <= 15 AND MONTH(PERIOD_END) <= MONTH(@ENDDATE)
				OR
				@CNT > 15 AND MONTH(PERIOD_END) = MONTH(@ENDDATE)
			)
	/* COL11!     I , I , 9 ,  */
	INSERT INTO #P4_PART1 (COL, VAL)
		SELECT 11, case when  datediff(MONTH,@BDATE,@ENDDATE) IN  (3,6,9,12) then SUM(SUMMA)/1000 ELSE NULL END 
		FROM #P4_S_J_C
			WHERE STAT_OTCHET=2 -- 
				AND MONTH(PERIOD_END) <= MONTH(@ENDDATE)
				--AND MONTH(@ENDDATE) % 3 = 0


/* . 3 -   */
	/* ROW 21 */
	INSERT INTO #P4_PART1 (COL, VAL)
		SELECT 21, COUNT(*) FROM ITEM_MOVE I LEFT JOIN #EMPL1 DF ON I.EMPL_LINK = DF.LINK AND I.DATE_BEGIN BETWEEN DF.PERIOD_BEG AND DF.PERIOD_END
			WHERE DF.DEP_LINK = @DEP_LINK
				AND NEW_FACE = 1
				AND I.DATE_BEGIN >= @DBYEAR AND I.DATE_BEGIN <= @ENDDATE

	/* ROW 22 */
	INSERT INTO #P4_PART1 (COL, VAL)
		SELECT 22, COUNT(*) FROM ITEM_MOVE I LEFT JOIN #EMPL1 DF ON I.EMPL_LINK = DF.LINK AND I.DATE_BEGIN BETWEEN DF.PERIOD_BEG AND DF.PERIOD_END
			WHERE DF.DEP_LINK = @DEP_LINK 
				AND NEW_FACE = 1
				AND I.DATE_BEGIN >= @DBYEAR AND I.DATE_BEGIN <= @ENDDATE
				AND I.STAFF_LINK IN ( SELECT LINK_UP FROM STAFF WHERE DATE_BEGIN >= @DBYEAR)

	/* ROW 23 */
	INSERT INTO #P4_PART1 (COL, VAL)
		SELECT 23, COUNT(*) FROM ITEM_DIS_FACE I LEFT JOIN #EMPL1 DF ON I.EMPL_LINK = DF.LINK AND I.DIS_DATE BETWEEN DF.PERIOD_BEG AND DF.PERIOD_END
			WHERE DF.DEP_LINK = @DEP_LINK
				AND DIS_DATE >= @DBYEAR AND DIS_DATE <= @ENDDATE

	/* ROW 24 */
	INSERT INTO #P4_PART1 (COL, VAL)
		SELECT 24, COUNT(*) FROM ITEM_DIS_FACE I LEFT JOIN #EMPL DF ON I.EMPL_LINK = DF.LINK AND I.DIS_DATE BETWEEN DF.PERIOD_BEG AND DF.PERIOD_END
			WHERE DF.DEP_LINK = @DEP_LINK 
				AND DIS_DATE >= @DBYEAR AND DIS_DATE <= @ENDDATE
				AND REASON IN (SELECT LINK FROM DICTIONARY_PUV WHERE CODE = '0402')
	
	/* ROW 26 */
	INSERT INTO #P4_PART1 (COL, VAL)
		SELECT 26, COUNT(*) 
		FROM 
			DBO.ITEM_DIS_FACE I 
			INNER JOIN DBO.DICTIONARY_PUV DP ON DP.LINK = I.REASON
			LEFT JOIN #EMPL1 DF ON I.EMPL_LINK = DF.LINK AND I.DIS_DATE BETWEEN DF.PERIOD_BEG AND DF.PERIOD_END
		WHERE DF.DEP_LINK = @DEP_LINK 
				AND DIS_DATE >= @DBYEAR AND DIS_DATE <= @ENDDATE
				AND DP.CODE IN ('0300','0707','2030','2016','0000')
	
	/* ROW 27 */
	INSERT INTO #P4_PART1 (COL, VAL) 
	SELECT 27, @CNT

	-- 
	INSERT INTO #P4_PART1 (COL, VAL)
	SELECT 28, SUM(S.FREE_STAKES)
	FROM DBO.DICTIONARY_STAFF_FN(@ENDDATE) S 
		INNER JOIN DBO.DICTIONARY_SUBDIVISION_FN(@ENDDATE) D ON D.LINK = S.SUBDIV_LINK
	WHERE 
		S.DELETED = 0 AND S.DEP_LINK = @DEP_LINK
		AND D.DELETED = 0
		AND (
				@BUFFER_SUBDIV IS NULL
				OR
				@BUFFER_SUBDIV IS NOT NULL AND S.SUBDIV_LINK IN (SELECT LINK FROM @SUBDIV)
			)				
--select * from #P4_PART1
DROP TABLE #P4_S_J_C

/**********************************************************************************************************************/
/*    */
DECLARE @RESULT_TABLE VARCHAR(100)
EXEC DBO.X_GET_TABLE_NAME @RESULT_TABLE OUTPUT

EXEC DBO.I_REPORT_FORMULA_ERASE_TABLES 0
EXEC ('SELECT * INTO ' + @RESULT_TABLE + ' FROM #P4_PART1 ')
EXEC DBO.BUFFERPUSH -151, @RESULT_TABLE
	SET @OUT_VAL = ''
DROP TABLE #P4_PART1
END











GO


GRANT EXECUTE ON dbo.[I_REPORT_FORMULA_P4_PREPARE] TO PUBLIC

GO


GO
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[SA_4FSS_EXPORT_v092]') AND OBJECTPROPERTY(id,N'IsProcedure') = 1)
DROP PROCEDURE dbo.[SA_4FSS_EXPORT_v092]

GO

/*EXEC dbo.BK_SELECT_EXPORT_FORMAT 2486*/
/*exec [dbo].SA_4FSS_EXPORT_v092       42251*/
CREATE      PROCEDURE [dbo].SA_4FSS_EXPORT_v092 ( @Link int /*  */ )
AS

CREATE TABLE #OUTPUT (ID int identity(1,1), F_NAME VARCHAR(254), OUT_TEXT TEXT)

SET NOCOUNT  ON

-- 
CREATE TABLE #TASK_PROP (ID int identity(1,1), VAL VARCHAR (254))


INSERT INTO #TASK_PROP (VAL) exec dbo.X_GET_PROP_CLIENT 'PROJECT','VERSION_MAJOR',1
INSERT INTO #TASK_PROP (VAL) exec dbo.X_GET_PROP_CLIENT 'PROJECT','VERSION_MINOR',1
INSERT INTO #TASK_PROP (VAL) exec dbo.X_GET_PROP_CLIENT 'PROJECT','VERSION_FIX',1

declare @NAME_PROG varchar(254), @VERS_PROG VARCHAR(254)
Select @NAME_PROG = UPPER(RTRIM(LTRIM([NAME]))),
	@VERS_PROG = (SELECT RTRIM(LTRIM(VAL)) FROM #TASK_PROP WHERE [ID] = 1)
	+ (SELECT REPLACE(STR(RTRIM(LTRIM(VAL)),2),' ','0') FROM #TASK_PROP WHERE [ID] = 2)
	+ (SELECT REPLACE(STR(RTRIM(LTRIM(VAL)),2),' ','0') FROM #TASK_PROP WHERE [ID] = 3)
from dbo.DICTIONARY_TASK where CODE = 'SALARY'
--------------------------------------------
--      
DECLARE @OKATO_OR_OKTMO int
SET @OKATO_OR_OKTMO = dbo.SA_GET_OPTION_BY_CODE('NASTR_USE_OKATO_OKTMO')


DECLARE @LINK_DEP INT, @YEAR INT, @Version TINYINT, @Period_Number TINYINT, @LINK_FORM INT,
		@Begin_Date DATETIME, @End_Date DATETIME, @modify_date DATETIME
SELECT
	@LINK_DEP = LINK_ORGANIZATION,
	@YEAR = YEAR(Begin_Date),
	@Version = [Version],
	@Period_Number = Period_Number,
	@LINK_FORM = LINK_FORM,
	@Begin_Date = dbo.DateBeginOfYear(Begin_Date),
	@End_Date = dbo.DateEndOfMonth(dbo.ConvertDMY2Date(1,Period_Number*3,YEAR(Begin_Date))),
	@modify_date = modify_date
FROM dbo.REPORT_SAVED_FORMS
WHERE LINK_SAVED_FORM = @link

DECLARE
	@first_month_of_quarter TINYINT,
	@second_month_of_quarter TINYINT,
	@third_month_of_quarter TINYINT

IF @Period_Number = 1
	SELECT @first_month_of_quarter = 1, @second_month_of_quarter = 2, @third_month_of_quarter = 3
IF @Period_Number = 2
	SELECT @first_month_of_quarter = 4, @second_month_of_quarter = 5, @third_month_of_quarter = 6
IF @Period_Number = 3
	SELECT @first_month_of_quarter = 7, @second_month_of_quarter = 8, @third_month_of_quarter = 9
IF @Period_Number = 4
	SELECT @first_month_of_quarter = 10, @second_month_of_quarter = 11, @third_month_of_quarter = 12

SELECT  @first_month_of_quarter = ISNULL(@first_month_of_quarter,1), @second_month_of_quarter = ISNULL(@second_month_of_quarter,2), @third_month_of_quarter = ISNULL(@third_month_of_quarter,3)

SELECT top 1
	DD1.OKPO AS OKPO1,
	DD1.INN AS INN1, DD1.KPP AS KPP1,
	FULL_NAME = UPPER(DD1.FULL_NAME),
	UPPER(DD1.NAME) AS ORGNAME,
	DD2.NALOG AS IMNS_SONO, DD2.NAME AS IMNS_NAME,
	DD2.NALOG AS SONO,
	DD1.OGRN AS OGRN1,
	LTRIM(RTRIM(dbo.GetAddressBykladr(DD1.REF_LINK_A)))
		+ CASE WHEN ISNULL(DD1.HOUSE, '') = '' THEN '' ELSE  ' ' + LTRIM(RTRIM(DD1.HOUSE)) END
		+ CASE WHEN ISNULL(DD1.FLAT, '') = '' THEN '' ELSE ' - ' + LTRIM(RTRIM(DD1.FLAT)) END
	AS ADDR_STR,
	CAST(NULL AS DATETIME) AS DATE_END,
	UPPER(RTRIM(CHIEF.FM) + ' ' + LEFT(CHIEF.IM, 1) + '. ' + LEFT(CHIEF.OT,1) + '.') AS CHIEF_FIO,
	RTRIM(CHIEF.PHONE) AS CH_PHONE,
	UPPER(RTRIM(GLBUH.FM) + ' ' + LEFT(GLBUH.IM, 1) + '. ' + LEFT(GLBUH.OT,1) + '.') AS GLBUH_FIO,
	RTRIM(GLBUH.PHONE) AS GL_PHONE,
	DD1.OGRN,
	DD1.OKATO,
	DD1.OKTMO,
	DD1.OKVED,
	DD1.OKPO,
	DD1.FSS_REG_NUM, --  ()  
	DD1.FSS_KOD_P, --  - ,    ,     ,       ;	
	DD1.FSS_KOD_DOP, --      
	DD1.OKOPF, ---    - ;
	DD1.OKFS, ---     ;
	DD1.PFNUMBER,
	DD1.Email ,
	DA.[ADDRESS] , 
	DA.PINDEX, REGION = UPPER(DA.REGION), DA.REGCODE, RAION = UPPER(DA.RAION), GOROD = UPPER(DA.GOROD),
	NASEL = UPPER(DA.NASEL), STREET = UPPER(DA.STREET), DA.HOUSE, DA.KORP, DA.FLAT,
	TFOMS_RNUM = DD1.TFOMS_REG_NUM,
	TFOMS_KT = DD1.TFOMS_KT,
	TaxType = DD1.FSS_KP_PC1,
	TaxType2 = DD1.FSS_KP_PC2,
	TaxType3 = DD1.FSS_KP_PC3
INTO #DEP_DATA	
FROM DICTIONARY_DEPARTMENT DD1
	LEFT OUTER JOIN DICTIONARY_DEPARTMENT DD2 ON DD1.IMNS_LINK = DD2.LINK
	LEFT OUTER JOIN dbo.GetOtvFaceData(@LINK_DEP, '') chief on chief.link_dep = dd1.link
	LEFT OUTER JOIN dbo.GetOtvFaceData(@LINK_DEP, ' ') GLBUH ON GLBUH.link_dep = dd1.link
	LEFT JOIN DBO.DEP_ADRESS(@LINK_DEP) DA ON 1=1
WHERE DD1.LINK = @LINK_DEP

DECLARE @NumDotC VARCHAR(2), @NumDot INT
SELECT @NumDotC = ISNULL(dbo.RN_GET_ATR_VALUE(@LINK, 'REPORTS_ATR_NOM_OBR'),'00')
SET @NumDot = CASE WHEN ISNUMERIC(@NumDotC) =1 THEN CONVERT(INT,@NumDotC) ELSE 0 END

DECLARE @LIKV VARCHAR(3), @nLIKV INT
SELECT @LIKV = ISNULL(dbo.RN_GET_ATR_VALUE(@LINK, 'REPORTS_ATR_LIKVID'),'00')
SET @nLIKV = CASE WHEN LTRIM(RTRIM(@LIKV)) = '' THEN 1 ELSE 0 END

DECLARE @Cur0 CURSOR, @TAB_NUM TINYINT, @TAB_NAME VARCHAR(254), @Cur CURSOR, @Cur1 CURSOR, @NUM INT, @BLOK_NAME VARCHAR(254), @RAZDEL_NUM TINYINT, @RAZDEL_NAME VARCHAR(254)

DECLARE @lcFNAME varchar(254)
SELECT @lcFNAME = FSS_REG_NUM + '_' + CONVERT(VARCHAR(4),@YEAR)  + '_' +  (CASE @Period_Number WHEN 1 THEN '03' WHEN 2 THEN '06' WHEN 3 THEN '09' ELSE '12' END) + '.XML' FROM #DEP_DATA

INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
SELECT @lcFNAME, 'OEM' -- 
UNION ALL SELECT @lcFNAME, SPACE(0) + '<?xml version="1.0" encoding="windows-1251"?>'
UNION ALL SELECT @lcFNAME, SPACE(0) + '<?F4FORM version="0.92"?>'
UNION ALL SELECT @lcFNAME, SPACE(0) + '<F4REPORT xmlns="http://fz122.fss.ru" xmlns:xsd="http://www.w3.org/2001/XMLSchema-instance" xsd:schemaLocation="http://fz122.fss.ru/doc/f4form_2017.xsd">'

/**  **/

	UNION ALL SELECT @lcFNAME, SPACE(1) + '<TITLE'
		+ ' REG_NUM="' + LTRIM(RTRIM(FSS_REG_NUM)) + '"'
		+ ' KPS_NUM="' + LTRIM(RTRIM(FSS_KOD_P)) + '"'
		--+ ' DOP_NUM="' + ISNULL(LTRIM(RTRIM(FSS_KOD_DOP)),'') + '"'
		+ ' YEAR_NUM="' + CONVERT(VARCHAR(4),@YEAR) + '"'
		+ ' QUART_NUM="' + (CASE @Period_Number WHEN 1 THEN '03' WHEN 2 THEN '06' WHEN 3 THEN '09' ELSE '12' END) + '"'
		+ ' NumCorr="' + LTRIM(RTRIM(CONVERT(VARCHAR(3),@Version))) + '"' -- 
		+ ' NumDot="' + LTRIM(RTRIM(CONVERT(VARCHAR(2),@NumDot))) + '"' -- 
		+ ' LIKV="' +LTRIM(RTRIM(CONVERT(VARCHAR(1),@nLIKV))) + '"'
		+ ' NAME="' + LTRIM(RTRIM(REPLACE(FULL_NAME,'"','&quot;'))) + '"'
		+ ' INN="' + LTRIM(RTRIM(INN1)) + '"'
		+ ' KPP="' + LTRIM(RTRIM(KPP1)) + '"'
		+ ' OGRN="' + LTRIM(RTRIM(OGRN)) + '"'
		--+ ' OKOPF="' + LTRIM(RTRIM(OKOPF)) + '"'
		--+ CASE WHEN @OKATO_OR_OKTMO = 1 THEN  (' OKATO="' + REPLACE(LTRIM(RTRIM(OKATO)),' ','') + '"') ELSE (' OKTMO="' + REPLACE(LTRIM(RTRIM(OKTMO)),' ','') + '"') END
		--+ ' OKPO="' + LTRIM(RTRIM(OKPO)) + '"'
		--+ ' OKFS="' + LTRIM(RTRIM(OKFS)) + '"'
		--
		+ ' PHONE="' +(SELECT LTRIM(RTRIM(phone)) FROM DICTIONARY_OTV_FACE  WHERE Dep_LINK=dbo.GetOwnDepLink() and name = ' ') + '"'
		+ ' CADDR="'+left(LTRIM(RTRIM(ADDR_STR)),128)+'"'
		+ ' EMAIL="'+LTRIM(RTRIM(EMAIL))+'"'
		+ ' OKVED="' + LTRIM(RTRIM(OKVED)) + '"'
		--+ ' TaxType="' + LEFT(LTRIM(RTRIM(TaxType)),3) + '"' -- ( )
		--+ ' TaxType2="' + LEFT(LTRIM(RTRIM(TaxType2)),2) + '"' -- ( )
		--+ ' TaxType3="' + LEFT(LTRIM(RTRIM(TaxType3)),2) + '"' -- ( )		
		+ ' T1R1C2="' + LTRIM(RTRIM(CONVERT(VARCHAR(6),ISNULL((SELECT TOP 1 SUMMA FROM DBO.SA_SAVED_REPORT_VIEW (@LINK, 1, 1, 3)),0)))) + '"' -- 	
		--+ ' T1R2C2="' + LTRIM(RTRIM(CONVERT(VARCHAR(6),ISNULL((SELECT TOP 1 SUMMA FROM DBO.SA_SAVED_REPORT_VIEW (@LINK, 1, 2, 3)),0)))) + '"' -- : 	
		+ ' T1R4C2="' + LTRIM(RTRIM(CONVERT(VARCHAR(6),ISNULL((SELECT TOP 1 SUMMA FROM DBO.SA_SAVED_REPORT_VIEW (@LINK, 1, 3, 3)),0)))) + '"' -- :  	
		+ ' T1R6C2="' + LTRIM(RTRIM(CONVERT(VARCHAR(6),ISNULL((SELECT TOP 1 SUMMA FROM DBO.SA_SAVED_REPORT_VIEW (@LINK, 1, 4, 3)),0)))) + '"' -- : ,       ()   	
		+ ' Upoln="1"'
		+ ' CEO="' + LTRIM(RTRIM(CHIEF_FIO)) + '"'
		+ ' CRE_DATE="' + convert(varchar(10),@modify_date,120) + '"'
		--+ ' WRO="' + LEFT(FSS_REG_NUM,4) + '"'
		--+ ' CFO="' + LTRIM(RTRIM(GLBUH_FIO)) + '"'
		--+ ' AUTHOR="' + ISNULL(dbo.AdminGetUserFIO(default),'') + '"'
		+ '/>'
		FROM #DEP_DATA
--  /**  I **/

		INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
		SELECT @lcFNAME, SPACE(0) + '<F4INFO '		



		-- 1  2  3
		UNION ALL SELECT @lcFNAME, SPACE(1)		
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' NC="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, 2, 3) WHERE SUMMA2 <> 0
		-- 1  2  4
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' NC1="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, 2,4) WHERE SUMMA2 <> 0
		-- 1  2  5
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' NC2="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, 2, 5) WHERE SUMMA2 <> 0
		-- 1  2  6
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' NC3="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, 2, 6) WHERE SUMMA2 <> 0
		
		-- 1  3  3
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T1R3C2="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, 3, 3) WHERE SUMMA2 <> 0
		-- 4	
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' C1="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, 3, 4) WHERE SUMMA2 <> 0
		--  5
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' C2="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, 3, 5) WHERE SUMMA2 <> 0
		--  6
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' C3="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, 3, 6) WHERE SUMMA2 <> 0

		-- 1  4  3
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T1R5C2="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, 4, 3) WHERE SUMMA2 <> 0
		-- 4
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' I1="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, 4, 4) WHERE SUMMA2 <> 0
		-- 5
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' I2="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, 4, 5) WHERE SUMMA2 <> 0
		-- 6
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' I3="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, 4, 6) WHERE SUMMA2 <> 0

		-- 1  5
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' RATE_MIS="' + right(ltrim(rtrim(str(SUMMA2))),2)+'.' +substring(convert(varchar(4),(SUMMA2 - ROUND(SUMMA2, 0, 1))),3,1)  + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, 5, 3) WHERE SUMMA2 <> 0
		-- 1  6
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' RATE_DEC="' + left(ltrim(str(SUMMA)),2) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, 6, 3) WHERE SUMMA2 <> 0
		-- 1  7
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' RATE_INC="' + left(ltrim(str(SUMMA)),2) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, 7, 3) WHERE SUMMA2 <> 0
		-- 1  8
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' INC_DATE="'
					+ CASE LEN(LTRIM(RTRIM(LEFT(STR_VAL,10))))
						WHEN 10 THEN
							SUBSTRING(LTRIM(RTRIM(LEFT(STR_VAL,10))),7,4)
							+ '-' + SUBSTRING(LTRIM(RTRIM(LEFT(STR_VAL,10))),4,2)
							+ '-' + SUBSTRING(LTRIM(RTRIM(LEFT(STR_VAL,10))),1,2)
						WHEN 8 THEN
							'20' + SUBSTRING(LTRIM(RTRIM(LEFT(STR_VAL,10))),7,2)
							+ '-' + SUBSTRING(LTRIM(RTRIM(LEFT(STR_VAL,10))),4,2)
							+ '-' + SUBSTRING(LTRIM(RTRIM(LEFT(STR_VAL,10))),1,2)								
						ELSE
						''
					END + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 1, 8,7) WHERE ISNULL(STR_VAL,'') <> ''


		
---		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' OKVED="' + LTRIM(RTRIM(OKVED)) + '"' FROM #DEP_DATA

		--  1 
		-- 2  1
		UNION ALL SELECT @lcFNAME, SPACE(1)		
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T7R1C1="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 1, 3) WHERE SUMMA2 <> 0
		-- 2  2_1
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T7R3C1="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 3, 3) WHERE SUMMA2 <> 0
		-- 2_3
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T7R5C1="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 5, 3) WHERE SUMMA2 <> 0
		-- 2_4
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T7R6C1="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 6, 3) WHERE SUMMA2 <> 0
		-- 2_5
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T7R7C1="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 7, 3) WHERE SUMMA2 <> 0
		
		-- 2  3
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T7R9C1="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 8, 3) WHERE SUMMA2 <> 0
		-- 2  4
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T7R13C1="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 9, 3) WHERE SUMMA2 <> 0
		-- 2  5
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T7R11C1="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 10, 3) WHERE SUMMA2 <> 0
		-- 2  6
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T7R16C1="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 11, 3) WHERE SUMMA2 <> 0
		-- 2  7
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T7R17C61="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 12, 3) WHERE SUMMA2 <> 0
		-- 2  9
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T7R18C1="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 14, 3) WHERE SUMMA2 <> 0
		-- 2  11
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T7R39C1="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 16, 3) WHERE SUMMA2 <> 0
		-- 2  12
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T7R19C1="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 17, 3) WHERE SUMMA2 <> 0
		-- 2  14
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T7R40C1="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 19, 3) WHERE SUMMA2 <> 0

		-- 2  15_1
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T7R21C1="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 21, 3) WHERE SUMMA2 <> 0
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T7R23C1="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 23, 3) WHERE SUMMA2 <> 0
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T7R24C1="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 24, 3) WHERE SUMMA2 <> 0
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T7R25C1="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 25, 3) WHERE SUMMA2 <> 0
		-- 2  16_1
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T7R27C1="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 27, 3) WHERE SUMMA2 <> 0
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T7R29C1="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 29, 3) WHERE SUMMA2 <> 0
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T7R30C1="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 30, 3) WHERE SUMMA2 <> 0
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T7R31C1="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 31, 3) WHERE SUMMA2 <> 0
		-- 2  17
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T7R38C1="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 32, 3) WHERE SUMMA2 <> 0
		-- 2  19
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T7R34C1="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4,34, 3) WHERE SUMMA2 <> 0
		-- 2  20
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T7R35C1="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 35, 3) WHERE SUMMA2 <> 0

		-- 
		-- 3  1
		UNION ALL SELECT @lcFNAME, SPACE(1)		
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T6R3C1="' + CONVERT(VARCHAR(20),SUMMA) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 1, 3) WHERE SUMMA <> 0
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T6R3C2="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 1, 4) WHERE SUMMA2 <> 0
		-- 3  2
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T6R13C1="' + CONVERT(VARCHAR(20),SUMMA) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 2, 3) WHERE SUMMA <> 0
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T6R13C2="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 2, 4) WHERE SUMMA2 <> 0
		-- 3  3
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T6R4C1="' + CONVERT(VARCHAR(20),SUMMA) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 3, 3) WHERE SUMMA <> 0
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T6R4C2="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 3, 4) WHERE SUMMA2 <> 0
		-- 3  4
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T6R8C1="' + CONVERT(VARCHAR(20),SUMMA) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 4, 3) WHERE SUMMA <> 0
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T6R8C2="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 4, 4) WHERE SUMMA2 <> 0
		-- 3  5
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T6R14C1="' + CONVERT(VARCHAR(20),SUMMA) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 5, 3) WHERE SUMMA <> 0
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T6R14C2="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 5, 4) WHERE SUMMA2 <> 0
		-- 3  6
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T6R9C1="' + CONVERT(VARCHAR(20),SUMMA) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 6, 3) WHERE SUMMA <> 0
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T6R9C2="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 6, 4) WHERE SUMMA2 <> 0
		-- 3  7
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T6R5C1="' + CONVERT(VARCHAR(20),SUMMA) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 7, 3) WHERE SUMMA <> 0
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T6R5C2="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 7, 4) WHERE SUMMA2 <> 0
		-- 3  8
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T6R6C1="' + CONVERT(VARCHAR(20),SUMMA) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 8, 3) WHERE SUMMA <> 0
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T6R6C2="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 8, 4) WHERE SUMMA2 <> 0
		-- 3  9
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T6R10C2="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 9, 4) WHERE SUMMA2 <> 0
		-- 3  11
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T6R11C2="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5,11, 4) WHERE SUMMA2 <> 0


		-- 4
		UNION ALL SELECT @lcFNAME, SPACE(1)
		UNION ALL SELECT @lcFNAME, SPACE(1) + ' M' + CONVERT(VARCHAR(2),ROW) + '="' + CONVERT(VARCHAR(20),SUMMA) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, DEFAULT, 3) WHERE ROW IN (1,2,3,5) AND SUMMA <> 0

		-- 5  1
		UNION ALL SELECT @lcFNAME, SPACE(1)
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' ATT_C1="' + CONVERT(VARCHAR(20),SUMMA) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 7, 1, 3) WHERE SUMMA <> 0
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' ATT_C2="' + CONVERT(VARCHAR(20),SUMMA) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 7, 1, 4) WHERE SUMMA <> 0
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' ATT_CL3="' + CONVERT(VARCHAR(20),SUMMA) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 7, 1, 6) WHERE SUMMA <> 0
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' ATT_CL4="' + CONVERT(VARCHAR(20),SUMMA) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 7, 1, 7) WHERE SUMMA <> 0

		-- 5  2
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' MED_C1="' + CONVERT(VARCHAR(20),SUMMA) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 7, 2, 8) WHERE SUMMA <> 0
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' MED_C2="' + CONVERT(VARCHAR(20),SUMMA) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 7, 2, 9) WHERE SUMMA <> 0
		
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(0) + ' >'

		/* I  */
		IF EXISTS (SELECT * FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 29, 3) WHERE SUMMA2 > 0)
			INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
			SELECT TOP 1 @lcFNAME, SPACE(1) + ' <PAYM_ORDER NUM="' + STR_VAL + '" DT="' + convert(varchar(10),dbo.DateEndOfMonth(dbo.ConvertDMY2Date(1,@first_month_of_quarter,@YEAR)),120) + '"' + ' SUM="' + (SELECT TOP 1 CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 29, 3)) + '"/>' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 29, 4)

		IF EXISTS (SELECT * FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 30, 3) WHERE SUMMA2 > 0)
			INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
			SELECT TOP 1 @lcFNAME, SPACE(1) + ' <PAYM_ORDER NUM="' + STR_VAL + '" DT="' + convert(varchar(10),dbo.DateEndOfMonth(dbo.ConvertDMY2Date(1,@second_month_of_quarter,@YEAR)),120) + '"' + ' SUM="' + (SELECT TOP 1 CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 30, 3)) + '"/>' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 30, 4)

		IF EXISTS (SELECT * FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 31, 3) WHERE SUMMA2 > 0)
			INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
			SELECT TOP 1 @lcFNAME, SPACE(1) + ' <PAYM_ORDER NUM="' + STR_VAL + '" DT="' + convert(varchar(10),dbo.DateEndOfMonth(dbo.ConvertDMY2Date(1,@third_month_of_quarter,@YEAR)),120) + '"' + ' SUM="' + (SELECT TOP 1 CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 31, 3)) + '"/>' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 31, 4)
		
		INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
		SELECT @lcFNAME, SPACE(0) + '</F4INFO>'
		
	/*	
		/* 1.1 ,      ,    2.1  22    24  1998 N125-*/
		CREATE TABLE #SVED (
			NUM_PP INT, REG_NOM VARCHAR(10), INN VARCHAR(12), OKVED VARCHAR(8), CHISL NUMERIC(6),
			B_ALL VARCHAR(25), B_INV VARCHAR(25), B_1M_ALL NUMERIC(18,2), B_1M_INV NUMERIC(18,2),
			B_2M_ALL NUMERIC(18,2), B_2M_INV NUMERIC(18,2), B_3M_ALL NUMERIC(18,2), B_3M_INV NUMERIC(18,2),
			STR_KL  NUMERIC(2,2) , STR_SK  NUMERIC(2,1) )
		
		CREATE TABLE #TAB1_1 (ROW_CODE VARCHAR(4), COL INT, SUMMA NUMERIC(18), SUMMA2 NUMERIC(18,2), STR_VAL VARCHAR(254))
			INSERT INTO #TAB1_1 (ROW_CODE, COL,SUMMA , SUMMA2, STR_VAL)
			SELECT ROW_CODE, COL,SUMMA, SUMMA2, STR_VAL FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, DEFAULT, DEFAULT) T WHERE T.COL >= 2 ORDER BY T.COL



		INSERT INTO #SVED (NUM_PP, REG_NOM, INN, OKVED, CHISL,
			B_ALL , B_INV , B_1M_ALL, B_1M_INV,B_2M_ALL, B_2M_INV, B_3M_ALL, B_3M_INV,
			STR_KL, STR_SK)
		SELECT 
			NOM_PP = ROW_NUMBER() OVER (PARTITION BY REG_NOM ORDER BY REG_NOM), 
			REG_NOM, INN, OKVED, CHISL,
			B_ALL , B_INV , B_1M_ALL, B_1M_INV,B_2M_ALL, B_2M_INV, B_3M_ALL, B_3M_INV,
			STR_KL, STR_SK
		FROM (	
			SELECT DISTINCT
				REG_NOM = (SELECT TOP 1 STR_VAL FROM #TAB1_1 T WHERE T.COL = 2 AND T.ROW_CODE = T11.ROW_CODE),
				INN = (SELECT TOP 1 STR_VAL FROM #TAB1_1 T WHERE T.COL =3 AND T.ROW_CODE = T11.ROW_CODE),
				OKVED = (SELECT TOP 1 STR_VAL FROM #TAB1_1 T WHERE T.COL = 4 AND T.ROW_CODE = T11.ROW_CODE),
				CHISL = (SELECT TOP 1 SUMMA FROM #TAB1_1 T WHERE T.COL = 5 AND T.ROW_CODE = T11.ROW_CODE),
				B_ALL = (SELECT TOP 1 SUMMA2 FROM #TAB1_1 T WHERE T.COL = 6 AND T.ROW_CODE = T11.ROW_CODE),
				B_INV = (SELECT TOP 1 SUMMA2 FROM #TAB1_1 T WHERE T.COL = 7 AND T.ROW_CODE = T11.ROW_CODE),
				B_1M_ALL = (SELECT TOP 1 SUMMA2 FROM #TAB1_1 T WHERE T.COL = 8 AND T.ROW_CODE = T11.ROW_CODE),
				B_1M_INV = (SELECT TOP 1 SUMMA2 FROM #TAB1_1 T WHERE T.COL = 9 AND T.ROW_CODE = T11.ROW_CODE),
				B_2M_ALL = (SELECT TOP 1 SUMMA2 FROM #TAB1_1 T WHERE T.COL = 10 AND T.ROW_CODE = T11.ROW_CODE),
				B_2M_INV = (SELECT TOP 1 SUMMA2 FROM #TAB1_1 T WHERE T.COL = 11 AND T.ROW_CODE = T11.ROW_CODE),
				B_3M_ALL = (SELECT TOP 1 SUMMA2 FROM #TAB1_1 T WHERE T.COL = 12 AND T.ROW_CODE = T11.ROW_CODE),
				B_3M_INV = (SELECT TOP 1 SUMMA2 FROM #TAB1_1 T WHERE T.COL = 13 AND T.ROW_CODE = T11.ROW_CODE),
				STR_KL = (SELECT TOP 1 SUMMA2 FROM #TAB1_1 T WHERE T.COL = 14 AND T.ROW_CODE = T11.ROW_CODE),
				STR_SK = (SELECT TOP 1 SUMMA2 FROM #TAB1_1 T WHERE T.COL = 15 AND T.ROW_CODE = T11.ROW_CODE)
			FROM
				#TAB1_1 T11
			) as t	

			DROP TABLE #TAB1_1

		
		IF (SELECT COUNT(*) FROM #SVED ) > 0
		BEGIN
			INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
			SELECT @lcFNAME,
				SPACE(1) + '<F4DOGOV' 
					+ ' REG_NUM_P="' + LEFT(LTRIM(RTRIM(STR(REG_NOM))),10) + '"'
					+ ' INN_P="' + LEFT(LTRIM(RTRIM(INN)),12) + '"' 
					+ ' OKVED_P="' + LEFT(LTRIM(RTRIM(OKVED)),8) + '"' 
					+ ' WRK_P="' + LTRIM(RTRIM(CONVERT(VARCHAR(6),ISNULL(CHISL,0)))) + '"'
					+ ' FOT_="' + LTRIM(RTRIM(CONVERT(VARCHAR(17),ISNULL(B_ALL,0)))) + '"' 
					+ ' FOTINV_P="' + LTRIM(RTRIM(CONVERT(VARCHAR(17),ISNULL(B_INV,0)))) + '"'
					+ ' C1="' + LTRIM(RTRIM(CONVERT(VARCHAR(17),ISNULL(B_1M_ALL,0)))) + '"'
					+ ' I1="' + LTRIM(RTRIM(CONVERT(VARCHAR(17),ISNULL(B_1M_INV,0)))) + '"'
					+ ' C2="' + LTRIM(RTRIM(CONVERT(VARCHAR(17),ISNULL(B_2M_ALL,0)))) + '"' 
					+ ' I2="' + LTRIM(RTRIM(CONVERT(VARCHAR(17),ISNULL(B_2M_INV,0)))) + '"' 
					+ ' C3="' + LTRIM(RTRIM(CONVERT(VARCHAR(17),ISNULL(B_3M_ALL,0)))) + '"'
					+ ' I3="' + LTRIM(RTRIM(CONVERT(VARCHAR(17),ISNULL(B_3M_INV,0)))) + '"' 
					+ ' RATE_MIS_P="' + LTRIM(RTRIM(CONVERT(VARCHAR(4),ISNULL(STR_KL,0)))) + '"' 
					+ ' MIS_ALL_P="' + LTRIM(RTRIM(CONVERT(VARCHAR(5),ISNULL(STR_SK,0)))) + '"/>'
			FROM #SVED
			ORDER BY NUM_PP

			DROP TABLE #SVED

		END
	*/
	INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
SELECT @lcFNAME, SPACE(0) + '</F4REPORT>'
SET NOCOUNT OFF

select * from #OUTPUT order by [ID]












GO


GRANT EXECUTE ON dbo.[SA_4FSS_EXPORT_v092] TO PUBLIC

GO




GO
SET QUOTED_IDENTIFIER ON 
GO
SET ANSI_NULLS ON 
GO

if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[X_SAVE_FINANS_CONTRACT]') and OBJECTPROPERTY(id, N'IsProcedure') = 1)
drop procedure [dbo].[X_SAVE_FINANS_CONTRACT]
GO

/*
  (Keysystems), 2005
*/

CREATE             

PROCEDURE dbo.X_SAVE_FINANS_CONTRACT
	@varKSpLINK		int	OUTPUT,
	@varKSpNUMBER	char(25) = null,
	@varKSpDATE		datetime = null,
	@varKSpDATE_PROV	datetime = null,
	@varKSpSumma		numeric(19,2) = 0,
	@varKSpComment		varchar(254) = null,
	@varKSpSUMMA_F        NUMERIC(18,2) = null,
	@varKSpDEP_LINK       INT = null,
	@varKSpPER_ACC_LINK   INT = null,
	@varKSpDEP_LINK_P     INT = null,
	@varKSpDATE_NA        DATETIME = null,
	@varKSpDATE_ACCEPT    DATETIME = null,
	@varKSpCON_PAY        TINYINT = null,
	@varKSpMAINTENANCE    VARCHAR(7500) = null,
	@varKSpDATE_BEGIN     DATETIME = null,
	@varKSpDATE_END       DATETIME = null,
	@varKSpDOG_LINK       INT = null,
	@varKSpSUMMA_DB       NUMERIC(18,2) = null,
	@varKSpSUMMA_KT       NUMERIC(18,2) = null,
	@varKSpNUMBER_BO      VARCHAR(25) = null,
	@varKSpFIN_SOURCE     TINYINT = 1,
	@iGZ     	      TINYINT = 0,
	@iTYPE  	      TINYINT,
	@iDO     	      TINYINT = 0
	

AS
SET LOCK_TIMEOUT 30000
SET IMPLICIT_TRANSACTIONS ON
DECLARE @varKSERROR	tinyint,
		@varKSstrVALUE	varchar(7000),
		@varKSEventText	varchar(254),
		@varKStrancount	int,
		@varKSpObj_LINK	INT,
		@varKSOurDep 	int


SET @varKStrancount = @@TRANCOUNT
SET IMPLICIT_TRANSACTIONS ON
BEGIN TRAN
COMMIT TRAN
	
	IF @varKSpDATE_PROV is not null and not exists(Select * from admin_info Where @varKSpDATE_PROV BETWEEN BEGINDATE AND ENDDATE)
	BEGIN
		ROLLBACK
		RETURN 15
	END

	select @varKSpObj_LINK = LINK, @varKSEventText = RTRIM(NAME) from s_objects where (code = 'FINANS_CONTRACT' and @varKSpDOG_LINK is null) or (code = 'FINANS_CONTRACT_CHANGE' and @varKSpDOG_LINK is not null)


	EXECUTE @varKSERROR = dbo.X_UPDATE_G_PROV @varKSpLINK OUTPUT, @varKSpNUMBER, @varKSpDATE, @varKSpObj_LINK,
	 @varKSpDATE_PROV, @varKSpSumma, @varKSpComment,0,@varKSpDEP_LINK, @varKSpPER_ACC_LINK
	IF @varKSERROR <> 0
		RETURN @varKSERROR	
	
	IF exists (select * from FINANSE_CONTRACT_HEAD where link_g_prov = @varKSpLINK)
		UPDATE FINANSE_CONTRACT_HEAD
			SET CON_PAY = @varKSpCON_PAY,
			DATE_ACCEPT = @varKSpDATE_ACCEPT,
			DATE_BEGIN = @varKSpDATE_BEGIN,
			DATE_END = @varKSpDATE_END,
			DATE_NA = @varKSpDATE_NA,
			DEP_LINK_P = @varKSpDEP_LINK_P,
			MAINTENANCE = @varKSpMAINTENANCE,
			SUMMA_DB = @varKSpSUMMA_DB,
			SUMMA_F = @varKSpSUMMA_F,
			SUMMA_KT = @varKSpSUMMA_KT,
			DOG_LINK = @varKSpDOG_LINK,
			NUMBER_BO = @varKSpNumber_bo,
			FIN_SOURCE = @varKSpFIN_SOURCE,
			GZ = @iGZ,
			TYPE = @iTYPE
		WHERE link_g_prov = @varKSpLINK
	ELSE
		INSERT INTO FINANSE_CONTRACT_HEAD (link_g_prov, CON_PAY, DATE_ACCEPT, DATE_BEGIN, DATE_END, 
			DATE_NA,  DEP_LINK_P, MAINTENANCE,  SUMMA_DB, SUMMA_F, SUMMA_KT, DOG_LINK, Number_BO, FIN_SOURCE, GZ, TYPE)
		VALUES (@varKSpLINK, @varKSpCON_PAY, @varKSpDATE_ACCEPT, @varKSpDATE_BEGIN, 
			@varKSpDATE_END, @varKSpDATE_NA, @varKSpDEP_LINK_P, @varKSpMAINTENANCE, 
			 @varKSpSUMMA_DB, @varKSpSUMMA_F, @varKSpSUMMA_KT, @varKSpDOG_LINK, @varKSpNumber_bo, @varKSpFIN_SOURCE, @iGZ, @iTYPE)

	SET @varKSEventText = @varKSEventText + ' ' + RTRIM(@varKSpNUMBER) + '  ' + convert(varchar, @varKSpDATE, 104)
	EXECUTE WF_GENERATEEVENT ' ', @varKSEventText, @varKSpObj_LINK, 'G_PROV', @varKSpLINK
IF @@TRANCOUNT > @varKStrancount
	COMMIT TRAN
RETURN 0








GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON 
GO


GO
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[KJ_REP_SVED_ATTEST]') AND OBJECTPROPERTY(id,N'IsProcedure') = 1)
DROP PROCEDURE dbo.[KJ_REP_SVED_ATTEST]

GO

/*
  (Keysystems), 2013
*/

CREATE PROCEDURE [dbo].KJ_REP_SVED_ATTEST
	@date1 datetime,
	@date2 DATETIME,
	@Check1 INT 
AS
DECLARE @WORKDATE DATETIME

SELECT	A.EMPL_LINK,
	A.EMPL_FIO as EMPL_FIO,
	A.[DATE] as [DATE],
	A.ATT_LINK as ATT_LINK,
	A.ATT_CODE as ATT_CODE,
	A.ATT_NAME as ATT_NAME,
	A.DOC_NUM as DOC_NUM,
	A.DOC_DATE as DOC_DATE,
	A.REASON as REASON 
FROM dbo.KU_EMPL_ATTEST A
INNER JOIN dbo.KU_EMPL_PLACING b on b.link = A.EMPL_LINK
WHERE	A.[DATE] BETWEEN @date1 AND @date2 
AND ((@Check1 = 1 AND b.SACK = 0)
	OR
	(@Check1 = 0) )

GO


GRANT EXECUTE ON dbo.[KJ_REP_SVED_ATTEST] TO PUBLIC

GO


-- --


GO
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[SS_DEL_EMPL_NOT_RESERV]') AND OBJECTPROPERTY(id,N'IsProcedure') = 1)
DROP PROCEDURE dbo.[SS_DEL_EMPL_NOT_RESERV]

GO

/*******************************************************************************

	  (Keysystems), 2006

*******************************************************************************/
--     SS_NOT_RESERV.
CREATE PROCEDURE dbo.[SS_DEL_EMPL_NOT_RESERV]
	@iLINK_EMPL	INT -- ID .
AS

SET IMPLICIT_TRANSACTIONS OFF  --    .
SET LOCK_TIMEOUT 3000 --     3 .
PRINT '.. SS_DEL_EMPL_NOT_RESERV : .'

BEGIN TRANSACTION --   .
SAVE TRANSACTION SaveTran --    .

   --  .
	DELETE 
   FROM dbo.[SS_NOT_RESERV]
   WHERE [LINK_EMPL] = @iLINK_EMPL

   --      .
	IF @@ERROR <> 0 
   BEGIN
		ROLLBACK TRANSACTION SaveTran --   .
      COMMIT TRANSACTION --  .
      PRINT '.. SS_DEL_EMPL_NOT_RESERV :    .'
      PRINT '.. SS_DEL_EMPL_NOT_RESERV : .   7.'
		RETURN 7 --   .
	END

   --     .
   EXECUTE dbo.[XA_GENERATEEVENT] 'SS_EMPL_NOT_RESERV', 
                                  2, 
                                  @iLINK_EMPL
COMMIT TRANSACTION --  .
PRINT '.. SS_DEL_EMPL_NOT_RESERV : .'
RETURN 0 --  .


GO


GRANT EXECUTE ON dbo.[SS_DEL_EMPL_NOT_RESERV] TO PUBLIC

GO


-- --


GO
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[SS_SAVE_EMPL_NOT_RESERV]') AND OBJECTPROPERTY(id,N'IsProcedure') = 1)
DROP PROCEDURE dbo.[SS_SAVE_EMPL_NOT_RESERV]

GO

/*******************************************************************************

	  (Keysystems), 2006

*******************************************************************************/
--     [SS_NOT_RESERV].
CREATE PROCEDURE dbo.[SS_SAVE_EMPL_NOT_RESERV]
   @iLINK_EMPL     INT = NULL, --  LINK_EMPL.
   @iLINK_EMPL_OLD INT = NULL  --    LINK_EMPL  .
AS
DECLARE @liError INT --  .

SET IMPLICIT_TRANSACTIONS OFF  --    .
SET LOCK_TIMEOUT 3000          --     3 .
PRINT '.. SS_SAVE_EMPL_NOT_RESERV : .'

BEGIN TRANSACTION --   .
SAVE TRANSACTION SaveTran --   .

   IF @iLINK_EMPL_OLD IS NULL
   BEGIN
      SET @liError = 0
   END
   ELSE BEGIN
      EXEC @liError = SS_DEL_EMPL_NOT_RESERV @iLINK_EMPL_OLD --   .
   END

   IF @liError = 0
   BEGIN
      --    .	
   	IF @iLINK_EMPL IS NULL
      BEGIN
   		ROLLBACK TRANSACTION SaveTran --   .
         COMMIT TRANSACTION --  ,    .
         PRINT '.. SS_SAVE_EMPL_NOT_RESERV :    .'
         PRINT '.. SS_SAVE_EMPL_NOT_RESERV : .   5.'
   		RETURN 5 --   .
   	END
   
      --   ,  .
      IF NOT EXISTS (SELECT *
                     FROM dbo.[SS_NOT_RESERV]
                     WHERE [LINK_EMPL] = @iLINK_EMPL)
      BEGIN
   
   		INSERT INTO dbo.[SS_NOT_RESERV] ([LINK_EMPL])
   		VALUES (@iLINK_EMPL)
         
         --     .
      	IF @@ERROR <> 0
      	BEGIN
      		ROLLBACK TRANSACTION SaveTran --   .
            COMMIT TRANSACTION --  ,    .
      		RETURN 7 --  '   '.
      	END
   
         --      .
         EXECUTE dbo.[XA_GENERATEEVENT] 'SS_EMPL_NOT_RESERV', 
                                        1, 
                                        @iLINK_EMPL
   
   	END
   END
PRINT '.. SS_SAVE_EMPL_NOT_RESERV : .'
COMMIT TRANSACTION --  .
RETURN 0 --  .


GO


GRANT EXECUTE ON dbo.[SS_SAVE_EMPL_NOT_RESERV] TO PUBLIC

GO


-- --


GO

--AFTER CODE 06.04.2017
/****** : ******/

IF EXISTS( SELECT * FROM DBO.S_OBJECTS WHERE CODE = 'DCHIN_KOMISS_NAME')
	AND NOT EXISTS( SELECT O.LINK FROM [dbo].[SDOC] D INNER JOIN [dbo].[S_OBJECTS] O ON D.[OBJECT] = O.[LINK] WHERE O.CODE = 'DCHIN_KOMISS_NAME')
	AND NOT EXISTS( SELECT O.LINK FROM [dbo].[OBJECT_VAR] V INNER JOIN [dbo].[S_OBJECTS] O ON V.[OBJECT] = O.[LINK] WHERE O.CODE = 'DCHIN_KOMISS_NAME')
	AND NOT EXISTS( SELECT O.LINK FROM [dbo].[DICTION] C INNER JOIN [dbo].[S_OBJECTS] O ON C.[OBJECT] = O.[LINK] WHERE O.CODE = 'DCHIN_KOMISS_NAME')
	
	DELETE FROM DBO.S_OBJECTS WHERE CODE = 'DCHIN_KOMISS_NAME'
ELSE
	DELETE FROM DBO.S_OBJECTS WHERE LINK_SELF IN (SELECT LINK FROM DBO.S_OBJECTS WHERE CODE = 'DCHIN_KOMISS_NAME')	

GO

IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='DCHIN_KOMISS_NAME')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'DCHIN_KOMISS_NAME', '', 6, (SELECT LINK FROM S_OBJECTS WHERE CODE='DICT_ORDER_CHIN'), (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'),0,0
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'DCHIN_KOMISS_NAME', NAME = '', ORDERS = '6', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='DICT_ORDER_CHIN'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='DCHIN_KOMISS_NAME'
GO
EXEC X_SET_PROP 'DCHIN_KOMISS_NAME', 'TITLE', ''
GO
EXEC X_SET_PROP 'DCHIN_KOMISS_NAME', 'CONTROLSOURCE', 'm.cAlias+".ATT_KOM_NAME"'
GO
EXEC X_SET_PROP 'DCHIN_KOMISS_NAME', 'EDITABLE', '1'
GO
EXEC X_SET_PROP 'DCHIN_KOMISS_NAME', 'TYPE_FIELD_DICT', 'VARCHAR(100)'
GO
EXEC X_SET_PROP 'DCHIN_KOMISS_NAME', 'FIELD_DATA', 'ATT_KOM_NAME'
GO

/****************     *************/

/****** :  ******/

IF EXISTS( SELECT * FROM DBO.S_OBJECTS WHERE CODE = 'DCHIN_NAME')
	AND NOT EXISTS( SELECT O.LINK FROM [dbo].[SDOC] D INNER JOIN [dbo].[S_OBJECTS] O ON D.[OBJECT] = O.[LINK] WHERE O.CODE = 'DCHIN_NAME')
	AND NOT EXISTS( SELECT O.LINK FROM [dbo].[OBJECT_VAR] V INNER JOIN [dbo].[S_OBJECTS] O ON V.[OBJECT] = O.[LINK] WHERE O.CODE = 'DCHIN_NAME')
	AND NOT EXISTS( SELECT O.LINK FROM [dbo].[DICTION] C INNER JOIN [dbo].[S_OBJECTS] O ON C.[OBJECT] = O.[LINK] WHERE O.CODE = 'DCHIN_NAME')
	
	DELETE FROM DBO.S_OBJECTS WHERE CODE = 'DCHIN_NAME'
ELSE
	DELETE FROM DBO.S_OBJECTS WHERE LINK_SELF IN (SELECT LINK FROM DBO.S_OBJECTS WHERE CODE = 'DCHIN_NAME')	

GO

IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='DCHIN_NAME')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'DCHIN_NAME', ' ', 7, (SELECT LINK FROM S_OBJECTS WHERE CODE='DICT_ORDER_CHIN'), (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'),0,0
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'DCHIN_NAME', NAME = ' ', ORDERS = '7', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='DICT_ORDER_CHIN'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='DCHIN_NAME'
GO
EXEC X_SET_PROP 'DCHIN_NAME', 'TITLE', ' . '
GO
EXEC X_SET_PROP 'DCHIN_NAME', 'VISIBLE', '15'
GO
EXEC X_SET_PROP 'DCHIN_NAME', 'CONTROLSOURCE', 'm.cAlias+".CHIN_NAME"'
GO
EXEC X_SET_PROP 'DCHIN_NAME', 'EDITABLE', '1'
GO
EXEC X_SET_PROP 'DCHIN_NAME', 'TYPE_FIELD_DICT', 'VARCHAR(100)'
GO
EXEC X_SET_PROP 'DCHIN_NAME', 'FIELD_DATA', 'CHIN_NAME'
GO

/****************     *************/

/****** :  ******/

IF EXISTS( SELECT * FROM DBO.S_OBJECTS WHERE CODE = 'DCHIN_DATE_B')
	AND NOT EXISTS( SELECT O.LINK FROM [dbo].[SDOC] D INNER JOIN [dbo].[S_OBJECTS] O ON D.[OBJECT] = O.[LINK] WHERE O.CODE = 'DCHIN_DATE_B')
	AND NOT EXISTS( SELECT O.LINK FROM [dbo].[OBJECT_VAR] V INNER JOIN [dbo].[S_OBJECTS] O ON V.[OBJECT] = O.[LINK] WHERE O.CODE = 'DCHIN_DATE_B')
	AND NOT EXISTS( SELECT O.LINK FROM [dbo].[DICTION] C INNER JOIN [dbo].[S_OBJECTS] O ON C.[OBJECT] = O.[LINK] WHERE O.CODE = 'DCHIN_DATE_B')
	
	DELETE FROM DBO.S_OBJECTS WHERE CODE = 'DCHIN_DATE_B'
ELSE
	DELETE FROM DBO.S_OBJECTS WHERE LINK_SELF IN (SELECT LINK FROM DBO.S_OBJECTS WHERE CODE = 'DCHIN_DATE_B')	

GO

IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='DCHIN_DATE_B')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'DCHIN_DATE_B', ' ', 8, (SELECT LINK FROM S_OBJECTS WHERE CODE='DICT_ORDER_CHIN'), (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'),0,0
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'DCHIN_DATE_B', NAME = ' ', ORDERS = '8', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='DICT_ORDER_CHIN'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='DCHIN_DATE_B'
GO
EXEC X_SET_PROP 'DCHIN_DATE_B', 'TITLE', ' '
GO
EXEC X_SET_PROP 'DCHIN_DATE_B', 'VISIBLE', '15'
GO
EXEC X_SET_PROP 'DCHIN_DATE_B', 'CONTROLSOURCE', 'm.cAlias+".DATE_BEGIN"'
GO
EXEC X_SET_PROP 'DCHIN_DATE_B', 'EDITABLE', '1'
GO
EXEC X_SET_PROP 'DCHIN_DATE_B', 'TYPE_FIELD_DICT', 'DATETIME'
GO
EXEC X_SET_PROP 'DCHIN_DATE_B', 'FIELD_DATA', 'DATE_BEGIN'
GO

/****************     *************/

GO


GO
DELETE HOLIDAYS WHERE [year] = 2017
GO


/*   2017 -    */

DECLARE @YEAR INT , @TD_LINK INT, @TITLE VARCHAR(254)
---  ,      
IF EXISTS( SELECT * FROM HOLIDAYS WHERE [YEAR] = 1900  )
	UPDATE HOLIDAYS SET   [YEAR] = 2015 	
	WHERE [YEAR] = 1900 

SET @YEAR = '2017' 		
IF NOT EXISTS ( select * from HOLIDAYS WHERE [year] = @YEAR )
begin
	--     
		SET @TD_LINK = (SELECT TOP 1 LINK FROM TYP_DAYS WHERE WORK_D = 11)
		IF COALESCE(@TD_LINK,0) > 0
			--    
			INSERT	HOLIDAYS (NAME, DAY, MONTH, TD_LINK, TYPE_HOL,[YEAR])
			SELECT	'1  ( )', 1, 1, @TD_LINK, 1,@YEAR
			UNION ALL
			SELECT	'2  ( )', 2, 1, @TD_LINK, 1,@YEAR
			UNION ALL
			SELECT	'3  ( )', 3, 1, @TD_LINK, 1,@YEAR
			UNION ALL
			SELECT	'4  ( )', 4, 1, @TD_LINK, 1,@YEAR
			UNION ALL
			SELECT	'5  ( )', 5, 1, @TD_LINK, 1,@YEAR
			UNION ALL
			SELECT	'6  ( )', 6, 1, @TD_LINK, 1,@YEAR
			UNION ALL
			SELECT	'7  ( )', 7, 1, @TD_LINK, 1,@YEAR
			UNION ALL
			SELECT	'8  ( )', 8, 1, @TD_LINK, 1,@YEAR
			UNION ALL
			SELECT	'23  (  )', 23, 2, @TD_LINK, 1,@YEAR
			UNION ALL
			SELECT	'8  (  )', 8, 3, @TD_LINK, 1,@YEAR
			UNION ALL
			SELECT	'1  (   )', 1, 5, @TD_LINK, 1,@YEAR
			UNION ALL
			SELECT	'9  ( )', 9, 5, @TD_LINK, 1,@YEAR
			UNION ALL
			SELECT	'12  ( )', 12, 6, @TD_LINK, 1,@YEAR
			UNION ALL
			SELECT	'4  (  )', 4, 11, @TD_LINK, 1,@YEAR

		--     
		SET @TD_LINK = (SELECT TOP 1 LINK FROM TYP_DAYS WHERE SYMB = '')
		IF COALESCE(@TD_LINK,0) > 0
			--     
			INSERT	HOLIDAYS (NAME, DAY, MONTH, TD_LINK, TYPE_HOL, DAY1, MONTH1,[YEAR])
			SELECT	'22 ', 22, 2, @TD_LINK, 2, NULL, NULL,@YEAR
			UNION ALL
			SELECT	'7 ', 7, 3, @TD_LINK, 2, NULL, NULL,@YEAR
			UNION ALL
			SELECT	'3 ', 3, 11, @TD_LINK, 2, NULL, NULL,@YEAR

		--     
		SET @TD_LINK = (SELECT TOP 1 LINK FROM TYP_DAYS WHERE WORK_D = 11)
		IF COALESCE(@TD_LINK,0) > 0
			--     
			INSERT	HOLIDAYS (NAME, DAY, MONTH, TD_LINK, TYPE_HOL, DAY1, MONTH1,[YEAR])
			SELECT	'24  (   1 )', 24, 2, @TD_LINK, 3, 1, 1,@YEAR
			UNION ALL
			SELECT	'8  (   7 )', 8, 5, @TD_LINK, 3, 7, 1,@YEAR
			UNION ALL
			SELECT	'6  (   4 )', 6, 11, @TD_LINK, 3, 4, 11,@YEAR

END 

GO



/*     2017 */
DECLARE @Cur1 CURSOR, @LinkGrophik int, @VID_LINK int, @NAME_GR varchar(254)
DECLARE @Cur2 CURSOR, @DAY tinyint, @HOUR numeric(18,2), @TD_LINK int

DECLARE @MONTH INT, @YEAR INT
DECLARE @LINK INT, @LINK2 INT, @gDayNorm INT, @gHourNorm numeric(18,2)

DECLARE @ISMINUTES TINYINT
SET @ISMINUTES = DBO.SA_GET_OPTION_BY_CODE('TABEL_OPT10') --     

SET @Cur1 = CURSOR FORWARD_ONLY

FOR select LINK, VID_LINK, [NAME] from GRAPH order by link
OPEN @Cur1
FETCH NEXT FROM @Cur1 INTO @LinkGrophik, @VID_LINK, @NAME_GR
WHILE (@@fetch_status <> -1)
BEGIN
	IF (@@fetch_status <> -2)
	BEGIN

		SELECT @YEAR = 2017, @MONTH = 1
		WHILE @MONTH <= 12
		BEGIN

			IF NOT EXISTS(SELECT @LinkGrophik FROM dbo.KD_GRAPH_TABLE WHERE [YEAR] = @YEAR AND [MONTH] = @MONTH AND LINK_GR = @LinkGrophik)
			BEGIN
				IF object_id('tempdb..#sa_tmp_graph') is not null
				drop table #sa_tmp_graph
				
				CREATE TABLE #sa_tmp_graph(CHECKED tinyint, UPD tinyint, DEL tinyint, [DAY] tinyint, [HOUR] numeric(18,2), TD_LINK int, TD_CODE varchar(10),
						TD_NAME varchar(254), PRIORITET tinyint )
				
				INSERT INTO #sa_tmp_graph(CHECKED, UPD, DEL, [DAY], [HOUR], TD_LINK, TD_CODE, TD_NAME, PRIORITET)
				exec dbo.KD_GRAPH_FILL @VID_LINK, @MONTH, @YEAR
				
				Select @gHourNorm = DBO.MINUTES_TO_NUM(SUM(DBO.NUM_TO_MINUTES([HOUR],@ISMINUTES)),@ISMINUTES) from #sa_tmp_graph where [HOUR] > 0
				Select @gDayNorm = COUNT(DISTINCT [DAY]) from #sa_tmp_graph where [HOUR] > 0
				
				IF COALESCE(@gHourNorm,0) > 0 AND coalesce(@gDayNorm,0) > 0
				BEGIN
				
					EXEC dbo.KD_GRAPH_SAVE @LinkGrophik OUT, @LINK2 OUT, @NAME_GR, @MONTH, @YEAR, @VID_LINK, @gDayNorm, @gHourNorm
		
					SET @Cur2 = CURSOR FORWARD_ONLY
					
					FOR select [DAY], [HOUR], [TD_LINK] from #sa_tmp_graph order by [DAY]
					OPEN @Cur2
					FETCH NEXT FROM @Cur2 INTO @DAY, @HOUR, @TD_LINK
					WHILE (@@fetch_status <> -1)
					BEGIN
						IF (@@fetch_status <> -2)
						BEGIN
							exec dbo.KD_GRAPH_TABLE_SAVE @LINK2, @DAY, @HOUR, @TD_LINK
						END
					
						FETCH NEXT FROM @Cur2 INTO @DAY, @HOUR, @TD_LINK
					END
					
					CLOSE @Cur2
					DEALLOCATE @Cur2
				END
			END

			Set @MONTH = @MONTH + 1
		END
		
	END
	FETCH NEXT FROM @Cur1 INTO @LinkGrophik, @VID_LINK, @NAME_GR
END

CLOSE @Cur1
DEALLOCATE @Cur1
GO


GO
IF not exists(select * from dbo.formula_bridge where name = '4_26092016_' and PROC_NAME = 'SA_4FSS_26092016_PREPARE')
begin
  	
  IF not exists(select * from dbo.DICTION where name = '4_26092016_')
  begin
		-- insert     dbo.DICTION  
		declare @linkObjF int,
				@LinkOBJ int
							
		set @linkObjF  = (select link from dbo.s_objects where code = 'FORMULA_BRIDGE')
  
		insert into  dbo.DICTION (NAME,[OBJECT], CODE, begindate, enddate)
			values ('4_26092016_', @linkObjF, NULL, '17530101','99991231')
		
		set @LinkOBJ = (select link from dbo.DICTION where name = '4_26092016_')
		
		-- insert      dbo.DICTION_APP 
		IF not exists(select * from dbo.DICTION_APP where link_up = (select link from dbo.DICTION where name = '4_26092016_') and [object] = (select link from s_objects where  code = 'FORMULA_ORDERS'))
		begin	
			declare @linkObjF_ORD int 
					
			set @linkObjF_ORD = (select link from dbo.s_objects where code = 'FORMULA_ORDERS') 
			
			insert into  dbo.DICTION_APP (LINK_UP,[OBJECT], VALUE)
				values (@LinkOBJ, @linkObjF_ORD, '9')		
				
		end
		-- insert       dbo.DICTION_APP 		
		IF not exists(select * from dbo.DICTION_APP where link_up = (select link from dbo.DICTION where name = '4_26092015_') and [object] = (select link from s_objects where  code = 'FORMULA_PROCEDURE'))
		begin	
			
			declare @linkObjF_PROC int 
					
			set @linkObjF_PROC = (select link from dbo.s_objects where code = 'FORMULA_PROCEDURE') 
		
			insert into  dbo.DICTION_APP (LINK_UP,[OBJECT], VALUE)
				values (@LinkOBJ, @linkObjF_PROC, 'SA_4FSS_26092016_PREPARE')		
 
		end
			
  end	
 
end   
GO

GO
IF not exists(select * from dbo.formula_bridge where name = '_17__' and PROC_NAME = 'SS_RPSV_17_FNS_PREPARE')
begin
  	
  IF not exists(select * from dbo.DICTION where name = '_17__')
  begin
		-- insert     dbo.DICTION  
		declare @linkObjF int,
				@LinkOBJ int
							
		set @linkObjF  = (select link from dbo.s_objects where code = 'FORMULA_BRIDGE')
  
		insert into  dbo.DICTION (NAME,[OBJECT], CODE, begindate, enddate)
			values ('_17__', @linkObjF, NULL, '17530101','99991231')

		set @LinkOBJ = (select link from dbo.DICTION where name = '_17__')
		
		
		-- insert      dbo.DICTION_APP 
		IF not exists(select * from dbo.DICTION_APP where link_up = (select link from dbo.DICTION where name = '_17__') and [object] = (select link from s_objects where  code = 'FORMULA_ORDERS'))
		begin	
			declare @linkObjF_ORD int 
					
			set @linkObjF_ORD = (select link from dbo.s_objects where code = 'FORMULA_ORDERS') 
			
			insert into  dbo.DICTION_APP (LINK_UP,[OBJECT], VALUE)
				values (@LinkOBJ, @linkObjF_ORD, '9')		
				
		end
		-- insert       dbo.DICTION_APP 		
		IF not exists(select * from dbo.DICTION_APP where link_up = (select link from dbo.DICTION where name = '_17__') and [object] = (select link from s_objects where  code = 'FORMULA_PROCEDURE'))
		begin	
			
			declare @linkObjF_PROC int 
					
			set @linkObjF_PROC = (select link from dbo.s_objects where code = 'FORMULA_PROCEDURE') 
		
			insert into  dbo.DICTION_APP (LINK_UP,[OBJECT], VALUE)
				values (@LinkOBJ, @linkObjF_PROC, 'SS_RPSV_17_FNS_PREPARE')		
 
		end
			
  end	
 
end   

GO


IF not exists(select * from dbo.formula_bridge where name = '_' and PROC_NAME = 'SS_RPSV_FNS_SELECT')
begin
  	
  IF not exists(select * from dbo.DICTION where name = '_')
  begin
		-- insert     dbo.DICTION  
		declare @linkObjF int,
				@LinkOBJ int
							
		set @linkObjF  = (select link from dbo.s_objects where code = 'FORMULA_BRIDGE')
  
		insert into  dbo.DICTION (NAME,[OBJECT], CODE, begindate, enddate)
			values ('_', @linkObjF, NULL, '17530101','99991231')

		set @LinkOBJ = (select link from dbo.DICTION where name = '_')
		
		
		-- insert      dbo.DICTION_APP 
		IF not exists(select * from dbo.DICTION_APP where link_up = (select link from dbo.DICTION where name = '_') and [object] = (select link from s_objects where  code = 'FORMULA_ORDERS'))
		begin	
			declare @linkObjF_ORD int 
					
			set @linkObjF_ORD = (select link from dbo.s_objects where code = 'FORMULA_ORDERS') 
			
			insert into  dbo.DICTION_APP (LINK_UP,[OBJECT], VALUE)
				values (@LinkOBJ, @linkObjF_ORD, '9')		
				
		end
		-- insert       dbo.DICTION_APP 		
		IF not exists(select * from dbo.DICTION_APP where link_up = (select link from dbo.DICTION where name = '_') and [object] = (select link from s_objects where  code = 'FORMULA_PROCEDURE'))
		begin	
			
			declare @linkObjF_PROC int 
					
			set @linkObjF_PROC = (select link from dbo.s_objects where code = 'FORMULA_PROCEDURE') 
		
			insert into  dbo.DICTION_APP (LINK_UP,[OBJECT], VALUE)
				values (@LinkOBJ, @linkObjF_PROC, 'SS_RPSV_FNS_SELECT')		
 
		end
			
  end	
 
end   

GO

GO
--  "  "
--   scriptObjectVar 'KJ_REP_SVED_ATTEST'

	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'KJ_REP_SVED_ATTEST') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_BEFORE')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'KJ_REP_SVED_ATTEST'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_BEFORE'),
	VALUE= 'EXEC  KJ_REP_SVED_ATTEST  @dDateB1,@dDateE1,@nCheck1'
	

	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'KJ_REP_SVED_ATTEST') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_SQL')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'KJ_REP_SVED_ATTEST'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_SQL'),
	VALUE= 'CREATE PROCEDURE #KJ_REP_SVED_ATTEST
	@dDateB1 datetime	/*   */,
	@dDateE1 datetime	/*   */,
	@nCheck1 int	/*       */
AS
BEGIN

EXEC  KJ_REP_SVED_ATTEST  @dDateB1,@dDateE1,@nCheck1

END'

GO


					DELETE FROM object_var WHERE CODE = 'KJ_REP_SVED_ATTEST_UV' 
					INSERT INTO object_var (OBJECT, NAME, ORDERS, LINK_SELF, CODE, LINK_STATE, USERS, SYS) 
					Select (Select link from s_objects where code = 'NASTR_QUERY_CHECKBOX'),
					'     ',4, 
					(Select link from object_var where code = 'KJ_REP_SVED_ATTEST_GR'),
					'KJ_REP_SVED_ATTEST_UV',NULL, NULL, 1
					
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'EDITABLE') and LINK_UP = (Select link from object_var where code = 'KJ_REP_SVED_ATTEST_UV') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'KJ_REP_SVED_ATTEST_UV'),
							(Select link from s_property where code = 'EDITABLE'),
							'0'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'SQUERY_NASTR_NON_VISIBLE') and LINK_UP = (Select link from object_var where code = 'KJ_REP_SVED_ATTEST_UV') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'KJ_REP_SVED_ATTEST_UV'),
							(Select link from s_property where code = 'SQUERY_NASTR_NON_VISIBLE'),
							'0'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'FORMAT') and LINK_UP = (Select link from object_var where code = 'KJ_REP_SVED_ATTEST_UV') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'KJ_REP_SVED_ATTEST_UV'),
							(Select link from s_property where code = 'FORMAT'),
							''
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_CAPTION') and LINK_UP = (Select link from object_var where code = 'KJ_REP_SVED_ATTEST_UV') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'KJ_REP_SVED_ATTEST_UV'),
							(Select link from s_property where code = 'QUERY_NASTR_CAPTION'),
							'     '
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_CONTROL') and LINK_UP = (Select link from object_var where code = 'KJ_REP_SVED_ATTEST_UV') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'KJ_REP_SVED_ATTEST_UV'),
							(Select link from s_property where code = 'QUERY_NASTR_CONTROL'),
							'CHECKBOX'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_NOTE') and LINK_UP = (Select link from object_var where code = 'KJ_REP_SVED_ATTEST_UV') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'KJ_REP_SVED_ATTEST_UV'),
							(Select link from s_property where code = 'QUERY_NASTR_NOTE'),
							'   /        '
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_NUMPARAM') and LINK_UP = (Select link from object_var where code = 'KJ_REP_SVED_ATTEST_UV') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'KJ_REP_SVED_ATTEST_UV'),
							(Select link from s_property where code = 'QUERY_NASTR_NUMPARAM'),
							'1'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_SAVE') and LINK_UP = (Select link from object_var where code = 'KJ_REP_SVED_ATTEST_UV') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'KJ_REP_SVED_ATTEST_UV'),
							(Select link from s_property where code = 'QUERY_NASTR_SAVE'),
							'1'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_SOURCE') and LINK_UP = (Select link from object_var where code = 'KJ_REP_SVED_ATTEST_UV') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'KJ_REP_SVED_ATTEST_UV'),
							(Select link from s_property where code = 'QUERY_NASTR_SOURCE'),
							'.,.'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_SQLPARAM') and LINK_UP = (Select link from object_var where code = 'KJ_REP_SVED_ATTEST_UV') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'KJ_REP_SVED_ATTEST_UV'),
							(Select link from s_property where code = 'QUERY_NASTR_SQLPARAM'),
							'@nCheck1'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_SQLTYPE') and LINK_UP = (Select link from object_var where code = 'KJ_REP_SVED_ATTEST_UV') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'KJ_REP_SVED_ATTEST_UV'),
							(Select link from s_property where code = 'QUERY_NASTR_SQLTYPE'),
							'int'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_VALUE') and LINK_UP = (Select link from object_var where code = 'KJ_REP_SVED_ATTEST_UV') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'KJ_REP_SVED_ATTEST_UV'),
							(Select link from s_property where code = 'QUERY_NASTR_VALUE'),
							'.'
						
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_VALUE') and LINK_UP = (Select link from object_var where code = 'KJ_REP_SVED_ATTEST_UV') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'KJ_REP_SVED_ATTEST_UV'),
							(Select link from s_property where code = 'QUERY_NASTR_VALUE'),
							'.'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_VALUE_TEXT') and LINK_UP = (Select link from object_var where code = 'KJ_REP_SVED_ATTEST_UV') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'KJ_REP_SVED_ATTEST_UV'),
							(Select link from s_property where code = 'QUERY_NASTR_VALUE_TEXT'),
							''
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'SQUERY_NASTR_OPTIONAL') and LINK_UP = (Select link from object_var where code = 'KJ_REP_SVED_ATTEST_UV') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'KJ_REP_SVED_ATTEST_UV'),
							(Select link from s_property where code = 'SQUERY_NASTR_OPTIONAL'),
							'0'
						
GO


GO

/****************     " "*************/ 
 
DECLARE @LINK_VAR INT
SET @LINK_VAR = NULL

DECLARE @LINK_SELF INT 
SET @LINK_SELF = (SELECT LINK FROM DBO.S_NAVIGATOR WHERE CODE = '4603' AND NAME = '')

DECLARE @OBJECT INT
SET @OBJECT = (SELECT LINK FROM DBO.S_OBJECTS WHERE CODE = 'REPORT_VIEW_FTP')

DECLARE @ORD INT, @LINK_SNAVIGATOR INT
SET @ORD = (SELECT COALESCE(MAX(ORDERS),0) + 1 FROM DBO.S_NAVIGATOR WHERE LINK_SELF = (SELECT LINK FROM DBO.S_NAVIGATOR WHERE CODE = '4603' AND NAME = ''))
SET @LINK_SNAVIGATOR = COALESCE((SELECT LINK FROM DBO.S_NAVIGATOR WHERE CODE = 'SALARY_REPORT_VIEW_FTP'),0)

IF COALESCE(@LINK_SELF,0) > 0  AND COALESCE(@OBJECT,0) > 0  
 		EXEC DBO.W_ESN_UPDATEDOCUMENT @LINK_SNAVIGATOR, 'SALARY_REPORT_VIEW_FTP', ' ', @ORD, NULL, 1, @LINK_SELF, 'RUN', @OBJECT, @LINK_VAR, 3
GO


/****** :     -******/

IF EXISTS( SELECT * FROM DBO.S_OBJECTS WHERE CODE = 'MENU_BAR_SAL_REPORT_VIEW_FTP')
	AND NOT EXISTS( SELECT O.LINK FROM [dbo].[SDOC] D INNER JOIN [dbo].[S_OBJECTS] O ON D.[OBJECT] = O.[LINK] WHERE O.CODE = 'MENU_BAR_SAL_REPORT_VIEW_FTP')
	AND NOT EXISTS( SELECT O.LINK FROM [dbo].[OBJECT_VAR] V INNER JOIN [dbo].[S_OBJECTS] O ON V.[OBJECT] = O.[LINK] WHERE O.CODE = 'MENU_BAR_SAL_REPORT_VIEW_FTP')
	AND NOT EXISTS( SELECT O.LINK FROM [dbo].[DICTION] C INNER JOIN [dbo].[S_OBJECTS] O ON C.[OBJECT] = O.[LINK] WHERE O.CODE = 'MENU_BAR_SAL_REPORT_VIEW_FTP')
	
	DELETE FROM DBO.S_OBJECTS WHERE CODE = 'MENU_BAR_SAL_REPORT_VIEW_FTP'
ELSE
	DELETE FROM DBO.S_OBJECTS WHERE LINK_SELF IN (SELECT LINK FROM DBO.S_OBJECTS WHERE CODE = 'MENU_BAR_SAL_REPORT_VIEW_FTP')	

GO

IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='MENU_BAR_SAL_REPORT_VIEW_FTP')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'MENU_BAR_SAL_REPORT_VIEW_FTP', ' ', 18, (SELECT LINK FROM S_OBJECTS WHERE CODE='MENU_POPUP_SALARY_REGL'), (SELECT LINK FROM S_OBJECTS WHERE CODE='SYS_MENU_BAR_CLASS'),0,1
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'MENU_BAR_SAL_REPORT_VIEW_FTP', NAME = ' ', ORDERS = '19', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='MENU_POPUP_SALARY_REGL'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='SYS_MENU_BAR_CLASS'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='MENU_BAR_SAL_REPORT_VIEW_FTP'
GO
EXEC X_SET_PROP 'MENU_BAR_SAL_REPORT_VIEW_FTP', 'EXECUTE_PROG', 'rn_spisok_from_ftp()'
GO
EXEC X_SET_PROP 'MENU_BAR_SAL_REPORT_VIEW_FTP', 'TITLE', ' '
GO

/****************     *************/


GO
EXEC X_SET_PROP 'DICTIONARY_TAX_SALARY_CODE_DED', 'EDIT_OBJECT_METHOD', 'A_VIBOR_01 (''DICTIONARY_TYP_DEDUCTION'', oForm.ALIAS, ''LINK, SNAME,NAME'', ''LINK_DED,  CODE_DED, NAME_DED'', '''', '''', ''number in (8,9,13)'', .T., 1, oForm, oObj, "")'
GO

GO
--  "    "
--   scriptObjectVar 'SQL_REPORT_2NDFL'

/***   ***/

if object_id('tempdb..#UPD_object_var') is not null
	drop table #UPD_object_var

CREATE TABLE #UPD_object_var (link_navigator int)

INSERT INTO #UPD_object_var (link_navigator)
SELECT  SN.LINK
FROM S_NAVIGATOR SN,OBJECT_VAR OV
WHERE SN.LINK_VAR = OV.LINK AND OV.CODE= 'SQL_REPORT_2NDFL'  

 
GO
    
	DELETE FROM OBJECT_VAR WHERE CODE = 'SQL_REPORT_2NDFL'
	INSERT INTO object_var (OBJECT, NAME, ORDERS, LINK_SELF, CODE, LINK_STATE, USERS, SYS) 
	Select (Select link from s_objects where code = 'QUERY_SQL'),
	'    ',201, 
	(Select link from object_var where code = 'SQL_REPORT_CATALOG_SALARY'),
	'SQL_REPORT_2NDFL',NULL, NULL, 1
	

	UPDATE S_NAVIGATOR
	SET LINK_VAR = (SELECT TOP 1 LINK FROM object_var WHERE CODE = 'SQL_REPORT_2NDFL') 
	FROM S_NAVIGATOR S INNER JOIN #UPD_object_var U on S.LINK = U.link_navigator
GO

if object_id('tempdb..#UPD_object_var') is not null
	drop table #UPD_object_var
GO
/***   ***/
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REPORT_2NDFL') and  PROPERTY = (Select LINK from s_property where code = 'INIT_OBJECT_METHOD')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REPORT_2NDFL'),
	PROPERTY= (Select LINK from s_property where code = 'INIT_OBJECT_METHOD'),
	VALUE= 'kir_export_query(nLink_Var)'
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REPORT_2NDFL') and  PROPERTY = (Select LINK from s_property where code = 'CHECK_VALUE_IN_TABLE')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REPORT_2NDFL'),
	PROPERTY= (Select LINK from s_property where code = 'CHECK_VALUE_IN_TABLE'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REPORT_2NDFL') and  PROPERTY = (Select LINK from s_property where code = 'AFTER_CHANGE_PROG_NASTR')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REPORT_2NDFL'),
	PROPERTY= (Select LINK from s_property where code = 'AFTER_CHANGE_PROG_NASTR'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REPORT_2NDFL') and  PROPERTY = (Select LINK from s_property where code = 'BEFORE_CHANGE_PROG_NASTR')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REPORT_2NDFL'),
	PROPERTY= (Select LINK from s_property where code = 'BEFORE_CHANGE_PROG_NASTR'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REPORT_2NDFL') and  PROPERTY = (Select LINK from s_property where code = 'NASTR_XL_CENTER_HEADER')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REPORT_2NDFL'),
	PROPERTY= (Select LINK from s_property where code = 'NASTR_XL_CENTER_HEADER'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REPORT_2NDFL') and  PROPERTY = (Select LINK from s_property where code = 'NASTR_XL_DATETIME')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REPORT_2NDFL'),
	PROPERTY= (Select LINK from s_property where code = 'NASTR_XL_DATETIME'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REPORT_2NDFL') and  PROPERTY = (Select LINK from s_property where code = 'NASTR_XL_FOOTER')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REPORT_2NDFL'),
	PROPERTY= (Select LINK from s_property where code = 'NASTR_XL_FOOTER'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REPORT_2NDFL') and  PROPERTY = (Select LINK from s_property where code = 'NASTR_XL_FREEZEPANES')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REPORT_2NDFL'),
	PROPERTY= (Select LINK from s_property where code = 'NASTR_XL_FREEZEPANES'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REPORT_2NDFL') and  PROPERTY = (Select LINK from s_property where code = 'NASTR_XL_LEFT_HEADER')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REPORT_2NDFL'),
	PROPERTY= (Select LINK from s_property where code = 'NASTR_XL_LEFT_HEADER'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REPORT_2NDFL') and  PROPERTY = (Select LINK from s_property where code = 'NASTR_XL_PAGES')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REPORT_2NDFL'),
	PROPERTY= (Select LINK from s_property where code = 'NASTR_XL_PAGES'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REPORT_2NDFL') and  PROPERTY = (Select LINK from s_property where code = 'NASTR_XL_RIGHT_HEADER')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REPORT_2NDFL'),
	PROPERTY= (Select LINK from s_property where code = 'NASTR_XL_RIGHT_HEADER'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REPORT_2NDFL') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_ADDFROM')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REPORT_2NDFL'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_ADDFROM'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REPORT_2NDFL') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_ADDINTO')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REPORT_2NDFL'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_ADDINTO'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REPORT_2NDFL') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_ADDSELECT')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REPORT_2NDFL'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_ADDSELECT'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REPORT_2NDFL') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_ADDWHERE')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REPORT_2NDFL'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_ADDWHERE'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REPORT_2NDFL') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_AFTER')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REPORT_2NDFL'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_AFTER'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REPORT_2NDFL') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_BEFORE')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REPORT_2NDFL'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_BEFORE'),
	VALUE= 'declare @nSummForCheck numeric(18,2)

if len(ltrim(rtrim(@cText5)))= 0
begin 
   select @cText5 = null
end

if isnumeric(ltrim(rtrim(@cText5))) = 0 
begin 	
	select @cText5 = null
end
	select @cText5 =  REPLACE(ltrim(rtrim(convert(varchar(16),@cText5))),'','',''.'');
	select  @nSummForCheck  =  cast(ltrim(rtrim(@cText5))  as numeric(18,2)) 

			 
EXEC dbo.SD_REP_2NDFL
	@cText1					/*   */,
	@cText3					/*     */,
	@nCheck2 				/*      */,
	@nSummForCheck 		/*      */,
	@cVal1,  @nOtborLink1,	/*   */
	@cVal2,  @nOtborLink2,	/*   */
	DEFAULT, /*     	*/
	DEFAULT, /*     	*/
	DEFAULT, /*     	*/
	@nCheck3, /*     */
       @nOption1 /*   1 - , 2 - , 3 -  */
		
'
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REPORT_2NDFL') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_DATETIME')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REPORT_2NDFL'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_DATETIME'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REPORT_2NDFL') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_DISTINCT')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REPORT_2NDFL'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_DISTINCT'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REPORT_2NDFL') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_FOOTER')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REPORT_2NDFL'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_FOOTER'),
	VALUE= '="                               " & User_FIO
                                 '
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REPORT_2NDFL') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_FREEZEPANES')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REPORT_2NDFL'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_FREEZEPANES'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REPORT_2NDFL') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_HEADER')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REPORT_2NDFL'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_HEADER'),
	VALUE= '=User_Name'
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REPORT_2NDFL') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_PAGES')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REPORT_2NDFL'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_PAGES'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REPORT_2NDFL') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_PROCEDURE')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REPORT_2NDFL'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_PROCEDURE'),
	VALUE= '#REPORT_2NDFL'
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REPORT_2NDFL') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_REPMAKER')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REPORT_2NDFL'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_REPMAKER'),
	VALUE= 'KIRREPMAKER.XLS'
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REPORT_2NDFL') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_REPORT')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REPORT_2NDFL'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_REPORT'),
	VALUE= 'IIF(kir_2ndfl_prepare_report(),"2NDFL-DATA1.XLT","")'
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REPORT_2NDFL') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_REPORT_PATH')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REPORT_2NDFL'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_REPORT_PATH'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REPORT_2NDFL') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_SQL')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REPORT_2NDFL'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_SQL'),
	VALUE= 'CREATE PROCEDURE #REPORT_2NDFL
	@cText1 varchar(4)	/*   */,
	@nCheck1 int	/*   */,
	@cText2 varchar(3)	/*   () */,
	@cText3 varchar(4)	/*     */,
	@cText4 varchar(1)	/*  */,
	@nCheck2 int	/*      */,
	@cText5 varchar(16)	/*      */,
	@nOption1 int	/*  */,
	@nCheck3 int	/*     */,
	@nFilterLink int	/*  */
AS
BEGIN
	DECLARE @cVal1 char(1), @nOtborLink1 int	/*   */
	SELECT @nOtborLink1 = (SELECT LINK FROM OBJECT_VAR WHERE LINK_SELF=@nFilterLink AND OBJECT=(SELECT LINK FROM S_OBJECTS WHERE CODE=''OTBOR_QUERY_SQL_EMPL''))
	SELECT @cVal1 = (SELECT VALUE FROM OBJECT_VAR_VALUES WHERE LINK_UP=@nOtborLink1 AND PROPERTY=(SELECT LINK FROM S_PROPERTY WHERE CODE=''QUERY_OTBOR_CHECK''))
	DECLARE @cVal2 char(1), @nOtborLink2 int	/*   */
	SELECT @nOtborLink2 = (SELECT LINK FROM OBJECT_VAR WHERE LINK_SELF=@nFilterLink AND OBJECT=(SELECT LINK FROM S_OBJECTS WHERE CODE=''OTBOR_QUERY_SQL_DGH''))
	SELECT @cVal2 = (SELECT VALUE FROM OBJECT_VAR_VALUES WHERE LINK_UP=@nOtborLink2 AND PROPERTY=(SELECT LINK FROM S_PROPERTY WHERE CODE=''QUERY_OTBOR_CHECK''))

declare @nSummForCheck numeric(18,2)

if len(ltrim(rtrim(@cText5)))= 0
begin 
   select @cText5 = null
end

if isnumeric(ltrim(rtrim(@cText5))) = 0 
begin 	
	select @cText5 = null
end
	select @cText5 =  REPLACE(ltrim(rtrim(convert(varchar(16),@cText5))),'','',''.'');
	select  @nSummForCheck  =  cast(ltrim(rtrim(@cText5))  as numeric(18,2)) 

			 
EXEC dbo.SD_REP_2NDFL
	@cText1					/*   */,
	@cText3					/*     */,
	@nCheck2 				/*      */,
	@nSummForCheck 		/*      */,
	@cVal1,  @nOtborLink1,	/*   */
	@cVal2,  @nOtborLink2,	/*   */
	DEFAULT, /*     	*/
	DEFAULT, /*     	*/
	DEFAULT, /*     	*/
	@nCheck3, /*     */
       @nOption1 /*   1 - , 2 - , 3 -  */
		


END'
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REPORT_2NDFL') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_SYSTEM')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REPORT_2NDFL'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_SYSTEM'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REPORT_2NDFL') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_TOP')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REPORT_2NDFL'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_TOP'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REPORT_2NDFL') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_TOTAL')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REPORT_2NDFL'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_TOTAL'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REPORT_2NDFL') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_TOTALCOL')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REPORT_2NDFL'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_TOTALCOL'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REPORT_2NDFL') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_TOTALROW')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REPORT_2NDFL'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_TOTALROW'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REPORT_2NDFL') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_AP_LIST')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REPORT_2NDFL'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_AP_LIST'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REPORT_2NDFL') and  PROPERTY = (Select LINK from s_property where code = 'EOD_PROTOCOL')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REPORT_2NDFL'),
	PROPERTY= (Select LINK from s_property where code = 'EOD_PROTOCOL'),
	VALUE= 'PROTOCOLS_EOD_2NDFL#1'
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REPORT_2NDFL') and  PROPERTY = (Select LINK from s_property where code = 'AFTER_REPORT_PROG')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REPORT_2NDFL'),
	PROPERTY= (Select LINK from s_property where code = 'AFTER_REPORT_PROG'),
	VALUE= 'KIR_2NDFL_AFTER_REP(oForm)'
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REPORT_2NDFL') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_ADD_MODULE')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REPORT_2NDFL'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_ADD_MODULE'),
	VALUE= 'KirRepCommon.bas'
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REPORT_2NDFL') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_ALTERNATIVE_PRINT_METHOD')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REPORT_2NDFL'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_ALTERNATIVE_PRINT_METHOD'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REPORT_2NDFL') and  PROPERTY = (Select LINK from s_property where code = 'REPORT_EXTERNAL_GENERATOR')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REPORT_2NDFL'),
	PROPERTY= (Select LINK from s_property where code = 'REPORT_EXTERNAL_GENERATOR'),
	VALUE= '0'
	
/***        ***/
     
		DELETE FROM object_var WHERE CODE = 'OTBOR_QUERY_SQL_EMPL' 
		INSERT INTO object_var (OBJECT, NAME, ORDERS, LINK_SELF, CODE, LINK_STATE, USERS, SYS) 
		Select (Select link from s_objects where code = 'QUERY_FILTER'),
		'   ',NULL, 
		(Select link from object_var where code = 'SQL_REPORT_2NDFL'),
		'OTBOR_QUERY_SQL_EMPL',NULL, NULL, 1
		
GO
/***        ***/
		
					DELETE FROM object_var WHERE CODE = 'W400311' 
					INSERT INTO object_var (OBJECT, NAME, ORDERS, LINK_SELF, CODE, LINK_STATE, USERS, SYS) 
					Select (Select link from s_objects where code = 'OTBOR_QUERY_SQL_DGH'),
					' ',2, 
					(Select link from object_var where code = 'OTBOR_QUERY_SQL_EMPL'),
					'W400311',NULL, NULL, 1
					
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_NOTE') and LINK_UP = (Select link from object_var where code = 'W400311') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'W400311'),
							(Select link from s_property where code = 'QUERY_NASTR_NOTE'),
							''
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_OTBOR_CHECK') and LINK_UP = (Select link from object_var where code = 'W400311') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'W400311'),
							(Select link from s_property where code = 'QUERY_OTBOR_CHECK'),
							''
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_OTBOR_DICTIONARY_CODE') and LINK_UP = (Select link from object_var where code = 'W400311') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'W400311'),
							(Select link from s_property where code = 'QUERY_OTBOR_DICTIONARY_CODE'),
							'DICTIONARY_PERSONS_DGH'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_OTBOR_FIELD') and LINK_UP = (Select link from object_var where code = 'W400311') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'W400311'),
							(Select link from s_property where code = 'QUERY_OTBOR_FIELD'),
							''
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_OTBOR_PARENT_CODE') and LINK_UP = (Select link from object_var where code = 'W400311') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'W400311'),
							(Select link from s_property where code = 'QUERY_OTBOR_PARENT_CODE'),
							''
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_OTBOR_VALUE') and LINK_UP = (Select link from object_var where code = 'W400311') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'W400311'),
							(Select link from s_property where code = 'QUERY_OTBOR_VALUE'),
							''
						
GO
/***        ***/
		
					DELETE FROM object_var WHERE CODE = 'W400312' 
					INSERT INTO object_var (OBJECT, NAME, ORDERS, LINK_SELF, CODE, LINK_STATE, USERS, SYS) 
					Select (Select link from s_objects where code = 'OTBOR_QUERY_SQL_EMPL'),
					' ',1, 
					(Select link from object_var where code = 'OTBOR_QUERY_SQL_EMPL'),
					'W400312',NULL, NULL, 1
					
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_OTBOR_DICTIONARY_CODE2') and LINK_UP = (Select link from object_var where code = 'W400312') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'W400312'),
							(Select link from s_property where code = 'QUERY_OTBOR_DICTIONARY_CODE2'),
							'DICTIONARY_SUBDIVISION01'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_NOTE') and LINK_UP = (Select link from object_var where code = 'W400312') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'W400312'),
							(Select link from s_property where code = 'QUERY_NASTR_NOTE'),
							''
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_OTBOR_CHECK') and LINK_UP = (Select link from object_var where code = 'W400312') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'W400312'),
							(Select link from s_property where code = 'QUERY_OTBOR_CHECK'),
							''
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_OTBOR_DICTIONARY_CODE') and LINK_UP = (Select link from object_var where code = 'W400312') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'W400312'),
							(Select link from s_property where code = 'QUERY_OTBOR_DICTIONARY_CODE'),
							'DICT_EMPLOYERS01'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_OTBOR_FIELD') and LINK_UP = (Select link from object_var where code = 'W400312') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'W400312'),
							(Select link from s_property where code = 'QUERY_OTBOR_FIELD'),
							''
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_OTBOR_PARENT_CODE') and LINK_UP = (Select link from object_var where code = 'W400312') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'W400312'),
							(Select link from s_property where code = 'QUERY_OTBOR_PARENT_CODE'),
							''
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_OTBOR_VALUE') and LINK_UP = (Select link from object_var where code = 'W400312') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'W400312'),
							(Select link from s_property where code = 'QUERY_OTBOR_VALUE'),
							''
						
GO
/***        ***/
     
		DELETE FROM object_var WHERE CODE = 'SQL_REPRT_2NDFL_NASTR_GR' 
		INSERT INTO object_var (OBJECT, NAME, ORDERS, LINK_SELF, CODE, LINK_STATE, USERS, SYS) 
		Select (Select link from s_objects where code = 'QUERY_NASTRS'),
		' ',3, 
		(Select link from object_var where code = 'SQL_REPORT_2NDFL'),
		'SQL_REPRT_2NDFL_NASTR_GR',NULL, NULL, 1
		
GO
/***        ***/
		
					DELETE FROM object_var WHERE CODE = 'SQL_REPORT_2NDFL_NASTR1' 
					INSERT INTO object_var (OBJECT, NAME, ORDERS, LINK_SELF, CODE, LINK_STATE, USERS, SYS) 
					Select (Select link from s_objects where code = 'NASTR_QUERY_TEXTBOX'),
					' ',4, 
					(Select link from object_var where code = 'SQL_REPRT_2NDFL_NASTR_GR'),
					'SQL_REPORT_2NDFL_NASTR1',NULL, NULL, 1
					
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'SQUERY_NASTR_OPTIONAL') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR1') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR1'),
							(Select link from s_property where code = 'SQUERY_NASTR_OPTIONAL'),
							'0'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'EDITABLE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR1') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR1'),
							(Select link from s_property where code = 'EDITABLE'),
							'0'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'SQUERY_NASTR_NON_VISIBLE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR1') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR1'),
							(Select link from s_property where code = 'SQUERY_NASTR_NON_VISIBLE'),
							'0'
						
GO
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_CAPTION') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR1') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR1'),
							(Select link from s_property where code = 'QUERY_NASTR_CAPTION'),
							' '
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_CONTROL') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR1') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR1'),
							(Select link from s_property where code = 'QUERY_NASTR_CONTROL'),
							'TEXTBOX'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_NOTE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR1') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR1'),
							(Select link from s_property where code = 'QUERY_NASTR_NOTE'),
							''
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_NUMPARAM') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR1') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR1'),
							(Select link from s_property where code = 'QUERY_NASTR_NUMPARAM'),
							'1'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_SAVE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR1') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR1'),
							(Select link from s_property where code = 'QUERY_NASTR_SAVE'),
							'1'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_SOURCE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR1') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR1'),
							(Select link from s_property where code = 'QUERY_NASTR_SOURCE'),
							''
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_SQLPARAM') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR1') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR1'),
							(Select link from s_property where code = 'QUERY_NASTR_SQLPARAM'),
							'@cText1'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_SQLTYPE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR1') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR1'),
							(Select link from s_property where code = 'QUERY_NASTR_SQLTYPE'),
							'varchar(4)'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_VALUE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR1') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR1'),
							(Select link from s_property where code = 'QUERY_NASTR_VALUE'),
							''
						
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_VALUE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR1') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR1'),
							(Select link from s_property where code = 'QUERY_NASTR_VALUE'),
							'2017'
						
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_VALUE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR1') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR1'),
							(Select link from s_property where code = 'QUERY_NASTR_VALUE'),
							''
						
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_VALUE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR1') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR1'),
							(Select link from s_property where code = 'QUERY_NASTR_VALUE'),
							'2017'
						
GO
GO
/***        ***/
		
					DELETE FROM object_var WHERE CODE = 'SQL_REPORT_2NDFL_NASTR2' 
					INSERT INTO object_var (OBJECT, NAME, ORDERS, LINK_SELF, CODE, LINK_STATE, USERS, SYS) 
					Select (Select link from s_objects where code = 'NASTR_QUERY_CHECKBOX'),
					' ',5, 
					(Select link from object_var where code = 'SQL_REPRT_2NDFL_NASTR_GR'),
					'SQL_REPORT_2NDFL_NASTR2',NULL, NULL, 1
					
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'SQUERY_NASTR_OPTIONAL') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR2') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR2'),
							(Select link from s_property where code = 'SQUERY_NASTR_OPTIONAL'),
							'1'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'EDITABLE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR2') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR2'),
							(Select link from s_property where code = 'EDITABLE'),
							'0'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'SQUERY_NASTR_NON_VISIBLE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR2') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR2'),
							(Select link from s_property where code = 'SQUERY_NASTR_NON_VISIBLE'),
							'0'
						
GO
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_CAPTION') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR2') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR2'),
							(Select link from s_property where code = 'QUERY_NASTR_CAPTION'),
							' '
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_CONTROL') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR2') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR2'),
							(Select link from s_property where code = 'QUERY_NASTR_CONTROL'),
							'CHECKBOX'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_NOTE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR2') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR2'),
							(Select link from s_property where code = 'QUERY_NASTR_NOTE'),
							''
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_NUMPARAM') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR2') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR2'),
							(Select link from s_property where code = 'QUERY_NASTR_NUMPARAM'),
							'1'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_SAVE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR2') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR2'),
							(Select link from s_property where code = 'QUERY_NASTR_SAVE'),
							'0'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_SOURCE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR2') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR2'),
							(Select link from s_property where code = 'QUERY_NASTR_SOURCE'),
							'.,.'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_SQLPARAM') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR2') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR2'),
							(Select link from s_property where code = 'QUERY_NASTR_SQLPARAM'),
							'@nCheck1'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_SQLTYPE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR2') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR2'),
							(Select link from s_property where code = 'QUERY_NASTR_SQLTYPE'),
							'int'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_VALUE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR2') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR2'),
							(Select link from s_property where code = 'QUERY_NASTR_VALUE'),
							'.'
						
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_VALUE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR2') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR2'),
							(Select link from s_property where code = 'QUERY_NASTR_VALUE'),
							'.'
						
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_VALUE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR2') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR2'),
							(Select link from s_property where code = 'QUERY_NASTR_VALUE'),
							'.'
						
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_VALUE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR2') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR2'),
							(Select link from s_property where code = 'QUERY_NASTR_VALUE'),
							'.'
						
GO
GO
/***        ***/
		
					DELETE FROM object_var WHERE CODE = 'SQL_REPORT_2NDFL_NASTR3' 
					INSERT INTO object_var (OBJECT, NAME, ORDERS, LINK_SELF, CODE, LINK_STATE, USERS, SYS) 
					Select (Select link from s_objects where code = 'NASTR_QUERY_TEXTBOX'),
					'  ()',6, 
					(Select link from object_var where code = 'SQL_REPRT_2NDFL_NASTR_GR'),
					'SQL_REPORT_2NDFL_NASTR3',NULL, NULL, 1
					
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'SQUERY_NASTR_OPTIONAL') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR3') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR3'),
							(Select link from s_property where code = 'SQUERY_NASTR_OPTIONAL'),
							'1'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'EDITABLE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR3') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR3'),
							(Select link from s_property where code = 'EDITABLE'),
							'0'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'SQUERY_NASTR_NON_VISIBLE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR3') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR3'),
							(Select link from s_property where code = 'SQUERY_NASTR_NON_VISIBLE'),
							'0'
						
GO
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_CAPTION') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR3') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR3'),
							(Select link from s_property where code = 'QUERY_NASTR_CAPTION'),
							'  ()'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_CONTROL') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR3') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR3'),
							(Select link from s_property where code = 'QUERY_NASTR_CONTROL'),
							'TEXTBOX'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_NOTE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR3') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR3'),
							(Select link from s_property where code = 'QUERY_NASTR_NOTE'),
							''
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_NUMPARAM') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR3') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR3'),
							(Select link from s_property where code = 'QUERY_NASTR_NUMPARAM'),
							'2'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_SAVE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR3') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR3'),
							(Select link from s_property where code = 'QUERY_NASTR_SAVE'),
							'1'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_SOURCE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR3') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR3'),
							(Select link from s_property where code = 'QUERY_NASTR_SOURCE'),
							''
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_SQLPARAM') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR3') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR3'),
							(Select link from s_property where code = 'QUERY_NASTR_SQLPARAM'),
							'@cText2'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_SQLTYPE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR3') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR3'),
							(Select link from s_property where code = 'QUERY_NASTR_SQLTYPE'),
							'varchar(3)'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_VALUE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR3') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR3'),
							(Select link from s_property where code = 'QUERY_NASTR_VALUE'),
							'1'
						
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_VALUE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR3') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR3'),
							(Select link from s_property where code = 'QUERY_NASTR_VALUE'),
							'1'
						
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_VALUE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR3') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR3'),
							(Select link from s_property where code = 'QUERY_NASTR_VALUE'),
							'1'
						
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_VALUE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR3') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR3'),
							(Select link from s_property where code = 'QUERY_NASTR_VALUE'),
							'1'
						
GO
GO
/***        ***/
		
					DELETE FROM object_var WHERE CODE = 'SQL_REPORT_2NDFL_NASTR4' 
					INSERT INTO object_var (OBJECT, NAME, ORDERS, LINK_SELF, CODE, LINK_STATE, USERS, SYS) 
					Select (Select link from s_objects where code = 'NASTR_QUERY_TEXTBOX'),
					'   ',7, 
					(Select link from object_var where code = 'SQL_REPRT_2NDFL_NASTR_GR'),
					'SQL_REPORT_2NDFL_NASTR4',NULL, NULL, 1
					
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'SQUERY_NASTR_OPTIONAL') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR4') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR4'),
							(Select link from s_property where code = 'SQUERY_NASTR_OPTIONAL'),
							'0'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'EDITABLE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR4') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR4'),
							(Select link from s_property where code = 'EDITABLE'),
							'0'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'SQUERY_NASTR_NON_VISIBLE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR4') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR4'),
							(Select link from s_property where code = 'SQUERY_NASTR_NON_VISIBLE'),
							'0'
						
GO
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_CAPTION') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR4') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR4'),
							(Select link from s_property where code = 'QUERY_NASTR_CAPTION'),
							'   '
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_CONTROL') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR4') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR4'),
							(Select link from s_property where code = 'QUERY_NASTR_CONTROL'),
							'TEXTBOX'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_NOTE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR4') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR4'),
							(Select link from s_property where code = 'QUERY_NASTR_NOTE'),
							''
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_NUMPARAM') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR4') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR4'),
							(Select link from s_property where code = 'QUERY_NASTR_NUMPARAM'),
							'3'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_SAVE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR4') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR4'),
							(Select link from s_property where code = 'QUERY_NASTR_SAVE'),
							'1'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_SOURCE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR4') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR4'),
							(Select link from s_property where code = 'QUERY_NASTR_SOURCE'),
							''
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_SQLPARAM') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR4') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR4'),
							(Select link from s_property where code = 'QUERY_NASTR_SQLPARAM'),
							'@cText3'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_SQLTYPE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR4') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR4'),
							(Select link from s_property where code = 'QUERY_NASTR_SQLTYPE'),
							'varchar(4)'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_VALUE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR4') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR4'),
							(Select link from s_property where code = 'QUERY_NASTR_VALUE'),
							'1'
						
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_VALUE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR4') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR4'),
							(Select link from s_property where code = 'QUERY_NASTR_VALUE'),
							'1'
						
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_VALUE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR4') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR4'),
							(Select link from s_property where code = 'QUERY_NASTR_VALUE'),
							'1'
						
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_VALUE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR4') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR4'),
							(Select link from s_property where code = 'QUERY_NASTR_VALUE'),
							'1'
						
GO
GO
/***        ***/
		
					DELETE FROM object_var WHERE CODE = 'SQL_REPORT_2NDFL_NASTR5' 
					INSERT INTO object_var (OBJECT, NAME, ORDERS, LINK_SELF, CODE, LINK_STATE, USERS, SYS) 
					Select (Select link from s_objects where code = 'NASTR_QUERY_TEXTBOX'),
					'',8, 
					(Select link from object_var where code = 'SQL_REPRT_2NDFL_NASTR_GR'),
					'SQL_REPORT_2NDFL_NASTR5',NULL, NULL, 1
					
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'SQUERY_NASTR_OPTIONAL') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR5') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR5'),
							(Select link from s_property where code = 'SQUERY_NASTR_OPTIONAL'),
							'0'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'EDITABLE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR5') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR5'),
							(Select link from s_property where code = 'EDITABLE'),
							'1'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'SQUERY_NASTR_NON_VISIBLE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR5') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR5'),
							(Select link from s_property where code = 'SQUERY_NASTR_NON_VISIBLE'),
							'0'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'FORMAT') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR5') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR5'),
							(Select link from s_property where code = 'FORMAT'),
							'[1-2]'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_CAPTION') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR5') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR5'),
							(Select link from s_property where code = 'QUERY_NASTR_CAPTION'),
							''
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_CONTROL') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR5') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR5'),
							(Select link from s_property where code = 'QUERY_NASTR_CONTROL'),
							'TEXTBOX'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_NOTE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR5') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR5'),
							(Select link from s_property where code = 'QUERY_NASTR_NOTE'),
							''
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_NUMPARAM') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR5') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR5'),
							(Select link from s_property where code = 'QUERY_NASTR_NUMPARAM'),
							'4'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_SAVE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR5') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR5'),
							(Select link from s_property where code = 'QUERY_NASTR_SAVE'),
							'1'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_SOURCE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR5') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR5'),
							(Select link from s_property where code = 'QUERY_NASTR_SOURCE'),
							''
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_SQLPARAM') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR5') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR5'),
							(Select link from s_property where code = 'QUERY_NASTR_SQLPARAM'),
							'@cText4'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_SQLTYPE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR5') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR5'),
							(Select link from s_property where code = 'QUERY_NASTR_SQLTYPE'),
							'varchar(1)'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_VALUE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR5') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR5'),
							(Select link from s_property where code = 'QUERY_NASTR_VALUE'),
							'1'
						
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_VALUE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR5') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR5'),
							(Select link from s_property where code = 'QUERY_NASTR_VALUE'),
							'1'
						
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_VALUE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR5') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR5'),
							(Select link from s_property where code = 'QUERY_NASTR_VALUE'),
							'1'
						
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_VALUE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR5') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR5'),
							(Select link from s_property where code = 'QUERY_NASTR_VALUE'),
							'1'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_VALUE_TEXT') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR5') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR5'),
							(Select link from s_property where code = 'QUERY_NASTR_VALUE_TEXT'),
							''
						
GO
/***        ***/
		
					DELETE FROM object_var WHERE CODE = 'SQL_REPORT_2NDFL_NASTR8' 
					INSERT INTO object_var (OBJECT, NAME, ORDERS, LINK_SELF, CODE, LINK_STATE, USERS, SYS) 
					Select (Select link from s_objects where code = 'NASTR_QUERY_OPTIONGROUP'),
					'',11, 
					(Select link from object_var where code = 'SQL_REPRT_2NDFL_NASTR_GR'),
					'SQL_REPORT_2NDFL_NASTR8',NULL, NULL, 1
					
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'SQUERY_NASTR_OPTIONAL') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR8') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR8'),
							(Select link from s_property where code = 'SQUERY_NASTR_OPTIONAL'),
							'0'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'EDITABLE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR8') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR8'),
							(Select link from s_property where code = 'EDITABLE'),
							'0'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'SQUERY_NASTR_NON_VISIBLE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR8') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR8'),
							(Select link from s_property where code = 'SQUERY_NASTR_NON_VISIBLE'),
							'0'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'FORMAT') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR8') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR8'),
							(Select link from s_property where code = 'FORMAT'),
							''
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_CAPTION') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR8') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR8'),
							(Select link from s_property where code = 'QUERY_NASTR_CAPTION'),
							' '
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_CONTROL') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR8') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR8'),
							(Select link from s_property where code = 'QUERY_NASTR_CONTROL'),
							'OPTIONGROUP'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_NOTE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR8') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR8'),
							(Select link from s_property where code = 'QUERY_NASTR_NOTE'),
							''
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_NUMPARAM') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR8') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR8'),
							(Select link from s_property where code = 'QUERY_NASTR_NUMPARAM'),
							'1'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_SAVE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR8') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR8'),
							(Select link from s_property where code = 'QUERY_NASTR_SAVE'),
							'1'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_SOURCE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR8') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR8'),
							(Select link from s_property where code = 'QUERY_NASTR_SOURCE'),
							',,'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_SQLPARAM') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR8') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR8'),
							(Select link from s_property where code = 'QUERY_NASTR_SQLPARAM'),
							'@nOption1'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_SQLTYPE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR8') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR8'),
							(Select link from s_property where code = 'QUERY_NASTR_SQLTYPE'),
							'int'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_VALUE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR8') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR8'),
							(Select link from s_property where code = 'QUERY_NASTR_VALUE'),
							''
						
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_VALUE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR8') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR8'),
							(Select link from s_property where code = 'QUERY_NASTR_VALUE'),
							''
						
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_VALUE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR8') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR8'),
							(Select link from s_property where code = 'QUERY_NASTR_VALUE'),
							''
						
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_VALUE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR8') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR8'),
							(Select link from s_property where code = 'QUERY_NASTR_VALUE'),
							''
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_VALUE_TEXT') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR8') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR8'),
							(Select link from s_property where code = 'QUERY_NASTR_VALUE_TEXT'),
							''
						
GO
/***        ***/
		
					DELETE FROM object_var WHERE CODE = 'SQL_REPORT_2NDFL_NASTR6' 
					INSERT INTO object_var (OBJECT, NAME, ORDERS, LINK_SELF, CODE, LINK_STATE, USERS, SYS) 
					Select (Select link from s_objects where code = 'NASTR_QUERY_CHECKBOX'),
					'    ',9, 
					(Select link from object_var where code = 'SQL_REPRT_2NDFL_NASTR_GR'),
					'SQL_REPORT_2NDFL_NASTR6',NULL, NULL, 1
					
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'SQUERY_NASTR_OPTIONAL') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR6') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR6'),
							(Select link from s_property where code = 'SQUERY_NASTR_OPTIONAL'),
							'1'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'EDITABLE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR6') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR6'),
							(Select link from s_property where code = 'EDITABLE'),
							'0'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'SQUERY_NASTR_NON_VISIBLE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR6') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR6'),
							(Select link from s_property where code = 'SQUERY_NASTR_NON_VISIBLE'),
							'0'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'FORMAT') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR6') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR6'),
							(Select link from s_property where code = 'FORMAT'),
							''
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_CAPTION') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR6') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR6'),
							(Select link from s_property where code = 'QUERY_NASTR_CAPTION'),
							'    '
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_CONTROL') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR6') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR6'),
							(Select link from s_property where code = 'QUERY_NASTR_CONTROL'),
							'CHECKBOX'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_NOTE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR6') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR6'),
							(Select link from s_property where code = 'QUERY_NASTR_NOTE'),
							''
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_NUMPARAM') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR6') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR6'),
							(Select link from s_property where code = 'QUERY_NASTR_NUMPARAM'),
							'2'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_SAVE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR6') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR6'),
							(Select link from s_property where code = 'QUERY_NASTR_SAVE'),
							'1'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_SOURCE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR6') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR6'),
							(Select link from s_property where code = 'QUERY_NASTR_SOURCE'),
							'.,.'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_SQLPARAM') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR6') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR6'),
							(Select link from s_property where code = 'QUERY_NASTR_SQLPARAM'),
							'@nCheck2'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_SQLTYPE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR6') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR6'),
							(Select link from s_property where code = 'QUERY_NASTR_SQLTYPE'),
							'int'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_VALUE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR6') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR6'),
							(Select link from s_property where code = 'QUERY_NASTR_VALUE'),
							'.'
						
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_VALUE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR6') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR6'),
							(Select link from s_property where code = 'QUERY_NASTR_VALUE'),
							'.'
						
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_VALUE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR6') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR6'),
							(Select link from s_property where code = 'QUERY_NASTR_VALUE'),
							'.'
						
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_VALUE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR6') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR6'),
							(Select link from s_property where code = 'QUERY_NASTR_VALUE'),
							'.'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_VALUE_TEXT') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR6') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR6'),
							(Select link from s_property where code = 'QUERY_NASTR_VALUE_TEXT'),
							''
						
GO
/***        ***/
		
					DELETE FROM object_var WHERE CODE = 'SQL_REPORT_2NDFL_NASTR7' 
					INSERT INTO object_var (OBJECT, NAME, ORDERS, LINK_SELF, CODE, LINK_STATE, USERS, SYS) 
					Select (Select link from s_objects where code = 'NASTR_QUERY_TEXTBOX'),
					'    ',10, 
					(Select link from object_var where code = 'SQL_REPRT_2NDFL_NASTR_GR'),
					'SQL_REPORT_2NDFL_NASTR7',NULL, NULL, 1
					
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'SQUERY_NASTR_OPTIONAL') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR7') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR7'),
							(Select link from s_property where code = 'SQUERY_NASTR_OPTIONAL'),
							'1'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'EDITABLE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR7') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR7'),
							(Select link from s_property where code = 'EDITABLE'),
							'0'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'SQUERY_NASTR_NON_VISIBLE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR7') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR7'),
							(Select link from s_property where code = 'SQUERY_NASTR_NON_VISIBLE'),
							'0'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'FORMAT') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR7') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR7'),
							(Select link from s_property where code = 'FORMAT'),
							''
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_CAPTION') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR7') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR7'),
							(Select link from s_property where code = 'QUERY_NASTR_CAPTION'),
							'    '
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_CONTROL') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR7') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR7'),
							(Select link from s_property where code = 'QUERY_NASTR_CONTROL'),
							'TEXTBOX'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_NOTE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR7') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR7'),
							(Select link from s_property where code = 'QUERY_NASTR_NOTE'),
							''
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_NUMPARAM') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR7') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR7'),
							(Select link from s_property where code = 'QUERY_NASTR_NUMPARAM'),
							'5'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_SAVE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR7') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR7'),
							(Select link from s_property where code = 'QUERY_NASTR_SAVE'),
							'1'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_SOURCE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR7') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR7'),
							(Select link from s_property where code = 'QUERY_NASTR_SOURCE'),
							''
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_SQLPARAM') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR7') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR7'),
							(Select link from s_property where code = 'QUERY_NASTR_SQLPARAM'),
							'@cText5'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_SQLTYPE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR7') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR7'),
							(Select link from s_property where code = 'QUERY_NASTR_SQLTYPE'),
							'varchar(16)'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_VALUE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR7') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR7'),
							(Select link from s_property where code = 'QUERY_NASTR_VALUE'),
							''
						
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_VALUE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR7') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR7'),
							(Select link from s_property where code = 'QUERY_NASTR_VALUE'),
							''
						
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_VALUE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR7') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR7'),
							(Select link from s_property where code = 'QUERY_NASTR_VALUE'),
							''
						
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_VALUE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR7') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR7'),
							(Select link from s_property where code = 'QUERY_NASTR_VALUE'),
							''
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_VALUE_TEXT') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR7') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR7'),
							(Select link from s_property where code = 'QUERY_NASTR_VALUE_TEXT'),
							''
						
GO
/***        ***/
		
					DELETE FROM object_var WHERE CODE = 'SQL_REPORT_2NDFL_NASTR9' 
					INSERT INTO object_var (OBJECT, NAME, ORDERS, LINK_SELF, CODE, LINK_STATE, USERS, SYS) 
					Select (Select link from s_objects where code = 'NASTR_QUERY_CHECKBOX'),
					'   ',12, 
					(Select link from object_var where code = 'SQL_REPRT_2NDFL_NASTR_GR'),
					'SQL_REPORT_2NDFL_NASTR9',NULL, NULL, 1
					
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'SQUERY_NASTR_OPTIONAL') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR9') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR9'),
							(Select link from s_property where code = 'SQUERY_NASTR_OPTIONAL'),
							'1'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'EDITABLE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR9') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR9'),
							(Select link from s_property where code = 'EDITABLE'),
							'0'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'SQUERY_NASTR_NON_VISIBLE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR9') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR9'),
							(Select link from s_property where code = 'SQUERY_NASTR_NON_VISIBLE'),
							'0'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'FORMAT') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR9') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR9'),
							(Select link from s_property where code = 'FORMAT'),
							''
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_CAPTION') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR9') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR9'),
							(Select link from s_property where code = 'QUERY_NASTR_CAPTION'),
							'   '
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_CONTROL') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR9') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR9'),
							(Select link from s_property where code = 'QUERY_NASTR_CONTROL'),
							'CHECKBOX'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_NOTE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR9') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR9'),
							(Select link from s_property where code = 'QUERY_NASTR_NOTE'),
							''
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_NUMPARAM') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR9') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR9'),
							(Select link from s_property where code = 'QUERY_NASTR_NUMPARAM'),
							'2'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_SAVE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR9') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR9'),
							(Select link from s_property where code = 'QUERY_NASTR_SAVE'),
							'0'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_SOURCE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR9') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR9'),
							(Select link from s_property where code = 'QUERY_NASTR_SOURCE'),
							'.,.'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_SQLPARAM') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR9') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR9'),
							(Select link from s_property where code = 'QUERY_NASTR_SQLPARAM'),
							'@nCheck3'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_SQLTYPE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR9') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR9'),
							(Select link from s_property where code = 'QUERY_NASTR_SQLTYPE'),
							'int'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_VALUE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR9') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR9'),
							(Select link from s_property where code = 'QUERY_NASTR_VALUE'),
							'.'
						
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_VALUE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR9') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR9'),
							(Select link from s_property where code = 'QUERY_NASTR_VALUE'),
							'.'
						
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_VALUE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR9') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR9'),
							(Select link from s_property where code = 'QUERY_NASTR_VALUE'),
							'.'
						
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_VALUE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR9') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR9'),
							(Select link from s_property where code = 'QUERY_NASTR_VALUE'),
							'.'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_VALUE_TEXT') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR9') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR9'),
							(Select link from s_property where code = 'QUERY_NASTR_VALUE_TEXT'),
							''
						
GO
/***        ***/
GO


GO
--  " 2-"
--   scriptObjectVar 'SQL_REPORT_2NDFL_FACE'

/***   ***/

if object_id('tempdb..#UPD_object_var') is not null
	drop table #UPD_object_var

CREATE TABLE #UPD_object_var (link_navigator int)

INSERT INTO #UPD_object_var (link_navigator)
SELECT  SN.LINK
FROM S_NAVIGATOR SN,OBJECT_VAR OV
WHERE SN.LINK_VAR = OV.LINK AND OV.CODE= 'SQL_REPORT_2NDFL_FACE'  

 
GO
    
	DELETE FROM OBJECT_VAR WHERE CODE = 'SQL_REPORT_2NDFL_FACE'
	INSERT INTO object_var (OBJECT, NAME, ORDERS, LINK_SELF, CODE, LINK_STATE, USERS, SYS) 
	Select (Select link from s_objects where code = 'QUERY_SQL'),
	' 2-',NULL, 
	(Select link from object_var where code = 'SQL_REPORT_CATALOG_SALARY'),
	'SQL_REPORT_2NDFL_FACE',NULL, NULL, 1
	

	UPDATE S_NAVIGATOR
	SET LINK_VAR = (SELECT TOP 1 LINK FROM object_var WHERE CODE = 'SQL_REPORT_2NDFL_FACE') 
	FROM S_NAVIGATOR S INNER JOIN #UPD_object_var U on S.LINK = U.link_navigator
GO

if object_id('tempdb..#UPD_object_var') is not null
	drop table #UPD_object_var
GO
/***   ***/
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REPORT_2NDFL_FACE') and  PROPERTY = (Select LINK from s_property where code = 'INIT_OBJECT_METHOD')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REPORT_2NDFL_FACE'),
	PROPERTY= (Select LINK from s_property where code = 'INIT_OBJECT_METHOD'),
	VALUE= 'm_print_query(nLink_Var)'
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REPORT_2NDFL_FACE') and  PROPERTY = (Select LINK from s_property where code = 'VISIBLE')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REPORT_2NDFL_FACE'),
	PROPERTY= (Select LINK from s_property where code = 'VISIBLE'),
	VALUE= '0'
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REPORT_2NDFL_FACE') and  PROPERTY = (Select LINK from s_property where code = 'CHECK_VALUE_IN_TABLE')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REPORT_2NDFL_FACE'),
	PROPERTY= (Select LINK from s_property where code = 'CHECK_VALUE_IN_TABLE'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REPORT_2NDFL_FACE') and  PROPERTY = (Select LINK from s_property where code = 'AFTER_CHANGE_PROG_NASTR')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REPORT_2NDFL_FACE'),
	PROPERTY= (Select LINK from s_property where code = 'AFTER_CHANGE_PROG_NASTR'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REPORT_2NDFL_FACE') and  PROPERTY = (Select LINK from s_property where code = 'BEFORE_CHANGE_PROG_NASTR')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REPORT_2NDFL_FACE'),
	PROPERTY= (Select LINK from s_property where code = 'BEFORE_CHANGE_PROG_NASTR'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REPORT_2NDFL_FACE') and  PROPERTY = (Select LINK from s_property where code = 'NASTR_XL_CENTER_HEADER')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REPORT_2NDFL_FACE'),
	PROPERTY= (Select LINK from s_property where code = 'NASTR_XL_CENTER_HEADER'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REPORT_2NDFL_FACE') and  PROPERTY = (Select LINK from s_property where code = 'NASTR_XL_DATETIME')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REPORT_2NDFL_FACE'),
	PROPERTY= (Select LINK from s_property where code = 'NASTR_XL_DATETIME'),
	VALUE= '0'
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REPORT_2NDFL_FACE') and  PROPERTY = (Select LINK from s_property where code = 'NASTR_XL_FOOTER')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REPORT_2NDFL_FACE'),
	PROPERTY= (Select LINK from s_property where code = 'NASTR_XL_FOOTER'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REPORT_2NDFL_FACE') and  PROPERTY = (Select LINK from s_property where code = 'NASTR_XL_FREEZEPANES')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REPORT_2NDFL_FACE'),
	PROPERTY= (Select LINK from s_property where code = 'NASTR_XL_FREEZEPANES'),
	VALUE= '0'
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REPORT_2NDFL_FACE') and  PROPERTY = (Select LINK from s_property where code = 'NASTR_XL_LEFT_HEADER')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REPORT_2NDFL_FACE'),
	PROPERTY= (Select LINK from s_property where code = 'NASTR_XL_LEFT_HEADER'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REPORT_2NDFL_FACE') and  PROPERTY = (Select LINK from s_property where code = 'NASTR_XL_PAGES')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REPORT_2NDFL_FACE'),
	PROPERTY= (Select LINK from s_property where code = 'NASTR_XL_PAGES'),
	VALUE= '0'
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REPORT_2NDFL_FACE') and  PROPERTY = (Select LINK from s_property where code = 'NASTR_XL_RIGHT_HEADER')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REPORT_2NDFL_FACE'),
	PROPERTY= (Select LINK from s_property where code = 'NASTR_XL_RIGHT_HEADER'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REPORT_2NDFL_FACE') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_ADDFROM')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REPORT_2NDFL_FACE'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_ADDFROM'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REPORT_2NDFL_FACE') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_ADDINTO')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REPORT_2NDFL_FACE'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_ADDINTO'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REPORT_2NDFL_FACE') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_ADDSELECT')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REPORT_2NDFL_FACE'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_ADDSELECT'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REPORT_2NDFL_FACE') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_ADDWHERE')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REPORT_2NDFL_FACE'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_ADDWHERE'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REPORT_2NDFL_FACE') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_AFTER')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REPORT_2NDFL_FACE'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_AFTER'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REPORT_2NDFL_FACE') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_BEFORE')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REPORT_2NDFL_FACE'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_BEFORE'),
	VALUE= 'declare @nSummForCheck numeric(18,2)

if len(ltrim(rtrim(@cText5)))= 0
begin 
   select @cText5 = null
end

if isnumeric(ltrim(rtrim(@cText5))) = 0 
begin 	
	select @cText5 = null
end
	select @cText5 =  REPLACE(ltrim(rtrim(convert(varchar(16),@cText5))),'','',''.'');
	select  @nSummForCheck  =  cast(ltrim(rtrim(@cText5))  as numeric(18,2)) 
			 

EXEC dbo.SD_REP_2NDFL
	@cText1					/*   */,
	@cText2					/*     */,
	@nCheck2 				/*      */,
	@nSummForCheck  		/*      */,
	'''',  0,	/*       */
	'''',  0,	/*       */
	@nSel_Spr1, /* */
	@nMonth1, /*   */
	DEFAULT, /*       */
	@nCheck3, /*     */
       @nOption1 /*   1 - , 2 - , 3 -  */
'
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REPORT_2NDFL_FACE') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_DATETIME')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REPORT_2NDFL_FACE'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_DATETIME'),
	VALUE= '0'
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REPORT_2NDFL_FACE') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_DISTINCT')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REPORT_2NDFL_FACE'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_DISTINCT'),
	VALUE= '0'
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REPORT_2NDFL_FACE') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_FOOTER')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REPORT_2NDFL_FACE'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_FOOTER'),
	VALUE= '="                               " & User_FIO
                                 '
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REPORT_2NDFL_FACE') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_FREEZEPANES')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REPORT_2NDFL_FACE'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_FREEZEPANES'),
	VALUE= '0'
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REPORT_2NDFL_FACE') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_HEADER')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REPORT_2NDFL_FACE'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_HEADER'),
	VALUE= '=User_Name'
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REPORT_2NDFL_FACE') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_PAGES')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REPORT_2NDFL_FACE'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_PAGES'),
	VALUE= '0'
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REPORT_2NDFL_FACE') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_PROCEDURE')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REPORT_2NDFL_FACE'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_PROCEDURE'),
	VALUE= '#SD_REP_2NDFL_FACE'
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REPORT_2NDFL_FACE') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_REPMAKER')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REPORT_2NDFL_FACE'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_REPMAKER'),
	VALUE= 'KIRREPMAKER.XLS'
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REPORT_2NDFL_FACE') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_REPORT')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REPORT_2NDFL_FACE'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_REPORT'),
	VALUE= 'IIF(kir_2ndfl_prepare_report(),"2NDFL-DATA1.XLT","")'
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REPORT_2NDFL_FACE') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_REPORT_PATH')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REPORT_2NDFL_FACE'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_REPORT_PATH'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REPORT_2NDFL_FACE') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_SQL')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REPORT_2NDFL_FACE'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_SQL'),
	VALUE= 'CREATE PROCEDURE #SD_REP_2NDFL_FACE
	@cText2 varchar(8000)	/*   */,
	@nSel_Spr1 int	/*  */,
	@cText1 varchar(8000)	/*   */,
	@nMonth1 int	/*   */,
	@cText4 varchar(8000)	/*  */,
	@nCheck2 int	/*      */,
	@cText5 varchar(8000)	/*      */,
	@nOption1 int	/*  */,
	@nCheck3 int	/*     */
AS
BEGIN

declare @nSummForCheck numeric(18,2)

if len(ltrim(rtrim(@cText5)))= 0
begin 
   select @cText5 = null
end

if isnumeric(ltrim(rtrim(@cText5))) = 0 
begin 	
	select @cText5 = null
end
	select @cText5 =  REPLACE(ltrim(rtrim(convert(varchar(16),@cText5))),'','',''.'');
	select  @nSummForCheck  =  cast(ltrim(rtrim(@cText5))  as numeric(18,2)) 
			 

EXEC dbo.SD_REP_2NDFL
	@cText1					/*   */,
	@cText2					/*     */,
	@nCheck2 				/*      */,
	@nSummForCheck  		/*      */,
	'''',  0,	/*       */
	'''',  0,	/*       */
	@nSel_Spr1, /* */
	@nMonth1, /*   */
	DEFAULT, /*       */
	@nCheck3, /*     */
       @nOption1 /*   1 - , 2 - , 3 -  */


END'
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REPORT_2NDFL_FACE') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_SYSTEM')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REPORT_2NDFL_FACE'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_SYSTEM'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REPORT_2NDFL_FACE') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_TOP')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REPORT_2NDFL_FACE'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_TOP'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REPORT_2NDFL_FACE') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_TOTAL')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REPORT_2NDFL_FACE'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_TOTAL'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REPORT_2NDFL_FACE') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_TOTALCOL')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REPORT_2NDFL_FACE'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_TOTALCOL'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REPORT_2NDFL_FACE') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_TOTALROW')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REPORT_2NDFL_FACE'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_TOTALROW'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REPORT_2NDFL_FACE') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_AP_LIST')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REPORT_2NDFL_FACE'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_AP_LIST'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REPORT_2NDFL_FACE') and  PROPERTY = (Select LINK from s_property where code = 'EOD_PROTOCOL')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REPORT_2NDFL_FACE'),
	PROPERTY= (Select LINK from s_property where code = 'EOD_PROTOCOL'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REPORT_2NDFL_FACE') and  PROPERTY = (Select LINK from s_property where code = 'AFTER_REPORT_PROG')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REPORT_2NDFL_FACE'),
	PROPERTY= (Select LINK from s_property where code = 'AFTER_REPORT_PROG'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REPORT_2NDFL_FACE') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_ADD_MODULE')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REPORT_2NDFL_FACE'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_ADD_MODULE'),
	VALUE= 'KirRepCommon.bas'
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REPORT_2NDFL_FACE') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_CODE')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REPORT_2NDFL_FACE'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_CODE'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REPORT_2NDFL_FACE') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_DATE_TYPE')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REPORT_2NDFL_FACE'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_DATE_TYPE'),
	VALUE= '0'
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REPORT_2NDFL_FACE') and  PROPERTY = (Select LINK from s_property where code = 'SQUERY_NO_SHOW')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REPORT_2NDFL_FACE'),
	PROPERTY= (Select LINK from s_property where code = 'SQUERY_NO_SHOW'),
	VALUE= '0'
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REPORT_2NDFL_FACE') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_ALTERNATIVE_PRINT_METHOD')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REPORT_2NDFL_FACE'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_ALTERNATIVE_PRINT_METHOD'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REPORT_2NDFL_FACE') and  PROPERTY = (Select LINK from s_property where code = 'REPORT_EXTERNAL_GENERATOR')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REPORT_2NDFL_FACE'),
	PROPERTY= (Select LINK from s_property where code = 'REPORT_EXTERNAL_GENERATOR'),
	VALUE= '0'
	
/***        ***/
     
		DELETE FROM object_var WHERE CODE = 'SQL_REPORT_2NDFL_FACE_NASTR' 
		INSERT INTO object_var (OBJECT, NAME, ORDERS, LINK_SELF, CODE, LINK_STATE, USERS, SYS) 
		Select (Select link from s_objects where code = 'QUERY_NASTRS'),
		'',1, 
		(Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE'),
		'SQL_REPORT_2NDFL_FACE_NASTR',NULL, NULL, 1
		
GO
/***        ***/
		
					DELETE FROM object_var WHERE CODE = 'SQL_REPORT_2NDFL_FACE_N2' 
					INSERT INTO object_var (OBJECT, NAME, ORDERS, LINK_SELF, CODE, LINK_STATE, USERS, SYS) 
					Select (Select link from s_objects where code = 'NASTR_QUERY_TEXTBOX'),
					' ',2, 
					(Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_NASTR'),
					'SQL_REPORT_2NDFL_FACE_N2',NULL, NULL, 1
					
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'SQUERY_NASTR_OPTIONAL') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N2') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N2'),
							(Select link from s_property where code = 'SQUERY_NASTR_OPTIONAL'),
							'0'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'EDITABLE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N2') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N2'),
							(Select link from s_property where code = 'EDITABLE'),
							'0'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'SQUERY_NASTR_NON_VISIBLE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N2') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N2'),
							(Select link from s_property where code = 'SQUERY_NASTR_NON_VISIBLE'),
							'0'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'FORMAT') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N2') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N2'),
							(Select link from s_property where code = 'FORMAT'),
							''
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_CAPTION') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N2') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N2'),
							(Select link from s_property where code = 'QUERY_NASTR_CAPTION'),
							' '
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_CONTROL') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N2') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N2'),
							(Select link from s_property where code = 'QUERY_NASTR_CONTROL'),
							'TEXTBOX'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_NOTE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N2') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N2'),
							(Select link from s_property where code = 'QUERY_NASTR_NOTE'),
							''
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_NUMPARAM') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N2') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N2'),
							(Select link from s_property where code = 'QUERY_NASTR_NUMPARAM'),
							'2'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_SAVE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N2') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N2'),
							(Select link from s_property where code = 'QUERY_NASTR_SAVE'),
							'1'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_SOURCE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N2') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N2'),
							(Select link from s_property where code = 'QUERY_NASTR_SOURCE'),
							''
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_SQLPARAM') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N2') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N2'),
							(Select link from s_property where code = 'QUERY_NASTR_SQLPARAM'),
							'@cText2'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_SQLTYPE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N2') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N2'),
							(Select link from s_property where code = 'QUERY_NASTR_SQLTYPE'),
							'varchar(8000)'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_VALUE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N2') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N2'),
							(Select link from s_property where code = 'QUERY_NASTR_VALUE'),
							'25'
						
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_VALUE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N2') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N2'),
							(Select link from s_property where code = 'QUERY_NASTR_VALUE'),
							'25'
						
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_VALUE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N2') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N2'),
							(Select link from s_property where code = 'QUERY_NASTR_VALUE'),
							'25'
						
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_VALUE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N2') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N2'),
							(Select link from s_property where code = 'QUERY_NASTR_VALUE'),
							'25'
						
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_VALUE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N2') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N2'),
							(Select link from s_property where code = 'QUERY_NASTR_VALUE'),
							'25'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_VALUE_TEXT') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N2') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N2'),
							(Select link from s_property where code = 'QUERY_NASTR_VALUE_TEXT'),
							''
						
GO
/***        ***/
		
					DELETE FROM object_var WHERE CODE = 'SQL_REPORT_2NDFL_FACE_MAIN_PARAM' 
					INSERT INTO object_var (OBJECT, NAME, ORDERS, LINK_SELF, CODE, LINK_STATE, USERS, SYS) 
					Select (Select link from s_objects where code = 'NASTR_QUERY_LSEL_SPR'),
					'',3, 
					(Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_NASTR'),
					'SQL_REPORT_2NDFL_FACE_MAIN_PARAM',NULL, NULL, 1
					
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'SQUERY_NASTR_OPTIONAL') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_MAIN_PARAM') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_MAIN_PARAM'),
							(Select link from s_property where code = 'SQUERY_NASTR_OPTIONAL'),
							'0'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'EDITABLE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_MAIN_PARAM') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_MAIN_PARAM'),
							(Select link from s_property where code = 'EDITABLE'),
							'0'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'SQUERY_NASTR_NON_VISIBLE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_MAIN_PARAM') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_MAIN_PARAM'),
							(Select link from s_property where code = 'SQUERY_NASTR_NON_VISIBLE'),
							'1'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'FORMAT') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_MAIN_PARAM') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_MAIN_PARAM'),
							(Select link from s_property where code = 'FORMAT'),
							''
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_CAPTION') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_MAIN_PARAM') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_MAIN_PARAM'),
							(Select link from s_property where code = 'QUERY_NASTR_CAPTION'),
							''
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_CONTROL') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_MAIN_PARAM') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_MAIN_PARAM'),
							(Select link from s_property where code = 'QUERY_NASTR_CONTROL'),
							'LSel_Spr'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_NOTE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_MAIN_PARAM') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_MAIN_PARAM'),
							(Select link from s_property where code = 'QUERY_NASTR_NOTE'),
							''
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_NUMPARAM') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_MAIN_PARAM') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_MAIN_PARAM'),
							(Select link from s_property where code = 'QUERY_NASTR_NUMPARAM'),
							'3'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_SAVE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_MAIN_PARAM') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_MAIN_PARAM'),
							(Select link from s_property where code = 'QUERY_NASTR_SAVE'),
							'1'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_SOURCE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_MAIN_PARAM') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_MAIN_PARAM'),
							(Select link from s_property where code = 'QUERY_NASTR_SOURCE'),
							'KU_EMPL_PLACING'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_SQLPARAM') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_MAIN_PARAM') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_MAIN_PARAM'),
							(Select link from s_property where code = 'QUERY_NASTR_SQLPARAM'),
							'@nSel_Spr1'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_SQLTYPE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_MAIN_PARAM') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_MAIN_PARAM'),
							(Select link from s_property where code = 'QUERY_NASTR_SQLTYPE'),
							'int'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_VALUE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_MAIN_PARAM') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_MAIN_PARAM'),
							(Select link from s_property where code = 'QUERY_NASTR_VALUE'),
							'183'
						
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_VALUE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_MAIN_PARAM') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_MAIN_PARAM'),
							(Select link from s_property where code = 'QUERY_NASTR_VALUE'),
							''
						
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_VALUE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_MAIN_PARAM') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_MAIN_PARAM'),
							(Select link from s_property where code = 'QUERY_NASTR_VALUE'),
							'116'
						
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_VALUE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_MAIN_PARAM') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_MAIN_PARAM'),
							(Select link from s_property where code = 'QUERY_NASTR_VALUE'),
							'87'
						
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_VALUE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_MAIN_PARAM') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_MAIN_PARAM'),
							(Select link from s_property where code = 'QUERY_NASTR_VALUE'),
							'43'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_VALUE_TEXT') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_MAIN_PARAM') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_MAIN_PARAM'),
							(Select link from s_property where code = 'QUERY_NASTR_VALUE_TEXT'),
							''
						
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_VALUE_TEXT') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_MAIN_PARAM') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_MAIN_PARAM'),
							(Select link from s_property where code = 'QUERY_NASTR_VALUE_TEXT'),
							''
						
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_VALUE_TEXT') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_MAIN_PARAM') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_MAIN_PARAM'),
							(Select link from s_property where code = 'QUERY_NASTR_VALUE_TEXT'),
							''
						
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_VALUE_TEXT') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_MAIN_PARAM') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_MAIN_PARAM'),
							(Select link from s_property where code = 'QUERY_NASTR_VALUE_TEXT'),
							''
						
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_VALUE_TEXT') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_MAIN_PARAM') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_MAIN_PARAM'),
							(Select link from s_property where code = 'QUERY_NASTR_VALUE_TEXT'),
							''
						
GO
/***        ***/
		
					DELETE FROM object_var WHERE CODE = 'SQL_REPORT_2NDFL_FACE_N1' 
					INSERT INTO object_var (OBJECT, NAME, ORDERS, LINK_SELF, CODE, LINK_STATE, USERS, SYS) 
					Select (Select link from s_objects where code = 'NASTR_QUERY_TEXTBOX'),
					' ',4, 
					(Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_NASTR'),
					'SQL_REPORT_2NDFL_FACE_N1',NULL, NULL, 1
					
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'SQUERY_NASTR_OPTIONAL') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N1') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N1'),
							(Select link from s_property where code = 'SQUERY_NASTR_OPTIONAL'),
							'0'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'EDITABLE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N1') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N1'),
							(Select link from s_property where code = 'EDITABLE'),
							'0'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'SQUERY_NASTR_NON_VISIBLE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N1') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N1'),
							(Select link from s_property where code = 'SQUERY_NASTR_NON_VISIBLE'),
							'0'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'FORMAT') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N1') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N1'),
							(Select link from s_property where code = 'FORMAT'),
							''
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_CAPTION') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N1') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N1'),
							(Select link from s_property where code = 'QUERY_NASTR_CAPTION'),
							' '
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_CONTROL') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N1') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N1'),
							(Select link from s_property where code = 'QUERY_NASTR_CONTROL'),
							'TEXTBOX'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_NOTE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N1') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N1'),
							(Select link from s_property where code = 'QUERY_NASTR_NOTE'),
							''
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_NUMPARAM') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N1') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N1'),
							(Select link from s_property where code = 'QUERY_NASTR_NUMPARAM'),
							'1'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_SAVE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N1') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N1'),
							(Select link from s_property where code = 'QUERY_NASTR_SAVE'),
							'1'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_SOURCE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N1') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N1'),
							(Select link from s_property where code = 'QUERY_NASTR_SOURCE'),
							''
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_SQLPARAM') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N1') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N1'),
							(Select link from s_property where code = 'QUERY_NASTR_SQLPARAM'),
							'@cText1'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_SQLTYPE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N1') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N1'),
							(Select link from s_property where code = 'QUERY_NASTR_SQLTYPE'),
							'varchar(8000)'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_VALUE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N1') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N1'),
							(Select link from s_property where code = 'QUERY_NASTR_VALUE'),
							'2017'
						
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_VALUE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N1') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N1'),
							(Select link from s_property where code = 'QUERY_NASTR_VALUE'),
							'2016'
						
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_VALUE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N1') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N1'),
							(Select link from s_property where code = 'QUERY_NASTR_VALUE'),
							'2016'
						
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_VALUE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N1') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N1'),
							(Select link from s_property where code = 'QUERY_NASTR_VALUE'),
							'2016'
						
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_VALUE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N1') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N1'),
							(Select link from s_property where code = 'QUERY_NASTR_VALUE'),
							'2016'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_VALUE_TEXT') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N1') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N1'),
							(Select link from s_property where code = 'QUERY_NASTR_VALUE_TEXT'),
							''
						
GO
/***        ***/
		
					DELETE FROM object_var WHERE CODE = 'SQL_REPORT_2NDFL_FACE_N3' 
					INSERT INTO object_var (OBJECT, NAME, ORDERS, LINK_SELF, CODE, LINK_STATE, USERS, SYS) 
					Select (Select link from s_objects where code = 'NASTR_QUERY_MONTHBOX'),
					' ',5, 
					(Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_NASTR'),
					'SQL_REPORT_2NDFL_FACE_N3',NULL, NULL, 1
					
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'SQUERY_NASTR_OPTIONAL') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N3') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N3'),
							(Select link from s_property where code = 'SQUERY_NASTR_OPTIONAL'),
							'1'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'EDITABLE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N3') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N3'),
							(Select link from s_property where code = 'EDITABLE'),
							'0'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'SQUERY_NASTR_NON_VISIBLE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N3') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N3'),
							(Select link from s_property where code = 'SQUERY_NASTR_NON_VISIBLE'),
							'0'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'FORMAT') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N3') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N3'),
							(Select link from s_property where code = 'FORMAT'),
							''
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_CAPTION') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N3') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N3'),
							(Select link from s_property where code = 'QUERY_NASTR_CAPTION'),
							' '
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_CONTROL') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N3') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N3'),
							(Select link from s_property where code = 'QUERY_NASTR_CONTROL'),
							'MONTHBOX'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_NOTE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N3') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N3'),
							(Select link from s_property where code = 'QUERY_NASTR_NOTE'),
							''
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_NUMPARAM') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N3') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N3'),
							(Select link from s_property where code = 'QUERY_NASTR_NUMPARAM'),
							'1'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_SAVE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N3') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N3'),
							(Select link from s_property where code = 'QUERY_NASTR_SAVE'),
							'0'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_SOURCE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N3') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N3'),
							(Select link from s_property where code = 'QUERY_NASTR_SOURCE'),
							' , '
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_SQLPARAM') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N3') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N3'),
							(Select link from s_property where code = 'QUERY_NASTR_SQLPARAM'),
							'@nMonth1'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_SQLTYPE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N3') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N3'),
							(Select link from s_property where code = 'QUERY_NASTR_SQLTYPE'),
							'int'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_VALUE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N3') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N3'),
							(Select link from s_property where code = 'QUERY_NASTR_VALUE'),
							' '
						
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_VALUE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N3') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N3'),
							(Select link from s_property where code = 'QUERY_NASTR_VALUE'),
							''
						
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_VALUE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N3') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N3'),
							(Select link from s_property where code = 'QUERY_NASTR_VALUE'),
							''
						
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_VALUE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N3') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N3'),
							(Select link from s_property where code = 'QUERY_NASTR_VALUE'),
							''
						
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_VALUE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N3') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N3'),
							(Select link from s_property where code = 'QUERY_NASTR_VALUE'),
							''
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_VALUE_TEXT') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N3') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N3'),
							(Select link from s_property where code = 'QUERY_NASTR_VALUE_TEXT'),
							''
						
GO
/***        ***/
		
					DELETE FROM object_var WHERE CODE = 'SQL_REPORT_2NDFL_FACE_N4' 
					INSERT INTO object_var (OBJECT, NAME, ORDERS, LINK_SELF, CODE, LINK_STATE, USERS, SYS) 
					Select (Select link from s_objects where code = 'NASTR_QUERY_TEXTBOX'),
					'',6, 
					(Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_NASTR'),
					'SQL_REPORT_2NDFL_FACE_N4',NULL, NULL, 1
					
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'SQUERY_NASTR_OPTIONAL') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N4') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N4'),
							(Select link from s_property where code = 'SQUERY_NASTR_OPTIONAL'),
							'0'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'EDITABLE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N4') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N4'),
							(Select link from s_property where code = 'EDITABLE'),
							'0'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'SQUERY_NASTR_NON_VISIBLE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N4') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N4'),
							(Select link from s_property where code = 'SQUERY_NASTR_NON_VISIBLE'),
							'0'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'FORMAT') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N4') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N4'),
							(Select link from s_property where code = 'FORMAT'),
							''
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_CAPTION') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N4') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N4'),
							(Select link from s_property where code = 'QUERY_NASTR_CAPTION'),
							''
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_CONTROL') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N4') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N4'),
							(Select link from s_property where code = 'QUERY_NASTR_CONTROL'),
							'TEXTBOX'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_NOTE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N4') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N4'),
							(Select link from s_property where code = 'QUERY_NASTR_NOTE'),
							''
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_NUMPARAM') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N4') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N4'),
							(Select link from s_property where code = 'QUERY_NASTR_NUMPARAM'),
							'4'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_SAVE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N4') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N4'),
							(Select link from s_property where code = 'QUERY_NASTR_SAVE'),
							'1'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_SOURCE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N4') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N4'),
							(Select link from s_property where code = 'QUERY_NASTR_SOURCE'),
							''
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_SQLPARAM') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N4') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N4'),
							(Select link from s_property where code = 'QUERY_NASTR_SQLPARAM'),
							'@cText4'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_SQLTYPE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N4') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N4'),
							(Select link from s_property where code = 'QUERY_NASTR_SQLTYPE'),
							'varchar(8000)'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_VALUE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N4') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N4'),
							(Select link from s_property where code = 'QUERY_NASTR_VALUE'),
							'1'
						
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_VALUE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N4') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N4'),
							(Select link from s_property where code = 'QUERY_NASTR_VALUE'),
							'1'
						
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_VALUE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N4') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N4'),
							(Select link from s_property where code = 'QUERY_NASTR_VALUE'),
							'1'
						
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_VALUE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N4') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N4'),
							(Select link from s_property where code = 'QUERY_NASTR_VALUE'),
							'1'
						
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_VALUE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N4') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N4'),
							(Select link from s_property where code = 'QUERY_NASTR_VALUE'),
							'1'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_VALUE_TEXT') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N4') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N4'),
							(Select link from s_property where code = 'QUERY_NASTR_VALUE_TEXT'),
							''
						
GO
/***        ***/
		
					DELETE FROM object_var WHERE CODE = 'SQL_REPORT_2NDFL_FACE_N5' 
					INSERT INTO object_var (OBJECT, NAME, ORDERS, LINK_SELF, CODE, LINK_STATE, USERS, SYS) 
					Select (Select link from s_objects where code = 'NASTR_QUERY_CHECKBOX'),
					'    ',7, 
					(Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_NASTR'),
					'SQL_REPORT_2NDFL_FACE_N5',NULL, NULL, 1
					
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'SQUERY_NASTR_OPTIONAL') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N5') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N5'),
							(Select link from s_property where code = 'SQUERY_NASTR_OPTIONAL'),
							'1'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'EDITABLE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N5') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N5'),
							(Select link from s_property where code = 'EDITABLE'),
							'0'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'SQUERY_NASTR_NON_VISIBLE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N5') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N5'),
							(Select link from s_property where code = 'SQUERY_NASTR_NON_VISIBLE'),
							'0'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'FORMAT') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N5') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N5'),
							(Select link from s_property where code = 'FORMAT'),
							''
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_CAPTION') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N5') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N5'),
							(Select link from s_property where code = 'QUERY_NASTR_CAPTION'),
							'    '
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_CONTROL') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N5') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N5'),
							(Select link from s_property where code = 'QUERY_NASTR_CONTROL'),
							'CHECKBOX'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_NOTE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N5') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N5'),
							(Select link from s_property where code = 'QUERY_NASTR_NOTE'),
							''
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_NUMPARAM') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N5') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N5'),
							(Select link from s_property where code = 'QUERY_NASTR_NUMPARAM'),
							'1'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_SAVE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N5') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N5'),
							(Select link from s_property where code = 'QUERY_NASTR_SAVE'),
							'1'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_SOURCE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N5') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N5'),
							(Select link from s_property where code = 'QUERY_NASTR_SOURCE'),
							'.,.'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_SQLPARAM') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N5') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N5'),
							(Select link from s_property where code = 'QUERY_NASTR_SQLPARAM'),
							'@nCheck2'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_SQLTYPE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N5') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N5'),
							(Select link from s_property where code = 'QUERY_NASTR_SQLTYPE'),
							'int'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_VALUE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N5') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N5'),
							(Select link from s_property where code = 'QUERY_NASTR_VALUE'),
							'.'
						
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_VALUE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N5') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N5'),
							(Select link from s_property where code = 'QUERY_NASTR_VALUE'),
							'.'
						
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_VALUE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N5') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N5'),
							(Select link from s_property where code = 'QUERY_NASTR_VALUE'),
							'.'
						
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_VALUE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N5') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N5'),
							(Select link from s_property where code = 'QUERY_NASTR_VALUE'),
							'.'
						
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_VALUE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N5') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N5'),
							(Select link from s_property where code = 'QUERY_NASTR_VALUE'),
							'.'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_VALUE_TEXT') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N5') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N5'),
							(Select link from s_property where code = 'QUERY_NASTR_VALUE_TEXT'),
							''
						
GO
/***        ***/
		
					DELETE FROM object_var WHERE CODE = 'SQL_REPORT_2NDFL_FACE_N6' 
					INSERT INTO object_var (OBJECT, NAME, ORDERS, LINK_SELF, CODE, LINK_STATE, USERS, SYS) 
					Select (Select link from s_objects where code = 'NASTR_QUERY_TEXTBOX'),
					'    ',8, 
					(Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_NASTR'),
					'SQL_REPORT_2NDFL_FACE_N6',NULL, NULL, 1
					
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'SQUERY_NASTR_OPTIONAL') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N6') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N6'),
							(Select link from s_property where code = 'SQUERY_NASTR_OPTIONAL'),
							'1'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'EDITABLE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N6') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N6'),
							(Select link from s_property where code = 'EDITABLE'),
							'0'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'SQUERY_NASTR_NON_VISIBLE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N6') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N6'),
							(Select link from s_property where code = 'SQUERY_NASTR_NON_VISIBLE'),
							'0'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'FORMAT') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N6') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N6'),
							(Select link from s_property where code = 'FORMAT'),
							''
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_CAPTION') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N6') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N6'),
							(Select link from s_property where code = 'QUERY_NASTR_CAPTION'),
							'    '
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_CONTROL') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N6') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N6'),
							(Select link from s_property where code = 'QUERY_NASTR_CONTROL'),
							'TEXTBOX'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_NOTE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N6') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N6'),
							(Select link from s_property where code = 'QUERY_NASTR_NOTE'),
							''
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_NUMPARAM') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N6') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N6'),
							(Select link from s_property where code = 'QUERY_NASTR_NUMPARAM'),
							'5'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_SAVE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N6') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N6'),
							(Select link from s_property where code = 'QUERY_NASTR_SAVE'),
							'1'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_SOURCE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N6') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N6'),
							(Select link from s_property where code = 'QUERY_NASTR_SOURCE'),
							''
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_SQLPARAM') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N6') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N6'),
							(Select link from s_property where code = 'QUERY_NASTR_SQLPARAM'),
							'@cText5'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_SQLTYPE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N6') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N6'),
							(Select link from s_property where code = 'QUERY_NASTR_SQLTYPE'),
							'varchar(8000)'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_VALUE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N6') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N6'),
							(Select link from s_property where code = 'QUERY_NASTR_VALUE'),
							''
						
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_VALUE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N6') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N6'),
							(Select link from s_property where code = 'QUERY_NASTR_VALUE'),
							''
						
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_VALUE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N6') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N6'),
							(Select link from s_property where code = 'QUERY_NASTR_VALUE'),
							''
						
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_VALUE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N6') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N6'),
							(Select link from s_property where code = 'QUERY_NASTR_VALUE'),
							''
						
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_VALUE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N6') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N6'),
							(Select link from s_property where code = 'QUERY_NASTR_VALUE'),
							''
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_VALUE_TEXT') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N6') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N6'),
							(Select link from s_property where code = 'QUERY_NASTR_VALUE_TEXT'),
							''
						
GO
/***        ***/
		
					DELETE FROM object_var WHERE CODE = 'SQL_REPORT_2NDFL_FACE_N7' 
					INSERT INTO object_var (OBJECT, NAME, ORDERS, LINK_SELF, CODE, LINK_STATE, USERS, SYS) 
					Select (Select link from s_objects where code = 'NASTR_QUERY_OPTIONGROUP'),
					'',9, 
					(Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_NASTR'),
					'SQL_REPORT_2NDFL_FACE_N7',NULL, NULL, 1
					
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'SQUERY_NASTR_OPTIONAL') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N7') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N7'),
							(Select link from s_property where code = 'SQUERY_NASTR_OPTIONAL'),
							'0'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'EDITABLE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N7') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N7'),
							(Select link from s_property where code = 'EDITABLE'),
							'0'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'SQUERY_NASTR_NON_VISIBLE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N7') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N7'),
							(Select link from s_property where code = 'SQUERY_NASTR_NON_VISIBLE'),
							'0'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'FORMAT') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N7') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N7'),
							(Select link from s_property where code = 'FORMAT'),
							''
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_CAPTION') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N7') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N7'),
							(Select link from s_property where code = 'QUERY_NASTR_CAPTION'),
							' '
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_CONTROL') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N7') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N7'),
							(Select link from s_property where code = 'QUERY_NASTR_CONTROL'),
							'OPTIONGROUP'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_NOTE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N7') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N7'),
							(Select link from s_property where code = 'QUERY_NASTR_NOTE'),
							''
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_NUMPARAM') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N7') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N7'),
							(Select link from s_property where code = 'QUERY_NASTR_NUMPARAM'),
							'1'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_SAVE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N7') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N7'),
							(Select link from s_property where code = 'QUERY_NASTR_SAVE'),
							'1'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_SOURCE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N7') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N7'),
							(Select link from s_property where code = 'QUERY_NASTR_SOURCE'),
							',,'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_SQLPARAM') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N7') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N7'),
							(Select link from s_property where code = 'QUERY_NASTR_SQLPARAM'),
							'@nOption1'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_SQLTYPE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N7') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N7'),
							(Select link from s_property where code = 'QUERY_NASTR_SQLTYPE'),
							'int'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_VALUE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N7') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N7'),
							(Select link from s_property where code = 'QUERY_NASTR_VALUE'),
							''
						
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_VALUE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N7') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N7'),
							(Select link from s_property where code = 'QUERY_NASTR_VALUE'),
							''
						
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_VALUE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N7') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N7'),
							(Select link from s_property where code = 'QUERY_NASTR_VALUE'),
							''
						
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_VALUE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N7') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N7'),
							(Select link from s_property where code = 'QUERY_NASTR_VALUE'),
							''
						
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_VALUE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N7') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N7'),
							(Select link from s_property where code = 'QUERY_NASTR_VALUE'),
							''
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_VALUE_TEXT') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N7') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N7'),
							(Select link from s_property where code = 'QUERY_NASTR_VALUE_TEXT'),
							''
						
GO
/***        ***/
		
					DELETE FROM object_var WHERE CODE = 'SQL_REPORT_2NDFL_FACE_N8' 
					INSERT INTO object_var (OBJECT, NAME, ORDERS, LINK_SELF, CODE, LINK_STATE, USERS, SYS) 
					Select (Select link from s_objects where code = 'NASTR_QUERY_CHECKBOX'),
					'   ',10, 
					(Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_NASTR'),
					'SQL_REPORT_2NDFL_FACE_N8',NULL, NULL, 1
					
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'SQUERY_NASTR_OPTIONAL') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N8') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N8'),
							(Select link from s_property where code = 'SQUERY_NASTR_OPTIONAL'),
							'1'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'EDITABLE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N8') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N8'),
							(Select link from s_property where code = 'EDITABLE'),
							'0'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'SQUERY_NASTR_NON_VISIBLE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N8') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N8'),
							(Select link from s_property where code = 'SQUERY_NASTR_NON_VISIBLE'),
							'0'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'FORMAT') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N8') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N8'),
							(Select link from s_property where code = 'FORMAT'),
							''
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_CAPTION') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N8') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N8'),
							(Select link from s_property where code = 'QUERY_NASTR_CAPTION'),
							'   '
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_CONTROL') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N8') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N8'),
							(Select link from s_property where code = 'QUERY_NASTR_CONTROL'),
							'CHECKBOX'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_NOTE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N8') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N8'),
							(Select link from s_property where code = 'QUERY_NASTR_NOTE'),
							''
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_NUMPARAM') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N8') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N8'),
							(Select link from s_property where code = 'QUERY_NASTR_NUMPARAM'),
							'2'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_SAVE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N8') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N8'),
							(Select link from s_property where code = 'QUERY_NASTR_SAVE'),
							'0'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_SOURCE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N8') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N8'),
							(Select link from s_property where code = 'QUERY_NASTR_SOURCE'),
							'.,.'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_SQLPARAM') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N8') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N8'),
							(Select link from s_property where code = 'QUERY_NASTR_SQLPARAM'),
							'@nCheck3'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_SQLTYPE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N8') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N8'),
							(Select link from s_property where code = 'QUERY_NASTR_SQLTYPE'),
							'int'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_VALUE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N8') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N8'),
							(Select link from s_property where code = 'QUERY_NASTR_VALUE'),
							'.'
						
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_VALUE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N8') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N8'),
							(Select link from s_property where code = 'QUERY_NASTR_VALUE'),
							'.'
						
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_VALUE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N8') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N8'),
							(Select link from s_property where code = 'QUERY_NASTR_VALUE'),
							'.'
						
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_VALUE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N8') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N8'),
							(Select link from s_property where code = 'QUERY_NASTR_VALUE'),
							'.'
						
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_VALUE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N8') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N8'),
							(Select link from s_property where code = 'QUERY_NASTR_VALUE'),
							'.'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_VALUE_TEXT') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N8') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_FACE_N8'),
							(Select link from s_property where code = 'QUERY_NASTR_VALUE_TEXT'),
							''
						
GO


GO
/*
-
    2016   2-
*/


IF OBJECT_ID('TEMPDB..#TTT','U') IS NOT NULL
	DROP TABLE #TTT
GO


------
DECLARE @TAB TABLE (LINK1 INT, LINK2 INT)
INSERT INTO @TAB 

SELECT 
	(SELECT TOP 1 LINK FROM dbo.[DICTIONARY_TYP_DEDUCTION] WHERE SNAME = '114')
	,(SELECT TOP 1 LINK FROM dbo.[DICTIONARY_TYP_DEDUCTION] WHERE SNAME = '126')
UNION SELECT 
	(SELECT TOP 1 LINK FROM dbo.[DICTIONARY_TYP_DEDUCTION] WHERE SNAME = '115')
	,(SELECT TOP 1 LINK FROM dbo.[DICTIONARY_TYP_DEDUCTION] WHERE SNAME = '127')
UNION SELECT 
	(SELECT TOP 1 LINK FROM dbo.[DICTIONARY_TYP_DEDUCTION] WHERE SNAME = '116')
	,(SELECT TOP 1 LINK FROM dbo.[DICTIONARY_TYP_DEDUCTION] WHERE SNAME = '128')
UNION SELECT 
	(SELECT TOP 1 LINK FROM dbo.[DICTIONARY_TYP_DEDUCTION] WHERE SNAME = '117')
	,(SELECT TOP 1 LINK FROM dbo.[DICTIONARY_TYP_DEDUCTION] WHERE SNAME = '129')
UNION SELECT 
	(SELECT TOP 1 LINK FROM dbo.[DICTIONARY_TYP_DEDUCTION] WHERE SNAME = '118')
	,(SELECT TOP 1 LINK FROM dbo.[DICTIONARY_TYP_DEDUCTION] WHERE SNAME = '134')	
UNION SELECT 
	(SELECT TOP 1 LINK FROM dbo.[DICTIONARY_TYP_DEDUCTION] WHERE SNAME = '119')
	,(SELECT TOP 1 LINK FROM dbo.[DICTIONARY_TYP_DEDUCTION] WHERE SNAME = '136')
UNION SELECT 
	(SELECT TOP 1 LINK FROM dbo.[DICTIONARY_TYP_DEDUCTION] WHERE SNAME = '120')
	,(SELECT TOP 1 LINK FROM dbo.[DICTIONARY_TYP_DEDUCTION] WHERE SNAME = '138')
UNION SELECT 
	(SELECT TOP 1 LINK FROM dbo.[DICTIONARY_TYP_DEDUCTION] WHERE SNAME = '121')
	,(SELECT TOP 1 LINK FROM dbo.[DICTIONARY_TYP_DEDUCTION] WHERE SNAME = '140')
UNION SELECT 
	(SELECT TOP 1 LINK FROM dbo.[DICTIONARY_TYP_DEDUCTION] WHERE SNAME = '122')
	,(SELECT TOP 1 LINK FROM dbo.[DICTIONARY_TYP_DEDUCTION] WHERE SNAME = '142')
UNION SELECT 
	(SELECT TOP 1 LINK FROM dbo.[DICTIONARY_TYP_DEDUCTION] WHERE SNAME = '123')
	,(SELECT TOP 1 LINK FROM dbo.[DICTIONARY_TYP_DEDUCTION] WHERE SNAME = '144')
UNION SELECT 
	(SELECT TOP 1 LINK FROM dbo.[DICTIONARY_TYP_DEDUCTION] WHERE SNAME = '124')
	,(SELECT TOP 1 LINK FROM dbo.[DICTIONARY_TYP_DEDUCTION] WHERE SNAME = '146')
UNION SELECT 
	(SELECT TOP 1 LINK FROM dbo.[DICTIONARY_TYP_DEDUCTION] WHERE SNAME = '125')
	,(SELECT TOP 1 LINK FROM dbo.[DICTIONARY_TYP_DEDUCTION] WHERE SNAME = '148')

	
SELECT ED.* INTO #TTT
FROM 
	dbo.EMPL_DED ED 
	INNER JOIN dbo.[DICTIONARY_TYP_DEDUCTION] DD ON DD.LINK = ED.DED_LINK
	INNER JOIN @TAB T ON T.LINK1 = ED.DED_LINK
WHERE 
	(ED.DATE2 IS NULL OR ED.DATE2 > '20151231')-- AND ED.DATE1 < '20170101'

--   
INSERT INTO dbo.EMPL_DED (EMPL_LINK,LINK_DGH,DED_LINK,DATE1,DATE2)
SELECT
	ED.EMPL_LINK
	,ED.LINK_DGH 
	,DED_LINK = D.LINK2
	,DATE1 = DATE1
	,DATE2 = DATE2
	--,DD.CODE
FROM 
	#TTT ED
	INNER JOIN @TAB D ON D.LINK1 = ED.DED_LINK
	INNER JOIN dbo.[DICTIONARY_TYP_DEDUCTION] DD ON DD.LINK = D.LINK2
WHERE
	DATE1 >= '20160101'	
ORDER BY
	1,2,3
		
INSERT INTO dbo.EMPL_DED (EMPL_LINK,LINK_DGH,DED_LINK,DATE1,DATE2)
SELECT
	ED.EMPL_LINK
	,ED.LINK_DGH 
	,DED_LINK = (CASE WHEN T.N = 1 THEN D.LINK1 ELSE D.LINK2 END)
	,DATE1 = (CASE WHEN T.N = 1 THEN DATE1 ELSE T.D END)
	,DATE2 = (CASE WHEN T.N = 1 THEN T.D ELSE DATE2 END)
FROM 
	#TTT ED
	INNER JOIN @TAB D ON D.LINK1 = ED.DED_LINK
	INNER JOIN (SELECT CAST('20151231' AS DATETIME) AS D, 1 AS N UNION SELECT CAST('20160101' AS DATETIME), 2) T ON 1=1
WHERE
	DATE1 < '20160101'	
ORDER BY
	1,2,3	

DELETE dbo.EMPL_DED
WHERE
	EXISTS (SELECT * FROM #TTT T WHERE T.LINK = dbo.EMPL_DED.LINK)	

--   
UPDATE SD SET 
	SD.REF_DED = D.LINK2
FROM
	dbo.SAL_DED_MONTH SD
	INNER JOIN @TAB D ON SD.REF_DED = D.LINK1
WHERE
	DATE_DED >= '20160101'

--    
DECLARE @Object int
SELECT @Object = LINK FROM dbo.S_OBJECTS WHERE CODE = 'COLUMN_REF_PAY_MROT_T1'

UPDATE B SET 
	B.LINK_DICTION = D.LINK2
FROM
	dbo.MINROT A
	INNER JOIN dbo.MINROT_DICTION B ON B.LINK_MINROT = A.LINK AND B.[OBJECT] = @Object
	INNER JOIN @TAB D ON B.LINK_DICTION = D.LINK1
WHERE
	PERIOD >= '20160101'
GO


IF OBJECT_ID('TEMPDB..#TTT','U') IS NOT NULL
	DROP TABLE #TTT
GO




GO
/*     2017 */
--------------------------------------------------
DELETE A 
FROM dbo.[MINROT_DICTION] A 
	INNER JOIN dbo.minrot B ON B.[LINK] = A.[LINK_MINROT] AND B.PERIOD = convert(datetime,'2017-01-01 00:00:00.000', 121) 
	INNER JOIN dbo.S_OBJECTS C ON C.LINK = A.[OBJECT] AND C.CODE = 'COLUMN_REF_PAY_MROT_T1' 
GO

----------------------------------
IF NOT EXISTS (SELECT * FROM dbo.[MINROT_DICTION] A 
	INNER JOIN dbo.minrot B ON B.[LINK] = A.[LINK_MINROT] AND B.PERIOD = convert(datetime,'2017-01-01 00:00:00.000', 121) 
	INNER JOIN dbo.S_OBJECTS C ON C.LINK = A.[OBJECT] AND C.CODE = 'COLUMN_REF_PAY_MROT_T1' 
	INNER JOIN dbo.DICTIONARY_TYP_DEDUCTION D ON D.LINK = A.LINK_DICTION AND D.SNAME = '104' 
	)
INSERT INTO dbo.[MINROT_DICTION]([LINK_MINROT], [LINK_DICTION], [OBJECT], [PREDEL], [SUMMA])
SELECT B.[LINK],D.LINK,C.LINK,0.00,500.00
FROM 
	dbo.minrot B 
	INNER JOIN dbo.S_OBJECTS C ON C.CODE = 'COLUMN_REF_PAY_MROT_T1' 
	INNER JOIN dbo.DICTIONARY_TYP_DEDUCTION D ON D.SNAME = '104'
WHERE
	B.PERIOD = convert(datetime,'2017-01-01 00:00:00.000', 121)

IF NOT EXISTS (SELECT * FROM dbo.[MINROT_DICTION] A 
	INNER JOIN dbo.minrot B ON B.[LINK] = A.[LINK_MINROT] AND B.PERIOD = convert(datetime,'2017-01-01 00:00:00.000', 121) 
	INNER JOIN dbo.S_OBJECTS C ON C.LINK = A.[OBJECT] AND C.CODE = 'COLUMN_REF_PAY_MROT_T1' 
	INNER JOIN dbo.DICTIONARY_TYP_DEDUCTION D ON D.LINK = A.LINK_DICTION AND D.SNAME = '105' 
	)
INSERT INTO dbo.[MINROT_DICTION]([LINK_MINROT], [LINK_DICTION], [OBJECT], [PREDEL], [SUMMA])
SELECT B.[LINK],D.LINK,C.LINK,0.00,3000.00
FROM 
	dbo.minrot B 
	INNER JOIN dbo.S_OBJECTS C ON C.CODE = 'COLUMN_REF_PAY_MROT_T1' 
	INNER JOIN dbo.DICTIONARY_TYP_DEDUCTION D ON D.SNAME = '105'
WHERE
	B.PERIOD = convert(datetime,'2017-01-01 00:00:00.000', 121)

IF NOT EXISTS (SELECT * FROM dbo.[MINROT_DICTION] A 
	INNER JOIN dbo.minrot B ON B.[LINK] = A.[LINK_MINROT] AND B.PERIOD = convert(datetime,'2017-01-01 00:00:00.000', 121) 
	INNER JOIN dbo.S_OBJECTS C ON C.LINK = A.[OBJECT] AND C.CODE = 'COLUMN_REF_PAY_MROT_T1' 
	INNER JOIN dbo.DICTIONARY_TYP_DEDUCTION D ON D.LINK = A.LINK_DICTION AND D.SNAME = '126' 
	)
INSERT INTO dbo.[MINROT_DICTION]([LINK_MINROT], [LINK_DICTION], [OBJECT], [PREDEL], [SUMMA])
SELECT B.[LINK],D.LINK,C.LINK,350000.00,1400.00
FROM 
	dbo.minrot B 
	INNER JOIN dbo.S_OBJECTS C ON C.CODE = 'COLUMN_REF_PAY_MROT_T1' 
	INNER JOIN dbo.DICTIONARY_TYP_DEDUCTION D ON D.SNAME = '126'
WHERE
	B.PERIOD = convert(datetime,'2017-01-01 00:00:00.000', 121)

IF NOT EXISTS (SELECT * FROM dbo.[MINROT_DICTION] A 
	INNER JOIN dbo.minrot B ON B.[LINK] = A.[LINK_MINROT] AND B.PERIOD = convert(datetime,'2017-01-01 00:00:00.000', 121) 
	INNER JOIN dbo.S_OBJECTS C ON C.LINK = A.[OBJECT] AND C.CODE = 'COLUMN_REF_PAY_MROT_T1' 
	INNER JOIN dbo.DICTIONARY_TYP_DEDUCTION D ON D.LINK = A.LINK_DICTION AND D.SNAME = '127' 
	)
INSERT INTO dbo.[MINROT_DICTION]([LINK_MINROT], [LINK_DICTION], [OBJECT], [PREDEL], [SUMMA])
SELECT B.[LINK],D.LINK,C.LINK,350000.00,1400.00
FROM 
	dbo.minrot B 
	INNER JOIN dbo.S_OBJECTS C ON C.CODE = 'COLUMN_REF_PAY_MROT_T1' 
	INNER JOIN dbo.DICTIONARY_TYP_DEDUCTION D ON D.SNAME = '127'
WHERE
	B.PERIOD = convert(datetime,'2017-01-01 00:00:00.000', 121)

IF NOT EXISTS (SELECT * FROM dbo.[MINROT_DICTION] A 
	INNER JOIN dbo.minrot B ON B.[LINK] = A.[LINK_MINROT] AND B.PERIOD = convert(datetime,'2017-01-01 00:00:00.000', 121) 
	INNER JOIN dbo.S_OBJECTS C ON C.LINK = A.[OBJECT] AND C.CODE = 'COLUMN_REF_PAY_MROT_T1' 
	INNER JOIN dbo.DICTIONARY_TYP_DEDUCTION D ON D.LINK = A.LINK_DICTION AND D.SNAME = '128' 
	)
INSERT INTO dbo.[MINROT_DICTION]([LINK_MINROT], [LINK_DICTION], [OBJECT], [PREDEL], [SUMMA])
SELECT B.[LINK],D.LINK,C.LINK,350000.00,3000.00
FROM 
	dbo.minrot B 
	INNER JOIN dbo.S_OBJECTS C ON C.CODE = 'COLUMN_REF_PAY_MROT_T1' 
	INNER JOIN dbo.DICTIONARY_TYP_DEDUCTION D ON D.SNAME = '128'
WHERE
	B.PERIOD = convert(datetime,'2017-01-01 00:00:00.000', 121)

IF NOT EXISTS (SELECT * FROM dbo.[MINROT_DICTION] A 
	INNER JOIN dbo.minrot B ON B.[LINK] = A.[LINK_MINROT] AND B.PERIOD = convert(datetime,'2017-01-01 00:00:00.000', 121) 
	INNER JOIN dbo.S_OBJECTS C ON C.LINK = A.[OBJECT] AND C.CODE = 'COLUMN_REF_PAY_MROT_T1' 
	INNER JOIN dbo.DICTIONARY_TYP_DEDUCTION D ON D.LINK = A.LINK_DICTION AND D.SNAME = '129' 
	)
INSERT INTO dbo.[MINROT_DICTION]([LINK_MINROT], [LINK_DICTION], [OBJECT], [PREDEL], [SUMMA])
SELECT B.[LINK],D.LINK,C.LINK,350000.00,6000.00
FROM 
	dbo.minrot B 
	INNER JOIN dbo.S_OBJECTS C ON C.CODE = 'COLUMN_REF_PAY_MROT_T1' 
	INNER JOIN dbo.DICTIONARY_TYP_DEDUCTION D ON D.SNAME = '129'
WHERE
	B.PERIOD = convert(datetime,'2017-01-01 00:00:00.000', 121)

IF NOT EXISTS (SELECT * FROM dbo.[MINROT_DICTION] A 
	INNER JOIN dbo.minrot B ON B.[LINK] = A.[LINK_MINROT] AND B.PERIOD = convert(datetime,'2017-01-01 00:00:00.000', 121) 
	INNER JOIN dbo.S_OBJECTS C ON C.LINK = A.[OBJECT] AND C.CODE = 'COLUMN_REF_PAY_MROT_T1' 
	INNER JOIN dbo.DICTIONARY_TYP_DEDUCTION D ON D.LINK = A.LINK_DICTION AND D.SNAME = '134' 
	)
INSERT INTO dbo.[MINROT_DICTION]([LINK_MINROT], [LINK_DICTION], [OBJECT], [PREDEL], [SUMMA])
SELECT B.[LINK],D.LINK,C.LINK,350000.00,2800.00
FROM 
	dbo.minrot B 
	INNER JOIN dbo.S_OBJECTS C ON C.CODE = 'COLUMN_REF_PAY_MROT_T1' 
	INNER JOIN dbo.DICTIONARY_TYP_DEDUCTION D ON D.SNAME = '134'
WHERE
	B.PERIOD = convert(datetime,'2017-01-01 00:00:00.000', 121)

IF NOT EXISTS (SELECT * FROM dbo.[MINROT_DICTION] A 
	INNER JOIN dbo.minrot B ON B.[LINK] = A.[LINK_MINROT] AND B.PERIOD = convert(datetime,'2017-01-01 00:00:00.000', 121) 
	INNER JOIN dbo.S_OBJECTS C ON C.LINK = A.[OBJECT] AND C.CODE = 'COLUMN_REF_PAY_MROT_T1' 
	INNER JOIN dbo.DICTIONARY_TYP_DEDUCTION D ON D.LINK = A.LINK_DICTION AND D.SNAME = '135' 
	)
INSERT INTO dbo.[MINROT_DICTION]([LINK_MINROT], [LINK_DICTION], [OBJECT], [PREDEL], [SUMMA])
SELECT B.[LINK],D.LINK,C.LINK,350000.00,2800.00
FROM 
	dbo.minrot B 
	INNER JOIN dbo.S_OBJECTS C ON C.CODE = 'COLUMN_REF_PAY_MROT_T1' 
	INNER JOIN dbo.DICTIONARY_TYP_DEDUCTION D ON D.SNAME = '135'
WHERE
	B.PERIOD = convert(datetime,'2017-01-01 00:00:00.000', 121)

IF NOT EXISTS (SELECT * FROM dbo.[MINROT_DICTION] A 
	INNER JOIN dbo.minrot B ON B.[LINK] = A.[LINK_MINROT] AND B.PERIOD = convert(datetime,'2017-01-01 00:00:00.000', 121) 
	INNER JOIN dbo.S_OBJECTS C ON C.LINK = A.[OBJECT] AND C.CODE = 'COLUMN_REF_PAY_MROT_T1' 
	INNER JOIN dbo.DICTIONARY_TYP_DEDUCTION D ON D.LINK = A.LINK_DICTION AND D.SNAME = '136' 
	)
INSERT INTO dbo.[MINROT_DICTION]([LINK_MINROT], [LINK_DICTION], [OBJECT], [PREDEL], [SUMMA])
SELECT B.[LINK],D.LINK,C.LINK,350000.00,2800.00
FROM 
	dbo.minrot B 
	INNER JOIN dbo.S_OBJECTS C ON C.CODE = 'COLUMN_REF_PAY_MROT_T1' 
	INNER JOIN dbo.DICTIONARY_TYP_DEDUCTION D ON D.SNAME = '136'
WHERE
	B.PERIOD = convert(datetime,'2017-01-01 00:00:00.000', 121)

IF NOT EXISTS (SELECT * FROM dbo.[MINROT_DICTION] A 
	INNER JOIN dbo.minrot B ON B.[LINK] = A.[LINK_MINROT] AND B.PERIOD = convert(datetime,'2017-01-01 00:00:00.000', 121) 
	INNER JOIN dbo.S_OBJECTS C ON C.LINK = A.[OBJECT] AND C.CODE = 'COLUMN_REF_PAY_MROT_T1' 
	INNER JOIN dbo.DICTIONARY_TYP_DEDUCTION D ON D.LINK = A.LINK_DICTION AND D.SNAME = '137' 
	)
INSERT INTO dbo.[MINROT_DICTION]([LINK_MINROT], [LINK_DICTION], [OBJECT], [PREDEL], [SUMMA])
SELECT B.[LINK],D.LINK,C.LINK,350000.00,2800.00
FROM 
	dbo.minrot B 
	INNER JOIN dbo.S_OBJECTS C ON C.CODE = 'COLUMN_REF_PAY_MROT_T1' 
	INNER JOIN dbo.DICTIONARY_TYP_DEDUCTION D ON D.SNAME = '137'
WHERE
	B.PERIOD = convert(datetime,'2017-01-01 00:00:00.000', 121)

IF NOT EXISTS (SELECT * FROM dbo.[MINROT_DICTION] A 
	INNER JOIN dbo.minrot B ON B.[LINK] = A.[LINK_MINROT] AND B.PERIOD = convert(datetime,'2017-01-01 00:00:00.000', 121) 
	INNER JOIN dbo.S_OBJECTS C ON C.LINK = A.[OBJECT] AND C.CODE = 'COLUMN_REF_PAY_MROT_T1' 
	INNER JOIN dbo.DICTIONARY_TYP_DEDUCTION D ON D.LINK = A.LINK_DICTION AND D.SNAME = '138' 
	)
INSERT INTO dbo.[MINROT_DICTION]([LINK_MINROT], [LINK_DICTION], [OBJECT], [PREDEL], [SUMMA])
SELECT B.[LINK],D.LINK,C.LINK,350000.00,6000.00
FROM 
	dbo.minrot B 
	INNER JOIN dbo.S_OBJECTS C ON C.CODE = 'COLUMN_REF_PAY_MROT_T1' 
	INNER JOIN dbo.DICTIONARY_TYP_DEDUCTION D ON D.SNAME = '138'
WHERE
	B.PERIOD = convert(datetime,'2017-01-01 00:00:00.000', 121)

IF NOT EXISTS (SELECT * FROM dbo.[MINROT_DICTION] A 
	INNER JOIN dbo.minrot B ON B.[LINK] = A.[LINK_MINROT] AND B.PERIOD = convert(datetime,'2017-01-01 00:00:00.000', 121) 
	INNER JOIN dbo.S_OBJECTS C ON C.LINK = A.[OBJECT] AND C.CODE = 'COLUMN_REF_PAY_MROT_T1' 
	INNER JOIN dbo.DICTIONARY_TYP_DEDUCTION D ON D.LINK = A.LINK_DICTION AND D.SNAME = '139' 
	)
INSERT INTO dbo.[MINROT_DICTION]([LINK_MINROT], [LINK_DICTION], [OBJECT], [PREDEL], [SUMMA])
SELECT B.[LINK],D.LINK,C.LINK,350000.00,6000.00
FROM 
	dbo.minrot B 
	INNER JOIN dbo.S_OBJECTS C ON C.CODE = 'COLUMN_REF_PAY_MROT_T1' 
	INNER JOIN dbo.DICTIONARY_TYP_DEDUCTION D ON D.SNAME = '139'
WHERE
	B.PERIOD = convert(datetime,'2017-01-01 00:00:00.000', 121)

IF NOT EXISTS (SELECT * FROM dbo.[MINROT_DICTION] A 
	INNER JOIN dbo.minrot B ON B.[LINK] = A.[LINK_MINROT] AND B.PERIOD = convert(datetime,'2017-01-01 00:00:00.000', 121) 
	INNER JOIN dbo.S_OBJECTS C ON C.LINK = A.[OBJECT] AND C.CODE = 'COLUMN_REF_PAY_MROT_T1' 
	INNER JOIN dbo.DICTIONARY_TYP_DEDUCTION D ON D.LINK = A.LINK_DICTION AND D.SNAME = '140' 
	)
INSERT INTO dbo.[MINROT_DICTION]([LINK_MINROT], [LINK_DICTION], [OBJECT], [PREDEL], [SUMMA])
SELECT B.[LINK],D.LINK,C.LINK,350000.00,12000.00
FROM 
	dbo.minrot B 
	INNER JOIN dbo.S_OBJECTS C ON C.CODE = 'COLUMN_REF_PAY_MROT_T1' 
	INNER JOIN dbo.DICTIONARY_TYP_DEDUCTION D ON D.SNAME = '140'
WHERE
	B.PERIOD = convert(datetime,'2017-01-01 00:00:00.000', 121)

IF NOT EXISTS (SELECT * FROM dbo.[MINROT_DICTION] A 
	INNER JOIN dbo.minrot B ON B.[LINK] = A.[LINK_MINROT] AND B.PERIOD = convert(datetime,'2017-01-01 00:00:00.000', 121) 
	INNER JOIN dbo.S_OBJECTS C ON C.LINK = A.[OBJECT] AND C.CODE = 'COLUMN_REF_PAY_MROT_T1' 
	INNER JOIN dbo.DICTIONARY_TYP_DEDUCTION D ON D.LINK = A.LINK_DICTION AND D.SNAME = '141' 
	)
INSERT INTO dbo.[MINROT_DICTION]([LINK_MINROT], [LINK_DICTION], [OBJECT], [PREDEL], [SUMMA])
SELECT B.[LINK],D.LINK,C.LINK,350000.00,12000.00
FROM 
	dbo.minrot B 
	INNER JOIN dbo.S_OBJECTS C ON C.CODE = 'COLUMN_REF_PAY_MROT_T1' 
	INNER JOIN dbo.DICTIONARY_TYP_DEDUCTION D ON D.SNAME = '141'
WHERE
	B.PERIOD = convert(datetime,'2017-01-01 00:00:00.000', 121)

IF NOT EXISTS (SELECT * FROM dbo.[MINROT_DICTION] A 
	INNER JOIN dbo.minrot B ON B.[LINK] = A.[LINK_MINROT] AND B.PERIOD = convert(datetime,'2017-01-01 00:00:00.000', 121) 
	INNER JOIN dbo.S_OBJECTS C ON C.LINK = A.[OBJECT] AND C.CODE = 'COLUMN_REF_PAY_MROT_T1' 
	INNER JOIN dbo.DICTIONARY_TYP_DEDUCTION D ON D.LINK = A.LINK_DICTION AND D.SNAME = '142' 
	)
INSERT INTO dbo.[MINROT_DICTION]([LINK_MINROT], [LINK_DICTION], [OBJECT], [PREDEL], [SUMMA])
SELECT B.[LINK],D.LINK,C.LINK,350000.00,2800.00
FROM 
	dbo.minrot B 
	INNER JOIN dbo.S_OBJECTS C ON C.CODE = 'COLUMN_REF_PAY_MROT_T1' 
	INNER JOIN dbo.DICTIONARY_TYP_DEDUCTION D ON D.SNAME = '142'
WHERE
	B.PERIOD = convert(datetime,'2017-01-01 00:00:00.000', 121)

IF NOT EXISTS (SELECT * FROM dbo.[MINROT_DICTION] A 
	INNER JOIN dbo.minrot B ON B.[LINK] = A.[LINK_MINROT] AND B.PERIOD = convert(datetime,'2017-01-01 00:00:00.000', 121) 
	INNER JOIN dbo.S_OBJECTS C ON C.LINK = A.[OBJECT] AND C.CODE = 'COLUMN_REF_PAY_MROT_T1' 
	INNER JOIN dbo.DICTIONARY_TYP_DEDUCTION D ON D.LINK = A.LINK_DICTION AND D.SNAME = '143' 
	)
INSERT INTO dbo.[MINROT_DICTION]([LINK_MINROT], [LINK_DICTION], [OBJECT], [PREDEL], [SUMMA])
SELECT B.[LINK],D.LINK,C.LINK,350000.00,2800.00
FROM 
	dbo.minrot B 
	INNER JOIN dbo.S_OBJECTS C ON C.CODE = 'COLUMN_REF_PAY_MROT_T1' 
	INNER JOIN dbo.DICTIONARY_TYP_DEDUCTION D ON D.SNAME = '143'
WHERE
	B.PERIOD = convert(datetime,'2017-01-01 00:00:00.000', 121)

IF NOT EXISTS (SELECT * FROM dbo.[MINROT_DICTION] A 
	INNER JOIN dbo.minrot B ON B.[LINK] = A.[LINK_MINROT] AND B.PERIOD = convert(datetime,'2017-01-01 00:00:00.000', 121) 
	INNER JOIN dbo.S_OBJECTS C ON C.LINK = A.[OBJECT] AND C.CODE = 'COLUMN_REF_PAY_MROT_T1' 
	INNER JOIN dbo.DICTIONARY_TYP_DEDUCTION D ON D.LINK = A.LINK_DICTION AND D.SNAME = '144' 
	)
INSERT INTO dbo.[MINROT_DICTION]([LINK_MINROT], [LINK_DICTION], [OBJECT], [PREDEL], [SUMMA])
SELECT B.[LINK],D.LINK,C.LINK,350000.00,2800.00
FROM 
	dbo.minrot B 
	INNER JOIN dbo.S_OBJECTS C ON C.CODE = 'COLUMN_REF_PAY_MROT_T1' 
	INNER JOIN dbo.DICTIONARY_TYP_DEDUCTION D ON D.SNAME = '144'
WHERE
	B.PERIOD = convert(datetime,'2017-01-01 00:00:00.000', 121)

IF NOT EXISTS (SELECT * FROM dbo.[MINROT_DICTION] A 
	INNER JOIN dbo.minrot B ON B.[LINK] = A.[LINK_MINROT] AND B.PERIOD = convert(datetime,'2017-01-01 00:00:00.000', 121) 
	INNER JOIN dbo.S_OBJECTS C ON C.LINK = A.[OBJECT] AND C.CODE = 'COLUMN_REF_PAY_MROT_T1' 
	INNER JOIN dbo.DICTIONARY_TYP_DEDUCTION D ON D.LINK = A.LINK_DICTION AND D.SNAME = '145' 
	)
INSERT INTO dbo.[MINROT_DICTION]([LINK_MINROT], [LINK_DICTION], [OBJECT], [PREDEL], [SUMMA])
SELECT B.[LINK],D.LINK,C.LINK,350000.00,2800.00
FROM 
	dbo.minrot B 
	INNER JOIN dbo.S_OBJECTS C ON C.CODE = 'COLUMN_REF_PAY_MROT_T1' 
	INNER JOIN dbo.DICTIONARY_TYP_DEDUCTION D ON D.SNAME = '145'
WHERE
	B.PERIOD = convert(datetime,'2017-01-01 00:00:00.000', 121)

IF NOT EXISTS (SELECT * FROM dbo.[MINROT_DICTION] A 
	INNER JOIN dbo.minrot B ON B.[LINK] = A.[LINK_MINROT] AND B.PERIOD = convert(datetime,'2017-01-01 00:00:00.000', 121) 
	INNER JOIN dbo.S_OBJECTS C ON C.LINK = A.[OBJECT] AND C.CODE = 'COLUMN_REF_PAY_MROT_T1' 
	INNER JOIN dbo.DICTIONARY_TYP_DEDUCTION D ON D.LINK = A.LINK_DICTION AND D.SNAME = '146' 
	)
INSERT INTO dbo.[MINROT_DICTION]([LINK_MINROT], [LINK_DICTION], [OBJECT], [PREDEL], [SUMMA])
SELECT B.[LINK],D.LINK,C.LINK,350000.00,6000.00
FROM 
	dbo.minrot B 
	INNER JOIN dbo.S_OBJECTS C ON C.CODE = 'COLUMN_REF_PAY_MROT_T1' 
	INNER JOIN dbo.DICTIONARY_TYP_DEDUCTION D ON D.SNAME = '146'
WHERE
	B.PERIOD = convert(datetime,'2017-01-01 00:00:00.000', 121)

IF NOT EXISTS (SELECT * FROM dbo.[MINROT_DICTION] A 
	INNER JOIN dbo.minrot B ON B.[LINK] = A.[LINK_MINROT] AND B.PERIOD = convert(datetime,'2017-01-01 00:00:00.000', 121) 
	INNER JOIN dbo.S_OBJECTS C ON C.LINK = A.[OBJECT] AND C.CODE = 'COLUMN_REF_PAY_MROT_T1' 
	INNER JOIN dbo.DICTIONARY_TYP_DEDUCTION D ON D.LINK = A.LINK_DICTION AND D.SNAME = '147' 
	)
INSERT INTO dbo.[MINROT_DICTION]([LINK_MINROT], [LINK_DICTION], [OBJECT], [PREDEL], [SUMMA])
SELECT B.[LINK],D.LINK,C.LINK,350000.00,6000.00
FROM 
	dbo.minrot B 
	INNER JOIN dbo.S_OBJECTS C ON C.CODE = 'COLUMN_REF_PAY_MROT_T1' 
	INNER JOIN dbo.DICTIONARY_TYP_DEDUCTION D ON D.SNAME = '147'
WHERE
	B.PERIOD = convert(datetime,'2017-01-01 00:00:00.000', 121)

IF NOT EXISTS (SELECT * FROM dbo.[MINROT_DICTION] A 
	INNER JOIN dbo.minrot B ON B.[LINK] = A.[LINK_MINROT] AND B.PERIOD = convert(datetime,'2017-01-01 00:00:00.000', 121) 
	INNER JOIN dbo.S_OBJECTS C ON C.LINK = A.[OBJECT] AND C.CODE = 'COLUMN_REF_PAY_MROT_T1' 
	INNER JOIN dbo.DICTIONARY_TYP_DEDUCTION D ON D.LINK = A.LINK_DICTION AND D.SNAME = '148' 
	)
INSERT INTO dbo.[MINROT_DICTION]([LINK_MINROT], [LINK_DICTION], [OBJECT], [PREDEL], [SUMMA])
SELECT B.[LINK],D.LINK,C.LINK,350000.00,12000.00
FROM 
	dbo.minrot B 
	INNER JOIN dbo.S_OBJECTS C ON C.CODE = 'COLUMN_REF_PAY_MROT_T1' 
	INNER JOIN dbo.DICTIONARY_TYP_DEDUCTION D ON D.SNAME = '148'
WHERE
	B.PERIOD = convert(datetime,'2017-01-01 00:00:00.000', 121)

IF NOT EXISTS (SELECT * FROM dbo.[MINROT_DICTION] A 
	INNER JOIN dbo.minrot B ON B.[LINK] = A.[LINK_MINROT] AND B.PERIOD = convert(datetime,'2017-01-01 00:00:00.000', 121) 
	INNER JOIN dbo.S_OBJECTS C ON C.LINK = A.[OBJECT] AND C.CODE = 'COLUMN_REF_PAY_MROT_T1' 
	INNER JOIN dbo.DICTIONARY_TYP_DEDUCTION D ON D.LINK = A.LINK_DICTION AND D.SNAME = '149' 
	)
INSERT INTO dbo.[MINROT_DICTION]([LINK_MINROT], [LINK_DICTION], [OBJECT], [PREDEL], [SUMMA])
SELECT B.[LINK],D.LINK,C.LINK,350000.00,12000.00
FROM 
	dbo.minrot B 
	INNER JOIN dbo.S_OBJECTS C ON C.CODE = 'COLUMN_REF_PAY_MROT_T1' 
	INNER JOIN dbo.DICTIONARY_TYP_DEDUCTION D ON D.SNAME = '149'
WHERE
	B.PERIOD = convert(datetime,'2017-01-01 00:00:00.000', 121)

IF NOT EXISTS (SELECT * FROM dbo.[MINROT_DICTION] A 
	INNER JOIN dbo.minrot B ON B.[LINK] = A.[LINK_MINROT] AND B.PERIOD = convert(datetime,'2017-01-01 00:00:00.000', 121) 
	INNER JOIN dbo.S_OBJECTS C ON C.LINK = A.[OBJECT] AND C.CODE = 'COLUMN_REF_PAY_MROT_T1' 
	INNER JOIN dbo.DICTIONARY_TYP_DEDUCTION D ON D.LINK = A.LINK_DICTION AND D.SNAME = '313' 
	)
INSERT INTO dbo.[MINROT_DICTION]([LINK_MINROT], [LINK_DICTION], [OBJECT], [PREDEL], [SUMMA])
SELECT B.[LINK],D.LINK,C.LINK,0.00,2000000.00
FROM 
	dbo.minrot B 
	INNER JOIN dbo.S_OBJECTS C ON C.CODE = 'COLUMN_REF_PAY_MROT_T1' 
	INNER JOIN dbo.DICTIONARY_TYP_DEDUCTION D ON D.SNAME = '313'
WHERE
	B.PERIOD = convert(datetime,'2017-01-01 00:00:00.000', 121)

IF NOT EXISTS (SELECT * FROM dbo.[MINROT_DICTION] A 
	INNER JOIN dbo.minrot B ON B.[LINK] = A.[LINK_MINROT] AND B.PERIOD = convert(datetime,'2017-01-01 00:00:00.000', 121) 
	INNER JOIN dbo.S_OBJECTS C ON C.LINK = A.[OBJECT] AND C.CODE = 'COLUMN_REF_PAY_MROT_T1' 
	INNER JOIN dbo.DICTIONARY_TYP_DEDUCTION D ON D.LINK = A.LINK_DICTION AND D.SNAME = '320' 
	)
INSERT INTO dbo.[MINROT_DICTION]([LINK_MINROT], [LINK_DICTION], [OBJECT], [PREDEL], [SUMMA])
SELECT B.[LINK],D.LINK,C.LINK,0.00,200000.00
FROM 
	dbo.minrot B 
	INNER JOIN dbo.S_OBJECTS C ON C.CODE = 'COLUMN_REF_PAY_MROT_T1' 
	INNER JOIN dbo.DICTIONARY_TYP_DEDUCTION D ON D.SNAME = '320'
WHERE
	B.PERIOD = convert(datetime,'2017-01-01 00:00:00.000', 121)

IF NOT EXISTS (SELECT * FROM dbo.[MINROT_DICTION] A 
	INNER JOIN dbo.minrot B ON B.[LINK] = A.[LINK_MINROT] AND B.PERIOD = convert(datetime,'2017-01-01 00:00:00.000', 121) 
	INNER JOIN dbo.S_OBJECTS C ON C.LINK = A.[OBJECT] AND C.CODE = 'COLUMN_REF_PAY_MROT_T1' 
	INNER JOIN dbo.DICTIONARY_TYP_DEDUCTION D ON D.LINK = A.LINK_DICTION AND D.SNAME = '321' 
	)
INSERT INTO dbo.[MINROT_DICTION]([LINK_MINROT], [LINK_DICTION], [OBJECT], [PREDEL], [SUMMA])
SELECT B.[LINK],D.LINK,C.LINK,0.00,100000.00
FROM 
	dbo.minrot B 
	INNER JOIN dbo.S_OBJECTS C ON C.CODE = 'COLUMN_REF_PAY_MROT_T1' 
	INNER JOIN dbo.DICTIONARY_TYP_DEDUCTION D ON D.SNAME = '321'
WHERE
	B.PERIOD = convert(datetime,'2017-01-01 00:00:00.000', 121)

IF NOT EXISTS (SELECT * FROM dbo.[MINROT_DICTION] A 
	INNER JOIN dbo.minrot B ON B.[LINK] = A.[LINK_MINROT] AND B.PERIOD = convert(datetime,'2017-01-01 00:00:00.000', 121) 
	INNER JOIN dbo.S_OBJECTS C ON C.LINK = A.[OBJECT] AND C.CODE = 'COLUMN_REF_PAY_MROT_T1' 
	INNER JOIN dbo.DICTIONARY_TYP_DEDUCTION D ON D.LINK = A.LINK_DICTION AND D.SNAME = '324' 
	)
INSERT INTO dbo.[MINROT_DICTION]([LINK_MINROT], [LINK_DICTION], [OBJECT], [PREDEL], [SUMMA])
SELECT B.[LINK],D.LINK,C.LINK,0.00,200000.00
FROM 
	dbo.minrot B 
	INNER JOIN dbo.S_OBJECTS C ON C.CODE = 'COLUMN_REF_PAY_MROT_T1' 
	INNER JOIN dbo.DICTIONARY_TYP_DEDUCTION D ON D.SNAME = '324'
WHERE
	B.PERIOD = convert(datetime,'2017-01-01 00:00:00.000', 121)

IF NOT EXISTS (SELECT * FROM dbo.[MINROT_DICTION] A 
	INNER JOIN dbo.minrot B ON B.[LINK] = A.[LINK_MINROT] AND B.PERIOD = convert(datetime,'2017-01-01 00:00:00.000', 121) 
	INNER JOIN dbo.S_OBJECTS C ON C.LINK = A.[OBJECT] AND C.CODE = 'COLUMN_REF_PAY_MROT_T1' 
	INNER JOIN dbo.DICTIONARY_TYP_DEDUCTION D ON D.LINK = A.LINK_DICTION AND D.SNAME = '501' 
	)
INSERT INTO dbo.[MINROT_DICTION]([LINK_MINROT], [LINK_DICTION], [OBJECT], [PREDEL], [SUMMA])
SELECT B.[LINK],D.LINK,C.LINK,0.00,4000.00
FROM 
	dbo.minrot B 
	INNER JOIN dbo.S_OBJECTS C ON C.CODE = 'COLUMN_REF_PAY_MROT_T1' 
	INNER JOIN dbo.DICTIONARY_TYP_DEDUCTION D ON D.SNAME = '501'
WHERE
	B.PERIOD = convert(datetime,'2017-01-01 00:00:00.000', 121)

IF NOT EXISTS (SELECT * FROM dbo.[MINROT_DICTION] A 
	INNER JOIN dbo.minrot B ON B.[LINK] = A.[LINK_MINROT] AND B.PERIOD = convert(datetime,'2017-01-01 00:00:00.000', 121) 
	INNER JOIN dbo.S_OBJECTS C ON C.LINK = A.[OBJECT] AND C.CODE = 'COLUMN_REF_PAY_MROT_T1' 
	INNER JOIN dbo.DICTIONARY_TYP_DEDUCTION D ON D.LINK = A.LINK_DICTION AND D.SNAME = '502' 
	)
INSERT INTO dbo.[MINROT_DICTION]([LINK_MINROT], [LINK_DICTION], [OBJECT], [PREDEL], [SUMMA])
SELECT B.[LINK],D.LINK,C.LINK,0.00,4000.00
FROM 
	dbo.minrot B 
	INNER JOIN dbo.S_OBJECTS C ON C.CODE = 'COLUMN_REF_PAY_MROT_T1' 
	INNER JOIN dbo.DICTIONARY_TYP_DEDUCTION D ON D.SNAME = '502'
WHERE
	B.PERIOD = convert(datetime,'2017-01-01 00:00:00.000', 121)

IF NOT EXISTS (SELECT * FROM dbo.[MINROT_DICTION] A 
	INNER JOIN dbo.minrot B ON B.[LINK] = A.[LINK_MINROT] AND B.PERIOD = convert(datetime,'2017-01-01 00:00:00.000', 121) 
	INNER JOIN dbo.S_OBJECTS C ON C.LINK = A.[OBJECT] AND C.CODE = 'COLUMN_REF_PAY_MROT_T1' 
	INNER JOIN dbo.DICTIONARY_TYP_DEDUCTION D ON D.LINK = A.LINK_DICTION AND D.SNAME = '503' 
	)
INSERT INTO dbo.[MINROT_DICTION]([LINK_MINROT], [LINK_DICTION], [OBJECT], [PREDEL], [SUMMA])
SELECT B.[LINK],D.LINK,C.LINK,0.00,4000.00
FROM 
	dbo.minrot B 
	INNER JOIN dbo.S_OBJECTS C ON C.CODE = 'COLUMN_REF_PAY_MROT_T1' 
	INNER JOIN dbo.DICTIONARY_TYP_DEDUCTION D ON D.SNAME = '503'
WHERE
	B.PERIOD = convert(datetime,'2017-01-01 00:00:00.000', 121)

GO

IF NOT EXISTS (SELECT * FROM dbo.[MINROT_DICTION] A 
	INNER JOIN dbo.minrot B ON B.[LINK] = A.[LINK_MINROT] AND B.PERIOD = convert(datetime,'2017-01-01 00:00:00.000', 121) 
	INNER JOIN dbo.S_OBJECTS C ON C.LINK = A.[OBJECT] AND C.CODE = 'COLUMN_REF_PAY_MROT_T1' 
	INNER JOIN dbo.DICTIONARY_TYP_DEDUCTION D ON D.LINK = A.LINK_DICTION AND D.SNAME = '602' 
	)
INSERT INTO dbo.[MINROT_DICTION]([LINK_MINROT], [LINK_DICTION], [OBJECT], [PREDEL], [SUMMA])
SELECT B.[LINK],D.LINK,C.LINK,12000.00,0.00
FROM 
	dbo.minrot B 
	INNER JOIN dbo.S_OBJECTS C ON C.CODE = 'COLUMN_REF_PAY_MROT_T1' 
	INNER JOIN dbo.DICTIONARY_TYP_DEDUCTION D ON D.SNAME = '602'
WHERE
	B.PERIOD = convert(datetime,'2017-01-01 00:00:00.000', 121)
GO

GO
/****** :       ******/

IF EXISTS( SELECT * FROM DBO.S_OBJECTS WHERE CODE = 'SS_EMPL_NOT_RESERV')
	AND NOT EXISTS( SELECT O.LINK FROM [dbo].[SDOC] D INNER JOIN [dbo].[S_OBJECTS] O ON D.[OBJECT] = O.[LINK] WHERE O.CODE = 'SS_EMPL_NOT_RESERV')
	AND NOT EXISTS( SELECT O.LINK FROM [dbo].[OBJECT_VAR] V INNER JOIN [dbo].[S_OBJECTS] O ON V.[OBJECT] = O.[LINK] WHERE O.CODE = 'SS_EMPL_NOT_RESERV')
	AND NOT EXISTS( SELECT O.LINK FROM [dbo].[DICTION] C INNER JOIN [dbo].[S_OBJECTS] O ON C.[OBJECT] = O.[LINK] WHERE O.CODE = 'SS_EMPL_NOT_RESERV')
	
	DELETE FROM DBO.S_OBJECTS WHERE CODE = 'SS_EMPL_NOT_RESERV'
ELSE
	DELETE FROM DBO.S_OBJECTS WHERE LINK_SELF IN (SELECT LINK FROM DBO.S_OBJECTS WHERE CODE = 'SS_EMPL_NOT_RESERV')	

GO

IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='SS_EMPL_NOT_RESERV')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'SS_EMPL_NOT_RESERV', '      ', 16, (SELECT LINK FROM S_OBJECTS WHERE CODE='DICTIONARY_MROT'), (SELECT LINK FROM S_OBJECTS WHERE CODE='DICTIONARY_CLASS'),1,1
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'SS_EMPL_NOT_RESERV', NAME = '      ', ORDERS = '16', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='DICTIONARY_MROT'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='DICTIONARY_CLASS'), MANAGED = 1, INHERITED = 1
	WHERE CODE ='SS_EMPL_NOT_RESERV'
GO
IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='SS_EMPL_NRES_MARKER')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'SS_EMPL_NRES_MARKER', '', 1, (SELECT LINK FROM S_OBJECTS WHERE CODE='SS_EMPL_NOT_RESERV'), (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'),0,1
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'SS_EMPL_NRES_MARKER', NAME = '', ORDERS = '1', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='SS_EMPL_NOT_RESERV'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='SS_EMPL_NRES_MARKER'
GO
IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='SS_EMPL_NRES_FIO')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'SS_EMPL_NRES_FIO', '', 2, (SELECT LINK FROM S_OBJECTS WHERE CODE='SS_EMPL_NOT_RESERV'), (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'),0,0
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'SS_EMPL_NRES_FIO', NAME = '', ORDERS = '2', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='SS_EMPL_NOT_RESERV'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='SS_EMPL_NRES_FIO'
GO
IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='SS_EMPL_NRES_TAB_NUM')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'SS_EMPL_NRES_TAB_NUM', ' ', 3, (SELECT LINK FROM S_OBJECTS WHERE CODE='SS_EMPL_NOT_RESERV'), (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'),0,0
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'SS_EMPL_NRES_TAB_NUM', NAME = ' ', ORDERS = '3', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='SS_EMPL_NOT_RESERV'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='SS_EMPL_NRES_TAB_NUM'
GO
IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='SS_EMPL_NRES_DEP_NAME')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'SS_EMPL_NRES_DEP_NAME', ' ', 4, (SELECT LINK FROM S_OBJECTS WHERE CODE='SS_EMPL_NOT_RESERV'), (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'),0,0
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'SS_EMPL_NRES_DEP_NAME', NAME = ' ', ORDERS = '4', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='SS_EMPL_NOT_RESERV'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='SS_EMPL_NRES_DEP_NAME'
GO
IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='SS_EMPL_NRES_SUBDIV_COD')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'SS_EMPL_NRES_SUBDIV_COD', ' ', 5, (SELECT LINK FROM S_OBJECTS WHERE CODE='SS_EMPL_NOT_RESERV'), (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'),0,0
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'SS_EMPL_NRES_SUBDIV_COD', NAME = ' ', ORDERS = '5', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='SS_EMPL_NOT_RESERV'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='SS_EMPL_NRES_SUBDIV_COD'
GO
IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='SS_EMPL_NRES_SUBDIV_NAME')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'SS_EMPL_NRES_SUBDIV_NAME', ' ', 6, (SELECT LINK FROM S_OBJECTS WHERE CODE='SS_EMPL_NOT_RESERV'), (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'),0,0
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'SS_EMPL_NRES_SUBDIV_NAME', NAME = ' ', ORDERS = '6', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='SS_EMPL_NOT_RESERV'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='SS_EMPL_NRES_SUBDIV_NAME'
GO
IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='SS_EMPL_NRES_POST_CODE')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'SS_EMPL_NRES_POST_CODE', ' ', 7, (SELECT LINK FROM S_OBJECTS WHERE CODE='SS_EMPL_NOT_RESERV'), (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'),0,0
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'SS_EMPL_NRES_POST_CODE', NAME = ' ', ORDERS = '7', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='SS_EMPL_NOT_RESERV'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='SS_EMPL_NRES_POST_CODE'
GO
IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='SS_EMPL_NRES_POST_NAME')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'SS_EMPL_NRES_POST_NAME', ' ', 8, (SELECT LINK FROM S_OBJECTS WHERE CODE='SS_EMPL_NOT_RESERV'), (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'),0,0
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'SS_EMPL_NRES_POST_NAME', NAME = ' ', ORDERS = '8', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='SS_EMPL_NOT_RESERV'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='SS_EMPL_NRES_POST_NAME'
GO
EXEC X_SET_PROP 'SS_EMPL_NOT_RESERV', 'TITLE', '      '
GO
EXEC X_SET_PROP 'SS_EMPL_NOT_RESERV', 'INIT_OBJECT_METHOD', 'X_EDIT_REC(''SS_EMPL_NOT_RESERV'')'
GO
EXEC X_SET_PROP 'SS_EMPL_NOT_RESERV', 'SAVE_OBJECT_METHOD', 'XA_SAVE(''SS_SAVE_EMPL_NOT_RESERV,SS_DEL_EMPL_NOT_RESERV'',m.cAlias,''LINK_OLD'',''SS_EMPL_NOT_RESERV'')'
GO
EXEC X_SET_PROP 'SS_EMPL_NOT_RESERV', 'EDIT_OBJECT_METHOD', 'SS_EDIT_NOT_RESERV(''SS_EMPL_NOT_RESERV'',oForm,0,''0010'')'
GO
EXEC X_SET_PROP 'SS_EMPL_NOT_RESERV', 'SELECT_RECORDS_METHOD', 'XA_SELECT(''SS_VIEW_EMPL_NOT_RESERV'', m.cAlias, ''SS_EMPL_NOT_RESERV'',.F.)'
GO
EXEC X_SET_PROP 'SS_EMPL_NOT_RESERV', 'SELECT_RECORDS_METHOD_EDIT', 'XA_SELECT(''SS_VIEW_EMPL_NOT_RESERV'', m.cAlias, ''SS_EMPL_NOT_RESERV'',.F.)'
GO
EXEC X_SET_PROP 'SS_EMPL_NOT_RESERV', 'OPEN_CODE', 'LINK'
GO
EXEC X_SET_PROP 'SS_EMPL_NOT_RESERV', 'SERVER_TABLE_NAME', 'SS_NOT_RESERV'
GO
EXEC X_SET_PROP 'SS_EMPL_NOT_RESERV', 'OPERATION_MASK', '8'
GO
EXEC X_SET_PROP 'SS_EMPL_NRES_MARKER', 'VISIBLE', '1'
GO
EXEC X_SET_PROP 'SS_EMPL_NRES_MARKER', 'CONTROLSOURCE', 'm.cAlias + ".Checked"'
GO
EXEC X_SET_PROP 'SS_EMPL_NRES_MARKER', 'CONTROLSOURCE_EDIT', 'm.cAlias + ".Checked"'
GO
EXEC X_SET_PROP 'SS_EMPL_NRES_FIO', 'TITLE', ''
GO
EXEC X_SET_PROP 'SS_EMPL_NRES_FIO', 'VISIBLE', '1'
GO
EXEC X_SET_PROP 'SS_EMPL_NRES_FIO', 'CONTROLSOURCE', 'm.cAlias+''.FIO'''
GO
EXEC X_SET_PROP 'SS_EMPL_NRES_FIO', 'CONTROLSOURCE_EDIT', 'm.cAlias+''.FIO'''
GO
EXEC X_SET_PROP 'SS_EMPL_NRES_TAB_NUM', 'TITLE', '.'
GO
EXEC X_SET_PROP 'SS_EMPL_NRES_TAB_NUM', 'EDIT_OBJECT_METHOD', 'BA_VIBOR_MOL(m.oForm.grdMol.bGrid1.RecordSource)'
GO
EXEC X_SET_PROP 'SS_EMPL_NRES_TAB_NUM', 'VISIBLE', '1'
GO
EXEC X_SET_PROP 'SS_EMPL_NRES_TAB_NUM', 'CONTROLSOURCE', 'm.cAlias+''.TAB'''
GO
EXEC X_SET_PROP 'SS_EMPL_NRES_TAB_NUM', 'EDITABLE', '1'
GO
EXEC X_SET_PROP 'SS_EMPL_NRES_TAB_NUM', 'CONTROLSOURCE_EDIT', 'm.cAlias+''.TAB'''
GO
EXEC X_SET_PROP 'SS_EMPL_NRES_DEP_NAME', 'TITLE', ''
GO
EXEC X_SET_PROP 'SS_EMPL_NRES_DEP_NAME', 'VISIBLE', '1'
GO
EXEC X_SET_PROP 'SS_EMPL_NRES_DEP_NAME', 'CONTROLSOURCE', 'm.cAlias+''.DEP_NAME'''
GO
EXEC X_SET_PROP 'SS_EMPL_NRES_DEP_NAME', 'CONTROLSOURCE_EDIT', 'm.cAlias+''.DEP_NAME'''
GO
EXEC X_SET_PROP 'SS_EMPL_NRES_SUBDIV_COD', 'TITLE', ' '
GO
EXEC X_SET_PROP 'SS_EMPL_NRES_SUBDIV_COD', 'VISIBLE', '1'
GO
EXEC X_SET_PROP 'SS_EMPL_NRES_SUBDIV_COD', 'CONTROLSOURCE', 'm.cAlias+''.SUBDIV_CODE'''
GO
EXEC X_SET_PROP 'SS_EMPL_NRES_SUBDIV_COD', 'CONTROLSOURCE_EDIT', 'm.cAlias+''.SUBDIV_CODE'''
GO
EXEC X_SET_PROP 'SS_EMPL_NRES_SUBDIV_NAME', 'TITLE', ''
GO
EXEC X_SET_PROP 'SS_EMPL_NRES_SUBDIV_NAME', 'VISIBLE', '1'
GO
EXEC X_SET_PROP 'SS_EMPL_NRES_SUBDIV_NAME', 'CONTROLSOURCE', 'm.cAlias+''.SUBDIV_NAME'''
GO
EXEC X_SET_PROP 'SS_EMPL_NRES_SUBDIV_NAME', 'CONTROLSOURCE_EDIT', 'm.cAlias+''.SUBDIV_NAME'''
GO
EXEC X_SET_PROP 'SS_EMPL_NRES_POST_CODE', 'TITLE', ' '
GO
EXEC X_SET_PROP 'SS_EMPL_NRES_POST_CODE', 'VISIBLE', '1'
GO
EXEC X_SET_PROP 'SS_EMPL_NRES_POST_CODE', 'CONTROLSOURCE', 'm.cAlias+''.POST_CODE'''
GO
EXEC X_SET_PROP 'SS_EMPL_NRES_POST_CODE', 'CONTROLSOURCE_EDIT', 'm.cAlias+''.POST_CODE'''
GO
EXEC X_SET_PROP 'SS_EMPL_NRES_POST_NAME', 'TITLE', ''
GO
EXEC X_SET_PROP 'SS_EMPL_NRES_POST_NAME', 'VISIBLE', '1'
GO
EXEC X_SET_PROP 'SS_EMPL_NRES_POST_NAME', 'CONTROLSOURCE', 'm.cAlias+''.POST_NAME'''
GO
EXEC X_SET_PROP 'SS_EMPL_NRES_POST_NAME', 'CONTROLSOURCE_EDIT', 'm.cAlias+''.POST_NAME'''
GO

/****************     *************/
EXEC DBO.W_SPERM_WRITE 'SS_EMPL_NOT_RESERV', '-', 63,0
GO


GO
 UPDATE rp
 set rp.PERMITTED = 9,
		rp.STATUS_PERMITtED = 0
 FROM
 DB_USERS ss
 left join dbo.REPORT_PERMISSIONS rp ON dbo.AdminGetSidByUID(SS.UID) = RP.SID  AND rp.object = (SELECT TOP 1 Link_Form FROM dbo.report_forms WHERE  CODE = '' AND [start_date] = '20170101')
  WHERE ss.NAME IN ('-', '- ()')

  
 UPDATE rp
 set rp.PERMITTED = 15,
		rp.STATUS_PERMITtED = 31
  FROM
 DB_USERS ss
 left join dbo.REPORT_PERMISSIONS rp ON dbo.AdminGetSidByUID(SS.UID) = RP.SID  AND rp.object = (SELECT TOP 1 Link_Form FROM dbo.report_forms WHERE  CODE = '' AND [start_date] = '20170101')
  WHERE ss.NAME ='-'

  
 UPDATE rp
 set rp.PERMITTED = 15,
		rp.STATUS_PERMITtED = 15
  FROM
 DB_USERS ss
 left join dbo.REPORT_PERMISSIONS rp ON dbo.AdminGetSidByUID(SS.UID) = RP.SID  AND rp.object = (SELECT TOP 1 Link_Form FROM dbo.report_forms WHERE  CODE = '' AND [start_date] = '20170101')
  WHERE ss.NAME ='-' 


 UPDATE rp
 set rp.PERMITTED = 15,
		rp.STATUS_PERMITtED = 15
  FROM
 DB_USERS ss
 left join dbo.REPORT_PERMISSIONS rp ON dbo.AdminGetSidByUID(SS.UID) = RP.SID  AND rp.object = (SELECT TOP 1 Link_Form FROM dbo.report_forms WHERE  CODE = '' AND [start_date] = '20170101')
  WHERE ss.NAME ='-'   

GO

GO

DECLARE @ord INT 
	SELECT @ord = link FROM dbo.[SYNCH_SMETA_SMART_OPT] WHERE [opt_code]='SAL_OPT_INTEGR_KADR_EXP'

IF 	isnull(@ord,0) <> 0 
BEGIN 
		UPDATE dbo.[SYNCH_SMETA_SMART_OPT2]
		SET [LINK_UP] = @ord
		WHERE CODE IN ('DICTIONARY_POST','DICTIONARY_SUBDIVISION','KU_EMPL_PLACING')
end	

GO

GO
		CREATE TABLE #T_OV (LINK int, NAME varchar(254), OBJECT int, CODE varchar(60), USERS VARCHAR(85), ORDERS int, LINK_SELF int, LINK_STATE int, CODE_OBJ varchar(60), CODE_SELF varchar(60), CODE_STATE varchar(60), SYS BIT)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (2048.00, ' ,  ', 2688.00, 'SYS_2452444_0P30YFECE', NULL, 0.00, NULL, NULL, 'SQUERY_USER', NULL, NULL, 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (2049.00, '', 2686.00, 'SYS_2452444_0P30YG991', NULL, 999.00, 2048.00, 1359.00, 'SQUERY_FIELD', 'SYS_2452444_0P30YFECE', 'SYS_2452328_0LV0IROM7', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (2069.00, ' - ', 2686.00, 'SYS_2452444_0P30YGVSK', NULL, 999.00, 2048.00, 2039.00, 'SQUERY_FIELD', 'SYS_2452444_0P30YFECE', 'SYS_2452444_0P30X5DPR', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (3562.00, '', 2686.00, 'SYS_2452560_0SB0Q1VK4', NULL, 999.00, 2048.00, 3423.00, 'SQUERY_FIELD', 'SYS_2452444_0P30YFECE', 'SYS_2452558_0S90YEMO0', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (3642.00, '  - ', 2686.00, 'SYS_2452562_0SD0MT3ZB', NULL, 0.00, 2048.00, 3608.00, 'SQUERY_FIELD', 'SYS_2452444_0P30YFECE', 'SYS_2452562_0SD0K6O5O', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (10497.00, '  ( )', 7550.00, 'SYS_5B81B782-0AC6-43A6-BE20-7BB4ED6F4F4C', NULL, 1.00, 2048.00, 4183.00, 'SQUERY_TWIN_OTBOR', 'SYS_2452444_0P30YFECE', 'SYS_2452570_0SL0I8EQN', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (10499.00, ' ', 2700.00, 'SYS_D587B574-F9E5-45BC-ABDB-C3DC7FCC69CE', NULL, 2.00, 2048.00, 44.00, 'SQUERY_LINK_NASTR', 'SYS_2452444_0P30YFECE', 'SYS_2452195_0I40MW571', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (21648.00, ' ', 2698.00, 'SYS_3739540_198601991', NULL, 1.00, 2048.00, 21613.00, 'SQUERY_NASTR', 'SYS_2452444_0P30YFECE', 'SYS_2452362_0MT0KEIXO', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (2050.00, '', 2693.00, 'SYS_2452444_0P30YG9BI', NULL, 0.00, 2049.00, 1359.00, 'SQUERY_LINK_BASE', 'SYS_2452444_0P30YG991', 'SYS_2452328_0LV0IROM7', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (2051.00, '', 2691.00, 'SYS_2452444_0P30YG9CZ', NULL, 0.00, 2049.00, 1359.00, 'SQUERY_LINK_SOURCE', 'SYS_2452444_0P30YG991', 'SYS_2452328_0LV0IROM7', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (2052.00, '', 2695.00, 'SYS_2452444_0P30YG9DW', NULL, 0.00, 2049.00, 2048.00, 'SQUERY_LINK_SQUERY', 'SYS_2452444_0P30YG991', 'SYS_2452444_0P30YFECE', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (2053.00, '', 2686.00, 'SYS_2452444_0P30YGA3A', NULL, 999.00, 2049.00, 1361.00, 'SQUERY_FIELD', 'SYS_2452444_0P30YG991', 'SYS_2452328_0LV0ITQUN', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (2057.00, '', 2686.00, 'SYS_2452444_0P30YGFVZ', NULL, 999.00, 2049.00, 1362.00, 'SQUERY_FIELD', 'SYS_2452444_0P30YG991', 'SYS_2452328_0LV0IU1GV', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (2061.00, '', 2686.00, 'SYS_2452444_0P30YGJ1N', NULL, 999.00, 2049.00, 1363.00, 'SQUERY_FIELD', 'SYS_2452444_0P30YG991', 'SYS_2452328_0LV0IU4O1', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (2065.00, ' ', 2686.00, 'SYS_2452444_0P30YGNKO', NULL, 999.00, 2049.00, 2047.00, 'SQUERY_FIELD', 'SYS_2452444_0P30YG991', 'SYS_2452444_0P30YDHJR', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (2070.00, '', 2693.00, 'SYS_2452444_0P30YGVUK', NULL, 0.00, 2069.00, 2039.00, 'SQUERY_LINK_BASE', 'SYS_2452444_0P30YGVSK', 'SYS_2452444_0P30X5DPR', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (2071.00, '', 2691.00, 'SYS_2452444_0P30YGVV5', NULL, 0.00, 2069.00, 2039.00, 'SQUERY_LINK_SOURCE', 'SYS_2452444_0P30YGVSK', 'SYS_2452444_0P30X5DPR', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (2072.00, '', 2695.00, 'SYS_2452444_0P30YGVVS', NULL, 0.00, 2069.00, 2048.00, 'SQUERY_LINK_SQUERY', 'SYS_2452444_0P30YGVSK', 'SYS_2452444_0P30YFECE', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (2073.00, '  ', 2686.00, 'SYS_2452444_0P30YGVYC', NULL, 999.00, 2069.00, 2040.00, 'SQUERY_FIELD', 'SYS_2452444_0P30YGVSK', 'SYS_2452444_0P30X5YXQ', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (2077.00, '  ', 2686.00, 'SYS_2452444_0P30YGYK3', NULL, 999.00, 2069.00, 2042.00, 'SQUERY_FIELD', 'SYS_2452444_0P30YGVSK', 'SYS_2452444_0P30X71TF', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (3563.00, '', 2693.00, 'SYS_2452560_0SB0Q1VT2', NULL, 0.00, 3562.00, 3423.00, 'SQUERY_LINK_BASE', 'SYS_2452560_0SB0Q1VK4', 'SYS_2452558_0S90YEMO0', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (3564.00, '', 2691.00, 'SYS_2452560_0SB0Q1VTU', NULL, 0.00, 3562.00, 3423.00, 'SQUERY_LINK_SOURCE', 'SYS_2452560_0SB0Q1VK4', 'SYS_2452558_0S90YEMO0', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (3565.00, '', 2695.00, 'SYS_2452560_0SB0Q1VU6', NULL, 0.00, 3562.00, 2048.00, 'SQUERY_LINK_SQUERY', 'SYS_2452560_0SB0Q1VK4', 'SYS_2452444_0P30YFECE', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (3566.00, '', 2686.00, 'SYS_2452560_0SB0Q1VW4', NULL, 999.00, 3562.00, 3425.00, 'SQUERY_FIELD', 'SYS_2452560_0SB0Q1VK4', 'SYS_2452558_0S90YICU0', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (3643.00, '', 2693.00, 'SYS_2452562_0SD0MT489', NULL, 0.00, 3642.00, 3608.00, 'SQUERY_LINK_BASE', 'SYS_2452562_0SD0MT3ZB', 'SYS_2452562_0SD0K6O5O', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (3644.00, '', 2691.00, 'SYS_2452562_0SD0MT492', NULL, 0.00, 3642.00, 3608.00, 'SQUERY_LINK_SOURCE', 'SYS_2452562_0SD0MT3ZB', 'SYS_2452562_0SD0K6O5O', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (3645.00, '', 2695.00, 'SYS_2452562_0SD0MT49N', NULL, 0.00, 3642.00, 2048.00, 'SQUERY_LINK_SQUERY', 'SYS_2452562_0SD0MT3ZB', 'SYS_2452444_0P30YFECE', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (3646.00, '', 2686.00, 'SYS_2452562_0SD0MT4BL', NULL, 999.00, 3642.00, 3616.00, 'SQUERY_FIELD', 'SYS_2452562_0SD0MT3ZB', 'SYS_2452562_0SD0KKC59', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (3650.00, '', 2694.00, 'SYS_2452562_0SD0MT92E', NULL, 0.00, 3642.00, 3610.00, 'SQUERY_LINK_STATE', 'SYS_2452562_0SD0MT3ZB', 'SYS_2452562_0SD0KBP88', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (4050.00, '', 2694.00, 'SYS_2452566_0SH0P15MD', NULL, 0.00, 2049.00, 4037.00, 'SQUERY_LINK_STATE', 'SYS_2452444_0P30YG991', 'SYS_2452566_0SH0LVXGW', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (10473.00, ' ', 2686.00, 'SYS_F778E105-0F63-49D6-82AA-674FBD8FE2CC', NULL, 999.00, 2049.00, 1367.00, 'SQUERY_FIELD', 'SYS_2452444_0P30YG991', 'SYS_2452328_0LV0IV4AF', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (10477.00, ' (.)', 2686.00, 'SYS_400A60F0-CD39-4E9A-B56F-C7F4BD57D5D0', NULL, 999.00, 2049.00, 1454.00, 'SQUERY_FIELD', 'SYS_2452444_0P30YG991', 'SYS_2452362_0MT0T5Y6N', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (10481.00, '   ', 2686.00, 'SYS_65F2C304-A385-42B7-B515-77BC94B2D8E1', NULL, 999.00, 2049.00, 10471.00, 'SQUERY_FIELD', 'SYS_2452444_0P30YG991', 'SYS_2586DCB7-E5CA-4B40-A299-240083F4DC08', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (10485.00, ' -  ', 2686.00, 'SYS_FB64A579-3F7E-492C-BE2C-60A6FB06E6E5', NULL, 999.00, 2049.00, 1371.00, 'SQUERY_FIELD', 'SYS_2452444_0P30YG991', 'SYS_2452328_0LV0IY5HN', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (10489.00, ' -  ', 2686.00, 'SYS_FE110753-1034-4AC2-9002-A245E5A4E70D', NULL, 999.00, 2049.00, 1372.00, 'SQUERY_FIELD', 'SYS_2452444_0P30YG991', 'SYS_2452328_0LV0IYNF0', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (10493.00, ' -   ', 2686.00, 'SYS_EC8D4C04-6285-408D-9288-549920E217F5', NULL, 999.00, 2049.00, 1370.00, 'SQUERY_FIELD', 'SYS_2452444_0P30YG991', 'SYS_2452328_0LV0IXO9B', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (10498.00, '', 2699.00, 'SYS_B8968F9D-1D54-409B-AAAC-B8A6EE60CA2E', NULL, 0.00, 2049.00, 10497.00, 'SQUERY_LINK_OTBOR', 'SYS_2452444_0P30YG991', 'SYS_5B81B782-0AC6-43A6-BE20-7BB4ED6F4F4C', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (10500.00, '', 2686.00, 'SYS_D614C5C2-B32D-4BED-92A4-0934C103C666', NULL, 999.00, 3562.00, 3428.00, 'SQUERY_FIELD', 'SYS_2452560_0SB0Q1VK4', 'SYS_2452558_0S90YIRYZ', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (10504.00, '', 2694.00, 'SYS_20537B99-7ABB-429A-AF5B-D45C81861922', NULL, 0.00, 3562.00, 4000.00, 'SQUERY_LINK_STATE', 'SYS_2452560_0SB0Q1VK4', 'SYS_2452565_0SG128RND', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (10508.00, ' -  ', 2686.00, 'BB8552A5-4E44-45D5-B5F5-548067178044', NULL, 999.00, 3562.00, 10507.00, 'SQUERY_FIELD', 'SYS_2452560_0SB0Q1VK4', 'SYS_FC8938E1-4448-45DE-84DB-1AC46A3A383A', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (10512.00, ' -  ', 2686.00, '75921104-C5D2-440C-BA21-684D9286F55E', NULL, 999.00, 3562.00, 10506.00, 'SQUERY_FIELD', 'SYS_2452560_0SB0Q1VK4', 'SYS_F369425F-A2AC-4FFF-A50D-5739898892CA', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (10516.00, ' - . ', 2686.00, '589563F6-AEAD-45C9-A635-2AAD8ECCCAFC', NULL, 999.00, 3562.00, 10505.00, 'SQUERY_FIELD', 'SYS_2452560_0SB0Q1VK4', 'SYS_C81714C9-9903-4059-8F7E-6844D6D60D23', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (18771.00, '. - ', 2686.00, 'SYS_B1E493F5-175F-4835-9864-4652C1E86188', NULL, 999.00, 2049.00, 12135.00, 'SQUERY_FIELD', 'SYS_2452444_0P30YG991', 'SYS_57011FC7-D0CE-4D4D-AA7E-3C81EE0C0F4D', 0)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (18772.00, '. - ', 2686.00, 'SYS_B4A8C95F-9EA4-4B89-BF41-D50BCB33E326', NULL, 999.00, 2049.00, 12136.00, 'SQUERY_FIELD', 'SYS_2452444_0P30YG991', 'SYS_EB85631F-8A66-481D-B4FD-1DF6EEBE92BD', 0)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (18773.00, '   ', 2686.00, '5410509D-6722-49E4-B299-DFE896DD36E4', NULL, 999.00, 2049.00, 1377.00, 'SQUERY_FIELD', 'SYS_2452444_0P30YG991', 'SYS_2452328_0LV0J3KBC', 0)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (2054.00, '', 2693.00, 'SYS_2452444_0P30YGA56', NULL, 0.00, 2053.00, 1361.00, 'SQUERY_LINK_BASE', 'SYS_2452444_0P30YGA3A', 'SYS_2452328_0LV0ITQUN', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (2055.00, '', 2691.00, 'SYS_2452444_0P30YGA5Q', NULL, 0.00, 2053.00, 1361.00, 'SQUERY_LINK_SOURCE', 'SYS_2452444_0P30YGA3A', 'SYS_2452328_0LV0ITQUN', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (2056.00, '', 2695.00, 'SYS_2452444_0P30YGA6D', NULL, 0.00, 2053.00, 2048.00, 'SQUERY_LINK_SQUERY', 'SYS_2452444_0P30YGA3A', 'SYS_2452444_0P30YFECE', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (2058.00, '', 2693.00, 'SYS_2452444_0P30YGFXZ', NULL, 0.00, 2057.00, 1362.00, 'SQUERY_LINK_BASE', 'SYS_2452444_0P30YGFVZ', 'SYS_2452328_0LV0IU1GV', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (2059.00, '', 2691.00, 'SYS_2452444_0P30YGFYK', NULL, 0.00, 2057.00, 1362.00, 'SQUERY_LINK_SOURCE', 'SYS_2452444_0P30YGFVZ', 'SYS_2452328_0LV0IU1GV', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (2060.00, '', 2695.00, 'SYS_2452444_0P30YGFZK', NULL, 0.00, 2057.00, 2048.00, 'SQUERY_LINK_SQUERY', 'SYS_2452444_0P30YGFVZ', 'SYS_2452444_0P30YFECE', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (2062.00, '', 2693.00, 'SYS_2452444_0P30YGJ3N', NULL, 0.00, 2061.00, 1363.00, 'SQUERY_LINK_BASE', 'SYS_2452444_0P30YGJ1N', 'SYS_2452328_0LV0IU4O1', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (2063.00, '', 2691.00, 'SYS_2452444_0P30YGJ49', NULL, 0.00, 2061.00, 1363.00, 'SQUERY_LINK_SOURCE', 'SYS_2452444_0P30YGJ1N', 'SYS_2452328_0LV0IU4O1', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (2064.00, '', 2695.00, 'SYS_2452444_0P30YGJ59', NULL, 0.00, 2061.00, 2048.00, 'SQUERY_LINK_SQUERY', 'SYS_2452444_0P30YGJ1N', 'SYS_2452444_0P30YFECE', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (2066.00, '', 2693.00, 'SYS_2452444_0P30YGNMN', NULL, 0.00, 2065.00, 2047.00, 'SQUERY_LINK_BASE', 'SYS_2452444_0P30YGNKO', 'SYS_2452444_0P30YDHJR', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (2067.00, '', 2691.00, 'SYS_2452444_0P30YGNN7', NULL, 0.00, 2065.00, 2047.00, 'SQUERY_LINK_SOURCE', 'SYS_2452444_0P30YGNKO', 'SYS_2452444_0P30YDHJR', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (2068.00, '', 2695.00, 'SYS_2452444_0P30YGNO7', NULL, 0.00, 2065.00, 2048.00, 'SQUERY_LINK_SQUERY', 'SYS_2452444_0P30YGNKO', 'SYS_2452444_0P30YFECE', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (2074.00, '', 2693.00, 'SYS_2452444_0P30YGW0C', NULL, 0.00, 2073.00, 2040.00, 'SQUERY_LINK_BASE', 'SYS_2452444_0P30YGVYC', 'SYS_2452444_0P30X5YXQ', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (2075.00, '', 2691.00, 'SYS_2452444_0P30YGW0W', NULL, 0.00, 2073.00, 2040.00, 'SQUERY_LINK_SOURCE', 'SYS_2452444_0P30YGVYC', 'SYS_2452444_0P30X5YXQ', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (2076.00, '', 2695.00, 'SYS_2452444_0P30YGW1K', NULL, 0.00, 2073.00, 2048.00, 'SQUERY_LINK_SQUERY', 'SYS_2452444_0P30YGVYC', 'SYS_2452444_0P30YFECE', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (2078.00, '', 2693.00, 'SYS_2452444_0P30YGYM9', NULL, 0.00, 2077.00, 2042.00, 'SQUERY_LINK_BASE', 'SYS_2452444_0P30YGYK3', 'SYS_2452444_0P30X71TF', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (2079.00, '', 2691.00, 'SYS_2452444_0P30YGYMT', NULL, 0.00, 2077.00, 2042.00, 'SQUERY_LINK_SOURCE', 'SYS_2452444_0P30YGYK3', 'SYS_2452444_0P30X71TF', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (2080.00, '', 2695.00, 'SYS_2452444_0P30YGYNV', NULL, 0.00, 2077.00, 2048.00, 'SQUERY_LINK_SQUERY', 'SYS_2452444_0P30YGYK3', 'SYS_2452444_0P30YFECE', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (3567.00, '', 2693.00, 'SYS_2452560_0SB0Q1VXH', NULL, 0.00, 3566.00, 3425.00, 'SQUERY_LINK_BASE', 'SYS_2452560_0SB0Q1VW4', 'SYS_2452558_0S90YICU0', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (3568.00, '', 2691.00, 'SYS_2452560_0SB0Q1VXS', NULL, 0.00, 3566.00, 3425.00, 'SQUERY_LINK_SOURCE', 'SYS_2452560_0SB0Q1VW4', 'SYS_2452558_0S90YICU0', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (3569.00, '', 2695.00, 'SYS_2452560_0SB0Q1VYB', NULL, 0.00, 3566.00, 2048.00, 'SQUERY_LINK_SQUERY', 'SYS_2452560_0SB0Q1VW4', 'SYS_2452444_0P30YFECE', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (3647.00, '', 2693.00, 'SYS_2452562_0SD0MT4D0', NULL, 0.00, 3646.00, 3616.00, 'SQUERY_LINK_BASE', 'SYS_2452562_0SD0MT4BL', 'SYS_2452562_0SD0KKC59', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (3648.00, '', 2691.00, 'SYS_2452562_0SD0MT4DI', NULL, 0.00, 3646.00, 3616.00, 'SQUERY_LINK_SOURCE', 'SYS_2452562_0SD0MT4BL', 'SYS_2452562_0SD0KKC59', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (3649.00, '', 2695.00, 'SYS_2452562_0SD0MT4DU', NULL, 0.00, 3646.00, 2048.00, 'SQUERY_LINK_SQUERY', 'SYS_2452562_0SD0MT4BL', 'SYS_2452444_0P30YFECE', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (10474.00, '', 2693.00, 'SYS_96DD1DDE-7FAF-43B4-8967-0B90177E7B5D', NULL, 0.00, 10473.00, 1367.00, 'SQUERY_LINK_BASE', 'SYS_F778E105-0F63-49D6-82AA-674FBD8FE2CC', 'SYS_2452328_0LV0IV4AF', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (10475.00, '', 2691.00, 'SYS_8C0D8F5F-0F9D-4A06-A899-2DEBB9371AFB', NULL, 0.00, 10473.00, 1367.00, 'SQUERY_LINK_SOURCE', 'SYS_F778E105-0F63-49D6-82AA-674FBD8FE2CC', 'SYS_2452328_0LV0IV4AF', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (10476.00, '', 2695.00, 'SYS_E31930A0-541D-4DFD-B04C-A8E2574DC4CB', NULL, 0.00, 10473.00, 2048.00, 'SQUERY_LINK_SQUERY', 'SYS_F778E105-0F63-49D6-82AA-674FBD8FE2CC', 'SYS_2452444_0P30YFECE', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (10478.00, '', 2693.00, 'SYS_02A063E3-BB94-4335-9BF7-DEDB0E3E6B90', NULL, 0.00, 10477.00, 1454.00, 'SQUERY_LINK_BASE', 'SYS_400A60F0-CD39-4E9A-B56F-C7F4BD57D5D0', 'SYS_2452362_0MT0T5Y6N', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (10479.00, '', 2691.00, 'SYS_30DAEE6A-6AAB-451A-97EF-4AD6C31672F5', NULL, 0.00, 10477.00, 1454.00, 'SQUERY_LINK_SOURCE', 'SYS_400A60F0-CD39-4E9A-B56F-C7F4BD57D5D0', 'SYS_2452362_0MT0T5Y6N', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (10480.00, '', 2695.00, 'SYS_FCE0EA85-4347-452E-883C-7FB20C9393EA', NULL, 0.00, 10477.00, 2048.00, 'SQUERY_LINK_SQUERY', 'SYS_400A60F0-CD39-4E9A-B56F-C7F4BD57D5D0', 'SYS_2452444_0P30YFECE', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (10482.00, '', 2693.00, 'SYS_7F244AD1-B00E-4CE5-B329-ACF765130033', NULL, 0.00, 10481.00, 10471.00, 'SQUERY_LINK_BASE', 'SYS_65F2C304-A385-42B7-B515-77BC94B2D8E1', 'SYS_2586DCB7-E5CA-4B40-A299-240083F4DC08', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (10483.00, '', 2691.00, 'SYS_6CC9C45A-AE79-49EE-9EDE-E947FAC0A47B', NULL, 0.00, 10481.00, 10471.00, 'SQUERY_LINK_SOURCE', 'SYS_65F2C304-A385-42B7-B515-77BC94B2D8E1', 'SYS_2586DCB7-E5CA-4B40-A299-240083F4DC08', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (10484.00, '', 2695.00, 'SYS_68112F7F-78DA-4E59-A23D-01CEE82C848A', NULL, 0.00, 10481.00, 2048.00, 'SQUERY_LINK_SQUERY', 'SYS_65F2C304-A385-42B7-B515-77BC94B2D8E1', 'SYS_2452444_0P30YFECE', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (10486.00, '', 2693.00, 'SYS_CDD33A5A-C713-4742-85B8-E29FB8367B13', NULL, 0.00, 10485.00, 1371.00, 'SQUERY_LINK_BASE', 'SYS_FB64A579-3F7E-492C-BE2C-60A6FB06E6E5', 'SYS_2452328_0LV0IY5HN', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (10487.00, '', 2691.00, 'SYS_47F54663-6787-43E8-8E05-09A1F8D1AA9D', NULL, 0.00, 10485.00, 1371.00, 'SQUERY_LINK_SOURCE', 'SYS_FB64A579-3F7E-492C-BE2C-60A6FB06E6E5', 'SYS_2452328_0LV0IY5HN', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (10488.00, '', 2695.00, 'SYS_181A2B68-9883-46F6-94AA-9B1CEA5B274E', NULL, 0.00, 10485.00, 2048.00, 'SQUERY_LINK_SQUERY', 'SYS_FB64A579-3F7E-492C-BE2C-60A6FB06E6E5', 'SYS_2452444_0P30YFECE', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (10490.00, '', 2693.00, 'SYS_F0F2CB72-3948-4CC0-B344-890719C39657', NULL, 0.00, 10489.00, 1372.00, 'SQUERY_LINK_BASE', 'SYS_FE110753-1034-4AC2-9002-A245E5A4E70D', 'SYS_2452328_0LV0IYNF0', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (10491.00, '', 2691.00, 'SYS_F28E6796-B9FE-408C-BDA8-7C6CF5F86DAA', NULL, 0.00, 10489.00, 1372.00, 'SQUERY_LINK_SOURCE', 'SYS_FE110753-1034-4AC2-9002-A245E5A4E70D', 'SYS_2452328_0LV0IYNF0', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (10492.00, '', 2695.00, 'SYS_7D249A69-6651-44B0-8330-07D0E68F1396', NULL, 0.00, 10489.00, 2048.00, 'SQUERY_LINK_SQUERY', 'SYS_FE110753-1034-4AC2-9002-A245E5A4E70D', 'SYS_2452444_0P30YFECE', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (10494.00, '', 2693.00, 'SYS_8EACAF0B-049B-44FC-8357-650EE62B23DA', NULL, 0.00, 10493.00, 1370.00, 'SQUERY_LINK_BASE', 'SYS_EC8D4C04-6285-408D-9288-549920E217F5', 'SYS_2452328_0LV0IXO9B', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (10495.00, '', 2691.00, 'SYS_4C2CB42C-4D0F-4F77-9581-E49BC41E13FA', NULL, 0.00, 10493.00, 1370.00, 'SQUERY_LINK_SOURCE', 'SYS_EC8D4C04-6285-408D-9288-549920E217F5', 'SYS_2452328_0LV0IXO9B', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (10496.00, '', 2695.00, 'SYS_5A24EE77-196D-4BC8-BCB6-22DE7E74468F', NULL, 0.00, 10493.00, 2048.00, 'SQUERY_LINK_SQUERY', 'SYS_EC8D4C04-6285-408D-9288-549920E217F5', 'SYS_2452444_0P30YFECE', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (10501.00, '', 2693.00, 'SYS_77949284-7B91-4D27-B4B6-3FFD08EEF645', NULL, 0.00, 10500.00, 3428.00, 'SQUERY_LINK_BASE', 'SYS_D614C5C2-B32D-4BED-92A4-0934C103C666', 'SYS_2452558_0S90YIRYZ', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (10502.00, '', 2691.00, 'SYS_8AA79D3F-3955-472C-91C3-214773BBEFFD', NULL, 0.00, 10500.00, 3428.00, 'SQUERY_LINK_SOURCE', 'SYS_D614C5C2-B32D-4BED-92A4-0934C103C666', 'SYS_2452558_0S90YIRYZ', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (10503.00, '', 2695.00, 'SYS_3B3D8AE3-4671-4641-9DD7-E510E4D89F9C', NULL, 0.00, 10500.00, 2048.00, 'SQUERY_LINK_SQUERY', 'SYS_D614C5C2-B32D-4BED-92A4-0934C103C666', 'SYS_2452444_0P30YFECE', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (10509.00, '', 2693.00, '9B2D7DC7-635E-4F84-B498-EC9AD037417F', NULL, 0.00, 10508.00, 10507.00, 'SQUERY_LINK_BASE', 'BB8552A5-4E44-45D5-B5F5-548067178044', 'SYS_FC8938E1-4448-45DE-84DB-1AC46A3A383A', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (10510.00, '', 2691.00, '90FF2E6C-8DB7-42B5-B954-2212A1808437', NULL, 0.00, 10508.00, 10507.00, 'SQUERY_LINK_SOURCE', 'BB8552A5-4E44-45D5-B5F5-548067178044', 'SYS_FC8938E1-4448-45DE-84DB-1AC46A3A383A', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (10511.00, '', 2695.00, '44E08AD7-9B05-44FC-A691-5B71A5816B5A', NULL, 0.00, 10508.00, 2048.00, 'SQUERY_LINK_SQUERY', 'BB8552A5-4E44-45D5-B5F5-548067178044', 'SYS_2452444_0P30YFECE', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (10513.00, '', 2693.00, 'A603EF4D-24F5-47EF-85FE-13DCB2B302EB', NULL, 0.00, 10512.00, 10506.00, 'SQUERY_LINK_BASE', '75921104-C5D2-440C-BA21-684D9286F55E', 'SYS_F369425F-A2AC-4FFF-A50D-5739898892CA', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (10514.00, '', 2691.00, 'D88C9E41-F5C3-48AA-BBAD-AF91EF4E712C', NULL, 0.00, 10512.00, 10506.00, 'SQUERY_LINK_SOURCE', '75921104-C5D2-440C-BA21-684D9286F55E', 'SYS_F369425F-A2AC-4FFF-A50D-5739898892CA', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (10515.00, '', 2695.00, '102F8229-BF42-4DAE-BAC2-B7EA0D16DAF0', NULL, 0.00, 10512.00, 2048.00, 'SQUERY_LINK_SQUERY', '75921104-C5D2-440C-BA21-684D9286F55E', 'SYS_2452444_0P30YFECE', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (10517.00, '', 2693.00, 'BD9D1F35-538F-402E-B104-1936F0FDC439', NULL, 0.00, 10516.00, 10505.00, 'SQUERY_LINK_BASE', '589563F6-AEAD-45C9-A635-2AAD8ECCCAFC', 'SYS_C81714C9-9903-4059-8F7E-6844D6D60D23', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (10518.00, '', 2691.00, '03F47952-7CA8-4071-B636-3573DCEE7035', NULL, 0.00, 10516.00, 10505.00, 'SQUERY_LINK_SOURCE', '589563F6-AEAD-45C9-A635-2AAD8ECCCAFC', 'SYS_C81714C9-9903-4059-8F7E-6844D6D60D23', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (10519.00, '', 2695.00, '5EFFC7CD-213E-4608-98A9-AE688F81B02D', NULL, 0.00, 10516.00, 2048.00, 'SQUERY_LINK_SQUERY', '589563F6-AEAD-45C9-A635-2AAD8ECCCAFC', 'SYS_2452444_0P30YFECE', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (18774.00, '', 2693.00, 'SYS_E1F682FF-0C3D-445A-A75E-F3EA4CEAAF73', NULL, 0.00, 18771.00, 12135.00, 'SQUERY_LINK_BASE', 'SYS_B1E493F5-175F-4835-9864-4652C1E86188', 'SYS_57011FC7-D0CE-4D4D-AA7E-3C81EE0C0F4D', 0)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (18775.00, '', 2691.00, 'SYS_456D043F-ECF1-4A3D-8F5C-2EBD73F7E0E3', NULL, 0.00, 18771.00, 12135.00, 'SQUERY_LINK_SOURCE', 'SYS_B1E493F5-175F-4835-9864-4652C1E86188', 'SYS_57011FC7-D0CE-4D4D-AA7E-3C81EE0C0F4D', 0)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (18776.00, '', 2695.00, 'SYS_85ED9F23-EFD3-47A1-8FD5-2956116A1FDA', NULL, 0.00, 18771.00, 2048.00, 'SQUERY_LINK_SQUERY', 'SYS_B1E493F5-175F-4835-9864-4652C1E86188', 'SYS_2452444_0P30YFECE', 0)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (18777.00, '', 2693.00, 'SYS_C5903C14-59A8-4038-A21D-94539DF7DD47', NULL, 0.00, 18772.00, 12136.00, 'SQUERY_LINK_BASE', 'SYS_B4A8C95F-9EA4-4B89-BF41-D50BCB33E326', 'SYS_EB85631F-8A66-481D-B4FD-1DF6EEBE92BD', 0)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (18778.00, '', 2691.00, 'SYS_9CC6A9D1-4C3B-472B-B524-F3931F7621A6', NULL, 0.00, 18772.00, 12136.00, 'SQUERY_LINK_SOURCE', 'SYS_B4A8C95F-9EA4-4B89-BF41-D50BCB33E326', 'SYS_EB85631F-8A66-481D-B4FD-1DF6EEBE92BD', 0)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (18779.00, '', 2695.00, 'SYS_1E2C4448-DD44-45BC-BCC1-5621BD789083', NULL, 0.00, 18772.00, 2048.00, 'SQUERY_LINK_SQUERY', 'SYS_B4A8C95F-9EA4-4B89-BF41-D50BCB33E326', 'SYS_2452444_0P30YFECE', 0)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (18780.00, '', 2693.00, '6046E6E9-029B-4EAB-B87F-8C56D2DFDD56', NULL, 0.00, 18773.00, 1377.00, 'SQUERY_LINK_BASE', '5410509D-6722-49E4-B299-DFE896DD36E4', 'SYS_2452328_0LV0J3KBC', 0)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (18781.00, '', 2691.00, 'D510E36E-331F-43C1-8258-7B277BC99F60', NULL, 0.00, 18773.00, 1377.00, 'SQUERY_LINK_SOURCE', '5410509D-6722-49E4-B299-DFE896DD36E4', 'SYS_2452328_0LV0J3KBC', 0)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (18782.00, '', 2695.00, '68A09048-97CB-4939-B6F2-E390EC2E22D5', NULL, 0.00, 18773.00, 2048.00, 'SQUERY_LINK_SQUERY', '5410509D-6722-49E4-B299-DFE896DD36E4', 'SYS_2452444_0P30YFECE', 0)

GO

		CREATE TABLE #T_OVV (LINK_UP int, PROPERTY int, USERS VARCHAR(85), ORDERS int, VALUE varchar(8000), CODE_UP varchar(60), CODE_PROP varchar(30))
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (2048.00, 137.00, NULL, NULL, '', 'SYS_2452444_0P30YFECE', 'SQUERY_CHANGED')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (2048.00, 159.00, NULL, NULL, 'KIRREPMAKER.XLS', 'SYS_2452444_0P30YFECE', 'SQUERY_GENERATOR')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (2048.00, 174.00, NULL, NULL, 'IIF(@nOption_2 = 1,"STRAX.XLT",IIF(@nOption_2 = 2,"STRAX2.XLT",IIF(@nOption_2 = 3,"STRAX2.XLT","")))', 'SYS_2452444_0P30YFECE', 'SQUERY_REPORT')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (2048.00, 175.00, NULL, NULL, '(1>0) order by fm, im, ot', 'SYS_2452444_0P30YFECE', 'SQUERY_RES_WHERE')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (2048.00, 176.00, NULL, 24.00, '	
SELECT * FROM #T_RES2 
	WHERE (1>0) order by fm, im, ot

', 'SYS_2452444_0P30YFECE', 'SQUERY_SQL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (2048.00, 176.00, NULL, 25.00, '
	DROP TABLE #T_RES
', 'SYS_2452444_0P30YFECE', 'SQUERY_SQL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (2048.00, 176.00, NULL, 26.00, '
	DROP TABLE #WORKERS

	DROP TABLE #ADDRESS

	SET TRANSACTION ISOLATION LEVEL READ COMMITTED

END', 'SYS_2452444_0P30YFECE', 'SQUERY_SQL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (2048.00, 176.00, NULL, 1.00, 'CREATE PROCEDURE #P_SQUERY
		@dDate_1 DATETIME /* */,
		@nOption_2 INT /* */,
		@varKSnOtborLink1 int /*  ( )*/,
		@varKScTableInto varchar(20) = ''''
AS
BEGIN

	SET TRANSACTION ISOLATION LEVEL READ UNCOMMITTED
', 'SYS_2452444_0P30YFECE', 'SQUERY_SQL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (2048.00, 176.00, NULL, 2.00, '
	CREATE TABLE  #WORKERS (FACE INT, START_DATE DATETIME, END_DATE DATETIME, STAFF INT,  LINK_DEP INT)
EXEC K_FILL_T_WORKERS @dDate_1

', 'SYS_2452444_0P30YFECE', 'SQUERY_SQL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (2048.00, 176.00, NULL, 3.00, '
	CREATE TABLE #ADDRESS (ID INT IDENTITY, FACE INT, REGISTR VARCHAR(254), FACT VARCHAR(254), PHONE_R VARCHAR(254), PHONE_F VARCHAR(254) )
EXEC K_FILL_T_ADDRESS

', 'SYS_2452444_0P30YFECE', 'SQUERY_SQL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (2048.00, 176.00, NULL, 6.00, '
	UPDATE #T_RES
	SET	orgname = (SELECT FULL_NAME FROM DICTIONARY_DEPARTMENT WHERE LINK=S_19064) /**/ FROM #T_RES T 
', 'SYS_2452444_0P30YFECE', 'SQUERY_SQL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (2048.00, 176.00, NULL, 7.00, '
	UPDATE #T_RES
	SET	num_pfr = ISNULL((SELECT INSUR_NUM FROM PERSON WHERE LINK=(SELECT PERS_LINK FROM EMPL WHERE LINK = S_13538)),'''') /*   */ FROM #T_RES T 
', 'SYS_2452444_0P30YFECE', 'SQUERY_SQL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (2048.00, 176.00, NULL, 8.00, '
	UPDATE #T_RES
	SET	fm = (SELECT P.FM FROM PERSON P WHERE P.LINK=(SELECT PERS_LINK FROM EMPL WHERE LINK = S_13538)) /**/ FROM #T_RES T 
', 'SYS_2452444_0P30YFECE', 'SQUERY_SQL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (2048.00, 176.00, NULL, 14.00, '
	UPDATE #T_RES
	SET	BIRTHDAY = (select p.birthdate from person p where p.link=(SELECT PERS_LINK FROM EMPL WHERE LINK = S_13538)) /* */ FROM #T_RES T 
', 'SYS_2452444_0P30YFECE', 'SQUERY_SQL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (2048.00, 176.00, NULL, 16.00, '
	UPDATE #T_RES
	SET	DOCDATE = (SELECT DOC_DATE FROM PERSON WHERE LINK = (SELECT PERS_LINK FROM EMPL WHERE LINK = S_13538)) /* -  */ FROM #T_RES T 
', 'SYS_2452444_0P30YFECE', 'SQUERY_SQL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (2048.00, 176.00, NULL, 9.00, '
	UPDATE #T_RES
	SET	im = (SELECT P.IM FROM PERSON P  WHERE P.LINK=(SELECT PERS_LINK FROM EMPL WHERE LINK = S_13538)) /**/ FROM #T_RES T 
', 'SYS_2452444_0P30YFECE', 'SQUERY_SQL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (2048.00, 176.00, NULL, 19.00, '
	UPDATE #T_RES
	SET	inn = (SELECT INN FROM DICTIONARY_DEPARTMENT WHERE LINK=S_19064) /**/ FROM #T_RES T 
', 'SYS_2452444_0P30YFECE', 'SQUERY_SQL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (2048.00, 176.00, NULL, 11.00, '
	UPDATE #T_RES
	SET	year = ISNULL((SELECT rtrim(ltrim(str(year(birthdate)))) FROM person p WHERE p.LINK=(SELECT PERS_LINK FROM EMPL WHERE LINK = S_13538)),'''') /* */ FROM #T_RES T 
', 'SYS_2452444_0P30YFECE', 'SQUERY_SQL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (2048.00, 176.00, NULL, 21.00, '
	UPDATE #T_RES
	SET	ser_pol = ISNULL((SELECT rtrim(ltrim(MED_POL_SER)) FROM PERSON WHERE LINK=(SELECT PERS_LINK FROM EMPL WHERE LINK = S_13538)),'''') /*. - */ FROM #T_RES T 
', 'SYS_2452444_0P30YFECE', 'SQUERY_SQL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (2048.00, 176.00, NULL, 23.00, '
	SELECT chief AS chief /**/,
		BIRTHDAY AS BIRTHDAY /* */,
		SEX AS SEX /* (.)*/,
		DATE_BEG AS DATE_BEG /*   */,
		DOCDATE AS DOCDATE /* -  */,
		DOC_WHOM AS DOC_WHOM /* -  */,
		DOC_SN AS DOC_SN /* -   */,
		inn AS inn /**/,
		num_pol AS num_pol /*. - */,
		ser_pol AS ser_pol /*. - */,
		SBK_REGN AS SBK_REGN /* - . */,
		SBK_DOCN AS SBK_DOCN /* -  */,
		SBK_DOCD AS SBK_DOCD /* -  */,
		num_pfr AS num_pfr /*   */,
		fm AS fm /**/,
		im AS im /**/,
		ot AS ot /**/,
		year AS year /* */,
		addr AS addr /*  */,
		phone AS phone /*  */,
		orgname AS orgname /**/
	INTO #T_RES2
	FROM #T_RES T
	GROUP BY chief, BIRTHDAY, SEX, DATE_BEG, DOCDATE, DOC_WHOM, DOC_SN, inn, num_pol, ser_pol, SBK_REGN, SBK_DOCN, SBK_DOCD, num_pfr, fm, im, ot, year, addr, phone, orgname


', 'SYS_2452444_0P30YFECE', 'SQUERY_SQL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (2048.00, 176.00, NULL, 4.00, '
	CREATE TABLE #T_RES (addr VARCHAR(254) /*  */,
		BIRTHDAY DATETIME /* */,
		chief VARCHAR(30) /**/,
		DATE_BEG DATETIME /*   */,
		DOC_SN VARCHAR(30) /* -   */,
		DOC_WHOM VARCHAR(120) /* -  */,
		DOCDATE DATETIME /* -  */,
		fm VARCHAR(100) /**/,
		im VARCHAR(100) /**/,
		inn VARCHAR(12) /**/,
		num_pfr VARCHAR(20) /*   */,
		num_pol varchar(25) /*. - */,
		orgname VARCHAR(254) /**/,
		ot VARCHAR(100) /**/,
		phone VARCHAR(254) /*  */,
		S_13538 INT /**/,
		S_13558 INT /* - */,
		S_19064 INT /**/,
		S_19250 INT /*  - */,
		SBK_DOCD DATETIME /* -  */,
		SBK_DOCN VARCHAR(20) /* -  */,
		SBK_REGN VARCHAR(20) /* - . */,
		ser_pol varchar(15) /*. - */,
		SEX CHAR(1) /* (.)*/,
		year varchar(4) /* */, SQUERY int)
', 'SYS_2452444_0P30YFECE', 'SQUERY_SQL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (2048.00, 176.00, NULL, 12.00, '
	UPDATE #T_RES
	SET	addr = (SELECT REGISTR FROM #ADDRESS WHERE ID=S_13558) /*  */ FROM #T_RES T 
', 'SYS_2452444_0P30YFECE', 'SQUERY_SQL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (2048.00, 176.00, NULL, 13.00, '
	UPDATE #T_RES
	SET	phone = (SELECT PHONE_R FROM #ADDRESS WHERE ID=S_13558) /*  */ FROM #T_RES T 
', 'SYS_2452444_0P30YFECE', 'SQUERY_SQL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (2048.00, 176.00, NULL, 18.00, '
	UPDATE #T_RES
	SET	DOC_SN = ISNULL( (SELECT DOC_NUM FROM PERSON WHERE LINK=(SELECT PERS_LINK FROM EMPL WHERE LINK = S_13538)), '''') /* -   */ FROM #T_RES T 
', 'SYS_2452444_0P30YFECE', 'SQUERY_SQL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (2048.00, 176.00, NULL, 22.00, '
	UPDATE #T_RES
	SET	chief = (SELECT FACE_NAME FROM DICTIONARY_OTV_FACE WHERE LINK=S_19250) /**/ FROM #T_RES T 
', 'SYS_2452444_0P30YFECE', 'SQUERY_SQL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (2048.00, 176.00, NULL, 17.00, '
	UPDATE #T_RES
	SET	DOC_WHOM = ISNULL( (SELECT DOC_WHOM FROM PERSON WHERE LINK=(SELECT PERS_LINK FROM EMPL WHERE LINK = S_13538)), '''') /* -  */ FROM #T_RES T 
', 'SYS_2452444_0P30YFECE', 'SQUERY_SQL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (2048.00, 176.00, NULL, 5.00, '
	INSERT #T_RES (S_13538, S_13558, S_19064, S_19250, SBK_REGN, SBK_DOCN, SBK_DOCD, DATE_BEG, SQUERY) /*   */
	SELECT #workers.face, #ADDRESS.ID, DEP.LINK, DOTF.LINK, DEP.SBK_REGNUM, DEP.SBK_DOCNUM, DEP.SBK_DOCDATE, #WORKERS.START_DATE, 13537
	FROM #WORKERS, #ADDRESS, DICTIONARY_DEPARTMENT DEP, DICTIONARY_OTV_FACE DOTF
	WHERE #ADDRESS.FACE = #WORKERS.FACE
		AND #WORKERS.LINK_DEP=DEP.LINK
		AND (#workers.start_date <=@dDate_1) and (#workers.end_date>@dDate_1 or #workers.end_date is null)
		AND (DOTF.NAME='''')
		AND DEP.LINK=DOTF.DEP_LINK
		AND DEP.LINK=isnull(dbo.BK_getDepZB(), dbo.getowndeplink())
', 'SYS_2452444_0P30YFECE', 'SQUERY_SQL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (2048.00, 176.00, NULL, 15.00, '
	UPDATE #T_RES
	SET	SEX = CASE CAST( 
	isnull( (SELECT P.SEX FROM PERSON P  WHERE P.LINK=(SELECT PERS_LINK FROM EMPL WHERE LINK = S_13538)), 3) AS INTEGER)
WHEN 1 THEN ''''
WHEN 2 THEN ''''
WHEN 3 THEN ''-''
END /* (.)*/ FROM #T_RES T 
', 'SYS_2452444_0P30YFECE', 'SQUERY_SQL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (2048.00, 176.00, NULL, 20.00, '
	UPDATE #T_RES
	SET	num_pol = ISNULL((SELECT rtrim(ltrim(MED_POL_NUM)) FROM PERSON WHERE LINK=(SELECT PERS_LINK FROM EMPL WHERE LINK = S_13538)),'''') /*. - */ FROM #T_RES T 
', 'SYS_2452444_0P30YFECE', 'SQUERY_SQL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (2048.00, 176.00, NULL, 10.00, '
	UPDATE #T_RES
	SET	ot = (SELECT P.OT FROM PERSON P  WHERE P.LINK=(SELECT PERS_LINK FROM EMPL WHERE LINK = S_13538)) /**/ FROM #T_RES T 
', 'SYS_2452444_0P30YFECE', 'SQUERY_SQL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (2049.00, 139.00, NULL, NULL, 'S_13538', 'SYS_2452444_0P30YG991', 'SQUERY_FIELD_CODE')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (2049.00, 147.00, NULL, NULL, '1', 'SYS_2452444_0P30YG991', 'SQUERY_FIELD_NOT_RESULT')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (2049.00, 148.00, NULL, NULL, '0', 'SYS_2452444_0P30YG991', 'SQUERY_FIELD_ORDER_XL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (2049.00, 155.00, NULL, NULL, '1', 'SYS_2452444_0P30YG991', 'SQUERY_FIELD_TYPE')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (2053.00, 139.00, NULL, NULL, 'fm', 'SYS_2452444_0P30YGA3A', 'SQUERY_FIELD_CODE')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (2053.00, 140.00, NULL, NULL, '1', 'SYS_2452444_0P30YGA3A', 'SQUERY_FIELD_DIRECT_XL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (2053.00, 148.00, NULL, NULL, '1', 'SYS_2452444_0P30YGA3A', 'SQUERY_FIELD_ORDER_XL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (2053.00, 155.00, NULL, NULL, '3', 'SYS_2452444_0P30YGA3A', 'SQUERY_FIELD_TYPE')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (2057.00, 139.00, NULL, NULL, 'im', 'SYS_2452444_0P30YGFVZ', 'SQUERY_FIELD_CODE')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (2057.00, 140.00, NULL, NULL, '3', 'SYS_2452444_0P30YGFVZ', 'SQUERY_FIELD_DIRECT_XL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (2057.00, 148.00, NULL, NULL, '2', 'SYS_2452444_0P30YGFVZ', 'SQUERY_FIELD_ORDER_XL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (2057.00, 155.00, NULL, NULL, '3', 'SYS_2452444_0P30YGFVZ', 'SQUERY_FIELD_TYPE')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (2061.00, 139.00, NULL, NULL, 'ot', 'SYS_2452444_0P30YGJ1N', 'SQUERY_FIELD_CODE')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (2061.00, 140.00, NULL, NULL, '3', 'SYS_2452444_0P30YGJ1N', 'SQUERY_FIELD_DIRECT_XL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (2061.00, 148.00, NULL, NULL, '3', 'SYS_2452444_0P30YGJ1N', 'SQUERY_FIELD_ORDER_XL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (2061.00, 155.00, NULL, NULL, '3', 'SYS_2452444_0P30YGJ1N', 'SQUERY_FIELD_TYPE')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (2065.00, 139.00, NULL, NULL, 'year', 'SYS_2452444_0P30YGNKO', 'SQUERY_FIELD_CODE')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (2065.00, 140.00, NULL, NULL, '3', 'SYS_2452444_0P30YGNKO', 'SQUERY_FIELD_DIRECT_XL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (2065.00, 148.00, NULL, NULL, '4', 'SYS_2452444_0P30YGNKO', 'SQUERY_FIELD_ORDER_XL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (2065.00, 155.00, NULL, NULL, '3', 'SYS_2452444_0P30YGNKO', 'SQUERY_FIELD_TYPE')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (2069.00, 139.00, NULL, NULL, 'S_13558', 'SYS_2452444_0P30YGVSK', 'SQUERY_FIELD_CODE')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (2069.00, 147.00, NULL, NULL, '1', 'SYS_2452444_0P30YGVSK', 'SQUERY_FIELD_NOT_RESULT')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (2069.00, 148.00, NULL, NULL, '0', 'SYS_2452444_0P30YGVSK', 'SQUERY_FIELD_ORDER_XL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (2069.00, 155.00, NULL, NULL, '1', 'SYS_2452444_0P30YGVSK', 'SQUERY_FIELD_TYPE')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (2073.00, 139.00, NULL, NULL, 'addr', 'SYS_2452444_0P30YGVYC', 'SQUERY_FIELD_CODE')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (2073.00, 140.00, NULL, NULL, '3', 'SYS_2452444_0P30YGVYC', 'SQUERY_FIELD_DIRECT_XL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (2073.00, 148.00, NULL, NULL, '5', 'SYS_2452444_0P30YGVYC', 'SQUERY_FIELD_ORDER_XL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (2073.00, 155.00, NULL, NULL, '3', 'SYS_2452444_0P30YGVYC', 'SQUERY_FIELD_TYPE')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (2077.00, 139.00, NULL, NULL, 'phone', 'SYS_2452444_0P30YGYK3', 'SQUERY_FIELD_CODE')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (2077.00, 140.00, NULL, NULL, '3', 'SYS_2452444_0P30YGYK3', 'SQUERY_FIELD_DIRECT_XL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (2077.00, 148.00, NULL, NULL, '6', 'SYS_2452444_0P30YGYK3', 'SQUERY_FIELD_ORDER_XL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (2077.00, 155.00, NULL, NULL, '3', 'SYS_2452444_0P30YGYK3', 'SQUERY_FIELD_TYPE')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (3562.00, 139.00, NULL, NULL, 'S_19064', 'SYS_2452560_0SB0Q1VK4', 'SQUERY_FIELD_CODE')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (3562.00, 147.00, NULL, NULL, '1', 'SYS_2452560_0SB0Q1VK4', 'SQUERY_FIELD_NOT_RESULT')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (3562.00, 148.00, NULL, NULL, '0', 'SYS_2452560_0SB0Q1VK4', 'SQUERY_FIELD_ORDER_XL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (3562.00, 155.00, NULL, NULL, '1', 'SYS_2452560_0SB0Q1VK4', 'SQUERY_FIELD_TYPE')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (3566.00, 139.00, NULL, NULL, 'orgname', 'SYS_2452560_0SB0Q1VW4', 'SQUERY_FIELD_CODE')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (3566.00, 148.00, NULL, NULL, '0', 'SYS_2452560_0SB0Q1VW4', 'SQUERY_FIELD_ORDER_XL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (3566.00, 155.00, NULL, NULL, '3', 'SYS_2452560_0SB0Q1VW4', 'SQUERY_FIELD_TYPE')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (3642.00, 139.00, NULL, NULL, 'S_19250', 'SYS_2452562_0SD0MT3ZB', 'SQUERY_FIELD_CODE')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (3642.00, 147.00, NULL, NULL, '1', 'SYS_2452562_0SD0MT3ZB', 'SQUERY_FIELD_NOT_RESULT')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (3642.00, 155.00, NULL, NULL, '1', 'SYS_2452562_0SD0MT3ZB', 'SQUERY_FIELD_TYPE')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (3646.00, 139.00, NULL, NULL, 'chief', 'SYS_2452562_0SD0MT4BL', 'SQUERY_FIELD_CODE')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (3646.00, 148.00, NULL, NULL, '0', 'SYS_2452562_0SD0MT4BL', 'SQUERY_FIELD_ORDER_XL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (3646.00, 155.00, NULL, NULL, '3', 'SYS_2452562_0SD0MT4BL', 'SQUERY_FIELD_TYPE')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (10473.00, 139.00, NULL, NULL, 'BIRTHDAY', 'SYS_F778E105-0F63-49D6-82AA-674FBD8FE2CC', 'SQUERY_FIELD_CODE')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (10473.00, 148.00, NULL, NULL, '0', 'SYS_F778E105-0F63-49D6-82AA-674FBD8FE2CC', 'SQUERY_FIELD_ORDER_XL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (10473.00, 155.00, NULL, NULL, '3', 'SYS_F778E105-0F63-49D6-82AA-674FBD8FE2CC', 'SQUERY_FIELD_TYPE')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (10477.00, 139.00, NULL, NULL, 'SEX', 'SYS_400A60F0-CD39-4E9A-B56F-C7F4BD57D5D0', 'SQUERY_FIELD_CODE')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (10477.00, 148.00, NULL, NULL, '0', 'SYS_400A60F0-CD39-4E9A-B56F-C7F4BD57D5D0', 'SQUERY_FIELD_ORDER_XL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (10477.00, 155.00, NULL, NULL, '3', 'SYS_400A60F0-CD39-4E9A-B56F-C7F4BD57D5D0', 'SQUERY_FIELD_TYPE')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (10481.00, 139.00, NULL, NULL, 'DATE_BEG', 'SYS_65F2C304-A385-42B7-B515-77BC94B2D8E1', 'SQUERY_FIELD_CODE')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (10481.00, 148.00, NULL, NULL, '0', 'SYS_65F2C304-A385-42B7-B515-77BC94B2D8E1', 'SQUERY_FIELD_ORDER_XL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (10481.00, 155.00, NULL, NULL, '1', 'SYS_65F2C304-A385-42B7-B515-77BC94B2D8E1', 'SQUERY_FIELD_TYPE')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (10485.00, 139.00, NULL, NULL, 'DOCDATE', 'SYS_FB64A579-3F7E-492C-BE2C-60A6FB06E6E5', 'SQUERY_FIELD_CODE')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (10485.00, 148.00, NULL, NULL, '0', 'SYS_FB64A579-3F7E-492C-BE2C-60A6FB06E6E5', 'SQUERY_FIELD_ORDER_XL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (10485.00, 155.00, NULL, NULL, '3', 'SYS_FB64A579-3F7E-492C-BE2C-60A6FB06E6E5', 'SQUERY_FIELD_TYPE')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (10489.00, 139.00, NULL, NULL, 'DOC_WHOM', 'SYS_FE110753-1034-4AC2-9002-A245E5A4E70D', 'SQUERY_FIELD_CODE')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (10489.00, 148.00, NULL, NULL, '0', 'SYS_FE110753-1034-4AC2-9002-A245E5A4E70D', 'SQUERY_FIELD_ORDER_XL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (10489.00, 155.00, NULL, NULL, '3', 'SYS_FE110753-1034-4AC2-9002-A245E5A4E70D', 'SQUERY_FIELD_TYPE')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (10493.00, 139.00, NULL, NULL, 'DOC_SN', 'SYS_EC8D4C04-6285-408D-9288-549920E217F5', 'SQUERY_FIELD_CODE')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (10493.00, 148.00, NULL, NULL, '0', 'SYS_EC8D4C04-6285-408D-9288-549920E217F5', 'SQUERY_FIELD_ORDER_XL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (10493.00, 155.00, NULL, NULL, '3', 'SYS_EC8D4C04-6285-408D-9288-549920E217F5', 'SQUERY_FIELD_TYPE')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (10499.00, 163.00, NULL, NULL, '@nOption_2', 'SYS_D587B574-F9E5-45BC-ABDB-C3DC7FCC69CE', 'SQUERY_NASTR_CODE')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (10499.00, 166.00, NULL, NULL, '1', 'SYS_D587B574-F9E5-45BC-ABDB-C3DC7FCC69CE', 'SQUERY_NASTR_SAVE')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (10499.00, 167.00, NULL, NULL, ',,   " . "', 'SYS_D587B574-F9E5-45BC-ABDB-C3DC7FCC69CE', 'SQUERY_NASTR_SOURCE')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (10499.00, 168.00, NULL, NULL, '', 'SYS_D587B574-F9E5-45BC-ABDB-C3DC7FCC69CE', 'SQUERY_NASTR_VALUE')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (10500.00, 139.00, NULL, NULL, 'inn', 'SYS_D614C5C2-B32D-4BED-92A4-0934C103C666', 'SQUERY_FIELD_CODE')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (10500.00, 148.00, NULL, NULL, '0', 'SYS_D614C5C2-B32D-4BED-92A4-0934C103C666', 'SQUERY_FIELD_ORDER_XL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (10500.00, 155.00, NULL, NULL, '3', 'SYS_D614C5C2-B32D-4BED-92A4-0934C103C666', 'SQUERY_FIELD_TYPE')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (10508.00, 139.00, NULL, NULL, 'SBK_DOCD', 'BB8552A5-4E44-45D5-B5F5-548067178044', 'SQUERY_FIELD_CODE')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (10508.00, 148.00, NULL, NULL, '0', 'BB8552A5-4E44-45D5-B5F5-548067178044', 'SQUERY_FIELD_ORDER_XL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (10508.00, 155.00, NULL, NULL, '1', 'BB8552A5-4E44-45D5-B5F5-548067178044', 'SQUERY_FIELD_TYPE')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (10512.00, 139.00, NULL, NULL, 'SBK_DOCN', '75921104-C5D2-440C-BA21-684D9286F55E', 'SQUERY_FIELD_CODE')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (10512.00, 148.00, NULL, NULL, '0', '75921104-C5D2-440C-BA21-684D9286F55E', 'SQUERY_FIELD_ORDER_XL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (10512.00, 155.00, NULL, NULL, '1', '75921104-C5D2-440C-BA21-684D9286F55E', 'SQUERY_FIELD_TYPE')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (10516.00, 139.00, NULL, NULL, 'SBK_REGN', '589563F6-AEAD-45C9-A635-2AAD8ECCCAFC', 'SQUERY_FIELD_CODE')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (10516.00, 148.00, NULL, NULL, '0', '589563F6-AEAD-45C9-A635-2AAD8ECCCAFC', 'SQUERY_FIELD_ORDER_XL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (10516.00, 155.00, NULL, NULL, '1', '589563F6-AEAD-45C9-A635-2AAD8ECCCAFC', 'SQUERY_FIELD_TYPE')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (18771.00, 139.00, NULL, NULL, 'num_pol', 'SYS_B1E493F5-175F-4835-9864-4652C1E86188', 'SQUERY_FIELD_CODE')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (18771.00, 148.00, NULL, NULL, '0', 'SYS_B1E493F5-175F-4835-9864-4652C1E86188', 'SQUERY_FIELD_ORDER_XL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (18771.00, 155.00, NULL, NULL, '3', 'SYS_B1E493F5-175F-4835-9864-4652C1E86188', 'SQUERY_FIELD_TYPE')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (18772.00, 139.00, NULL, NULL, 'ser_pol', 'SYS_B4A8C95F-9EA4-4B89-BF41-D50BCB33E326', 'SQUERY_FIELD_CODE')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (18772.00, 148.00, NULL, NULL, '0', 'SYS_B4A8C95F-9EA4-4B89-BF41-D50BCB33E326', 'SQUERY_FIELD_ORDER_XL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (18772.00, 155.00, NULL, NULL, '3', 'SYS_B4A8C95F-9EA4-4B89-BF41-D50BCB33E326', 'SQUERY_FIELD_TYPE')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (18773.00, 139.00, NULL, NULL, 'num_pfr', '5410509D-6722-49E4-B299-DFE896DD36E4', 'SQUERY_FIELD_CODE')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (18773.00, 140.00, NULL, NULL, '3', '5410509D-6722-49E4-B299-DFE896DD36E4', 'SQUERY_FIELD_DIRECT_XL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (18773.00, 148.00, NULL, NULL, '7', '5410509D-6722-49E4-B299-DFE896DD36E4', 'SQUERY_FIELD_ORDER_XL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (18773.00, 151.00, NULL, NULL, '1', '5410509D-6722-49E4-B299-DFE896DD36E4', 'SQUERY_FIELD_SORT_XL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (18773.00, 155.00, NULL, NULL, '3', '5410509D-6722-49E4-B299-DFE896DD36E4', 'SQUERY_FIELD_TYPE')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (21648.00, 1.00, NULL, NULL, '0', 'SYS_3739540_198601991', 'SQUERY_NASTR_OPTIONAL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (21648.00, 168.00, NULL, NULL, ' ', 'SYS_3739540_198601991', 'SQUERY_NASTR_VALUE')

GO

		exec KIR_UPGRADE_OV 0
GO

		DROP TABLE #T_OV
GO

		DROP TABLE #T_OVV
GO


GO
		CREATE TABLE #T_OV (LINK int, NAME varchar(254), OBJECT int, CODE varchar(60), USERS VARCHAR(85), ORDERS int, LINK_SELF int, LINK_STATE int, CODE_OBJ varchar(60), CODE_SELF varchar(60), CODE_STATE varchar(60), SYS BIT)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (2325.00, '      ', 2688.00, 'SYS_2452488_0QB0P1G89', NULL, 0.00, 18221.00, NULL, 'SQUERY_USER', 'SYS_KADRY_REPORTS_CATALOG', NULL, 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (2328.00, '  ', 2686.00, 'SYS_2452488_0QB0PMKLI', NULL, 999.00, 2325.00, 1494.00, 'SQUERY_FIELD', 'SYS_2452488_0QB0P1G89', 'SYS_2452364_0MV0NQUS9', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (2340.00, '', 2686.00, 'SYS_2452488_0QB0PNKXU', NULL, 999.00, 2325.00, 1359.00, 'SQUERY_FIELD', 'SYS_2452488_0QB0P1G89', 'SYS_2452328_0LV0IROM7', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (2376.00, ' ', 2698.00, 'SYS_4186125_105015386', NULL, 1.00, 2325.00, 1451.00, 'SQUERY_NASTR', 'SYS_2452488_0QB0P1G89', 'SYS_2452362_0MT0KEIXO', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (15927.00, '', 2686.00, 'SYS_2452560_0SB0PNLMJ', NULL, 999.00, 2325.00, 3423.00, 'SQUERY_FIELD', 'SYS_2452488_0QB0P1G89', 'SYS_2452558_0S90YEMO0', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (2329.00, '', 2693.00, 'SYS_2452488_0QB0PMKQS', NULL, 0.00, 2328.00, 1494.00, 'SQUERY_LINK_BASE', 'SYS_2452488_0QB0PMKLI', 'SYS_2452364_0MV0NQUS9', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (2330.00, '', 2691.00, 'SYS_2452488_0QB0PMKS7', NULL, 0.00, 2328.00, 1494.00, 'SQUERY_LINK_SOURCE', 'SYS_2452488_0QB0PMKLI', 'SYS_2452364_0MV0NQUS9', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (2331.00, '', 2695.00, 'SYS_2452488_0QB0PMKSK', NULL, 0.00, 2328.00, 2325.00, 'SQUERY_LINK_SQUERY', 'SYS_2452488_0QB0PMKLI', 'SYS_2452488_0QB0P1G89', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (2332.00, ' - ', 2686.00, 'SYS_2452488_0QB0PML7J', NULL, 999.00, 2328.00, 1498.00, 'SQUERY_FIELD', 'SYS_2452488_0QB0PMKLI', 'SYS_2452364_0MV0NW2D1', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (2336.00, ' - ', 2686.00, 'SYS_2452488_0QB0PN40W', NULL, 999.00, 2328.00, 1500.00, 'SQUERY_FIELD', 'SYS_2452488_0QB0PMKLI', 'SYS_2452364_0MV0NXF4W', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (2341.00, '', 2693.00, 'SYS_2452488_0QB0PNKZ9', NULL, 0.00, 2340.00, 1359.00, 'SQUERY_LINK_BASE', 'SYS_2452488_0QB0PNKXU', 'SYS_2452328_0LV0IROM7', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (2342.00, '', 2691.00, 'SYS_2452488_0QB0PNL00', NULL, 0.00, 2340.00, 1359.00, 'SQUERY_LINK_SOURCE', 'SYS_2452488_0QB0PNKXU', 'SYS_2452328_0LV0IROM7', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (2343.00, '', 2695.00, 'SYS_2452488_0QB0PNL0C', NULL, 0.00, 2340.00, 2325.00, 'SQUERY_LINK_SQUERY', 'SYS_2452488_0QB0PNKXU', 'SYS_2452488_0QB0P1G89', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (2344.00, '', 2686.00, 'SYS_2452488_0QB0PNL2U', NULL, 999.00, 2340.00, 2327.00, 'SQUERY_FIELD', 'SYS_2452488_0QB0PNKXU', 'SYS_2452488_0QB0PGKXV', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (2348.00, '', 2686.00, 'SYS_2452488_0QB0PO5DC', NULL, 999.00, 2328.00, 1499.00, 'SQUERY_FIELD', 'SYS_2452488_0QB0PMKLI', 'SYS_2452364_0MV0NX5SA', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (2352.00, '', 2686.00, 'SYS_2452488_0QB0POYND', NULL, 999.00, 2340.00, 1361.00, 'SQUERY_FIELD', 'SYS_2452488_0QB0PNKXU', 'SYS_2452328_0LV0ITQUN', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (2356.00, '', 2686.00, 'SYS_2452488_0QB0PP6CF', NULL, 999.00, 2340.00, 1362.00, 'SQUERY_FIELD', 'SYS_2452488_0QB0PNKXU', 'SYS_2452328_0LV0IU1GV', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (2360.00, '', 2686.00, 'SYS_2452488_0QB0PPD2E', NULL, 999.00, 2340.00, 1363.00, 'SQUERY_FIELD', 'SYS_2452488_0QB0PNKXU', 'SYS_2452328_0LV0IU4O1', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (2364.00, '', 2686.00, 'SYS_2452488_0QB0PPRJP', NULL, 999.00, 2328.00, 1495.00, 'SQUERY_FIELD', 'SYS_2452488_0QB0PMKLI', 'SYS_2452364_0MV0NSE3G', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (2368.00, ' - ', 2686.00, 'SYS_2452488_0QB0PQ5CA', NULL, 999.00, 2328.00, 1497.00, 'SQUERY_FIELD', 'SYS_2452488_0QB0PMKLI', 'SYS_2452364_0MV0NVO6A', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (2372.00, '. ', 2686.00, 'SYS_2452488_0QB0PQQAO', NULL, 999.00, 2340.00, 1365.00, 'SQUERY_FIELD', 'SYS_2452488_0QB0PNKXU', 'SYS_2452328_0LV0IUPQW', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (2377.00, '', 2686.00, 'SYS_2452488_0QB0T3HK5', NULL, 999.00, 2340.00, 1454.00, 'SQUERY_FIELD', 'SYS_2452488_0QB0PNKXU', 'SYS_2452362_0MT0T5Y6N', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (15928.00, ' ', 2686.00, 'SYS_2452560_0SB0PNLPW', NULL, 999.00, 15927.00, 3426.00, 'SQUERY_FIELD', 'SYS_2452560_0SB0PNLMJ', 'SYS_2452558_0S90YIGV9', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (16244.00, '', 2693.00, 'SYS_2452560_0SB0PNLNN', NULL, 0.00, 15927.00, 3423.00, 'SQUERY_LINK_BASE', 'SYS_2452560_0SB0PNLMJ', 'SYS_2452558_0S90YEMO0', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (16588.00, '', 2691.00, 'SYS_2452560_0SB0PNLNX', NULL, 0.00, 15927.00, 3423.00, 'SQUERY_LINK_SOURCE', 'SYS_2452560_0SB0PNLMJ', 'SYS_2452558_0S90YEMO0', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (16908.00, '', 2695.00, 'SYS_2452560_0SB0PNLO8', NULL, 0.00, 15927.00, 2325.00, 'SQUERY_LINK_SQUERY', 'SYS_2452560_0SB0PNLMJ', 'SYS_2452488_0QB0P1G89', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (17086.00, '', 2694.00, 'SYS_2452589_0T40XWBJM', NULL, 0.00, 15927.00, 4000.00, 'SQUERY_LINK_STATE', 'SYS_2452560_0SB0PNLMJ', 'SYS_2452565_0SG128RND', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (17125.00, '', 2694.00, 'SYS_2452566_0SH0ON93E', NULL, 0.00, 2340.00, 4037.00, 'SQUERY_LINK_STATE', 'SYS_2452488_0QB0PNKXU', 'SYS_2452566_0SH0LVXGW', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (17134.00, '', 2694.00, 'SYS_2452560_0SB0PNIGQ', NULL, 0.00, 2328.00, 3365.00, 'SQUERY_LINK_STATE', 'SYS_2452488_0QB0PMKLI', 'SYS_2452554_0S50QSXCK', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (17135.00, '', 2694.00, 'SYS_2452560_0SB0PNIMN', NULL, 1.00, 2328.00, 3367.00, 'SQUERY_LINK_STATE', 'SYS_2452488_0QB0PMKLI', 'SYS_2452554_0S50QUJM1', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (2333.00, '', 2693.00, 'SYS_2452488_0QB0PML8P', NULL, 0.00, 2332.00, 1498.00, 'SQUERY_LINK_BASE', 'SYS_2452488_0QB0PML7J', 'SYS_2452364_0MV0NW2D1', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (2334.00, '', 2691.00, 'SYS_2452488_0QB0PML8Y', NULL, 0.00, 2332.00, 1498.00, 'SQUERY_LINK_SOURCE', 'SYS_2452488_0QB0PML7J', 'SYS_2452364_0MV0NW2D1', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (2335.00, '', 2695.00, 'SYS_2452488_0QB0PML9F', NULL, 0.00, 2332.00, 2325.00, 'SQUERY_LINK_SQUERY', 'SYS_2452488_0QB0PML7J', 'SYS_2452488_0QB0P1G89', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (2337.00, '', 2693.00, 'SYS_2452488_0QB0PN42B', NULL, 0.00, 2336.00, 1500.00, 'SQUERY_LINK_BASE', 'SYS_2452488_0QB0PN40W', 'SYS_2452364_0MV0NXF4W', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (2338.00, '', 2691.00, 'SYS_2452488_0QB0PN434', NULL, 0.00, 2336.00, 1500.00, 'SQUERY_LINK_SOURCE', 'SYS_2452488_0QB0PN40W', 'SYS_2452364_0MV0NXF4W', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (2339.00, '', 2695.00, 'SYS_2452488_0QB0PN43Z', NULL, 0.00, 2336.00, 2325.00, 'SQUERY_LINK_SQUERY', 'SYS_2452488_0QB0PN40W', 'SYS_2452488_0QB0P1G89', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (2345.00, '', 2693.00, 'SYS_2452488_0QB0PNL48', NULL, 0.00, 2344.00, 2327.00, 'SQUERY_LINK_BASE', 'SYS_2452488_0QB0PNL2U', 'SYS_2452488_0QB0PGKXV', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (2346.00, '', 2691.00, 'SYS_2452488_0QB0PNL4I', NULL, 0.00, 2344.00, 2327.00, 'SQUERY_LINK_SOURCE', 'SYS_2452488_0QB0PNL2U', 'SYS_2452488_0QB0PGKXV', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (2347.00, '', 2695.00, 'SYS_2452488_0QB0PNL4T', NULL, 0.00, 2344.00, 2325.00, 'SQUERY_LINK_SQUERY', 'SYS_2452488_0QB0PNL2U', 'SYS_2452488_0QB0P1G89', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (2349.00, '', 2693.00, 'SYS_2452488_0QB0PO5EQ', NULL, 0.00, 2348.00, 1499.00, 'SQUERY_LINK_BASE', 'SYS_2452488_0QB0PO5DC', 'SYS_2452364_0MV0NX5SA', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (2350.00, '', 2691.00, 'SYS_2452488_0QB0PO5F0', NULL, 0.00, 2348.00, 1499.00, 'SQUERY_LINK_SOURCE', 'SYS_2452488_0QB0PO5DC', 'SYS_2452364_0MV0NX5SA', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (2351.00, '', 2695.00, 'SYS_2452488_0QB0PO5FB', NULL, 0.00, 2348.00, 2325.00, 'SQUERY_LINK_SQUERY', 'SYS_2452488_0QB0PO5DC', 'SYS_2452488_0QB0P1G89', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (2353.00, '', 2693.00, 'SYS_2452488_0QB0POYOR', NULL, 0.00, 2352.00, 1361.00, 'SQUERY_LINK_BASE', 'SYS_2452488_0QB0POYND', 'SYS_2452328_0LV0ITQUN', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (2354.00, '', 2691.00, 'SYS_2452488_0QB0POYP2', NULL, 0.00, 2352.00, 1361.00, 'SQUERY_LINK_SOURCE', 'SYS_2452488_0QB0POYND', 'SYS_2452328_0LV0ITQUN', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (2355.00, '', 2695.00, 'SYS_2452488_0QB0POYPC', NULL, 0.00, 2352.00, 2325.00, 'SQUERY_LINK_SQUERY', 'SYS_2452488_0QB0POYND', 'SYS_2452488_0QB0P1G89', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (2357.00, '', 2693.00, 'SYS_2452488_0QB0PP6DT', NULL, 0.00, 2356.00, 1362.00, 'SQUERY_LINK_BASE', 'SYS_2452488_0QB0PP6CF', 'SYS_2452328_0LV0IU1GV', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (2358.00, '', 2691.00, 'SYS_2452488_0QB0PP6E3', NULL, 0.00, 2356.00, 1362.00, 'SQUERY_LINK_SOURCE', 'SYS_2452488_0QB0PP6CF', 'SYS_2452328_0LV0IU1GV', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (2359.00, '', 2695.00, 'SYS_2452488_0QB0PP6EE', NULL, 0.00, 2356.00, 2325.00, 'SQUERY_LINK_SQUERY', 'SYS_2452488_0QB0PP6CF', 'SYS_2452488_0QB0P1G89', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (2361.00, '', 2693.00, 'SYS_2452488_0QB0PPD3T', NULL, 0.00, 2360.00, 1363.00, 'SQUERY_LINK_BASE', 'SYS_2452488_0QB0PPD2E', 'SYS_2452328_0LV0IU4O1', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (2362.00, '', 2691.00, 'SYS_2452488_0QB0PPD43', NULL, 0.00, 2360.00, 1363.00, 'SQUERY_LINK_SOURCE', 'SYS_2452488_0QB0PPD2E', 'SYS_2452328_0LV0IU4O1', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (2363.00, '', 2695.00, 'SYS_2452488_0QB0PPD4F', NULL, 0.00, 2360.00, 2325.00, 'SQUERY_LINK_SQUERY', 'SYS_2452488_0QB0PPD2E', 'SYS_2452488_0QB0P1G89', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (2365.00, '', 2693.00, 'SYS_2452488_0QB0PPRKW', NULL, 0.00, 2364.00, 1495.00, 'SQUERY_LINK_BASE', 'SYS_2452488_0QB0PPRJP', 'SYS_2452364_0MV0NSE3G', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (2366.00, '', 2691.00, 'SYS_2452488_0QB0PPRLC', NULL, 0.00, 2364.00, 1495.00, 'SQUERY_LINK_SOURCE', 'SYS_2452488_0QB0PPRJP', 'SYS_2452364_0MV0NSE3G', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (2367.00, '', 2695.00, 'SYS_2452488_0QB0PPRLN', NULL, 0.00, 2364.00, 2325.00, 'SQUERY_LINK_SQUERY', 'SYS_2452488_0QB0PPRJP', 'SYS_2452488_0QB0P1G89', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (2369.00, '', 2693.00, 'SYS_2452488_0QB0PQ5DP', NULL, 0.00, 2368.00, 1497.00, 'SQUERY_LINK_BASE', 'SYS_2452488_0QB0PQ5CA', 'SYS_2452364_0MV0NVO6A', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (2370.00, '', 2691.00, 'SYS_2452488_0QB0PQ5DZ', NULL, 0.00, 2368.00, 1497.00, 'SQUERY_LINK_SOURCE', 'SYS_2452488_0QB0PQ5CA', 'SYS_2452364_0MV0NVO6A', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (2371.00, '', 2695.00, 'SYS_2452488_0QB0PQ5EG', NULL, 0.00, 2368.00, 2325.00, 'SQUERY_LINK_SQUERY', 'SYS_2452488_0QB0PQ5CA', 'SYS_2452488_0QB0P1G89', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (2373.00, '', 2693.00, 'SYS_2452488_0QB0PQQC2', NULL, 0.00, 2372.00, 1365.00, 'SQUERY_LINK_BASE', 'SYS_2452488_0QB0PQQAO', 'SYS_2452328_0LV0IUPQW', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (2374.00, '', 2691.00, 'SYS_2452488_0QB0PQQCC', NULL, 0.00, 2372.00, 1365.00, 'SQUERY_LINK_SOURCE', 'SYS_2452488_0QB0PQQAO', 'SYS_2452328_0LV0IUPQW', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (2375.00, '', 2695.00, 'SYS_2452488_0QB0PQQCP', NULL, 0.00, 2372.00, 2325.00, 'SQUERY_LINK_SQUERY', 'SYS_2452488_0QB0PQQAO', 'SYS_2452488_0QB0P1G89', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (2378.00, '', 2693.00, 'SYS_2452488_0QB0T3HPZ', NULL, 0.00, 2377.00, 1454.00, 'SQUERY_LINK_BASE', 'SYS_2452488_0QB0T3HK5', 'SYS_2452362_0MT0T5Y6N', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (2379.00, '', 2691.00, 'SYS_2452488_0QB0T3HQB', NULL, 0.00, 2377.00, 1454.00, 'SQUERY_LINK_SOURCE', 'SYS_2452488_0QB0T3HK5', 'SYS_2452362_0MT0T5Y6N', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (2380.00, '', 2695.00, 'SYS_2452488_0QB0T3HQM', NULL, 0.00, 2377.00, 2325.00, 'SQUERY_LINK_SQUERY', 'SYS_2452488_0QB0T3HK5', 'SYS_2452488_0QB0P1G89', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (16236.00, '', 2693.00, 'SYS_2452560_0SB0PNLR0', NULL, 0.00, 15928.00, 3426.00, 'SQUERY_LINK_BASE', 'SYS_2452560_0SB0PNLPW', 'SYS_2452558_0S90YIGV9', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (16580.00, '', 2691.00, 'SYS_2452560_0SB0PNLRK', NULL, 0.00, 15928.00, 3426.00, 'SQUERY_LINK_SOURCE', 'SYS_2452560_0SB0PNLPW', 'SYS_2452558_0S90YIGV9', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (16900.00, '', 2695.00, 'SYS_2452560_0SB0PNLRW', NULL, 0.00, 15928.00, 2325.00, 'SQUERY_LINK_SQUERY', 'SYS_2452560_0SB0PNLPW', 'SYS_2452488_0QB0P1G89', 1)

GO

		CREATE TABLE #T_OVV (LINK_UP int, PROPERTY int, USERS VARCHAR(85), ORDERS int, VALUE varchar(8000), CODE_UP varchar(60), CODE_PROP varchar(30))
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (2325.00, 137.00, NULL, NULL, '', 'SYS_2452488_0QB0P1G89', 'SQUERY_CHANGED')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (2325.00, 159.00, NULL, NULL, 'KIRREPMAKER.XLS', 'SYS_2452488_0QB0P1G89', 'SQUERY_GENERATOR')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (2325.00, 174.00, NULL, NULL, 'IIF(.T.,"REP_K_20003.XLT","")', 'SYS_2452488_0QB0P1G89', 'SQUERY_REPORT')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (2325.00, 175.00, NULL, NULL, '(1>0) order by subdiv_n, POST_CODE', 'SYS_2452488_0QB0P1G89', 'SQUERY_RES_WHERE')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (2325.00, 176.00, NULL, 11.00, '
	UPDATE #T_RES
	SET	TN = (SELECT TAB FROM EMPL WHERE LINK=S_14531) /*. */ FROM #T_RES T 
', 'SYS_2452488_0QB0P1G89', 'SQUERY_SQL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (2325.00, 176.00, NULL, 1.00, 'CREATE PROCEDURE #P_SQUERY
		@dDate_1 DATETIME /* */,
		@varKScTableInto varchar(20) = ''''
AS
BEGIN

	SET TRANSACTION ISOLATION LEVEL READ UNCOMMITTED
', 'SYS_2452488_0QB0P1G89', 'SQUERY_SQL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (2325.00, 176.00, NULL, 2.00, '
	CREATE TABLE  #WORKERS (FACE INT, START_DATE DATETIME, END_DATE DATETIME, STAFF INT,  LINK_DEP INT)
EXEC K_FILL_T_WORKERS @dDate_1

', 'SYS_2452488_0QB0P1G89', 'SQUERY_SQL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (2325.00, 176.00, NULL, 3.00, '
	CREATE TABLE #AGE ( LNK INT, BIRTH_ VARCHAR(10), AGE_ VARCHAR(30),
AGE_FULL VARCHAR(30)       )
EXEC K_FILL_T_AGE @dDate_1

', 'SYS_2452488_0QB0P1G89', 'SQUERY_SQL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (2325.00, 176.00, NULL, 4.00, '
	CREATE TABLE #STAFF 
( 
	num_otd INT, 
	LNK INT,
	LINK_OTD INT,
	SUBDIV_CODE VARCHAR(5),
	SUBDIV_NAME VARCHAR(254), 
	LINK_DOL INT,  
	POST_CODE VARCHAR(6),
	POST_NAME VARCHAR(254), 
	NORM  NUMERIC(20,2),
	FACT NUMERIC(20,2),  
	VAC  NUMERIC(20,2), 
	OKLAD NUMERIC(20,2), 
	FOT NUMERIC(20,2), 
	LEVEL_OTD INT, 
	CHIN_LINK INT,
	CHIN_CODE VARCHAR(10),
	CHIN VARCHAR(254),
	CONFIRMED NUMERIC(20,2),
	DEYAT_TYPE_LINK INT,
	DEYAT_TYPE VARCHAR(80),
	KATEG_LINK INT,
	KATEG_CODE VARCHAR(3),
	KATEG_DOL VARCHAR(40),
	GOSSL BIT,
	FEDERAL BIT, 
	FOND BIT,
	LINK_DEP INT, 
	LINK_PARENT INT, 
	NUM_PARENT INT,
	KAT_GOS_LINK INT,
	KAT_GOS_CODE VARCHAR(3),
	KAT_GOS_NAME VARCHAR(254),
	GR_GOS_LINK INT,
	GR_GOS_CODE VARCHAR(3),
	GR_GOS_NAME VARCHAR(254)
)


EXEC K_FILL_T_STAFF


', 'SYS_2452488_0QB0P1G89', 'SQUERY_SQL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (2325.00, 176.00, NULL, 5.00, '
	CREATE TABLE #T_RES (AGE_FULL varchar(30) /**/,
		FM VARCHAR(100) /**/,
		gender CHAR(1) /**/,
		IM VARCHAR(100) /**/,
		LEVEL_OTD INT /* - */,
		ORGNAME VARCHAR(120) /* */,
		OT VARCHAR(100) /**/,
		POST VARCHAR(254) /**/,
		POST_CODE varchar(6) /* - */,
		S_14519 int /*  */,
		S_14531 INT /**/,
		S_19030 INT /**/,
		SUBDIV VARCHAR(254) /**/,
		SUBDIV_N INT /* - */,
		TN VARCHAR(15) /*. */, SQUERY int)
', 'SYS_2452488_0QB0P1G89', 'SQUERY_SQL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (2325.00, 176.00, NULL, 15.00, '	
SELECT * FROM #T_RES2 
	WHERE (1>0) order by subdiv_n, POST_CODE

', 'SYS_2452488_0QB0P1G89', 'SQUERY_SQL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (2325.00, 176.00, NULL, 16.00, '
	DROP TABLE #T_RES
', 'SYS_2452488_0QB0P1G89', 'SQUERY_SQL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (2325.00, 176.00, NULL, 17.00, '
	DROP TABLE #WORKERS

	DROP TABLE #AGE

	DROP TABLE #STAFF

	SET TRANSACTION ISOLATION LEVEL READ COMMITTED

END', 'SYS_2452488_0QB0P1G89', 'SQUERY_SQL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (2325.00, 176.00, NULL, 6.00, '
	INSERT #T_RES (LEVEL_OTD, POST_CODE, POST, SUBDIV, SUBDIV_N, S_14519, S_14531, S_19030, SQUERY) /**/
	SELECT #STAFF.LEVEL_OTD, #staff.POST_CODE, #staff.POST_NAME, #staff.SUBDIV_NAME, #staff.num_otd, #STAFF.LNK, #workers.face, DEP.LINK, 14516
	FROM #STAFF, #WORKERS, DICTIONARY_DEPARTMENT DEP
	WHERE #STAFF.LINK_DEP=DEP.LINK
		AND #WORKERS.LINK_DEP=DEP.LINK
		AND (#staff.lnk=#workers.staff)
		AND (#workers.start_date <=@dDate_1) and (#workers.end_date>@dDate_1 or #workers.end_date is null)
		AND DEP.LINK=isnull(dbo.BK_getDepZB(), dbo.getowndeplink())
', 'SYS_2452488_0QB0P1G89', 'SQUERY_SQL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (2325.00, 176.00, NULL, 14.00, '
	SELECT S_14519 AS S_14519 /*  */,
		LEVEL_OTD AS LEVEL_OTD /* - */,
		POST_CODE AS POST_CODE /* - */,
		S_14531 AS S_14531 /**/,
		AGE_FULL AS AGE_FULL /**/,
		POST AS POST /**/,
		FM AS FM /**/,
		IM AS IM /**/,
		OT AS OT /**/,
		SUBDIV AS SUBDIV /**/,
		SUBDIV_N AS SUBDIV_N /* - */,
		TN AS TN /*. */,
		gender AS gender /**/,
		S_19030 AS S_19030 /**/,
		ORGNAME AS ORGNAME /* */
	INTO #T_RES2
	FROM #T_RES T
	GROUP BY S_14519, LEVEL_OTD, POST_CODE, S_14531, AGE_FULL, POST, FM, IM, OT, SUBDIV, SUBDIV_N, TN, gender, S_19030, ORGNAME


', 'SYS_2452488_0QB0P1G89', 'SQUERY_SQL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (2325.00, 176.00, NULL, 7.00, '
	UPDATE #T_RES
	SET	AGE_FULL = ( SELECT age_full from #age where lnk=S_14531 ) /**/ FROM #T_RES T 
', 'SYS_2452488_0QB0P1G89', 'SQUERY_SQL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (2325.00, 176.00, NULL, 8.00, '
	UPDATE #T_RES
	SET	FM = (SELECT P.FM FROM PERSON P WHERE P.LINK=(SELECT PERS_LINK FROM EMPL WHERE LINK = S_14531)) /**/ FROM #T_RES T 
', 'SYS_2452488_0QB0P1G89', 'SQUERY_SQL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (2325.00, 176.00, NULL, 9.00, '
	UPDATE #T_RES
	SET	IM = (SELECT P.IM FROM PERSON P  WHERE P.LINK=(SELECT PERS_LINK FROM EMPL WHERE LINK = S_14531)) /**/ FROM #T_RES T 
', 'SYS_2452488_0QB0P1G89', 'SQUERY_SQL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (2325.00, 176.00, NULL, 10.00, '
	UPDATE #T_RES
	SET	OT = (SELECT P.OT FROM PERSON P  WHERE P.LINK=(SELECT PERS_LINK FROM EMPL WHERE LINK = S_14531)) /**/ FROM #T_RES T 
', 'SYS_2452488_0QB0P1G89', 'SQUERY_SQL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (2325.00, 176.00, NULL, 12.00, '
	UPDATE #T_RES
	SET	gender = CASE CAST( 
	isnull( (SELECT P.SEX FROM PERSON P  WHERE P.LINK=(SELECT PERS_LINK FROM EMPL WHERE LINK = S_14531)), 3) AS INTEGER)
WHEN 1 THEN ''''
WHEN 2 THEN ''''
WHEN 3 THEN ''-''
END /**/ FROM #T_RES T 
', 'SYS_2452488_0QB0P1G89', 'SQUERY_SQL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (2325.00, 176.00, NULL, 13.00, '
	UPDATE #T_RES
	SET	ORGNAME = (SELECT NAME FROM DICTIONARY_DEPARTMENT WHERE LINK=S_19030) /* */ FROM #T_RES T 
', 'SYS_2452488_0QB0P1G89', 'SQUERY_SQL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (2325.00, 347.00, NULL, NULL, '', 'SYS_2452488_0QB0P1G89', 'QUERY_ADD_MODULE')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (2328.00, 139.00, NULL, NULL, 'S_14519', 'SYS_2452488_0QB0PMKLI', 'SQUERY_FIELD_CODE')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (2328.00, 140.00, NULL, NULL, '0', 'SYS_2452488_0QB0PMKLI', 'SQUERY_FIELD_DIRECT_XL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (2328.00, 148.00, NULL, NULL, '0', 'SYS_2452488_0QB0PMKLI', 'SQUERY_FIELD_ORDER_XL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (2328.00, 155.00, NULL, NULL, '1', 'SYS_2452488_0QB0PMKLI', 'SQUERY_FIELD_TYPE')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (2332.00, 139.00, NULL, NULL, 'LEVEL_OTD', 'SYS_2452488_0QB0PML7J', 'SQUERY_FIELD_CODE')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (2332.00, 140.00, NULL, NULL, '0', 'SYS_2452488_0QB0PML7J', 'SQUERY_FIELD_DIRECT_XL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (2332.00, 148.00, NULL, NULL, '0', 'SYS_2452488_0QB0PML7J', 'SQUERY_FIELD_ORDER_XL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (2332.00, 155.00, NULL, NULL, '1', 'SYS_2452488_0QB0PML7J', 'SQUERY_FIELD_TYPE')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (2336.00, 139.00, NULL, NULL, 'POST_CODE', 'SYS_2452488_0QB0PN40W', 'SQUERY_FIELD_CODE')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (2336.00, 140.00, NULL, NULL, '0', 'SYS_2452488_0QB0PN40W', 'SQUERY_FIELD_DIRECT_XL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (2336.00, 148.00, NULL, NULL, '0', 'SYS_2452488_0QB0PN40W', 'SQUERY_FIELD_ORDER_XL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (2336.00, 155.00, NULL, NULL, '1', 'SYS_2452488_0QB0PN40W', 'SQUERY_FIELD_TYPE')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (2340.00, 139.00, NULL, NULL, 'S_14531', 'SYS_2452488_0QB0PNKXU', 'SQUERY_FIELD_CODE')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (2340.00, 140.00, NULL, NULL, '0', 'SYS_2452488_0QB0PNKXU', 'SQUERY_FIELD_DIRECT_XL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (2340.00, 148.00, NULL, NULL, '0', 'SYS_2452488_0QB0PNKXU', 'SQUERY_FIELD_ORDER_XL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (2340.00, 155.00, NULL, NULL, '1', 'SYS_2452488_0QB0PNKXU', 'SQUERY_FIELD_TYPE')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (2344.00, 139.00, NULL, NULL, 'AGE_FULL', 'SYS_2452488_0QB0PNL2U', 'SQUERY_FIELD_CODE')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (2344.00, 140.00, NULL, NULL, '0', 'SYS_2452488_0QB0PNL2U', 'SQUERY_FIELD_DIRECT_XL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (2344.00, 148.00, NULL, NULL, '0', 'SYS_2452488_0QB0PNL2U', 'SQUERY_FIELD_ORDER_XL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (2344.00, 155.00, NULL, NULL, '3', 'SYS_2452488_0QB0PNL2U', 'SQUERY_FIELD_TYPE')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (2348.00, 139.00, NULL, NULL, 'POST', 'SYS_2452488_0QB0PO5DC', 'SQUERY_FIELD_CODE')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (2348.00, 140.00, NULL, NULL, '0', 'SYS_2452488_0QB0PO5DC', 'SQUERY_FIELD_DIRECT_XL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (2348.00, 148.00, NULL, NULL, '0', 'SYS_2452488_0QB0PO5DC', 'SQUERY_FIELD_ORDER_XL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (2348.00, 155.00, NULL, NULL, '1', 'SYS_2452488_0QB0PO5DC', 'SQUERY_FIELD_TYPE')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (2352.00, 139.00, NULL, NULL, 'FM', 'SYS_2452488_0QB0POYND', 'SQUERY_FIELD_CODE')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (2352.00, 140.00, NULL, NULL, '0', 'SYS_2452488_0QB0POYND', 'SQUERY_FIELD_DIRECT_XL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (2352.00, 148.00, NULL, NULL, '0', 'SYS_2452488_0QB0POYND', 'SQUERY_FIELD_ORDER_XL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (2352.00, 155.00, NULL, NULL, '3', 'SYS_2452488_0QB0POYND', 'SQUERY_FIELD_TYPE')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (2356.00, 139.00, NULL, NULL, 'IM', 'SYS_2452488_0QB0PP6CF', 'SQUERY_FIELD_CODE')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (2356.00, 140.00, NULL, NULL, '0', 'SYS_2452488_0QB0PP6CF', 'SQUERY_FIELD_DIRECT_XL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (2356.00, 148.00, NULL, NULL, '0', 'SYS_2452488_0QB0PP6CF', 'SQUERY_FIELD_ORDER_XL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (2356.00, 155.00, NULL, NULL, '3', 'SYS_2452488_0QB0PP6CF', 'SQUERY_FIELD_TYPE')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (2360.00, 139.00, NULL, NULL, 'OT', 'SYS_2452488_0QB0PPD2E', 'SQUERY_FIELD_CODE')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (2360.00, 140.00, NULL, NULL, '0', 'SYS_2452488_0QB0PPD2E', 'SQUERY_FIELD_DIRECT_XL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (2360.00, 148.00, NULL, NULL, '0', 'SYS_2452488_0QB0PPD2E', 'SQUERY_FIELD_ORDER_XL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (2360.00, 155.00, NULL, NULL, '3', 'SYS_2452488_0QB0PPD2E', 'SQUERY_FIELD_TYPE')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (2364.00, 139.00, NULL, NULL, 'SUBDIV', 'SYS_2452488_0QB0PPRJP', 'SQUERY_FIELD_CODE')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (2364.00, 140.00, NULL, NULL, '0', 'SYS_2452488_0QB0PPRJP', 'SQUERY_FIELD_DIRECT_XL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (2364.00, 148.00, NULL, NULL, '0', 'SYS_2452488_0QB0PPRJP', 'SQUERY_FIELD_ORDER_XL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (2364.00, 155.00, NULL, NULL, '1', 'SYS_2452488_0QB0PPRJP', 'SQUERY_FIELD_TYPE')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (2368.00, 139.00, NULL, NULL, 'SUBDIV_N', 'SYS_2452488_0QB0PQ5CA', 'SQUERY_FIELD_CODE')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (2368.00, 140.00, NULL, NULL, '0', 'SYS_2452488_0QB0PQ5CA', 'SQUERY_FIELD_DIRECT_XL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (2368.00, 148.00, NULL, NULL, '0', 'SYS_2452488_0QB0PQ5CA', 'SQUERY_FIELD_ORDER_XL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (2368.00, 155.00, NULL, NULL, '1', 'SYS_2452488_0QB0PQ5CA', 'SQUERY_FIELD_TYPE')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (2372.00, 139.00, NULL, NULL, 'TN', 'SYS_2452488_0QB0PQQAO', 'SQUERY_FIELD_CODE')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (2372.00, 148.00, NULL, NULL, '0', 'SYS_2452488_0QB0PQQAO', 'SQUERY_FIELD_ORDER_XL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (2372.00, 155.00, NULL, NULL, '3', 'SYS_2452488_0QB0PQQAO', 'SQUERY_FIELD_TYPE')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (2376.00, 1.00, NULL, NULL, '0', 'SYS_4186125_105015386', 'SQUERY_NASTR_OPTIONAL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (2376.00, 168.00, NULL, NULL, ' ', 'SYS_4186125_105015386', 'SQUERY_NASTR_VALUE')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (2377.00, 139.00, NULL, NULL, 'gender', 'SYS_2452488_0QB0T3HK5', 'SQUERY_FIELD_CODE')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (2377.00, 140.00, NULL, NULL, '0', 'SYS_2452488_0QB0T3HK5', 'SQUERY_FIELD_DIRECT_XL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (2377.00, 148.00, NULL, NULL, '0', 'SYS_2452488_0QB0T3HK5', 'SQUERY_FIELD_ORDER_XL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (2377.00, 155.00, NULL, NULL, '3', 'SYS_2452488_0QB0T3HK5', 'SQUERY_FIELD_TYPE')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (15927.00, 139.00, NULL, NULL, 'S_19030', 'SYS_2452560_0SB0PNLMJ', 'SQUERY_FIELD_CODE')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (15927.00, 148.00, NULL, NULL, '0', 'SYS_2452560_0SB0PNLMJ', 'SQUERY_FIELD_ORDER_XL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (15927.00, 155.00, NULL, NULL, '1', 'SYS_2452560_0SB0PNLMJ', 'SQUERY_FIELD_TYPE')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (15928.00, 139.00, NULL, NULL, 'ORGNAME', 'SYS_2452560_0SB0PNLPW', 'SQUERY_FIELD_CODE')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (15928.00, 148.00, NULL, NULL, '0', 'SYS_2452560_0SB0PNLPW', 'SQUERY_FIELD_ORDER_XL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (15928.00, 155.00, NULL, NULL, '3', 'SYS_2452560_0SB0PNLPW', 'SQUERY_FIELD_TYPE')

GO

		exec KIR_UPGRADE_OV 0 
GO

		DROP TABLE #T_OV
GO

		DROP TABLE #T_OVV
GO


GO
		CREATE TABLE #T_OV (LINK int, NAME varchar(254), OBJECT int, CODE varchar(60), USERS VARCHAR(85), ORDERS int, LINK_SELF int, LINK_STATE int, CODE_OBJ varchar(60), CODE_SELF varchar(60), CODE_STATE varchar(60), SYS BIT)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (7279.00, ' ', 2688.00, 'SYS_2452488_0QB0UMY90', NULL, 0.00, 16743.00, NULL, 'SQUERY_USER', 'SYS_KADRY_REPORTS_CATALOG', NULL, 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (7280.00, '  ', 2686.00, 'SYS_2452488_0QB0UP9DZ', NULL, 999.00, 7279.00, 6392.00, 'SQUERY_FIELD', 'SYS_2452488_0QB0UMY90', 'SYS_2452364_0MV0NQUS9', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (7288.00, '', 2686.00, 'SYS_2452488_0QB0UPGZD', NULL, 999.00, 7279.00, 6257.00, 'SQUERY_FIELD', 'SYS_2452488_0QB0UMY90', 'SYS_2452328_0LV0IROM7', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (14628.00, '', 2686.00, 'SYS_2452560_0SB0OR1G1', NULL, 999.00, 7279.00, 8321.00, 'SQUERY_FIELD', 'SYS_2452488_0QB0UMY90', 'SYS_2452558_0S90YEMO0', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (15859.00, ' ', 2698.00, 'SYS_1528993_916558654', NULL, 1.00, 7279.00, 6349.00, 'SQUERY_NASTR', 'SYS_2452488_0QB0UMY90', 'SYS_2452362_0MT0KEIXO', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (7281.00, '', 2693.00, 'SYS_2452488_0QB0UP9FW', NULL, 0.00, 7280.00, 6392.00, 'SQUERY_LINK_BASE', 'SYS_2452488_0QB0UP9DZ', 'SYS_2452364_0MV0NQUS9', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (7282.00, '', 2691.00, 'SYS_2452488_0QB0UP9HK', NULL, 0.00, 7280.00, 6392.00, 'SQUERY_LINK_SOURCE', 'SYS_2452488_0QB0UP9DZ', 'SYS_2452364_0MV0NQUS9', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (7283.00, '', 2695.00, 'SYS_2452488_0QB0UP9I5', NULL, 0.00, 7280.00, 7279.00, 'SQUERY_LINK_SQUERY', 'SYS_2452488_0QB0UP9DZ', 'SYS_2452488_0QB0UMY90', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (7284.00, '', 2686.00, 'SYS_2452488_0QB0UP9KN', NULL, 999.00, 7280.00, 6397.00, 'SQUERY_FIELD', 'SYS_2452488_0QB0UP9DZ', 'SYS_2452364_0MV0NX5SA', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (7289.00, '', 2693.00, 'SYS_2452488_0QB0UPH13', NULL, 0.00, 7288.00, 6257.00, 'SQUERY_LINK_BASE', 'SYS_2452488_0QB0UPGZD', 'SYS_2452328_0LV0IROM7', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (7290.00, '', 2691.00, 'SYS_2452488_0QB0UPH1N', NULL, 0.00, 7288.00, 6257.00, 'SQUERY_LINK_SOURCE', 'SYS_2452488_0QB0UPGZD', 'SYS_2452328_0LV0IROM7', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (7291.00, '', 2695.00, 'SYS_2452488_0QB0UPH27', NULL, 0.00, 7288.00, 7279.00, 'SQUERY_LINK_SQUERY', 'SYS_2452488_0QB0UPGZD', 'SYS_2452488_0QB0UMY90', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (7292.00, '', 2686.00, 'SYS_2452488_0QB0UPH59', NULL, 999.00, 7288.00, 6262.00, 'SQUERY_FIELD', 'SYS_2452488_0QB0UPGZD', 'SYS_2452328_0LV0IUCIO', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (7296.00, ' -   ', 2686.00, 'SYS_2452488_0QB0UPLHK', NULL, 999.00, 7288.00, 6268.00, 'SQUERY_FIELD', 'SYS_2452488_0QB0UPGZD', 'SYS_2452328_0LV0IXO9B', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (14420.00, ' -  ', 2686.00, 'SYS_B3418073-8703-498E-92BE-FAF605489849', NULL, 999.00, 7288.00, 6269.00, 'SQUERY_FIELD', 'SYS_2452488_0QB0UPGZD', 'SYS_2452328_0LV0IY5HN', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (14421.00, ' -  ', 2686.00, 'SYS_067C3628-61C3-456A-A20D-EFC7814828F0', NULL, 999.00, 7288.00, 6270.00, 'SQUERY_FIELD', 'SYS_2452488_0QB0UPGZD', 'SYS_2452328_0LV0IYNF0', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (14629.00, '', 2686.00, 'SYS_2452560_0SB0OR1K9', NULL, 999.00, 14628.00, 8323.00, 'SQUERY_FIELD', 'SYS_2452560_0SB0OR1G1', 'SYS_2452558_0S90YICU0', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (14945.00, '', 2693.00, 'SYS_2452560_0SB0OR1H7', NULL, 0.00, 14628.00, 8321.00, 'SQUERY_LINK_BASE', 'SYS_2452560_0SB0OR1G1', 'SYS_2452558_0S90YEMO0', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (15289.00, '', 2691.00, 'SYS_2452560_0SB0OR1HH', NULL, 0.00, 14628.00, 8321.00, 'SQUERY_LINK_SOURCE', 'SYS_2452560_0SB0OR1G1', 'SYS_2452558_0S90YEMO0', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (15609.00, '', 2695.00, 'SYS_2452560_0SB0OR1I0', NULL, 0.00, 14628.00, 7279.00, 'SQUERY_LINK_SQUERY', 'SYS_2452560_0SB0OR1G1', 'SYS_2452488_0QB0UMY90', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (15647.00, '', 2694.00, 'SYS_2452560_0SB0OQVIE', NULL, 0.00, 7280.00, 8263.00, 'SQUERY_LINK_STATE', 'SYS_2452488_0QB0UP9DZ', 'SYS_2452554_0S50QSXCK', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (15648.00, '', 2694.00, 'SYS_2452560_0SB0OQVPN', NULL, 1.00, 7280.00, 8265.00, 'SQUERY_LINK_STATE', 'SYS_2452488_0QB0UP9DZ', 'SYS_2452554_0S50QUJM1', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (15777.00, '', 2694.00, 'SYS_2452589_0T40Y5S5Y', NULL, 0.00, 14628.00, 8898.00, 'SQUERY_LINK_STATE', 'SYS_2452560_0SB0OR1G1', 'SYS_2452565_0SG128RND', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (15816.00, '', 2694.00, 'SYS_2452566_0SH0NFUD0', NULL, 0.00, 7288.00, 8935.00, 'SQUERY_LINK_STATE', 'SYS_2452488_0QB0UPGZD', 'SYS_2452566_0SH0LVXGW', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (7285.00, '', 2693.00, 'SYS_2452488_0QB0UP9ML', NULL, 0.00, 7284.00, 6397.00, 'SQUERY_LINK_BASE', 'SYS_2452488_0QB0UP9KN', 'SYS_2452364_0MV0NX5SA', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (7286.00, '', 2691.00, 'SYS_2452488_0QB0UP9N5', NULL, 0.00, 7284.00, 6397.00, 'SQUERY_LINK_SOURCE', 'SYS_2452488_0QB0UP9KN', 'SYS_2452364_0MV0NX5SA', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (7287.00, '', 2695.00, 'SYS_2452488_0QB0UP9O0', NULL, 0.00, 7284.00, 7279.00, 'SQUERY_LINK_SQUERY', 'SYS_2452488_0QB0UP9KN', 'SYS_2452488_0QB0UMY90', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (7293.00, '', 2693.00, 'SYS_2452488_0QB0UPH77', NULL, 0.00, 7292.00, 6262.00, 'SQUERY_LINK_BASE', 'SYS_2452488_0QB0UPH59', 'SYS_2452328_0LV0IUCIO', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (7294.00, '', 2691.00, 'SYS_2452488_0QB0UPH7Q', NULL, 0.00, 7292.00, 6262.00, 'SQUERY_LINK_SOURCE', 'SYS_2452488_0QB0UPH59', 'SYS_2452328_0LV0IUCIO', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (7295.00, '', 2695.00, 'SYS_2452488_0QB0UPH8B', NULL, 0.00, 7292.00, 7279.00, 'SQUERY_LINK_SQUERY', 'SYS_2452488_0QB0UPH59', 'SYS_2452488_0QB0UMY90', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (7297.00, '', 2693.00, 'SYS_2452488_0QB0UPLJA', NULL, 0.00, 7296.00, 6268.00, 'SQUERY_LINK_BASE', 'SYS_2452488_0QB0UPLHK', 'SYS_2452328_0LV0IXO9B', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (7298.00, '', 2691.00, 'SYS_2452488_0QB0UPLO0', NULL, 0.00, 7296.00, 6268.00, 'SQUERY_LINK_SOURCE', 'SYS_2452488_0QB0UPLHK', 'SYS_2452328_0LV0IXO9B', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (7299.00, '', 2695.00, 'SYS_2452488_0QB0UPLOK', NULL, 0.00, 7296.00, 7279.00, 'SQUERY_LINK_SQUERY', 'SYS_2452488_0QB0UPLHK', 'SYS_2452488_0QB0UMY90', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (14718.00, '', 2693.00, 'SYS_CB28DCA6-144A-4A9A-B70F-CE548C8664DE', NULL, 0.00, 14420.00, 6269.00, 'SQUERY_LINK_BASE', 'SYS_B3418073-8703-498E-92BE-FAF605489849', 'SYS_2452328_0LV0IY5HN', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (14719.00, '', 2693.00, 'SYS_B98520A4-804A-406B-9EF6-B380D12FF9F6', NULL, 0.00, 14421.00, 6270.00, 'SQUERY_LINK_BASE', 'SYS_067C3628-61C3-456A-A20D-EFC7814828F0', 'SYS_2452328_0LV0IYNF0', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (14934.00, '', 2693.00, 'SYS_2452560_0SB0OR1LP', NULL, 0.00, 14629.00, 8323.00, 'SQUERY_LINK_BASE', 'SYS_2452560_0SB0OR1K9', 'SYS_2452558_0S90YICU0', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (15060.00, '', 2691.00, 'SYS_60DA431E-F34D-4533-B0DD-D9FDDEE98BA8', NULL, 0.00, 14420.00, 6269.00, 'SQUERY_LINK_SOURCE', 'SYS_B3418073-8703-498E-92BE-FAF605489849', 'SYS_2452328_0LV0IY5HN', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (15061.00, '', 2691.00, 'SYS_8757D042-F749-4811-B8C6-7DAC42B98991', NULL, 0.00, 14421.00, 6270.00, 'SQUERY_LINK_SOURCE', 'SYS_067C3628-61C3-456A-A20D-EFC7814828F0', 'SYS_2452328_0LV0IYNF0', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (15278.00, '', 2691.00, 'SYS_2452560_0SB0OR1M6', NULL, 0.00, 14629.00, 8323.00, 'SQUERY_LINK_SOURCE', 'SYS_2452560_0SB0OR1K9', 'SYS_2452558_0S90YICU0', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (15376.00, '', 2695.00, 'SYS_062E4E05-3ADD-4FA4-BF9A-B5FC997B61DE', NULL, 0.00, 14420.00, 7279.00, 'SQUERY_LINK_SQUERY', 'SYS_B3418073-8703-498E-92BE-FAF605489849', 'SYS_2452488_0QB0UMY90', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (15377.00, '', 2695.00, 'SYS_F4018FA2-1C2F-4708-8A98-4717F03071FC', NULL, 0.00, 14421.00, 7279.00, 'SQUERY_LINK_SQUERY', 'SYS_067C3628-61C3-456A-A20D-EFC7814828F0', 'SYS_2452488_0QB0UMY90', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (15598.00, '', 2695.00, 'SYS_2452560_0SB0OR1MI', NULL, 0.00, 14629.00, 7279.00, 'SQUERY_LINK_SQUERY', 'SYS_2452560_0SB0OR1K9', 'SYS_2452488_0QB0UMY90', 1)

GO

		CREATE TABLE #T_OVV (LINK_UP int, PROPERTY int, USERS VARCHAR(85), ORDERS int, VALUE varchar(8000), CODE_UP varchar(60), CODE_PROP varchar(30))
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (7279.00, 137.00, NULL, NULL, '', 'SYS_2452488_0QB0UMY90', 'SQUERY_CHANGED')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (7279.00, 159.00, NULL, NULL, 'KIRREPMAKER.XLS', 'SYS_2452488_0QB0UMY90', 'SQUERY_GENERATOR')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (7279.00, 174.00, NULL, NULL, 'IIF(.T.,"REP_K_20031.XLT","")', 'SYS_2452488_0QB0UMY90', 'SQUERY_REPORT')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (7279.00, 175.00, NULL, NULL, '(1>0) ORDER BY FIO', 'SYS_2452488_0QB0UMY90', 'SQUERY_RES_WHERE')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (7279.00, 176.00, NULL, 1.00, 'CREATE PROCEDURE #P_SQUERY
		@dDate_1 DATETIME /* */,
		@varKScTableInto varchar(20) = ''''
AS
BEGIN

	SET TRANSACTION ISOLATION LEVEL READ UNCOMMITTED
', 'SYS_2452488_0QB0UMY90', 'SQUERY_SQL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (7279.00, 176.00, NULL, 2.00, '
	CREATE TABLE  #WORKERS (FACE INT, START_DATE DATETIME, END_DATE DATETIME, STAFF INT,  LINK_DEP INT)
EXEC K_FILL_T_WORKERS @dDate_1

', 'SYS_2452488_0QB0UMY90', 'SQUERY_SQL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (7279.00, 176.00, NULL, 6.00, '
	UPDATE #T_RES
	SET	FIO = (SELECT ( rtrim(P.FM) +'' '' +rtrim(substring( (P.IM),1,1))+''. ''+ rtrim(substring((P.OT),1,1) )+''. ''  ) FROM PERSON P WHERE P.LINK=(SELECT PERS_LINK FROM EMPL WHERE LINK = S_14593)) /**/ FROM #T_RES T 
', 'SYS_2452488_0QB0UMY90', 'SQUERY_SQL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (7279.00, 176.00, NULL, 3.00, '
	CREATE TABLE #STAFF 
( 
	num_otd INT, 
	LNK INT,
	LINK_OTD INT,
	SUBDIV_CODE VARCHAR(5),
	SUBDIV_NAME VARCHAR(254), 
	LINK_DOL INT,  
	POST_CODE VARCHAR(6),
	POST_NAME VARCHAR(254), 
	NORM  NUMERIC(20,2),
	FACT NUMERIC(20,2),  
	VAC  NUMERIC(20,2), 
	OKLAD NUMERIC(20,2), 
	FOT NUMERIC(20,2), 
	LEVEL_OTD INT, 
	CHIN_LINK INT,
	CHIN_CODE VARCHAR(10),
	CHIN VARCHAR(254),
	CONFIRMED NUMERIC(20,2),
	DEYAT_TYPE_LINK INT,
	DEYAT_TYPE VARCHAR(80),
	KATEG_LINK INT,
	KATEG_CODE VARCHAR(3),
	KATEG_DOL VARCHAR(40),
	GOSSL BIT,
	FEDERAL BIT, 
	FOND BIT,
	LINK_DEP INT, 
	LINK_PARENT INT, 
	NUM_PARENT INT,
	KAT_GOS_LINK INT,
	KAT_GOS_CODE VARCHAR(3),
	KAT_GOS_NAME VARCHAR(254),
	GR_GOS_LINK INT,
	GR_GOS_CODE VARCHAR(3),
	GR_GOS_NAME VARCHAR(254)
)


EXEC K_FILL_T_STAFF


', 'SYS_2452488_0QB0UMY90', 'SQUERY_SQL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (7279.00, 176.00, NULL, 7.00, '
	UPDATE #T_RES
	SET	PASSPORT = ISNULL( (SELECT DOC_NUM FROM PERSON WHERE LINK=(SELECT PERS_LINK FROM EMPL WHERE LINK = S_14593)), '''') /* -   */ FROM #T_RES T 
', 'SYS_2452488_0QB0UMY90', 'SQUERY_SQL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (7279.00, 176.00, NULL, 8.00, '
	UPDATE #T_RES
	SET	doc_date = (SELECT DOC_DATE FROM PERSON WHERE LINK = (SELECT PERS_LINK FROM EMPL WHERE LINK = S_14593)) /* -  */ FROM #T_RES T 
', 'SYS_2452488_0QB0UMY90', 'SQUERY_SQL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (7279.00, 176.00, NULL, 11.00, '
	SELECT S_14585 AS S_14585 /*  */,
		POST AS POST /**/,
		S_14593 AS S_14593 /**/,
		FIO AS FIO /**/,
		PASSPORT AS PASSPORT /* -   */,
		S_18948 AS S_18948 /**/,
		ORGNAME AS ORGNAME /**/,
		doc_date AS doc_date /* -  */,
		doc_whom AS doc_whom /* -  */
	INTO #T_RES2
	FROM #T_RES T
	GROUP BY S_14585, POST, S_14593, FIO, PASSPORT, S_18948, ORGNAME, doc_date, doc_whom


', 'SYS_2452488_0QB0UMY90', 'SQUERY_SQL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (7279.00, 176.00, NULL, 10.00, '
	UPDATE #T_RES
	SET	ORGNAME = (SELECT FULL_NAME FROM DICTIONARY_DEPARTMENT WHERE LINK=S_18948) /**/ FROM #T_RES T 
', 'SYS_2452488_0QB0UMY90', 'SQUERY_SQL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (7279.00, 176.00, NULL, 12.00, '	
SELECT * FROM #T_RES2 
	WHERE (1>0) ORDER BY FIO

', 'SYS_2452488_0QB0UMY90', 'SQUERY_SQL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (7279.00, 176.00, NULL, 9.00, '
	UPDATE #T_RES
	SET	doc_whom = ISNULL( (SELECT DOC_WHOM FROM PERSON WHERE LINK=(SELECT PERS_LINK FROM EMPL WHERE LINK = S_14593)), '''') /* -  */ FROM #T_RES T 
', 'SYS_2452488_0QB0UMY90', 'SQUERY_SQL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (7279.00, 176.00, NULL, 13.00, '
	DROP TABLE #T_RES
', 'SYS_2452488_0QB0UMY90', 'SQUERY_SQL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (7279.00, 176.00, NULL, 14.00, '
	DROP TABLE #WORKERS

	DROP TABLE #STAFF

	SET TRANSACTION ISOLATION LEVEL READ COMMITTED

END', 'SYS_2452488_0QB0UMY90', 'SQUERY_SQL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (7279.00, 176.00, NULL, 4.00, '
	CREATE TABLE #T_RES (doc_date DATETIME /* -  */,
		doc_whom VARCHAR(254) /* -  */,
		FIO VARCHAR(150) /**/,
		ORGNAME VARCHAR(254) /**/,
		PASSPORT VARCHAR(30) /* -   */,
		POST VARCHAR(254) /**/,
		S_14585 int /*  */,
		S_14593 INT /**/,
		S_18948 INT /**/, SQUERY int)
', 'SYS_2452488_0QB0UMY90', 'SQUERY_SQL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (7279.00, 176.00, NULL, 5.00, '
	INSERT #T_RES (POST, S_14585, S_14593, S_18948, SQUERY) /**/
	SELECT #staff.POST_NAME, #STAFF.LNK, #workers.face, DEP.LINK, 14580
	FROM #STAFF, #WORKERS, DICTIONARY_DEPARTMENT DEP
	WHERE #STAFF.LINK_DEP=DEP.LINK
		AND #WORKERS.LINK_DEP=DEP.LINK
		AND (#staff.lnk=#workers.staff)
		AND (#workers.start_date <=@dDate_1) and (#workers.end_date>@dDate_1 or #workers.end_date is null)
		AND DEP.LINK=isnull(dbo.BK_getDepZB(), dbo.getowndeplink())
', 'SYS_2452488_0QB0UMY90', 'SQUERY_SQL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (7280.00, 139.00, NULL, NULL, 'S_14585', 'SYS_2452488_0QB0UP9DZ', 'SQUERY_FIELD_CODE')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (7280.00, 147.00, NULL, NULL, '', 'SYS_2452488_0QB0UP9DZ', 'SQUERY_FIELD_NOT_RESULT')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (7280.00, 155.00, NULL, NULL, '1', 'SYS_2452488_0QB0UP9DZ', 'SQUERY_FIELD_TYPE')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (7284.00, 139.00, NULL, NULL, 'POST', 'SYS_2452488_0QB0UP9KN', 'SQUERY_FIELD_CODE')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (7284.00, 155.00, NULL, NULL, '1', 'SYS_2452488_0QB0UP9KN', 'SQUERY_FIELD_TYPE')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (7288.00, 139.00, NULL, NULL, 'S_14593', 'SYS_2452488_0QB0UPGZD', 'SQUERY_FIELD_CODE')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (7288.00, 155.00, NULL, NULL, '1', 'SYS_2452488_0QB0UPGZD', 'SQUERY_FIELD_TYPE')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (7292.00, 139.00, NULL, NULL, 'FIO', 'SYS_2452488_0QB0UPH59', 'SQUERY_FIELD_CODE')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (7292.00, 155.00, NULL, NULL, '3', 'SYS_2452488_0QB0UPH59', 'SQUERY_FIELD_TYPE')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (7296.00, 139.00, NULL, NULL, 'PASSPORT', 'SYS_2452488_0QB0UPLHK', 'SQUERY_FIELD_CODE')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (7296.00, 155.00, NULL, NULL, '3', 'SYS_2452488_0QB0UPLHK', 'SQUERY_FIELD_TYPE')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (14420.00, 139.00, NULL, NULL, 'doc_date', 'SYS_B3418073-8703-498E-92BE-FAF605489849', 'SQUERY_FIELD_CODE')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (14420.00, 155.00, NULL, NULL, '3', 'SYS_B3418073-8703-498E-92BE-FAF605489849', 'SQUERY_FIELD_TYPE')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (14421.00, 139.00, NULL, NULL, 'doc_whom', 'SYS_067C3628-61C3-456A-A20D-EFC7814828F0', 'SQUERY_FIELD_CODE')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (14421.00, 155.00, NULL, NULL, '3', 'SYS_067C3628-61C3-456A-A20D-EFC7814828F0', 'SQUERY_FIELD_TYPE')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (14628.00, 139.00, NULL, NULL, 'S_18948', 'SYS_2452560_0SB0OR1G1', 'SQUERY_FIELD_CODE')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (14628.00, 155.00, NULL, NULL, '1', 'SYS_2452560_0SB0OR1G1', 'SQUERY_FIELD_TYPE')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (14629.00, 139.00, NULL, NULL, 'ORGNAME', 'SYS_2452560_0SB0OR1K9', 'SQUERY_FIELD_CODE')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (14629.00, 155.00, NULL, NULL, '3', 'SYS_2452560_0SB0OR1K9', 'SQUERY_FIELD_TYPE')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (15859.00, 1.00, NULL, NULL, '0', 'SYS_1528993_916558654', 'SQUERY_NASTR_OPTIONAL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (15859.00, 168.00, NULL, NULL, ' ', 'SYS_1528993_916558654', 'SQUERY_NASTR_VALUE')

GO

		exec KIR_UPGRADE_OV 0 
GO

		DROP TABLE #T_OV
GO

		DROP TABLE #T_OVV
GO


GO
		CREATE TABLE #T_OV (LINK int, NAME varchar(254), OBJECT int, CODE varchar(60), USERS VARCHAR(85), ORDERS int, LINK_SELF int, LINK_STATE int, CODE_OBJ varchar(60), CODE_SELF varchar(60), CODE_STATE varchar(60), SYS BIT)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (2596.00, '   ', 2688.00, 'SYS_2452489_0QC0NO0HY', NULL, 0.00, 18221.00, NULL, 'SQUERY_USER', 'SYS_KADRY_REPORTS_CATALOG', NULL, 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (2597.00, '', 2686.00, 'SYS_2452489_0QC0NQ23D', NULL, 999.00, 2596.00, 1359.00, 'SQUERY_FIELD', 'SYS_2452489_0QC0NO0HY', 'SYS_2452328_0LV0IROM7', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (2621.00, '  ', 2686.00, 'SYS_2452489_0QC0NQY12', NULL, 999.00, 2596.00, 1494.00, 'SQUERY_FIELD', 'SYS_2452489_0QC0NO0HY', 'SYS_2452364_0MV0NQUS9', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (2633.00, ' ', 2698.00, 'SYS_2184628_616595434', NULL, 1.00, 2596.00, 1451.00, 'SQUERY_NASTR', 'SYS_2452489_0QC0NO0HY', 'SYS_2452362_0MT0KEIXO', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (2634.00, ' ', 2700.00, 'SYS_2452489_0QC0NU4WJ', NULL, 2.00, 2596.00, 46.00, 'SQUERY_LINK_NASTR', 'SYS_2452489_0QC0NO0HY', 'SYS_2452195_0I40N2T25', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (15935.00, '', 2686.00, 'SYS_2452560_0SB0PAJB7', NULL, 999.00, 2596.00, 3423.00, 'SQUERY_FIELD', 'SYS_2452489_0QC0NO0HY', 'SYS_2452558_0S90YEMO0', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (2598.00, '', 2693.00, 'SYS_2452489_0QC0NQ25A', NULL, 0.00, 2597.00, 1359.00, 'SQUERY_LINK_BASE', 'SYS_2452489_0QC0NQ23D', 'SYS_2452328_0LV0IROM7', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (2599.00, '', 2691.00, 'SYS_2452489_0QC0NQ25U', NULL, 0.00, 2597.00, 1359.00, 'SQUERY_LINK_SOURCE', 'SYS_2452489_0QC0NQ23D', 'SYS_2452328_0LV0IROM7', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (2600.00, '', 2695.00, 'SYS_2452489_0QC0NQ26E', NULL, 0.00, 2597.00, 2596.00, 'SQUERY_LINK_SQUERY', 'SYS_2452489_0QC0NQ23D', 'SYS_2452489_0QC0NO0HY', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (2601.00, '', 2686.00, 'SYS_2452489_0QC0NQ28W', NULL, 999.00, 2597.00, 1361.00, 'SQUERY_FIELD', 'SYS_2452489_0QC0NQ23D', 'SYS_2452328_0LV0ITQUN', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (2605.00, '', 2686.00, 'SYS_2452489_0QC0NQ8H5', NULL, 999.00, 2597.00, 1362.00, 'SQUERY_FIELD', 'SYS_2452489_0QC0NQ23D', 'SYS_2452328_0LV0IU1GV', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (2609.00, '', 2686.00, 'SYS_2452489_0QC0NQCEQ', NULL, 999.00, 2597.00, 1363.00, 'SQUERY_FIELD', 'SYS_2452489_0QC0NQ23D', 'SYS_2452328_0LV0IU4O1', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (2613.00, ' ()', 2686.00, 'SYS_2452489_0QC0NQJJP', NULL, 999.00, 2597.00, 2326.00, 'SQUERY_FIELD', 'SYS_2452489_0QC0NQ23D', 'SYS_2452488_0QB0PFMN0', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (2617.00, ' ', 2686.00, 'SYS_2452489_0QC0NQNU4', NULL, 999.00, 2597.00, 1367.00, 'SQUERY_FIELD', 'SYS_2452489_0QC0NQ23D', 'SYS_2452328_0LV0IV4AF', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (2622.00, '', 2693.00, 'SYS_2452489_0QC0NQY31', NULL, 0.00, 2621.00, 1494.00, 'SQUERY_LINK_BASE', 'SYS_2452489_0QC0NQY12', 'SYS_2452364_0MV0NQUS9', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (2623.00, '', 2691.00, 'SYS_2452489_0QC0NQY4F', NULL, 0.00, 2621.00, 1494.00, 'SQUERY_LINK_SOURCE', 'SYS_2452489_0QC0NQY12', 'SYS_2452364_0MV0NQUS9', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (2624.00, '', 2695.00, 'SYS_2452489_0QC0NQY9F', NULL, 0.00, 2621.00, 2596.00, 'SQUERY_LINK_SQUERY', 'SYS_2452489_0QC0NQY12', 'SYS_2452489_0QC0NO0HY', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (2625.00, '', 2686.00, 'SYS_2452489_0QC0NQYCH', NULL, 999.00, 2621.00, 1499.00, 'SQUERY_FIELD', 'SYS_2452489_0QC0NQY12', 'SYS_2452364_0MV0NX5SA', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (2629.00, '', 2686.00, 'SYS_2452489_0QC0NR01E', NULL, 999.00, 2621.00, 1495.00, 'SQUERY_FIELD', 'SYS_2452489_0QC0NQY12', 'SYS_2452364_0MV0NSE3G', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (15926.00, '', 2686.00, 'SYS_2452560_0SB0PAJKQ', NULL, 999.00, 15935.00, 3425.00, 'SQUERY_FIELD', 'SYS_2452560_0SB0PAJB7', 'SYS_2452558_0S90YICU0', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (16242.00, '', 2693.00, 'SYS_2452560_0SB0PAJHY', NULL, 0.00, 15935.00, 3423.00, 'SQUERY_LINK_BASE', 'SYS_2452560_0SB0PAJB7', 'SYS_2452558_0S90YEMO0', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (16586.00, '', 2691.00, 'SYS_2452560_0SB0PAJIH', NULL, 0.00, 15935.00, 3423.00, 'SQUERY_LINK_SOURCE', 'SYS_2452560_0SB0PAJB7', 'SYS_2452558_0S90YEMO0', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (16906.00, '', 2695.00, 'SYS_2452560_0SB0PAJIT', NULL, 0.00, 15935.00, 2596.00, 'SQUERY_LINK_SQUERY', 'SYS_2452560_0SB0PAJB7', 'SYS_2452489_0QC0NO0HY', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (17092.00, '', 2694.00, 'SYS_2452589_0T40XL06W', NULL, 0.00, 15935.00, 4000.00, 'SQUERY_LINK_STATE', 'SYS_2452560_0SB0PAJB7', 'SYS_2452565_0SG128RND', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (17128.00, '', 2694.00, 'SYS_2452566_0SH0NNUK7', NULL, 0.00, 2597.00, 4037.00, 'SQUERY_LINK_STATE', 'SYS_2452489_0QC0NQ23D', 'SYS_2452566_0SH0LVXGW', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (17142.00, '', 2694.00, 'SYS_2452560_0SB0PAOPE', NULL, 0.00, 2621.00, 3365.00, 'SQUERY_LINK_STATE', 'SYS_2452489_0QC0NQY12', 'SYS_2452554_0S50QSXCK', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (17143.00, '', 2694.00, 'SYS_2452560_0SB0PAOPP', NULL, 1.00, 2621.00, 3367.00, 'SQUERY_LINK_STATE', 'SYS_2452489_0QC0NQY12', 'SYS_2452554_0S50QUJM1', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (2602.00, '', 2693.00, 'SYS_2452489_0QC0NQ2AL', NULL, 0.00, 2601.00, 1361.00, 'SQUERY_LINK_BASE', 'SYS_2452489_0QC0NQ28W', 'SYS_2452328_0LV0ITQUN', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (2603.00, '', 2691.00, 'SYS_2452489_0QC0NQ2BD', NULL, 0.00, 2601.00, 1361.00, 'SQUERY_LINK_SOURCE', 'SYS_2452489_0QC0NQ28W', 'SYS_2452328_0LV0ITQUN', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (2604.00, '', 2695.00, 'SYS_2452489_0QC0NQ2BY', NULL, 0.00, 2601.00, 2596.00, 'SQUERY_LINK_SQUERY', 'SYS_2452489_0QC0NQ28W', 'SYS_2452489_0QC0NO0HY', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (2606.00, '', 2693.00, 'SYS_2452489_0QC0NQ8J2', NULL, 0.00, 2605.00, 1362.00, 'SQUERY_LINK_BASE', 'SYS_2452489_0QC0NQ8H5', 'SYS_2452328_0LV0IU1GV', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (2607.00, '', 2691.00, 'SYS_2452489_0QC0NQ8JD', NULL, 0.00, 2605.00, 1362.00, 'SQUERY_LINK_SOURCE', 'SYS_2452489_0QC0NQ8H5', 'SYS_2452328_0LV0IU1GV', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (2608.00, '', 2695.00, 'SYS_2452489_0QC0NQ8KF', NULL, 0.00, 2605.00, 2596.00, 'SQUERY_LINK_SQUERY', 'SYS_2452489_0QC0NQ8H5', 'SYS_2452489_0QC0NO0HY', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (2610.00, '', 2693.00, 'SYS_2452489_0QC0NQCGO', NULL, 0.00, 2609.00, 1363.00, 'SQUERY_LINK_BASE', 'SYS_2452489_0QC0NQCEQ', 'SYS_2452328_0LV0IU4O1', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (2611.00, '', 2691.00, 'SYS_2452489_0QC0NQCH8', NULL, 0.00, 2609.00, 1363.00, 'SQUERY_LINK_SOURCE', 'SYS_2452489_0QC0NQCEQ', 'SYS_2452328_0LV0IU4O1', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (2612.00, '', 2695.00, 'SYS_2452489_0QC0NQCI2', NULL, 0.00, 2609.00, 2596.00, 'SQUERY_LINK_SQUERY', 'SYS_2452489_0QC0NQCEQ', 'SYS_2452489_0QC0NO0HY', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (2614.00, '', 2693.00, 'SYS_2452489_0QC0NQJLG', NULL, 0.00, 2613.00, 2326.00, 'SQUERY_LINK_BASE', 'SYS_2452489_0QC0NQJJP', 'SYS_2452488_0QB0PFMN0', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (2615.00, '', 2691.00, 'SYS_2452489_0QC0NQJMA', NULL, 0.00, 2613.00, 2326.00, 'SQUERY_LINK_SOURCE', 'SYS_2452489_0QC0NQJJP', 'SYS_2452488_0QB0PFMN0', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (2616.00, '', 2695.00, 'SYS_2452489_0QC0NQJN2', NULL, 0.00, 2613.00, 2596.00, 'SQUERY_LINK_SQUERY', 'SYS_2452489_0QC0NQJJP', 'SYS_2452489_0QC0NO0HY', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (2618.00, '', 2693.00, 'SYS_2452489_0QC0NQNVU', NULL, 0.00, 2617.00, 1367.00, 'SQUERY_LINK_BASE', 'SYS_2452489_0QC0NQNU4', 'SYS_2452328_0LV0IV4AF', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (2619.00, '', 2691.00, 'SYS_2452489_0QC0NQNWM', NULL, 0.00, 2617.00, 1367.00, 'SQUERY_LINK_SOURCE', 'SYS_2452489_0QC0NQNU4', 'SYS_2452328_0LV0IV4AF', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (2620.00, '', 2695.00, 'SYS_2452489_0QC0NQNXI', NULL, 0.00, 2617.00, 2596.00, 'SQUERY_LINK_SQUERY', 'SYS_2452489_0QC0NQNU4', 'SYS_2452489_0QC0NO0HY', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (2626.00, '', 2693.00, 'SYS_2452489_0QC0NQYEF', NULL, 0.00, 2625.00, 1499.00, 'SQUERY_LINK_BASE', 'SYS_2452489_0QC0NQYCH', 'SYS_2452364_0MV0NX5SA', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (2627.00, '', 2691.00, 'SYS_2452489_0QC0NQYFJ', NULL, 0.00, 2625.00, 1499.00, 'SQUERY_LINK_SOURCE', 'SYS_2452489_0QC0NQYCH', 'SYS_2452364_0MV0NX5SA', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (2628.00, '', 2695.00, 'SYS_2452489_0QC0NQYHH', NULL, 0.00, 2625.00, 2596.00, 'SQUERY_LINK_SQUERY', 'SYS_2452489_0QC0NQYCH', 'SYS_2452489_0QC0NO0HY', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (2630.00, '', 2693.00, 'SYS_2452489_0QC0NR03K', NULL, 0.00, 2629.00, 1495.00, 'SQUERY_LINK_BASE', 'SYS_2452489_0QC0NR01E', 'SYS_2452364_0MV0NSE3G', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (2631.00, '', 2691.00, 'SYS_2452489_0QC0NR050', NULL, 0.00, 2629.00, 1495.00, 'SQUERY_LINK_SOURCE', 'SYS_2452489_0QC0NR01E', 'SYS_2452364_0MV0NSE3G', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (2632.00, '', 2695.00, 'SYS_2452489_0QC0NR05T', NULL, 0.00, 2629.00, 2596.00, 'SQUERY_LINK_SQUERY', 'SYS_2452489_0QC0NR01E', 'SYS_2452489_0QC0NO0HY', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (16243.00, '', 2693.00, 'SYS_2452560_0SB0PAJMD', NULL, 0.00, 15926.00, 3425.00, 'SQUERY_LINK_BASE', 'SYS_2452560_0SB0PAJKQ', 'SYS_2452558_0S90YICU0', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (16587.00, '', 2691.00, 'SYS_2452560_0SB0PAJMO', NULL, 0.00, 15926.00, 3425.00, 'SQUERY_LINK_SOURCE', 'SYS_2452560_0SB0PAJKQ', 'SYS_2452558_0S90YICU0', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (16907.00, '', 2695.00, 'SYS_2452560_0SB0PAJNH', NULL, 0.00, 15926.00, 2596.00, 'SQUERY_LINK_SQUERY', 'SYS_2452560_0SB0PAJKQ', 'SYS_2452489_0QC0NO0HY', 1)

GO

		CREATE TABLE #T_OVV (LINK_UP int, PROPERTY int, USERS VARCHAR(85), ORDERS int, VALUE varchar(8000), CODE_UP varchar(60), CODE_PROP varchar(30))
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (2596.00, 137.00, NULL, NULL, '', 'SYS_2452489_0QC0NO0HY', 'SQUERY_CHANGED')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (2596.00, 138.00, NULL, NULL, '1', 'SYS_2452489_0QC0NO0HY', 'SQUERY_DATETIME')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (2596.00, 159.00, NULL, NULL, 'KIRREPMAKER.XLS', 'SYS_2452489_0QC0NO0HY', 'SQUERY_GENERATOR')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (2596.00, 174.00, NULL, NULL, 'IIF(.T.,"REP_K_20006.XLT","")', 'SYS_2452489_0QC0NO0HY', 'SQUERY_REPORT')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (2596.00, 175.00, NULL, NULL, '(1>0) order by FM, AGE', 'SYS_2452489_0QC0NO0HY', 'SQUERY_RES_WHERE')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (2596.00, 176.00, NULL, 5.00, '
	CREATE TABLE #T_RES (AGE int /* ()*/,
		BIRTH DATETIME /* */,
		FM VARCHAR(100) /**/,
		IM VARCHAR(100) /**/,
		ORGNAME VARCHAR(254) /**/,
		OT VARCHAR(100) /**/,
		POST VARCHAR(254) /**/,
		S_14860 INT /**/,
		S_14884 int /*  */,
		S_18994 INT /**/,
		SUBDIV VARCHAR(254) /**/, SQUERY int)
', 'SYS_2452489_0QC0NO0HY', 'SQUERY_SQL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (2596.00, 176.00, NULL, 6.00, '
	INSERT #T_RES (AGE, POST, SUBDIV, S_14860, S_14884, S_18994, SQUERY) /**/
	SELECT cast( #age.age_ as int), #staff.POST_NAME, #staff.SUBDIV_NAME, #workers.face, #STAFF.LNK, DEP.LINK, 14859
	FROM #STAFF, #AGE, #WORKERS, DICTIONARY_DEPARTMENT DEP
	WHERE #STAFF.LINK_DEP=DEP.LINK
		AND #WORKERS.LINK_DEP=DEP.LINK
		AND (#AGE.LNK=#WORKERS.FACE)
		AND (#staff.lnk=#workers.staff)
		AND (#workers.start_date <=@dDate_1) and (#workers.end_date>@dDate_1 or #workers.end_date is null)
		AND DEP.LINK=isnull(dbo.BK_getDepZB(), dbo.getowndeplink())
		AND (cast(substring(#age.birth_,4,2) as int) =@nMonth2_2) 

', 'SYS_2452489_0QC0NO0HY', 'SQUERY_SQL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (2596.00, 176.00, NULL, 12.00, '
	SELECT S_14860 AS S_14860 /**/,
		FM AS FM /**/,
		IM AS IM /**/,
		OT AS OT /**/,
		AGE AS AGE /* ()*/,
		BIRTH AS BIRTH /* */,
		S_14884 AS S_14884 /*  */,
		POST AS POST /**/,
		SUBDIV AS SUBDIV /**/,
		S_18994 AS S_18994 /**/,
		ORGNAME AS ORGNAME /**/
	INTO #T_RES2
	FROM #T_RES T
	GROUP BY S_14860, FM, IM, OT, AGE, BIRTH, S_14884, POST, SUBDIV, S_18994, ORGNAME
	order by FM,BIRTH


', 'SYS_2452489_0QC0NO0HY', 'SQUERY_SQL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (2596.00, 176.00, NULL, 8.00, '
	UPDATE #T_RES
	SET	IM = (SELECT P.IM FROM PERSON P  WHERE P.LINK=(SELECT PERS_LINK FROM EMPL WHERE LINK = S_14860)) /**/ FROM #T_RES T 
', 'SYS_2452489_0QC0NO0HY', 'SQUERY_SQL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (2596.00, 176.00, NULL, 3.00, '
	CREATE TABLE #AGE ( LNK INT, BIRTH_ VARCHAR(10), AGE_ VARCHAR(30),
AGE_FULL VARCHAR(30)       )
EXEC K_FILL_T_AGE @dDate_1

', 'SYS_2452489_0QC0NO0HY', 'SQUERY_SQL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (2596.00, 176.00, NULL, 4.00, '
	CREATE TABLE #STAFF 
( 
	num_otd INT, 
	LNK INT,
	LINK_OTD INT,
	SUBDIV_CODE VARCHAR(5),
	SUBDIV_NAME VARCHAR(254), 
	LINK_DOL INT,  
	POST_CODE VARCHAR(6),
	POST_NAME VARCHAR(254), 
	NORM  NUMERIC(20,2),
	FACT NUMERIC(20,2),  
	VAC  NUMERIC(20,2), 
	OKLAD NUMERIC(20,2), 
	FOT NUMERIC(20,2), 
	LEVEL_OTD INT, 
	CHIN_LINK INT,
	CHIN_CODE VARCHAR(10),
	CHIN VARCHAR(254),
	CONFIRMED NUMERIC(20,2),
	DEYAT_TYPE_LINK INT,
	DEYAT_TYPE VARCHAR(80),
	KATEG_LINK INT,
	KATEG_CODE VARCHAR(3),
	KATEG_DOL VARCHAR(40),
	GOSSL BIT,
	FEDERAL BIT, 
	FOND BIT,
	LINK_DEP INT, 
	LINK_PARENT INT, 
	NUM_PARENT INT,
	KAT_GOS_LINK INT,
	KAT_GOS_CODE VARCHAR(3),
	KAT_GOS_NAME VARCHAR(254),
	GR_GOS_LINK INT,
	GR_GOS_CODE VARCHAR(3),
	GR_GOS_NAME VARCHAR(254)
)


EXEC K_FILL_T_STAFF


', 'SYS_2452489_0QC0NO0HY', 'SQUERY_SQL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (2596.00, 176.00, NULL, 14.00, '
	DROP TABLE #T_RES
', 'SYS_2452489_0QC0NO0HY', 'SQUERY_SQL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (2596.00, 176.00, NULL, 15.00, '
	DROP TABLE #WORKERS

	DROP TABLE #AGE

	DROP TABLE #STAFF

	SET TRANSACTION ISOLATION LEVEL READ COMMITTED

END', 'SYS_2452489_0QC0NO0HY', 'SQUERY_SQL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (2596.00, 176.00, NULL, 1.00, 'CREATE PROCEDURE #P_SQUERY
		@dDate_1 DATETIME /* */,
		@nMonth2_2 INT /* */,
		@varKScTableInto varchar(20) = ''''
AS
BEGIN

	SET TRANSACTION ISOLATION LEVEL READ UNCOMMITTED
', 'SYS_2452489_0QC0NO0HY', 'SQUERY_SQL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (2596.00, 176.00, NULL, 7.00, '
	UPDATE #T_RES
	SET	FM = (SELECT P.FM FROM PERSON P WHERE P.LINK=(SELECT PERS_LINK FROM EMPL WHERE LINK = S_14860)) /**/ FROM #T_RES T 
', 'SYS_2452489_0QC0NO0HY', 'SQUERY_SQL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (2596.00, 176.00, NULL, 2.00, '
	CREATE TABLE  #WORKERS (FACE INT, START_DATE DATETIME, END_DATE DATETIME, STAFF INT,  LINK_DEP INT)
EXEC K_FILL_T_WORKERS @dDate_1

', 'SYS_2452489_0QC0NO0HY', 'SQUERY_SQL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (2596.00, 176.00, NULL, 9.00, '
	UPDATE #T_RES
	SET	OT = (SELECT P.OT FROM PERSON P  WHERE P.LINK=(SELECT PERS_LINK FROM EMPL WHERE LINK = S_14860)) /**/ FROM #T_RES T 
', 'SYS_2452489_0QC0NO0HY', 'SQUERY_SQL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (2596.00, 176.00, NULL, 10.00, '
	UPDATE #T_RES
	SET	BIRTH = (select p.birthdate from person p where p.link=(SELECT PERS_LINK FROM EMPL WHERE LINK = S_14860)) /* */ FROM #T_RES T 
', 'SYS_2452489_0QC0NO0HY', 'SQUERY_SQL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (2596.00, 176.00, NULL, 11.00, '
	UPDATE #T_RES
	SET	ORGNAME = (SELECT FULL_NAME FROM DICTIONARY_DEPARTMENT WHERE LINK=S_18994) /**/ FROM #T_RES T 
', 'SYS_2452489_0QC0NO0HY', 'SQUERY_SQL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (2596.00, 176.00, NULL, 13.00, '	
SELECT * FROM #T_RES2 
	WHERE (1>0) order by FM, AGE

', 'SYS_2452489_0QC0NO0HY', 'SQUERY_SQL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (2596.00, 179.00, NULL, NULL, '1', 'SYS_2452489_0QC0NO0HY', 'SQUERY_TOTALCOLUMN')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (2596.00, 180.00, NULL, NULL, '1', 'SYS_2452489_0QC0NO0HY', 'SQUERY_TOTALROW')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (2597.00, 139.00, NULL, NULL, 'S_14860', 'SYS_2452489_0QC0NQ23D', 'SQUERY_FIELD_CODE')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (2597.00, 155.00, NULL, NULL, '1', 'SYS_2452489_0QC0NQ23D', 'SQUERY_FIELD_TYPE')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (2597.00, 158.00, NULL, NULL, '(cast(substring(#age.birth_,4,2) as int) =@nMonth2_2) 
', 'SYS_2452489_0QC0NQ23D', 'SQUERY_FORMULA')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (2601.00, 139.00, NULL, NULL, 'FM', 'SYS_2452489_0QC0NQ28W', 'SQUERY_FIELD_CODE')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (2601.00, 155.00, NULL, NULL, '3', 'SYS_2452489_0QC0NQ28W', 'SQUERY_FIELD_TYPE')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (2605.00, 139.00, NULL, NULL, 'IM', 'SYS_2452489_0QC0NQ8H5', 'SQUERY_FIELD_CODE')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (2605.00, 155.00, NULL, NULL, '3', 'SYS_2452489_0QC0NQ8H5', 'SQUERY_FIELD_TYPE')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (2609.00, 139.00, NULL, NULL, 'OT', 'SYS_2452489_0QC0NQCEQ', 'SQUERY_FIELD_CODE')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (2609.00, 155.00, NULL, NULL, '3', 'SYS_2452489_0QC0NQCEQ', 'SQUERY_FIELD_TYPE')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (2613.00, 139.00, NULL, NULL, 'AGE', 'SYS_2452489_0QC0NQJJP', 'SQUERY_FIELD_CODE')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (2613.00, 155.00, NULL, NULL, '1', 'SYS_2452489_0QC0NQJJP', 'SQUERY_FIELD_TYPE')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (2617.00, 139.00, NULL, NULL, 'BIRTH', 'SYS_2452489_0QC0NQNU4', 'SQUERY_FIELD_CODE')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (2617.00, 155.00, NULL, NULL, '3', 'SYS_2452489_0QC0NQNU4', 'SQUERY_FIELD_TYPE')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (2621.00, 139.00, NULL, NULL, 'S_14884', 'SYS_2452489_0QC0NQY12', 'SQUERY_FIELD_CODE')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (2621.00, 155.00, NULL, NULL, '1', 'SYS_2452489_0QC0NQY12', 'SQUERY_FIELD_TYPE')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (2625.00, 139.00, NULL, NULL, 'POST', 'SYS_2452489_0QC0NQYCH', 'SQUERY_FIELD_CODE')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (2625.00, 147.00, NULL, NULL, '', 'SYS_2452489_0QC0NQYCH', 'SQUERY_FIELD_NOT_RESULT')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (2625.00, 155.00, NULL, NULL, '1', 'SYS_2452489_0QC0NQYCH', 'SQUERY_FIELD_TYPE')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (2629.00, 139.00, NULL, NULL, 'SUBDIV', 'SYS_2452489_0QC0NR01E', 'SQUERY_FIELD_CODE')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (2629.00, 155.00, NULL, NULL, '1', 'SYS_2452489_0QC0NR01E', 'SQUERY_FIELD_TYPE')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (2633.00, 1.00, NULL, NULL, '0', 'SYS_2184628_616595434', 'SQUERY_NASTR_OPTIONAL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (2633.00, 166.00, NULL, NULL, '1', 'SYS_2184628_616595434', 'SQUERY_NASTR_SAVE')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (2633.00, 168.00, NULL, NULL, ' ', 'SYS_2184628_616595434', 'SQUERY_NASTR_VALUE')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (2634.00, 163.00, NULL, NULL, '@nMonth2_2', 'SYS_2452489_0QC0NU4WJ', 'SQUERY_NASTR_CODE')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (2634.00, 166.00, NULL, NULL, '1', 'SYS_2452489_0QC0NU4WJ', 'SQUERY_NASTR_SAVE')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (2634.00, 168.00, NULL, NULL, ' ', 'SYS_2452489_0QC0NU4WJ', 'SQUERY_NASTR_VALUE')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (15926.00, 139.00, NULL, NULL, 'ORGNAME', 'SYS_2452560_0SB0PAJKQ', 'SQUERY_FIELD_CODE')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (15926.00, 155.00, NULL, NULL, '3', 'SYS_2452560_0SB0PAJKQ', 'SQUERY_FIELD_TYPE')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (15935.00, 139.00, NULL, NULL, 'S_18994', 'SYS_2452560_0SB0PAJB7', 'SQUERY_FIELD_CODE')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (15935.00, 155.00, NULL, NULL, '1', 'SYS_2452560_0SB0PAJB7', 'SQUERY_FIELD_TYPE')

GO

		exec KIR_UPGRADE_OV 4 
GO

		DROP TABLE #T_OV
GO

		DROP TABLE #T_OVV
GO


GO
		CREATE TABLE #T_OV (LINK int, NAME varchar(254), OBJECT int, CODE varchar(60), USERS VARCHAR(85), ORDERS int, LINK_SELF int, LINK_STATE int, CODE_OBJ varchar(60), CODE_SELF varchar(60), CODE_STATE varchar(60), SYS BIT)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (1907.00, '  ,   ', 2688.00, 'SYS_2452576_0SR0TQVWA', NULL, 0.00, 18000.00, NULL, 'SQUERY_USER', 'SYS_KADRY_REPORTS_CATALOG', NULL, 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (1908.00, ' - ', 2686.00, 'SYS_2452576_0SR0TRR3C', NULL, 999.00, 1907.00, 775.00, 'SQUERY_FIELD', 'SYS_2452576_0SR0TQVWA', 'SYS_2452558_0S90YEMO0', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (1916.00, '', 2686.00, 'SYS_2452576_0SR0TRYIX', NULL, 999.00, 1907.00, 10203.00, 'SQUERY_FIELD', 'SYS_2452576_0SR0TQVWA', 'SYS_2452328_0LV0IROM7', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (1924.00, '   - ', 2686.00, 'SYS_2452576_0SR0TS5Z2', NULL, 999.00, 1907.00, 10996.00, 'SQUERY_FIELD', 'SYS_2452576_0SR0TQVWA', 'SYS_2452468_0PR0K604U', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (1940.00, '  ', 2686.00, 'SYS_2452576_0SR0TSIXC', NULL, 999.00, 1907.00, 10338.00, 'SQUERY_FIELD', 'SYS_2452576_0SR0TQVWA', 'SYS_2452364_0MV0NQUS9', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (1955.00, ' ', 2698.00, 'SYS_3454631_312472571', NULL, 1.00, 1907.00, 10295.00, 'SQUERY_NASTR', 'SYS_2452576_0SR0TQVWA', 'SYS_2452362_0MT0KEIXO', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (1909.00, '', 2693.00, 'SYS_2452576_0SR0TRR5L', NULL, 0.00, 1908.00, 775.00, 'SQUERY_LINK_BASE', 'SYS_2452576_0SR0TRR3C', 'SYS_2452558_0S90YEMO0', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (1910.00, '', 2691.00, 'SYS_2452576_0SR0TRR65', NULL, 0.00, 1908.00, 775.00, 'SQUERY_LINK_SOURCE', 'SYS_2452576_0SR0TRR3C', 'SYS_2452558_0S90YEMO0', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (1911.00, '', 2695.00, 'SYS_2452576_0SR0TRR6Y', NULL, 0.00, 1908.00, 1907.00, 'SQUERY_LINK_SQUERY', 'SYS_2452576_0SR0TRR3C', 'SYS_2452576_0SR0TQVWA', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (1912.00, ' ', 2686.00, 'SYS_2452576_0SR0TRR95', NULL, 999.00, 1908.00, 778.00, 'SQUERY_FIELD', 'SYS_2452576_0SR0TRR3C', 'SYS_2452558_0S90YIGV9', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (1917.00, '', 2693.00, 'SYS_2452576_0SR0TRYKN', NULL, 0.00, 1916.00, 10203.00, 'SQUERY_LINK_BASE', 'SYS_2452576_0SR0TRYIX', 'SYS_2452328_0LV0IROM7', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (1918.00, '', 2691.00, 'SYS_2452576_0SR0TRYL7', NULL, 0.00, 1916.00, 10203.00, 'SQUERY_LINK_SOURCE', 'SYS_2452576_0SR0TRYIX', 'SYS_2452328_0LV0IROM7', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (1919.00, '', 2695.00, 'SYS_2452576_0SR0TRYLQ', NULL, 0.00, 1916.00, 1907.00, 'SQUERY_LINK_SQUERY', 'SYS_2452576_0SR0TRYIX', 'SYS_2452576_0SR0TQVWA', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (1920.00, '', 2686.00, 'SYS_2452576_0SR0TRYO7', NULL, 999.00, 1916.00, 10208.00, 'SQUERY_FIELD', 'SYS_2452576_0SR0TRYIX', 'SYS_2452328_0LV0IUCIO', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (1925.00, '', 2693.00, 'SYS_2452576_0SR0TS60R', NULL, 0.00, 1924.00, 10996.00, 'SQUERY_LINK_BASE', 'SYS_2452576_0SR0TS5Z2', 'SYS_2452468_0PR0K604U', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (1926.00, '', 2691.00, 'SYS_2452576_0SR0TS612', NULL, 0.00, 1924.00, 10996.00, 'SQUERY_LINK_SOURCE', 'SYS_2452576_0SR0TS5Z2', 'SYS_2452468_0PR0K604U', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (1927.00, '', 2695.00, 'SYS_2452576_0SR0TS61M', NULL, 0.00, 1924.00, 1907.00, 'SQUERY_LINK_SQUERY', 'SYS_2452576_0SR0TS5Z2', 'SYS_2452576_0SR0TQVWA', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (1928.00, ' ', 2686.00, 'SYS_2452576_0SR0TS644', NULL, 999.00, 1924.00, 11000.00, 'SQUERY_FIELD', 'SYS_2452576_0SR0TS5Z2', 'SYS_2452468_0PR0KA2WT', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (1932.00, ' ', 2686.00, 'SYS_2452576_0SR0TS7JL', NULL, 999.00, 1924.00, 10999.00, 'SQUERY_FIELD', 'SYS_2452576_0SR0TS5Z2', 'SYS_2452468_0PR0K9ZJT', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (1936.00, '', 2686.00, 'SYS_2452576_0SR0TSAM1', NULL, 999.00, 1924.00, 11002.00, 'SQUERY_FIELD', 'SYS_2452576_0SR0TS5Z2', 'SYS_2452468_0PR0KA9FL', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (1941.00, '', 2693.00, 'SYS_2452576_0SR0TSIZ1', NULL, 0.00, 1940.00, 10338.00, 'SQUERY_LINK_BASE', 'SYS_2452576_0SR0TSIXC', 'SYS_2452364_0MV0NQUS9', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (1942.00, '', 2691.00, 'SYS_2452576_0SR0TSIZL', NULL, 0.00, 1940.00, 10338.00, 'SQUERY_LINK_SOURCE', 'SYS_2452576_0SR0TSIXC', 'SYS_2452364_0MV0NQUS9', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (1943.00, '', 2695.00, 'SYS_2452576_0SR0TSJ04', NULL, 0.00, 1940.00, 1907.00, 'SQUERY_LINK_SQUERY', 'SYS_2452576_0SR0TSIXC', 'SYS_2452576_0SR0TQVWA', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (1944.00, '', 2686.00, 'SYS_2452576_0SR0TSJ2N', NULL, 999.00, 1940.00, 10339.00, 'SQUERY_FIELD', 'SYS_2452576_0SR0TSIXC', 'SYS_2452364_0MV0NSE3G', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (1948.00, '', 2686.00, 'SYS_2452576_0SR0TSMN5', NULL, 999.00, 1940.00, 10343.00, 'SQUERY_FIELD', 'SYS_2452576_0SR0TSIXC', 'SYS_2452364_0MV0NX5SA', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (1952.00, '', 2694.00, 'SYS_2452576_0SR0TSSMP', NULL, 0.00, 1916.00, 1389.00, 'SQUERY_LINK_STATE', 'SYS_2452576_0SR0TRYIX', 'SYS_2452566_0SH0LVXGW', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (1953.00, '', 2694.00, 'SYS_2452576_0SR0TT0KP', NULL, 0.00, 1940.00, 717.00, 'SQUERY_LINK_STATE', 'SYS_2452576_0SR0TSIXC', 'SYS_2452554_0S50QSXCK', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (1954.00, '', 2694.00, 'SYS_2452576_0SR0TT0KZ', NULL, 1.00, 1940.00, 719.00, 'SQUERY_LINK_STATE', 'SYS_2452576_0SR0TSIXC', 'SYS_2452554_0S50QUJM1', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (1956.00, '. ', 2686.00, 'SYS_2452576_0SR0TUAK5', NULL, 999.00, 1916.00, 10209.00, 'SQUERY_FIELD', 'SYS_2452576_0SR0TRYIX', 'SYS_2452328_0LV0IUPQW', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (12044.00, '', 2686.00, 'A8C5BF4A-F902-4292-9C34-F07AFAAFE083', NULL, 999.00, 1924.00, 11001.00, 'SQUERY_FIELD', 'SYS_2452576_0SR0TS5Z2', 'SYS_2452468_0PR0KA699', 0)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (15605.00, '', 2694.00, 'SYS_2452587_0T20V8NWJ', NULL, 0.00, 1924.00, 2206.00, 'SQUERY_LINK_STATE', 'SYS_2452576_0SR0TS5Z2', 'SYS_2452587_0T20RSP0Q', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (15606.00, '', 2694.00, 'SYS_2452587_0T20V8O3K', NULL, 1.00, 1924.00, 1586.00, 'SQUERY_LINK_STATE', 'SYS_2452576_0SR0TS5Z2', 'SYS_2452573_0SO0XKTJX', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (15607.00, '', 2694.00, 'SYS_2452587_0T20VAZ5M', NULL, 0.00, 1908.00, 1352.00, 'SQUERY_LINK_STATE', 'SYS_2452576_0SR0TRR3C', 'SYS_2452565_0SG128RND', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (15795.00, '  ', 2686.00, 'SYS_2452749_0XM0VLIS5', NULL, 999.00, 1924.00, 2214.00, 'SQUERY_FIELD', 'SYS_2452576_0SR0TS5Z2', 'SYS_2452587_0T20S0DVA', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (20328.00, '', 2686.00, 'SYS_A8C5BF4A-F902-4292-9C34-F07AFAAFE083', NULL, 999.00, 1924.00, 11001.00, 'SQUERY_FIELD', 'SYS_2452576_0SR0TS5Z2', 'SYS_2452468_0PR0KA699', 0)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (1913.00, '', 2693.00, 'SYS_2452576_0SR0TRRAT', NULL, 0.00, 1912.00, 778.00, 'SQUERY_LINK_BASE', 'SYS_2452576_0SR0TRR95', 'SYS_2452558_0S90YIGV9', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (1914.00, '', 2691.00, 'SYS_2452576_0SR0TRRB5', NULL, 0.00, 1912.00, 778.00, 'SQUERY_LINK_SOURCE', 'SYS_2452576_0SR0TRR95', 'SYS_2452558_0S90YIGV9', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (1915.00, '', 2695.00, 'SYS_2452576_0SR0TRRBP', NULL, 0.00, 1912.00, 1907.00, 'SQUERY_LINK_SQUERY', 'SYS_2452576_0SR0TRR95', 'SYS_2452576_0SR0TQVWA', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (1921.00, '', 2693.00, 'SYS_2452576_0SR0TRYPX', NULL, 0.00, 1920.00, 10208.00, 'SQUERY_LINK_BASE', 'SYS_2452576_0SR0TRYO7', 'SYS_2452328_0LV0IUCIO', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (1922.00, '', 2691.00, 'SYS_2452576_0SR0TRYQ7', NULL, 0.00, 1920.00, 10208.00, 'SQUERY_LINK_SOURCE', 'SYS_2452576_0SR0TRYO7', 'SYS_2452328_0LV0IUCIO', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (1923.00, '', 2695.00, 'SYS_2452576_0SR0TRYQR', NULL, 0.00, 1920.00, 1907.00, 'SQUERY_LINK_SQUERY', 'SYS_2452576_0SR0TRYO7', 'SYS_2452576_0SR0TQVWA', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (1929.00, '', 2693.00, 'SYS_2452576_0SR0TS65R', NULL, 0.00, 1928.00, 11000.00, 'SQUERY_LINK_BASE', 'SYS_2452576_0SR0TS644', 'SYS_2452468_0PR0KA2WT', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (1930.00, '', 2691.00, 'SYS_2452576_0SR0TS663', NULL, 0.00, 1928.00, 11000.00, 'SQUERY_LINK_SOURCE', 'SYS_2452576_0SR0TS644', 'SYS_2452468_0PR0KA2WT', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (1931.00, '', 2695.00, 'SYS_2452576_0SR0TS66N', NULL, 0.00, 1928.00, 1907.00, 'SQUERY_LINK_SQUERY', 'SYS_2452576_0SR0TS644', 'SYS_2452576_0SR0TQVWA', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (1933.00, '', 2693.00, 'SYS_2452576_0SR0TS7L9', NULL, 0.00, 1932.00, 10999.00, 'SQUERY_LINK_BASE', 'SYS_2452576_0SR0TS7JL', 'SYS_2452468_0PR0K9ZJT', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (1934.00, '', 2691.00, 'SYS_2452576_0SR0TS7LT', NULL, 0.00, 1932.00, 10999.00, 'SQUERY_LINK_SOURCE', 'SYS_2452576_0SR0TS7JL', 'SYS_2452468_0PR0K9ZJT', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (1935.00, '', 2695.00, 'SYS_2452576_0SR0TS7MC', NULL, 0.00, 1932.00, 1907.00, 'SQUERY_LINK_SQUERY', 'SYS_2452576_0SR0TS7JL', 'SYS_2452576_0SR0TQVWA', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (1937.00, '', 2693.00, 'SYS_2452576_0SR0TSANX', NULL, 0.00, 1936.00, 11002.00, 'SQUERY_LINK_BASE', 'SYS_2452576_0SR0TSAM1', 'SYS_2452468_0PR0KA9FL', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (1938.00, '', 2691.00, 'SYS_2452576_0SR0TSAO9', NULL, 0.00, 1936.00, 11002.00, 'SQUERY_LINK_SOURCE', 'SYS_2452576_0SR0TSAM1', 'SYS_2452468_0PR0KA9FL', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (1939.00, '', 2695.00, 'SYS_2452576_0SR0TSAOT', NULL, 0.00, 1936.00, 1907.00, 'SQUERY_LINK_SQUERY', 'SYS_2452576_0SR0TSAM1', 'SYS_2452576_0SR0TQVWA', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (1945.00, '', 2693.00, 'SYS_2452576_0SR0TSJ4J', NULL, 0.00, 1944.00, 10339.00, 'SQUERY_LINK_BASE', 'SYS_2452576_0SR0TSJ2N', 'SYS_2452364_0MV0NSE3G', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (1946.00, '', 2691.00, 'SYS_2452576_0SR0TSJ4V', NULL, 0.00, 1944.00, 10339.00, 'SQUERY_LINK_SOURCE', 'SYS_2452576_0SR0TSJ2N', 'SYS_2452364_0MV0NSE3G', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (1947.00, '', 2695.00, 'SYS_2452576_0SR0TSJ5F', NULL, 0.00, 1944.00, 1907.00, 'SQUERY_LINK_SQUERY', 'SYS_2452576_0SR0TSJ2N', 'SYS_2452576_0SR0TQVWA', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (1949.00, '', 2693.00, 'SYS_2452576_0SR0TSMOT', NULL, 0.00, 1948.00, 10343.00, 'SQUERY_LINK_BASE', 'SYS_2452576_0SR0TSMN5', 'SYS_2452364_0MV0NX5SA', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (1950.00, '', 2691.00, 'SYS_2452576_0SR0TSMPD', NULL, 0.00, 1948.00, 10343.00, 'SQUERY_LINK_SOURCE', 'SYS_2452576_0SR0TSMN5', 'SYS_2452364_0MV0NX5SA', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (1951.00, '', 2695.00, 'SYS_2452576_0SR0TSMPY', NULL, 0.00, 1948.00, 1907.00, 'SQUERY_LINK_SQUERY', 'SYS_2452576_0SR0TSMN5', 'SYS_2452576_0SR0TQVWA', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (1957.00, '', 2693.00, 'SYS_2452576_0SR0TUAMD', NULL, 0.00, 1956.00, 10209.00, 'SQUERY_LINK_BASE', 'SYS_2452576_0SR0TUAK5', 'SYS_2452328_0LV0IUPQW', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (1958.00, '', 2691.00, 'SYS_2452576_0SR0TUAMX', NULL, 0.00, 1956.00, 10209.00, 'SQUERY_LINK_SOURCE', 'SYS_2452576_0SR0TUAK5', 'SYS_2452328_0LV0IUPQW', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (1959.00, '', 2695.00, 'SYS_2452576_0SR0TUANQ', NULL, 0.00, 1956.00, 1907.00, 'SQUERY_LINK_SQUERY', 'SYS_2452576_0SR0TUAK5', 'SYS_2452576_0SR0TQVWA', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (12045.00, '', 2693.00, 'A52E8F10-0EB3-4DBC-A1BD-4CD07DA6DCFF', NULL, 0.00, 12044.00, 11001.00, 'SQUERY_LINK_BASE', 'A8C5BF4A-F902-4292-9C34-F07AFAAFE083', 'SYS_2452468_0PR0KA699', 0)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (12046.00, '', 2691.00, '88790678-AD39-4FE9-AEA5-1BD81CA2D92E', NULL, 0.00, 12044.00, 11001.00, 'SQUERY_LINK_SOURCE', 'A8C5BF4A-F902-4292-9C34-F07AFAAFE083', 'SYS_2452468_0PR0KA699', 0)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (12047.00, '', 2695.00, 'BCECACF7-301F-4AA4-822F-32C8A2D1A519', NULL, 0.00, 12044.00, 1907.00, 'SQUERY_LINK_SQUERY', 'A8C5BF4A-F902-4292-9C34-F07AFAAFE083', 'SYS_2452576_0SR0TQVWA', 0)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (15796.00, '', 2693.00, 'SYS_2452749_0XM0VLIXL', NULL, 0.00, 15795.00, 2214.00, 'SQUERY_LINK_BASE', 'SYS_2452749_0XM0VLIS5', 'SYS_2452587_0T20S0DVA', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (15797.00, '', 2691.00, 'SYS_2452749_0XM0VLIZ9', NULL, 0.00, 15795.00, 2214.00, 'SQUERY_LINK_SOURCE', 'SYS_2452749_0XM0VLIS5', 'SYS_2452587_0T20S0DVA', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (15798.00, '', 2695.00, 'SYS_2452749_0XM0VLJ0W', NULL, 0.00, 15795.00, 1907.00, 'SQUERY_LINK_SQUERY', 'SYS_2452749_0XM0VLIS5', 'SYS_2452576_0SR0TQVWA', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (20326.00, '', 2691.00, 'SYS_88790678-AD39-4FE9-AEA5-1BD81CA2D92E', NULL, 0.00, 20328.00, 11001.00, 'SQUERY_LINK_SOURCE', 'SYS_A8C5BF4A-F902-4292-9C34-F07AFAAFE083', 'SYS_2452468_0PR0KA699', 0)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (20327.00, '', 2693.00, 'SYS_A52E8F10-0EB3-4DBC-A1BD-4CD07DA6DCFF', NULL, 0.00, 20328.00, 11001.00, 'SQUERY_LINK_BASE', 'SYS_A8C5BF4A-F902-4292-9C34-F07AFAAFE083', 'SYS_2452468_0PR0KA699', 0)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (20329.00, '', 2695.00, 'SYS_BCECACF7-301F-4AA4-822F-32C8A2D1A519', NULL, 0.00, 20328.00, 1907.00, 'SQUERY_LINK_SQUERY', 'SYS_A8C5BF4A-F902-4292-9C34-F07AFAAFE083', 'SYS_2452576_0SR0TQVWA', 0)

GO

		CREATE TABLE #T_OVV (LINK_UP int, PROPERTY int, USERS VARCHAR(85), ORDERS int, VALUE varchar(8000), CODE_UP varchar(60), CODE_PROP varchar(30))
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (1907.00, 347.00, NULL, NULL, 'REPMAKERSTANDARD.BAS', 'SYS_2452576_0SR0TQVWA', 'QUERY_ADD_MODULE')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (1908.00, 139.00, NULL, NULL, 'S_21700', 'SYS_2452576_0SR0TRR3C', 'SQUERY_FIELD_CODE')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (1908.00, 155.00, NULL, NULL, '1', 'SYS_2452576_0SR0TRR3C', 'SQUERY_FIELD_TYPE')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (1912.00, 139.00, NULL, NULL, 'S_21705', 'SYS_2452576_0SR0TRR95', 'SQUERY_FIELD_CODE')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (1912.00, 155.00, NULL, NULL, '3', 'SYS_2452576_0SR0TRR95', 'SQUERY_FIELD_TYPE')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (1940.00, 139.00, NULL, NULL, 'S_21735', 'SYS_2452576_0SR0TSIXC', 'SQUERY_FIELD_CODE')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (1940.00, 155.00, NULL, NULL, '1', 'SYS_2452576_0SR0TSIXC', 'SQUERY_FIELD_TYPE')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (1944.00, 139.00, NULL, NULL, 'S_21740', 'SYS_2452576_0SR0TSJ2N', 'SQUERY_FIELD_CODE')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (1944.00, 140.00, NULL, NULL, '3', 'SYS_2452576_0SR0TSJ2N', 'SQUERY_FIELD_DIRECT_XL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (1944.00, 141.00, NULL, NULL, '', 'SYS_2452576_0SR0TSJ2N', 'SQUERY_FIELD_FORMAT_C_XL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (1944.00, 142.00, NULL, NULL, '', 'SYS_2452576_0SR0TSJ2N', 'SQUERY_FIELD_FORMAT_D_XL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (1944.00, 155.00, NULL, NULL, '1', 'SYS_2452576_0SR0TSJ2N', 'SQUERY_FIELD_TYPE')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (1944.00, 156.00, NULL, NULL, '30', 'SYS_2452576_0SR0TSJ2N', 'SQUERY_FIELD_WIDTH_XL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (1907.00, 176.00, NULL, 15.00, '
	SELECT S_21700 AS S_21700 /* - */,
		S_21705 AS S_21705 /* */,
		S_21709 AS S_21709 /**/,
		S_21714 AS S_21714 /**/,
		S_21718 AS S_21718 /*   - */,
		S_21723 AS S_21723 /* */,
		S_21727 AS S_21727 /* */,
		S_21731 AS S_21731 /**/,
		S_21735 AS S_21735 /*  */,
		S_21740 AS S_21740 /**/,
		S_21744 AS S_21744 /**/,
		S_21754 AS S_21754 /*. */,
		LAST_CHIN AS LAST_CHIN /*  */,
		S_43383 AS S_43383 /**/
	INTO #T_RES2
	FROM #T_RES T
	GROUP BY S_21700, S_21705, S_21709, S_21714, S_21718, S_21723, S_21727, S_21731, S_21735, S_21740, S_21744, S_21754, LAST_CHIN, S_43383


', 'SYS_2452576_0SR0TQVWA', 'SQUERY_SQL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (1907.00, 176.00, NULL, 18.00, '
	DROP TABLE #CHIN

	DROP TABLE #WORKERS

	DROP TABLE #STAFF

	SET TRANSACTION ISOLATION LEVEL READ COMMITTED

END', 'SYS_2452576_0SR0TQVWA', 'SQUERY_SQL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (1907.00, 176.00, NULL, 7.00, '
	UPDATE #T_RES
	SET	S_21705 = (SELECT NAME FROM DICTIONARY_DEPARTMENT WHERE LINK=S_21700) /* */ FROM #T_RES T 
', 'SYS_2452576_0SR0TQVWA', 'SQUERY_SQL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (1907.00, 176.00, NULL, 8.00, '
	UPDATE #T_RES
	SET	S_21714 = (SELECT ( rtrim(P.FM) +'' '' +rtrim(substring( (P.IM),1,1))+''. ''+ rtrim(substring((P.OT),1,1) )+''. ''  ) FROM PERSON P WHERE P.LINK=(SELECT PERS_LINK FROM EMPL WHERE LINK = S_21709)) /**/ FROM #T_RES T 
', 'SYS_2452576_0SR0TQVWA', 'SQUERY_SQL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (1907.00, 176.00, NULL, 9.00, '
	UPDATE #T_RES
	SET	S_21754 = (SELECT TAB FROM EMPL WHERE LINK=S_21709) /*. */ FROM #T_RES T 
', 'SYS_2452576_0SR0TQVWA', 'SQUERY_SQL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (1907.00, 176.00, NULL, 10.00, '
	UPDATE #T_RES
	SET	S_21723 = (SELECT CHIN_NAME FROM #CHIN WHERE ID=S_21718) /* */ FROM #T_RES T 
', 'SYS_2452576_0SR0TQVWA', 'SQUERY_SQL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (1907.00, 176.00, NULL, 1.00, 'CREATE PROCEDURE #P_SQUERY
		@dDate_1 DATETIME /* */,
		@varKScTableInto varchar(20) = ''''
AS
BEGIN

	SET TRANSACTION ISOLATION LEVEL READ UNCOMMITTED
', 'SYS_2452576_0SR0TQVWA', 'SQUERY_SQL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (1907.00, 176.00, NULL, 3.00, '
	CREATE TABLE  #WORKERS (FACE INT, START_DATE DATETIME, END_DATE DATETIME, STAFF INT,  LINK_DEP INT)
EXEC K_FILL_T_WORKERS @dDate_1

', 'SYS_2452576_0SR0TQVWA', 'SQUERY_SQL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (1907.00, 176.00, NULL, 13.00, '
	UPDATE #T_RES
	SET	LAST_CHIN = (SELECT LAST_CHIN FROM #CHIN WHERE ID=S_21718) /*  */ FROM #T_RES T 
', 'SYS_2452576_0SR0TQVWA', 'SQUERY_SQL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (1907.00, 174.00, NULL, NULL, 'IIF(.T.,"REPQUERY_2.XLT","")', 'SYS_2452576_0SR0TQVWA', 'SQUERY_REPORT')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (20328.00, 146.00, NULL, NULL, '1', 'SYS_A8C5BF4A-F902-4292-9C34-F07AFAAFE083', 'SQUERY_FIELD_HIDE_XL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (1920.00, 148.00, NULL, NULL, '2', 'SYS_2452576_0SR0TRYO7', 'SQUERY_FIELD_ORDER_XL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (1944.00, 148.00, NULL, NULL, '3', 'SYS_2452576_0SR0TSJ2N', 'SQUERY_FIELD_ORDER_XL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (1948.00, 148.00, NULL, NULL, '4', 'SYS_2452576_0SR0TSMN5', 'SQUERY_FIELD_ORDER_XL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (12044.00, 148.00, NULL, NULL, '8', 'A8C5BF4A-F902-4292-9C34-F07AFAAFE083', 'SQUERY_FIELD_ORDER_XL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (1928.00, 148.00, NULL, NULL, '5', 'SYS_2452576_0SR0TS644', 'SQUERY_FIELD_ORDER_XL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (1932.00, 148.00, NULL, NULL, '6', 'SYS_2452576_0SR0TS7JL', 'SQUERY_FIELD_ORDER_XL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (1936.00, 148.00, NULL, NULL, '7', 'SYS_2452576_0SR0TSAM1', 'SQUERY_FIELD_ORDER_XL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (20328.00, 148.00, NULL, NULL, '9', 'SYS_A8C5BF4A-F902-4292-9C34-F07AFAAFE083', 'SQUERY_FIELD_ORDER_XL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (12044.00, 144.00, NULL, NULL, '0', 'A8C5BF4A-F902-4292-9C34-F07AFAAFE083', 'SQUERY_FIELD_GROUP_XL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (20328.00, 140.00, NULL, NULL, '3', 'SYS_A8C5BF4A-F902-4292-9C34-F07AFAAFE083', 'SQUERY_FIELD_DIRECT_XL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (1912.00, 148.00, NULL, NULL, '0', 'SYS_2452576_0SR0TRR95', 'SQUERY_FIELD_ORDER_XL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (1916.00, 148.00, NULL, NULL, '0', 'SYS_2452576_0SR0TRYIX', 'SQUERY_FIELD_ORDER_XL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (1924.00, 148.00, NULL, NULL, '0', 'SYS_2452576_0SR0TS5Z2', 'SQUERY_FIELD_ORDER_XL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (12044.00, 140.00, NULL, NULL, '3', 'A8C5BF4A-F902-4292-9C34-F07AFAAFE083', 'SQUERY_FIELD_DIRECT_XL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (1940.00, 148.00, NULL, NULL, '0', 'SYS_2452576_0SR0TSIXC', 'SQUERY_FIELD_ORDER_XL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (15795.00, 148.00, NULL, NULL, '0', 'SYS_2452749_0XM0VLIS5', 'SQUERY_FIELD_ORDER_XL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (1908.00, 148.00, NULL, NULL, '0', 'SYS_2452576_0SR0TRR3C', 'SQUERY_FIELD_ORDER_XL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (1907.00, 176.00, NULL, 14.00, '
	UPDATE #T_RES
	SET	S_43383 = (SELECT PAY FROM #CHIN WHERE ID=S_21718) /**/ FROM #T_RES T 
', 'SYS_2452576_0SR0TQVWA', 'SQUERY_SQL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (1907.00, 176.00, NULL, 16.00, '	
SELECT * FROM #T_RES2 
	WHERE LAST_CHIN=1

', 'SYS_2452576_0SR0TQVWA', 'SQUERY_SQL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (1907.00, 176.00, NULL, 17.00, '
	DROP TABLE #T_RES
', 'SYS_2452576_0SR0TQVWA', 'SQUERY_SQL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (1907.00, 176.00, NULL, 11.00, '
	UPDATE #T_RES
	SET	S_21727 = (SELECT DATE_SOB FROM #CHIN WHERE ID=S_21718) /* */ FROM #T_RES T 
', 'SYS_2452576_0SR0TQVWA', 'SQUERY_SQL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (1956.00, 148.00, NULL, NULL, '1', 'SYS_2452576_0SR0TUAK5', 'SQUERY_FIELD_ORDER_XL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (20328.00, 144.00, NULL, NULL, '0', 'SYS_A8C5BF4A-F902-4292-9C34-F07AFAAFE083', 'SQUERY_FIELD_GROUP_XL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (1948.00, 139.00, NULL, NULL, 'S_21744', 'SYS_2452576_0SR0TSMN5', 'SQUERY_FIELD_CODE')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (1948.00, 140.00, NULL, NULL, '3', 'SYS_2452576_0SR0TSMN5', 'SQUERY_FIELD_DIRECT_XL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (1948.00, 141.00, NULL, NULL, '', 'SYS_2452576_0SR0TSMN5', 'SQUERY_FIELD_FORMAT_C_XL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (1948.00, 142.00, NULL, NULL, '', 'SYS_2452576_0SR0TSMN5', 'SQUERY_FIELD_FORMAT_D_XL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (1948.00, 155.00, NULL, NULL, '1', 'SYS_2452576_0SR0TSMN5', 'SQUERY_FIELD_TYPE')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (1948.00, 156.00, NULL, NULL, '25', 'SYS_2452576_0SR0TSMN5', 'SQUERY_FIELD_WIDTH_XL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (1916.00, 139.00, NULL, NULL, 'S_21709', 'SYS_2452576_0SR0TRYIX', 'SQUERY_FIELD_CODE')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (1916.00, 155.00, NULL, NULL, '1', 'SYS_2452576_0SR0TRYIX', 'SQUERY_FIELD_TYPE')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (1920.00, 139.00, NULL, NULL, 'S_21714', 'SYS_2452576_0SR0TRYO7', 'SQUERY_FIELD_CODE')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (1920.00, 140.00, NULL, NULL, '3', 'SYS_2452576_0SR0TRYO7', 'SQUERY_FIELD_DIRECT_XL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (1920.00, 141.00, NULL, NULL, '', 'SYS_2452576_0SR0TRYO7', 'SQUERY_FIELD_FORMAT_C_XL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (1920.00, 142.00, NULL, NULL, '', 'SYS_2452576_0SR0TRYO7', 'SQUERY_FIELD_FORMAT_D_XL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (20328.00, 147.00, NULL, NULL, '', 'SYS_A8C5BF4A-F902-4292-9C34-F07AFAAFE083', 'SQUERY_FIELD_NOT_RESULT')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (20328.00, 155.00, NULL, NULL, '3', 'SYS_A8C5BF4A-F902-4292-9C34-F07AFAAFE083', 'SQUERY_FIELD_TYPE')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (12044.00, 139.00, NULL, NULL, 'S_43383', 'A8C5BF4A-F902-4292-9C34-F07AFAAFE083', 'SQUERY_FIELD_CODE')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (12044.00, 146.00, NULL, NULL, '1', 'A8C5BF4A-F902-4292-9C34-F07AFAAFE083', 'SQUERY_FIELD_HIDE_XL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (12044.00, 147.00, NULL, NULL, '', 'A8C5BF4A-F902-4292-9C34-F07AFAAFE083', 'SQUERY_FIELD_NOT_RESULT')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (12044.00, 155.00, NULL, NULL, '3', 'A8C5BF4A-F902-4292-9C34-F07AFAAFE083', 'SQUERY_FIELD_TYPE')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (1955.00, 166.00, NULL, NULL, '', 'SYS_3454631_312472571', 'SQUERY_NASTR_SAVE')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (1955.00, 168.00, NULL, NULL, ' ', 'SYS_3454631_312472571', 'SQUERY_NASTR_VALUE')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (1955.00, 217.00, NULL, NULL, '0', 'SYS_3454631_312472571', 'SQUERY_NASTR_NON_VISIBLE')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (1955.00, 1.00, NULL, NULL, '0', 'SYS_3454631_312472571', 'SQUERY_NASTR_OPTIONAL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (1920.00, 155.00, NULL, NULL, '3', 'SYS_2452576_0SR0TRYO7', 'SQUERY_FIELD_TYPE')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (1920.00, 156.00, NULL, NULL, '22', 'SYS_2452576_0SR0TRYO7', 'SQUERY_FIELD_WIDTH_XL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (1924.00, 139.00, NULL, NULL, 'S_21718', 'SYS_2452576_0SR0TS5Z2', 'SQUERY_FIELD_CODE')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (1924.00, 155.00, NULL, NULL, '1', 'SYS_2452576_0SR0TS5Z2', 'SQUERY_FIELD_TYPE')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (1928.00, 139.00, NULL, NULL, 'S_21723', 'SYS_2452576_0SR0TS644', 'SQUERY_FIELD_CODE')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (1928.00, 140.00, NULL, NULL, '3', 'SYS_2452576_0SR0TS644', 'SQUERY_FIELD_DIRECT_XL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (1928.00, 141.00, NULL, NULL, '', 'SYS_2452576_0SR0TS644', 'SQUERY_FIELD_FORMAT_C_XL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (1928.00, 142.00, NULL, NULL, '', 'SYS_2452576_0SR0TS644', 'SQUERY_FIELD_FORMAT_D_XL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (1928.00, 155.00, NULL, NULL, '3', 'SYS_2452576_0SR0TS644', 'SQUERY_FIELD_TYPE')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (1928.00, 156.00, NULL, NULL, '30', 'SYS_2452576_0SR0TS644', 'SQUERY_FIELD_WIDTH_XL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (1932.00, 139.00, NULL, NULL, 'S_21727', 'SYS_2452576_0SR0TS7JL', 'SQUERY_FIELD_CODE')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (1932.00, 140.00, NULL, NULL, '3', 'SYS_2452576_0SR0TS7JL', 'SQUERY_FIELD_DIRECT_XL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (1932.00, 141.00, NULL, NULL, '', 'SYS_2452576_0SR0TS7JL', 'SQUERY_FIELD_FORMAT_C_XL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (1932.00, 142.00, NULL, NULL, '..', 'SYS_2452576_0SR0TS7JL', 'SQUERY_FIELD_FORMAT_D_XL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (1907.00, 176.00, NULL, 12.00, '
	UPDATE #T_RES
	SET	S_21731 = (SELECT REASON FROM #CHIN WHERE ID=S_21718) /**/ FROM #T_RES T 
', 'SYS_2452576_0SR0TQVWA', 'SQUERY_SQL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (1907.00, 176.00, NULL, 2.00, '
		CREATE TABLE #CHIN (
		ID INT IDENTITY,
		FACE INT,
		DATE_SOB DATETIME,  /**/
		CHIN_LINK INT, 
		CHIN_CODE VARCHAR(10),
		CHIN_NAME VARCHAR(254), 	/**/
		CHIN_LINK_EX INT,
		CHIN_CODE_EX VARCHAR(10),
		CHIN_NAME_EX VARCHAR(254), 	/**/
		PAY NUMERIC(10,2),		/**/
		REASON VARCHAR(254),		/**/
 LAST_CHIN TINYINT,
		NUMBER INT, CHIN_PRIOR BIT, CHIN_HIGHER BIT )
EXEC K_FILL_T_CHIN

', 'SYS_2452576_0SR0TQVWA', 'SQUERY_SQL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (1907.00, 176.00, NULL, 4.00, '
	CREATE TABLE #STAFF 
( 
	num_otd INT, 
	LNK INT,
	LINK_OTD INT,
	SUBDIV_CODE VARCHAR(5),
	SUBDIV_NAME VARCHAR(254), 
	LINK_DOL INT,  
	POST_CODE VARCHAR(6),
	POST_NAME VARCHAR(254), 
	NORM  NUMERIC(20,2),
	FACT NUMERIC(20,2),  
	VAC  NUMERIC(20,2), 
	OKLAD NUMERIC(20,2), 
	FOT NUMERIC(20,2), 
	LEVEL_OTD INT, 
	CHIN_LINK INT,
	CHIN_CODE VARCHAR(10),
	CHIN VARCHAR(254),
	CONFIRMED NUMERIC(20,2),
	DEYAT_TYPE_LINK INT,
	DEYAT_TYPE VARCHAR(80),
	KATEG_LINK INT,
	KATEG_CODE VARCHAR(3),
	KATEG_DOL VARCHAR(40),
	GOSSL BIT,
	FEDERAL BIT, 
	FOND BIT,
	LINK_DEP INT, 
	LINK_PARENT INT, 
	NUM_PARENT INT,
	KAT_GOS_LINK INT,
	KAT_GOS_CODE VARCHAR(3),
	KAT_GOS_NAME VARCHAR(254),
	GR_GOS_LINK INT,
	GR_GOS_CODE VARCHAR(3),
	GR_GOS_NAME VARCHAR(254)
)


EXEC K_FILL_T_STAFF


', 'SYS_2452576_0SR0TQVWA', 'SQUERY_SQL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (1907.00, 176.00, NULL, 5.00, '
	CREATE TABLE #T_RES (LAST_CHIN TINYINT /*  */,
		S_21700 INT /* - */,
		S_21705 VARCHAR(120) /* */,
		S_21709 INT /**/,
		S_21714 VARCHAR(150) /**/,
		S_21718 INT /*   - */,
		S_21723 VARCHAR(254) /* */,
		S_21727 DATETIME /* */,
		S_21731 VARCHAR(254) /**/,
		S_21735 int /*  */,
		S_21740 VARCHAR(254) /**/,
		S_21744 VARCHAR(254) /**/,
		S_21754 VARCHAR(15) /*. */,
		S_43383 Numeric(20,2) /**/, SQUERY int)
', 'SYS_2452576_0SR0TQVWA', 'SQUERY_SQL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (1907.00, 176.00, NULL, 6.00, '
	INSERT #T_RES (S_21740, S_21744, S_21700, S_21709, S_21718, S_21735, SQUERY) /*  */
	SELECT #staff.SUBDIV_NAME, #staff.POST_NAME, DEP.LINK, #workers.face, #CHIN.ID, #STAFF.LNK, 21699
	FROM #STAFF, #WORKERS, #CHIN, DICTIONARY_DEPARTMENT DEP
	WHERE #STAFF.LINK_DEP=DEP.LINK
		AND #WORKERS.FACE=#CHIN.FACE
		AND #WORKERS.LINK_DEP=DEP.LINK
		AND (#staff.lnk=#workers.staff)
		AND (#workers.start_date <=@dDate_1) and (#workers.end_date>@dDate_1 or #workers.end_date is null)
		AND DEP.LINK=isnull(dbo.BK_getDepZB(), dbo.getowndeplink())
		AND LAST_CHIN IS NOT NULL
', 'SYS_2452576_0SR0TQVWA', 'SQUERY_SQL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (1907.00, 137.00, NULL, NULL, '', 'SYS_2452576_0SR0TQVWA', 'SQUERY_CHANGED')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (1907.00, 157.00, NULL, NULL, '=chief_our', 'SYS_2452576_0SR0TQVWA', 'SQUERY_FOOTER')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (1907.00, 159.00, NULL, NULL, 'REPMAKER_Q.XLS', 'SYS_2452576_0SR0TQVWA', 'SQUERY_GENERATOR')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (1907.00, 160.00, NULL, NULL, '= "                                        ,     " & (dDate_1;0) & " "
', 'SYS_2452576_0SR0TQVWA', 'SQUERY_HEADER')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (1907.00, 175.00, NULL, NULL, 'LAST_CHIN=1', 'SYS_2452576_0SR0TQVWA', 'SQUERY_RES_WHERE')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (1932.00, 155.00, NULL, NULL, '3', 'SYS_2452576_0SR0TS7JL', 'SQUERY_FIELD_TYPE')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (1936.00, 139.00, NULL, NULL, 'S_21731', 'SYS_2452576_0SR0TSAM1', 'SQUERY_FIELD_CODE')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (1936.00, 140.00, NULL, NULL, '3', 'SYS_2452576_0SR0TSAM1', 'SQUERY_FIELD_DIRECT_XL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (1936.00, 141.00, NULL, NULL, '', 'SYS_2452576_0SR0TSAM1', 'SQUERY_FIELD_FORMAT_C_XL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (1936.00, 142.00, NULL, NULL, '', 'SYS_2452576_0SR0TSAM1', 'SQUERY_FIELD_FORMAT_D_XL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (1936.00, 145.00, NULL, NULL, '', 'SYS_2452576_0SR0TSAM1', 'SQUERY_FIELD_HEIGHT_XL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (1936.00, 155.00, NULL, NULL, '3', 'SYS_2452576_0SR0TSAM1', 'SQUERY_FIELD_TYPE')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (1936.00, 156.00, NULL, NULL, '25', 'SYS_2452576_0SR0TSAM1', 'SQUERY_FIELD_WIDTH_XL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (1956.00, 139.00, NULL, NULL, 'S_21754', 'SYS_2452576_0SR0TUAK5', 'SQUERY_FIELD_CODE')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (1956.00, 140.00, NULL, NULL, '1', 'SYS_2452576_0SR0TUAK5', 'SQUERY_FIELD_DIRECT_XL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (1956.00, 151.00, NULL, NULL, '2', 'SYS_2452576_0SR0TUAK5', 'SQUERY_FIELD_SORT_XL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (1956.00, 155.00, NULL, NULL, '3', 'SYS_2452576_0SR0TUAK5', 'SQUERY_FIELD_TYPE')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (15795.00, 139.00, NULL, NULL, 'LAST_CHIN', 'SYS_2452749_0XM0VLIS5', 'SQUERY_FIELD_CODE')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (15795.00, 155.00, NULL, NULL, '3', 'SYS_2452749_0XM0VLIS5', 'SQUERY_FIELD_TYPE')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (20328.00, 139.00, NULL, NULL, 'S_43383', 'SYS_A8C5BF4A-F902-4292-9C34-F07AFAAFE083', 'SQUERY_FIELD_CODE')

GO

		exec KIR_UPGRADE_OV 0
GO

		DROP TABLE #T_OV
GO

		DROP TABLE #T_OVV
GO


GO
		CREATE TABLE #T_OV (LINK int, NAME varchar(254), OBJECT int, CODE varchar(60), USERS VARCHAR(85), ORDERS int, LINK_SELF int, LINK_STATE int, CODE_OBJ varchar(60), CODE_SELF varchar(60), CODE_STATE varchar(60), SYS BIT)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (9394.00, '   -   ', 2688.00, 'SYS_ORDER_VACATION_BREAK', NULL, 0.00, 18221.00, NULL, 'SQUERY_USER', 'SYS_KADRY_REPORTS_CATALOG', NULL, 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (9398.00, '   ()', 2698.00, 'SYS_VACATION_BREAK_MAIN_PARAM', NULL, 1.00, 9394.00, 3601.00, 'SQUERY_NASTR', 'SYS_ORDER_VACATION_BREAK', 'SYS_2452562_0SD0H9SSG', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (9399.00, '    ', 2686.00, 'SYS_866FD9F1-7A2E-4168-AA73-912390DFCBA9', NULL, 999.00, 9394.00, 9382.00, 'SQUERY_FIELD', 'SYS_ORDER_VACATION_BREAK', 'SYS_4DF53ED5-ED2D-48BD-9CF2-F4A60F497011', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (9428.00, '', 2686.00, 'SYS_CA94CB72-26F5-48AF-B441-79095D1C9033', NULL, 999.00, 9394.00, 8288.00, 'SQUERY_FIELD', 'SYS_ORDER_VACATION_BREAK', 'SYS_5EA1DEDD-F03B-4285-AFCC-3E0657166FBE', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (9440.00, '', 2686.00, 'SYS_7F882AE7-7655-47E7-AB38-1590869CB9BE', NULL, 999.00, 9394.00, 1359.00, 'SQUERY_FIELD', 'SYS_ORDER_VACATION_BREAK', 'SYS_2452328_0LV0IROM7', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (9450.00, ' ', 2698.00, 'SYS_4114580_30631195', NULL, 2.00, 9394.00, 1451.00, 'SQUERY_NASTR', 'SYS_ORDER_VACATION_BREAK', 'SYS_2452362_0MT0KEIXO', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (9451.00, ' - ', 2686.00, 'SYS_7BEDB168-E444-432C-98EF-569A4FB2E4D9', NULL, 999.00, 9394.00, 3423.00, 'SQUERY_FIELD', 'SYS_ORDER_VACATION_BREAK', 'SYS_2452558_0S90YEMO0', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (9455.00, '  - ', 2686.00, 'SYS_B16167C5-DA1D-4C26-AB80-CEAC86CB2285', NULL, 999.00, 9394.00, 3608.00, 'SQUERY_FIELD', 'SYS_ORDER_VACATION_BREAK', 'SYS_2452562_0SD0K6O5O', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (9464.00, '/ ()', 2700.00, 'SYS_VACATION_BREAK1_MAIN_PARAM', NULL, 3.00, 9394.00, 45.00, 'SQUERY_LINK_NASTR', 'SYS_ORDER_VACATION_BREAK', 'SYS_2452195_0I40N0PAI', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (11271.00, 'CHR10', 2689.00, 'SYS_9EA1FD15-1E2F-403B-BBAD-E1F043952C5E', NULL, 999.00, 9394.00, 11234.00, 'SQUERY_CALC_FIELD', 'SYS_ORDER_VACATION_BREAK', 'SYS_2452559_0SA0JCBYF', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (11273.00, 'POL', 2689.00, 'SYS_B1EFC2BE-AE4F-4DBA-B6A1-94702771F25F', NULL, 999.00, 9394.00, 11234.00, 'SQUERY_CALC_FIELD', 'SYS_ORDER_VACATION_BREAK', 'SYS_2452559_0SA0JCBYF', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (15625.00, '', 2689.00, 'SYS_82840790-57EE-4FD7-8986-37D54E4CF804', NULL, 999.00, 9394.00, 11234.00, 'SQUERY_CALC_FIELD', 'SYS_ORDER_VACATION_BREAK', 'SYS_2452559_0SA0JCBYF', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (9400.00, '', 2693.00, 'SYS_4EA00F95-3D6E-47C8-9CBD-C8D4DD954CF9', NULL, 0.00, 9399.00, 9382.00, 'SQUERY_LINK_BASE', 'SYS_866FD9F1-7A2E-4168-AA73-912390DFCBA9', 'SYS_4DF53ED5-ED2D-48BD-9CF2-F4A60F497011', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (9401.00, '', 2691.00, 'SYS_2F4EE0D4-5AE3-4CD1-895E-267036EAD5F3', NULL, 0.00, 9399.00, 9382.00, 'SQUERY_LINK_SOURCE', 'SYS_866FD9F1-7A2E-4168-AA73-912390DFCBA9', 'SYS_4DF53ED5-ED2D-48BD-9CF2-F4A60F497011', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (9402.00, '', 2695.00, 'SYS_8ADCBC53-B248-46D9-81C9-AAB330474723', NULL, 0.00, 9399.00, 9394.00, 'SQUERY_LINK_SQUERY', 'SYS_866FD9F1-7A2E-4168-AA73-912390DFCBA9', 'SYS_ORDER_VACATION_BREAK', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (9403.00, ' ', 2686.00, 'SYS_9FDC84A0-6B1A-40B5-A908-2766655C80BE', NULL, 999.00, 9399.00, 9392.00, 'SQUERY_FIELD', 'SYS_866FD9F1-7A2E-4168-AA73-912390DFCBA9', 'SYS_702DB9C4-6F2D-42F6-8255-4528E166D6C2', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (9407.00, '', 2686.00, 'SYS_8ACB99C5-DDE3-4F07-B7EC-389C9030CEFF', NULL, 999.00, 9399.00, 9391.00, 'SQUERY_FIELD', 'SYS_866FD9F1-7A2E-4168-AA73-912390DFCBA9', 'SYS_32BE1625-C6EC-40CD-B032-8FA5B70D10B0', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (9411.00, '', 2686.00, 'SYS_2DB781D0-665B-4632-93C3-0438C987BFE0', NULL, 999.00, 9399.00, 9390.00, 'SQUERY_FIELD', 'SYS_866FD9F1-7A2E-4168-AA73-912390DFCBA9', 'SYS_03EC3898-5B97-4027-9C67-0CB8EAEC48D8', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (9415.00, '', 2686.00, 'SYS_49CD124C-0F5E-4CFD-A8DE-6A7BC1D4A8D1', NULL, 999.00, 9399.00, 9393.00, 'SQUERY_FIELD', 'SYS_866FD9F1-7A2E-4168-AA73-912390DFCBA9', 'SYS_E160BCBB-0481-42FC-A3EC-56E4A9E89947', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (9419.00, ' ', 2686.00, 'SYS_C2AE078C-07E8-4D33-982E-3C106446DA5C', NULL, 999.00, 9399.00, 9389.00, 'SQUERY_FIELD', 'SYS_866FD9F1-7A2E-4168-AA73-912390DFCBA9', 'SYS_241FBE31-BB4F-42BA-BC1A-B1F74549783E', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (9423.00, '', 2686.00, 'SYS_24F0EC82-B045-44AC-B6A0-97574616733B', NULL, 999.00, 9399.00, 9388.00, 'SQUERY_FIELD', 'SYS_866FD9F1-7A2E-4168-AA73-912390DFCBA9', 'SYS_376A9BE8-9ED9-436D-AA98-EAF19EECEDF6', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (9429.00, '', 2693.00, 'SYS_7F01DAA1-D22C-44F1-848A-F3A2CD8B2C40', NULL, 0.00, 9428.00, 8288.00, 'SQUERY_LINK_BASE', 'SYS_CA94CB72-26F5-48AF-B441-79095D1C9033', 'SYS_5EA1DEDD-F03B-4285-AFCC-3E0657166FBE', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (9430.00, '', 2691.00, 'SYS_B4218620-D11C-4BBA-9D13-E7D5E3063835', NULL, 0.00, 9428.00, 8288.00, 'SQUERY_LINK_SOURCE', 'SYS_CA94CB72-26F5-48AF-B441-79095D1C9033', 'SYS_5EA1DEDD-F03B-4285-AFCC-3E0657166FBE', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (9431.00, '', 2695.00, 'SYS_3B03ACB7-173C-4D81-8DD3-3701973C56C0', NULL, 0.00, 9428.00, 9394.00, 'SQUERY_LINK_SQUERY', 'SYS_CA94CB72-26F5-48AF-B441-79095D1C9033', 'SYS_ORDER_VACATION_BREAK', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (9432.00, ' ', 2686.00, 'SYS_85C5948A-5802-4852-8685-04308CCB2965', NULL, 999.00, 9428.00, 8292.00, 'SQUERY_FIELD', 'SYS_CA94CB72-26F5-48AF-B441-79095D1C9033', 'SYS_DA64EB5D-A583-4D23-B261-75AC03C76BE7', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (9436.00, ' ', 2686.00, 'SYS_F3E91191-B828-4CE7-B3C8-90265443B6D6', NULL, 999.00, 9428.00, 8291.00, 'SQUERY_FIELD', 'SYS_CA94CB72-26F5-48AF-B441-79095D1C9033', 'SYS_8079EE82-29C0-4298-8E5A-33C7150A3045', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (9441.00, '', 2693.00, 'SYS_F2571134-128A-41A0-B2DE-BD39DC101327', NULL, 0.00, 9440.00, 1359.00, 'SQUERY_LINK_BASE', 'SYS_7F882AE7-7655-47E7-AB38-1590869CB9BE', 'SYS_2452328_0LV0IROM7', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (9442.00, '', 2691.00, 'SYS_3BFA42E0-F7A8-4FFC-96FE-980FEC7DB6D8', NULL, 0.00, 9440.00, 1359.00, 'SQUERY_LINK_SOURCE', 'SYS_7F882AE7-7655-47E7-AB38-1590869CB9BE', 'SYS_2452328_0LV0IROM7', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (9443.00, '', 2695.00, 'SYS_0DECCCAD-4D32-45AB-A78C-446FE3507116', NULL, 0.00, 9440.00, 9394.00, 'SQUERY_LINK_SQUERY', 'SYS_7F882AE7-7655-47E7-AB38-1590869CB9BE', 'SYS_ORDER_VACATION_BREAK', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (9444.00, ' (.)', 2686.00, 'SYS_E66471C6-52FB-46CD-9F76-E04A5E5D33C7', NULL, 999.00, 9440.00, 1454.00, 'SQUERY_FIELD', 'SYS_7F882AE7-7655-47E7-AB38-1590869CB9BE', 'SYS_2452362_0MT0T5Y6N', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (9448.00, '', 2694.00, 'SYS_F7221671-7666-47D6-BC9C-9056D558B62C', NULL, 0.00, 9440.00, 4038.00, 'SQUERY_LINK_STATE', 'SYS_7F882AE7-7655-47E7-AB38-1590869CB9BE', 'SYS_2452566_0SH0LW148', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (9449.00, '', 2694.00, 'SYS_834058C1-C66B-4766-9F4E-3D59E4636F31', NULL, 1.00, 9440.00, 5650.00, 'SQUERY_LINK_STATE', 'SYS_7F882AE7-7655-47E7-AB38-1590869CB9BE', 'SYS_2452696_0W50V0X1F', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (9452.00, '', 2693.00, 'SYS_C95D3B16-AFA5-4E32-BB0E-7CE9E759D6D2', NULL, 0.00, 9451.00, 3423.00, 'SQUERY_LINK_BASE', 'SYS_7BEDB168-E444-432C-98EF-569A4FB2E4D9', 'SYS_2452558_0S90YEMO0', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (9453.00, '', 2691.00, 'SYS_2C7687CF-5713-4163-858E-672FEC4B160F', NULL, 0.00, 9451.00, 3423.00, 'SQUERY_LINK_SOURCE', 'SYS_7BEDB168-E444-432C-98EF-569A4FB2E4D9', 'SYS_2452558_0S90YEMO0', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (9454.00, '', 2695.00, 'SYS_067A5E88-90A1-4782-9BC4-5D6CC9733C5C', NULL, 0.00, 9451.00, 9394.00, 'SQUERY_LINK_SQUERY', 'SYS_7BEDB168-E444-432C-98EF-569A4FB2E4D9', 'SYS_ORDER_VACATION_BREAK', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (9456.00, '', 2693.00, 'SYS_8632B3C8-3235-49FF-936A-84203EFBC80F', NULL, 0.00, 9455.00, 3608.00, 'SQUERY_LINK_BASE', 'SYS_B16167C5-DA1D-4C26-AB80-CEAC86CB2285', 'SYS_2452562_0SD0K6O5O', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (9457.00, '', 2691.00, 'SYS_99F2E5AA-894B-411D-90CE-0FF3420C4B72', NULL, 0.00, 9455.00, 3608.00, 'SQUERY_LINK_SOURCE', 'SYS_B16167C5-DA1D-4C26-AB80-CEAC86CB2285', 'SYS_2452562_0SD0K6O5O', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (9458.00, '', 2695.00, 'SYS_0EDC945C-5B32-4D74-8ACE-9CAE65289F0C', NULL, 0.00, 9455.00, 9394.00, 'SQUERY_LINK_SQUERY', 'SYS_B16167C5-DA1D-4C26-AB80-CEAC86CB2285', 'SYS_ORDER_VACATION_BREAK', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (9459.00, ' ', 2686.00, 'SYS_C044E16B-4B95-4D4D-A6DB-EAC6F84FB51B', NULL, 999.00, 9455.00, 3616.00, 'SQUERY_FIELD', 'SYS_B16167C5-DA1D-4C26-AB80-CEAC86CB2285', 'SYS_2452562_0SD0KKC59', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (9463.00, '', 2694.00, 'SYS_AE9DCD05-6127-447C-B2C5-A8C2B7C77B34', NULL, 0.00, 9455.00, 3610.00, 'SQUERY_LINK_STATE', 'SYS_B16167C5-DA1D-4C26-AB80-CEAC86CB2285', 'SYS_2452562_0SD0KBP88', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (10917.00, '', 2693.00, 'SYS_1B7A3437-6901-4EAE-A196-A3D542FBEC31', NULL, 0.00, 11273.00, 11234.00, 'SQUERY_LINK_BASE', 'SYS_B1EFC2BE-AE4F-4DBA-B6A1-94702771F25F', 'SYS_2452559_0SA0JCBYF', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (10919.00, '', 2693.00, 'SYS_02DAC12B-921B-48F8-AFC9-A9D0C3FF6C5B', NULL, 0.00, 11271.00, 11234.00, 'SQUERY_LINK_BASE', 'SYS_9EA1FD15-1E2F-403B-BBAD-E1F043952C5E', 'SYS_2452559_0SA0JCBYF', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (10994.00, '', 2691.00, 'SYS_9FFBE59D-0080-465D-9B74-4E58F86DB366', NULL, 0.00, 11271.00, 11234.00, 'SQUERY_LINK_SOURCE', 'SYS_9EA1FD15-1E2F-403B-BBAD-E1F043952C5E', 'SYS_2452559_0SA0JCBYF', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (11014.00, '', 2691.00, 'SYS_24C7B83F-0130-4800-B753-B9612F512B3D', NULL, 0.00, 11273.00, 11234.00, 'SQUERY_LINK_SOURCE', 'SYS_B1EFC2BE-AE4F-4DBA-B6A1-94702771F25F', 'SYS_2452559_0SA0JCBYF', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (11168.00, '', 2695.00, 'SYS_5A91ADD1-E23E-4482-BB3D-52E8AC14DEC3', NULL, 0.00, 11273.00, 9394.00, 'SQUERY_LINK_SQUERY', 'SYS_B1EFC2BE-AE4F-4DBA-B6A1-94702771F25F', 'SYS_ORDER_VACATION_BREAK', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (11172.00, '', 2695.00, 'SYS_838CF793-D98D-4108-AB3D-6E2043C3E10F', NULL, 0.00, 11271.00, 9394.00, 'SQUERY_LINK_SQUERY', 'SYS_9EA1FD15-1E2F-403B-BBAD-E1F043952C5E', 'SYS_ORDER_VACATION_BREAK', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (11289.00, '', 2686.00, 'SYS_3E112B5E-EEDA-4DE8-A538-135FB30F090E', NULL, 0.00, 11273.00, 1359.00, 'SQUERY_FIELD', 'SYS_B1EFC2BE-AE4F-4DBA-B6A1-94702771F25F', 'SYS_2452328_0LV0IROM7', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (16010.00, '', 2693.00, 'SYS_F3903F9F-B9F1-463C-B820-A98F6E8AEF6F', NULL, 0.00, 15625.00, 11234.00, 'SQUERY_LINK_BASE', 'SYS_82840790-57EE-4FD7-8986-37D54E4CF804', 'SYS_2452559_0SA0JCBYF', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (16352.00, '', 2691.00, 'SYS_3EC187F6-E4C0-4ECB-903D-79E78C7B2CC5', NULL, 0.00, 15625.00, 11234.00, 'SQUERY_LINK_SOURCE', 'SYS_82840790-57EE-4FD7-8986-37D54E4CF804', 'SYS_2452559_0SA0JCBYF', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (16668.00, '', 2695.00, 'SYS_5C5EBE54-BD1A-4560-A545-33F6E043C7EA', NULL, 0.00, 15625.00, 9394.00, 'SQUERY_LINK_SQUERY', 'SYS_82840790-57EE-4FD7-8986-37D54E4CF804', 'SYS_ORDER_VACATION_BREAK', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (16980.00, '', 2694.00, 'SYS_55C07240-F6C7-4EA2-B1DD-471272339658', NULL, 2.00, 9428.00, 8410.00, 'SQUERY_LINK_STATE', 'SYS_CA94CB72-26F5-48AF-B441-79095D1C9033', 'SYS_1B732E13-F88D-4E0E-90CC-CF5E624E5644', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (16981.00, '', 2694.00, 'SYS_77F10853-833D-4359-8F75-63E62D89955F', NULL, 0.00, 9451.00, 4000.00, 'SQUERY_LINK_STATE', 'SYS_7BEDB168-E444-432C-98EF-569A4FB2E4D9', 'SYS_2452565_0SG128RND', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (16984.00, '', 2694.00, 'SYS_334C0945-46D0-44EE-B699-91D920E696B6', NULL, 0.00, 9428.00, 8298.00, 'SQUERY_LINK_STATE', 'SYS_CA94CB72-26F5-48AF-B441-79095D1C9033', 'SYS_2F599A1F-3B8D-4552-8E86-A5073F28432E', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (16985.00, '', 2694.00, 'SYS_51289E86-4E08-4A1F-A510-69773E644A6B', NULL, 1.00, 9428.00, 9395.00, 'SQUERY_LINK_STATE', 'SYS_CA94CB72-26F5-48AF-B441-79095D1C9033', 'SYS_6A3D6437-DF87-44DF-9D46-09DF6F732108', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (9404.00, '', 2693.00, 'SYS_75F402D0-1E47-4DD9-8E6E-D0A457BAABF7', NULL, 0.00, 9403.00, 9392.00, 'SQUERY_LINK_BASE', 'SYS_9FDC84A0-6B1A-40B5-A908-2766655C80BE', 'SYS_702DB9C4-6F2D-42F6-8255-4528E166D6C2', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (9405.00, '', 2691.00, 'SYS_B14622D4-D1DB-466B-8611-831E0C442F1E', NULL, 0.00, 9403.00, 9392.00, 'SQUERY_LINK_SOURCE', 'SYS_9FDC84A0-6B1A-40B5-A908-2766655C80BE', 'SYS_702DB9C4-6F2D-42F6-8255-4528E166D6C2', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (9406.00, '', 2695.00, 'SYS_3F98DA94-A317-447A-A3B3-E1F6BFB9CCD9', NULL, 0.00, 9403.00, 9394.00, 'SQUERY_LINK_SQUERY', 'SYS_9FDC84A0-6B1A-40B5-A908-2766655C80BE', 'SYS_ORDER_VACATION_BREAK', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (9408.00, '', 2693.00, 'SYS_BF75C5D6-41BD-459D-B874-AEBC8BC0CF9C', NULL, 0.00, 9407.00, 9391.00, 'SQUERY_LINK_BASE', 'SYS_8ACB99C5-DDE3-4F07-B7EC-389C9030CEFF', 'SYS_32BE1625-C6EC-40CD-B032-8FA5B70D10B0', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (9409.00, '', 2691.00, 'SYS_0EBD850D-F441-4111-8857-B24B867CCC89', NULL, 0.00, 9407.00, 9391.00, 'SQUERY_LINK_SOURCE', 'SYS_8ACB99C5-DDE3-4F07-B7EC-389C9030CEFF', 'SYS_32BE1625-C6EC-40CD-B032-8FA5B70D10B0', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (9410.00, '', 2695.00, 'SYS_B22B8D77-B067-4E8B-9407-6CB89D073AEF', NULL, 0.00, 9407.00, 9394.00, 'SQUERY_LINK_SQUERY', 'SYS_8ACB99C5-DDE3-4F07-B7EC-389C9030CEFF', 'SYS_ORDER_VACATION_BREAK', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (9412.00, '', 2693.00, 'SYS_F16FFF87-1064-4FAA-ABD1-EC2EBE965817', NULL, 0.00, 9411.00, 9390.00, 'SQUERY_LINK_BASE', 'SYS_2DB781D0-665B-4632-93C3-0438C987BFE0', 'SYS_03EC3898-5B97-4027-9C67-0CB8EAEC48D8', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (9413.00, '', 2691.00, 'SYS_DDC00ABC-1014-4D67-B7BE-4A9EB1D54DCF', NULL, 0.00, 9411.00, 9390.00, 'SQUERY_LINK_SOURCE', 'SYS_2DB781D0-665B-4632-93C3-0438C987BFE0', 'SYS_03EC3898-5B97-4027-9C67-0CB8EAEC48D8', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (9414.00, '', 2695.00, 'SYS_BF0612EB-75B7-44A4-A7A1-0FFEFF0B35E7', NULL, 0.00, 9411.00, 9394.00, 'SQUERY_LINK_SQUERY', 'SYS_2DB781D0-665B-4632-93C3-0438C987BFE0', 'SYS_ORDER_VACATION_BREAK', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (9416.00, '', 2693.00, 'SYS_DA488894-6D7D-46C9-B4CF-18CF175DB73B', NULL, 0.00, 9415.00, 9393.00, 'SQUERY_LINK_BASE', 'SYS_49CD124C-0F5E-4CFD-A8DE-6A7BC1D4A8D1', 'SYS_E160BCBB-0481-42FC-A3EC-56E4A9E89947', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (9417.00, '', 2691.00, 'SYS_4C9DE185-903F-40D1-AFC8-ADA289716205', NULL, 0.00, 9415.00, 9393.00, 'SQUERY_LINK_SOURCE', 'SYS_49CD124C-0F5E-4CFD-A8DE-6A7BC1D4A8D1', 'SYS_E160BCBB-0481-42FC-A3EC-56E4A9E89947', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (9418.00, '', 2695.00, 'SYS_F89F4948-C4FD-4B74-8B7D-344D41E7B375', NULL, 0.00, 9415.00, 9394.00, 'SQUERY_LINK_SQUERY', 'SYS_49CD124C-0F5E-4CFD-A8DE-6A7BC1D4A8D1', 'SYS_ORDER_VACATION_BREAK', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (9420.00, '', 2693.00, 'SYS_29898E0E-5DEC-43DB-9463-1B94D9424157', NULL, 0.00, 9419.00, 9389.00, 'SQUERY_LINK_BASE', 'SYS_C2AE078C-07E8-4D33-982E-3C106446DA5C', 'SYS_241FBE31-BB4F-42BA-BC1A-B1F74549783E', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (9421.00, '', 2691.00, 'SYS_E05E0675-F78E-4D5F-801A-D7913ED51F36', NULL, 0.00, 9419.00, 9389.00, 'SQUERY_LINK_SOURCE', 'SYS_C2AE078C-07E8-4D33-982E-3C106446DA5C', 'SYS_241FBE31-BB4F-42BA-BC1A-B1F74549783E', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (9422.00, '', 2695.00, 'SYS_DA61E2B1-4CEA-4DE8-9E86-1CC170023FD1', NULL, 0.00, 9419.00, 9394.00, 'SQUERY_LINK_SQUERY', 'SYS_C2AE078C-07E8-4D33-982E-3C106446DA5C', 'SYS_ORDER_VACATION_BREAK', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (9424.00, '', 2693.00, 'SYS_6D962170-6B70-4D59-A6A8-40343CE984C1', NULL, 0.00, 9423.00, 9388.00, 'SQUERY_LINK_BASE', 'SYS_24F0EC82-B045-44AC-B6A0-97574616733B', 'SYS_376A9BE8-9ED9-436D-AA98-EAF19EECEDF6', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (9425.00, '', 2691.00, 'SYS_5EF6DAD9-3AB4-42A0-B666-7A5C514442F3', NULL, 0.00, 9423.00, 9388.00, 'SQUERY_LINK_SOURCE', 'SYS_24F0EC82-B045-44AC-B6A0-97574616733B', 'SYS_376A9BE8-9ED9-436D-AA98-EAF19EECEDF6', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (9426.00, '', 2695.00, 'SYS_ACEA45E7-39E8-4BD6-AFDB-4410593B1024', NULL, 0.00, 9423.00, 9394.00, 'SQUERY_LINK_SQUERY', 'SYS_24F0EC82-B045-44AC-B6A0-97574616733B', 'SYS_ORDER_VACATION_BREAK', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (9433.00, '', 2693.00, 'SYS_EA2AC8AE-7806-45DB-8769-46945B60DAEB', NULL, 0.00, 9432.00, 8292.00, 'SQUERY_LINK_BASE', 'SYS_85C5948A-5802-4852-8685-04308CCB2965', 'SYS_DA64EB5D-A583-4D23-B261-75AC03C76BE7', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (9434.00, '', 2691.00, 'SYS_615C3176-7E03-4BED-B636-202F225533B7', NULL, 0.00, 9432.00, 8292.00, 'SQUERY_LINK_SOURCE', 'SYS_85C5948A-5802-4852-8685-04308CCB2965', 'SYS_DA64EB5D-A583-4D23-B261-75AC03C76BE7', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (9435.00, '', 2695.00, 'SYS_0E1438E3-5323-40CF-A8B7-FA1029292F82', NULL, 0.00, 9432.00, 9394.00, 'SQUERY_LINK_SQUERY', 'SYS_85C5948A-5802-4852-8685-04308CCB2965', 'SYS_ORDER_VACATION_BREAK', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (9437.00, '', 2693.00, 'SYS_D3B656AE-FBFC-421F-B0AF-CB0A971A5859', NULL, 0.00, 9436.00, 8291.00, 'SQUERY_LINK_BASE', 'SYS_F3E91191-B828-4CE7-B3C8-90265443B6D6', 'SYS_8079EE82-29C0-4298-8E5A-33C7150A3045', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (9438.00, '', 2691.00, 'SYS_412C69F8-7F74-4F87-9E8E-E02A7D0F1168', NULL, 0.00, 9436.00, 8291.00, 'SQUERY_LINK_SOURCE', 'SYS_F3E91191-B828-4CE7-B3C8-90265443B6D6', 'SYS_8079EE82-29C0-4298-8E5A-33C7150A3045', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (9439.00, '', 2695.00, 'SYS_6BAE6C8A-4298-47EB-BA05-67FB7268AFD9', NULL, 0.00, 9436.00, 9394.00, 'SQUERY_LINK_SQUERY', 'SYS_F3E91191-B828-4CE7-B3C8-90265443B6D6', 'SYS_ORDER_VACATION_BREAK', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (9445.00, '', 2693.00, 'SYS_D359D13F-EBEA-44FD-BA97-DB45D08757FC', NULL, 0.00, 9444.00, 1454.00, 'SQUERY_LINK_BASE', 'SYS_E66471C6-52FB-46CD-9F76-E04A5E5D33C7', 'SYS_2452362_0MT0T5Y6N', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (9446.00, '', 2691.00, 'SYS_2874402C-C70F-43FB-BE28-C84AD5FD17A4', NULL, 0.00, 9444.00, 1454.00, 'SQUERY_LINK_SOURCE', 'SYS_E66471C6-52FB-46CD-9F76-E04A5E5D33C7', 'SYS_2452362_0MT0T5Y6N', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (9447.00, '', 2695.00, 'SYS_4DA0EE8E-23A9-4371-96E8-BAFF3952CD8D', NULL, 0.00, 9444.00, 9394.00, 'SQUERY_LINK_SQUERY', 'SYS_E66471C6-52FB-46CD-9F76-E04A5E5D33C7', 'SYS_ORDER_VACATION_BREAK', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (9460.00, '', 2693.00, 'SYS_891230E5-D3C1-4466-8CA5-FCB007D61F80', NULL, 0.00, 9459.00, 3616.00, 'SQUERY_LINK_BASE', 'SYS_C044E16B-4B95-4D4D-A6DB-EAC6F84FB51B', 'SYS_2452562_0SD0KKC59', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (9461.00, '', 2691.00, 'SYS_07CFB6A0-6CDE-47D1-80A5-D67EEDD02C63', NULL, 0.00, 9459.00, 3616.00, 'SQUERY_LINK_SOURCE', 'SYS_C044E16B-4B95-4D4D-A6DB-EAC6F84FB51B', 'SYS_2452562_0SD0KKC59', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (9462.00, '', 2695.00, 'SYS_F9D0C22E-2ED0-405B-A0E3-DAFC45D6E070', NULL, 0.00, 9459.00, 9394.00, 'SQUERY_LINK_SQUERY', 'SYS_C044E16B-4B95-4D4D-A6DB-EAC6F84FB51B', 'SYS_ORDER_VACATION_BREAK', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (10918.00, '', 2693.00, 'SYS_0593FC0C-1858-4463-B1EC-4D73F1299D08', NULL, 0.00, 11289.00, 1359.00, 'SQUERY_LINK_BASE', 'SYS_3E112B5E-EEDA-4DE8-A538-135FB30F090E', 'SYS_2452328_0LV0IROM7', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (10996.00, '', 2691.00, 'SYS_A1B5E84F-0EC7-4ADE-9C65-E11D284D9A2D', NULL, 0.00, 11289.00, 1359.00, 'SQUERY_LINK_SOURCE', 'SYS_3E112B5E-EEDA-4DE8-A538-135FB30F090E', 'SYS_2452328_0LV0IROM7', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (11184.00, '', 2695.00, 'SYS_E57F8E09-08D8-46C9-A6F0-1425A34D2B1E', NULL, 0.00, 11289.00, 9394.00, 'SQUERY_LINK_SQUERY', 'SYS_3E112B5E-EEDA-4DE8-A538-135FB30F090E', 'SYS_ORDER_VACATION_BREAK', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (11283.00, ' (.)', 2686.00, 'SYS_CECF8D6B-8761-4418-9FE9-6735304EF2E4', NULL, 0.00, 11289.00, 1454.00, 'SQUERY_FIELD', 'SYS_3E112B5E-EEDA-4DE8-A538-135FB30F090E', 'SYS_2452362_0MT0T5Y6N', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (16982.00, '', 2694.00, 'SYS_72706E5F-5504-4EC7-AAD4-772FFF6B9D90', NULL, 0.00, 11289.00, 4038.00, 'SQUERY_LINK_STATE', 'SYS_3E112B5E-EEDA-4DE8-A538-135FB30F090E', 'SYS_2452566_0SH0LW148', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (16983.00, '', 2694.00, 'SYS_B5396EB7-8213-419C-B565-8F00F8E876F5', NULL, 1.00, 11289.00, 5650.00, 'SQUERY_LINK_STATE', 'SYS_3E112B5E-EEDA-4DE8-A538-135FB30F090E', 'SYS_2452696_0W50V0X1F', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (10978.00, '', 2693.00, 'SYS_A0745066-7187-461F-BDD7-A0FD8C470CBB', NULL, 0.00, 11283.00, 1454.00, 'SQUERY_LINK_BASE', 'SYS_CECF8D6B-8761-4418-9FE9-6735304EF2E4', 'SYS_2452362_0MT0T5Y6N', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (11067.00, '', 2691.00, 'SYS_0ED1E4A0-A877-4283-8193-3EF8E0446839', NULL, 0.00, 11283.00, 1454.00, 'SQUERY_LINK_SOURCE', 'SYS_CECF8D6B-8761-4418-9FE9-6735304EF2E4', 'SYS_2452362_0MT0T5Y6N', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (11180.00, '', 2695.00, 'SYS_B1536863-12F4-4944-93DF-E12B88DC0339', NULL, 0.00, 11283.00, 9394.00, 'SQUERY_LINK_SQUERY', 'SYS_CECF8D6B-8761-4418-9FE9-6735304EF2E4', 'SYS_ORDER_VACATION_BREAK', 1)

GO

		CREATE TABLE #T_OVV (LINK_UP int, PROPERTY int, USERS VARCHAR(85), ORDERS int, VALUE varchar(8000), CODE_UP varchar(60), CODE_PROP varchar(30))
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (9394.00, 137.00, NULL, NULL, '', 'SYS_ORDER_VACATION_BREAK', 'SQUERY_CHANGED')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (9394.00, 159.00, NULL, NULL, 'KIRREPMAKER.XLS', 'SYS_ORDER_VACATION_BREAK', 'SQUERY_GENERATOR')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (9394.00, 174.00, NULL, NULL, 'IIF(.T.,"FORM-OF7.XLT","")', 'SYS_ORDER_VACATION_BREAK', 'SQUERY_REPORT')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (9394.00, 176.00, NULL, 10.00, '
	UPDATE #T_RES
	SET	SEX1 = CASE CAST( 
	isnull( (SELECT P.SEX FROM PERSON P  WHERE P.LINK=(SELECT PERS_LINK FROM EMPL WHERE LINK = S_37419)), 3) AS INTEGER)
WHEN 1 THEN ''''
WHEN 2 THEN ''''
WHEN 3 THEN ''-''
END /* (.)*/ FROM #T_RES T 
', 'SYS_ORDER_VACATION_BREAK', 'SQUERY_SQL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (9394.00, 176.00, NULL, 14.00, '	
SELECT * FROM #T_RES2 

', 'SYS_ORDER_VACATION_BREAK', 'SQUERY_SQL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (9394.00, 176.00, NULL, 15.00, '
	DROP TABLE #T_RES
', 'SYS_ORDER_VACATION_BREAK', 'SQUERY_SQL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (9394.00, 176.00, NULL, 16.00, '
	DROP TABLE #WORKERS

	SET TRANSACTION ISOLATION LEVEL READ COMMITTED

END', 'SYS_ORDER_VACATION_BREAK', 'SQUERY_SQL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (9394.00, 176.00, NULL, 2.00, '
	CREATE TABLE  #WORKERS (FACE INT, START_DATE DATETIME, END_DATE DATETIME, STAFF INT,  LINK_DEP INT)
EXEC K_FILL_T_WORKERS @dDate_1

', 'SYS_ORDER_VACATION_BREAK', 'SQUERY_SQL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (9394.00, 176.00, NULL, 5.00, '
	UPDATE #T_RES
	SET	CHR10 = CHAR(10) /*CHR10*/ FROM #T_RES T  WHERE SQUERY=37324
', 'SYS_ORDER_VACATION_BREAK', 'SQUERY_SQL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (9394.00, 176.00, NULL, 12.00, '
	SELECT CHR10 AS CHR10 /*CHR10*/,
		LINK_ITM AS LINK_ITM /*    */,
		DATA_N AS DATA_N /* */,
		DATA_NE AS DATA_NE /*  */,
		DAYS_BR AS DAYS_BR /* */,
		DATA_PB /*  */,
		DATA_PE /*  */,
		DAYS_PROD AS DAYS_PROD /* */,
		DOLG AS DOLG /**/,
		NOTD AS NOTD /**/,
		OSN AS OSN /**/,
		TAB_NUM AS TAB_NUM /* */,
		FIO AS FIO /**/,
		LINK_PR AS LINK_PR /**/,
		DATA_PR AS DATA_PR /* */,
		NOM_PR AS NOM_PR /* */,
		FACE_LINK AS FACE_LINK /**/,
		SEX AS SEX /* (.)*/,
		POL AS POL /*POL*/,
		S_37430 AS S_37430 /* - */,
		S_37436 AS S_37436 /*  - */,
		CHIEF AS CHIEF /* */,
		chief_pre AS chief_pre /**/
	INTO #T_RES2
	FROM #T_RES T
	GROUP BY CHR10, LINK_ITM, DATA_N,DATA_NE,DAYS_BR,DATA_PB,DATA_PE,DAYS_PROD, DOLG, NOTD, OSN, TAB_NUM, FIO, LINK_PR, DATA_PR, NOM_PR, FACE_LINK, SEX, POL, S_37430, S_37436, CHIEF, chief_pre


', 'SYS_ORDER_VACATION_BREAK', 'SQUERY_SQL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (9394.00, 176.00, NULL, 3.00, '
	CREATE TABLE #T_RES (CHIEF VARCHAR(30) /* */,
		chief_pre varchar(254) /**/,
		CHR10 CHAR(1) /*CHR10*/,
		DATA_N DATETIME /* */,
		DATA_NE DATETIME /*  */,
		DAYS_BR int /*  */,
		DATA_PB DATETIME /*   */,
		DATA_PE DATETIME /*   */,		
		DAYS_PROD int /*   */,	
		DATA_PR DATETIME /* */,
		DOLG VARCHAR(254) /**/,
		FACE_LINK INT /**/,
		FIO VARCHAR(254) /**/,
		LINK_ITM INT /*    */,
		LINK_PR INT /**/,
		NOM_PR VARCHAR(30) /* */,
		NOTD VARCHAR(254) /**/,
		OSN VARCHAR(254) /**/,
		POL VARCHAR(3) /*POL*/,
		S_37419 INT /**/,
		S_37430 INT /* - */,
		S_37436 INT /*  - */,
		SEX CHAR(1) /* (.)*/,
		SEX1 CHAR(1) /* (.)*/,
		TAB_NUM VARCHAR(20) /* */, SQUERY int)
', 'SYS_ORDER_VACATION_BREAK', 'SQUERY_SQL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (9394.00, 176.00, NULL, 4.00, '
	INSERT #T_RES (DATA_N,DATA_NE,DAYS_BR,DATA_PB,DATA_PE,DAYS_PROD, DOLG, NOTD, OSN, TAB_NUM, FIO, S_37419, LINK_ITM, LINK_PR, FACE_LINK, S_37430, S_37436, SQUERY) /*  - */
	SELECT ITVBR.DATE_BREAK,
	DATA_NE = CASE WHEN ITVBR.BREAK_DAYS_FLAG = 1 then DATEadd(DAY, ITVBR.BREAK_WORK_DAYS,ITVBR.DATE_BREAK) else '''' end,
	ITVBR.BREAK_WORK_DAYS,
	DATA_PB = CASE WHEN ITVBR.BREAK_DAYS_FLAG = 1 then DATEadd(DAY, ITVBR.BREAK_WORK_DAYS+1,ITVBR.DATE_BREAK) else '''' end ,
	DATA_PE = CASE WHEN ITVBR.BREAK_DAYS_FLAG = 1 then DATEadd(DAY, ITVBR.BREAK_WORK_DAYS + ITVBR.LEN_KAL_DAYS,ITVBR.DATE_BREAK) else '''' end,
	ITVBR.LEN_KAL_DAYS, ITVBR.POST, ITVBR.SUBDIV, ITVBR.REASON, ITVBR.TAB_NUM, ITVBR.FIO, #workers.face, ITVBR.LINK, ORD6.LINK, #workers.face, DEP.LINK, DOTF.LINK, 37324
	FROM #WORKERS, DICTIONARY_DEPARTMENT DEP, DICTIONARY_OTV_FACE DOTF, ORDERS ORD6, VACATION_BREAK ITVBR
	WHERE #WORKERS.FACE =ITVBR.EMPL_LINK
		AND #WORKERS.LINK_DEP=DEP.LINK
		AND (DOTF.NAME='''')
		AND (ORD6.LINK=@nNumber001)
		AND DEP.LINK = ORD6.DEP_LINK
		AND DEP.LINK=DOTF.DEP_LINK
		AND DEP.LINK=isnull(dbo.BK_getDepZB(), dbo.getowndeplink())
		AND ORD6.LINK = ITVBR.ORDER_LINK
		AND ORD6.TYPE = 11
', 'SYS_ORDER_VACATION_BREAK', 'SQUERY_SQL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (9394.00, 176.00, NULL, 1.00, 'CREATE PROCEDURE #P_SQUERY
		@cText_3 VARCHAR(4000) /*/ ()*/,
		@dDate_1 DATETIME /* */,
		@nNumber001 INT /*   ()*/,
		@varKScTableInto varchar(20) = ''''
AS
BEGIN

	SET TRANSACTION ISOLATION LEVEL READ UNCOMMITTED
', 'SYS_ORDER_VACATION_BREAK', 'SQUERY_SQL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (9394.00, 176.00, NULL, 9.00, '
	UPDATE #T_RES
	SET	CHIEF = (SELECT FACE_NAME FROM DICTIONARY_OTV_FACE WHERE LINK=S_37436) /* */ FROM #T_RES T 
', 'SYS_ORDER_VACATION_BREAK', 'SQUERY_SQL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (9394.00, 176.00, NULL, 6.00, '
	UPDATE #T_RES
	SET	DATA_PR = (SELECT [DATE] FROM ORDERS WHERE LINK = LINK_PR) /* */ FROM #T_RES T 
', 'SYS_ORDER_VACATION_BREAK', 'SQUERY_SQL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (9394.00, 176.00, NULL, 7.00, '
	UPDATE #T_RES
	SET	NOM_PR = (SELECT NUMBER FROM ORDERS WHERE LINK = LINK_PR) /* */ FROM #T_RES T 
', 'SYS_ORDER_VACATION_BREAK', 'SQUERY_SQL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (9394.00, 176.00, NULL, 11.00, '
	UPDATE #T_RES
	SET	POL = CASE 
WHEN SEX = '''' THEN ''''
WHEN SEX = '''' THEN ''''
WHEN SEX = ''-'' THEN ''''
ELSE ''''
END /*POL*/ FROM #T_RES T 
', 'SYS_ORDER_VACATION_BREAK', 'SQUERY_SQL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (9394.00, 176.00, NULL, 13.00, '
	UPDATE #T_RES2
	SET	chief_pre = RIGHT(CHIEF,4) + RTRIM(SUBSTRING(CHIEF,1,LEN(CHIEF)-4)) /**/ FROM #T_RES2 T 
', 'SYS_ORDER_VACATION_BREAK', 'SQUERY_SQL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (9394.00, 176.00, NULL, 8.00, '
	UPDATE #T_RES
	SET	SEX = CASE CAST( 
	isnull( (SELECT P.SEX FROM PERSON P  WHERE P.LINK=(SELECT PERS_LINK FROM EMPL WHERE LINK = FACE_LINK)), 3) AS INTEGER)
WHEN 1 THEN ''''
WHEN 2 THEN ''''
WHEN 3 THEN ''-''
END /* (.)*/ FROM #T_RES T 
', 'SYS_ORDER_VACATION_BREAK', 'SQUERY_SQL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (9394.00, 359.00, NULL, NULL, '1', 'SYS_ORDER_VACATION_BREAK', 'SQUERY_NO_SHOW')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (9398.00, 166.00, NULL, NULL, '1', 'SYS_VACATION_BREAK_MAIN_PARAM', 'SQUERY_NASTR_SAVE')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (9398.00, 166.00, NULL, NULL, '1', 'SYS_VACATION_BREAK_MAIN_PARAM', 'SQUERY_NASTR_SAVE')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (9398.00, 217.00, NULL, NULL, '1', 'SYS_VACATION_BREAK_MAIN_PARAM', 'SQUERY_NASTR_NON_VISIBLE')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (9398.00, 217.00, NULL, NULL, '1', 'SYS_VACATION_BREAK_MAIN_PARAM', 'SQUERY_NASTR_NON_VISIBLE')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (9399.00, 139.00, NULL, NULL, 'LINK_ITM', 'SYS_866FD9F1-7A2E-4168-AA73-912390DFCBA9', 'SQUERY_FIELD_CODE')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (9399.00, 155.00, NULL, NULL, '1', 'SYS_866FD9F1-7A2E-4168-AA73-912390DFCBA9', 'SQUERY_FIELD_TYPE')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (9403.00, 139.00, NULL, NULL, 'DATA_N', 'SYS_9FDC84A0-6B1A-40B5-A908-2766655C80BE', 'SQUERY_FIELD_CODE')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (9403.00, 155.00, NULL, NULL, '1', 'SYS_9FDC84A0-6B1A-40B5-A908-2766655C80BE', 'SQUERY_FIELD_TYPE')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (9407.00, 139.00, NULL, NULL, 'DOLG', 'SYS_8ACB99C5-DDE3-4F07-B7EC-389C9030CEFF', 'SQUERY_FIELD_CODE')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (9407.00, 155.00, NULL, NULL, '1', 'SYS_8ACB99C5-DDE3-4F07-B7EC-389C9030CEFF', 'SQUERY_FIELD_TYPE')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (9411.00, 139.00, NULL, NULL, 'NOTD', 'SYS_2DB781D0-665B-4632-93C3-0438C987BFE0', 'SQUERY_FIELD_CODE')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (9411.00, 155.00, NULL, NULL, '1', 'SYS_2DB781D0-665B-4632-93C3-0438C987BFE0', 'SQUERY_FIELD_TYPE')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (9415.00, 139.00, NULL, NULL, 'OSN', 'SYS_49CD124C-0F5E-4CFD-A8DE-6A7BC1D4A8D1', 'SQUERY_FIELD_CODE')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (9415.00, 155.00, NULL, NULL, '1', 'SYS_49CD124C-0F5E-4CFD-A8DE-6A7BC1D4A8D1', 'SQUERY_FIELD_TYPE')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (9419.00, 139.00, NULL, NULL, 'TAB_NUM', 'SYS_C2AE078C-07E8-4D33-982E-3C106446DA5C', 'SQUERY_FIELD_CODE')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (9419.00, 155.00, NULL, NULL, '1', 'SYS_C2AE078C-07E8-4D33-982E-3C106446DA5C', 'SQUERY_FIELD_TYPE')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (9423.00, 139.00, NULL, NULL, 'FIO', 'SYS_24F0EC82-B045-44AC-B6A0-97574616733B', 'SQUERY_FIELD_CODE')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (9423.00, 155.00, NULL, NULL, '1', 'SYS_24F0EC82-B045-44AC-B6A0-97574616733B', 'SQUERY_FIELD_TYPE')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (9428.00, 139.00, NULL, NULL, 'LINK_PR', 'SYS_CA94CB72-26F5-48AF-B441-79095D1C9033', 'SQUERY_FIELD_CODE')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (9428.00, 155.00, NULL, NULL, '1', 'SYS_CA94CB72-26F5-48AF-B441-79095D1C9033', 'SQUERY_FIELD_TYPE')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (9432.00, 139.00, NULL, NULL, 'DATA_PR', 'SYS_85C5948A-5802-4852-8685-04308CCB2965', 'SQUERY_FIELD_CODE')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (9432.00, 155.00, NULL, NULL, '3', 'SYS_85C5948A-5802-4852-8685-04308CCB2965', 'SQUERY_FIELD_TYPE')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (9436.00, 139.00, NULL, NULL, 'NOM_PR', 'SYS_F3E91191-B828-4CE7-B3C8-90265443B6D6', 'SQUERY_FIELD_CODE')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (9436.00, 155.00, NULL, NULL, '3', 'SYS_F3E91191-B828-4CE7-B3C8-90265443B6D6', 'SQUERY_FIELD_TYPE')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (9440.00, 139.00, NULL, NULL, 'FACE_LINK', 'SYS_7F882AE7-7655-47E7-AB38-1590869CB9BE', 'SQUERY_FIELD_CODE')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (9440.00, 155.00, NULL, NULL, '1', 'SYS_7F882AE7-7655-47E7-AB38-1590869CB9BE', 'SQUERY_FIELD_TYPE')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (9444.00, 139.00, NULL, NULL, 'SEX', 'SYS_E66471C6-52FB-46CD-9F76-E04A5E5D33C7', 'SQUERY_FIELD_CODE')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (9444.00, 155.00, NULL, NULL, '3', 'SYS_E66471C6-52FB-46CD-9F76-E04A5E5D33C7', 'SQUERY_FIELD_TYPE')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (9450.00, 1.00, NULL, NULL, '1', 'SYS_4114580_30631195', 'SQUERY_NASTR_OPTIONAL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (9450.00, 166.00, NULL, NULL, '1', 'SYS_4114580_30631195', 'SQUERY_NASTR_SAVE')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (9450.00, 168.00, NULL, NULL, ' ', 'SYS_4114580_30631195', 'SQUERY_NASTR_VALUE')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (9450.00, 217.00, NULL, NULL, '1', 'SYS_4114580_30631195', 'SQUERY_NASTR_NON_VISIBLE')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (9451.00, 139.00, NULL, NULL, 'S_37430', 'SYS_7BEDB168-E444-432C-98EF-569A4FB2E4D9', 'SQUERY_FIELD_CODE')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (9451.00, 155.00, NULL, NULL, '1', 'SYS_7BEDB168-E444-432C-98EF-569A4FB2E4D9', 'SQUERY_FIELD_TYPE')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (9455.00, 139.00, NULL, NULL, 'S_37436', 'SYS_B16167C5-DA1D-4C26-AB80-CEAC86CB2285', 'SQUERY_FIELD_CODE')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (9455.00, 155.00, NULL, NULL, '1', 'SYS_B16167C5-DA1D-4C26-AB80-CEAC86CB2285', 'SQUERY_FIELD_TYPE')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (9459.00, 139.00, NULL, NULL, 'CHIEF', 'SYS_C044E16B-4B95-4D4D-A6DB-EAC6F84FB51B', 'SQUERY_FIELD_CODE')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (9459.00, 155.00, NULL, NULL, '3', 'SYS_C044E16B-4B95-4D4D-A6DB-EAC6F84FB51B', 'SQUERY_FIELD_TYPE')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (9464.00, 163.00, NULL, NULL, '@cText_3', 'SYS_VACATION_BREAK1_MAIN_PARAM', 'SQUERY_NASTR_CODE')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (9464.00, 166.00, NULL, NULL, '1', 'SYS_VACATION_BREAK1_MAIN_PARAM', 'SQUERY_NASTR_SAVE')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (9464.00, 217.00, NULL, NULL, '1', 'SYS_VACATION_BREAK1_MAIN_PARAM', 'SQUERY_NASTR_NON_VISIBLE')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (11271.00, 139.00, NULL, NULL, 'CHR10', 'SYS_9EA1FD15-1E2F-403B-BBAD-E1F043952C5E', 'SQUERY_FIELD_CODE')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (11271.00, 152.00, NULL, NULL, 'CHAR(1)', 'SYS_9EA1FD15-1E2F-403B-BBAD-E1F043952C5E', 'SQUERY_FIELD_SQLTYPE')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (11271.00, 155.00, NULL, NULL, '2', 'SYS_9EA1FD15-1E2F-403B-BBAD-E1F043952C5E', 'SQUERY_FIELD_TYPE')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (11271.00, 158.00, NULL, NULL, 'CHAR(10)', 'SYS_9EA1FD15-1E2F-403B-BBAD-E1F043952C5E', 'SQUERY_FORMULA')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (11273.00, 139.00, NULL, NULL, 'POL', 'SYS_B1EFC2BE-AE4F-4DBA-B6A1-94702771F25F', 'SQUERY_FIELD_CODE')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (11273.00, 152.00, NULL, NULL, 'VARCHAR(3)', 'SYS_B1EFC2BE-AE4F-4DBA-B6A1-94702771F25F', 'SQUERY_FIELD_SQLTYPE')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (11273.00, 155.00, NULL, NULL, '2', 'SYS_B1EFC2BE-AE4F-4DBA-B6A1-94702771F25F', 'SQUERY_FIELD_TYPE')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (11273.00, 158.00, NULL, NULL, 'CASE 
WHEN SEX = '''' THEN ''''
WHEN SEX = '''' THEN ''''
WHEN SEX = ''-'' THEN ''''
ELSE ''''
END', 'SYS_B1EFC2BE-AE4F-4DBA-B6A1-94702771F25F', 'SQUERY_FORMULA')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (11283.00, 139.00, NULL, NULL, 'SEX1', 'SYS_CECF8D6B-8761-4418-9FE9-6735304EF2E4', 'SQUERY_FIELD_CODE')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (11283.00, 155.00, NULL, NULL, '3', 'SYS_CECF8D6B-8761-4418-9FE9-6735304EF2E4', 'SQUERY_FIELD_TYPE')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (11289.00, 139.00, NULL, NULL, 'S_37419', 'SYS_3E112B5E-EEDA-4DE8-A538-135FB30F090E', 'SQUERY_FIELD_CODE')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (11289.00, 155.00, NULL, NULL, '1', 'SYS_3E112B5E-EEDA-4DE8-A538-135FB30F090E', 'SQUERY_FIELD_TYPE')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (15625.00, 139.00, NULL, NULL, 'chief_pre', 'SYS_82840790-57EE-4FD7-8986-37D54E4CF804', 'SQUERY_FIELD_CODE')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (15625.00, 152.00, NULL, NULL, 'varchar(254)', 'SYS_82840790-57EE-4FD7-8986-37D54E4CF804', 'SQUERY_FIELD_SQLTYPE')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (15625.00, 155.00, NULL, NULL, '2', 'SYS_82840790-57EE-4FD7-8986-37D54E4CF804', 'SQUERY_FIELD_TYPE')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (15625.00, 158.00, NULL, NULL, 'RIGHT(CHIEF,4) + RTRIM(SUBSTRING(CHIEF,1,LEN(CHIEF)-4))', 'SYS_82840790-57EE-4FD7-8986-37D54E4CF804', 'SQUERY_FORMULA')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (15625.00, 335.00, NULL, NULL, '1', 'SYS_82840790-57EE-4FD7-8986-37D54E4CF804', 'SQUERY_FIELD_CALC_AFTER')

GO

		exec KIR_UPGRADE_OV 0
GO

		DROP TABLE #T_OV
GO

		DROP TABLE #T_OVV
GO


GO
IF exists(SELECT link FROM dbo.OBJECT_VAR WHERE CODE IN ('2567229_315962580','7185011_771408711','6026254_404348386'))
begin
	IF EXISTS(select * from dbo.OBJECT_VAR_VALUES WHERE link_up IN ( SELECT link FROM dbo.OBJECT_VAR WHERE CODE IN ('2567229_315962580','7185011_771408711','6026254_404348386')))
	BEGIN 
		DELETE FROM dbo.OBJECT_VAR_VALUES WHERE link_up IN (SELECT link FROM dbo.OBJECT_VAR WHERE CODE IN ('2567229_315962580','7185011_771408711','6026254_404348386') )
		DELETE FROM dbo.OBJECT_VAR WHERE CODE IN ('2567229_315962580','7185011_771408711','6026254_404348386')
	END 
end

GO

GO



		CREATE TABLE #T_OV (LINK int, NAME varchar(254), OBJECT int, CODE varchar(60), USERS VARCHAR(85), ORDERS int, LINK_SELF int, LINK_STATE int, CODE_OBJ varchar(60), CODE_SELF varchar(60), CODE_STATE varchar(60), SYS BIT)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (94504.00, ' ', 2688.00, 'SYS_POV_KVALIF', NULL, 0.00, NULL, NULL, 'SQUERY_USER', NULL, NULL, 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (94526.00, ' - ', 2686.00, 'SYS_POV_KVALIF_LINK_DEP', NULL, 999.00, 94504.00, 81439.00, 'SQUERY_FIELD', 'SYS_POV_KVALIF', 'SYS_2452558_0S90YEMO0', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (94535.00, '', 2686.00, 'SYS_POV_KVALIF_LINK_FACE', NULL, 999.00, 94504.00, 90576.00, 'SQUERY_FIELD', 'SYS_POV_KVALIF', 'SYS_2452328_0LV0IROM7', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (94554.00, '  - ', 2686.00, 'SYS_POV_KVALIF_LINK_KVAL', NULL, 999.00, 94504.00, 90728.00, 'SQUERY_FIELD', 'SYS_POV_KVALIF', 'SYS_2452418_0OD0ZF7ZH', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (94560.00, '  ', 2686.00, 'SYS_POV_KVALIF_LINK_STAFF', NULL, 999.00, 94504.00, 79820.00, 'SQUERY_FIELD', 'SYS_POV_KVALIF', 'SYS_2452364_0MV0NQUS9', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (94564.00, ' ', 2698.00, 'SYS_POV_KVALIF_NASTR1', NULL, 1.00, 94504.00, NULL, 'SQUERY_NASTR', 'SYS_POV_KVALIF', NULL, 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (94565.00, ' ', 2698.00, 'SYS_POV_KVALIF_NASTR2', NULL, 2.00, 94504.00, NULL, 'SQUERY_NASTR', 'SYS_POV_KVALIF', NULL, 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (94566.00, ' ', 2698.00, 'SYS_POV_KVALIF_NASTR3', NULL, 3.00, 94504.00, NULL, 'SQUERY_NASTR', 'SYS_POV_KVALIF', NULL, 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (94572.00, ' ', 2698.00, 'SYS_POV_KVALIF_NASTR4', NULL, 4.00, 94504.00, NULL, 'SQUERY_NASTR', 'SYS_POV_KVALIF', NULL, 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (94477.00, ' ', 2686.00, '041FFD3C-1026-42B9-9E05-30D01A872C6C', NULL, 999.00, 94554.00, 90569.00, 'SQUERY_FIELD', 'SYS_POV_KVALIF_LINK_KVAL', 'SYS_0154DB9A-8D4B-49E1-8DF6-E19BD24114A3', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (94502.00, '', 2694.00, 'SYS_2453018_15514L6CT', NULL, 0.00, 94560.00, 81415.00, 'SQUERY_LINK_STATE', 'SYS_POV_KVALIF_LINK_STAFF', 'SYS_2452554_0S50QSXCK', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (94503.00, '', 2694.00, 'SYS_2453018_15514L6EG', NULL, 1.00, 94560.00, 81417.00, 'SQUERY_LINK_STATE', 'SYS_POV_KVALIF_LINK_STAFF', 'SYS_2452554_0S50QUJM1', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (94505.00, '  ', 2686.00, 'SYS_POV_KVALIF_KVAL_D1', NULL, 8.00, 94554.00, 90729.00, 'SQUERY_FIELD', 'SYS_POV_KVALIF_LINK_KVAL', 'SYS_2452418_0OD0ZINOA', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (94509.00, '  ', 2686.00, 'SYS_POV_KVALIF_KVAL_D2', NULL, 9.00, 94554.00, 90730.00, 'SQUERY_FIELD', 'SYS_POV_KVALIF_LINK_KVAL', 'SYS_2452418_0OD0ZIQLZ', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (94513.00, '  ', 2686.00, 'SYS_POV_KVALIF_KVAL_DEP', NULL, 999.00, 94554.00, 90930.00, 'SQUERY_FIELD', 'SYS_POV_KVALIF_LINK_KVAL', 'SYS_2452756_0XT0T5OYC', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (94517.00, ' ', 2686.00, 'SYS_POV_KVALIF_KVAL_DOC', NULL, 10.00, 94554.00, 90733.00, 'SQUERY_FIELD', 'SYS_POV_KVALIF_LINK_KVAL', 'SYS_2452418_0OD0ZIZ5D', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (94521.00, '  ', 2686.00, 'SYS_POV_KVALIF_KVAL_QH', NULL, 999.00, 94554.00, 91585.00, 'SQUERY_FIELD', 'SYS_POV_KVALIF_LINK_KVAL', 'SYS_FD9BF4CD-10F5-4089-902B-8402E7F63CAB', 0)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (94522.00, '  ', 2686.00, 'SYS_POV_KVALIF_KVAL_TYPE', NULL, 2.00, 94554.00, 90731.00, 'SQUERY_FIELD', 'SYS_POV_KVALIF_LINK_KVAL', 'SYS_2452418_0OD0ZIT9Y', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (94527.00, '', 2686.00, 'SYS_POV_KVALIF_LINK_DEP_DEP', NULL, 1.00, 94526.00, 81442.00, 'SQUERY_FIELD', 'SYS_POV_KVALIF_LINK_DEP', 'SYS_2452558_0S90YIGV9', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (94531.00, '', 2693.00, 'SYS_POV_KVALIF_LINK_DEP_F1', NULL, 0.00, 94526.00, 81439.00, 'SQUERY_LINK_BASE', 'SYS_POV_KVALIF_LINK_DEP', 'SYS_2452558_0S90YEMO0', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (94532.00, '', 2691.00, 'SYS_POV_KVALIF_LINK_DEP_F2', NULL, 0.00, 94526.00, 81439.00, 'SQUERY_LINK_SOURCE', 'SYS_POV_KVALIF_LINK_DEP', 'SYS_2452558_0S90YEMO0', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (94533.00, '', 2695.00, 'SYS_POV_KVALIF_LINK_DEP_F3', NULL, 0.00, 94526.00, 94504.00, 'SQUERY_LINK_SQUERY', 'SYS_POV_KVALIF_LINK_DEP', 'SYS_POV_KVALIF', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (94534.00, '', 2694.00, 'SYS_POV_KVALIF_LINK_DEP_F4', NULL, 0.00, 94526.00, 81979.00, 'SQUERY_LINK_STATE', 'SYS_POV_KVALIF_LINK_DEP', 'SYS_2452565_0SG128RND', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (94536.00, '', 2693.00, 'SYS_POV_KVALIF_LINK_FACE_F1', NULL, 0.00, 94535.00, 90576.00, 'SQUERY_LINK_BASE', 'SYS_POV_KVALIF_LINK_FACE', 'SYS_2452328_0LV0IROM7', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (94537.00, '', 2691.00, 'SYS_POV_KVALIF_LINK_FACE_F2', NULL, 0.00, 94535.00, 90576.00, 'SQUERY_LINK_SOURCE', 'SYS_POV_KVALIF_LINK_FACE', 'SYS_2452328_0LV0IROM7', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (94538.00, '', 2695.00, 'SYS_POV_KVALIF_LINK_FACE_F3', NULL, 0.00, 94535.00, 94504.00, 'SQUERY_LINK_SQUERY', 'SYS_POV_KVALIF_LINK_FACE', 'SYS_POV_KVALIF', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (94539.00, '', 2694.00, 'SYS_POV_KVALIF_LINK_FACE_F4', NULL, 0.00, 94535.00, 90838.00, 'SQUERY_LINK_STATE', 'SYS_POV_KVALIF_LINK_FACE', 'SYS_2452566_0SH0LW148', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (94540.00, '', 2694.00, 'SYS_POV_KVALIF_LINK_FACE_F5', NULL, 1.00, 94535.00, 90924.00, 'SQUERY_LINK_STATE', 'SYS_POV_KVALIF_LINK_FACE', 'SYS_2452696_0W50V0X1F', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (94541.00, '', 2686.00, 'SYS_POV_KVALIF_LINK_FACE_FIO', NULL, 999.00, 94535.00, 90581.00, 'SQUERY_FIELD', 'SYS_POV_KVALIF_LINK_FACE', 'SYS_2452328_0LV0IUCIO', 0)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (94542.00, '', 2686.00, 'SYS_POV_KVALIF_LINK_FACE_FM', NULL, 4.00, 94535.00, 90578.00, 'SQUERY_FIELD', 'SYS_POV_KVALIF_LINK_FACE', 'SYS_2452328_0LV0ITQUN', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (94546.00, '', 2686.00, 'SYS_POV_KVALIF_LINK_FACE_IM', NULL, 6.00, 94535.00, 90579.00, 'SQUERY_FIELD', 'SYS_POV_KVALIF_LINK_FACE', 'SYS_2452328_0LV0IU1GV', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (94550.00, '', 2686.00, 'SYS_POV_KVALIF_LINK_FACE_OT', NULL, 7.00, 94535.00, 90580.00, 'SQUERY_FIELD', 'SYS_POV_KVALIF_LINK_FACE', 'SYS_2452328_0LV0IU4O1', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (94555.00, '', 2693.00, 'SYS_POV_KVALIF_LINK_KVAL_F1', NULL, 0.00, 94554.00, 90728.00, 'SQUERY_LINK_BASE', 'SYS_POV_KVALIF_LINK_KVAL', 'SYS_2452418_0OD0ZF7ZH', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (94556.00, '', 2691.00, 'SYS_POV_KVALIF_LINK_KVAL_F2', NULL, 0.00, 94554.00, 90728.00, 'SQUERY_LINK_SOURCE', 'SYS_POV_KVALIF_LINK_KVAL', 'SYS_2452418_0OD0ZF7ZH', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (94557.00, '', 2695.00, 'SYS_POV_KVALIF_LINK_KVAL_F3', NULL, 0.00, 94554.00, 94504.00, 'SQUERY_LINK_SQUERY', 'SYS_POV_KVALIF_LINK_KVAL', 'SYS_POV_KVALIF', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (94558.00, '', 2694.00, 'SYS_POV_KVALIF_LINK_KVAL_F4', NULL, 0.00, 94554.00, 90857.00, 'SQUERY_LINK_STATE', 'SYS_POV_KVALIF_LINK_KVAL', 'SYS_2452573_0SO0VVGTU', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (94559.00, '', 2694.00, 'SYS_POV_KVALIF_LINK_KVAL_F5', NULL, 1.00, 94554.00, 90864.00, 'SQUERY_LINK_STATE', 'SYS_POV_KVALIF_LINK_KVAL', 'SYS_2452573_0SO0W2KGA', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (94561.00, '', 2693.00, 'SYS_POV_KVALIF_LINK_STAFF_F1', NULL, 0.00, 94560.00, 79820.00, 'SQUERY_LINK_BASE', 'SYS_POV_KVALIF_LINK_STAFF', 'SYS_2452364_0MV0NQUS9', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (94562.00, '', 2691.00, 'SYS_POV_KVALIF_LINK_STAFF_F2', NULL, 0.00, 94560.00, 79820.00, 'SQUERY_LINK_SOURCE', 'SYS_POV_KVALIF_LINK_STAFF', 'SYS_2452364_0MV0NQUS9', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (94563.00, '', 2695.00, 'SYS_POV_KVALIF_LINK_STAFF_F3', NULL, 0.00, 94560.00, 94504.00, 'SQUERY_LINK_SQUERY', 'SYS_POV_KVALIF_LINK_STAFF', 'SYS_POV_KVALIF', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (94567.00, ' - ', 2686.00, 'SYS_POV_KVALIF_STAFF_ORD', NULL, 3.00, 94560.00, 79823.00, 'SQUERY_FIELD', 'SYS_POV_KVALIF_LINK_STAFF', 'SYS_2452364_0MV0NVO6A', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (94568.00, '', 2686.00, 'SYS_POV_KVALIF_STAFF_POST', NULL, 5.00, 94560.00, 79825.00, 'SQUERY_FIELD', 'SYS_POV_KVALIF_LINK_STAFF', 'SYS_2452364_0MV0NX5SA', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (94569.00, ' - ', 2686.00, 'SYS_POV_KVALIF_STAFF_SBC', NULL, 999.00, 94560.00, 79822.00, 'SQUERY_FIELD', 'SYS_POV_KVALIF_LINK_STAFF', 'SYS_2452364_0MV0NUYMN', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (94570.00, ' - ', 2686.00, 'SYS_POV_KVALIF_STAFF_SBL', NULL, 999.00, 94560.00, 79824.00, 'SQUERY_FIELD', 'SYS_POV_KVALIF_LINK_STAFF', 'SYS_2452364_0MV0NW2D1', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (94571.00, '', 2686.00, 'SYS_POV_KVALIF_STAFF_SUB', NULL, 11.00, 94560.00, 79821.00, 'SQUERY_FIELD', 'SYS_POV_KVALIF_LINK_STAFF', 'SYS_2452364_0MV0NSE3G', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (94478.00, '', 2691.00, '3AF93FA6-040D-4EF3-94BE-F0352F093A83', NULL, 0.00, 94541.00, 90581.00, 'SQUERY_LINK_SOURCE', 'SYS_POV_KVALIF_LINK_FACE_FIO', 'SYS_2452328_0LV0IUCIO', 0)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (94479.00, '', 2691.00, '3CA8725D-381A-46F2-AAFE-6D73FEE3FFFC', NULL, 0.00, 94521.00, 91585.00, 'SQUERY_LINK_SOURCE', 'SYS_POV_KVALIF_KVAL_QH', 'SYS_FD9BF4CD-10F5-4089-902B-8402E7F63CAB', 0)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (94480.00, '', 2695.00, '3EBD5CFC-3841-484B-B41A-5CDDDF9001F7', NULL, 0.00, 94477.00, 94504.00, 'SQUERY_LINK_SQUERY', '041FFD3C-1026-42B9-9E05-30D01A872C6C', 'SYS_POV_KVALIF', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (94481.00, '', 2695.00, '44209C65-BCB6-48FA-912E-6335EB06853B', NULL, 0.00, 94521.00, 94504.00, 'SQUERY_LINK_SQUERY', 'SYS_POV_KVALIF_KVAL_QH', 'SYS_POV_KVALIF', 0)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (94482.00, '', 2691.00, '555F7030-AA87-4A7E-9F1D-06D0C523832A', NULL, 0.00, 94477.00, 90569.00, 'SQUERY_LINK_SOURCE', '041FFD3C-1026-42B9-9E05-30D01A872C6C', 'SYS_0154DB9A-8D4B-49E1-8DF6-E19BD24114A3', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (94483.00, '', 2693.00, '898702FD-43EA-409F-90E3-3A030812944C', NULL, 0.00, 94541.00, 90581.00, 'SQUERY_LINK_BASE', 'SYS_POV_KVALIF_LINK_FACE_FIO', 'SYS_2452328_0LV0IUCIO', 0)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (94484.00, '', 2693.00, 'BF0F2C06-DFD4-4A2F-8601-B519D32810F6', NULL, 0.00, 94477.00, 90569.00, 'SQUERY_LINK_BASE', '041FFD3C-1026-42B9-9E05-30D01A872C6C', 'SYS_0154DB9A-8D4B-49E1-8DF6-E19BD24114A3', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (94485.00, '', 2695.00, 'E66DFEAB-85EA-4B53-A46A-62392E3AA390', NULL, 0.00, 94541.00, 94504.00, 'SQUERY_LINK_SQUERY', 'SYS_POV_KVALIF_LINK_FACE_FIO', 'SYS_POV_KVALIF', 0)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (94486.00, '', 2693.00, 'EF58A797-1875-4F9A-8AF7-CE444A2F50BC', NULL, 0.00, 94521.00, 91585.00, 'SQUERY_LINK_BASE', 'SYS_POV_KVALIF_KVAL_QH', 'SYS_FD9BF4CD-10F5-4089-902B-8402E7F63CAB', 0)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (94487.00, '', 2693.00, 'SYS_2452728_0X10QKUG1', NULL, 0.00, 94571.00, 79821.00, 'SQUERY_LINK_BASE', 'SYS_POV_KVALIF_STAFF_SUB', 'SYS_2452364_0MV0NSE3G', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (94488.00, '', 2691.00, 'SYS_2452728_0X10QKUGX', NULL, 0.00, 94571.00, 79821.00, 'SQUERY_LINK_SOURCE', 'SYS_POV_KVALIF_STAFF_SUB', 'SYS_2452364_0MV0NSE3G', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (94489.00, '', 2695.00, 'SYS_2452728_0X10QKUI8', NULL, 0.00, 94571.00, 94504.00, 'SQUERY_LINK_SQUERY', 'SYS_POV_KVALIF_STAFF_SUB', 'SYS_POV_KVALIF', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (94490.00, '', 2693.00, 'SYS_2452728_0X10QKW0G', NULL, 0.00, 94569.00, 79822.00, 'SQUERY_LINK_BASE', 'SYS_POV_KVALIF_STAFF_SBC', 'SYS_2452364_0MV0NUYMN', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (94491.00, '', 2691.00, 'SYS_2452728_0X10QKW1D', NULL, 0.00, 94569.00, 79822.00, 'SQUERY_LINK_SOURCE', 'SYS_POV_KVALIF_STAFF_SBC', 'SYS_2452364_0MV0NUYMN', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (94492.00, '', 2695.00, 'SYS_2452728_0X10QKW2N', NULL, 0.00, 94569.00, 94504.00, 'SQUERY_LINK_SQUERY', 'SYS_POV_KVALIF_STAFF_SBC', 'SYS_POV_KVALIF', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (94493.00, '', 2693.00, 'SYS_2452728_0X10QKXT7', NULL, 0.00, 94567.00, 79823.00, 'SQUERY_LINK_BASE', 'SYS_POV_KVALIF_STAFF_ORD', 'SYS_2452364_0MV0NVO6A', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (94494.00, '', 2691.00, 'SYS_2452728_0X10QKXUF', NULL, 0.00, 94567.00, 79823.00, 'SQUERY_LINK_SOURCE', 'SYS_POV_KVALIF_STAFF_ORD', 'SYS_2452364_0MV0NVO6A', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (94495.00, '', 2695.00, 'SYS_2452728_0X10QKXVR', NULL, 0.00, 94567.00, 94504.00, 'SQUERY_LINK_SQUERY', 'SYS_POV_KVALIF_STAFF_ORD', 'SYS_POV_KVALIF', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (94496.00, '', 2693.00, 'SYS_2452728_0X10QKZQ5', NULL, 0.00, 94570.00, 79824.00, 'SQUERY_LINK_BASE', 'SYS_POV_KVALIF_STAFF_SBL', 'SYS_2452364_0MV0NW2D1', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (94497.00, '', 2691.00, 'SYS_2452728_0X10QKZR1', NULL, 0.00, 94570.00, 79824.00, 'SQUERY_LINK_SOURCE', 'SYS_POV_KVALIF_STAFF_SBL', 'SYS_2452364_0MV0NW2D1', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (94498.00, '', 2695.00, 'SYS_2452728_0X10QKZSC', NULL, 0.00, 94570.00, 94504.00, 'SQUERY_LINK_SQUERY', 'SYS_POV_KVALIF_STAFF_SBL', 'SYS_POV_KVALIF', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (94499.00, '', 2693.00, 'SYS_2452728_0X10QLONR', NULL, 0.00, 94568.00, 79825.00, 'SQUERY_LINK_BASE', 'SYS_POV_KVALIF_STAFF_POST', 'SYS_2452364_0MV0NX5SA', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (94500.00, '', 2691.00, 'SYS_2452728_0X10QLOP0', NULL, 0.00, 94568.00, 79825.00, 'SQUERY_LINK_SOURCE', 'SYS_POV_KVALIF_STAFF_POST', 'SYS_2452364_0MV0NX5SA', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (94501.00, '', 2695.00, 'SYS_2452728_0X10QLOQB', NULL, 0.00, 94568.00, 94504.00, 'SQUERY_LINK_SQUERY', 'SYS_POV_KVALIF_STAFF_POST', 'SYS_POV_KVALIF', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (94506.00, '', 2693.00, 'SYS_POV_KVALIF_KVAL_D1_F1', NULL, 0.00, 94505.00, 90729.00, 'SQUERY_LINK_BASE', 'SYS_POV_KVALIF_KVAL_D1', 'SYS_2452418_0OD0ZINOA', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (94507.00, '', 2691.00, 'SYS_POV_KVALIF_KVAL_D1_F2', NULL, 0.00, 94505.00, 90729.00, 'SQUERY_LINK_SOURCE', 'SYS_POV_KVALIF_KVAL_D1', 'SYS_2452418_0OD0ZINOA', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (94508.00, '', 2695.00, 'SYS_POV_KVALIF_KVAL_D1_F3', NULL, 0.00, 94505.00, 94504.00, 'SQUERY_LINK_SQUERY', 'SYS_POV_KVALIF_KVAL_D1', 'SYS_POV_KVALIF', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (94510.00, '', 2693.00, 'SYS_POV_KVALIF_KVAL_D2_F1', NULL, 0.00, 94509.00, 90730.00, 'SQUERY_LINK_BASE', 'SYS_POV_KVALIF_KVAL_D2', 'SYS_2452418_0OD0ZIQLZ', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (94511.00, '', 2691.00, 'SYS_POV_KVALIF_KVAL_D2_F2', NULL, 0.00, 94509.00, 90730.00, 'SQUERY_LINK_SOURCE', 'SYS_POV_KVALIF_KVAL_D2', 'SYS_2452418_0OD0ZIQLZ', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (94512.00, '', 2695.00, 'SYS_POV_KVALIF_KVAL_D2_F3', NULL, 0.00, 94509.00, 94504.00, 'SQUERY_LINK_SQUERY', 'SYS_POV_KVALIF_KVAL_D2', 'SYS_POV_KVALIF', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (94514.00, '', 2693.00, 'SYS_POV_KVALIF_KVAL_DEP_F1', NULL, 0.00, 94513.00, 90930.00, 'SQUERY_LINK_BASE', 'SYS_POV_KVALIF_KVAL_DEP', 'SYS_2452756_0XT0T5OYC', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (94515.00, '', 2691.00, 'SYS_POV_KVALIF_KVAL_DEP_F2', NULL, 0.00, 94513.00, 90930.00, 'SQUERY_LINK_SOURCE', 'SYS_POV_KVALIF_KVAL_DEP', 'SYS_2452756_0XT0T5OYC', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (94516.00, '', 2695.00, 'SYS_POV_KVALIF_KVAL_DEP_F3', NULL, 0.00, 94513.00, 94504.00, 'SQUERY_LINK_SQUERY', 'SYS_POV_KVALIF_KVAL_DEP', 'SYS_POV_KVALIF', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (94518.00, '', 2693.00, 'SYS_POV_KVALIF_KVAL_DOC_F1', NULL, 0.00, 94517.00, 90733.00, 'SQUERY_LINK_BASE', 'SYS_POV_KVALIF_KVAL_DOC', 'SYS_2452418_0OD0ZIZ5D', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (94519.00, '', 2691.00, 'SYS_POV_KVALIF_KVAL_DOC_F2', NULL, 0.00, 94517.00, 90733.00, 'SQUERY_LINK_SOURCE', 'SYS_POV_KVALIF_KVAL_DOC', 'SYS_2452418_0OD0ZIZ5D', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (94520.00, '', 2695.00, 'SYS_POV_KVALIF_KVAL_DOC_F3', NULL, 0.00, 94517.00, 94504.00, 'SQUERY_LINK_SQUERY', 'SYS_POV_KVALIF_KVAL_DOC', 'SYS_POV_KVALIF', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (94523.00, '', 2693.00, 'SYS_POV_KVALIF_KVAL_TYPE_F1', NULL, 0.00, 94522.00, 90731.00, 'SQUERY_LINK_BASE', 'SYS_POV_KVALIF_KVAL_TYPE', 'SYS_2452418_0OD0ZIT9Y', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (94524.00, '', 2691.00, 'SYS_POV_KVALIF_KVAL_TYPE_F2', NULL, 0.00, 94522.00, 90731.00, 'SQUERY_LINK_SOURCE', 'SYS_POV_KVALIF_KVAL_TYPE', 'SYS_2452418_0OD0ZIT9Y', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (94525.00, '', 2695.00, 'SYS_POV_KVALIF_KVAL_TYPE_F3', NULL, 0.00, 94522.00, 94504.00, 'SQUERY_LINK_SQUERY', 'SYS_POV_KVALIF_KVAL_TYPE', 'SYS_POV_KVALIF', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (94528.00, '', 2693.00, 'SYS_POV_KVALIF_LINK_DEP_DEP_F1', NULL, 0.00, 94527.00, 81442.00, 'SQUERY_LINK_BASE', 'SYS_POV_KVALIF_LINK_DEP_DEP', 'SYS_2452558_0S90YIGV9', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (94529.00, '', 2691.00, 'SYS_POV_KVALIF_LINK_DEP_DEP_F2', NULL, 0.00, 94527.00, 81442.00, 'SQUERY_LINK_SOURCE', 'SYS_POV_KVALIF_LINK_DEP_DEP', 'SYS_2452558_0S90YIGV9', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (94530.00, '', 2695.00, 'SYS_POV_KVALIF_LINK_DEP_DEP_F3', NULL, 0.00, 94527.00, 94504.00, 'SQUERY_LINK_SQUERY', 'SYS_POV_KVALIF_LINK_DEP_DEP', 'SYS_POV_KVALIF', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (94543.00, '', 2693.00, 'SYS_POV_KVALIF_LINK_FACE_FM_F1', NULL, 0.00, 94542.00, 90578.00, 'SQUERY_LINK_BASE', 'SYS_POV_KVALIF_LINK_FACE_FM', 'SYS_2452328_0LV0ITQUN', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (94544.00, '', 2691.00, 'SYS_POV_KVALIF_LINK_FACE_FM_F2', NULL, 0.00, 94542.00, 90578.00, 'SQUERY_LINK_SOURCE', 'SYS_POV_KVALIF_LINK_FACE_FM', 'SYS_2452328_0LV0ITQUN', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (94545.00, '', 2695.00, 'SYS_POV_KVALIF_LINK_FACE_FM_F3', NULL, 0.00, 94542.00, 94504.00, 'SQUERY_LINK_SQUERY', 'SYS_POV_KVALIF_LINK_FACE_FM', 'SYS_POV_KVALIF', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (94547.00, '', 2693.00, 'SYS_POV_KVALIF_LINK_FACE_IM_F1', NULL, 0.00, 94546.00, 90579.00, 'SQUERY_LINK_BASE', 'SYS_POV_KVALIF_LINK_FACE_IM', 'SYS_2452328_0LV0IU1GV', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (94548.00, '', 2691.00, 'SYS_POV_KVALIF_LINK_FACE_IM_F2', NULL, 0.00, 94546.00, 90579.00, 'SQUERY_LINK_SOURCE', 'SYS_POV_KVALIF_LINK_FACE_IM', 'SYS_2452328_0LV0IU1GV', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (94549.00, '', 2695.00, 'SYS_POV_KVALIF_LINK_FACE_IM_F3', NULL, 0.00, 94546.00, 94504.00, 'SQUERY_LINK_SQUERY', 'SYS_POV_KVALIF_LINK_FACE_IM', 'SYS_POV_KVALIF', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (94551.00, '', 2693.00, 'SYS_POV_KVALIF_LINK_FACE_OT_F1', NULL, 0.00, 94550.00, 90580.00, 'SQUERY_LINK_BASE', 'SYS_POV_KVALIF_LINK_FACE_OT', 'SYS_2452328_0LV0IU4O1', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (94552.00, '', 2691.00, 'SYS_POV_KVALIF_LINK_FACE_OT_F2', NULL, 0.00, 94550.00, 90580.00, 'SQUERY_LINK_SOURCE', 'SYS_POV_KVALIF_LINK_FACE_OT', 'SYS_2452328_0LV0IU4O1', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (94553.00, '', 2695.00, 'SYS_POV_KVALIF_LINK_FACE_OT_F3', NULL, 0.00, 94550.00, 94504.00, 'SQUERY_LINK_SQUERY', 'SYS_POV_KVALIF_LINK_FACE_OT', 'SYS_POV_KVALIF', 1)

GO

		CREATE TABLE #T_OVV (LINK_UP int, PROPERTY int, USERS VARCHAR(85), ORDERS int, VALUE varchar(8000), CODE_UP varchar(60), CODE_PROP varchar(30))
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (94477.00, 326.00, NULL, NULL, 'S_87614', '041FFD3C-1026-42B9-9E05-30D01A872C6C', 'SQUERY_FIELD_CODE')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (94477.00, 327.00, NULL, NULL, '3', '041FFD3C-1026-42B9-9E05-30D01A872C6C', 'SQUERY_FIELD_DIRECT_XL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (94477.00, 328.00, NULL, NULL, '', '041FFD3C-1026-42B9-9E05-30D01A872C6C', 'SQUERY_FIELD_FORMAT_C_XL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (94477.00, 335.00, NULL, NULL, '9', '041FFD3C-1026-42B9-9E05-30D01A872C6C', 'SQUERY_FIELD_ORDER_XL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (94477.00, 342.00, NULL, NULL, '1', '041FFD3C-1026-42B9-9E05-30D01A872C6C', 'SQUERY_FIELD_TYPE')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (94477.00, 343.00, NULL, NULL, '40', '041FFD3C-1026-42B9-9E05-30D01A872C6C', 'SQUERY_FIELD_WIDTH_XL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (94504.00, 324.00, NULL, NULL, '', 'SYS_POV_KVALIF', 'SQUERY_CHANGED')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (94504.00, 325.00, NULL, NULL, '0', 'SYS_POV_KVALIF', 'SQUERY_DATETIME')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (94504.00, 344.00, NULL, NULL, '', 'SYS_POV_KVALIF', 'SQUERY_FOOTER')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (94504.00, 346.00, NULL, NULL, 'REPMAKER_Q.XLS', 'SYS_POV_KVALIF', 'SQUERY_GENERATOR')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (94504.00, 347.00, NULL, NULL, '', 'SYS_POV_KVALIF', 'SQUERY_HEADER')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (94504.00, 361.00, NULL, NULL, 'IIF(@nCheck_1 = 0,"REPQUERY_2.XLT",IIF(@nCheck_1 = 1,"REPQUERY.XLT",""))', 'SYS_POV_KVALIF', 'SQUERY_REPORT')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (94504.00, 363.00, NULL, 18.00, '
	UPDATE #T_RES
	SET	S_91913 = (SELECT ( rtrim(P.FM) +'' '' +rtrim(P.IM)+'' ''+ rtrim(P.OT)+'' ''  ) FROM PERSON P WHERE P.LINK=(SELECT PERS_LINK FROM EMPL WHERE LINK = S_26560)) /**/ FROM #T_RES T  
', 'SYS_POV_KVALIF', 'SQUERY_SQL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (94504.00, 363.00, NULL, 20.00, '	
SELECT * FROM #T_RES2 

', 'SYS_POV_KVALIF', 'SQUERY_SQL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (94504.00, 363.00, NULL, 21.00, '
	DROP TABLE #T_RES
', 'SYS_POV_KVALIF', 'SQUERY_SQL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (94504.00, 363.00, NULL, 22.00, '
	DROP TABLE #WORKERS

	DROP TABLE #QUALIFY

	DROP TABLE #STAFF

	SET TRANSACTION ISOLATION LEVEL READ COMMITTED

END', 'SYS_POV_KVALIF', 'SQUERY_SQL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (94504.00, 363.00, NULL, 16.00, '
	UPDATE #T_RES
	SET	S_87614 = (SELECT PROG_NAME FROM #QUALIFY WHERE ID = S_26579) /* */ FROM #T_RES T 
', 'SYS_POV_KVALIF', 'SQUERY_SQL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (94504.00, 363.00, NULL, 17.00, '
	UPDATE #T_RES
	SET	S_91903 = (SELECT [TIME] FROM #QUALIFY WHERE ID = S_26579) /*  */ FROM #T_RES T 
', 'SYS_POV_KVALIF', 'SQUERY_SQL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (94504.00, 363.00, NULL, 19.00, '
	SELECT 
		S_26555 AS S_26555 /**/,
		S_26598 AS S_26598 /*  */,
		S_26615 AS S_26615 /* - */,
		S_26565 AS S_26565 /**/,
		S_26569 AS S_26569 /**/,
		S_26573 AS S_26573 /**/,
		S_26628 AS S_26628 /**/,
		S_26584 AS S_26584 /*  */,
		S_26588 AS S_26588 /*  */,
		S_26594 AS S_26594 /* */,
		S_26607 AS S_26607 /**/,
		S_26560 AS S_26560 /**/,
		S_87614 AS S_87614 /* */,
		S_26611 AS S_26611 /* - */,
		S_26619 AS S_26619 /* - */,
		S_27669 AS S_27669 /*  */,
		S_26550 AS S_26550 /* - */,
		S_26579 AS S_26579 /*  - */,
		S_26602 AS S_26602 /*  */,
		S_91903 AS S_91903 /*  */,
		S_91913 AS S_91913 /**/
		
	INTO #T_RES2
	FROM #T_RES T
	GROUP BY  S_26555, S_26565, S_26569, S_26573, S_91913, S_26584, S_26598, S_87614, S_26628, S_26615, S_26588, S_26594, S_26607, S_26560, S_26611, S_26619, S_27669, S_26550, S_26579, S_26602, S_91903

', 'SYS_POV_KVALIF', 'SQUERY_SQL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (94504.00, 363.00, NULL, 10.00, '
	UPDATE #T_RES
	SET	S_26573 = (SELECT P.OT FROM PERSON P  WHERE P.LINK=(SELECT PERS_LINK FROM EMPL WHERE LINK = S_26560)) /**/ FROM #T_RES T 
', 'SYS_POV_KVALIF', 'SQUERY_SQL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (94504.00, 363.00, NULL, 11.00, '
	UPDATE #T_RES
	SET	S_26584 = CONVERT( DATETIME, (SELECT DATE_BEGIN FROM  #QUALIFY WHERE ID=S_26579 ), 104) /*  */ FROM #T_RES T 
', 'SYS_POV_KVALIF', 'SQUERY_SQL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (94504.00, 363.00, NULL, 12.00, '
	UPDATE #T_RES
	SET	S_26588 = CONVERT( DATETIME, (SELECT DATE_END FROM  #QUALIFY WHERE ID=S_26579 ), 104) /*  */ FROM #T_RES T 
', 'SYS_POV_KVALIF', 'SQUERY_SQL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (94504.00, 363.00, NULL, 13.00, '
	UPDATE #T_RES
	SET	S_27669 = (SELECT PLACE FROM  #QUALIFY WHERE ID=S_26579 ) /*  */ FROM #T_RES T 
', 'SYS_POV_KVALIF', 'SQUERY_SQL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (94504.00, 363.00, NULL, 14.00, '
	UPDATE #T_RES
	SET	S_26594 = (SELECT DOC_SERNUM FROM  #QUALIFY WHERE ID=S_26579 ) /* */ FROM #T_RES T 
', 'SYS_POV_KVALIF', 'SQUERY_SQL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (94504.00, 363.00, NULL, 3.00, '
	CREATE TABLE #QUALIFY
(
	ID INT IDENTITY,
	FACE INT, 
	DATE_BEGIN VARCHAR(10),
	DATE_END	VARCHAR(10),
	LINK_TYPE INT,
	TYPE VARCHAR(254),
	DOC_NAME VARCHAR(254),
	DOC_SERNUM VARCHAR(254),
	DOC_DATE VARCHAR(10),
	REASON VARCHAR(254),
	PLACE VARCHAR(254),
	NUMBER INT,
	PLACE_LINK INT,
	PLACE_CODE VARCHAR(5),
	FIN_LINK INT,
	FIN_SRC VARCHAR(254),
	FIN_CODE VARCHAR(2),
	NAPR_LINK INT,
	NAPR VARCHAR(100),
	NAPR_CODE VARCHAR(2),
	PROG_NAME VARCHAR(500),
	TIME INT
)

EXEC K_FILL_T_QUALIFY

', 'SYS_POV_KVALIF', 'SQUERY_SQL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (94504.00, 363.00, NULL, 15.00, '
	UPDATE #T_RES
	SET	S_26598 = (SELECT TYPE FROM  #QUALIFY WHERE ID=S_26579 )
 /*  */ FROM #T_RES T 
', 'SYS_POV_KVALIF', 'SQUERY_SQL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (94504.00, 363.00, NULL, 5.00, '
	CREATE TABLE #T_RES (S_26550 INT /* - */,
		S_26555 VARCHAR(120) /**/,
		S_26560 INT /**/,
		S_26565 VARCHAR(100) /**/,
		S_26569 VARCHAR(100) /**/,
		S_26573 VARCHAR(100) /**/,
		S_26579 int /*  - */,
		S_26584 DATETIME /*  */,
		S_26588 DATETIME /*  */,
		S_26594 VARCHAR(254) /* */,
		S_26598 VARCHAR(254) /*  */,
		S_26602 int /*  */,
		S_26607 VARCHAR(254) /**/,
		S_26611 VARCHAR(5) /* - */,
		S_26615 INT /* - */,
		S_26619 INT /* - */,
		S_26628 VARCHAR(254) /**/,
		S_27669 VARCHAR(254) /*  */,
		S_87614 VARCHAR(500) /* */,
		S_91903 INT /*  */,
		S_91913 VARCHAR(150) /**/, SQUERY int)
', 'SYS_POV_KVALIF', 'SQUERY_SQL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (94504.00, 363.00, NULL, 6.00, '
	INSERT #T_RES (S_26550, S_26560, S_26579, S_26602, S_26615, S_26628, S_26611, S_26619, S_26607, SQUERY) /**/
	SELECT DEP.LINK, #workers.face, Q.ID, #STAFF.LNK, #staff.num_otd, #staff.POST_NAME, #staff.SUBDIV_CODE, #STAFF.LEVEL_OTD, #staff.SUBDIV_NAME, 86829
	FROM #STAFF, #WORKERS, #QUALIFY Q, DICTIONARY_DEPARTMENT DEP
	WHERE #STAFF.LINK_DEP=DEP.LINK
		AND #WORKERS.LINK_DEP=DEP.LINK
		AND (#staff.lnk=#workers.staff)
		AND CONVERT(DATETIME, CASE WHEN LEN(RTRIM(Q.DATE_BEGIN))=10 THEN Q.DATE_BEGIN ELSE NULL END,104) BETWEEN @dDateH1 AND @dDateH2
		AND DEP.LINK=isnull(dbo.BK_getDepZB(), dbo.getowndeplink())
		AND Q.FACE=#WORKERS.FACE
', 'SYS_POV_KVALIF', 'SQUERY_SQL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (94504.00, 363.00, NULL, 7.00, '
	UPDATE #T_RES
	SET	S_26555 = (SELECT NAME FROM DICTIONARY_DEPARTMENT WHERE LINK=S_26550) /**/ FROM #T_RES T 
', 'SYS_POV_KVALIF', 'SQUERY_SQL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (94504.00, 363.00, NULL, 8.00, '
	UPDATE #T_RES
	SET	S_26565 = (SELECT P.FM FROM PERSON P WHERE P.LINK=(SELECT PERS_LINK FROM EMPL WHERE LINK = S_26560)) /**/ FROM #T_RES T 
', 'SYS_POV_KVALIF', 'SQUERY_SQL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (94504.00, 363.00, NULL, 4.00, '
	CREATE TABLE #STAFF 
( 
	num_otd INT, 
	LNK INT,
	LINK_OTD INT,
	SUBDIV_CODE VARCHAR(5),
	SUBDIV_NAME VARCHAR(254), 
	LINK_DOL INT,  
	POST_CODE VARCHAR(6),
	POST_NAME VARCHAR(254), 
	NORM  NUMERIC(20,2),
	FACT NUMERIC(20,2),  
	VAC  NUMERIC(20,2), 
	OKLAD NUMERIC(20,2), 
	FOT NUMERIC(20,2), 
	LEVEL_OTD INT, 
	CHIN_LINK INT,
	CHIN_CODE VARCHAR(10),
	CHIN VARCHAR(254),
	CONFIRMED NUMERIC(20,2),
	DEYAT_TYPE_LINK INT,
	DEYAT_TYPE VARCHAR(80),
	KATEG_LINK INT,
	KATEG_CODE VARCHAR(3),
	KATEG_DOL VARCHAR(40),
	GOSSL BIT,
	FEDERAL BIT, 
	FOND BIT,
	LINK_DEP INT, 
	LINK_PARENT INT, 
	NUM_PARENT INT,
	KAT_GOS_LINK INT,
	KAT_GOS_CODE VARCHAR(3),
	KAT_GOS_NAME VARCHAR(254),
	GR_GOS_LINK INT,
	GR_GOS_CODE VARCHAR(3),
	GR_GOS_NAME VARCHAR(254)
)


EXEC K_FILL_T_STAFF


', 'SYS_POV_KVALIF', 'SQUERY_SQL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (94504.00, 363.00, NULL, 9.00, '
	UPDATE #T_RES
	SET	S_26569 = (SELECT P.IM FROM PERSON P  WHERE P.LINK=(SELECT PERS_LINK FROM EMPL WHERE LINK = S_26560)) /**/ FROM #T_RES T 
', 'SYS_POV_KVALIF', 'SQUERY_SQL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (94504.00, 363.00, NULL, 1.00, 'CREATE PROCEDURE #P_SQUERY
		@dDate_1 DATETIME /* */,
		@dDateH1 DATETIME /* -  */,
		@dDateH2 DATETIME /* -  */,
		@nCheck_1 INT /* */,
		@varKScTableInto varchar(20) = ''''
AS
BEGIN

	SET TRANSACTION ISOLATION LEVEL READ UNCOMMITTED
', 'SYS_POV_KVALIF', 'SQUERY_SQL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (94504.00, 363.00, NULL, 2.00, '
	CREATE TABLE  #WORKERS (FACE INT, START_DATE DATETIME, END_DATE DATETIME, STAFF INT,  LINK_DEP INT)
EXEC K_FILL_T_WORKERS @dDate_1

', 'SYS_POV_KVALIF', 'SQUERY_SQL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (94504.00, 552.00, NULL, NULL, 'REPMAKERSTANDARD.BAS', 'SYS_POV_KVALIF', 'QUERY_ADD_MODULE')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (94505.00, 326.00, NULL, NULL, 'S_26584', 'SYS_POV_KVALIF_KVAL_D1', 'SQUERY_FIELD_CODE')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (94505.00, 327.00, NULL, NULL, '3', 'SYS_POV_KVALIF_KVAL_D1', 'SQUERY_FIELD_DIRECT_XL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (94505.00, 329.00, NULL, NULL, '..', 'SYS_POV_KVALIF_KVAL_D1', 'SQUERY_FIELD_FORMAT_D_XL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (94505.00, 335.00, NULL, NULL, '6', 'SYS_POV_KVALIF_KVAL_D1', 'SQUERY_FIELD_ORDER_XL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (94505.00, 342.00, NULL, NULL, '1', 'SYS_POV_KVALIF_KVAL_D1', 'SQUERY_FIELD_TYPE')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (94505.00, 343.00, NULL, NULL, '15', 'SYS_POV_KVALIF_KVAL_D1', 'SQUERY_FIELD_WIDTH_XL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (94509.00, 326.00, NULL, NULL, 'S_26588', 'SYS_POV_KVALIF_KVAL_D2', 'SQUERY_FIELD_CODE')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (94509.00, 327.00, NULL, NULL, '3', 'SYS_POV_KVALIF_KVAL_D2', 'SQUERY_FIELD_DIRECT_XL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (94509.00, 328.00, NULL, NULL, '', 'SYS_POV_KVALIF_KVAL_D2', 'SQUERY_FIELD_FORMAT_C_XL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (94509.00, 329.00, NULL, NULL, '..', 'SYS_POV_KVALIF_KVAL_D2', 'SQUERY_FIELD_FORMAT_D_XL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (94509.00, 335.00, NULL, NULL, '7', 'SYS_POV_KVALIF_KVAL_D2', 'SQUERY_FIELD_ORDER_XL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (94509.00, 342.00, NULL, NULL, '3', 'SYS_POV_KVALIF_KVAL_D2', 'SQUERY_FIELD_TYPE')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (94509.00, 343.00, NULL, NULL, '15', 'SYS_POV_KVALIF_KVAL_D2', 'SQUERY_FIELD_WIDTH_XL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (94513.00, 326.00, NULL, NULL, 'S_27669', 'SYS_POV_KVALIF_KVAL_DEP', 'SQUERY_FIELD_CODE')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (94513.00, 327.00, NULL, NULL, '3', 'SYS_POV_KVALIF_KVAL_DEP', 'SQUERY_FIELD_DIRECT_XL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (94513.00, 328.00, NULL, NULL, '', 'SYS_POV_KVALIF_KVAL_DEP', 'SQUERY_FIELD_FORMAT_C_XL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (94513.00, 329.00, NULL, NULL, '', 'SYS_POV_KVALIF_KVAL_DEP', 'SQUERY_FIELD_FORMAT_D_XL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (94513.00, 335.00, NULL, NULL, '8', 'SYS_POV_KVALIF_KVAL_DEP', 'SQUERY_FIELD_ORDER_XL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (94513.00, 338.00, NULL, NULL, '1', 'SYS_POV_KVALIF_KVAL_DEP', 'SQUERY_FIELD_SORT_XL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (94513.00, 342.00, NULL, NULL, '1', 'SYS_POV_KVALIF_KVAL_DEP', 'SQUERY_FIELD_TYPE')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (94513.00, 343.00, NULL, NULL, '40', 'SYS_POV_KVALIF_KVAL_DEP', 'SQUERY_FIELD_WIDTH_XL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (94517.00, 326.00, NULL, NULL, 'S_26594', 'SYS_POV_KVALIF_KVAL_DOC', 'SQUERY_FIELD_CODE')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (94517.00, 327.00, NULL, NULL, '3', 'SYS_POV_KVALIF_KVAL_DOC', 'SQUERY_FIELD_DIRECT_XL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (94517.00, 328.00, NULL, NULL, '', 'SYS_POV_KVALIF_KVAL_DOC', 'SQUERY_FIELD_FORMAT_C_XL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (94517.00, 335.00, NULL, NULL, '12', 'SYS_POV_KVALIF_KVAL_DOC', 'SQUERY_FIELD_ORDER_XL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (94517.00, 342.00, NULL, NULL, '1', 'SYS_POV_KVALIF_KVAL_DOC', 'SQUERY_FIELD_TYPE')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (94517.00, 343.00, NULL, NULL, '20', 'SYS_POV_KVALIF_KVAL_DOC', 'SQUERY_FIELD_WIDTH_XL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (94521.00, 326.00, NULL, NULL, 'S_91903', 'SYS_POV_KVALIF_KVAL_QH', 'SQUERY_FIELD_CODE')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (94521.00, 327.00, NULL, NULL, '3', 'SYS_POV_KVALIF_KVAL_QH', 'SQUERY_FIELD_DIRECT_XL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (94521.00, 328.00, NULL, NULL, '', 'SYS_POV_KVALIF_KVAL_QH', 'SQUERY_FIELD_FORMAT_C_XL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (94521.00, 329.00, NULL, NULL, '# ##0,00', 'SYS_POV_KVALIF_KVAL_QH', 'SQUERY_FIELD_FORMAT_D_XL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (94521.00, 330.00, NULL, NULL, '1', 'SYS_POV_KVALIF_KVAL_QH', 'SQUERY_FIELD_FORMULA_XL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (94521.00, 331.00, NULL, NULL, '1', 'SYS_POV_KVALIF_KVAL_QH', 'SQUERY_FIELD_GROUP_XL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (94521.00, 334.00, NULL, NULL, '', 'SYS_POV_KVALIF_KVAL_QH', 'SQUERY_FIELD_NOT_RESULT')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (94521.00, 335.00, NULL, NULL, '11', 'SYS_POV_KVALIF_KVAL_QH', 'SQUERY_FIELD_ORDER_XL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (94521.00, 342.00, NULL, NULL, '1', 'SYS_POV_KVALIF_KVAL_QH', 'SQUERY_FIELD_TYPE')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (94521.00, 343.00, NULL, NULL, '10', 'SYS_POV_KVALIF_KVAL_QH', 'SQUERY_FIELD_WIDTH_XL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (94522.00, 326.00, NULL, NULL, 'S_26598', 'SYS_POV_KVALIF_KVAL_TYPE', 'SQUERY_FIELD_CODE')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (94522.00, 327.00, NULL, NULL, '3', 'SYS_POV_KVALIF_KVAL_TYPE', 'SQUERY_FIELD_DIRECT_XL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (94522.00, 328.00, NULL, NULL, '', 'SYS_POV_KVALIF_KVAL_TYPE', 'SQUERY_FIELD_FORMAT_C_XL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (94522.00, 335.00, NULL, NULL, '10', 'SYS_POV_KVALIF_KVAL_TYPE', 'SQUERY_FIELD_ORDER_XL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (94522.00, 340.00, NULL, NULL, '0', 'SYS_POV_KVALIF_KVAL_TYPE', 'SQUERY_FIELD_SUBTOTAL_CHECK')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (94522.00, 341.00, NULL, NULL, '  :*', 'SYS_POV_KVALIF_KVAL_TYPE', 'SQUERY_FIELD_SUBTOTAL_XL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (94522.00, 342.00, NULL, NULL, '1', 'SYS_POV_KVALIF_KVAL_TYPE', 'SQUERY_FIELD_TYPE')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (94522.00, 343.00, NULL, NULL, '40', 'SYS_POV_KVALIF_KVAL_TYPE', 'SQUERY_FIELD_WIDTH_XL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (94526.00, 326.00, NULL, NULL, 'S_26550', 'SYS_POV_KVALIF_LINK_DEP', 'SQUERY_FIELD_CODE')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (94526.00, 335.00, NULL, NULL, '0', 'SYS_POV_KVALIF_LINK_DEP', 'SQUERY_FIELD_ORDER_XL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (94526.00, 342.00, NULL, NULL, '1', 'SYS_POV_KVALIF_LINK_DEP', 'SQUERY_FIELD_TYPE')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (94527.00, 326.00, NULL, NULL, 'S_26555', 'SYS_POV_KVALIF_LINK_DEP_DEP', 'SQUERY_FIELD_CODE')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (94527.00, 327.00, NULL, NULL, '1', 'SYS_POV_KVALIF_LINK_DEP_DEP', 'SQUERY_FIELD_DIRECT_XL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (94527.00, 328.00, NULL, NULL, '', 'SYS_POV_KVALIF_LINK_DEP_DEP', 'SQUERY_FIELD_FORMAT_C_XL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (94527.00, 331.00, NULL, NULL, '1', 'SYS_POV_KVALIF_LINK_DEP_DEP', 'SQUERY_FIELD_GROUP_XL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (94527.00, 333.00, NULL, NULL, '1', 'SYS_POV_KVALIF_LINK_DEP_DEP', 'SQUERY_FIELD_HIDE_XL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (94527.00, 335.00, NULL, NULL, '1', 'SYS_POV_KVALIF_LINK_DEP_DEP', 'SQUERY_FIELD_ORDER_XL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (94527.00, 340.00, NULL, NULL, '1', 'SYS_POV_KVALIF_LINK_DEP_DEP', 'SQUERY_FIELD_SUBTOTAL_CHECK')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (94527.00, 341.00, NULL, NULL, '  *', 'SYS_POV_KVALIF_LINK_DEP_DEP', 'SQUERY_FIELD_SUBTOTAL_XL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (94527.00, 342.00, NULL, NULL, '3', 'SYS_POV_KVALIF_LINK_DEP_DEP', 'SQUERY_FIELD_TYPE')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (94527.00, 343.00, NULL, NULL, '40', 'SYS_POV_KVALIF_LINK_DEP_DEP', 'SQUERY_FIELD_WIDTH_XL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (94535.00, 326.00, NULL, NULL, 'S_26560', 'SYS_POV_KVALIF_LINK_FACE', 'SQUERY_FIELD_CODE')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (94535.00, 327.00, NULL, NULL, '0', 'SYS_POV_KVALIF_LINK_FACE', 'SQUERY_FIELD_DIRECT_XL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (94535.00, 334.00, NULL, NULL, '', 'SYS_POV_KVALIF_LINK_FACE', 'SQUERY_FIELD_NOT_RESULT')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (94535.00, 335.00, NULL, NULL, '0', 'SYS_POV_KVALIF_LINK_FACE', 'SQUERY_FIELD_ORDER_XL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (94535.00, 342.00, NULL, NULL, '1', 'SYS_POV_KVALIF_LINK_FACE', 'SQUERY_FIELD_TYPE')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (94541.00, 326.00, NULL, NULL, 'S_91913', 'SYS_POV_KVALIF_LINK_FACE_FIO', 'SQUERY_FIELD_CODE')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (94541.00, 327.00, NULL, NULL, '1', 'SYS_POV_KVALIF_LINK_FACE_FIO', 'SQUERY_FIELD_DIRECT_XL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (94541.00, 328.00, NULL, NULL, '', 'SYS_POV_KVALIF_LINK_FACE_FIO', 'SQUERY_FIELD_FORMAT_C_XL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (94541.00, 331.00, NULL, NULL, '1', 'SYS_POV_KVALIF_LINK_FACE_FIO', 'SQUERY_FIELD_GROUP_XL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (94541.00, 335.00, NULL, NULL, '1', 'SYS_POV_KVALIF_LINK_FACE_FIO', 'SQUERY_FIELD_ORDER_XL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (94541.00, 338.00, NULL, NULL, '2', 'SYS_POV_KVALIF_LINK_FACE_FIO', 'SQUERY_FIELD_SORT_XL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (94541.00, 340.00, NULL, NULL, '1', 'SYS_POV_KVALIF_LINK_FACE_FIO', 'SQUERY_FIELD_SUBTOTAL_CHECK')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (94541.00, 341.00, NULL, NULL, '   *', 'SYS_POV_KVALIF_LINK_FACE_FIO', 'SQUERY_FIELD_SUBTOTAL_XL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (94541.00, 342.00, NULL, NULL, '3', 'SYS_POV_KVALIF_LINK_FACE_FIO', 'SQUERY_FIELD_TYPE')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (94541.00, 343.00, NULL, NULL, '40', 'SYS_POV_KVALIF_LINK_FACE_FIO', 'SQUERY_FIELD_WIDTH_XL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (94554.00, 326.00, NULL, NULL, 'S_26579', 'SYS_POV_KVALIF_LINK_KVAL', 'SQUERY_FIELD_CODE')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (94554.00, 335.00, NULL, NULL, '0', 'SYS_POV_KVALIF_LINK_KVAL', 'SQUERY_FIELD_ORDER_XL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (94554.00, 342.00, NULL, NULL, '1', 'SYS_POV_KVALIF_LINK_KVAL', 'SQUERY_FIELD_TYPE')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (94560.00, 326.00, NULL, NULL, 'S_26602', 'SYS_POV_KVALIF_LINK_STAFF', 'SQUERY_FIELD_CODE')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (94560.00, 335.00, NULL, NULL, '0', 'SYS_POV_KVALIF_LINK_STAFF', 'SQUERY_FIELD_ORDER_XL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (94560.00, 342.00, NULL, NULL, '1', 'SYS_POV_KVALIF_LINK_STAFF', 'SQUERY_FIELD_TYPE')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (94564.00, 350.00, NULL, NULL, '@dDate_1', 'SYS_POV_KVALIF_NASTR1', 'SQUERY_NASTR_CODE')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (94564.00, 352.00, NULL, NULL, 'DATEBOX_WD', 'SYS_POV_KVALIF_NASTR1', 'SQUERY_NASTR_OBJECT')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (94564.00, 355.00, NULL, NULL, ' ', 'SYS_POV_KVALIF_NASTR1', 'SQUERY_NASTR_VALUE')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (94564.00, 558.00, NULL, NULL, '0', 'SYS_POV_KVALIF_NASTR1', 'SQUERY_NASTR_OPTIONAL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (94565.00, 350.00, NULL, NULL, '@dDateH1', 'SYS_POV_KVALIF_NASTR2', 'SQUERY_NASTR_CODE')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (94565.00, 352.00, NULL, NULL, 'DATEBOX_PB', 'SYS_POV_KVALIF_NASTR2', 'SQUERY_NASTR_OBJECT')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (94565.00, 355.00, NULL, NULL, ' ', 'SYS_POV_KVALIF_NASTR2', 'SQUERY_NASTR_VALUE')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (94565.00, 558.00, NULL, NULL, '0', 'SYS_POV_KVALIF_NASTR2', 'SQUERY_NASTR_OPTIONAL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (94566.00, 350.00, NULL, NULL, '@dDateH2', 'SYS_POV_KVALIF_NASTR3', 'SQUERY_NASTR_CODE')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (94566.00, 352.00, NULL, NULL, 'DATEBOX_PE', 'SYS_POV_KVALIF_NASTR3', 'SQUERY_NASTR_OBJECT')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (94566.00, 355.00, NULL, NULL, ' ', 'SYS_POV_KVALIF_NASTR3', 'SQUERY_NASTR_VALUE')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (94566.00, 558.00, NULL, NULL, '0', 'SYS_POV_KVALIF_NASTR3', 'SQUERY_NASTR_OPTIONAL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (94567.00, 326.00, NULL, NULL, 'S_26615', 'SYS_POV_KVALIF_STAFF_ORD', 'SQUERY_FIELD_CODE')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (94567.00, 327.00, NULL, NULL, '3', 'SYS_POV_KVALIF_STAFF_ORD', 'SQUERY_FIELD_DIRECT_XL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (94567.00, 330.00, NULL, NULL, '1', 'SYS_POV_KVALIF_STAFF_ORD', 'SQUERY_FIELD_FORMULA_XL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (94567.00, 333.00, NULL, NULL, '1', 'SYS_POV_KVALIF_STAFF_ORD', 'SQUERY_FIELD_HIDE_XL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (94567.00, 335.00, NULL, NULL, '5', 'SYS_POV_KVALIF_STAFF_ORD', 'SQUERY_FIELD_ORDER_XL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (94567.00, 342.00, NULL, NULL, '1', 'SYS_POV_KVALIF_STAFF_ORD', 'SQUERY_FIELD_TYPE')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (94568.00, 326.00, NULL, NULL, 'S_26628', 'SYS_POV_KVALIF_STAFF_POST', 'SQUERY_FIELD_CODE')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (94568.00, 327.00, NULL, NULL, '3', 'SYS_POV_KVALIF_STAFF_POST', 'SQUERY_FIELD_DIRECT_XL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (94568.00, 329.00, NULL, NULL, '@', 'SYS_POV_KVALIF_STAFF_POST', 'SQUERY_FIELD_FORMAT_D_XL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (94568.00, 335.00, NULL, NULL, '4', 'SYS_POV_KVALIF_STAFF_POST', 'SQUERY_FIELD_ORDER_XL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (94568.00, 342.00, NULL, NULL, '1', 'SYS_POV_KVALIF_STAFF_POST', 'SQUERY_FIELD_TYPE')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (94568.00, 343.00, NULL, NULL, '30', 'SYS_POV_KVALIF_STAFF_POST', 'SQUERY_FIELD_WIDTH_XL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (94569.00, 326.00, NULL, NULL, 'S_26611', 'SYS_POV_KVALIF_STAFF_SBC', 'SQUERY_FIELD_CODE')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (94569.00, 335.00, NULL, NULL, '5', 'SYS_POV_KVALIF_STAFF_SBC', 'SQUERY_FIELD_ORDER_XL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (94569.00, 342.00, NULL, NULL, '1', 'SYS_POV_KVALIF_STAFF_SBC', 'SQUERY_FIELD_TYPE')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (94570.00, 326.00, NULL, NULL, 'S_26619', 'SYS_POV_KVALIF_STAFF_SBL', 'SQUERY_FIELD_CODE')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (94570.00, 335.00, NULL, NULL, '5', 'SYS_POV_KVALIF_STAFF_SBL', 'SQUERY_FIELD_ORDER_XL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (94570.00, 342.00, NULL, NULL, '1', 'SYS_POV_KVALIF_STAFF_SBL', 'SQUERY_FIELD_TYPE')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (94571.00, 326.00, NULL, NULL, 'S_26607', 'SYS_POV_KVALIF_STAFF_SUB', 'SQUERY_FIELD_CODE')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (94571.00, 327.00, NULL, NULL, '3', 'SYS_POV_KVALIF_STAFF_SUB', 'SQUERY_FIELD_DIRECT_XL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (94571.00, 328.00, NULL, NULL, '', 'SYS_POV_KVALIF_STAFF_SUB', 'SQUERY_FIELD_FORMAT_C_XL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (94571.00, 332.00, NULL, NULL, '', 'SYS_POV_KVALIF_STAFF_SUB', 'SQUERY_FIELD_HEIGHT_XL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (94571.00, 335.00, NULL, NULL, '5', 'SYS_POV_KVALIF_STAFF_SUB', 'SQUERY_FIELD_ORDER_XL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (94571.00, 338.00, NULL, NULL, '2', 'SYS_POV_KVALIF_STAFF_SUB', 'SQUERY_FIELD_SORT_XL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (94571.00, 340.00, NULL, NULL, '1', 'SYS_POV_KVALIF_STAFF_SUB', 'SQUERY_FIELD_SUBTOTAL_CHECK')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (94571.00, 341.00, NULL, NULL, '   *', 'SYS_POV_KVALIF_STAFF_SUB', 'SQUERY_FIELD_SUBTOTAL_XL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (94571.00, 342.00, NULL, NULL, '1', 'SYS_POV_KVALIF_STAFF_SUB', 'SQUERY_FIELD_TYPE')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (94571.00, 343.00, NULL, NULL, '40', 'SYS_POV_KVALIF_STAFF_SUB', 'SQUERY_FIELD_WIDTH_XL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (94572.00, 350.00, NULL, NULL, '@nCheck_1', 'SYS_POV_KVALIF_NASTR4', 'SQUERY_NASTR_CODE')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (94572.00, 352.00, NULL, NULL, 'CHECKBOX', 'SYS_POV_KVALIF_NASTR4', 'SQUERY_NASTR_OBJECT')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (94572.00, 353.00, NULL, NULL, '1', 'SYS_POV_KVALIF_NASTR4', 'SQUERY_NASTR_SAVE')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (94572.00, 355.00, NULL, NULL, '.', 'SYS_POV_KVALIF_NASTR4', 'SQUERY_NASTR_VALUE')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (94572.00, 558.00, NULL, NULL, '1', 'SYS_POV_KVALIF_NASTR4', 'SQUERY_NASTR_OPTIONAL')

GO

		exec KIR_UPGRADE_OV 0
GO

		DROP TABLE #T_OV
GO

		DROP TABLE #T_OVV
GO


GO

IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[SA_N_BOL_FILL2]') AND OBJECTPROPERTY(id,N'IsProcedure') = 1)
DROP PROCEDURE dbo.[SA_N_BOL_FILL2]

GO


CREATE PROCEDURE [dbo].SA_N_BOL_FILL2 
(
 @LINK_DOC INT OUTPUT, --  .	
 @LINK_ARCH INT, --  
 @LINK_PAYS INT = NULL, --   
 @TYP_PERIOD TINYINT = 3, --  : 1-   , 2-   , 3-  12  
 @LIMIT TINYINT = 3,-- : 1- 2 , 2- 1 , 3-   , 4 -  
 @RECALC TINYINT = 0, -- 0  .     3 
			-- 1 -      
			-- 2 -     
			-- 3 -     
 @OPER TINYINT = 0, -- 1 -  
 @LINK_DEP INT = NULL
)
AS

SET NOCOUNT ON

DECLARE
 @LINK_EMPL INT, --  
 @DATE_BEGIN DATETIME, -- 
 @DATE_BEGIN_P DATETIME, -- 
 @DATE_END DATETIME, -- 
 @REF_TYP_ARHE INT, --   
 @STAGE_Y INT, --
 @STAGE_M INT, --
 @comment varchar(100),
 @extension_DIS int,
 @dekret tinyint
 
DECLARE @UNAME VARCHAR(30)
SET @UNAME = CASE WHEN DBO.SA_GET_OPTION_BY_CODE('SALARY_OPTIONS_OPT10') = 1 THEN ISNULL(dbo.AdminGetUserFIO(default),'') ELSE '' END
SET @UNAME = @UNAME + CASE WHEN LEN(@UNAME) > 0 THEN ':' ELSE '' END

---
SELECT @LINK_EMPL = REF_EMPL, @LINK_PAYS = ISNULL(@LINK_PAYS,LINK_PAYS), @DATE_BEGIN = DATE1, @DATE_END = DATEADD(day,DAYS-1, DATE1),
	@REF_TYP_ARHE = REF_TYP_ARHE,  @STAGE_Y = NEPR_YEAR,  @STAGE_M = NEPR_MONTH,
	@comment = @UNAME + '  /:' + ISNULL(dbo.sd_GetEmplName(@LINK_EMPL),'') + ',' + LEFT(RTRIM(LTRIM([NAME_TYP_ARHE])),30) + ' '+RTRIM(LTRIM([NUMBER])) + '  ' + CONVERT(VARCHAR(10),[DATE],104),
	@extension_DIS = REF_DOC, @dekret = ISNULL(D.DEKRET,0),
	@LINK_DEP = ISNULL(@LINK_DEP,LINK_DEP)
FROM dbo.DIS D 
WHERE D.LINK = @LINK_ARCH

---
DECLARE 
 @SystPay INT,
 @RP INT, --   
 @DATE_BEGIN_RP DATETIME, --  
 @DATE_END_RP DATETIME, --  
 @DATE_BEGIN_WRK DATETIME, --  
 @DATE_END_WRK DATETIME, --  
 @LINK_PERS INT, --  .
 @DEP_LINK INT,
 @MAX_DATE DATETIME,
 @I INT,
 @varKSsoLink INT,
 @UCHET_PREM TINYINT	

SET @TYP_PERIOD = 4 -- 2 

--     
DECLARE @varKSRefDoc int
SET @varKSRefDoc = ISNULL((SELECT TOP 1 FIRST_LINK FROM dbo.DIS_FIRST WHERE LINK = @LINK_ARCH),@LINK_ARCH)

SET @DATE_BEGIN_P = ISNULL((SELECT TOP 1 DATE1 FROM dbo.DIS WHERE LINK = @varKSRefDoc),@DATE_BEGIN)

SET @RP = 2
---  
DECLARE @NUMBER VARCHAR(10), @DATE_DOC DATETIME

SELECT 
	@DATE_BEGIN_RP = dbo.DateBeginOfYear(DATE_BEGIN), 
	@DATE_DOC = D.[DATE],
	@LINK_DEP = D.LINK_DEP,
	@NUMBER = D.NUMBER
FROM
	DBO.SDOC D 
	INNER JOIN dbo.sdoc_adis SD ON SD.LINK_UP = D.LINK
WHERE 
	D.LINK = @LINK_DOC

IF ISNULL(@LINK_DOC,0)  = 0
BEGIN
	exec dbo.SALARY_NEXT_NUM @NUMBER OUT, 'DOCUMENTS_ADD_ARCHE'
	SET @DATE_DOC = (Select top 1 WORKDATE from dbo.USER_DATES)
END	

IF @DATE_BEGIN_RP IS NULL OR YEAR(@DATE_BEGIN_RP) >= YEAR(@DATE_BEGIN_P) - @RP
	SET @DATE_BEGIN_RP = dbo.ConvertDMY2Date(1,1,YEAR(@DATE_BEGIN_P)- @RP)

SET @DATE_END_RP = dbo.ConvertDMY2Date(31,12,YEAR(@DATE_BEGIN_RP) + (@RP-1))

---     
DECLARE @YEAR1 INT, @YEAR2 INT, @YEAR_M INT
SELECT TOP 1 @YEAR1 = YEAR1, @YEAR2 = YEAR2 FROM dbo.DIS D INNER JOIN dbo.VAC_PERIOD_CHANGE C ON C.LINK_EMPL = D.REF_EMPL
WHERE D.LINK = @LINK_ARCH AND D.DATE1 BETWEEN C.DATE1 AND C.DATE2

IF ISNULL(@YEAR1,0) > 0 OR ISNULL(@YEAR2,0) > 0
BEGIN

	SET @YEAR_M = (CASE WHEN ISNULL(@YEAR1,0) > ISNULL(@YEAR2,0) THEN ISNULL(@YEAR1,0) ELSE ISNULL(@YEAR2,0) END)
	SET @YEAR1 = (CASE WHEN ISNULL(@YEAR1,0) <= ISNULL(@YEAR2,0) THEN ISNULL(@YEAR1,0) ELSE ISNULL(@YEAR2,0) END)
	SET @YEAR2 = @YEAR_M

	SET @DATE_BEGIN_RP = dbo.ConvertDMY2Date(1,1,@YEAR1)
	SET @DATE_END_RP = dbo.ConvertDMY2Date(31,12,@YEAR2)

END	
ELSE
BEGIN
	SET @YEAR1 = YEAR(@DATE_BEGIN_RP)
	SET @YEAR2 = YEAR(@DATE_END_RP)
END	
-----------------------------------------------------------------

SELECT TOP 1 @LINK_PERS = PERS_LINK,  @SystPay = SYST_PAY, @DEP_LINK = ISNULL(@DEP_LINK,DEP_LINK)
FROM dbo.EMPL WHERE LINK = @LINK_EMPL

--    
DECLARE @EmplNumStake NUMERIC(5,2), @DEFAULT_KBK INT
SELECT @EmplNumStake = num_stake, @DEFAULT_KBK = LINK_KBK FROM dbo.SA_EMPLS_INFO(@DATE_BEGIN_P,@LINK_EMPL)
SET @DEFAULT_KBK = ISNULL((SELECT CH.NEW_LINK FROM dbo.SAL_SFIN_CHANGES(@DATE_BEGIN) CH WHERE CH.LINK = @DEFAULT_KBK),@DEFAULT_KBK)

 --     6 ,   -   1 
IF @STAGE_Y < 1 AND @STAGE_M < 6 
	SET @LIMIT = 2

---   
SELECT @varKSsoLink = LINK FROM dbo.s_objects  WHERE CODE = 'DOCUMENTS_ADD_ARCHE'

EXECUTE dbo.SALARY_UPD_SDOC @LINK_DOC OUTPUT, @varKSsoLink, @NUMBER,@DATE_DOC,@comment,0,null,0, @LINK_DEP

IF not exists(select link_up from dbo.sdoc_adis  where link_up =@LINK_DOC)
		INSERT INTO dbo.sdoc_adis WITH (ROWLOCK) (LINK_UP,LINK_EMPL,LINK_PAY,DATE_BEGIN,SR_ZAR,SR_PREM,TYP_PERIOD,LIMIT,REF_DOC)
		VALUES (@LINK_DOC, @LINK_EMPL,@LINK_PAYS,@DATE_BEGIN_RP,0,0,@TYP_PERIOD,@LIMIT,@LINK_ARCH)
ELSE
		UPDATE dbo.sdoc_adis WITH (ROWLOCK) 
		SET 	LINK_EMPL=@LINK_EMPL, LINK_PAY=@LINK_PAYS, DATE_BEGIN=@DATE_BEGIN_RP, 
				SR_PREM=0, TYP_PERIOD=@TYP_PERIOD, LIMIT=@LIMIT, REF_DOC=@LINK_ARCH
		WHERE LINK_UP=@LINK_DOC

---------------------------------------------------------------------------------------
--      
DECLARE @ARCHE_OPT9 TINYINT
SET @ARCHE_OPT9 = dbo.sa_get_option_by_code('ARCHE_OPT9')

--      
DECLARE @LINK_DIS_PERSON INT 

--       
IF @ARCHE_OPT9 = 1 BEGIN

	SELECT @LINK_DIS_PERSON = ISNULL(REF_PERS_KID, @LINK_PERS) FROM dbo.SDOC_DIS WHERE LINK_UP = @LINK_ARCH

	DECLARE @MAX_DAYS INT, @MAX_DAYS_IVENT INT, @SUM_DAYS INT
	SELECT 
		  @MAX_DAYS = N.MAX_DAYS, 
		  @MAX_DAYS_IVENT = N.MAX_DAYS_IVENT,
		  @SUM_DAYS = ISNULL(
			( --   ,    
			SELECT SUM(DAYS)
			FROM
			(	SELECT T.DATE1, [DAYS] = MAX(T.[DAYS])
				FROM
					dbo.SDOC D
					INNER JOIN dbo.SDOC_ADIS A ON D.LINK = A.LINK_UP
					INNER JOIN dbo.SDOC_ADIS_TABLE1 T ON T.LINK_UP = D.LINK
					INNER JOIN dbo.SDOC_DIS SD ON A.REF_DOC = SD.LINK_UP AND A.LINK_EMPL = SD.LINK_EMPL
				WHERE
					SD.[TYPE] = N.LINK
					AND YEAR(@DATE_DOC) BETWEEN YEAR(T.DATE1) AND YEAR(T.DATE2)
					AND SD.LINK_EMPL = @LINK_EMPL
					AND ISNULL(SD.REF_PERS_KID, @LINK_PERS) = @LINK_DIS_PERSON
					AND SD.LINK_UP <> @LINK_ARCH --   
					AND SD.DATE1 <= @DATE_BEGIN --    
				GROUP BY T.DATE1
				) D
			)
			,0)
	FROM 
			dbo.NETRUD N
	WHERE
		  N.LINK = @REF_TYP_ARHE
		  AND @ARCHE_OPT9 = 1
END	

SELECT @MAX_DAYS = ISNULL(@MAX_DAYS,9999), @MAX_DAYS_IVENT = ISNULL(@MAX_DAYS_IVENT,9999), @SUM_DAYS = ISNULL(@SUM_DAYS,0)

--  
SET @MAX_DAYS = (CASE WHEN @MAX_DAYS > @SUM_DAYS THEN @MAX_DAYS - @SUM_DAYS ELSE 0 END)
--   
SET @MAX_DAYS_IVENT = (CASE WHEN @MAX_DAYS_IVENT < @MAX_DAYS THEN @MAX_DAYS_IVENT ELSE @MAX_DAYS END)
-----------------------------------------------------------------------------------

---    
DECLARE @RercStag NUMERIC(18,2)

SELECT TOP 1 
	@RercStag = P 
FROM 
	dbo.DOCUMENTS_ADD_ARCH_SPR1 SPR1 
WHERE 
	@DATE_BEGIN BETWEEN SPR1.DATE_BEGIN AND SPR1.DATE_END
	AND @STAGE_Y BETWEEN SPR1.STAGE1 AND SPR1.STAGE2

DECLARE
	@PERCENT numeric(18,2), -- 
	@Opt  tinyint, -- 1 -   , 0 - 
	@Stag  tinyint, -- 1   N     , 0 -    Perc1
	@Stag2  tinyint, -- 1       , 0 -    Perc2
	@Day1g  INT, ---   ,   Perc1
	@Perc1  numeric(18,2),
	@Perc2  numeric(18,2),
	@Day2_Payer  tinyint -- 0 -      , 1 -      

SELECT @Stag = ISNULL(stag,0), @Stag2 = ISNULL(stag2,0), @Day2_Payer = (CASE WHEN ISNULL(@extension_DIS,0) = 0 THEN ISNULL(day2_payer,0) ELSE 0 END), 
	@Opt = ISNULL(opt,0), @Perc1 = ISNULL(perc1,0), @Perc2 = ISNULL(perc2,0),
	@Day1g = (CASE WHEN ISNULL(day1,0) = 1 THEN 0 ELSE ISNULL(day1,0) END) 
FROM DBO.KD_NETRUD where link = @REF_TYP_ARHE

IF @RECALC = 0  ---     
BEGIN
	---   
	CREATE TABLE #BASE1 (
		PERIOD DATETIME,
		CODE_PAY VARCHAR(254),
		NAME_PAY VARCHAR(254), 
		WAY_CALC INT,
		LINK_PAY INT,
		SUMMA NUMERIC(18,2),
		KOEF  NUMERIC(18,2),
		LINK_INC INT,
		LINK_VKR INT,
		DATE1 DATETIME,
		DATE2 DATETIME
	)

	DECLARE @Cur1 CURSOR, @CUR_EPML INT
	DECLARE @Cur2 CURSOR, @M INT, @Y INT, @PER DATETIME

	DECLARE @ARCHE_OPT4 TINYINT
	SET @ARCHE_OPT4 = dbo.sa_get_option_by_code('ARCHE_OPT4')

	SET @Cur1 = CURSOR FORWARD_ONLY
	FOR SELECT DISTINCT LINK FROM dbo.EMPL E-- INNER JOIN dbo.EMPL_STATUS(@DATE_BEGIN) S on E.link = S.empl_link --AND STATUS <= 2
		WHERE DEP_LINK = @LINK_DEP AND (@ARCHE_OPT4 = 1 AND PERS_LINK = @LINK_PERS) OR (@ARCHE_OPT4 = 0 AND E.link = @LINK_EMPL)

	OPEN @Cur1
	FETCH NEXT FROM @Cur1 INTO @CUR_EPML
	WHILE (@@fetch_status <> -1)
	BEGIN
		IF (@@fetch_status <> -2)
		BEGIN
			
			SET @Cur2 = CURSOR FORWARD_ONLY
			FOR 
				SELECT m, y, DATE_BEGIN FROM dbo.months_ex(@DATE_BEGIN_RP, @DATE_END_RP) WHERE Y = @YEAR1 OR Y = @YEAR2
			OPEN @Cur2
			FETCH NEXT FROM @Cur2 INTO @M, @Y, @PER
			WHILE (@@fetch_status <> -1)
			BEGIN
				IF (@@fetch_status <> -2)
				BEGIN
			
				INSERT INTO #BASE1 (CODE_PAY, NAME_PAY, WAY_CALC, LINK_PAY, SUMMA, KOEF, LINK_INC, LINK_VKR, DATE1, DATE2)
				exec dbo.SALARY_BASE_SUM_PAY_MONTH_DIF_PERIODS @LINK_PAYS, @CUR_EPML, @M, @Y			
				
				UPDATE #BASE1 SET PERIOD = @PER WHERE PERIOD IS NULL
				UPDATE #BASE1 SET LINK_VKR = @DEFAULT_KBK WHERE LINK_VKR IS NULL
			
				END
				FETCH NEXT FROM @Cur2 INTO @M, @Y, @PER
			END
		
			CLOSE @Cur2
			DEALLOCATE @Cur2

		END
		FETCH NEXT FROM @Cur1 INTO @CUR_EPML
	END
	
	CLOSE @Cur1 
	DEALLOCATE @Cur1

	INSERT INTO #BASE1 (PERIOD, CODE_PAY, NAME_PAY, WAY_CALC, LINK_PAY, SUMMA, KOEF, LINK_INC, LINK_VKR, DATE1, DATE2)
	SELECT dbo.ConvertDMY2Date(01,12,YEAR_SAL), '---', '   ', 1, 0, SUMMA, 1, 0, @DEFAULT_KBK, dbo.ConvertDMY2Date(01,12,YEAR_SAL), dbo.ConvertDMY2Date(31,12,YEAR_SAL)  
	FROM [dbo].[SAL_OTHER_DEP] 
	WHERE ACTIVE = 1 AND YEAR_SAL IN (@YEAR1,@YEAR2) AND LINK_EMPL = @LINK_EMPL 

	--- ,      
	DECLARE @ARCHE_OPT5 TINYINT
	SET @ARCHE_OPT5 = dbo.sa_get_option_by_code('ARCHE_OPT5')

	/*          */
	UPDATE B SET B.LINK_VKR = CH.NEW_LINK
	FROM #BASE1 B INNER JOIN dbo.SAL_SFIN_CHANGES(@DATE_BEGIN) CH ON CH.LINK = B.LINK_VKR

	--
	Select 
		PERIOD = dbo.ConvertDMY2Date(31,12,YEAR(MIN(PERIOD))), PERIOD1 = YEAR(PERIOD), CODE_PAY, NAME_PAY, WAY_CALC, LINK_PAY, 
		SUMMA = SUM( CASE WHEN WAY_CALC = 6 AND (DATEDIFF(MONTH,DATE1, DATE2) + 1) <> 0 AND @UCHET_PREM = 1 THEN 
					CONVERT(NUMERIC(18,2), SUMMA * 
						(
							(DATEDIFF(MONTH,CASE WHEN DATE1 <= dbo.ConvertDMY2Date(1,1,@YEAR1) THEN dbo.ConvertDMY2Date(1,1,@YEAR1) ELSE DATE1 END,
								CASE WHEN DATE2 >= dbo.ConvertDMY2Date(31,12,@YEAR1) THEN dbo.ConvertDMY2Date(31,12,@YEAR1) ELSE DATE2 END) + 1)
						+	CASE WHEN @YEAR1 <> @YEAR2 THEN
								(DATEDIFF(MONTH,CASE WHEN DATE1 <= dbo.ConvertDMY2Date(1,1,@YEAR2) THEN dbo.ConvertDMY2Date(1,1,@YEAR2) ELSE DATE1 END,
									CASE WHEN DATE2 >= dbo.ConvertDMY2Date(31,12,@YEAR2) THEN dbo.ConvertDMY2Date(31,12,@YEAR2) ELSE DATE2 END) + 1)								
							ELSE 0 END
						)		
						/ (DATEDIFF(MONTH,DATE1, DATE2) + 1))
				ELSE SUMMA END),
		KOEF, LINK_INC, LINK_VKR = (CASE WHEN @ARCHE_OPT5 = 1 then LINK_VKR else @DEFAULT_KBK end)
	INTO #BASE
	from #BASE1 
	group by YEAR(PERIOD), CODE_PAY, NAME_PAY, WAY_CALC, LINK_PAY, KOEF, LINK_INC, (CASE WHEN @ARCHE_OPT5 = 1 then LINK_VKR else @DEFAULT_KBK end)

	--   
	DECLARE @PAYS_MONTS VARCHAR(100)
	EXEC X_GET_TABLE_NAME @PAYS_MONTS OUTPUT

	---
	EXEC M_CROSS_TABLE
		'LINK_PAY, LINK_VKR',
		'PERIOD1', 'INT',
		'SUMMA', 'NUMERIC(18,2)', 'SUM(SUMMA) AS SUMMA',
		'#BASE', @PAYS_MONTS

	DELETE FROM dbo.SDOC_ADIS_TABLE3  WHERE LINK_UP = @LINK_DOC

	DECLARE @SCRIPT VARCHAR(8000)
	
	SET @SCRIPT = ' INSERT INTO dbo.SDOC_ADIS_TABLE3 (LINK_UP, ORDERS, LINK_PAY, LINK_KBK, SUMMA1, SUMMA2)'  
			+ ' Select ' + CONVERT(VARCHAR(20),@LINK_DOC) + ', 0, LINK_PAY, LINK_VKR'  
			+ CASE WHEN EXISTS (SELECT * from #BASE WHERE YEAR(PERIOD) = @YEAR1 )
			THEN ', ISNULL(SUMMA_' 
				+ CONVERT(VARCHAR(10),(Select  COUNT(DISTINCT YEAR(PERIOD)) FROM #BASE WHERE YEAR(PERIOD) <= @YEAR1 ))
				+ ',0)' ELSE ',0' END
			+ CASE WHEN @YEAR1 <> @YEAR2 AND EXISTS (SELECT * from #BASE WHERE YEAR(PERIOD) = @YEAR2 )
			THEN ', ISNULL(SUMMA_' 
				+ CONVERT(VARCHAR(10),(Select  COUNT(DISTINCT YEAR(PERIOD)) FROM #BASE WHERE YEAR(PERIOD) <= @YEAR2 ))
				+ ',0)' ELSE ',0' END
		+ ' from ' + @PAYS_MONTS
	
	EXEC  (@SCRIPT)

	SET @I = 0
	UPDATE dbo.SDOC_ADIS_TABLE3  
	SET @I = @I+1, ORDERS = @I
	WHERE LINK_UP = @LINK_DOC
	
END -- IF @RECALC = 0

-- 
DECLARE @WTIME TABLE(Y INT)
INSERT INTO @WTIME (Y)
SELECT DISTINCT Y FROM dbo.months_ex(@DATE_BEGIN_RP, @DATE_END_RP) WHERE Y = @YEAR1 OR Y = @YEAR2

IF @RECALC < = 1 ---    
BEGIN
	--       
		---
	DECLARE @TABLE2 TABLE (Y INT, M INT, LINK_KBK INT, SUMMA_ZP NUMERIC(18,2), SUMMA_PR NUMERIC(18,2), DAYS INT, HOURS NUMERIC(18,2), DAYS_NORM INT, HOURS_NORM NUMERIC(18,2))
	INSERT INTO @TABLE2
	SELECT  
		Y = T.Y,
		M = 12,
		ISNULL(B.LINK_KBK,@DEFAULT_KBK),
		SUMMA_ZP = SUM(SUMMA),
		SUMMA_PR = 0,
		0,0,0,0
	FROM 
		@WTIME T LEFT JOIN
		(
		Select PERIOD = dbo.DateEndOfYear(@DATE_BEGIN_RP), LINK_PAY, LINK_KBK, 
			DATE1 = dbo.DateBeginOfYear(@DATE_BEGIN_RP), 
			DATE2 = dbo.DateEndOfYear(@DATE_BEGIN_RP),	
			SUMMA = T3.SUMMA1 
		FROM dbo.SDOC_ADIS_TABLE3 T3  WHERE LINK_UP = @LINK_DOC AND ISNULL(T3.SUMMA1,0) <> 0
	UNION ALL 
		Select PERIOD = dbo.DateEndOfYear(@DATE_END_RP), LINK_PAY, LINK_KBK, 
			DATE1 = dbo.DateBeginOfYear(@DATE_END_RP), 
			DATE2 = dbo.DateEndOfYear(@DATE_END_RP),	
			SUMMA = T3.SUMMA2  
		FROM dbo.SDOC_ADIS_TABLE3 T3  WHERE LINK_UP = @LINK_DOC AND ISNULL(T3.SUMMA2,0) <> 0
	) AS B ON T.Y = YEAR(B.PERIOD)
	GROUP BY
		T.Y, B.LINK_KBK

	----
	DECLARE @LINK_PAY_FSS INT	
	SET @LINK_PAY_FSS = (SELECT TOP 1 LINK FROM dbo.PAYS WHERE [OBJECT] = 3 AND WAY_CALC = 2)

	----
	UPDATE @TABLE2
	SET SUMMA_PR = 
		(
			SELECT MAX(PREDEL) FROM dbo.DICTIONARY_RANGE D
			WHERE LINK_PAYS = @LINK_PAY_FSS 
					AND TARIF = 1 
					AND [PERCENT] > 0 
					AND [DATE] = (SELECT TOP 1 [DATE] 
										FROM dbo.DICTIONARY_RANGE D1 
										WHERE D1.TARIF = D.TARIF 
												AND D1.LINK_PAYS = D.LINK_PAYS 
												AND [DATE] <= dbo.ConvertDMY2Date(1,1,(CASE WHEN Y < 2010 THEN 2010 ELSE Y END))
									ORDER BY [DATE] DESC) 
		 )


	DECLARE @CurPR CURSOR, @y1 INT, @m1 INT, @y2 INT, @m2 INT, @link_kbk1 INT, @SUM_KBK NUMERIC(18,2)
	
	SET @CurPR = CURSOR FORWARD_ONLY

	FOR select y, m, link_kbk from @TABLE2 order by y, m
	
	OPEN @CurPR
	FETCH NEXT FROM @CurPR INTO @y1, @m1, @link_kbk1
	WHILE (@@fetch_status <> -1)
	BEGIN
		IF (@@fetch_status <> -2)
		BEGIN

			IF ISNULL(@y2,0) <> ISNULL(@y1,0) OR ISNULL(@m2,0) <> ISNULL(@m1,0)
				SELECT @SUM_KBK = 0, @y2 = @y1, @m2 = @m1

			UPDATE @TABLE2 SET HOURS_NORM = CASE WHEN ISNULL(SUMMA_ZP,0) > ISNULL(SUMMA_PR-@SUM_KBK,0) 
												THEN CASE WHEN ISNULL(SUMMA_PR-@SUM_KBK,0) > 0 THEN ISNULL(SUMMA_PR-@SUM_KBK,0) ELSE 0 END
												ELSE ISNULL(SUMMA_ZP,0) END
			WHERE @y1 = Y AND @m1 = M AND isnull(@link_kbk1,0) = isnull(link_kbk,0)

			SET @SUM_KBK = @SUM_KBK + ISNULL( (SELECT SUMMA = SUMMA_ZP	FROM @TABLE2 WHERE @y1 = Y AND @m1 = M AND isnull(@link_kbk1,0) = isnull(link_kbk,0)),0)

		END
	
		FETCH NEXT FROM @CurPR INTO @y1, @m1, @link_kbk1
	END
	
	CLOSE @CurPR
	DEALLOCATE @CurPR

	UPDATE A
	SET SUMMA_ZP = 
		CASE WHEN (SELECT SUM(B.SUMMA_ZP) FROM @TABLE2 B WHERE A.Y = B.Y AND A.M = B.M) > 0 THEN
						A.SUMMA_ZP / (SELECT SUM(B.SUMMA_ZP) FROM @TABLE2 B WHERE A.Y = B.Y AND A.M = B.M)
						* (SELECT SUM(B.HOURS_NORM) FROM @TABLE2 B WHERE A.Y = B.Y AND A.M = B.M)
					ELSE 0 END	
	FROM @TABLE2 A

	UPDATE @TABLE2 SET SUMMA_PR = 0, HOURS_NORM = 0

	---
	DELETE FROM dbo.SDOC_ADIS_TABLE2  WHERE LINK_UP = @LINK_DOC
	
	INSERT INTO dbo.SDOC_ADIS_TABLE2 (LINK_UP, ORDERS, PERIOD, SUMMA, SUMMA_PREM, [DAYS], [HOURS], DAYS_N, HOURS_N, LINK_KBK)
	SELECT  @LINK_DOC, 0, dbo.ConvertDMY2Date(1, M, Y), SUMMA_ZP, SUMMA_PR, [DAYS],[HOURS],DAYS_NORM,HOURS_NORM, LINK_KBK
	FROM @TABLE2
	ORDER BY Y, M, LINK_KBK

	SET @I = 0
	UPDATE dbo.SDOC_ADIS_TABLE2  
	SET @I = @I+1, ORDERS = @I
	WHERE LINK_UP = @LINK_DOC
END	--IF @RECALC < = 1

DECLARE @RAION NUMERIC(18,10)
exec dbo.SA_EMPL_RAION_KOEF_BL @RAION OUT, @LINK_EMPL, @DATE_BEGIN

SET @RAION = CASE WHEN ISNULL(@RAION,0) <1 THEN 1 ELSE ISNULL(@RAION,0) END

DECLARE @SUM_LIMIT NUMERIC(18,4), @MINROT NUMERIC(18,2)
SET @MINROT = dbo.minrot2(@DATE_BEGIN) * (CASE WHEN @EmplNumStake <= 1 THEN @EmplNumStake ELSE 1 END) * 24

IF @RECALC < = 2 ---       
BEGIN		
	--- 
	DECLARE
	 @DATE_RAB_END DATETIME,
	 @DATE_B DATETIME,
	 @R int	--  3    
	
	---
	SELECT @R = @Day2_Payer * 3
	SELECT @DATE_RAB_END = DATEADD(DAY,@R-1,@DATE_BEGIN), @DATE_B = CASE WHEN @R > 0 THEN DATEADD(DAY,@R,@DATE_BEGIN) ELSE @DATE_BEGIN END

	/*  ,        , ,       2- */
	
	---       
	DECLARE
	 @DATE_BEGIN1 DATETIME,
	 @DATE_END1 DATETIME 

	--  /
	DECLARE @LINK_BL_OLD INT, @DATE_BEG_OLD DATETIME, @DATE_END_OLD DATETIME
	SET @LINK_BL_OLD = (SELECT TOP 1 REF_DOC FROM dbo.DIS WHERE LINK = @LINK_ARCH)

	/*,       */
	--  /	
	SELECT @DATE_BEG_OLD = DATE1, @DATE_END_OLD = DATE2 FROM dbo.DIS WHERE LINK = @LINK_BL_OLD
	--     
	IF EXISTS (SELECT LINK FROM dbo.DIS WHERE REF_DOC = @LINK_BL_OLD AND LINK <> @LINK_ARCH AND DATE1 < @DATE_BEGIN)
		SET @DATE_END_OLD = (SELECT MAX(DATE2) FROM dbo.DIS WHERE REF_DOC = @LINK_BL_OLD AND LINK <> @LINK_ARCH AND DATE1 < @DATE_BEGIN)

	IF @DATE_BEG_OLD IS NOT NULL
	BEGIN
		SET @Day1g = @Day1g - (DATEDIFF(DAY,@DATE_BEG_OLD,@DATE_END_OLD) + 1)
		SET @Day1g = CASE WHEN @Day1g < 0 THEN 0 ELSE @Day1g END
	END

	SET @DATE_END1 = (CASE WHEN DATEADD(DAY,@Day1g-1,@DATE_BEGIN) < @DATE_END THEN DATEADD(DAY,@Day1g-1,@DATE_BEGIN) ELSE @DATE_END END)
	SET @DATE_BEGIN1 = (CASE WHEN @DATE_END1 +1 < @DATE_END THEN @DATE_END1 +1 ELSE @DATE_END END)

	--==       , ,   
	DECLARE @PERIODY TABLE ( ord int identity(1,1), DATE_BEGIN DATETIME, DATE_END DATETIME, R TINYINT, PERC NUMERIC(18,2), DH NUMERIC(18,2), DH_NORM NUMERIC(18,6), I TINYINT, SUM_LIMIT NUMERIC(20,4))
	
	--- 1.        
	INSERT INTO @PERIODY (DATE_BEGIN, DATE_END, R, PERC, I)
	---  
	select 
		DATE_BEGIN = (CASE WHEN @DATE_BEGIN > DATE_BEGIN THEN @DATE_BEGIN ELSE DATE_BEGIN END), 
		DATE_END = (CASE WHEN @DATE_RAB_END < dbo.DateEndOfMonth(DATE_BEGIN) THEN @DATE_RAB_END ELSE dbo.DateEndOfMonth(DATE_BEGIN) END),
		P = 1, PERC = 0.00, 1 -- 
	from dbo.months_ex(@DATE_BEGIN, @DATE_RAB_END)
	WHERE @R > 0
	UNION ALL
	select 
		DATE_BEGIN = (CASE WHEN @DATE_B > DATE_BEGIN THEN @DATE_B ELSE DATE_BEGIN END), 
		DATE_END = (CASE WHEN @DATE_END < dbo.DateEndOfMonth(DATE_BEGIN) THEN @DATE_END ELSE dbo.DateEndOfMonth(DATE_BEGIN) END),
		P = 0, PERC = 0.00, 1
	from dbo.months_ex(@DATE_B, @DATE_END)
	UNION
	---       
	SELECT  
		DATE_BEGIN = (CASE WHEN @DATE_BEGIN > DATE_BEGIN THEN @DATE_BEGIN ELSE DATE_BEGIN END), 
		DATE_END = (CASE WHEN @DATE_END1 < dbo.DateEndOfMonth(DATE_BEGIN) THEN @DATE_END1 ELSE dbo.DateEndOfMonth(DATE_BEGIN) END),
		P = 0, PERC = CASE WHEN @Stag = 0 THEN @Perc1 ELSE @RercStag END, 1
	from dbo.months_ex(@DATE_BEGIN, @DATE_END1 )
	WHERE 	ISNULL(@OPT,0) = 1 
	UNION ALL
	SELECT  
		DATE_BEGIN = (CASE WHEN @DATE_BEGIN1 > DATE_BEGIN THEN @DATE_BEGIN1 ELSE DATE_BEGIN END), 
		DATE_END = (CASE WHEN @DATE_END < dbo.DateEndOfMonth(DATE_BEGIN) THEN @DATE_END ELSE dbo.DateEndOfMonth(DATE_BEGIN) END),
		P = 0, PERC = CASE WHEN @Stag2 = 0 THEN @Perc2 ELSE @RercStag END, 1
	from dbo.months_ex(@DATE_BEGIN1, @DATE_END )
	WHERE 	ISNULL(@OPT,0) = 1
	ORDER BY DATE_BEGIN, DATE_END

	INSERT INTO @PERIODY (DATE_BEGIN, DATE_END, R, PERC, I)
	---  ,    
	SELECT  
		DATE_BEGIN = (CASE WHEN @DATE_BEGIN > DATE_BEGIN THEN @DATE_BEGIN ELSE DATE_BEGIN END), 
		DATE_END = (CASE WHEN @DATE_END < dbo.DateEndOfMonth(DATE_BEGIN) THEN @DATE_END ELSE dbo.DateEndOfMonth(DATE_BEGIN) END),
		P = 0, PERC = @RercStag, 1
	from dbo.months_ex(@DATE_BEGIN, @DATE_END )
	WHERE 	ISNULL(@OPT,0) = 0 
	ORDER BY DATE_BEGIN, DATE_END

	--- 2.   
	DECLARE @PERIODY1 TABLE (ORD INT IDENTITY(1,1), PER DATETIME)
	INSERT INTO @PERIODY1 (PER)
	SELECT PER FROM (SELECT PER = DATE_BEGIN FROM @PERIODY UNION SELECT PER = DATE_END FROM @PERIODY) as P
	UNION ALL 
	SELECT PER FROM (SELECT PER = DATE_BEGIN FROM @PERIODY UNION SELECT PER = DATE_END FROM @PERIODY) as P
	WHERE PER = dbo.DateEndOfMonth(PER)
	ORDER BY PER	

	--- 3.      
	INSERT INTO @PERIODY (DATE_BEGIN, DATE_END, I)
	SELECT 
		(CASE WHEN P1.PER = @DATE_BEGIN OR P1.PER = @DATE_END THEN P1.PER ELSE P1.PER + 1 END),
		ISNULL(P2.PER,P1.PER),
		2  -- 
	FROM 
		@PERIODY1 P1 LEFT JOIN @PERIODY1 P2 ON P1.ORD = P2.ORD - 1

	---
	UPDATE @PERIODY
	SET DATE_BEGIN  = DATE_BEGIN + 1
	WHERE I = 2 AND DATE_BEGIN <> DATE_END AND DATE_BEGIN = dbo.DateEndOfMonth(DATE_BEGIN)

	--- 4.   
	INSERT INTO @PERIODY (DATE_BEGIN, DATE_END, I)
	SELECT AP.DATE_BEGIN, AP.DATE_END, 3 FROM @PERIODY AP
	WHERE AP.I = 2 AND NOT EXISTS (SELECT * FROM @PERIODY AP1 WHERE AP1.I = 2 AND AP.DATE_BEGIN > AP1.DATE_BEGIN AND AP.DATE_END <= AP1.DATE_END)

	--  ,    
	IF @DATE_BEGIN = @DATE_END 
		UPDATE @PERIODY SET DATE_BEGIN = @DATE_BEGIN, DATE_END = @DATE_END
		WHERE DATE_END >= @DATE_BEGIN

	--- 5.      
	INSERT INTO @PERIODY (DATE_BEGIN, DATE_END, I, R, PERC)
	Select 
		P3.DATE_BEGIN, P3.DATE_END, 4,
		R =  ISNULL((SELECT TOP 1 P1.R FROM @PERIODY P1 WHERE I = 1 AND P1.R = 1 AND (P3.DATE_BEGIN BETWEEN P1.DATE_BEGIN AND P1.DATE_END) AND (P3.DATE_END BETWEEN P1.DATE_BEGIN AND P1.DATE_END)  order by ord),0),
		PERC = ISNULL((SELECT TOP 1 P1.PERC FROM @PERIODY P1 WHERE I = 1 AND P1.PERC > 0 AND (P3.DATE_BEGIN BETWEEN P1.DATE_BEGIN AND P1.DATE_END) AND (P3.DATE_END BETWEEN P1.DATE_BEGIN AND P1.DATE_END) order by ord),0)
	FROM @PERIODY P3 
	WHERE P3.I = 3 
	
	--- 6.  
	INSERT INTO @PERIODY (DATE_BEGIN, DATE_END, I, R, PERC)
	Select 
		MIN(DATE_BEGIN), MAX(DATE_END), 5, R, PERC
	FROM @PERIODY P4 
	WHERE P4.I = 4 
	GROUP BY YEAR(DATE_BEGIN), MONTH(DATE_BEGIN), R, PERC
	
	DECLARE @ARCHE_OPT13 INT --      
	SET @ARCHE_OPT13 = dbo.SA_GET_OPTION_BY_CODE('ARCHE_OPT13')
	IF @ARCHE_OPT13 = 1
		DELETE FROM @PERIODY WHERE I = 5 AND R = 0
	
	--==   !
	
	--- 

	--     
	--       , ..           

	DECLARE @LINK_FSS INT, @MAX_SUM_FSS NUMERIC(18,2)
	SET @LINK_FSS = (SELECT TOP 1 LINK FROM dbo.PAYS WHERE [OBJECT] = 3 AND WAY_CALC = 2)
	
	DECLARE @T_MAX_SUM_FSS TABLE (SUMMA NUMERIC(18,2))

	----
	INSERT INTO @T_MAX_SUM_FSS (SUMMA)
	SELECT MAX_SUM_FSS = 
				(
					SELECT MAX(PREDEL) FROM dbo.DICTIONARY_RANGE D
					WHERE LINK_PAYS = @LINK_FSS 
							AND TARIF = 1 
							AND [PERCENT] > 0 
							AND [DATE] = (SELECT TOP 1 [DATE] 
												FROM dbo.DICTIONARY_RANGE D1 
												WHERE D1.TARIF = D.TARIF 
														AND D1.LINK_PAYS = D.LINK_PAYS 
														AND [DATE] <= dbo.ConvertDMY2Date(1,1,(CASE WHEN Y < 2010 THEN 2010 ELSE Y END))
											ORDER BY [DATE] DESC) 
				 )
	FROM 
		@WTIME T
		
	SET @MAX_SUM_FSS = (SELECT SUM(SUMMA) FROM @T_MAX_SUM_FSS)
		--(SELECT SUM(SUMMA)/(12*COUNT(*)) FROM @T_MAX_SUM_FSS)
	IF ISNULL(@MAX_SUM_FSS,0) = 0
		SET @MAX_SUM_FSS = dbo.sa_get_option_by_code('ARCHE_OPT1')

	DECLARE @D NUMERIC(18,6)
--	IF EXISTS( SELECT * FROM [dbo].[NETRUD] N INNER JOIN [dbo].[SDOC_DIS] SD ON [SD].[TYPE] = [N].[LINK] WHERE [N].[DEKRET] = 1 AND SD.LINK_UP = @LINK_ARCH)
--		SET @D = dbo.sa_get_option_by_code('VAC_CHILD_OPT5') * 24
--	ELSE
	SET @D = 730 --730.000000/24

	----
	UPDATE @PERIODY
	SET 

		DH = DATEDIFF(DAY,DATE_BEGIN, DATE_END)+1,
	
		DH_NORM = 
				CASE WHEN DATE_BEGIN <= '20091231' THEN 
					DAY(dbo.DateEndOfMonth(DATE_BEGIN))
				ELSE
					@D
				END,			
		SUM_LIMIT = 
				CONVERT(NUMERIC(18,2),
					CASE @LIMIT
					WHEN 2 THEN @MINROT * @RAION --   1 
					WHEN 3 THEN 
						CASE WHEN DATE_BEGIN <= '20091231' THEN 	
							(CASE WHEN @dekret = 0 THEN dbo.sa_get_option_by_code('ARCHE_OPT7') ELSE dbo.sa_get_option_by_code('ARCHE_OPT8') END) * @RAION 
						ELSE	
							-- !!!  1  2010         !!!:    ,    
							@MAX_SUM_FSS
						END
					ELSE 0
					END 
				)				
	WHERE I = 5

	---------------------------------------------------------------------------------------
	--     
	DECLARE @Cur3 CURSOR
	Declare @NEXT_DATE DATETIME

	IF @ARCHE_OPT9 = 1
	BEGIN
		SET @Cur3 = CURSOR FORWARD_ONLY

		FOR SELECT DATE_BEGIN FROM @PERIODY WHERE I = 5 AND YEAR(@DATE_DOC) BETWEEN YEAR(DATE_BEGIN) AND YEAR(DATE_END) ORDER BY DATE_BEGIN
		
		OPEN @Cur3
		FETCH NEXT FROM @Cur3 INTO @NEXT_DATE
		WHILE (@@fetch_status <> -1)
		BEGIN
			IF (@@fetch_status <> -2)
			BEGIN

				UPDATE @PERIODY
				SET DH = (CASE WHEN DH < @MAX_DAYS_IVENT THEN DH ELSE @MAX_DAYS_IVENT END)
				WHERE I = 5 AND DATE_BEGIN = @NEXT_DATE
				
				SELECT @MAX_DAYS_IVENT = (CASE WHEN DH < @MAX_DAYS_IVENT THEN @MAX_DAYS_IVENT - DH ELSE 0 END)
				FROM @PERIODY
				WHERE I = 5 AND DATE_BEGIN = @NEXT_DATE

			END
		
			FETCH NEXT FROM @Cur3 INTO @NEXT_DATE
		END
		
		CLOSE @Cur3
		DEALLOCATE @Cur3
	END	
	---------------------------------------------------------------------------------------

	---
	DECLARE @REP_SUMMA_PR NUMERIC(18,2), @SUMMA_ZP NUMERIC(18,2), @SUMMA_PR NUMERIC(18,2), @NORM NUMERIC(18,2), @WORK NUMERIC(18,2), @SR_ZP NUMERIC(18,2)
	
	SELECT 
		@SUMMA_ZP = ISNULL(SUM(SUMMA),0),
		@SUMMA_PR = 0
	FROM dbo.SDOC_ADIS_TABLE2 WHERE LINK_UP = @LINK_DOC

	----	
	DECLARE @KBK_KOEF TABLE (LINK_KBK INT, KOEF NUMERIC(18,4))
	DECLARE @SR_ZP_R numeric(20,4)

	---	
	SET @SR_ZP = CONVERT(NUMERIC(18,2),ISNULL(@SUMMA_ZP,0) / 730)
	SET @SR_ZP_R = @SR_ZP
	
	IF ISNULL(@SR_ZP,0) = 0  BEGIN
		DELETE FROM @KBK_KOEF
		INSERT INTO @KBK_KOEF (LINK_KBK, KOEF) 
		SELECT @DEFAULT_KBK, 1
	END 
	ELSE BEGIN
		---
		DECLARE @S NUMERIC(18,2)
		SET @S = ISNULL((SELECT SUM(SUMMA) FROM dbo.SDOC_ADIS_TABLE2 WHERE LINK_UP = @LINK_DOC),0)

		INSERT INTO @KBK_KOEF (LINK_KBK, KOEF) 
		SELECT LINK_KBK, CASE WHEN @S <> 0 THEN SUM(SUMMA) / @S ELSE 0 END 
		FROM dbo.SDOC_ADIS_TABLE2  WHERE LINK_UP = @LINK_DOC 
		GROUP BY LINK_KBK
	END
	---
	DELETE FROM dbo.SDOC_ADIS_TABLE1  WHERE LINK_UP = @LINK_DOC
	INSERT INTO dbo.SDOC_ADIS_TABLE1 (LINK_UP, ORDERS, DATE1, DATE2, SUM_LIMIT, [DAYS], [HOURS], SR_ZP, SUMMA, PERC, PAYER, LINK_KBK, KOEF_KBK)
	SELECT @LINK_DOC, 0, DATE_BEGIN, DATE_END, 
		LIMIT = CONVERT(NUMERIC(20,2), P.SUM_LIMIT / DH_NORM),
		DH,--(CASE WHEN @SystPay = 1 THEN DH ELSE 0 END),
		0,--(CASE WHEN @SystPay = 1 THEN 0 ELSE DH END),
		SR_ZP = NULL,
		0,
		PERC,
		R,
		K.LINK_KBK,
		K.KOEF
	FROM @PERIODY P INNER JOIN @KBK_KOEF K ON 1=1
	WHERE I = 5
	ORDER BY DATE_BEGIN

	UPDATE sdoc_adis WITH (ROWLOCK) 
	SET 	LINK_EMPL = @LINK_EMPL, LINK_PAY=@LINK_PAYS, DATE_BEGIN=@DATE_BEGIN_RP, SR_ZAR=@SR_ZP_R, SR_PREM=@SUMMA_PR, TYP_PERIOD=@TYP_PERIOD, LIMIT=@LIMIT, REF_DOC=@LINK_ARCH, INSTRUCT = 2
	WHERE LINK_UP = @LINK_DOC
	
END --@RECALC <= 2 

DECLARE @ARCHE_OPT10 TINYINT -- .          
SET @ARCHE_OPT10 = dbo.SA_GET_OPTION_BY_CODE('ARCHE_OPT10')

DECLARE @SR_ZP_MINI numeric(20,2)
SET @SR_ZP_MINI = ROUND(@MINROT / 730,2) * (CASE WHEN @ARCHE_OPT10 = 1 THEN @RAION ELSE 1 END)

SET @SR_ZP = ISNULL((SELECT TOP 1 SR_ZAR FROM dbo.sdoc_adis WHERE LINK_UP = @LINK_DOC),0)
SET @SR_ZP = CASE WHEN @SR_ZP < @SR_ZP_MINI THEN @SR_ZP_MINI ELSE @SR_ZP END

UPDATE dbo.SDOC_ADIS_TABLE1
SET 
	SR_ZP = convert(numeric(20,4),
			(CASE WHEN @SR_ZP < SUM_LIMIT OR @LIMIT = 4 AND @LIMIT <> 2 THEN @SR_ZP ELSE SUM_LIMIT END))
			* convert(numeric(20,4),(CASE WHEN PERC > 0 then PERC/100 else 0 end))
FROM 
	dbo.sdoc_adis A 
	INNER JOIN dbo.SDOC_ADIS_TABLE1 T ON A.LINK_UP = T.LINK_UP
WHERE 
	T.LINK_UP = @LINK_DOC AND KOEF_KBK IS NOT NULL
	
--     
UPDATE dbo.SDOC_ADIS_TABLE1
SET 
	LINK_KBK = SF.[LINK_SS_SFIN]
FROM 
	dbo.sdoc_adis A 
	INNER JOIN dbo.SDOC_ADIS_TABLE1 T ON A.LINK_UP = T.LINK_UP
	INNER JOIN dbo.SAL_SFIN SF ON SF.LINK = T.LINK_KBK
WHERE 
	T.LINK_UP = @LINK_DOC AND PAYER = 0 AND SF.[LINK_SS_SFIN] IS NOT NULL
	

----
Select CJ.DATE_BEGIN, CJ.DATE_END, CJ.LINK_VKR, DAYS = SUM(CJ.DAYS), HOURS = SUM(CJ.HOURS), LINK_EKR, SUMMA = SUM(SUMMA)
INTO #SUM_OLD
from 
	dbo.SDOC_ADIS SA inner join dbo.CALCULATE_JURNAL CJ on CJ.LINK_DOC = SA.LINK_UP
	inner join dbo.sdoc d on CJ.LINK_DOC = d.link 
where
	ISNULL(@LINK_ARCH,0) > 0
	AND
	SA.REF_DOC = @LINK_ARCH
	and
	d.object = (Select top 1 link from s_objects where code = 'DOCUMENTS_ADD_ARCHE')
GROUP BY
	CJ.DATE_BEGIN, CJ.DATE_END, CJ.LINK_VKR, LINK_EKR

DECLARE @LInkEKR213 int
SELECT @LinkEKR213 = LINK FROM dbo.DICTIONARY_ITEM WHERE CODE = '213'

----  
UPDATE dbo.SDOC_ADIS_TABLE1
SET 
	SUMMA_NEW = CONVERT(NUMERIC(18,2), T.SR_ZP * T.[DAYS] * KOEF_KBK),--(CASE WHEN @SystPay = 1 THEN T.[DAYS] ELSE T.[HOURS] END) * KOEF_KBK),
	SUMMA_OLD = ISNULL(SO.SUMMA,0),
	DAYS = COALESCE(T.DAYS,0) - COALESCE(SO.DAYS,0), 
	HOURS = COALESCE(T.HOURS,0) - COALESCE(SO.HOURS,0)
FROM 
	dbo.sdoc_adis A 
	INNER JOIN dbo.SDOC_ADIS_TABLE1 T ON A.LINK_UP = T.LINK_UP
	LEFT JOIN #SUM_OLD SO ON T.DATE1 = SO.DATE_BEGIN AND T.DATE2 = SO.DATE_END AND T.LINK_KBK = SO.LINK_VKR and PAYER = (CASE WHEN LINK_EKR=@LInkEKR213 then 0 else 1 end)
WHERE 
	T.LINK_UP = @LINK_DOC AND KOEF_KBK IS NOT NULL AND SR_ZP IS NOT NULL

--  ,   
insert into dbo.SDOC_ADIS_TABLE1 
	(link_up, ORDERS, DATE1, DATE2, SUM_LIMIT, DAYS, HOURS, SUMMA, PERC, SR_ZP, PAYER, LINK_KBK, KOEF_KBK, SUMMA_OLD, SUMMA_NEW)
Select 
	@LINK_DOC, 0, DATE_BEGIN, DATE_END, 0, -DAYS, -HOURS, 0, 0, 0, (CASE WHEN LINK_EKR=@LInkEKR213 then 0 else 1 end), LINK_VKR, 1, SO.SUMMA, 0
from 
	#SUM_OLD SO
where 
	NOT EXISTS (Select * from dbo.SDOC_ADIS_TABLE1 T where T.LINK_UP = @LINK_DOC and T.DATE1 = SO.DATE_BEGIN AND T.DATE2 = SO.DATE_END 
		AND T.LINK_KBK = SO.LINK_VKR and PAYER = (CASE WHEN LINK_EKR=@LInkEKR213 then 0 else 1 end))

---- 
UPDATE dbo.SDOC_ADIS_TABLE1
SET SUMMA = ISNULL(SUMMA_NEW,0) - ISNULL(SUMMA_OLD,0)
WHERE LINK_UP = @LINK_DOC

--  
DELETE FROM dbo.SDOC_ADIS_TABLE1
WHERE LINK_UP = @LINK_DOC AND ISNULL(SUMMA_NEW,0) = 0

SET @I = 0

UPDATE dbo.SDOC_ADIS_TABLE1  
SET @I = @I+1, ORDERS = @I
WHERE LINK_UP = @LINK_DOC

---
DECLARE @SUMMA NUMERIC(18,2)
SELECT @SUMMA = ISNULL((SELECT SUM(SUMMA) FROM dbo.SDOC_ADIS_TABLE1 WHERE LINK_UP = @LINK_DOC),0), @SUMMA_ZP = ISNULL(@SUMMA_ZP,0), @SUMMA_PR = ISNULL(@SUMMA_PR,0)

---
SELECT @NUMBER = NUMBER,  @DATE_DOC = DATE from SDOC WHERE LINK = @LINK_DOC

if exists (select * from #SUM_OLD)
	set @comment = ': ' + @comment

---  
EXECUTE dbo.SALARY_UPD_SDOC @LINK_DOC OUTPUT, @varKSsoLink, @NUMBER,@DATE_DOC,@comment,0,null,@SUMMA

IF @OPER = 1 
	exec dbo.SD_N_BOL_PROV @LINK_DOC

SET NOCOUNT OFF



GO


GRANT EXECUTE ON dbo.[SA_N_BOL_FILL2] TO PUBLIC

GO
